<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 29/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 15/12/1998 - LDP man-pages 1.22 -->
<!--  mj 05/06/1999 - LDP man-pages 1.23 -->
<!--  mj 30/05/2001 - LDP man-pages 1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>CHMOD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options posix</a>
<br /><a class="summaryIndent0" href="#L4">description gnu supplmentaire</a>
<br /><a class="summaryIndent0" href="#L5">options gnu</a>
<br /><a class="summaryIndent0" href="#L6">options gnu standards</a>
<br /><a class="summaryIndent0" href="#L7">environnement</a>
<br /><a class="summaryIndent0" href="#L8">conformit</a>
<br /><a class="summaryIndent0" href="#L9">modes non standards</a>
<br /><a class="summaryIndent0" href="#L10">notes</a>
<br /><a class="summaryIndent0" href="#L11">voir aussi</a>
<br /><a class="summaryIndent0" href="#L12">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
chmod - Modifier les autorisations d'accs  un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>chmod [</b> options <i>] </i> <b>mode fichier...</b>
<br/><br/>

Options POSIX :
<b>[-R]</b> <b></b>  <b>[--]"</b> <b></b>  <br/><br/>

Mode GNU :
<b>[--reference=</b> <b></b>  <b>ficref</b> <b></b>  <b>]</b> <b></b>  <br/><br/>

Options GNU (forme courte):
<b>[-cfvR]</b> <b></b>  <b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>chmod</b> <b></b>  modifie les permissions d'accs de chacun des fichiers indiqus,
en suivant l'indication de
<i>mode ,</i>
qui peut tre une reprsentation symbolique du changement  effectuer,
ou un nombre octal reprsentant le motif binaire des nouvelles 
autorisations.<br/><br/>
Le format symbolique des changements de mode est
`[ugoa...][[+-=][rwxXstugo...]...][,...]'.  <br/><br/>
Plusieurs oprations symboliques peuvent tre spares par des virgules.<br/><br/>
Une combinaison des lettres `ugoa' contrle la catgorie d'accs  modifier.
Il peut s'agir de l'utilisateur possdant le fichier (u), 
des autres utilisateurs du mme groupe que le fichier (g),
des utilisateurs n'appartenant pas au groupe du fichier (o),
ou de tous les utilisateurs (a).
Si aucune catgorie n'est indique, l'ensemble (a) est
pris par dfaut, mais les bits correspondant  des bits  1 du
umask ne sont pas affects.<br/><br/>
L'oprateur `+' autorise un accs, l'oprateur `-' interdit un
accs, et l'oprateur `=' autorise exclusivement
l'accs indiqu.<br/><br/><br/><br/>
Les lettres `rwxXstugo' slectionne le type d'autorisation concerne :
<br/><br/>

r
lecture,
<br/><br/>

w
criture,
<br/><br/>

x
excution (ou parcours pour les rpertoires),
<br/><br/>

X
excution, uniquement si le fichier est un rpertoire, ou s'il a dj une
autorisation d'excution pour une des catgories d'utilisateur (s'il s'agit
donc bien d'un fichier excutable),
<br/><br/>

s
utiliser l'ID du propritaire ou du groupe propritaire du fichier
lors de l'excution,
<br/><br/>

t
(sticky-bit)
conserver le code du programme sur le priphrique de swap aprs
excution. Non document par POSIX, il s'agit du comportement original, mais
de nos jours il sert uniquement pour les rpertoires. Il indique que seuls
le propritaire du rpertoire, et le propritaire d'un fichier qui s'y
trouve ont le droit de supprimer ce fichier. C'est typiquement utilis
pour les rpertoires comme /tmp ayant une autorisation d'criture gnrale.
<br/><br/>

u
les permissions dont dispose actuellement le propritaire du fichier,
<br/><br/>

g
les permissions dont disposent actuellement les autres membres du
groupe propritaire du fichier,
<br/><br/>

o
les permissions dont disposent tous les autres utilisateurs.<br/><br/>
Une valeur numrique pour le <i>mode</i> est constitue de 1  4 chiffres
en octal (0 a 7), calculs en additionnant les bits de valeurs 4, 2,
et 1. Un bit non mentionn tant considr comme nul. Le premier chiffre
correspond aux attributs Set-UID (4), Set-GID (2), et conservation du
code en mmoire [`sticky bit'] (1).
Le second chiffre correspond aux autorisations
de lecture (4), criture (2) et excution pour l'utilisateur propritaire
du fichier. Les troisime et quatrime chiffres correspondent respectivement
aux autorisations d'accs pour les membres du groupe du fichier, et pour
les autres utilisateurs.<br/><br/>
<b>chmod</b> <b></b>  ne modifie jamais les autorisations d'accs des liens symboliques,
l'appel systme
<b>chmod (2)</b>
ne peut pas les modifier. Ceci n'est pas un problme puisque ces
autorisations ne sont jamais prises en compte. En fait,
<b>chmod</b> <b></b>  modifie les autorisations d'accs du fichier cible du lien symbolique
 condition que le lien soit explicitement mentionn sur
la ligne de commande.
En revanche,
<b>chmod</b> <b></b>  ignore purement et simplement les liens symboliques qu'il rencontre
lors des descentes rcursives de rpertoires.
</div><br/><br /><h1 class="TitreSection0" id="L4">options posix</h1>
<div class="paragraph">
<br/><br/>

<b>-R"</b> <b></b>  Modifier rcursivement les autorisations des rpertoires et de leurs contenus.
<br/><br/>

<b>--"</b> <b></b>  Indique la fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L5">description gnu supplmentaire</h1>
<div class="paragraph">
Une extension GNU (ajoute avec les outils fileutils 4.0) permet d'utiliser
<b>--reference=</b> <i>ficref</i>
comme description de mode : le mode sera le mme que celui du fichier
<i>ficref .</i>
</div><br/><br /><h1 class="TitreSection0" id="L6">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>-c</b> <b></b> ,<b></b>  <b>--changes"</b> <b></b>  Ne dcrire que les fichiers dont les permissions ont rellement chang.
<br/><br/>

<b>-f</b> <b></b> ,<b></b>  <b>--silent</b> <b></b> ,<b></b>  <b>--quiet"</b> <b></b>  Ne pas afficher de messages d'erreurs concernant les fichiers dont les
autorisations n'ont pas pu tre modifies.
<br/><br/>

<b>-v</b> <b></b> ,<b></b>  <b>--verbose"</b> <b></b>  Dcrire les modifications apportes.
<br/><br/>

<b>-R</b> <b></b> ,<b></b>  <b>--recursive"</b> <b></b>  Modifier rcursivement les autorisations des rpertoires et de leurs contenus.
</div><br/><br /><h1 class="TitreSection0" id="L7">options gnu standards</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide, et terminer normalement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher le numro de version et terminer normalement.
</div><br/><br /><h1 class="TitreSection0" id="L8">environnement</h1>
<div class="paragraph">
LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.
Pour les systmes conformes XSI : NLSPATH a sa signification habituelle.
</div><br/><br /><h1 class="TitreSection0" id="L9">conformit</h1>
<div class="paragraph">
POSIX 1003.2 ne documente que l'option -R. Toutes les autres options peuvent
ne pas tre portables.<br/><br/>
POSIX ne dcrit pas l'utilisation du bit `t' (sticky). Le standard ne
prcise pas non plus si
<b>chmod</b> <b></b>  doit prserver la cohrence en effaant ou en refusant de positionner les
bits Set-UID ou Set-GID si tous les bits d'excution sont effacs.
</div><br/><br /><h1 class="TitreSection0" id="L10">modes non standards</h1>
<div class="paragraph">
Nous avons dcrit plus haut le comportement du bit `t' sur les rpertoires.
Chaque systme attache une signification personnel  ce bit. En particulier
Linux adopte le comportement de System V (void SVID version 3), en utilisant
le bit Set-GID des fichiers sans autorisation d'excution pour le groupe
comme un verrou. Pour plus de dtails voyez le fichier
<i>/usr/src/linux/Documentation/mandatory.txt .</i>
</div><br/><br /><h1 class="TitreSection0" id="L11">notes</h1>
<div class="paragraph">
Cette page dcrit la version de
<b>chmod</b> <b></b>  que l'on rencontre dans le paquetage fileutils-4.0. D'autres versions
peuvent varier lgrement.
</div><br/><br /><h1 class="TitreSection0" id="L12">voir aussi</h1>
<div class="paragraph">
<b>chattr (1),</b>
<b>chown (1),</b>
<b>install (1),</b>
<b>chmod (2),</b>
<b>stat (2),</b>
<b>umask (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L13">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
