<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 07/08/2000 par Frdric Delanoy (delanoy_f@yahoo.com) -->
<!--  (diffutils v2.7.2) -->
<!--  -->
<!--  Copyright (c) 1987, 1990, 1993 -->
<!-- 	The Regents of the University of California.  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  the Institute of Electrical and Electronics Engineers, Inc. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)cmp.1	8.1 (Berkeley) 6/6/93 -->
<!--  MJ 30/07/2003 diffutils-2.8.1 -->
<br/><h1>CMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
<b>cmp</b> - Comparer deux fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>cmp<i> [</i>-l</b>|<b>-s</b>] <i>fichier1</i> <i>fichier2</i>
[<i>dcal1</i>[<i>dcal2</i>]]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'utilitaire
<b>cmp</b> <b></b>  compare deux fichiers de type quelconque et crit le rsultat sur la sortie
standard. Par dfaut,
<b>cmp</b> <b></b>  est silencieux si les fichiers sont identiques&nbsp;; s'ils diffrent, les
numros d'octet et de ligne de la premire diffrence dtecte sont
rapports.<br/><br/>
Les octets et les lignes sont numrots en commenant  un.<br/><br/>
Les options suivantes sont disponibles&nbsp;:<br/><br/><br/><br/>D 0
<br/><br/>
 0.6i
<b>-l"</b> <b></b>  Afficher le numro d'octet (en dcimal) et les valeurs (octales) des
octets pour chaque diffrence.<br/><br/>
<br/><br/>
 0.6i
<b>-s"</b> <b></b>  Ne rien afficher pour les fichiers diffrents, retourner uniquement
l'tat de sortie.<br/><br/>
<br/><br/>
 0i
Les arguments optionnels <i>dcal1</i> et <i>dcal2</i> sont les
dcalages d'octets par rapport au dbut de <i>fichier1</i> et de
<i>fichier2</i> respectivement, o la comparaison commencera. Le
dcalage est dcimal par dfaut, mais peut tre exprim par une valeur
hexadcimale ou octale en le prfixant par un &nbsp;0x&nbsp; ou un &nbsp;0&nbsp;.<br/><br/>
L'utilitaire <b>cmp</b> se termine par l'une des valeurs suivantes&nbsp;:<br/><br/>
<br/><br/>
 0.6i
0
Les fichiers sont identiques.<br/><br/>
<br/><br/>
 0.6i
1
Les fichiers sont diffrents&nbsp;; ceci inclut le cas o un fichier est
identique  la premire partie de l'autre.
Dans ce dernier cas, si l'option
.Fl s
n'a pas t spcifie, <b>cmp</b> crit sur la sortie standard que EOF
a t atteint dans le fichier le plus court (avant qu'une seule
diffrence ne soit trouve).<br/><br/>
<br/><br/>
 0.6i
&gt;1
Une erreur s'est produite.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>diff (1),</b>
<b>diff3 (1)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
L'utilitaire <b>cmp</b> est conu pour tre compatible  la norme IEEE
1003.2 (&nbsp;POSIX.2&nbsp;).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Frdric Delanoy &lt;<i>delanoy_f at yahoo.com</i>&gt;, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
