<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!-- /* Copyright 1988,1990,1993 by Paul Vixie -->
<!--  * All rights reserved -->
<!--  * -->
<!--  * Distribute freely, except: don't remove my name from the source or -->
<!--  * documentation (don't take credit for my work), mark your changes (don't -->
<!--  * get me blamed for your possible bugs), don't alter or remove this -->
<!--  * notice.  May be sold if buildable source is provided to buyer.  No -->
<!--  * warrantee of any kind, express or implied, is included with this -->
<!--  * software; use at your own risk, responsibility for damages (if any) to -->
<!--  * anyone resulting from the use of this software rests entirely with the -->
<!--  * user. -->
<!--  * -->
<!--  * Send bug reports, bug fixes, enhancements, requests, flames, etc., and -->
<!--  * I'll try to keep a version up to date.  I can be reached as follows: -->
<!--  * Paul Vixie          &lt;paul@vix.com&gt;          uunet!decwrl!vixie!paul -->
<!--  */ -->
<!--  -->
<!--  $Id: crontab.1,v 2.4 1993/12/31 10:47:33 vixie Exp $ -->
<!--  -->
<!--  Traduction 22/04/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 30/07/2003 vixie-cron-3.01 -->
<br/><h1>CRONTAB</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">standards</a>
<br /><a class="summaryIndent0" href="#L6">diagnostique</a>
<br /><a class="summaryIndent0" href="#L7">auteurs</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
crontab - diter son fichier crontab personnel.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
crontab [ -u utilisateur ] fichier
<br/>
crontab [ -u utilisateur ] { -l | -r | -e }
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<i>Crontab</i> est le programme utilis pour installer, dsinstaller, ou afficher le
contenu des tables permettant de piloter le fonctionnement du dmon
<i>cron (8)</i>
de Vixie Cron.
Chaque utilisateur dispose de sa propre table crontab, et bien que celles-ci
se trouvent dans /var, elles ne sont pas conues pour tre dites
directement.<br/><br/>
Si le fichier
<i>allow</i> existe, alors vous devez tre mentionns dans celui-ci pour pouvoir utiliser
cette commande. Si le fichier
<i>allow</i> n'existe pas, mais que le fichier
<i>deny</i> existe, alors vous ne devez <b>pas</b> tre mentionns dans celui-ci, si vous
dsirez utiliser cette commande.
Si aucun de ces deux fichiers n'existe alors, selon la configuration du site,
soit le Super-utilisateur uniquement  le droit d'utiliser
<b>crontab ,</b>
soit tous les utilisateurs le peuvent.<br/><br/>
Si l'option
<i>-u</i> est indique, elle permet de prciser le nom de l'utilisateur dont la crontab
doit tre manipule. Si cette option n'est pas indique, 
<i>crontab</i> examinera "votre" table, c'est  dire la table de la personne invoquant la commande. Notez qu'un appel 
<i>su (8)</i>
peut induire
<i>crontab</i> en erreur. Ainsi si vous avez effectu un
<i>su (8)</i>
vous devez toujours utiliser l'option
<i>-u</i> par prcaution.<br/><br/>
La premire forme de cette commande sert  installer une nouvelle table
crontab, en utilisant le fichier indiqu, ou l'entre standard
si le nom de fichier est ``-''.<br/><br/>
L'option
<i>-l</i> permet d'imprimer la table crontab en cours sur la sortie standard.<br/><br/>
L'option
<i>-r</i> supprime la table crontab en cours.<br/><br/>
L'option
<i>-e</i> permet d'diter la table en cours, en utilisant l'diteur indiqu par
les variables d'environnement \s-1VISUAL\s+1 ou \s-1EDITOR\s+1. Une fois
que vous sortez de l'diteur, la table modifie sera installe automatiquement.
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
crontab(5), cron(8)
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">

/etc/cron.allow
/etc/cron.deny


</div><br/><br /><h1 class="TitreSection0" id="L6">standards</h1>
<div class="paragraph">
La commande
<i>crontab</i> est conforme au standard IEEE Std1003.2-1992 (``POSIX''). Cette nouvelle
syntaxe diffre des versions prcdentes de Vixie Cron, tout autant que
de la syntaxe SVR3 classique.
</div><br/><br /><h1 class="TitreSection0" id="L7">diagnostique</h1>
<div class="paragraph">
Un gentil message d'aide est affich si vous invoquez <b>crontab</b> avec
des arguments errons.
</div><br/><br /><h1 class="TitreSection0" id="L8">auteurs</h1>
<div class="paragraph">

Paul Vixie &lt;paul@vix.com&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
