<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Date: Fri, 11 Sep 1998 19:13:45 +0100 -->
<!--  From: Edward Betts &lt;edward@hairnet.demon.co.uk&gt; -->
<!--  -->
<!--  Derived from the GNU diff info page. -->
<!--  May be distributed under the GPL. -->
<!--  Traduction 15/12/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP man-pages 1.22 -->
<!--  MJ 25/07/2003 diffutils-2.8.1 -->
<br/><h1>DIFF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">diagnostic</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
diff - Trouver les diffrences entre des fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>diff</b> <b></b>  [options] source cible
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Dans le cas le plus simple,
<i>diff</i> compare le contenu du fichier
<i>source</i> et celui du fichier
<i>cible .</i>
Un nom de fichier remplac par un tiret
<b>-</b> <b></b>  correspond  la lecture depuis l'entre standard.
Un cas particulier est reprsent par <b> "diff --" </b>
qui compare une copie de l'entre standard avec elle-mme.<br/><br/>
Si la
<i>source</i> est un rpertoire, et pas la
<i>cible ,</i>
alors
<i>diff</i> compare le fichier
<i>cible</i> avec le fichier plac dans le rpertoire
<i>source</i> et dont le nom soit identique  la 
<i>cible .</i>
La situation rciproque est galement possible.
Le fichier indiqu (pas le rpertoire) ne peut pas tre
<b>- .</b>
En effet, l'entre standard n'a pas de nom et la correspondance
``nom  nom'' ne pourrait pas s'appliquer.<br/><br/>
Si les deux fichiers
<i>source</i> et
<i>cible</i> sont des rpertoires, 
<i>diff</i> compare les fichiers correspondant dans les deux rpertoires, dans l'ordre
alphabtique. Cette comparaison n'est pas rcursive,  moins d'employer
l'option
<b>-r</b> <b></b>  ou
<b>--recursive .</b>
<i>diff</i> ne compare jamais le contenu ``rel'' d'un rpertoire en le considrant comme un fichier.<br/><br/>
Les options de
<b>diff</b> <b></b>  commencent par un tiret <b>-</b>,
ainsi les fichiers
<i>source</i> et
<i>cible</i> ne devraient pas commencer par un tiret
<b>- .</b>
Toutefois, le double tiret
<b>--</b> <b></b>  est un argument spcial signifiant ``fin des options'', ainsi des noms de
fichiers commenant par un tiret peuvent tre mentionns  sa suite.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L7">Options</h2>
<div class="paragraph">
Voici une liste de l'ensemble des options que le
<i>diff</i> GNU accepte. La plupart des options ont deux noms quivalents, l'un constitu
d'une seule lettre prcde par
<b>- ,</b>
et l'autre compos d'un nom long plus explicite, prcd par
<b>-- .<br/><br/></b>
Plusieurs options avec lettre unique (sauf si elle prennent un argument) peuvent
tre combines en un seul mot de la ligne de commande ; ainsi :
<b>-ac</b> <b></b>  est quivalent 
<b>-a -c</b> .<br/><br/></b>
Les options avec un nom long peuvent tre abrges s'il n'y a pas d'ambigut.<br/><br/>
Les crochets
( [</b>
et
<b>] )</b>
indiquent qu'une option prend ventuellement un argument.
<br/><br/>

<b>-</b><i>nb</i>
(nb est un nombre entier) Afficher
<i>nb</i> lignes de contexte. Cette option ne prcise pas le format de sortie par elle-mme, elle
n'a pas d'effet si elle n'est pas combine avec
<b>-c</b> <b></b>  ou
<b>-u .</b>
Cette option est obsolte. Pour fonctionner correctement,
<i>patch</i> ncessite typiquement deux lignes de contexte.
<br/><br/>

<b>-a</b> <b></b>  Traiter tous les fichiers comme du texte, et les comparer ligne--ligne, mme
s'ils semblent contenir des donnes binaires.
<br/><br/>

<b>-b</b> <b></b>  Ne pas tenir compte des diffrences concernant des espaces blancs.
<br/><br/>

<b>-B</b> <b></b>  Ne pas tenir compte des diffrences qui concernent des lignes blanches.
<br/><br/>

<b>--brief</b> <b></b>  Indiquer seulement si les fichiers diffrent, pas les diffrences elles-mmes.
<br/><br/>

<b>-c</b> <b></b>  Utiliser le format de sortie contextuel.
<br/><br/>

<b>-C </b> nb
<br/>
.ns
<br/><br/>

--context[= nb ]
(nb est un nombre entier)
Utiliser le format de sortie contextuel en affichant
<i>nb</i> lignes de texte. Par dfaut 
<i>nb</i> vaut 3.
Pour fonctionner correctement,
<i>patch</i> ncessite typiquement au moins deux lignes de contexte.
<br/><br/>

--changed-group-format= format
Utiliser le
<i>format</i> pour afficher un groupe de lignes contenant des diffrences entre
les deux fichiers. L'affichage est du type si-alors-sinon (voir option -D)
<br/><br/>

<b>-d</b> <b></b>  Modifier l'algorithme pour trouver ventuellement des ensembles de changements plus petits.
Ceci rend
<i>diff</i> plus lent (parfois beaucoup plus lent).
<br/><br/>

<b>-D </b> nom
Sortir les deux textes originaux regroups. La diffrenciation se fait
par des directives de prprocesseur ifdef-then-else concernant l'existence, ou non, 
de la macro ayant le
<i>nom</i> indiqu. Par exemple on utilisera `<i>diff -D Nouvelle_version ancien_fichier.c nouveau_fichier.c</i>'
pour obtenir un fichier pouvant tre compil au choix avec la constante symbolique Nouvelle_version.
<br/><br/>

<b>-e</b> <b></b>  <br/>
.ns
<br/><br/>

<b>--ed</b> <b></b>  Sortir un script valide pour
<i>ed .</i>
<br/><br/>

--exclude= motif
Lors de la comparaison de rpertoires, ignorer les fichiers et les sous-rpertoires dont
le nom correspond au
<i>motif .</i>
<br/><br/>

--exclude-from= fichier
Lors de la comparaison de rpertoires, ignorer les fichiers et les sous-rpertoires dont
le nom correspond  n'importe quel motif indiqu dans le
<i>fichier .</i>
<br/><br/>

<b>--expand-tabs</b> <b></b>  Dvelopper les tabulations en espaces en sortie, afin de prserver l'alignement des
tabulations des fichiers d'entre.
<br/><br/>

<b>-f</b> <b></b>  S'arranger pour que la sortie ressemble vaguement  un script
<i>ed ,</i>
mais en prservant l'ordre des modifications du fichier.
<br/><br/>

<b>-F </b> regexp
Dans les formats contextuel et unifis, pour chaque bloc de diffrences, afficher
quelques lignes prcdentes qui correspondent  l'expression rationnelle
<i>regexp .</i>
<br/><br/>

<b>--forward-ed</b> <b></b>  S'arranger pour que la sortie ressemble vaguement  un script
<b>ed</b> <b></b>  mais en prservant l'ordre des modifications du fichier.
<br/><br/>

<b>-h</b> <b></b>  Cette option n'a aucun effet, il s'agit simplement de prserver la compatibilit Unix.
<br/><br/>

<b>-H</b> <b></b>  Utiliser une heuristique acclrant le traitement des gros fichiers ayant de nombreux
petits changements disperss.
<br/><br/>

--horizon-lines= nb
Ne pas liminer les 
<i>nb</i> dernires lignes du prfixe commun, ni les
<i>nb</i> premires lignes du suffixe commun.
<br/><br/>

<b>-i</b> <b></b>  Ignore les diffrences entre majuscules et minuscules.
<br/><br/>

<b>-I </b> regexp
Ignorer les changements consistant seulement en insertion ou suppression de
lignes correspondant  l'expression rgulire
<i>regexp .</i>
<br/><br/>

--ifdef= nom
Sortir les deux textes originaux regroups. La diffrenciation se fait
par des directives de prprocesseur ifdef-then-else concernant l'existence, ou non, 
de la macro ayant le
<i>nom</i> indiqu.
<br/><br/>

<b>--ignore-all-space</b> <b></b>  Ignorer les espaces lors des comparaisons de lignes
<br/><br/>

<b>--ignore-blank-lines</b> <b></b>  Ignorer les changements consistant uniquement en insertion ou suppression de
lignes blanches.
<br/><br/>

<b>--ignore-case</b> <b></b>  Ignorer les diffrences entre majuscules et minuscules.
<br/><br/>

--ignore-matching-lines= regexp
Ignorer les changements consistant seulement en insertion ou suppression de
lignes correspondant  l'expression rationnelle
<i>regexp .</i>
<br/><br/>

<b>--ignore-space-change</b> <b></b>  Ignorer les changements concernant le nombre d'espaces blanches.
<br/><br/>

<b>--initial-tab</b> <b></b>  Sortir une tabulation plutt qu'une espace avant le texte dans le format
normal ou contextuel. Ceci amliore la prsentation des alignements.
<br/><br/>

<b>-l</b> <b></b>  Envoyer la sortie 
<i>pr</i> pour la paginer.
<br/><br/>

<b>-L </b> tiquette
<br/>
.ns
<br/><br/>

--label= tiquette
Utiliser l'<i>tiquette</i>
 la place du nom de fichier dans les en-ttes des formats contextuels ou unifis.
<br/><br/>

<b>--left-column</b> <b></b>  N'afficher que la colone de gauche des lignes communes dans le format
side-by-side.
<br/><br/>

--line-format= format
Utiliser le
<i>format</i> pour afficher toutes les lignes d'entre dans le format if-then-else.
<br/><br/>

<b>--minimal</b> <b></b>  Modifier l'algorithme pour trouver ventuellement des ensembles de changements plus petits.
Ceci rend
<i>diff</i> plus lent (parfois beaucoup plus lent).
<br/><br/>

<b>-n</b> <b></b>  Sortir les diffrences au format RCS. Comme
<b>-f</b> <b></b>  sauf que chaque commande prcise le nombre de lignes affectes.
<br/><br/>

<b>-N</b> <b></b>  <br/>
.ns
<br/><br/>

<b>--new-file</b> <b></b>  Dans les comparaisons de rpertoires, si un fichier ne se trouve que dans un seul
rpertoire, considrer qu'il est prsent, mais vide dans l'autre rpertoire.
<br/><br/>

--new-group-format= format
Utiliser le
<i>format</i> pour sortir un groupe de lignes ne se trouvant que dans le second fichier, dans
le format if-then-else.
<br/><br/>

--new-line-format= format
Utiliser le
<i>format</i> pour sortir une ligne ne se trouvant que dans le second fichier, dans
le format if-then-else.
<br/><br/>

--old-group-format= format
Utiliser le
<i>format</i> pour sortir un groupe de lignes ne se trouvant que dans le premier fichier, dans
le format if-then-else.
<br/><br/>

--old-line-format= format
Utiliser le
<i>format</i> pour sortir une ligne ne se trouvant que dans le premier fichier, dans
le format if-then-else.
<br/><br/>

<b>-p</b> <b></b>  Indiquer dans quelle fonction C se trouve chaque changement.
<br/><br/>

<b>-P</b> <b></b>  Dans les comparaisons de rpertoires, si un fichier ne se trouve que dans le second
rpertoire, considrer qu'il est prsent, mais vide dans l'autre rpertoire.
<br/><br/>

<b>--paginate</b> <b></b>  Envoyer la sortie 
<i>pr</i> pour la paginer.
<br/><br/>

<b>-q</b> <b></b>  Indiquer seulement si les fichiers diffrent, pas les diffrences elles-mmes.
<br/><br/>

<b>-r</b> <b></b>  Lorsque l'on compare des rpertoires, comparer galement tous les sous-rpertoires
rcursivement.
<br/><br/>

<b>--rcs</b> <b></b>  Sortir les diffrences au format RCS. Comme
<b>-f</b> <b></b>  sauf que chaque commande prcise le nombre de lignes affectes.
<br/><br/>

<b>--recursive</b> <b></b>  Lorsque l'on compare des rpertoires, comparer galement tous les sous-rpertoires
rcursivement.
<br/><br/>

<b>--report-identical-files</b> <b></b>  <br/>
.ns
<br/><br/>

<b>-s</b> <b></b>  Indiquer lorsque deux fichiers sont identiques.
<br/><br/>

<b>-S </b> fichier
Lorsque l'on compare des rpertoires, commencer par le
<i>fichier indiqu.</i>
Ceci permet une reprise aprs une comparaison interrompue.
<br/><br/>

<b>--sdiff-merge-assist</b> <b></b>  Afficher des informations supplmentaires pour aider
<i>sdiff .</i>
Celui-ci utilise cette option lorsqu'il invoque
<i>diff .</i>
L'utilisateur n'a aucune raison d'appeler cette option.
<br/><br/>

<b>--show-c-function</b> <b></b>  Indiquer dans quelle fonction C se trouve chaque changement.
<br/><br/>

--show-function-line= regexp
Dans les formats contextuel et unifis, pour chaque bloc de diffrences, afficher
quelques lignes prcdentes correspondant  l'expression rationnelle
<i>regexp .</i>
<br/><br/>

<b>--side-by-side</b> <b></b>  Utiliser le format de sortie cte--cte.
<br/><br/>

<b>--speed-large-files</b> <b></b>  Utiliser une heuristique acclrant le traitement des gros fichiers ayant de nombreux
petits changements disperss.
<br/><br/>

--starting-file= fichier
Lorsque l'on compare des rpertoires, commencer par le
<i>fichier indiqu.</i>
Ceci permet une reprise aprs une comparaison interrompue.
<br/><br/>

<b>--suppress-common-lines</b> <b></b>  Ne pas afficher les lignes communes dans le format side-by-side.
<br/><br/>

<b>-t</b> <b></b>  Dvelopper les tabulations en espaces en sortie, afin de prserver l'alignement des
tabulations des fichiers d'entre.
<br/><br/>

<b>-T</b> <b></b>  Sortir une tabulation plutt qu'un espace avant le texte dans le format
normal ou contextuel. Ceci amliore la prsentation des alignements.
<br/><br/>

<b>--text</b> <b></b>  Traiter tous les fichiers comme du texte, et les comparer ligne--ligne, mme
s'ils semblent contenir des donnes binaires.
<br/><br/>

<b>-u</b> <b></b>  Utiliser le format de sortie unifi.
<br/><br/>

--unchanged-group-format= format
Utiliser le
<i>format</i> pour sortir un groupe de lignes communes aux deux fichiers, dans
le format if-then-else.
<br/><br/>

--unchanged-line-format= format
Utiliser le
<i>format</i> pour sortir une ligne commune aux deux fichiers, dans
le format if-then-else.
<br/><br/>

<b>--unidirectional-new-file</b> <b></b>  Dans les comparaisons de rpertoires, si un fichier ne se trouve que dans le second
rpertoire, considrer qu'il est prsent, mais vide dans l'autre rpertoire.
<br/><br/>

<b>-U </b> nb
<br/>
.ns
<br/><br/>

--unified[= nb ]
Utiliser le format unifi, en montrant
<i>nb</i> lignes de contexte, ou 3 lignes si
<i>nb</i> n'est pas prcis. Pour fonctionner correctement,
<i>patch</i> ncessite typiquement deux lignes de contexte
<br/><br/>

<b>-v</b> <b></b>  <br/>
.ns
<br/><br/>

<b>--version</b> <b></b>  Afficher le numro de version de
<i>diff .</i>
<br/><br/>

<b>-w</b> <b></b>  Ignorer les espaces blancs lors de la comparaison de lignes.
<br/><br/>

<b>-W </b> nb
<br/>
.ns
<br/><br/>

--width= nb
Utiliser une sortie ayant 
<i>nb</i> colonnes de texte dans le format side-by-side.
<br/><br/>

<b>-x </b> motif
Lors de la comparaison de rpertoires, ignorer les fichiers et les sous-rpertoires dont
le nom correspond au
<i>motif .</i>
<br/><br/>

<b>-X </b> file
Lors de la comparaison de rpertoires, ignorer les fichiers et les sous-rpertoires dont
le nom correspond  l'un quelconque des motifs indiqus dans le
<i>fichier .</i>
<br/><br/>

<b>-y</b> <b></b>  Utiliser l'affichage cte--cte (side-by-side).
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>cmp (1),</b>
<b>comm (1),</b>
<b>diff3 (1),</b>
<b>ed (1),</b>
<b>patch (1),</b>
<b>pr (1),</b>
<b>sdiff (1)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">diagnostic</h1>
<div class="paragraph">
Un code de retour valant 0 signifie qu'aucune diffrence n'a t trouve, 1
signifie que des diffrences sont apparues, 2 indique une erreur.
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1999-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
