<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 15/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 30/07/2003 findutils-4.1.7 -->
<br/><h1>FIND</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">expressions</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
find - Rechercher des fichiers dans une hirarchie de rpertoires.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>find</b> <b></b>  [chemin...] [expression]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>find .</b>
<b>find</b> <b></b>  parcourt les arborescences de rpertoires commenant
en chacun des <i>chemins</i> mentionns, en valuant les
expressions fournies pour chaque fichier rencontr.
L'valuation de l'expression se fait de gauche  droite,
en suivant des rgles de priorit dcrites dans la section
OPRATEURS, jusqu' ce que le rsultat soit connu (par exemple
la partie gauche vraie pour un oprateur <i>OU</i> ou fausse
pour un oprateur <i>ET</i>).<br/><br/>
Le premier argument commenant par `-', `(', `)', `,', ou `!' 
est considr comme le dbut de l'expression, tous les arguments
prcdents sont des chemins  parcourir. Tous les arguments ultrieurs
sont considrs comme le reste de l'expression rationnelle.
de point de dpart. Si aucune <i>expression</i> n'est fournie, <b>find</b>
utilise l'expression `-print' par dfaut.<br/><br/>
<b>find</b> <b></b>  se termine avec le code de retour 0 si tous les fichiers ont pu tre
examins correctement, et suprieur  0 si une erreur s'est produite.
</div><br/><br /><h1 class="TitreSection0" id="L4">expressions</h1>
<div class="paragraph"><br/><br/>
L'expression est constitue d'<b>options</b> (affectant l'ensemble des oprations
plutt que le traitement d'un fichier particulier, et renvoyant toujours
vrai), de <b>tests</b> (renvoyant une valeur vraie ou fausse), et d'<b>actions</b>
(ayant des effets de bords et renvoyant une valeur vraie ou fausse),
tous ces lments tant spars par des oprateurs.
Quand un oprateur est manquant, l'opration par dfaut -and est
applique. Si l'expression ne contient pas d'action autre que -prune,
<b>find</b> applique l'action -print par dfaut sur tous les fichiers
pour lesquels l'expression est vraie.
</div><br/><h2 class="TitreSection1" id="L7">OPTIONS</h2>
<div class="paragraph"><br/><br/>
Toutes les options renvoient toujours la valeur vraie. Elles ont
toujours un effet global, plutt que de s'appliquer uniquement 
leur emplacement dans l'expression.
Nanmoins, pour amliorer la lisibilit, il est prfrable de les
placer au dbut de l'expression.
.IP -daystart
Mesurer les temps (avec -amin, -atime, -cmin, -ctime, -mmin, et -mtime)
depuis le dbut de la journe plutt que depuis 24 heures.
.IP -depth
Traiter d'abord les sous-rpertoires avant le rpertoire lui-mme.
.IP -follow
Drfrencer les liens symboliques pour accder aux fichiers vers lesquels
ils pointent. Ceci implique l'option -noleaf.
</div><div class="paragraph">-help,<br/>
Afficher un message d'aide sur la  sortie  standard et se terminer normalement.
</div><div class="paragraph">-maxdepth<br/>
Descendre au plus <i>n</i> niveaux (<i>n</i> tant un entier positif ou nul),
dans les rpertoires parcourus. `-maxdepth 0' signifie que les tests
et les actions ne s'appliquent qu'aux arguments de la ligne de commande.
</div><div class="paragraph">-mindepth<br/>
Ne pas appliquer les tests ou les actions  des niveaux de profondeur
infrieurs  <i>n</i>. <i>n</i> est un entier positif ou nul.
`-mindepth 1' signifie que les tests et les actions s'appliquent  tous
les fichiers sauf aux arguments de la ligne de commande.
.IP -mount
Ne pas parcourir les rpertoires situs sur d'autres systmes de fichiers.
Il s'agit d'une alternative  l'option -xdev, assurant la compatibilit
avec d'anciennes versions de
<b>find .</b>
.IP "-noleaf"
Ne pas faire d'optimisation en supposant que les rpertoires contiennent
deux sous-rpertoires de moins que leurs nombres de liens physiques.
Cette option est ncessaire lorsque l'on parcourt des systmes de
fichiers ne suivant pas les conventions Unix sur les liens de rpertoires,
comme les systmes MS-DOS, les CD-ROM ou les points de montage de
volumes AFS.
Chaque rpertoire sur un systme de fichiers Unix dispose au moins
de deux liens physiques, son nom et `.'. De plus chaque sous-rpertoire
a galement un lien `..' vers le rpertoire parent.
Quand
<b>find</b> <b></b>  examine un rpertoire, il sait qu'il y a deux sous-rpertoires de moins
que de liens vers le rpertoire. Une fois qu'il a rencontr le
nombre prvu de sous-rpertoires, il est donc sr que le reste des
entres est constitu de fichiers autres que des sous-rpertoires.
Ces fichiers sont des feuilles ([NDT] `leaf') dans l'arborescence des 
rpertoires.
S'il n'y a que les noms de fichiers  examiner, il n'a plus besoin de
vrifier leur nature, et ceci fournit une augmentation notable de
la vitesse de traitement.
</div><div class="paragraph">-version,<br/>
Afficher un numro de version sur la sortie standard et se terminer
normalement.
.IP -xdev
Ne pas parcourir les rpertoires situs sur d'autres systmes de fichiers.
</div><br/><h2 class="TitreSection1" id="L7">TESTS</h2>
<div class="paragraph"><br/><br/>
Les arguments numriques peuvent tre indiqus comme suit&nbsp;:
.IP <i>+n</i>
suprieur 
<i>n ,</i>
.IP <i>-n</i>
infrieur 
<i>n ,</i>
.IP <i>n</i>
gal 
<i>n .</i>
</div><div class="paragraph">-amin<br/>
dernier accs au fichier il y a <i>n</i> minutes.
</div><div class="paragraph">-anewer<br/>
dernier accs au fichier plus rcent que la dernire modification de
<i>fichier</i>.
Le comportement de l'option -anewer est modifi par l'option -follow 
uniquement si celle-ci la prcde sur la ligne de commande.
</div><div class="paragraph">-atime<br/>
dernier accs au fichier il y a <i>n</i>*24 heures.
</div><div class="paragraph">-cmin<br/>
dernire modification du statut du fichier il y a <i>n</i> minutes.
</div><div class="paragraph">-cnewer<br/>
dernire modification du statut du fichier plus rcente que la dernire
modification du fichier <i>fichier</i>.
Le comportement de l'option -cnewer est modifi par l'option -follow
uniquement si celle-ci la prcde sur la ligne de commande.
</div><div class="paragraph">-ctime<br/>
dernire modification du statut du fichier il y a <i>n</i>*24 heures.
.IP -empty
fichier vide. De plus ce fichier doit tre rgulier ou tre un rpertoire.
.IP -false
toujours faux.
</div><div class="paragraph">-fstype<br/>
fichier se trouvant sur un systme de fichiers du <i>type</i> indiqu.
Les types de systmes de fichiers dpendent de la version d'Unix. Une
liste non exhaustive des systmes accepts sur certaines versions d'Unix
sont : ufs, 4.2, 4.3, nfs, tmp, mfs, S51K, S52K.  Vous pouvez utiliser
-printf avec la directive %F pour examiner les types de vos systmes de
fichiers.
</div><div class="paragraph">-gid<br/>
Fichier de GID numrique valant <i>n</i>.
</div><div class="paragraph">-group<br/>
fichier appartenant au groupe <i>nom_groupe</i> (ventuellement ID numrique).
</div><div class="paragraph">-ilname<br/>
identique  -lname, mais sans diffrencier les majuscules et les minuscules.
</div><div class="paragraph">-iname<br/>
identique  -name, mais sans diffrencier les majuscules et les minuscules. Par
exemple les motifs `fo*' et `F??' correspondent aux noms de fichiers `Foo',
`FOO', `foo', `fOo', etc...
</div><div class="paragraph">-inum<br/>
fichier dont le numro d'i-noeud est <i>n</i>.
</div><div class="paragraph">-ipath<br/>
identique  -path, mais sans diffrencier les majuscules et les minuscules.
</div><div class="paragraph">-iregex<br/>
identique  -regex, mais sans diffrencier les majuscules et les minuscules.
</div><div class="paragraph">-links<br/>
fichier ayant <i>n</i> liens.
</div><div class="paragraph">-lname<br/>
fichier reprsentant un lien symbolique, dont le contenu correspond au
<i>motif</i> indiqu. Lors du dveloppement des mta-caractres, `/' et `.'
ne sont pas traits diffremment des autres caractres (voir l'exemple dans
la description de l'option -path).
</div><div class="paragraph">-mmin<br/>
Fichier dont les donnes ont t modifies il y a <i>n</i> minutes.
</div><div class="paragraph">-mtime<br/>
Fichier dont les donnes ont t modifies il y a <i>n</i>*24 heures.
</div><div class="paragraph">-name<br/>
Fichier dont le nom de base (sans les rpertoires du chemin d'accs),
correspond au <i>motif</i> du shell.  Les mta-caractres (`*', `?',
et `[]') ne sont jamais mis en correspondance avec un point `.' 
au dbut du nom.  Pour ignorer un rpertoire, ainsi que tous ses
sous-rpertoires, utiliser l'option -prune&nbsp;; vous trouverez un exemple dans
la description de l'option -path.
</div><div class="paragraph">-newer<br/>
Fichier modifi plus rcemment que le <i>fichier</i> indiqu.
L'option -newer n'est affecte par l'option -follow que si celle-ci la
prcde sur la ligne de commande.
.IP -nouser
Fichier dont l'U-ID numrique ne correspond  aucun utilisateur.
.IP -nogroup
Fichier dont le G-ID numrique ne correspond  aucun groupe d'utilisateurs.
</div><div class="paragraph">-path<br/>
Fichier dont le nom complet correspond au <i>motif</i> fourni. Lors du dveloppement des mta-caractres, `/' et `.'
ne sont pas traits diffremment des autres caractres, ainsi par exemple :
<br/>
.in +1i
find . -path './sr*sc'
<br/>
.in -1i
affichera l'lment de rpertoire intitul './src/misc' (s'il en existe un).
Pour ignorer une arborescence complte de rpertoires, utilisez l'option
-prune plutt que de vrifier chaque fichier de l'arbre. Par exemple, pour
ignorer le rpertoire `src/emacs' et tous ses sous-rpertoires, tout en
affichant le nom de tous les autres fichiers, faites quelque chose comme :
<br/>
.in +1i
find . -path './src/emacs' -prune -o -print
<br/>
.in -1i
</div><div class="paragraph">-perm<br/>
Fichier dont les autorisations d'accs sont fixes exactement au <i>mode</i> 
indiqu (en notation symbolique ou octale). La notation symbolique utilise
le mode 0 comme point de dpart.
</div><div class="paragraph">-perm<br/>
Fichier ayant au moins toutes les autorisations indiques dans le <i>mode</i>.
</div><div class="paragraph">-perm<br/>
Fichier ayant certaines des autorisations indiques dans le <i>mode</i>.
</div><div class="paragraph">-regex<br/>
Nom de fichier correspondant  l'expression rationnelle <i>motif</i>.
Il s'agit d'une correspondance sur le nom de fichier complet, pas d'une
recherche. Par exemple, pour mettre en correspondance un fichier nomm
`./fubar3', vous pouvez utiliser les expressions rationnelles `.*bar.' ou `.*b.*3',
mais pas `b.*r3'.
</div><div class="paragraph">-size<br/>
Fichier utilisant <i>n</i> units d'espace.  Les units sont des blocs de 512
octets par dfaut (ou si un suffixe `b' suit le nombre <i>n</i>), 
des octets si un suffixe `c' suit <i>n</i>, des kilo-octets si un suffixe `k'
est utilis, ou des mots de 2 octets si un `w' suit le nombre <i>n</i>.
La taille ne prend pas en compte les blocs indirects, mais elle comptabilise
les blocs des fichiers parpills pas encore allous.
.IP -true
Toujours vrai.
</div><div class="paragraph">-type<br/>
Fichier du type <i>c</i>&nbsp;:
.RS
.IP b
fichier spcial en mode bloc (avec tampon)
.IP c
fichier spcial en mode caractre (sans tampon)
.IP d
rpertoire
.IP p
tube nomm (FIFO)
.IP f
fichier rgulier
.IP l
liens symbolique
.IP s
socket
.IP D
door (Solaris)

</div><div class="paragraph">-uid<br/>
Fichier dont l'U-ID numrique vaut <i>n</i>.
</div><div class="paragraph">-used<br/>
fichier dont le dernier accs date de <i>n</i> jours aprs la dernire modification
de son statut.
</div><div class="paragraph">-user<br/>
fichier appartenant  l'<i>utilisateur</i> indiqu (U-ID numrique ventuellement)
</div><div class="paragraph">-xtype<br/>
comme -type sauf si le fichier est un lien symbolique. Dans ce cas,
si l'option -follow n'a pas t fournie, le test est vrai si le fichier
destination du lien est de type <i>c</i>&nbsp;; si l'option -follow a t rclame,
le test est vrai si <i>c</i> vaut `l'.
Autrement dit, pour les liens symboliques, -xtype vrifie le type des fichiers
que l'option -type ne vrifie pas.
</div><br/><h2 class="TitreSection1" id="L7">ACTIONS</h2>
<div class="paragraph">
</div><div class="paragraph">-exec <i>commande</i><br/>
Excute la <i>commande</i>&nbsp;; vrai si le code de retour 0 est renvoy. Tous les arguments
suivants de 
<b>find</b> <b></b>  sont considrs comme des arguments pour la ligne de commande, jusqu' ce qu'on
rencontre un `;'. La chane `{}' est remplace par le nom du fichier en cours de
traitement, et ceci dans toutes ses occurrences, pas seulement aux endroits o elle
est isole, comme c'est le cas avec d'autres versions de
<b>find .</b>
Ces deux chanes peuvent avoir besoin d'tre protges du dveloppement de la ligne
de commande par le shell, en utilisant le caractre d'chappement (`\e') ou une
protection par des apostrophes. La commande est excute depuis le rpertoire
de dpart.
</div><div class="paragraph">-fls<br/>
vrai&nbsp;; comme -ls mais crit dans le <i>fichier</i> comme le fait -fprint.
</div><div class="paragraph">-fprint<br/>
vrai&nbsp;; crit le nom complet dans le <i>fichier</i>.  Si <i>fichier</i>
n'existe pas au dmarrage de <b>find</b>, il est cr. S'il existe, il
est cras. Les noms de fichiers ``/dev/stdout'' et ``/dev/stderr''
sont traits de manire spcifique, ils correspondent respectivement 
 la sortie standard, et  la sortie des erreurs.
</div><div class="paragraph">-fprint0<br/>
vrai&nbsp;; comme -print0 mais crit dans le <i>fichier</i> comme le fait -fprint.
</div><div class="paragraph">-fprintf <i>fichier</i><br/>
vrai&nbsp;; comme -printf mais crit dans le <i>fichier</i> comme le fait -fprint.
</div><div class="paragraph">-ok <i>commande</i><br/>
comme -exec mais interroge d'abord l'utilisateur (en utilisant l'entre standard).
Si la rponse ne commence pas par `y' ou `Y', la commande n'est pas excute, et
le test devient faux.
.IP -print
vrai&nbsp;; affiche le nom complet du fichier sur la sortie standard, suivi d'un saut de
ligne.
.IP -print0
vrai&nbsp;; affiche le nom complet du fichier sur la sortie standard, suivi d'un caractre
nul. Ceci permet aux fichiers dont le nom contient un saut de ligne, d'tre correctement
interprts par les programmes utilisant les donnes en sortie de <b>find</b>.
</div><div class="paragraph">-printf<br/>
vrai&nbsp;; affiche le <i>format</i> indiqu sur la sortie standard, en interprtant les
squences d'chappement `\e' et les directives`%'.
La largeur et la prcision des champs peuvent tre spcifis comme dans
la fonction <b>printf</b>(3) du langage C.
Contrairement  -print, -printf n'ajoute pas de saut de ligne  la fin
de la chane. Les squences d'chappement et les directives % sont les
suivantes&nbsp;:
.RS
.IP \ea
Sonnerie.
.IP \eb
Effacement Arrire (Backspace)
.IP \ec
Arrter immdiatement l'impression du format et vider le flux de sortie.
.IP \ef
Saut de page
.IP \en
Saut de ligne
.IP \er
Retour Chariot
.IP \et
Tabulation horizontale
.IP \ev
Tabulation Verticale
.IP \e\e
Un caractre `Backslash' littral (`\e').<br/><br/>
Un `\e' suivi de n'importe quel autre caractre est
trait comme un caractre ordinaire&nbsp;; ils sont donc
affichs tous les deux.
.IP %%
Un caractre pourcentage littral (%)
.IP %a
Date du dernier accs au fichier, dans le format renvoy par la
fonction C <b>ctime</b>(3).
.IP %A<i>k</i>
Date du dernier accs au fichier, dans le format spcifi par <i>k</i>,
qui doit tre soit un `@', soit une directive pour la fonction C
<b>strftime</b>(3).  Les valeurs possibles pour <i>k</i> sont indiques
ci-dessous, certaines d'entre-elles ne sont pas disponibles sur tous
les systmes,  cause des diffrences entre les fonctions <b>strftime</b>(3) existantes.
.RS
.IP @
secondes coules depuis le 1er Janvier 1970  00h 00 GMT.<br/><br/>
Champs horaires :
.IP H
heure (00..23)
.IP I
heure (01..12)
.IP k
heure ( 0..23)
.IP l
heure ( 1..12)
.IP M
minute (00..59)
.IP p
AM ou PM, avec la dsignation locale
.IP r
heure, sur un cadran de 12 heures (hh:mm:ss [AP]M)
.IP S
secondes (00..61)
.IP T
heure, sur un cadran de 24 heures (hh:mm:ss)
.IP X
reprsentation locale de l'heure (H:M:S)
.IP Z
fuseau horaire (par exemple MET), ou rien si le fuseau horaire
est indtermin.<br/><br/>
Champs de date :
.IP a
abrviation locale du jour de la semaine (Dim .. Sam)
.IP A
nom local entier du jour de la semaine, de longueur variable (Dimanche .. Samedi)
.IP b
abrviation locale du mois (Jan..Dec)
.IP B
nom local entier du mois, de longueur variable (Janvier .. Dcembre)
.IP c
date et heure locales (Sam Nov 04 12:02:33 EST 1989)
.IP d
quantime du mois (01..31)
.IP D
date (mm/jj/aa)
.IP h
comme b
.IP j
jour de l'anne (001..366)
.IP m
mois (01..12)
.IP U
numro de la semaine dans l'anne, les semaines commenant le Dimanche (00..53)
.IP w
jour de la semaine (0..6), 0 correspond  Dimanche
.IP W
numro de la semaine dans l'anne, les semaines commenant le Lundi (00..53)
.IP x
reprsentation locale de la date (mm/jj/aa)
.IP y
les deux dernier chiffres de l'anne
 (00..99)
.IP Y
anne (1970...)

.IP %b
Taille du fichier en nombre de blocs de 512 octets (arrondi par excs).
.IP %c
Date de dernire modification du statut du fichier, dans le format
renvoy par la fonction C <b>ctime</b>(3).
.IP %C<i>k</i>
Date de dernire modification du statut du fichier, dans le format
spcifi par <i>k</i>, comme pour la directive %A.
.IP %d
Profondeur du fichier dans l'arborescence des rpertoires, 0 signifiant
que le fichier est un argument de la ligne de commande.
.IP %f
Nom du fichier, sans nom de rpertoire.
.IP %F
Type de systme de fichiers sur lequel se trouve le fichier. Cette
valeur peut tre utilise pour l'option -fstype.
.IP %g
Nom du groupe propritaire du fichier, ou G-ID numrique si le groupe n'a pas de
nom.
.IP %G
G-ID numrique du fichier.
.IP %h
Rpertoires en tte du nom de fichier (tout sauf le dernier nom).
.IP %H
Argument de la ligne de commande  partir duquel le fichier a t
trouv.
.IP %i
Numro d'i-noeud du fichier (en dcimal).
.IP %k
Taille du fichier, en nombre de blocs de 1 Kilo-Octet, arrondi par excs.
.IP %l
Destination du lien symbolique (vide si le fichier n'est pas un lien symbolique).
.IP %m
Bits d'autorisation d'accs au fichier (en octal).
.IP %n
Nombre de liens physiques sur le fichier.
.IP %p
Nom du fichier.
.IP %P
Nom du fichier, ainsi que le nom de l'argument de ligne de commande
 partir duquel le fichier a t trouv.
.IP %s
Taille du fichier en octets.
.IP %t
Date de dernire modification du fichier, dans le format
renvoy par la fonction C <b>ctime</b>(3).
.IP %T<i>k</i>
Date de dernire modification du fichier, dans le format
spcifi par <i>k</i>, comme pour la directive %A.
.IP %u
Nom du propritaire du fichier, ou U-ID numrique si 
l'utilisateur n'a pas de nom.
.IP %U
U-ID numrique du propritaire du fichier.<br/><br/>
Un caractre `%' suivi de tout autre caractre est limin (mais le
second caractre est affich).

.IP -prune
vrai si l'option -depth n'est pas fournie&nbsp;; ne pas descendre dans l'arborescence
du rpertoire en cours.
<br/>
faux si l'option -depth est fournie, et sans effet.
.IP -ls
vrai, affiche le nom du fichier en cours dans le format `ls -dils' sur la sortie standard.
La taille est compte en blocs de 1 Ko,  moins que la variable d'environnement
POSIXLY_CORRECT soit positionne, auquel cas la taille est calcule en blocs de 512 octets.
</div><br/><h2 class="TitreSection1" id="L7">OPRATEURS</h2>
<div class="paragraph"><br/><br/>
Dans l'ordre de priorit dcroissante :
</div><div class="paragraph">( <i>expr</i><br/>
Force la priorit.
</div><div class="paragraph">!<br/>
Vrai si <i>expr</i> est fausse.
</div><div class="paragraph">-not<br/>
Comme ! <i>expr</i>.
</div><div class="paragraph">\fIexpr1<br/>
ET (implicite)&nbsp;; <i>expr2</i> n'est pas value si <i>expr1</i> est fausse.
</div><div class="paragraph"><i>expr1</i> -a<br/>
Comme <i>expr1 expr2</i>.
</div><div class="paragraph"><i>expr1</i> -and<br/>
Comme <i>expr1 expr2</i>.
</div><div class="paragraph"><i>expr1</i> -o<br/>
OU&nbsp;; <i>expr2</i> n'est pas value si <i>expr1</i> est vraie.
</div><div class="paragraph"><i>expr1</i> -or<br/>
Comme <i>expr1</i> -o <i>expr2</i>.
</div><div class="paragraph"><i>expr1</i> ,<br/>
Liste&nbsp;; <i>expr1</i> et <i>expr2</i> sont toujours values toutes les deux.
La valeur de <i>expr1</i> est ignore&nbsp;; la valeur de la liste est celle de
<i>expr2</i>.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>locate</b>(1L), <b>locatedb</b>(5L), <b>updatedb</b>(1L), <b>xargs</b>(1L)
<b>Finding Files</b> (en ligne dans Info, ou en version imprime)
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
