<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 10/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>FMT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fmt - Mettre en forme des textes.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>fmt</b> <b></b>  [-cstu] 
[-width] 
[-w width] 
[-p prefix]
[--crown-margin]
[--split-only]
[--tagged-paragraph]
[--uniform-spacing]
[--width=largeur]
[--prefix=prefixe]
[--help]
[--version]
[fichier ...]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>fmt .<br/><br/></b>
<b>fmt</b> <b></b>  est un formateur simple de texte qui regroupe les lignes pour
obtenir des lignes de sortie ayant (jusqu') la
<i>largeur</i> indique (par dfaut 75 caractres).<br/><br/>
Nanmoins
<b>fmt</b> <b></b>  utilise un algorithme de csure optimale
<b>best-fit ,</b>
version simple adapte de
\*(lqBreaking Paragraphs into Lines\*(rq,
Donald E. Knuth and Michael F. Plass,
<i>Software\(emPractice and Experience</i> <b>11</b> <b></b>  (1981) 1119-1184.<br/><br/>
<b>fmt</b> <b></b>  met bout  bout les
<i>fichiers</i>
indiqus en arguments. Si aucun n'est mentionn,
<b>fmt</b> <b></b>  met en forme l'entre standard.<br/><br/>
Les lignes blanches sont conserves en sortie, tout comme les espacements
entre les mots
(a moins que l'option
<i>-u</i> soit utilise).
Contrairement  la version BSD de
<b>fmt ,</b>
celle-ci dveloppe les tabulations en entre, et les rintroduit en sortie.<br/><br/>
L'indentation est conserve en sortie, et les lignes ayant des niveaux
d'indentation diffrents ne sont pas regroupes (sauf si les options
<i>-c</i> ou
<i>-t</i> sont utilises).
Bien que la page de manuel BSD de
<b>fmt</b> <b></b>  prtende la mme chose, en ralit leur version regroupe une ligne et
sa suivante si cette dernire a une indentation plus courte.<br/><br/>
<b>fmt</b> <b></b>  <b></b>  prfre couper les lignes en fin de phrase, et essaye d'viter de retourner
 la ligne aprs le premier mot, ou avant le dernier mot d'une phrase.
La fin d'une phrase est dfinie soit par la fin d'un paragraphe, soit
par un mot termin par les caractres `.', `?' ou `!', suivi de deux
espaces ou d'une fin de ligne, en ignorant les parenthses ou les
guillemets intermdiaires. <br/><br/>
[NDT] : il s'agit l de la mise en forme de
textes anglo-saxons. En franais nous prfrons insrer une espace entre le dernier mot et
`!' ou `?'. De mme nous ne plaons qu'une
seule espace aprs un point. Ne soyez pas tonns si certaines possibilits
de <b>fmt</b> ne fonctionnent pas sur un texte franais.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>-c, --crown-margin</i> Conserver l'indentation des deux premires lignes de chaque paragraphe,
et aligner la marge gauche des lignes suivantes avec la seconde ligne.
<br/><br/>

<i>-t, --tagged-paragraph</i> Comme `-c' sauf que les deux premires lignes d'un paragraphe doivent
avoir des indentations diffrentes, sinon la premire ligne est considre
comme un paragraphe  elle toute seule.
<br/><br/>

<i>-s, --split-only</i> Seulement couper les lignes. Ne pas joindre les lignes successives
pour en former une plus longue. Ceci vite de combiner indment
des lignes de code, ou des paragraphes dj \*(lqmis en forme\*(rq.
<br/><br/>

<i>-u, --uniform-spacing</i> Espacement uniforme.
Rduire les espacements entre les mots  une espace, sauf  la fin d'une
phrase. 
<br/><br/>

<i>-width, -w largeur, --width=largeur</i> Remplir les lignes jusqu' la
<i>largeur</i> mentionne (par dfaut 75 caractres).
<b>fmt</b> <b></b>  <b></b>  prfre rendre les lignes plus courtes de 7%, afin d'avoir la place
d'quilibrer les longueurs de ligne.
<br/><br/>

<i>-p, --prefix=prfixe</i> N'arranger que les lignes commenant par le <i>prfixe</i> indiqu
(ventuellement prcd d'espaces). Ce prfixe (et ses espaces prcdents
ventuels) est supprim pour la mise en forme, puis rinsr ensuite.
Ceci permet de mettre en forme les commentaires de certains types de
programmes, sans toucher au code.
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer
normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
