<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright Andries Brouwer, Ragnar Hojland Espinosa and A. Wik, 1998. -->
<!--  -->
<!--  This file may be copied under the conditions described -->
<!--  in the LDP GENERAL PUBLIC LICENSE, Version 1, September 1998 -->
<!--  that should have been distributed together with this file. -->
<!--  -->
<!--  -->
<!--  Traduction 24/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>INSTALL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">options de sauvegarde gnu</a>
<br /><a class="summaryIndent0" href="#L5">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L6">environnement</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">notes</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
install - Copier des fichiers et positionner leurs attributs.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>install</b> <b></b>  [ options ]
<b>[-s]</b> <b></b>  <b>[--strip]</b> <b></b>  <i>source dest</i> <br/>
<b>install</b> <b></b>  [ options ]
<b>[-s]</b> <b></b>  <b>[--strip]</b> <b></b>  <i>source... rpertoire</i> <br/>
<b>install</b> <b></b>  [ options ]
<b>[-d</b> <b></b> ,<b>--directory]</b> <b></b>  <i>rpertoire...</i> <br/><br/>

Options (version courte):
<br/>
<b>[-b]</b> <b></b>  <b>[-c]</b> <b></b>  <b>[-D]</b> <b></b>  <b>[-g </b> groupe ]
<b>[-m </b> mode ]
<b>[-o </b> propritaire ]
<b>[-S </b> SUFFIXE ]
<b>[-V</b> <b></b>  <b>{numbered</b> <b></b> ,<b>existing</b> <b></b> ,<b>simple}]</b> <b></b>  <b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>install</b> <b></b>  copie des fichiers tout en positionnant les modes d'accs et si possible
le propritaire et le groupe.<br/><br/>
Dans sa premire forme, le fichier
<i>source</i> est copi dans le fichier
<i>dest .</i>
Dans la seconde, chaque fichier
<i>source</i> est copi dans le
<i>rpertoire</i> destination.
Dans la dernire forme, chaque
<i>rpertoire</i> (ainsi que tout rpertoire parent inexistant) est cr.<br/><br/>
<b>install</b> <b></b>  est similaire 
<b>cp ,</b>
mais vous permet de contrler les attributs des fichiers destinations.
Il est typiquement utilis dans les fichiers Makefiles, pour copier
les programmes dans leurs rpertoires dfinitifs.
Il refuse de copier un fichier sur lui-mme.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

<b>-c"</b> <b></b>  Ignor. Pour compatibilit avec de vieilles versions Unix d'<b>install</b>.
<br/><br/>

<b>-d</b> <b></b> ,<b></b>  <b>--directory"</b> <b></b>  Crer chaque rpertoire indiqu ainsi que les rpertoires parents manquants,
en fixant le propritaire, le groupe et le mode comme indiqu sur la
ligne de commande, ou avec les valeurs par dfaut.
Donner ces attributs aux rpertoires parents crs (ce qui diffre de
SunOS 4.x o
<b>install ,</b>
donne les attributs par dfaut aux rpertoires parents crs.)
<br/><br/>

<b>-D"</b> <b></b>  Crer tous les rpertoires parents de
<i>dest</i> sauf le dernier, puis copier
<i>source</i> dans
<i>dest .</i>
Cette option est utile avec le premier format ci-dessus.
(Nouveaut dans fileutils-4.0).
<br/><br/>

<b>-g </b> <i>groupe</i> <b>, --group=</b> <i>groupe</i>
Donner aux fichiers installs et aux rpertoires cres le
<i>groupe</i> indiqu.
La valeur par dfaut est le groupe du processus appelant.
Le
<i>groupe</i> peut tre mentionn sous forme numrique ou par son nom.
<br/><br/>

<b>-m </b> <i>mode</i> <b>, --mode=</b> <i>mode</i>
Donner aux fichiers installs et aux rpertoires cres le
<i>mode</i> indiqu. Celui-ci peut tre fournit sous forme de nombre octal,
ou sous forme de mode symbolique comme avec
<b>chmod ,</b>
en utilisant 0 comme point de dpart. Le mode par dfaut est 0755,
lecture, criture, excution pour le propritaire, lecture et excution
pour le groupe et les autres.
<br/><br/>

<b>-o </b> <i>propritaire</i> <b>, --owner=</b> <i>propritaire</i>
Si
<b>install</b> <b></b>  est invoqu avec les privilges appropris (excut sous root), il donne
aux fichiers installs et aux rpertoires crs le
<i>propritaire</i> indiqu. La valeur par dfaut est `root'.
Le
<i>propritaire</i> peut tre mentionn sous forme numrique ou par son nom.
<br/><br/>

<b>-s</b> <b></b> ,<b></b>  <b>--strip"</b> <b></b>  Rduire la table des symboles des excutables binaires installs.
</div><br/><br /><h1 class="TitreSection0" id="L5">options de sauvegarde gnu</h1>
<div class="paragraph">
Les versions GNU des programmes comme
<b>cp ,</b>
<b>mv ,</b>
<b>ln ,</b>
<b>install</b> <b></b>  et
<b>patch</b> <b></b>  <b></b>  creront au besoin une copie de sauvegarde des fichiers  craser,
 modifier ou  dtruire.
On demande une copie de sauvegarde  l'aide de l'option -b,
on indique la nomenclature  adopter avec l'option -V, et si
la sauvegarde se fait avec un suffixe, celui-ci est prcis avec l'option -S.
<br/><br/>

<b>-b</b> <b></b> ,<b></b>  <b>--backup"</b> <b></b>  Crer une copie de sauvegarde des fichiers  craser ou  dtruire.
<br/><br/>

<b>-S </b> SUFFIXE <i>, --suffix=</i> SUFFIXE
Ajouter le
<i>SUFFIXE</i> indiqu  chaque fichier de sauvegarde cr.
Si cette option n'est pas indique, on utilisera la valeur de la variable
d'environnement
<b>SIMPLE_BACKUP_SUFFIX .</b>
Si la variable
<b>SIMPLE_BACKUP_SUFFIX</b> <b></b>  n'existe pas, la valeur par dfaut est `~'.
<br/><br/>

<b>-V </b> MTHODE <i>, --version-control=</i> MTHODE
.RS
Prciser la nomenclature des fichiers de sauvegarde
La
<i>MTHODE</i> indique peut tre `numbered' (`t'), `existing' (`nil'), ou `never' (`simple').
Si cette option n'est pas indique, la valeur de la variable
d'environnement
<b>VERSION_CONTROL</b> <b></b>  est utilise, et si la variable
<b>VERSION_CONTROL</b> <b></b>  n'existe pas, la valeur par dfaut est `existing'.<br/><br/>
Cette option correspond  la variable `version-control' sous Emacs.
Les 
<i>MTHODES</i>
valides (les abrviations non-ambigus sont acceptes) sont :
<br/><br/>

<b>t </b>, <b> numbered</b>
Toujours faire une sauvegarde numrote.
<br/><br/>

<b>nil </b>, <b> existing</b>
Faire une sauvegarde numrote des fichiers en ayant dj une prcdente, et
une sauvegarde simple pour les autres.
<br/><br/>

<b>never </b>, <b> simple</b>
Faire toujours une sauvegarde simple.

</div><br/><br /><h1 class="TitreSection0" id="L6">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer correctement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard, et se terminer
correctement.
<br/><br/>

<b>--"</b> <b></b>  Fin de la liste d'options.
</div><br/><br /><h1 class="TitreSection0" id="L7">environnement</h1>
<div class="paragraph">
Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES
ont leurs significations habituelles. Pour la version GNU, les variables
SIMPLE_BACKUP_PREFIX et VERSION_CONTROL modifient les noms des fichiers
de sauvegarde, comme dcrit ci-dessus.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
BSD 4.2 (qui dispose des options -c, -m, -o, -g et -s).
</div><br/><br /><h1 class="TitreSection0" id="L9">notes</h1>
<div class="paragraph">
Cette page dcrit la version de
<b>install</b> <b></b>  se trouvant dans le paquetage fileutils-4.0.
D'autres versions peuvent diffrer lgrement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
