<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 2002 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>INTRO</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
intro - Introduction aux commandes utilisateur
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Linux est une version d'Unix, et en premire approximation, toutes
les commandes utilisateur sous Unix fonctionnent exactement de la mme
faon sous Linux (et FreeBSD et des tas d'autres clones d'Unix).<br/><br/>
Sous Linux il existe des interfaces utilisateur graphiques, o vous pouvez
pointer et cliquer sur des composants graphiques et obtenir un rsultat
sans vous soucier de lire la documentation. L'environnement traditionnel
d'Unix est plutt orient vers la ligne de commande, o vous tapez les
commandes pour les actions dsires. C'est plus rapide et plus puissant,
mais ncessite de bien connatre les commandes.
Vous trouverez ci-dessous le minimum pour dbuter.
</div><br/><h2 class="TitreSection1" id="L4">Connexion</h2>
<div class="paragraph">
Afin de commencer  travailler, vous devrez probablement commencer par vous
connecter (vous "loguer" dans le jargon Unix) c'est  dire fournir vos
nom d'utilisateur et mot de passe. Voir aussi
<b>login (1).</b>
Le programme
<i>login</i> lancera un
<i>shell</i> (interprteur de commande) pour vous. Dans le cas d'un environnement
graphique, vous obtiendrez un cran avec menus et icnes et un clic de
souris dbutera un shell dans une fentre. Voir aussi
<b>xterm (1).</b>
</div><br/><h2 class="TitreSection1" id="L4">LE SHELL</h2>
<div class="paragraph">
On saisit des commandes pour le
<i>shell ,</i>
l'interprteur de commandes. Il n'est pas intgr dans le noyau Linux, c'est
juste un programme comme un autre. Vous pouvez changer de shell, chacun a
son favori. Le shell standard est appel
<i>sh .</i>
Voir aussi
<b>ash (1),</b>
<b>bash (1),</b>
<b>csh (1),</b>
<b>zsh (1),</b>
<b>chsh (1).<br/><br/></b>
Une session peut se drouler ainsi&nbsp;:<br/><br/>
.RS

<b>venux login: </b> ccb
<b>Password: </b> ********
<b>$ </b> cal
    juillet 2003
di lu ma me je ve sa 
       1  2  3  4  5
 6  7  8  9 10 11 12
13 14 15 16 17 18 19
20 21 22 23 24 25 26
27 28 29 30 31<br/><br/>
<b>$ </b> ls
bin  tel
<b>$ </b> <i>ls -l</i>
drwxr-xr-x    2 ccb      ccb          4096 jui 19 13:52 bin
-rw-r--r--    1 ccb      ccb            42 jui 26 18:45 tel
<b>$ </b> <i>cat tel</i>
maja    0501-1136285
peter   0136-7399214
<b>$ </b> <i>cp tel tel2</i>
<b>$ </b> <i>ls -l</i>
drwxr-xr-x    2 ccb      ccb          4096 jui 19 13:52 bin
-rw-r--r--    1 ccb      ccb            42 jui 26 18:45 tel
-rw-r--r--    1 ccb      ccb            42 jui 26 18:45 tel2
<b>$ </b> <i>mv tel tel1</i>
<b>$ </b> <i>ls -l</i>
drwxr-xr-x    2 ccb      ccb          4096 jui 19 13:52 bin
-rw-r--r--    1 ccb      ccb            42 jui 26 18:45 tel1
-rw-r--r--    1 ccb      ccb            42 jui 26 18:45 tel2
<b>$ </b> <i>diff tel1 tel2</i>
<b>$ </b> <i>rm tel1</i>
<b>$ </b> <i>grep maja tel2</i>
maja    0501-1136285
<b>$ </b>



et en tapant Contrle-D, la session se termine.
Le
<b>$</b> <b></b>  <b></b> <b></b>  tait l'invite de commande - le "prompt" - c'est ainsi que le shell indique
qu'il attend la commande suivante. Le prompt peut tre personnalis
de nombreuses manires, par exemple en incluant le nom d'utilisateur, 
de machine, le rpertoire en cours, l'heure, etc.
Une affectation PS1="Ensuite, matre&nbsp;? "
changera le prompt pour la chane indique.<br/><br/>
Nous voyons qu'il existe une commande
<i>date</i> (qui donne la date et l'heure), et
<i>cal</i> (qui fournit un calendrier).<br/><br/>
La commande
<i>ls</i> liste le contenu du rpertoire en cours - elle vous indique quels sont les 
fichiers prsents. Avec une option -l, elle donne un listing plus long
qui inclut le propritaire, la taille et la date du fichier avec les permissions
dont les gens disposent pour lire, crire ou modifier le fichier.
Par exemple, le fichier "tel" ici fait 42 octets de long, il appartient  ccb,
le propritaire peut le lire et y crire, les autres seulement y lire.
Le propritaire et les permissions peuvent tre changes par les commandes
<i>chown</i> et
<i>chmod .<br/><br/></i>
La commande
<i>cat</i> montre le contenu du fichier..
(Son nom vient de "concatner et afficher"&nbsp;: tous les fichiers donns en
paramtres sont concatns et envoys sur la "sortie standard", en l'occurence
l'cran du terminal).<br/><br/>
La commande
<i>cp</i> (de "copier") ralise une copie d'un fichier.
D'autre part, la commande
<i>mv</i> (de "move", dplacer) ne fait que le renommer.<br/><br/>
La commande
<i>diff</i> affiche les diffrences entre deux fichiers.
Ici, elle n'affiche rien car il n'y a pas de diffrences.<br/><br/>
La commande
<i>rm</i> (de "remove", supprimer) supprime le fichier. Soyez prudent&nbsp;! Il disparait
compltement, il n'y a pas de corbeille temporaire. Supprimer signifie supprimer&nbsp;!<br/><br/>
La commande
<i>grep</i> (de "g/re/p") recherche les occurences d'une chane dans un ou plusieurs fichiers.
Ici il cherche le numro de tlphone de Maja.
</div><br/><h2 class="TitreSection1" id="L4">CHEMINS D'ACCS ET RPERTOIRE COURANT</h2>
<div class="paragraph">
Les fichiers sont situs dans une grande arborescence, le systme de fichiers.
Chacun dispose d'un
<i>chemin d'accs</i> dcrivant le chemin depuis la racine de l'arbre (nomme /) jusqu'au fichier.
Par exemple, un tel chemin serait /home/ccb/tel.
Il ne serait pas pratique de toujours fournir le chemin complet, et le nom
du fichier dans le rpertoire courant peut tre abrg en ne donnant que
son dernier composant. C'est pourquoi "/home/ccb/tel" peut tre rduit
 "tel" si le rpertoire en cours est "/home/ccb".<br/><br/>
La commande
<i>pwd</i> affiche le nom du rpertoire en cours.<br/><br/>
La cmmande 
<i>cd</i> change le rpertoire en cours. 
Essayez "cd /" et "pwd" et "cd" et "pwd".
</div><br/><h2 class="TitreSection1" id="L4">RPERTOIRES</h2>
<div class="paragraph">
La commande
<i>mkdir</i> cre un nouveau rpertoire.<br/><br/>
La commande
<i>rmdir</i> supprime un rpertoire s'il est vide et grogne sinon.<br/><br/>
La commande
<i>find</i> (avec une syntaxe un peu baroque) recherche les fichiers avec un nom
ou des proprits donns. Par exemple, "find . -name tel" recherchera le fichier
"tel" en partant du rpertoire courant (qui est nomm ".").
Et "find / -name tel" fera la mme chose en partant de la racine de l'arborescence.
Les recherches sur des gros disques peuvent prendre un temps consquent,
et il est parfois prfrable d'utiliser
<b>locate (1).</b>
</div><br/><h2 class="TitreSection1" id="L4">DISQUES ET SYSTMES DE FICHIERS</h2>
<div class="paragraph">
La commande
<i>mount</i> attachera le systme de fichiers se trouvant sur un disque (ou disquette, CDROM...)
dans la grande hirarchie des systmes de fichiers, et
<i>umount</i> le dtachera  nouveau.
La commande
<i>df</i> vous indiquera quel espace disque est libre.
</div><br/><h2 class="TitreSection1" id="L4">PROCESSUS</h2>
<div class="paragraph">
Sur un systme Unix, de nombreux utilisateurs et processus agissent simultanment.
Les processus avec lesquels vous dialoguez s'excutent 
<i>l'avant-plan</i> ,</i>
les autres 
<i>l'arrire-plan</i> .</i>
La commande
<i>ps</i> vous montrera quels sont les processus actifs et leurs numros
d'identification.
La commande
<i>kill</i> permet d'en liminer. Sans option, il s'agit d'une demande amicale&nbsp;:
s'il te plait, termine-toi. Et "kill -9" suivi du numro du processus le
tuera immdiatement.
Les processus  l'avant-plan peuvent souvent tre tus en tapant Contrle-C.
</div><br/><h2 class="TitreSection1" id="L4">OBTENIR DES INFORMATIONS</h2>
<div class="paragraph">
Il existe des centaines de commandes, chacune avec de nombreuses options.
Traditionnellement, les commandes sont documentes par des
<i>pages de manuel</i> </i>
(comme celle-ci), ainsi la commande "man kill" dcrira l'utilisation de 
la commande "kill" (et "man man" documentera la commande "man").
[NDT&nbsp;: Une bonne part des pages de manuel existe en version franaise.]
Le programme
<i>man</i> envoie le texte  travers un programme de
<i>pagination ,</i>
habituellement
<i>less .</i>
Pressez la barre d'espace pour passer  la page suivante, et 'q' pour quitter.<br/><br/>
Dans la documentation, on a pour coutume d'indiquer une page de manuel
en donnant son nom suivi du numro de section entre parenthse, comme
<b>man (1).</b>
Les pages de manuel sont prcises et vous permettent de retrouver vite des
dtails oublis. Pour les dbutants, un tutoriel avec des exemples et
des explications supplmentaires est aussi trs utile.<br/><br/>
Beaucoup de programme de la collection GNU sont fournis avec des fichiers info.
Tapez "info info" pour savoir comment utiliser le programme "info".<br/><br/>
Les sujets spciaux sont souvent traits dans des documents HOWTOs (qui existent
galement en version franaise). Regardez dans 
<i>/usr/share/doc/howto/fr</i> et utilisez un navigateur web si les fichiers sont en HTML.
<!--  -->
<!--  Actual examples? Separate section for each of cat, cp, ...? -->
<!--  gzip, bzip2, tar, rpm -->
</div><br/><br /><h1 class="TitreSection0" id="L3">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
