<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 12/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>JOIN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
join - Fusionner les lignes de deux fichiers ayant un champ commun.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>join</b> <b></b>  [-a 1|2] [-v 1|2] [-e chane] [-i] [-o liste_champs...] [-t caractre]
[-j[1|2] champ] [-1 champ] [-2 champ] fichier_1 fichier_2
<br/>
<b>join</b> <b></b>  {--help,--version}
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>join .<br/><br/></b>
<b>join</b> <b></b>  affiche sur la sortie standard une ligne pour chaque paire de lignes
d'entre, l'une provenant de
<i>fichier_1</i> et l'autre de
<i>fichier_2 ,</i>
qui disposent de champs de fusion identiques.<br/><br/>
N'importe lequel des deux fichiers (mais pas les deux en mme temps)
peut tre `-' ce qui reprsente l'entre standard.<br/><br/>
<i>fichier_1</i> et
<i>fichier_2</i> doivent tre pralablement tris en ordre croissant (pas ncessairement
numrique) sur leur champ utilis pour la fusion. Si l'option
<i>-t</i> n'est pas prcise, les fichiers doivent tre tris en ignorant les blancs
en dbut de ligne, comme
<b>sort (1)</b>
le fait avec l'option
<i>-b .<br/><br/></i>
Les lments par dfaut sont les suivants :
Le champ de fusion est le premier champ sur chaque ligne. Les champs en
entre sont spars par un ou plusieurs blancs, les blancs en dbut de
ligne tant ignors. Les champs en sortie sont spars par une espace.
Chaque ligne de sortie commence par le champ de fusion, puis les champs
restants de 
<i>fichier_1 ,</i>
enfin, ceux restants de
<i>fichier_2 .</i>
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>-a numro</i> Afficher en plus sur la sortie standard une ligne pour chaque ligne du fichier
<i>numro</i> (1 ou 2), qui ne peut pas tre apparie.
<br/><br/>

<i>-e chane</i> Remplacer les champs de sortie vides (ceux qui manquent dans les entres) par 
la
<i>chane .</i>
<br/><br/>

<i>-i</i> Ignorer les diffrences majuscules/minuscules dans les comparaisons.
<br/><br/>

<i>-1, -j1 champ</i> Effectuer la fusion sur le
<i>champ</i> (un entier positif) du fichier 1.
<br/><br/>

<i>-2, -j2 champ</i> Effectuer la fusion sur le
<i>champ</i> (un entier positif) du fichier 2.
<br/><br/>

<i>-j champ</i> quivalent 
<i>-1 champ -2 champ</i> .</i>
<br/><br/>

<i>-o liste_des_champs...</i> Construire les lignes de sortie en utilisant le format indiqu dans
la
<i>liste_des_champs.</i>
Chaque lment de la
<i>liste_des_champs.</i>
consiste en un numro de fichier (1 ou 2), un point-virgule, et un
numro de champ (un entier positif). Les lments de la liste sont
spars par des virgules ou des espaces.
Plusieurs arguments de la
<i>liste_de_champs</i> peuvent tre fournis en une seule option
<i>-o .</i>
Les arguments de toutes les listes indiques par les options
<i>-o</i> sont mis bout  bout.
<br/><br/>

<i>-t caractre</i> Utiliser le
<i>caractre</i> indiqu comme sparateur de champs, tant en entre qu'en sortie.
<br/><br/>

<i>-v numro</i> Afficher sur la sortie standard,  la place du rsultat habituel,
une ligne pour chaque ligne du fichier
<i>numro</i> (1 ou 2), qui ne peut pas tre apparie.<br/><br/>
De plus, quand la version GNU de
<b>join</b> <b></b>  est invoque avec un seul argument, les options suivantes sont reconnues :
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
