<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 08/06/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 30/07/2003 PSMISC-21.2 -->
<br/><h1>KILLALL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">auteur</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
killall - Envoyer un signal  des processus indiqus par leurs noms.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
<b>killall</b> <b></b>  [ -e , --exact ]</b>
[ -g , --process-group ]</b>
[ -i , --interactive ]</b>
[ -q , --quiet ]</b>
[ -v , --verbose ]</b>
[ -w , --wait ]</b>
[ -V, --version ]</b>
[ -S , --sid ]</b>
[ -c , --context ]</b>
[ -s , --signal</b>
<i>signal ]</i>
[ -- ]</b>
<i>nom ...</i> <br/>
<b>killall</b> <b></b>  -l</b>
<br/>
<b>killall</b> <b></b>  -V, --version</b>
.ad b
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>killall</b> <b></b>  envoie un signal  tous les processus en train d'excuter les commandes
mentionnes. Si aucun signal n'est prcis, TERM est envoy.<br/><br/>
Les signaux peuvent tre indiqus soit par leur nom (par exemple <b>-HUP</b>)
soit par leur numro (par exemple <b>-1</b>).
Le signal 0 (vrifier que le processus existe) n'a pas de nom.<br/><br/>
Si le nom de la commande contient un slash (<b>/</b>),
les processus excutant ce fichier seront slectionns, indpendamment de
leurs noms.<br/><br/>
<b>killall</b> renvoie un code non-nul si aucun processus n'a t trouv
pour une au moins des commandes prcises.
Si un processus au moins a reu un signal pour chaque commande mentionne,
<b>killall</b> renvoie zro.<br/><br/>
Un processus <b>killall</b> ne s'envoie jamais de signal  lui-mme
(mais il peut en envoyer  d'autres processus <b>killall</b>).
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
</div><div class="paragraph"><b>-e</b>,<br/>
Demander une correspondance exacte pour les noms trs longs. Si un nom de
commande est plus long que 15 caractres, il peut tre tronqu (s'il est
swapp, par ex.) Ainsi, <b>killall</b> tuera tout ce qui correspond aux 15
premiers caractres. Avec l'option <b>-e</b>, les entres partielles sont
sautes, et <b>killall</b> affiche un message pour chacune d'entre-elles si
<b>-v</b> est spcifie avec <b>-e</b>.
</div><div class="paragraph"><b>-g</b>,<br/>
Tuer le groupe auquel le processus appartient. Les signal n'est envoy qu'une
seule fois au groupe, mme si plusieurs processus lui appartenant ont t
trouvs.
</div><div class="paragraph"><b>-i</b>,<br/>
Demander confirmation interactivement avant l'mission du signal.
</div><div class="paragraph"><b>-l</b>,<br/>
Afficher la liste de tous les signaux connus.
</div><div class="paragraph"><b>-q</b>,<br/>
Ne pas se plaindre si aucun processus n'est tu.
</div><div class="paragraph"><b>-v</b>,<br/>
Afficher un compte-rendu de l'mission du signal.
</div><div class="paragraph"><b>-V</b>,<br/>
Afficher un numro de version.
</div><div class="paragraph"><b>-w</b>,<br/>
Attendre que tous les processus tus meurent. <b>killall</b> vrifiera une
fois par seconde s'il existe encore un processus vis, et ne reviendra que
lorsqu'il n'y en aura plus. Notez que <b>killall</b> peut attendre
indfiniment si le signal est ignor, n'a pas d'effet ou si le processus
reste  l'tat zombie.
.IP <b>-S</b>
(Flask seulement) Ne tuer que les processus avec le SID indiqu. Impossible
avec <b>-c</b>. Doit prcder les autres arguments sur la ligne de commande.
.IP <b>-c</b>
(Flask seulement) Ne tuer que les processus avec le contexte de scurit
indiqu. Impossible avec <b>-S</b>. Doit prcder les autres arguments sur la
ligne de commande.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">

/proc	emplacement du pseudo-systme de fichiers Proc.


</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
La slection des processus par nom de fichier ne fonctionne que pour
les excutables qui sont maintenus ouverts pendant l'excution. Un
excutable corrompu ne peut pas tre tu de cette manire.<br/><br/>
Attention, la commande <b>killall</b> <i>nom</i> n'a peut-tre pas la
mme signification sur des systmes non-Linux, tout spcialement
lorsqu'elle est invoque par un utilisateur privilgi...<br/><br/>
<b>killall -w</b> ne dtecte pas si un processus disparat et est remplac
par un nouveau processus avec le mme PID entre deux examens.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">auteur</h1>
<div class="paragraph">
Werner Almesberger &lt;werner.almesberger@lrc.di.epfl.ch&gt;
Since version 20 Craig Small &lt;csmall@small.dropbear.id.au&gt;
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>kill (1),</b>
<b>fuser (1),</b>
<b>pgrep (1),</b>
<b>pidof (1),</b>
<b>ps (1),</b>
<b>kill (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
