.\" Copyright 1995-2000 David Engel (david@ods.com)
.\" Copyright 1995 Rickard E. Faith (faith@cs.unc.edu)
.\" Copyright 2000 Ben Collins (bcollins@debian.org)
.\"    Redone for GLibc 2.2
.\" Copyright 2000 Jakub Jelinek (jakub@redhat.com)
.\"    Corrected.
.\" Most of this was copied from the README file.
.\" Do not restrict distribution.
.\" May be distributed under the GNU General Public License
.\" Traduction Christophe Blaess <ccb@club-internet.fr>
.\" MJ 25/07/2003 LDP-1.56
.TH LDD 1 "21 juillet 2003" LDP "Manuel de l'utilisateur Linux"
.SH NOM
ldd \- Affiche les bibliothques partages ncessaires.
.SH SYNOPSIS
.B ldd
.RB [OPTION]...
FILE...
.SH DESCRIPTION
.B ldd
Affiche la liste des bibliothques partages ncessaires pour chaque
programme ou bibliothque passs sur la ligne de commande.
.SH OPTIONS
.TP
.B \-V\ \-\-version
Affiche le numro de version de
.BR ldd .
.TP
.B \-v\ \-\-verbose
Afficher toutes les informations, y compris les versions des symboles.
.TP
.B \-d\ \-\-data\-relocs
Raliser les dplacements et indiquer les objets manquants (ELF seulement).
.TP
.B \-r\ \-\-function\-relocs
Raliser les deplacement pour les objets donnes et les fonctions, et
indiquer les objets ou fonctions manquants (ELF seulement).
.TP
.B \-\-help
Aide.
.SH NOTES
La version standard de
.B ldd
est livre avec la GlibC2. La LibC5 fournissait une ancienne version,
toujours prsente sur certains systmes. Les options longues ne sont pas
supportes par la version de la LibC5. En revanche, celle de la GlibC2 ne
supporte pas
.B \-V
et a seulement l'quivalent
.BR \-\-version .
.LP
La version LibC5 utilise le nom de la bibliothque donne sur la ligne de
commande tel quel si il contient un '/'\ ; sinon elle cherche la
bibliothque aux emplacements standards. Pour l'utiliser sur une
bibliothque dans le rpertoire courant, prfixez son nom avec "./".
.SH BOGUES
.B ldd
ne fonctionne pas avec les bibliothques partages a.out.
.PP
.B ldd
ne fonctionne pas avec certains programmes a.out trs anciens qui ont t
compils avant que le support de 
.B ldd
ne soit ajout dans le compilateur.
Si vous utilisez
.B ldd
sur l'un de ces programmes, il sera lanc avec
\fIargc\fP = 0 et les rsultats seront imprvisibles.
.\" .SH AUTHOR
.\" David Engel.
.\" Roland McGrath and Ulrich Drepper.
.SH "VOIR AUSSI"
.BR ldconfig (8),
.BR ld<?php include ("../(8).php"); ?>.SH TRADUCTION
Christophe Blaess, 2003.
