<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 19/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 04/01/1999 - LDP man-pages 1.22 -->
<!--  mj 03/01/2000 -->
<!--  mj 26/06/2000 - LDP man-pages 1.30 -->
<!--  mj 30/05/2001 - LDP man-pages 1.36 -->
<!--  mj 22/10/2002 - LDP man-pages 1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>LS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options posix</a>
<br /><a class="summaryIndent0" href="#L4">particularits gnu</a>
<br /><a class="summaryIndent0" href="#L5">options gnu</a>
<br /><a class="summaryIndent0" href="#L6">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L7">environnement</a>
<br /><a class="summaryIndent0" href="#L8">bogues</a>
<br /><a class="summaryIndent0" href="#L9">conformit</a>
<br /><a class="summaryIndent0" href="#L10">voir aussi</a>
<br /><a class="summaryIndent0" href="#L11">notes</a>
<br /><a class="summaryIndent0" href="#L12">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ls, dir, vdir - Afficher le contenu d'un rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>ls [</b> options <i>] [</i> fichier... ]
<br/>
<b>dir [</b> fichier... ]
<br/>
<b>vdir [</b> fichier... ]
<br/><br/>

Options POSIX :
<b>[-CFRacdilqrtu1] [--]</b>
<br/><br/>

Options GNU (forme courte) :
<b>[-1abcdfgiklmnopqrstuvwxABCDFGHLNQRSUX]</b> <b></b>  <b>[-w </b> cols ]
<b>[-T </b> cols ]
<b>[-I </b> motif ]
<b>[--full-time]</b> <b></b>  <b>[--show-control-chars]</b> <b></b>  <b>[--block-size=</b> taille ]
<b>[--format={long</b> <b></b> ,<b>verbose</b> <b></b> ,<b>commas</b> <b></b> ,<b>across</b> <b></b> ,<b>vertical</b> <b></b> ,<b>single-column}]</b> <b></b>  <b>[--sort={none</b> <b></b> ,<b>time</b> <b></b> ,<b>size</b> <b></b> ,<b>extension}]</b> <b></b>  <b>[--time={atime</b> <b></b> ,<b>access</b> <b></b> ,<b>use</b> <b></b> ,<b>ctime</b> <b></b> ,<b>status}]</b> <b></b>  <b>[--color[={none</b> <b></b> ,<b>auto</b> <b></b> ,<b>always}]]</b> <b></b>  <b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La commande
<b>ls</b> <b></b>  affiche tout d'abord l'ensemble de ses arguments
<i>fichiers</i> autres que des rpertoires. Puis <b>ls</b> affiche l'ensemble des
fichiers contenus dans chaque rpertoire indiqu. Si aucun argument autre
qu'une option n'est fourni, l'argument `.' (rpertoire en cours) est pris
par dfaut. Avec l'option -d, les rpertoires fournis en argument ne sont
pas considrs comme des rpertoires (on affiche leurs noms et pas leurs
contenus). Un fichier n'est affich que si son nom ne commence pas par un
point, ou si l'option  -a est fournie.<br/><br/>
Chacune des listes de fichiers (fichiers autres que des rpertoires, et 
contenu de chaque rpertoire) est trie sparment en fonction de la
squence d'ordre de la localisation en cours. Lorsque l'option -l est
fournie, chaque liste est prcde d'une ligne indiquant la taille totale
des fichiers de la liste, exprime en blocs de 512 octets.<br/><br/>
Le rsultat est envoy sur la sortie standard, un lment par ligne, sauf
si un affichage multi-colonnes est demand avec l'option -C. Toutefois, lorsque
la sortie standard est un terminal, l'affichage peut se faire sur une ou
plusieurs colonnes suivant l'implmentation. Les options -1 et -C forcent
un affichage sur une seule colonne ou plusieurs, respectivement.
</div><br/><br /><h1 class="TitreSection0" id="L4">options posix</h1>
<div class="paragraph">
<br/><br/>

<b>-C"</b> <b></b>  Prsenter les fichiers en colonnes, tris verticalement.
<br/><br/>

<b>-F"</b> <b></b>  Ajouter un caractre  chaque nom de fichier pour indiquer son type.
les fichiers rguliers excutables sont suivis d'un `*'. Les rpertoires
sont suivis de `/', les liens symboliques d'un `@', les FIFOs d'un `|'.
Les fichiers rguliers non-excutables ne sont suivis d'aucun caractre.
<br/><br/>

<b>-R"</b> <b></b>  Afficher rcursivement le contenu des sous-rpertoires.
<br/><br/>

<b>-a"</b> <b></b>  Afficher tous les fichiers des rpertoires, y compris les fichiers commenant
par un `.'.
<br/><br/>

<b>-c"</b> <b></b>  Employer la date de changement de statut des fichiers plutt que la date de modification,
autant pour l'affichage (option -l) que pour le tri (option -t).
<br/><br/>

<b>-d"</b> <b></b>  Afficher les rpertoires avec la mme prsentation que les fichiers, sans
lister leur contenu.
<br/><br/>

<b>-i"</b> <b></b>  Afficher le numro d'index (i-noeud) de chaque fichier  gauche de son nom.
<br/><br/>

<b>-l"</b> <b></b>  En plus du nom, afficher le type du fichier, les permissions d'accs,
le nombre de liens physiques, le nom du propritaire et du groupe, la
taille en octets, et l'horodatage.
Les types de fichiers sont indiqus par les caractres suivants :
<b>-</b> <b></b>  pour les fichiers ordinaires,
<b>d</b> <b></b>  pour un rpertoire (directory),
<b>b</b> <b></b>  pour un fichier spcial en mode bloc,
<b>c</b> <b></b>  pour un fichier spcial en mode caractre,
<b>l</b> <b></b>  pour un lien symbolique,
<b>p</b> <b></b>  pour une fifo (named pipe),
<b>s</b> <b></b>  pour une socket.
Par dfaut l'horodatage prsent est celui de la dernire modification du
fichier. Les options -c et -u rclament les autres horodatages. Pour les fichiers
spciaux, le champ de taille est gnralement remplac par les numros majeur et
mineur du priphrique.
<br/><br/>

<b>-q"</b> <b></b>  Afficher des points d'interrogation  la place des caractres non-imprimables
dans les noms de fichiers. Il est possible que cela soit le cas par dfaut lorsque la
sortie standard est un terminal.
<br/><br/>

<b>-r"</b> <b></b>  Inverser le tri du contenu des rpertoires.
<br/><br/>

<b>-t"</b> <b></b>  Trier le contenu des rpertoires en fonction de la date et non
pas en ordre alphabtique. Les fichiers les plus rcents sont
prsents en premier.
<br/><br/>

<b>-u"</b> <b></b>  Employer la date des derniers accs aux fichiers plutt que la date de modification,
autant pour l'affichage (option -l) que pour le tri (option -t).
<br/><br/>

<b>-1"</b> <b></b>  Prsenter un fichier par ligne.
<br/><br/>

<b>--"</b> <b></b>  Indique la fin explicite des options.
</div><br/><br /><h1 class="TitreSection0" id="L5">particularits gnu</h1>
<div class="paragraph">
Si la sortie standard est un terminal, la sortie est en colonnes (tries verticalement).<br/><br/>
<b>dir</b> <b></b>  (parfois install sous le nom
<b>d )</b>
est quivalent  `ls&nbsp;-C&nbsp;-b'. C'est--dire que les fichiers sont par dfaut
prsents en colonnes, tris verticalement.
<b>dir</b> <b></b>  (parfois install sous le nom
<b>v )</b>
est quivalent  `ls&nbsp;-l&nbsp;-b'. C'est--dire que les fichiers sont par dfaut
affichs en format long.
</div><br/><br /><h1 class="TitreSection0" id="L6">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>-1</b> <b></b> ,<b></b>  <b>--format=single-column"</b> <b></b>  Prsenter un fichier par ligne. C'est le comportement par dfaut lorsque la sortie
standard n'est pas un terminal (un pipeline vers une autre commande par exemple).
<br/><br/>

<b>-a</b> <b></b> ,<b></b>  <b>--all"</b> <b></b>  Afficher tous les fichiers des rpertoires, y compris les fichiers commenant
par un `.'.
<br/><br/>

<b>-b</b> <b></b> ,<b></b>  <b>--escape"</b> <b></b>  Prsenter les caractres non-affichables des noms de fichiers en utilisant
des squences alphabtiques ou octales commenant par un backslash `\\' comme
en C. Cette option est identique 
<b>-Q"</b> <b></b>  avec la diffrence que les noms de fichiers ne sont pas encadrs de guillemets.
<br/><br/>

<b>-c</b> <b></b> ,<b></b>  <b>--time=ctime</b> <b></b> ,<b></b>  <b>--time=status"</b> <b></b>  Trier le contenu des rpertoires en fonction des dates de changement
des statuts de fichiers, plutt qu'en fonction de la date de modification.
S'il s'agit d'un format long, afficher la date de changement de statut
plutt que la date de modification du fichier.
<br/><br/>

<b>-d</b> <b></b> ,<b></b>  <b>--directory"</b> <b></b>  Afficher les rpertoires avec la mme prsentation que les fichiers, sans
lister leur contenu.
<br/><br/>

<b>-f"</b> <b></b>  Ne pas trier le contenu des rpertoires, l'afficher dans l'ordre o il
se prsente sur le disque.
Active les options
<b>-a</b> <b></b>  et
<b>-U</b> <b></b>  et dsactive
<b>-l</b> <b></b> ,<b></b>  <b>--color</b> <b></b>  <b>-s</b> <b></b> ,<b></b>  et 
<b>-t.</b> <b></b>  <br/><br/>

<b>-g</b> <b></b>  Option sans effet, conserve pour assurer la compatibilit avec Unix.
<br/><br/>

<b>-h</b> <b></b> ,<b></b>  <b>--human-readable"</b> <b></b>  Ajouter une lettre indiquant l'unit de taille, comme
<b>M</b> <b></b>  pour mga-octets. (Nouveaut dans fileutils-4.0).
<br/><br/>

<b>-i</b> <b></b> ,<b></b>  <b>--inode"</b> <b></b>  Afficher le numro d'index (i-noeud) de chaque fichier  gauche de son nom.
Ce numro identifie un fichier de manire unique au sein d'un
systme de fichiers donn.
<br/><br/>

<b>-k</b> <b></b> ,<b></b>  <b>--kilobytes"</b> <b></b>  Si la taille des fichiers est affiche, la mesurer en kilo-octets.
<br/><br/>

<b>-l</b> <b></b> ,<b></b>  <b>--format=long</b> <b></b> ,<b></b>  <b>--format=verbose"</b> <b></b>  En plus du nom, afficher le type du fichier, les permissions d'accs,
le nombre de liens physiques, le nom du propritaire et du groupe, la
taille en octets, et l'horodatage (de la dernire modification, sauf si
une autre date est rclame).
Pour les fichiers vieux de plus de 6 mois, ou en avance sur la date de plus
d'une heure, l'horodatage contient l'anne  la place de l'heure.<br/><br/>
Pour chaque rpertoire indiqu, les fichiers sont prcds d'une
ligne `total
<i>nb_blocs ',</i>
ou <i>nb_blocs</i> est l'espace disque utilis par l'ensemble des fichiers
du rpertoire. Par dfaut on utilise des blocs de 1024 octets. Si la variable
d'environnement
<b>POSIXLY_CORRECT</b> <b></b>  est configure, on utilise des blocs de 512 octets (sauf si l'option
<b>-k</b> <b></b>  est fournie). Le calcul de <i>nb_blocs</i> se fait en comptant sparement
chaque lien physique. On peut trouver cela dommage.<br/><br/>
Les autorisations d'accs listes sont similaires aux spcifications de modes,
mais <b>ls</b> regroupe plusieurs bits dans le troisime caractre de chaque
jeu de permissions.
.RS
<br/><br/>

<b>s</b> <b></b>  si le bit setuid ou setgid et le bit d'excution correspondant sont tous
deux valides.
<br/><br/>

<b>S</b> <b></b>  si le bit setuid ou setgid est actif mais le bit d'excution correspondant
n'est pas configur.
<br/><br/>

<b>t</b> <b></b>  Si les bits `Sticky' et `Excution pas les autres' sont actifs.
<br/><br/>

<b>T</b> <b></b>  Si le bit `Sticky' est actif mais pas le bit `Excution par les autres'.
<br/><br/>

<b>x</b> <b></b>  Si le bit d'excution est actif mais aucun de ceux cits ci-dessus.
<br/><br/>

<b>-</b> <b></b>  Sinon.

<br/><br/>

<b>-m</b> <b></b> ,<b></b>  <b>--format=commas"</b> <b></b>  Afficher sur chaque ligne autant de fichiers que possible, spars par
des virgules.
<br/><br/>

<b>-n</b> <b></b> ,<b></b>  <b>--numeric-uid-gid"</b> <b></b>  Afficher les UID et GID numriques plutt que les noms.
<br/><br/>

<b>-o</b> <b></b>  Produire un listing de rpertoire sous forme longue mais sans les informations
de groupe. C'est quivalent 
<b>--format=long --no-group</b> .</b>
Cette option sert  assurer la compatibilit avec d'autres versions de
<b>ls .</b>
<br/><br/>

<b>-p</b> <b></b> ,<b></b>  <b>--file-type</b> <b></b> ,<b></b>  <b>--indicator-style=file-type"</b> <b></b>  Ajouter un caractre  chaque nom de fichier pour indiquer son type. Cette option est identique 
<b>-F</b> <b></b>  sauf que les excutables ne sont pas marqus. En fait, la version fileutils-4.0 traite l'option
--file-\type comme --classify.
<br/><br/>

<b>-q</b> <b></b> ,<b></b>  <b>--hide-control-chars"</b> <b></b>  Afficher des points d'interrogation  la place des caractres non-imprimables
dans les noms de fichiers. C'est le comportement par dfaut.
<br/><br/>

<b>-r</b> <b></b> ,<b></b>  <b>--reverse"</b> <b></b>  Inverser le tri du contenu des rpertoires.
<br/><br/>

<b>-s</b> <b></b> ,<b></b>  <b>--size"</b> <b></b>  Afficher la taille de chaque fichier, mesure en bloc de 1 Ko,  gauche
du nom. Si la variable d'environnement POSIXLY_CORRECT est configure,
la taille est mesure en blocs de 512 octets (sauf si l'option
<b>-k</b> <b></b>  est fournie).
<br/><br/>

<b>-t</b> <b></b> ,<b></b>  <b>--sort=time"</b> <b></b>  Trier le contenu des rpertoires en fonction de la date et non
pas en ordre alphabtique. Les fichiers les plus rcents sont
prsents en premier.
<br/><br/>

<b>-u</b> <b></b> ,<b></b>  <b>--time=atime</b> <b></b> ,<b></b>  <b>--time=access</b> <b></b> ,<b></b>  <b>--time=use"</b> <b></b>  Trier le contenu des rpertoires en fonction de la date de dernier
accs au fichier plutt que selon la date de modification. Si le
format d'affichage est large, c'est la date de dernier accs
qui est affiche.
<br/><br/>

<b>-v"</b> <b></b>  Trier le contenu des rpertoires en fonction de la version des fichiers. Ceci prend en compte
le fait que les noms de fichiers utilisent frquemment des indices ou des numros de version. Les
fonctions de tri standards ne fournissent pas en gnral l'ordre attendu car les comparaisons ont
lieu caractre par caractre. Le tri de version gre ce problme, et est particulirement utile
lorsque l'on parcourt des rpertoires contenant de nombreux indices ou numros de version dans les
noms de fichier. Par exemple :

     $ ls -1            $ ls -1v
     foo.zml-1.gz       foo.zml-1.gz
     foo.zml-100.gz     foo.zml-12.gz
     foo.zml-12.gz      foo.zml-25.gz
     foo.zml-25.gz      foo.zml-100.gz


Remarquez que les parties numriques commenant par des zros sont considres comme
des dcimales :

     $ ls -1            $ ls -1v
     abc-1.007.tgz      abc-1.007.tgz
     abc-1.012b.tgz     abc-1.01a.tgz
     abc-1.01a.tgz      abc-1.012b.tgz

 
(Ceci est une nouveaut des fileutils-4.0).
<br/><br/>

<b>-w</b> <b></b> ,<b></b>  <b>--width</b> <b></b>  <b>cols"</b> <b></b>  Supposer que l'cran dispose de
<i>cols</i> colonnes en largeur. La valeur par dfaut est rclame si possible
au gestionnaire de terminal. Sinon la variable d'environnement
<b>COLUMNS</b> <b></b>  est utilise si elle est positionne. Sinon, la valeur par
dfaut est 80.
<br/><br/>

<b>-x</b> <b></b> ,<b></b>  <b>--format=across</b> <b></b> ,<b></b>  <b>--format=horizontal"</b> <b></b>  Prsenter les fichiers en colonnes, tris horizontalement.
<br/><br/>

<b>-A</b> <b></b> ,<b></b>  <b>--almost-all"</b> <b></b>  Afficher tous les fichiers du rpertoire sauf `.' et `..'.
<br/><br/>

<b>-B</b> <b></b> ,<b></b>  <b>--ignore-backups"</b> <b></b>  Ne pas afficher les fichiers se terminant par `~',  moins qu'ils
ne soient mentionns sur la ligne de commande.
<br/><br/>

<b>-C</b> <b></b> ,<b></b>  <b>--format=vertical"</b> <b></b>  Prsenter les fichiers en colonnes, tris verticalement.
<br/><br/>

<b>-D</b> <b></b> ,<b></b>  <b>--dired"</b> <b></b>  Avec le format long
<b>-l ,</b>
imprimer une ligne supplmentaire aprs les donnes principales:
<br/>
<b>//DIRED//</b> <b></b>  <i>DEBUT_1 FIN_1 DEBUT_2 FIN_2 ...</i> <br/><br/><br/>
Les valeurs
<i>DEBUT_n </i> et <i> FIN_n</i>
sont des entiers non-signs qui enregistrent la position en octets 
de chaque noms de fichier dans la sortie. Ceci permet  Emacs de
trouver facilement les noms de fichiers, mme ceux qui contiennent
des caractres inhabituels comme espace ou retour-chariot.<br/><br/>
Si les rpertoires sont lists de manire rcursive
<b>-R ,</b>
une ligne similaire est affiche aprs chaque sous-rpertoires :
<br/>
<b>//SUBDIRED//</b> <b></b>  <i>DEBUT_1 FIN_1 ...</i> <br/><br/>

<b>-F</b> <b></b> ,<b></b>  <b>--classify"</b> <b></b>  Ajouter un caractre  chaque nom de fichier pour indiquer son type.
les fichiers rguliers excutables sont suivis d'un `*'. Les rpertoires
sont suivis de `/', les liens symboliques d'un `@', les FIFOs d'un `|'.
Les fichiers rguliers non-excutables ne sont suivis d'aucun caractre.
<br/><br/>

<b>-G</b> <b></b> ,<b></b>  <b>--no-group"</b> <b></b>  Ne pas afficher les informations de groupe dans le format large.
<br/><br/>

<b>-H</b> <b></b> ,<b></b>  <b>--si"</b> <b></b>  Fonctionne comme
<b>-h ,</b>
mais en utilisant les units du Systme International (avec des puissances
1000 et pas de 1024). Ainsi M correspond  1000000  la place de 1048576.
Ceci est une nouveaut des fileutils-4.0
<br/><br/>

<b>-I</b> <b></b> ,<b></b>  <b>--ignore</b> <b></b>  <b>motif"</b> <b></b>  Ne pas afficher les fichiers dont le nom correspond au
<i>motif</i> (suivant l'interprtation du shell),  moins qu'ils ne soient explicitement mentionns
sur la ligne de commande. Comme avec le shell, les noms de fichiers commenant par un
point `.' ne sont pas supposs correspondre avec un
<i>motif</i> commenant par un caractre gnrique. Pour les root-kits lmentaires : ajoutez une
ligne LS_OPTIONS="$LS_OPTIONS -I mes_trucs" dans /etc/profile et compagnie pour cacher vos rpertoires.
<br/><br/>

<b>-L</b> <b></b> ,<b></b>  <b>--dereference"</b> <b></b>  Afficher les informations concernant les fichiers points par les
liens symboliques et non pas celles concernant les liens eux-mmes.
<br/><br/>

<b>-N</b> <b></b> ,<b></b>  <b>--literal"</b> <b></b>  Afficher les noms de fichiers sans modification.
<br/><br/>

<b>-Q</b> <b></b> ,<b></b>  <b>--quote-name"</b> <b></b>  Encadrer les noms de fichiers avec des guillemets, et citer les
caractres non-imprimables par des squences semblables  celles
utilises en C.
<br/><br/>

<b>-R</b> <b></b> ,<b></b>  <b>--recursive"</b> <b></b>  Afficher rcursivement le contenu des sous-rpertoires.
<br/><br/>

<b>-S</b> <b></b> ,<b></b>  <b>--sort=size"</b> <b></b>  Trier les rpertoires en fonction de la taille de fichier et non pas
en ordre alphabtique. Les fichiers les plus gros sont affichs en
premier.
<br/><br/>

<b>-T</b> <b></b> ,<b></b>  <b>--tabsize</b> <b></b>  <b>cols"</b> <b></b>  Supposer que les tabulations sont espaces de
<i>cols</i> colonnes. La valeur par dfaut est 8, mais elles peut tre modifie par
la variable d'environnement TABSIZE lorsque la variable POSIXLY_CORRECT n'est
pas valide.
<b>ls</b> <b></b>  utilise des tabulations pour acclrer l'affichage, mais si 
<i>cols</i> vaut zro, aucune tabulation ne sera employe.
<br/><br/>

<b>-U</b> <b></b> ,<b></b>  <b>--sort=none"</b> <b></b>  Ne pas trier le contenu des rpertoires. Les prsenter dans l'ordre
des fichiers sur le disque. La diffrence entre
<b>-U </b> et <b> -f</b>
est que le premier ne modifie pas d'options. Ceci sert surtout lorsqu'on liste
de gros rpertoires, car le tri sera notablement plus rapide.
<br/><br/>

<b>-X</b> <b></b> ,<b></b>  <b>--sort=extension"</b> <b></b>  Trier le contenu des rpertoires en fonction de l'extension du nom de fichier
(les caractres aprs le dernier `.'). Les fichiers sans extension sont affichs en
premier.
<br/><br/>

<b>--block-size=</b> nombre
Afficher les tailles de fichiers en blocs ayant le
<i>nombre</i> indiqu d'octets.
(Nouveaut de fileutils-4.0).
<br/><br/>

<b>--color[=</b> manire ]
Spcifie comment utiliser les couleurs pour distinguer les types de fichiers.
Les couleurs sont dfinie en utilisant la variable d'environnement LS_COLORS.
Pour avoir des prcisions sur la configuration de cette variable, voir
<b>dircolors (1).</b>
La
<i>manire ,</i>
si elle est indique, peut prendre l'une des valeurs suivantes :
.RS
<br/><br/>

<b>none</b> <b></b>  Ne pas utiliser de couleurs. C'est le comportement par dfaut.
<br/><br/>

<b>auto</b> <b></b>  N'utiliser de couleurs que si la sortie standard est un terminal.
<br/><br/>

<b>always</b> <b></b>  Toujours utiliser des couleurs. Indiquer seulement
<b>--color</b> <b></b>  sans indiquer de
<i>manire</i> est quivalent 
<b>--color=always</b> .</b>

<br/><br/>

<b>--full-time"</b> <b></b>  Afficher les temps de manire complte, sans utiliser les heuristiques
habituelles d'abrviation. Le format est celui par dfaut de
<b>date (1).</b>
On ne peut pas le modifier, mais on peut au besoin l'extraire avec
<b>cut (1)</b>
et de passer le rsultat  `date -d'.<br/><br/>
Ceci est surtout utile car l'affichage contient les secondes (les systmes
de fichiers Unix utilisent un horodatage  la seconde la plus proche, aussi
vous disposez ici de toutes les informations existantes). Par exemple
cela peut servir  corriger un Makefile qui ne rgnre pas correctement
les fichiers.
<br/><br/>

<b>--quoting-style=</b> style
Utiliser le
<i>style</i> indiqu pour prsenter les noms de fichiers. Le
<i>style </i> peut tre :
.RS
<br/><br/>

<b>literal</b> <b></b>  Afficher les noms tels quels. C'est le comportement par dfaut de
<b>ls .</b>
<br/><br/>

<b>shell</b> <b></b>  Protger les noms avec des apostrophes s'ils contiennent des caractres
spciaux ambigus pour le shell.
<br/><br/>

<b>shell-always"</b> <b></b>  Protger les noms avec des apostrophes mme s'ils n'ont a priori pas
besoin de protection.
<br/><br/>

<b>c</b> <b></b>  Encadrer les noms avec des guillemets, comme des chanes pour le langage C.
C'est quivalent  l'option
<b>-Q</b> .</b>
<br/><br/>

<b>escape</b> <b></b>  Protger comme le style
<i>c</i> en vitant les guillemets. Ceci est quivalent  l'option
<b>-b</b> .<br/><br/>D<br/><br/></b>
Une valeur par dfaut peut tre indique dans la variable d'environnement
QUOTING_STYLE (Voir le paragraphe
<b>ENVIRONNEMENT</b> <b></b>  plus bas).

<br/><br/>

<b>--show-control-chars"</b> <b></b>  Afficher les caractre non-graphiques tels quels dans les noms de fichiers. C'est
le comportement par dfaut, sauf si la sortie standard est un terminal et si le
programme invoqu est
<b>ls .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer normalement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard, et se terminer normalement.
<br/><br/>

<b>--"</b> <b></b>  Terminer la liste des options.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">environnement</h1>
<div class="paragraph">
La variable d'environnement POSIXLY_CORRECT dtermine le choix des units.
Si elle n'est pas configure, alors la variable TABSIZE dtermine le nombre
de caractres par saut de tabulation.
La variable COLUMNS (lorsqu'elle contient un entier dcimal) dterminer le
nombre de colonnes pour la largeur de sortie (option -C).
Les noms de fichiers ne doivent pas tre tronqus pour tenir dans une sortie
multi-colonnes.<br/><br/>
Les variables LANG, LC_ALL, LC_COLLATE, LC_CTYPE, LC_MESSAGES et LC_TIME ont
leurs significations habituelles.
La variable TZ indique le fuseau horaire pour les chanes de caractres
reprsentant des horodatages.
La variable LS_COLORS est utilise pour prciser les couleurs utilises.
La variable LS_OPTIONS contient les options par dfaut.
<!--  Depuis quelle version de ls ? --><br/><br/>
La variable QUOTING_STYLE indique le comportement par dfaut correspondant 
l'option
<b>--quoting-style</b> .</b>
Par dfaut elle prend actuellement la valeur
<b>literal ,</b>
mais les auteurs prviennent que cela peut basculer vers la valeur
<b>shell</b> <b></b>  dans des versions  venir.
</div><br/><br /><h1 class="TitreSection0" id="L9">bogues</h1>
<div class="paragraph">
Sur les systmes BSD, l'option
<b>-s</b> <b></b>  affiche des tailles correspondant  la moiti de la taille relle pour
les fichiers situs sur un systme HP-UX mont par NFS.
Sur les systmes HP-UX, les tailles sont doubles pour les fichiers
mont par NFS depuis un systme BSD.
Ceci est d  un dfaut d'HP-UX, qui affecte galement la version
HP-UX de la commande
<b>ls .</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">conformit</h1>
<div class="paragraph">
POSIX 1003.2
</div><br/><br /><h1 class="TitreSection0" id="L11">voir aussi</h1>
<div class="paragraph">
<b>dircolors (1)</b>
</div><br/><br /><h1 class="TitreSection0" id="L12">notes</h1>
<div class="paragraph">
Cette page documente la version de
<b>ls</b> <b></b>  du paquetage fileutils-4.0. D'autres versions peuvent diverger lgrement.
 
</div><br/><br /><h1 class="TitreSection0" id="L13">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
