<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 27/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 05/06/99 - LDP-man-pages-1.23 -->
<!--  Mise  jour 30/05/01 - LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>MV</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options posix</a>
<br /><a class="summaryIndent0" href="#L4">particularits gnu</a>
<br /><a class="summaryIndent0" href="#L5">options gnu</a>
<br /><a class="summaryIndent0" href="#L6">options de sauvegarde gnu</a>
<br /><a class="summaryIndent0" href="#L7">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L8">environnement</a>
<br /><a class="summaryIndent0" href="#L9">conformit</a>
<br /><a class="summaryIndent0" href="#L10">notes</a>
<br /><a class="summaryIndent0" href="#L11">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mv - Dplacer ou renommer des fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>mv [</b> <i>option...</i> <b>] </b> <i>source cible</i>
<br/>
<b>mv [</b> <i>option...</i> <b>] </b> <i>source... cible</i>
<br/><br/>

Options POSIX:
<b>[-fi]</b> <b></b>  <b>[--]"</b> <b></b>  <br/><br/>

Options GNU (formes courtes) :
<b>[-bfiuv] [-S</b> suffixe <i>] [-V {numbered,existing,simple}] </i>
<b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>mv</b> <b></b>  <b></b>  dplace ou renomme des fichiers ou des rpertoires.<br/><br/>
Si le dernier argument est le nom d'un rpertoire existant,
<b>mv</b> <b></b>  placera tous les autres fichiers  l'intrieur de ce rpertoire,
en conservant leurs noms.
Sinon, s'il n'y a que deux fichiers indiqus, il renommera le
premier pour remplacer le second.
Une erreur se produit s'il y a plus de deux fichiers indiqus et si le
dernier argument n'est pas un rpertoire.<br/><br/>
Ainsi, `mv /a/x/y /b' va renommer le fichier /a/x/y en /b/y si /b tait
un rpertoire dj existant, et en /b sinon.<br/><br/>
Appelons
<i>destination</i> le fichier vers lequel un fichier va tre dplac.
Si la
<i>destination</i> existe, et si l'option -i est indique ou si la
<i>destination</i> n'est pas accessible en criture ou encore si l'entre standard est un
terminal, et si l'option
<b>-f</b> <b></b>  n'est pas mentionne, 
<b>mv</b> <b></b>  interrogera l'utilisateur avant de remplacer le fichier. La question est
affiche sur la sortie d'erreur standard, et la rponse est attendue sur
l'entre standard. Le fichier n'est cras que si la rponse est affirmative.<br/><br/>
Lorsque la
<i>source</i> et la
<i>destination</i> sont sur le mme systme de fichiers, seul le nom est modifi, les
propritaires, modes et horodatages sont conservs. S'ils sont sur deux
systmes de fichiers diffrents, le fichier source est recopi puis effac.
<b>mv</b> <b></b>  copiera si possible les horodatages de modification et d'accs, les identits
de groupe et de propritaire, et le mode. Si la copie des identits de groupe
ou de propritaire choue, les bits Set-UID et Set-GID sont effacs dans les
permissions de la destination.
</div><br/><br /><h1 class="TitreSection0" id="L4">options posix</h1>
<div class="paragraph">
<br/><br/>

<b>-f"</b> <b></b>  craser les fichiers de destination existants sans demander confirmation
 l'utilisateur.
<br/><br/>

<b>-i"</b> <b></b>  Demander la confirmation pour craser tout fichier existant. Si la rponse
ne commence pas par `y' ou `Y', le dplacement n'est pas effectu.
Si les options -f et -i sont fournies simultanment, la dernire sur la
ligne de commande a l'avantage.
<br/><br/>

<b>--"</b> <b></b>  Fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L5">particularits gnu</h1>
<div class="paragraph">
L'implmentation GNU de
<b>mv</b> <b></b>  du paquetage fileutils-3.16 ne sait dplacer que des fichiers rguliers
entre des systmes de fichiers diffrents.
</div><br/><br /><h1 class="TitreSection0" id="L6">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>-f</b> <b></b> ,<b></b>  <b>--force"</b> <b></b>  craser les fichiers de destination existants sans demander confirmation
 l'utilisateur.
<br/><br/>

<b>-i</b> <b></b> ,<b></b>  <b>--interactive"</b> <b></b>  Demander la confirmation pour craser tout fichier existant. Si la rponse
ne commence pas par `y' ou `Y', le dplacement n'est pas effectu.
<br/><br/>

<b>-u</b> <b></b> ,<b></b>  <b>--update"</b> <b></b>  Ne pas dplacer un fichier rgulier, qui craserait un
fichier destination existant ayant une date de modification plus
rcente.
<br/><br/>

<b>-v</b> <b></b> ,<b></b>  <b>--verbose"</b> <b></b>  Afficher le nom des fichiers avant de les dplacer.
</div><br/><br /><h1 class="TitreSection0" id="L7">options de sauvegarde gnu</h1>
<div class="paragraph">
Les versions GNU des programmes comme
<b>cp ,</b>
<b>mv ,</b>
<b>ln ,</b>
<b>install</b> <b></b>  et
<b>patch</b> <b></b>  effectueront au besoin une copie de sauvegarde des fichiers  craser, 
modifier ou effacer. Ces sauvegardes sont demandes  l'aide de l'option -b.
La manire de nommer les copies est indique par l'option -V. Dans le cas
o l'on utilise le nom du fichier original suivi d'un suffixe, ce dernier
est prcis  l'aide de l'option -S.
<br/><br/>

<b>-b</b> <b></b> ,<b></b>  <b>--backup"</b> <b></b>  Effectuer une copie de secours des fichiers qui doivent tre crass ou
effacs.
<br/><br/>

 <b>-S </b> suffixe <i>, --suffix=</i> suffixe
Utiliser le 
<i>suffixe</i> lors des copie de sauvegarde des
fichiers. Ce suffixe peut galement tre indiqu par la variable
d'environnement
<b>SIMPLE_BACKUP_SUFFIX .</b>
Cette option est prioritaire sur la variable d'environnement.
Si aucun de ces deux lments n'est indiqu, le suffixe `~',
est utilis par dfaut.
<br/><br/>

<b>-V </b> mthode <i>, --version-control=</i> mthode
.RS
Cette option permet d'indiquer le type de sauvegarde  effectuer.
La
<i>mthode</i> peut tre : `numbered' (ou `t'), `existing' (ou `nil'), ou `never' (ou 
`simple'). 
La variable d'environnement
<b>VERSION_CONTROL</b> <b></b>  peut galement tre employe, mais cette option est prioritaire.
Si 
<b>VERSION_CONTROL</b> <b></b>  n'est pas renseigne, et si cette option n'est pas fournie, le type
de sauvegarde par dfaut est `existing'.
La valeur de la variable d'environnement
<b>VERSION_CONTROL</b> <b></b>  ou de cet argument correspond  la variable
`version-control' d'Emacs.
Les valeurs acceptes sont (ainsi que les abrviations uniques) :
.RS
<br/><br/>

`t' ou `numbered'
Toujours numroter les sauvegardes.
<br/><br/>

`nil' ou `existing'
Numroter la sauvegarde s'il en existe dj une, sinon faire une
sauvegarde simple.
<br/><br/>

`never' ou `simple'
Toujours faire une sauvegarde simple.
</div><br/><br /><h1 class="TitreSection0" id="L8">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer
normalement. 
<br/><br/>

<b>--version"</b> <b></b>  Afficher le numro de version sur la sortie standard, et se terminer
normalement. 
<br/><br/>

<b>--"</b> <b></b>  Fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L9">environnement</h1>
<div class="paragraph">
Les variables LANG, LC_ALL, LC_COLLATE, LC_CTYPE et LC_MESSAGES ont
leurs significations habituelles. Pour la version GNU, les variables
SIMPLE_BACKUP_SUFFIX et VERSION_CONTROL configurent les noms des
fichiers de sauvegarde, comme mentionn plus haut.
</div><br/><br /><h1 class="TitreSection0" id="L10">conformit</h1>
<div class="paragraph">
POSIX 1003.2, sauf que les hirarchies de rpertoires ne peuvent pas tre
dplacs entre systmes de fichiers diffrents.
</div><br/><br /><h1 class="TitreSection0" id="L11">notes</h1>
<div class="paragraph">
Cette page dcrit la version de
<b>mv</b> <b></b>  rencontre dans le paquetage fileutils-4.0.
D'autres versions peuvent varier lgrement.
</div><br/><br /><h1 class="TitreSection0" id="L12">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
