<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 13/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>NL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
nl - Numroter les lignes d'un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>nl</b> <b></b>  [-h type_en_tte] [-b type_corps] [-f type_pied_page] [-p] [-d cc]
[-v numro_dpart] [-i incrment] [-l lignes] [-s sparateur_lignes]
[-w largeur_numros] [-n {ln,rn,rz}] [--header-numbering=style]
[--body-numbering=style] [--footer-numbering=style]
[--first-page=nombre] [--page-increment=nombre] [--no-renumber]
[--join-blank-lines=nombre] [--number-separator=chane]
[--number-width=nombre] [--number-format={ln,rn,rz}]
[--section-delimiter=cc] [--help] [--version] [fichier...]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>nl .<br/><br/></b>
<b>nl</b> <b></b>  copie les fichiers indiqus sur la sortie standard en ajoutant
des numros  toutes les lignes, ou  certaines d'entre-elles.<br/><br/>
Si aucun nom de fichier n'est fourni, ou si le nom `-' est
mentionn, l'entre standard sera copie.<br/><br/>
<b>nl</b> <b></b>  considre que ses entres sont composes de pages. Par dfaut, le
numro de ligne est rinitialis  1 au dbut de chaque page.
<b>nl</b> <b></b>  traite tous ses fichiers d'entre comme un unique document. Il ne
rinitialise pas les numros de ligne ou de page entre les fichiers.<br/><br/>
Une page est compose de 3 sections : un en-tte, un corps, et un
pied de page. Chacune de ces sections peut ventuellement tre vide.
Chacune peut galement tre numrote de manire diffrente des
autres.<br/><br/>
Le dbut des sections de chaque page est indiqu dans le fichier
d'entre par une ligne ne contenant qu'une chane de dlimitation
comme suit :<br/><br/>
<br/><br/>
\e:\e:\e: dbut de l'en-tte
\e:\e: dbut du corps de la page
\e: dbut du pied de page

<br/><br/>
Les deux caractres utiliss pour ces chanes peuvent tre modifis
par une option indique plus bas, mais l'organisation et la longueur des
chanes sont figes.<br/><br/>
Les chanes de dlimitation des sections sont remplaces par des lignes
vides en sortie. Tout texte rencontr avant le dlimiteur de dbut
d'en-tte est considr comme appartenant au corps de la page. Ainsi, 
un texte ne contenant aucun dlimiteur sera considr comme une unique
section "corps de page".
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>-h, --header-numbering=style</i> Voir --footer-numbering.
<br/><br/>

<i>-b, --body-numbering=style</i> Voir --footer-numbering.
<br/><br/>

<i>-f, --footer-numbering=style</i> Choisit le type de numrotation pour les lignes de la section "pied-de-page"
de chaque page logique. Quand une ligne n'est pas numrote, le numro de
ligne n'est pas incrment, mais le caractre sparateur de numro de ligne
est quand mme ajout  celle-ci.
Les styles possibles sont :
.RS
.IP a
numroter toutes les lignes
.IP t
ne numroter que les lignes non-vide (comportement par dfaut pour le corps de page)
.IP n
ne pas numroter les lignes (comportement par dfaut pour les en-ttes et les pieds de page)
.IP p<i>regexp</i>
ne numroter que les lignes contenant une correspondance avec l'expression rationnelle <i>regexp</i>

<br/><br/>

<i>-p, --no-renumber</i> Ne pas rinitialiser la numrotation en dbut de page
<br/><br/>

<i>-v, --first-page=valeur</i> Dmarrer en dbut de page la numrotation  la <i>valeur</i> indique
(par dfaut : 1).
<br/><br/>

<i>-i, --page-increment=valeur</i> Incrmenter les numros de ligne de la <i>valeur</i> indique (par dfaut 1).
<br/><br/>

<i>-l, --join-blank-lines=nombre</i> Considrer que <i>nombre</i> (par dfaut 1) lignes vides conscutives
reprsentent une seule ligne logique pour la numrotation. Seule la dernire
ligne sera numrote. Quand il y a moins de <i>nombre</i> lignes
vides conscutives, ne pas les numroter. Une ligne vide ne doit contenir
aucun caractre, pas mme d'espaces ou de tabulations.
<br/><br/>

<i>-s, --number-separator=chane</i> Sparer, en sortie, le numro de ligne et le texte de celle-ci avec la
<i>chane</i> mentionne (Par dfaut, il s'agit du caractre Tabulation).
<br/><br/>

<i>-w, --number-width=largeur</i> Formater le numro de ligne avec la <i>largeur</i> indique (par dfaut 6 caractres).
<br/><br/>

<i>-n, --number-format={ln,rn,rz}</i> Slection du format de numrotation des lignes :
.RS
.IP ln
align  gauche, pas de 0 en dbut de nombre.
.IP rn
align  droite, pas de 0 en dbut de nombre (attitude par dfaut).
.IP rz
align  droite, complt  gauche par des 0.

<br/><br/>

<i>-d, --section-delimiter=cc</i> Utiliser les deux caractres <i>cc</i> mentionns ici pour les indicateurs
de dbut de sections. Si un seul caractre est fourni, le second
conserve la valeur ':'.
Pour saisir '\e', utiliser '\e\e'.
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
