<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 13/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>PR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pr - Mettre en forme des fichiers de texte pour l'impression.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>pr</b> <b></b>  [+PAGE] [-COLONNE] [-abcdfFmrtv] [-e[caractre_tab_entre[largeur_tabulation]]]
[-h en-tte] [-i[caractre_tab_sortie[largeur_tabulation]]] [-l longueur_page]
[-n[sparateur[nb_chiffres]]] [-o marge_gauche]
[-s[sparateur_colonnes]] [-w largeur_page] [--help] [--version] [file...]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>pr .<br/><br/></b>
<b>pr</b> <b></b>  affiche sur la sortie standard une copie des fichiers d'entre indiqus,
aprs les avoir pagins et ventuellement mis sur plusieurs colonnes.<br/><br/>
Si aucun fichier n'est fourni, ou si le nom `-' est mentionn,
la lecture se fait depuis l'entre standard.<br/><br/>
Des caractres Saut de Page (FormFeed) dans les fichiers
d'entre se traduiront par des sauts en sortie.
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>\+N</i> Commencer l'affichage  la page numro <i>N</i>.
<br/><br/>

<i>-C</i> Produire une sortie sur <i>C</i> colonnes. Les colonnes sont remplies
de haut en bas. La largeur des colonnes est
automatiquement rduite au fur et  mesure que <i>C</i> augmente. A moins
d'utiliser l'option <i>-w</i> pour augmenter la largeur des pages, cette
option peut tronquer certaines colonnes.
<br/><br/>

<i>-a</i> Remplir les colonnes de gauche  droite plutt que de haut en bas.
<br/><br/>

<i>-b</i> quilibrer les colonnes sur la dernire page.
<br/><br/>

<i>-c</i> Afficher les caractres de contrle en utilisant la notation avec
l'accent circonflexe (par exemple, `^G'). Afficher les autres caractres
non-imprimables en octal, prcds d'un BackSlash.
<br/><br/>

<i>-d</i> Double espacement en sortie.
<br/><br/>

<i>-e[caractre_tab_entre[largeur_tabulation]]</i> Dvelopper les tabulations en espaces. L'argument optionnel
<i>caractre_tab_entre</i> reprsente le caractre de tabulation dans
les fichiers d'entre. L'argument optionnel <i>largeur_tabulation</i>
correspond au nombre d'espaces reprsents par une tabulation en entre.
Sa valeur par dfaut est 8.
<br/><br/>

<i>-F, -f</i> Utiliser un Saut de Page (FormFeed)  la place d'une srie de
Sauts de Lignes (NewLine) pour sparer les pages.
<br/><br/>

<i>-h chane</i> Remplacer le nom du fichier dans l'en-tte par la <i>chane</i> indique.
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>-i[caractre_tab_sortie[largeur_tabulation]]</i> Remplacer les espaces par des tabulations. L'argument optionnel
<i>caractre_tab_sortie</i> reprsente le caractre de tabulation  utiliser
en sortie. L'argument optionnel <i>largeur_tabulation</i>
correspond au nombre d'espaces reprsents par une tabulation de sortie.
Sa valeur par dfaut est 8.
<br/><br/>

<i>-l n</i> Fixer la longueur de page  <i>n</i> lignes. La valeur par dfaut est 66.
Si <i>n</i> est infrieur  10, les en-ttes et pieds de pages sont
supprims, comme avec l'option <i>-t</i>.
<br/><br/>

<i>-m</i> Afficher les fichiers en parallle, chacun dans une colonne.
<br/><br/>

<i>-n[sparateur[nb_chiffres]]</i> Prcder chaque colonne avec un numro de ligne. Lors de l'affichage
de plusieurs fichiers en parallle, prcder chaque ligne de son
numro. Un argument optionnel permet d'indiquer le caractre  utiliser
comme <i>sparateur</i> entre le numro et le corps de la ligne. Par
dfaut ce <i>sparateur</i> est une tabulation.
L'argument <i>nb_chiffres</i> permet de prciser la largeur du numro
de ligne, sa valeur par dfaut est de 5 chiffres. 
<br/><br/>

<i>-o marge_gauche</i> Dcaler chaque ligne d'un nombre d'espace gal  <i>marge_gauche</i>.
La largeur totale de la page est donc gale  la somme de ce dcalage
et de la largeur prcise par l'option <i>-w</i>.
<br/><br/>

<i>-r</i> Ne pas afficher de message d'avertissement lorsqu'un fichier d'entre
ne peut pas tre ouvert. Toutefois, le code de retour ne sera
pas gal a 0.
<br/><br/>

<i>-s[sparateur_colonnes]</i> Insrer entre les colonnes le caractre <i>sparateur_colonnes</i>, 
par dfaut la tabulation. Si cette option n'est pas mentionne,
des espaces sont utiliss.
<br/><br/>

<i>-t</i> Ne pas imprimer l'en-tte et le pied de page. Ceux-ci, hauts de
5 lignes chacun, sont normalement imprims sur chaque page.
De plus le bas des pages n'est pas rempli par des lignes blanches
ou un saut de page.
<br/><br/>

<i>-v</i> Afficher les caractres non-imprimables en octal, prcds d'un BackSlash.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.
<br/><br/>

<i>-w largeur_de_page</i> Utiliser la <i>largeur_de_page</i> indique. Par dfaut cette valeur correspond
 72 colonnes.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
