<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 27/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 05/06/99 - LDP-man-pages-1.23 -->
<!--  Mise  jour 30/05/01 - LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>RM</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options posix</a>
<br /><a class="summaryIndent0" href="#L4">particularits svid</a>
<br /><a class="summaryIndent0" href="#L5">particularit gnu</a>
<br /><a class="summaryIndent0" href="#L6">options gnu</a>
<br /><a class="summaryIndent0" href="#L7">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L8">environnement</a>
<br /><a class="summaryIndent0" href="#L9">conformit</a>
<br /><a class="summaryIndent0" href="#L10">notes</a>
<br /><a class="summaryIndent0" href="#L11">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
rm - Effacer des fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>rm [</b> options <i>] </i> fichier...
<br/><br/>

Options POSIX :
<b>[-fiRr]</b> <b></b>  <b>[--]"</b> <b></b>  <br/><br/>

Options GNU (formes courtes) :
<b>[-dfirvR]</b> <b></b>  <b></b>  <b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
([NDT] <b>rm</b> = remove - enlever).
<b>rm</b> <b></b>  efface chaque fichier indiqu. Par dfaut, il n'efface pas les rpertoires.
Mais lorsque les options -r ou -R sont fournies, toute l'arborescence
en-dessous du rpertoire indiqu est supprime (il n'y a pas de limites
 la profondeur de l'arborescence efface avec `rm -r'). Si le dernier
composant du chemin d'accs  un
<i>fichier</i> est `.' ou `..', une erreur se produit (ceci vite les surprises dsagrables
avec des choses comme `rm -r .*').<br/><br/>
Si l'option -i est indique ou si un fichier n'est pas accessible en criture,
si l'entre standard est un terminal tty, et si les options <i>-f</i> ou
<i>--force</i> ne sont
pas indiques,
<b>rm</b> <b></b>  demande  l'utilisateur de confirmer l'effacement du fichier. Si
la rponse n'est pas affirmative, le fichier est ignor. La question est
pose sur la sortie d'erreur standard, et la rponse attendue sur l'entre
standard.
</div><br/><br /><h1 class="TitreSection0" id="L4">options posix</h1>
<div class="paragraph">
<br/><br/>

<b>-f"</b> <b></b>  Ne pas demander de confirmation d'effacement, ne pas afficher de message
de diagnostic, ne pas renvoyer de code d'erreur lorsqu'un fichier n'existe
pas.
<br/><br/>

<b>-i"</b> <b></b>  Demander  l'utilisateur de confirmer l'effacement de chaque fichier.
Si la rponse ne commence pas par `y' ou `Y', le fichier est ignor.
Si les options -f et -i sont fournies simultanment, la dernire sur
la ligne de commandes a l'avantage.
<br/><br/>

<b>-r</b> <b> ou </b> <b>-R</b></b>
Effacer rcursivement les sous-rpertoires.
<br/><br/>

<b>--"</b> <b></b>  Fin explicite de la liste des options. Ainsi, on peut supprimer
un fichier nomme `-f' dans le rpertoire en cours, en invoquant
`rm -- -f'.
</div><br/><br /><h1 class="TitreSection0" id="L5">particularits svid</h1>
<div class="paragraph">
La Dfinition d'Interface Systme V (SVID) interdit la suppression du
dernier lien physique sur un fichier binaire excutable en cours d'excution.
</div><br/><br /><h1 class="TitreSection0" id="L6">particularit gnu</h1>
<div class="paragraph">
L'implmentation GNU du paquetage fileutils-3.16 est errone car elle limite
la profondeur des arborescences supprimes rcursivement. Au besoin, un
utilitaire `deltree' permet de supprimer des hirarchies trs profondes.
</div><br/><br /><h1 class="TitreSection0" id="L7">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>-d</b> <b></b> ,<b></b>  <b>--directory"</b> <b></b>  Efface un rpertoire avec 
<b>unlink (2)</b>
 la place de
<b>rmdir (2),</b>
ne ncessitant pas que le rpertoire soit vide.
Seul le Super-User peut utiliser cette option.
Comme un 'unlink' sur un rpertoire drfrence tous les fichiers qui
y taient contenus, il est conseill d'effectuer un
<b>fsck (8)</b>
sur le systme de fichiers aprs cette opration.
<br/><br/>

<b>-f</b> <b></b> ,<b></b>  <b>--force"</b> <b></b>  Ignorer les fichiers non existants, et ne pas interroger l'utilisateur.
<br/><br/>

<b>-i</b> <b></b> ,<b></b>  <b>--interactive"</b> <b></b>  Demander  l'utilisateur de confirmer l'effacement de chaque fichier.
Si la rponse ne commence pas par `y' ou `Y', le fichier est ignor.
<br/><br/>

<b>-r</b> <b></b> ,<b></b>  <b>-R</b> <b></b> ,<b></b>  <b>--recursive"</b> <b></b>  Supprimer rcursivement le contenu des rpertoires.
<br/><br/>

<b>-v</b> <b></b> ,<b></b>  <b>--verbose"</b> <b></b>  Afficher le nom de chaque fichier avant suppression.
</div><br/><br /><h1 class="TitreSection0" id="L8">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer correctement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher le numro de version sur la sortie standard, et se terminer
correctement.
<br/><br/>

<b>--"</b> <b></b>  Fin explicite de la liste des options. 
</div><br/><br /><h1 class="TitreSection0" id="L9">environnement</h1>
<div class="paragraph">
Les variables d'environnement LC_ALL, LC_COLLATE, LC_TYPE et LC_MESSAGES ont
leurs significations habituelles.
</div><br/><br /><h1 class="TitreSection0" id="L10">conformit</h1>
<div class="paragraph">
POSIX 1003.2, sauf pour les limites de profondeur des arborescences.
</div><br/><br /><h1 class="TitreSection0" id="L11">notes</h1>
<div class="paragraph">
Cette page documente la version de
<b>rm</b> <b></b>  rencontre dans le paquetage fileutils-4.0. D'autres versions peuvent
varier lgrement.
</div><br/><br /><h1 class="TitreSection0" id="L12">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
