<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 14/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>SORT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">compatibilit</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sort - Trier les lignes d'un fichier texte.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>sort</b> <b></b>  [-cmus] [-t sparateur] [-o fichier_de_sortie] [-T rpertoire_temporaire]
[-bdfiMnr] [+POS1 [-POS2]] [-k POS1[,POS2]] [fichier...]
<br/>
<b>sort</b> <b></b>  {--help,--version}
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>sort .<br/><br/></b>
<b>sort</b> <b></b>  trie, regroupe ou compare toutes les lignes des fichiers indiqus.
Si aucun fichier n'est fourni, ou si le nom `-' est mentionn,
la lecture se fera depuis l'entre standard.<br/><br/>
Par dfaut,
<b>sort</b> <b></b>  crit ses rsultats sur la sortie standard.<br/><br/>
<b>sort</b> <b></b>  peut oprer suivant trois modes : tri (par dfaut), regroupement, et
vrification de l'ordre. Les options suivantes modifient le mode
opratoire :
<br/><br/>

<i>-c</i> ([NDT] c = check - vrifier)
Vrifie si les fichiers fournis sont dj tris : s'ils ne le sont
pas, afficher un message d'erreur, et terminer avec un code de
retour valant 1.
<br/><br/>

<i>-m</i> ([NDT] m = merge - melanger)
Regrouper les fichiers indiqus en les triant. Chaque fichier d'entre
doit dj tre tri individuellement. Il est toujours possible de
trier plutt que de runir, le regroupement est fourni parce qu'il est
plus rapide dans les cas o il fonctionne.<br/><br/>
La comparaison de deux lignes se fait ainsi :
Si un champ cl a t indiqu, 
<b>sort</b> <b></b>  compare chaque paire de champs, dans l'ordre prcis sur la ligne
de commande, jusqu' ce qu'une diffrence soit trouve, ou qu'il
ne reste plus de champs.<br/><br/> 
Si l'une des options globales
<i>Mbdfinr</i> est utilise, et si aucun champ cl n'est indiqu,
<b>sort</b> <b></b>  compare les lignes entires en fonction des options globales.<br/><br/> 
Finalement, si toutes les cls sont gales, en dernier ressort
<b>sort</b> <b></b>  compare les lignes octet par octet suivant l'ordre dfini sur
la machine. Cette dernire comparaison accepte l'option globale
<i>-r .</i>
L'option
<i>-s</i> (stable) inhibe cette comparaison en dernier recours afin que les
lignes considres comme gales restent  leurs positions relatives.
Si aucun champ cl, et aucune option ne sont fournis, 
<i>-s</i> est sans effet.<br/><br/>
La version GNU de
<b>sort</b> <b></b>  n'a pas de limitation concernant la longueur des lignes d'entre ou les
caractres autoriss. De plus, si le dernier octet d'une ligne d'entre
n'est pas un saut de ligne (NewLine), la version GNU de
<b>sort</b> <b></b>  en ajoute un automatiquement.<br/><br/>
Si la variable d'environnement
<b>TMPDIR</b> <b></b>  est configure,
<b>sort</b> <b></b>  utilise ce rpertoire pour stocker les fichiers temporaires  la place
du rpertoire par dfaut /tmp. L'option
<i>-T rpertoire_temporaire</i> permet galement de slectionner un rpertoire pour placer les fichiers
temporaires, elle a priorit sur la variable d'environnement.<br/><br/>
Les options suivantes affectent l'ordre des lignes de sortie. Elles
peuvent tre mentionnes globalement, ou appliques  un champ cl
spcifique. Si aucun champ cl n'est indiqu, les options globales 
s'appliquent aux comparaisons des lignes entires, sinon elles sont
transmises aux champs cls n'ayant pas d'option spcifique.
<br/><br/>

<i>-b</i> Ignorer les blancs en dbut de ligne pendant la recherche de la cl
de tri sur chaque ligne.
<br/><br/>

<i>-d</i> Trier dans l'ordre des rpertoires tlphoniques : ignorer pour le
tri tous les caractres autres que les lettres, les chiffres et les blancs.
<br/><br/>

<i>-f</i> Considrer les minuscules comme leur quivalent en majuscule pendant
le tri. Ainsi `b' est tri de manire quivalente a `B'. ([NDT] Bien
entendu, cela ne fonctionne pas avec les minuscules accentues...)
<br/><br/>

<i>-i</i> Ignorer pour le tri les caractres en dehors de l'intervalle ASCII
octal 040-0176 (bornes comprises).
<br/><br/>

<i>-M</i> Une chane initiale, consistant en un nombre quelconque de blancs, suivi
de trois lettres correspondant  une abrviation de mois est convertie
en majuscules avant d'tre compare dans l'ordre `JAN' &lt; `FEB' &lt; ... &lt; `DEC.'
Les noms invalides sont considrs comme infrieurs aux noms valides.
([NDT] Qu'en-est-il vis--vis de la localisation ?)
<br/><br/>

<i>-n</i> Comparer suivant la valeur arithmtique d'une chane numrique initiale
compose d'espaces ventuelles, suivies optionnellement du signe -, et
de zro ou plusieurs chiffres, ventuellement suivis d'un point dcimal
et de zro ou plusieurs chiffres.
<br/><br/>

<i>-r</i> Inverser l'ordre de tri, afin que les lignes avec la plus grande
valeur de cl apparaissent en premier.<br/><br/>
Les autres options sont :
<br/><br/>

<i>-o fichier_de_sortie</i> crire dans le
<i>fichier_de_sortie</i> plutt que sur la sortie standard.
Si
<i>fichier_de_sortie</i> est galement un fichier d'entre,
<b>sort</b> <b></b>  copie les donnes dans un fichier temporaire avant le tri pour pouvoir
crire correctement ses rsultats dans le
<i>fichier_de_sortie .</i>
<br/><br/>

<i>-t caractre_sparateur</i> Utiliser le
<i>caractre_sparateur</i> afin de distinguer les champs pour  rechercher la cl de tri sur chaque
ligne. Par dfaut le sparateur de champs est une chane blanche entre
chanes non-blanches. Ceci signifie qu'avec l'entre ` foo bar',
<b>sort</b> <b></b>  distingue deux champs ` foo' et ` bar'. Le sparateur n'appartient
ni au champ prcdent, ni au champ suivant.
<br/><br/>

<i>-u</i> Pour l'action par dfaut, ou pour l'action
<i>-m ,</i>
n'afficher que la premire squence de lignes considres comme
gales. Pour l'action
<i>-c ,</i>
vrifier qu'aucune lignes conscutives ne soient gales.
<br/><br/>

<i>+POS1 [-POS2]</i> Indiquer un champ  utiliser comme cl de tri pour chaque ligne. Le
champ consiste en une portion de de ligne dbutant  la position POS1,
et s'tendant jusqu' POS2 non-inclue (ou jusqu' la fin de la ligne
si POS2 n'est pas mentionne). Les positions des champs et des caractres
sont numrotes  partir
de 0.
<br/><br/>

<i>-k POS1[,POS2]</i> Une autre syntaxe possible pour indiquer les cls de tri.
Les positions des champs et des caractres sont numrotes  partir de 1.<br/><br/>
Une position est de la forme <i>f</i>.<i>c</i>, o <i>f</i> est le numro
du champ  utiliser, et <i>c</i> le numro du premier caractre depuis le
dbut du champ (avec <i>+pos</i>) ou depuis la fin du champ prcdent
(avec <i>-pos</i>).  La partie .<i>c</i> de la position peut tre
omise, auquel cas le caractre considr est le premier du champ.
Si l'option
<i>-b</i> est choisie, la partie .<i>c</i> d'une spcification de champ est compte
 partir du premier caractre non-blanc du champ (pour <i>+pos</i>)
ou  partir du premier caractre non-blanc suivant le champ prcdent
(pour <i>-pos</i>).<br/><br/>
Un argument <i>+pos</i> ou <i>-pos</i> peut galement avoir un prfixe
constitu d'une des lettres d'option
<i>Mbdfinr</i> auquel cas les options globales ne s'appliquent pas  ce champ.
l'option
<i>-b</i> peut tre attache indpendamment aux parties <i>+pos</i> ou <i>-pos</i>
d'une spcification de champ. Si elle est hrite d'une option globale,
elle s'appliquera aux deux parties.
Si une option
<i>-n</i> ou
<i>-M</i> est utilise, ceci implique que l'option
<i>-b</i> s'applique aux deux spcifications <i>+pos</i> et <i>-pos</i>.
Les cls peuvent s'tendre sur plusieurs champs.<br/><br/>
De plus quand la version GNU de
<b>sort</b> <b></b>  est invoque avec un seul argument, les options suivantes sont reconnues :
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.
</div><br/><br /><h1 class="TitreSection0" id="L4">compatibilit</h1>
<div class="paragraph"><br/><br/>
Les implmentations historiques (BSD et System V) de
<b>sort</b> <b></b>  diffrent quant  leur interprtation de certaines options, notamment 
<i>-b ,</i>
<i>-f ,</i>
et
<i>-n .</i>
La version GNU suit le comportement POSIX, qui est gnralement
(mais pas toujours) celui de la version System V.
Suivant POSIX
<i>-n</i> n'implique plus obligatoirement
<i>-b .</i>
Pour assurer l'homognit,
<i>-M</i> a t modifie de la mme manire.
Dans certains cas, assez obscurs, ceci peut affecter la signification
des positions de caractres dans les spcifications de champs.
Si ceci vous perturbe, vous pouvez ajouter explicitement un
<i>-b .</i>
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
Les diffrentes significations des numros de champs en fonction de
l'utilisation ou non de l'option
<i>-k</i> induit une confusion certaine.
C'est la faute  POSIX !<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
