<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 14/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>SPLIT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
split - Dcouper un fichier en diffrentes partie.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>split</b> <b></b>  [-lignes] [-l lignes] [-b nb_octets[bkm]] [-C nb_octets[bkm]] [--lines=lignes]
[--bytes=nb_octets[bkm]] [--line-bytes=nb_octets[bkm]] [--help] [--version]
[fichier_entre [prfixe_sortie]]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>split .<br/><br/></b>
<b>split</b> <b></b>  cre un ou plusieurs fichiers (autant que ncessaire) contenant les
sections conscutives du
<i>fichier_d_entre .<br/><br/></i>
Si aucun fichier n'est fourni, ou si le nom `-' est mentionn, la lecture
se fait depuis l'entre standard.<br/><br/>
Par dfaut,
<b>split</b> <b></b>  copie 1000 lignes du fichier d'entre (ou ce qu'il en reste) dans chaque
fichier de sortie.<br/><br/>
Le nom des fichiers de sortie est compos d'un prfixe suivi d'un groupe
de lettres, choisi de telle manire que la concatnation des fichiers de sortie,
tris suivant l'ordre alphabtique, restitue le fichier original.<br/><br/>
Le prfixe par dfaut est `x'.  Si l'argument
<i>prfixe_sortie</i> est fourni, celui ci est utilis pour crer les noms des fichiers de sortie.
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>-n, -l n, --lines=n</i> Copier
<i>n</i> lignes du fichier d'entre dans chacun des fichiers de sortie.
<br/><br/>

<i>-b n[bkm], --bytes=n[bkm]</i> Copier
<i>n</i> octets du fichier d'entre dans chacun des fichiers de sortie.
<i>n</i> doit tre un entier non nul, ventuellement suivi d'un caractre prcisant
une unit diffrente :
.RS
.IP b
blocs de 512 octets.
.IP k
blocs de 1 Ko
.IP m
blocs de 1 Mo

<br/><br/>

<i>-C n[bkm], --line-bytes=n[bkm]</i> Copier dans chaque fichier de sortie autant de lignes compltes
que possible, sans dpasser
<i>n</i> octets au maximum.
Si une ligne est plus longue que
<i>n</i> octets,
<b>split</b> copiera <i>n</i> octets de la ligne dans chaque fichier
jusqu' ce qu'il reste moins de <i>n</i> octets sur la ligne, puis
continuera normalement.
<i>n</i> est indiqu avec le mme format que dans l'option
<i>--bytes .</i>
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
