<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 07/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>STTY</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
stty - Modifier et afficher la configuration de la ligne de terminal.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>stty</b> <b></b>  [configuration...]
<br/>
<b>stty</b> <b></b>  {-a,--all,-f,--file,-g,--help,--save,--version}
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>stty .<br/><br/></b>
Si aucun argument n'est fourni,
<b>stty</b> <b></b>  affiche la vitesse de communication, le numro de discipline de ligne
(sur les systmes le supportant) et les lments de configuration modifis
par rapport aux valeurs fixes par  `stty sane'.<br/><br/>
La configuration en question est celle de la ligne tty connecte sur l'entre
standard.<br/><br/>
<b>stty</b> <b></b>  accepte les arguments suivants, qui modifient le comportement de la ligne.<br/><br/>
Un `[-]' devant un argument signifie que l'on peut l'inhiber en le faisant
prcder d'un `-'.  Certains arguments ne sont pas disponibles sur tous les
systmes, car il s'agit d'extensions non-POSIX. Ils sont indiqus par `(np)'.<br/><br/>
Paramtres de contrle :<br/><br/>
.IP [-]parenb
Transmet un bit de parit en sortie, et en attend un en entre.
.IP [-]parodd
Indique une parit impaire (paire si prcd de `-').
</div><div class="paragraph">cs5 cs6 cs7<br/>
Indique une taille de caractre de 5, 6, 7, ou 8 bits.
</div><div class="paragraph">[-]hupcl<br/>
Envoie un signal de dconnexion (Hangup) lorsque le dernier processus referme
la ligne tty.
.IP [-]cstopb
Utilise deux bits d'arrt par caractre (un seul avec `-').
.IP [-]cread
Permet la rception de donnes.
.IP [-]clocal
Dsactive les signaux de contrle propres aux modems.
</div><div class="paragraph">[-]crtscts<br/>
Active le contrle de flux RTS/CTS.<br/><br/>
Paramtres d'entre:<br/><br/>
.IP [-]ignbrk
Ignorer les signaux breaks.
.IP [-]brkint
Un break dclenche un signal d'interruption.
.IP [-]ignpar
Ignorer les erreurs de parit.
.IP [-]parmrk
Signaler les erreurs de parit par une squence 255-0-caractre.
.IP [-]inpck
Active la vrification de parit.
.IP [-]istrip
Effacer le bit de poids fort (8me) des caractres en entre.
.IP [-]inlcr
Traduire les Sauts-de-ligne (NewLine) en Retours-Chariots (Carriage Return).
.IP [-]igncr
Ignorer les Retours-Chariot (Carriage Return).
.IP [-]icrnl
Traduire les Retours-Chariots (Carriage Return) en Sauts-de-ligne (NewLine).
.IP [-]ixon
Activer le contrle de flux XON/XOFF.
</div><div class="paragraph">[-]ixoff<br/>
Activer l'mission d'un caractre d'arrt lorsque le buffer d'entre est
presque plein, et d'un caractre de redmarrage lorsqu'il est  nouveau vide
</div><div class="paragraph">[-]iuclc<br/>
Convertir les majuscules en minuscules.
</div><div class="paragraph">[-]ixany<br/>
Permet l'utilisation de n'importe quel caractre pour redmarrer la sortie
(si l'on utilise `-', seul le caractre Start sera actif).
</div><div class="paragraph">[-]imaxbel<br/>
Valider l'mission d'un signal sonore lorsqu'un caractre arrive alors
que le buffer d'entre est plein, dans ce cas le buffer n'est pas purg.<br/><br/>
Paramtres de sortie :<br/><br/>
.IP [-]opost
Postprocess output ([NDT] ???).
</div><div class="paragraph">[-]olcuc<br/>
Traduire les minuscules en majuscules ([NDT] Ceci ne fonctionne pas avec les
caractres accentus...)
</div><div class="paragraph">[-]ocrnl<br/>
Convertir les Retours-Chariot (Carriage Return) en Sauts-de-ligne (Newline).
</div><div class="paragraph">[-]onlcr<br/>
Convertir les Sauts-de-ligne (Newline) en Retours-Chariot (Carriage Return).
</div><div class="paragraph">[-]onocr<br/>
Ne pas afficher les Retours-Chariots en premire colonne.
</div><div class="paragraph">[-]onlret<br/>
Ajouter un Retour-Chariot au Saut-de-ligne.
</div><div class="paragraph">[-]ofill<br/>
Utiliser des caractres de remplissage plutt que des dlais d'attente.
</div><div class="paragraph">[-]ofdel<br/>
Utiliser l'effacement (Delete) comme caractre de remplissage,  la place
du caractre Null.
</div><div class="paragraph">nl1 nl0<br/>
Type de dlai pour le Saut-de-ligne.
</div><div class="paragraph">cr3 cr2 cr1 cr0<br/>
Type de dlai pour le Retour-chariot.
</div><div class="paragraph">tab3 tab2 tab1 tab0<br/>
Type de dlai pour la Tabulation horizontale.
</div><div class="paragraph">bs1 bs0<br/>
Type de dlai pour le Retour en arrire (BackSpace).
</div><div class="paragraph">vt1 vt0<br/>
Type de dlai pour la Tabulation verticale.
</div><div class="paragraph">ff1 ff0<br/>
Type de dlai pour le Saut-de-page (Form Feed).<br/><br/>
Paramtres locaux :<br/><br/>
.IP [-]isig
Valider les caractres spciaux Interrupt, Quit, et Suspend.
.IP [-]icanon
Valider les caractres spciaux Erase, Kill, Werase, et Rprnt.
.IP [-]iexten
Valider les caractres spciaux non-Posix.
.IP [-]echo
Activer l'cho des caractres saisis.
</div><div class="paragraph">[-]echoe,<br/>
Effectuer l'cho du caractre d'effacement sous forme BackSpace-Espace-BackSpace.
.IP [-]echok
Ajouter l'cho d'un Saut-de-Ligne (NewLine) aprs le caractre Kill.
.IP [-]echonl
Effectuer l'cho des Sauts-de-Ligne (NewLine) mme si l'cho des autres
caractres est dsactive.
.IP [-]noflsh
Dsactiver la purge du buffer aprs les caractres spciaux Interrupt et Quit.
</div><div class="paragraph">[-]xcase<br/>
Activer l'entre et la sortie de caractres majuscules en faisant prcder
leur quivalent minuscule par `\e', si l'option ICANNON est active.
</div><div class="paragraph">[-]tostop<br/>
Arrter les travaux en arrire-plan qui tentent d'crire sur leur terminal.
</div><div class="paragraph">[-]echoprt [-]prterase<br/>
Effectuer l'cho des caractres effacs entre `\e' et '/'.
</div><div class="paragraph">[-]echoctl [-]ctlecho<br/>
Afficher l'cho des caractres de contrle avec la notation (`^c')
plutt que sous leur forme littrale.
</div><div class="paragraph">[-]echoke [-]crtkill<br/>
Effectuer l'cho du caractre spcial Kill en effaant chaque caractre
sur la ligne comme indiqu par les paramtres Echoprt et Echoe,  la place
des paramtres Echoctl et Echok.<br/><br/>
Paramtres combins :<br/><br/>
</div><div class="paragraph">[-]evenp<br/>
Identique  parenb -parodd cs7.  Avec `-', identique  -parenb cs8.
.IP [-]oddp
Identique  parenb parodd cs7.  Avec `-', identique  -parenb cs8.
.IP [-]nl
Identique  -icrnl -onlcr.  Avec `-', identique  icrnl -inlcr -igncr
onlcr -ocrnl -onlret.
.IP ek
Rinitialise les caractres spciaux Erase et Kill  leurs valeurs par dfaut.
.IP sane
Identique  cread -ignbrk brkint -inlcr -igncr icrnl -ixoff
-iuclc -ixany imaxbel opost -olcuc -ocrnl onlcr -onocr -onlret
-ofill -ofdel nl0 cr0 tab0 bs0 vt0 ff0 isig icanon iexten echo echoe echok
-echonl -noflsh -xcase -tostop -echoprt echoctl echoke.
Rinitialise galement tous les caractres de contrle  leurs valeurs
par dfaut.
.IP [-]cooked
Identique  brkint ignpar istrip icrnl ixon opost isig icanon.
Rinitialise galement les caractres Eof et Eol
 leurs valeurs par dfaut si ce sont les mmes que
les caractres Min et Time (voir plus bas).
Avec `-', identique  raw.
.IP [-]raw
Identique   -ignbrk -brkint -ignpar -parmrk -inpck -istrip -inlcr
-igncr -icrnl -ixon -ixoff -iuclc -ixany -imaxbel
-opost -isig -icanon -xcase min 1 time 0.
Avec `-', identique   cooked.
.IP [-]cbreak
Identique   -icanon.
.IP [-]pass8
Identique   -parenb -istrip cs8.  avec `-', identique  parenb istrip cs7.
.IP [-]litout
Identique  -parenb -istrip -opost cs8.  Avec `-', Identique  parenb
istrip opost cs7.
</div><div class="paragraph">[-]decctlq<br/>
Identique  -ixany.
</div><div class="paragraph">[-]tabs<br/>
Identique  tab0.  Avec `-', identique  tab3.
</div><div class="paragraph">[-]lcase [-]LCASE<br/>
Identique  xcase iuclc olcuc.
.IP crt
Identique  echoe echoctl echoke.
.IP dec
Identique  echoe echoctl echoke -ixany.
Configure galement les caractres spciaux Interrupt avec la valeur Ctrl-C,
Erase avec Del, et Kill avec Ctrl-U.<br/><br/>
Caractres spciaux :<br/><br/><br/><br/>
Les valeurs par dfaut des caractres spciaux varient suivant les
systmes. Ils sont configurs en utilisant la syntaxe `nom valeur'.
Les noms sont indiqus ci-dessous, et les valeurs peuvent tre fournies
soit littralement en utilisant la notation (`^c'), soit avec un
entier commenant par `0x' pour une valeur hexadcimale, `0' pour 
une valeur octale, ou tout autre chiffre pour une valeur dcimale.
Indiquer la valeur `^-' ou `undef' permet de dsactiver le caractre
spcial.<br/><br/>
.IP intr
Envoie le signal Intr.
.IP quit
Envoie le signal Quit.
.IP erase
Efface le dernier caractre saisi.
.IP kill
Efface la ligne en cours.
.IP eof
Signale une fin de fichier (terminer la saisie).
.IP eol
Fin de ligne.
</div><div class="paragraph">eol2<br/>
Autre caractre pour terminer la ligne.
</div><div class="paragraph">swtch<br/>
Basculer  un autre niveau de shell.
.IP start
Redmarrage de la sortie aprs un arrt.
.IP stop
Arrt de la sortie.
.IP susp
mission d'un signal Terminal Stop
</div><div class="paragraph">dsusp<br/>
mission d'un signal Terminal Stop aprs avoir vid le buffer d'entre.
</div><div class="paragraph">rprnt<br/>
Rafficher la ligne en cours.
</div><div class="paragraph">werase<br/>
Effacement du dernier mot saisi.
</div><div class="paragraph">lnext<br/>
Lire le caractre suivant littralement, mme s'il s'agit d'un
caractre spcial.<br/><br/>
Paramtres spciaux :<br/><br/>
</div><div class="paragraph">min<br/>
Lorsque -icanon est configur, indique le nombre minimal de caractres
 lire pendant la dure `time' avant que la lecture n'choue.
</div><div class="paragraph">time<br/>
Lorsque -icanon est configur, indique la dure (en diximes de secondes)
pour lire `min' caractres avant que la lecture n'choue.
</div><div class="paragraph">ispeed<br/>
Configure la vitesse d'entre  la valeur N
</div><div class="paragraph">ospeed<br/>
Configure la vitesse de sortie  la valeur N
</div><div class="paragraph">rows N<br/>
Indique au noyau que le terminal dispose de N lignes.
</div><div class="paragraph">cols N columns N<br/>
Indique au noyau que le terminal dispose de N colonnes.
</div><div class="paragraph">size<br/>
Affiche le nombre de lignes et de colonnes dont dispose le terminal
selon les informations fournies par le noyau. Les systmes ne permettant pas la configuration
de rows et cols dans le noyau utilisent gnralement les variables
d'environnement
<b>LINES</b> <b></b>  et
<b>COLUMNS</b> <b></b>   la place. Toutefois, la version GNU de
<b>stty</b> <b></b>  ne les utilise pas.
</div><div class="paragraph">line N<br/>
Utiliser la discipline de ligne N.
.IP "speed"
Affiche la vitesse du terminal.
.IP N
Fixe les vitesses d'entre et de sortie  la valeur N.
N peut prendre les valeurs suivantes : 0 50 75 110
134 134.5 150 200 300 600 1200 1800 2400 4800 9600 19200 38400 exta
extb.  exta est quivalent  19200, extb a 38400.  0 raccroche la
ligne si -clocal est configur.
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>-a, --all</i> Afficher la configuration en cours de manire lisible par un humain.
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>-g, --save</i> Afficher la configuration en cours de manire utilisable comme argument
pour une autre commande
<b>stty</b> <b></b>  qui restituera le mme paramtrage.
<br/><br/>

<i>-F, --file=FICHIER</i> Utiliser le priphrique reprsent par le FICHIER spcial plutt
que l'entre standard.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
