<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 08/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>TEST</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
test - Vrifier le type d'un fichier, et comparer des valeurs.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>test</b> <b></b>  [expr]
<br/>
<b>test</b> <b></b>  {--help,--version}
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>test .<br/><br/></b>
Remarquez que la plupart des shells ont une commande interne avec le
mme nom et des fonctionnalits similaires.<br/><br/>
<b>test</b> <b></b>  renvoie une valeur 0 (vrai) ou 1 (faux) suivant l'valuation
de l'expression conditionnelle
<i>expr .<br/><br/></i>
Les expressions peuvent tre unaires ou binaires. Les expressions unaires
sont gnralement utilises pour examiner le statut d'un fichier.
Il existe galement des oprateurs de chanes de caractres, et
des oprateurs de comparaison numrique.<br/><br/><br/><br/>D 0
<br/><br/>

<b>-b</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est spcial en mode bloc.
<br/><br/>

<b>-c</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est spcial en mode caractre.
<br/><br/>

<b>-d</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est un rpertoire.
<br/><br/>

<b>-e</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe.
<br/><br/>

<b>-f</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est un fichier ordinaire.
<br/><br/>

<b>-g</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et a son bit Set-GID positionn.
<br/><br/>

<b>-k</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et a son bit collant (Sticky) positionn.
<br/><br/>

<b>-L</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est un lien symbolique.
<br/><br/>

<b>-p</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est un tube nomm.
<br/><br/>

<b>-r</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est lisible.
<br/><br/>

<b>-s</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et a une taille suprieure  zro.
<br/><br/>

<b>-S</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est une socket.
<br/><br/>

<b>-t</b> <b></b>  <b>[<i>fd</i>]</b> <b></b>  Vrai si 
<i>fd</i> est ouvert sur un terminal. Si
<i>fd</i> est omis, la valeur par dfaut est 1 (sortie standard).
<br/><br/>

<b>-u</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et a son bit Set-UID positionn.
<br/><br/>

<b>-w</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est accessible en criture.
<br/><br/>

<b>-x</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et est excutable.
<br/><br/>

<b>-O</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et appartient  l'UID effectif de l'appelant.
<br/><br/>

<b>-G</b> <b></b>  <b><i>fichier</i></b> <b></b>  Vrai si le <i>fichier</i> existe et appartient au GID effectif de l'appelant.
<br/><br/>

<i>fichier1</i> -<b>nt</b> <i>fichier2</i>
Vrai si <i>fichier1</i> est plus rcent (d'aprs les dates de modification)
que <i>fichier2</i>.
<br/><br/>

<i>fichier1</i> -<b>ot</b> <i>fichier2</i>
Vrai si <i>fichier1</i> est plus ancien que <i>fichier2</i>
<br/><br/>

<i>fichier1</i> <b>-ef</b> <i>fichier2</i>
Vrai si <i>fichier1</i> et <i>fichier2</i> ont les mmes numros de priphrique
et d'i-noeud.
<br/><br/>

<b>-z</b> <b></b>  <b><i>chane</i></b> <b></b>  Vrai si la longueur de la <i>chane</i> est nulle.
<br/><br/>

<b>-n</b> <b></b>  <b><i>chane</i></b> <b></b>  <br/><br/>

<i>chane</i>
Vrai si la longueur de la 
<i>string</i> n'est pas nulle.
<br/><br/>

<i>chane1</i> <b>=</b> <i>chane2</i>
Vrai si les deux chanes sont gales.
<br/><br/>

<i>chane1</i> <b>!=</b> <i>chane2</i>
Vrai si les deux chanes sont diffrentes.
<br/><br/>

<b>!</b> <b></b>  <b><i>expr</i></b> <b></b>  Vrai si
<i>expr</i> est fausse.
<br/><br/>

<i>expr1</i> -<b>a</b> <i>expr2</i>
Vrai si 
<i>expr1</i> et
<i>expr2</i> sont toutes les deux vraies.
<br/><br/>

<i>expr1</i> -<b>o</b> <i>expr2</i>
Vrai si
<i>expr1</i> ou
<i>expr2</i> est vraie.
<br/><br/>

<i>arg1 <b>OP</b> arg2</i> .SM
<b>OP</b> <b></b>  est dans la liste
<b>-eq ,</b>
<b>-ne ,</b>
<b>-lt ,</b>
<b>-le ,</b>
<b>-gt ,</b>
ou
<b>-ge .</b>
Ces oprateurs arithmtiques renvoient vrai si <i>arg1</i>
est gal, diffrent, infrieur, infrieur ou gal,
suprieur, ou suprieur ou gal  <i>arg2</i>,
respectivement.
<i>arg1</i> et
<i>arg2</i> doivent tre des entiers (positifs, ou ngatifs) ou l'expression
spciale <b>-l</b> <i>chane</i>, qui value la
longueur de la
<i>chane .</i>
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
Quand la version GNU de
<b>test</b> <b></b>  est invoque avec un seul argument, les options suivantes sont reconnues :
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
