<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 21/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 08/04/1999 LDP man-pages 1.22 -->
<!--  Mise  jour 05/06/99 - LDP-man-pages-1.23 -->
<!--  Mise  jour 30/05/01 - LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>TOUCH</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options posix</a>
<br /><a class="summaryIndent0" href="#L4">dtails posix</a>
<br /><a class="summaryIndent0" href="#L5">dtails gnu</a>
<br /><a class="summaryIndent0" href="#L6">options gnu</a>
<br /><a class="summaryIndent0" href="#L7">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L8">environnement</a>
<br /><a class="summaryIndent0" href="#L9">conformit</a>
<br /><a class="summaryIndent0" href="#L10">exemple d'utilisation</a>
<br /><a class="summaryIndent0" href="#L11">notes</a>
<br /><a class="summaryIndent0" href="#L12">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
touch - Modifier l'horodatage d'un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>touch</b> <b></b>  <b></b>  <b></b>[-acm][-r <i> rfrence </i>|-t date <b>] [--] </b> fichier...
<br/><br/>

Version obsolte :
<br/>
<b>touch</b> <b></b>  <b>[-acm][</b> date_horrible <i>] </i> fichier...
<br/><br/>

Version GNU :
<br/>
<b>touch</b> <b></b>  <b>[-acfm] [-r </b> fichier <i>] [-t </i> date_dcimale ]
<b>[-d </b> date <i>] [--time={atime,access,use,mtime,modify}]</i>
<b>[--date=</b> date <i>] [--reference=</i> fichier ]
<b>[--no-create] [--help] [--version] [--] </b> fichier...<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>touch</b> <b></b>  modifie la date d'accs et la date de modification de chaque
<i>fichier</i> indiqu.
Ces horodatages sont remplacs par la date et l'heure actuelles, sauf si
l'option <i>-r</i> est utilise, auquel cas ils sont remplacs par
les horodatages correspondants du fichier 
<i>rfrence</i> ou, si
l'option <i>-t</i> est utilise, on utilise la
<i>date</i> mentionne.
Si aucune des deux options -a et -m ne sont indiques, ou si elles
le sont toutes deux, on modifie les deux dates (accs et changement)
Si on utilise une seule des options -a et -m, seule la date concerne
est modifie.
Les fichiers n'existant pas sont crs (sauf si l'option -c est utilise),
leur contenu est vide et leur
mode est 0666 modifi par l'umask de l'utilisateur.
</div><br/><br /><h1 class="TitreSection0" id="L4">options posix</h1>
<div class="paragraph">
<br/><br/>

<b>-a</b> <b></b>  Modifier l'heure du dernier accs au fichier
<br/><br/>

<b>-c</b> <b></b>  Ne pas crer les fichiers n'existant pas.
<br/><br/>

<b>-m</b> <b></b>  Changer l'heure de dernire modification du fichier
<br/><br/>

<b>-r </b> fichier_rfrence
Utiliser les horodatages du
<i>fichier_rfrence</i>  la place de l'heure actuelle.
<br/><br/>

<b>-t </b> date
Utiliser la 
<i>date</i> indique  la place de la date actuelle.
L'argument est un nombre dcimal de la forme
<br/>

    [[SS]AA]MMJJhhmm[.ss]
<br/>


(Mois, Jour, Heure, Minute, ventuellement Sicle et
Anne, ventuellement seconde). Si le Sicle n'est pas mentionn,
la date est automatiquement prise dans l'intervalle 1969-2068.
Si les secondes ne sont pas fournies, on les fixe  0. Les secondes
peuvent appartenir  l'intervalle 0-61  cause des rattrapages priodiques.
La date rsultante correspond au fuseau horaire indique par la variable TZ.
Une date ne peut pas tre antrieure au 1er Janvier 1970.
<br/><br/>

<b>--"</b> <b></b>  Fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L5">dtails posix</h1>
<div class="paragraph">
La seconde forme d'invocation prsente l'inconvnient de risquer
l'ambigut quant  savoir si
<i>date_horrible</i> est une date ou un nom de fichier.
On la considre comme une date si aucune option -r ou -t n'est utilise,
s'il y a au moins deux arguments, et si le premier argument est un
entier de 8 ou 10 chiffre.
Le format de la
<i>date_horrible</i> est MMJJhhmm[aa], o aa (dans l'intervalle 69-99) indique une anne
dans l'intervalle 1969-1999. L'anne en cours est indique par l'absence
de aa.
Cette forme est obsolte.
</div><br/><br /><h1 class="TitreSection0" id="L6">dtails gnu</h1>
<div class="paragraph">
Si le premier
<i>fichier</i> serait un argument valide de l'option
<b>-t</b>,</b>
si aucun horodatage n'est prcis par les options
<b>-d</b> ,</b>
<b>-r</b></b>
ou
<b>-t</b>,</b>
et si l'argument `--' n'est pas mentionn, 
ce premier argument est interprt comme l'horodatage  utiliser
plutt que comme un nom de fichier.<br/><br/>
Si l'on change  la fois les dates d'accs et de modification pour
les amener  l'heure actuelle, alors
<b>touch</b> <b></b>  peut modifier les horodatages de fichiers n'appartenant pas 
l'utilisateur l'invoquant,  la condition toutefois que celui-ci
ait une autorisation d'criture dessus.
Sinon, l'utilisateur doit possder le fichier.
</div><br/><br /><h1 class="TitreSection0" id="L7">options gnu</h1>
<div class="paragraph">
<b>-a</b> <b></b> ,<b></b>  <b>--time=atime</b> <b></b> ,<b></b>  <b>--time=access</b> <b></b> ,<b></b>  <b>--time=use"</b> <b></b>  Modifier uniquement l'heure d'accs.
<br/><br/>

<b>-c</b> <b></b> ,<b></b>  <b>--no-create"</b> <b></b>  Ne pas crer les fichiers n'existant pas.
<br/><br/>

<b>-d </b> date <i>, --date=</i> date
Utiliser la
<i>date</i> indique (qui peut se prsenter sous plusieurs formes)  la place
de la date actuelle. La
<i>date</i> peut contenir des mois littraux, des indications de fuseau horaire, les
abrviations `am' et `pm', etc...
<br/><br/>

<b>-f</b> <b></b>  Sans effet - uniquement pour assurer la compatibilit
avec la version BSD de
<b>touch .</b>
<br/><br/>

<b>-m</b> <b></b> ,<b></b>  <b>--time=mtime</b> <b></b> ,<b></b>  <b>--time=modify"</b> <b></b>  Changer uniquement l'heure de modification.
<br/><br/>

<b>-r </b> fichier-rfrence <i>, --file=</i> fichier-rfrence
Utiliser les horodatages du
<i>fichier_rfrence</i>  la place de l'heure actuelle.
<br/><br/>

<b>-t </b> <i>MMJJhhmm[[SS]AA][.ss]</i>
Utiliser la date (Mois, Jour, Heure, Minute, ventuellement Sicle et
Anne, ventuellement Seconde)  la place de la date actuelle.
Notez que cette option viole la syntaxe Posix.
</div><br/><br /><h1 class="TitreSection0" id="L8">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer normalement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard, et se terminer normalement.
<br/><br/>

<b>--"</b> <b></b>  Terminer la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L9">environnement</h1>
<div class="paragraph">
La variable TZ est utilise pour interprter les dates fournies de
manire explicite.
LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.
</div><br/><br /><h1 class="TitreSection0" id="L10">conformit</h1>
<div class="paragraph">
POSIX 1003.2 dcrit une syntaxe pour l'option -t qui diffre de celle
de GNU.
</div><br/><br /><h1 class="TitreSection0" id="L11">exemple d'utilisation</h1>
<div class="paragraph">
La commande `<i>touch foo</i>' crera le fichier <i>foo</i>
s'il n'existe pas, et positionnera son horodatage de dernire
modification  l'heure actuelle. Ceci est souvent utilis pour
contrler le comportement de
<b>make .</b>
</div><br/><br /><h1 class="TitreSection0" id="L12">notes</h1>
<div class="paragraph">
Cette page dcrit la version de <b>touch</b> fournie dans le
paquetage fileutils-4.0.
</div><br/><br /><h1 class="TitreSection0" id="L13">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
