<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 14/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>TR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
tr - Transposer ou liminer des caractres.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>tr</b> <b></b>  [-cst] [--complement] [--squeeze-repeats]
[--truncate-set1] chane_1 chane_2
<br/>
<b>tr</b> <b></b>  {-s,--squeeze-repeats} [-c] [--complement] chane_1
<br/>
<b>tr</b> <b></b>  {-d,--delete} [-c] chane_1
<br/>
<b>tr</b> <b></b>  {-d,--delete} {-s,--squeeze-repeats} [-c] [--complement]
chane_1 chane_2<br/><br/>
La version GNU de
<b>tr</b> <b></b>  accepte galement les options --help et --version.
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/>
Cette page de manuel documente la version GNU de
<b>tr.<br/><br/></b> <b></b>  <b>tr</b> <b></b>  copie son entre standard sur sa sortie standard en effectuant l'une des
manipulations suivantes :
.IP
\(bu transposer, et ventuellement runir les caractres dupliqus de la chane rsultante
<br/>
\(bu runir les caractres dupliqus
<br/>
\(bu supprimer des caractres
<br/>
\(bu supprimer des caractres, et ventuellement runir les caractres dupliqus de la chane rsultante<br/><br/>
Les arguments <i>chane1</i> et (ventuellement) <i>chane2</i> dcrivent des
ensembles ordonns de caractres, que l'on mentionnera plus bas sous les noms de
jeu1 et jeu2.
Ces ensembles reprsentent les caractres de l'entre standard sur lesquels
<b>tr</b> <b></b>  travaillera.
L'option
<i>--complement</i> (<i>-c</i>) remplace jeu1 par son complment (tous les caractres n'appartenant
pas  jeu1).
</div><br/><h2 class="TitreSection1" id="L5">DFINIR LES ENSEMBLES DE CARACTRES</h2>
<div class="paragraph"><br/><br/>
Le format des arguments <i>chane1</i> et <i>chane2</i> ressemble  celui
des expressions rationnelles. Il ne s'agit toutefois pas d'expressions
rationnelles, mais simplement de listes de caractres.
La plupart des caractres sont reprsentes par eux-mmes, nanmoins
les chanes peuvent galement contenir des raccourcis plus simples
dcrits ci-dessous. Certains de ces raccourcis ne peuvent tre
utiliss que dans <i>chane1</i> ou que dans <i>chane2</i>, comme c'est
mentionn ci-dessous.<br/><br/>
Squences avec BackSlash. Un backslash suivi d'un caractre non dfini
ci-dessous dclenche un message d'erreur.
.IP \ea
Contrle-G.
.IP \eb
Contrle-H.
.IP \ef
Contrle-L.
.IP \en
Contrle-J.
.IP \er
Contrle-M.
.IP \et
Contrle-I.
.IP \ev
Contrle-K.
.IP \eooo
Le caractre de valeur octale <i>ooo</i>, s'tendant sur 1  3 chiffres.
.IP \e\e
BackSlash.<br/><br/>
Intervalles.  La notation `<i>m</i>-<i>n</i>' reprsente tous les caractres
compris entre <i>m</i> et <i>n</i>, en ordre croissant.  <i>m</i>
doit tre infrieur  <i>n</i>, sinon une erreur se produit. 
Par exemple, `0-9' est quivalent  `0123456789'.
Bien que la version GNU de
<b>tr</b>
ne supporte pas la syntaxe System V qui utilise des crochets pour indiquer
les intervalles, les transpositions spcifies avec ce format fonctionneront
quand mme si les crochets de chane1 correspondent  des crochets identiques
de chane2.<br/><br/>
Rptition de caractres. La notation `[<i>c</i>*<i>n</i>]' dans
<i>chane2</i> se dveloppe en <i>n</i> copies du caractre <i>c</i>. Ainsi,
`[y*6]' est quivalent  `yyyyyy'.  La notation `[<i>c</i>*]' dans
<i>chane2</i> se dveloppe en autant de copie de <i>c</i> qu'il le faut
pour rendre le jeu2 aussi long que jeu1. Si <i>n</i> commence par 0, il est
interprt en octal, sinon en dcimal.<br/><br/>
Classes de caractres. La notation `[:<i>nom-classe</i>:]' correspond 
l'ensemble de tous les caractres appartenant  la classe (prdfinie)
<i>nom-classe</i>.
Les caractres ne se prsentent pas dans un ordre particulier, sauf pour
les classes `upper' `lower' dont les membres sont en ordre croissant.
Quand les options
<i>--delete</i> (<i>-d</i>) et
<i>--squeeze-repeats</i> (<i>-s</i>) sont utilises simultanment, n'importe quelle classe de
caractres peut tre mentionne dans <i>chane2</i>.
Autrement, seules les classes `lower' et `upper' sont acceptes dans
<i>string2</i>, et ceci seulement si la classe correspondante
(`upper' et `lower', respectivement) est mentionne  la mme position
relative dans <i>chane1</i>. Ceci permet de convertir le type
majuscule/minuscule des caractres. Les noms de classes sont indiqus
ci-dessous. Une erreur se produit si l'on tente d'utiliser un nom de
classe invalide.
.IP alnum
Lettres et chiffres.
.IP alpha
Lettres.
.IP blank
Caractres d'espacement horizontaux.
.IP cntrl
caractres de contrle.
.IP digit
Chiffres.
.IP graph
caractres imprimables, sauf l'espace.
.IP lower
Lettres minuscules.
.IP print
caractres imprimables, y compris l'espace.
.IP punct
caractres de ponctuation.
.IP space
Caractres d'espacement horizontaux ou verticaux.
.IP upper
Lettres majuscules.
.IP xdigit
Chiffres hexadcimaux.<br/><br/>
Classes d'quivalence. La syntaxe `[=<i>c</i>=]' se dveloppe en l'ensemble
des caractres quivalents  <i>c</i>, sans ordre particulier.
Les classes d'quivalence sont une invention rcente destine 
supporter les alphabets autres que l'anglais. Mais il n'y a pas
de manire standard de les dfinir ou de connatre leur contenu.
Ainsi elles ne sont pas totalement implmentes dans la version
GNU de
<b>tr .</b>
La classe d'quivalence d'un caractre est compose uniquement de ce
caractre, ce qui rend ces classes inutiles actuellement.<br/><br/>
[NDT] Il serait pourtant bien pratique que la classe d'quivalence
d'un caractre contienne galement ses versions accentues...
</div><br/><h2 class="TitreSection1" id="L5">TRADUCTION</h2>
<div class="paragraph"><br/><br/>
<b>tr</b> <b></b>  effectue les traductions de caractres lorsqu'on lui fournit 
la fois <i>chane1</i> et <i>chane2</i>, et si l'on n'utilise pas
l'option --delete (<i>-d</i>).
<b>tr</b> <b></b>  transpose chaque caractre d'entre appartenant au jeu1 en un caractre
correspondant du jeu2. Les caractres non trouvs dans jeu1 sont
copies sans modification. Quand un caractre apparat plusieurs fois
dans jeu1, et si les caractres correspondants de jeu2 ne sont pas
toujours les mmes, seule la version finale est utilise.
Par exemple ces deux commandes sont quivalentes :
.RS

tr aaa xyz
tr a z


<br/><br/>
Un usage classique de
<b>tr</b> <b></b>  est la conversions de minuscules en majuscules. Ceci peut tre ralis
de nombreuses manires diffrentes. En voici trois :
.RS

tr abcdefghijklmnopqrstuvwxyz ABCDEFGHIJKLMNOPQRSTUVWXYZ
tr a-z A-Z
tr '[:lower:]' '[:upper:]'


<br/><br/>
[NDT] Une utilisation pratique pour nous est la suppression des accents
d'un texte. En voici un exemple supprimant les accents utiliss en franais.
.RS

tr "" "aceeeeiioouuACEEEEIIOOUU"


<br/><br/>
Quand
<b>tr</b> <b></b>  effectue une traduction, jeu1 et jeu2 doivent normalement avoir la mme
longueur. Si jeu1 est plus court que jeu2, les caractres supplmentaires
en fin de jeu2 sont ignors.<br/><br/>
D'autre part, si jeu1 est plus long que jeu2, la portabilit n'est
pas assure. POSIX.2 prcise que dans ce cas le comportement est
indfini. La version BSD de
<b>tr</b> <b></b>  complte jeu2 jusqu' la mme longueur que jeu1 en rptant son dernier
caractre de fois autant que ncessaire. La version System V de
<b>tr</b> <b></b>  tronque jeu1  la mme longueur que jeu2.<br/><br/>
Par dfaut, la version GNU de
<b>tr</b> <b></b>  se comporte comme la version BSD.
Quand l'option --truncate-set1 (<i>-t</i>) est mentionne, elle
se comporte comme la version System V.
Cette option n'a pas d'effet pour les autres manipulations que les
traductions.<br/><br/>
Le comportement System V de
<b>tr</b> <b></b>  rend impossible la commande BSD classique
.RS

tr -cs A-Za-z0-9 '\e012'



car elle ne convertit que les octets nuls
(le premier lment du complment de jeu1) en Saut de Ligne,
au lieu de convertir tous les caractres non-alphanumriques.
</div><br/><h2 class="TitreSection1" id="L5">LIMINER LES RPTITIONS ET EFFACER DES CARACTRES</h2>
<div class="paragraph"><br/><br/>
Quand seule l'option --delete (<i>-d</i>) est fournie,
<b>tr</b> <b></b>  supprime tous les caractres d'entre prsents dans jeu1.<br/><br/>
Quand seule l'option --squeeze-repeats (<i>-s</i>) est fournie,
<b>tr</b> <b></b>  remplace chaque rptitions de caractres appartenant au jeu1 par une
seule occurrence de ce caractre.<br/><br/>
Quand les deux options --delete et --squeeze-repeats sont rclames
en mme temps,
<b>tr</b> <b></b>  effectue d'abord toutes les suppressions des caractres de jeu1, puis
limine les rptitions des caractres appartenant au jeu2.<br/><br/>
L'option --squeeze-repeats peut galement tre utilise pendant les
traductions, auquel cas
<b>tr</b> <b></b>  effectue d'abord la transposition, puis limine les rptitions de
caractres appartenant au jeu2.<br/><br/>
Voici quelques exemples destins  illustrer diverses combinaisons
des options :<br/><br/>
Supprimer les octets nuls :
.RS
tr -d '\e000'
<br/><br/>
Afficher chaque mot sur une ligne indpendante. Ceci convertit tous les
caractres non alphanumriques en sauts de lignes, puis regroupe
les lignes blanches successives en un seul saut de ligne :
.RS
tr -cs '[a-zA-Z0-9]' '[\en*]'
<br/><br/>
Convertir les squences de sauts de lignes en un seul saut de
ligne (ceci supprime les lignes blanches) :
.RS
tr -s '\en'
<br/><br/>
La version GNU de
<b>tr</b> <b></b>  accepte galement les options supplmentaire suivantes :
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.
</div><br/><h2 class="TitreSection1" id="L5">MESSAGE D'AVERTISSEMENT</h2>
<div class="paragraph"><br/><br/>
Lorsque la variable d'environnement POSIXLY_CORRECT est valide, plusieurs
messages d'erreurs et d'avertissements sont inhibs, afin d'assurer une
compatibilit stricte avec POSIX.2.
Les messages en question se produisent dans les circonstances suivantes :<br/><br/>
1. Quand l'option
<i>--delete</i> est utilise sans l'option
<i>--squeeze-repeats,</i>
et si <i>chane2</i> est fournie, la version GNU de
<b>tr</b> <b></b>  affiche par dfaut un message d'erreur et se termine, car <i>chane2</i> ne
serait pas utilise. Les spcifications POSIX indiquent que dans ce
cas <i>chane2</i> doit simplement tre ignore. Ignorer un argument sans
prvenir l'utilisateur n'est pas une bonne ide.<br/><br/>
2. Quand un nombre octal ambigu est fourni par une squence d'chappement.
Par exemple \e400 correspond en ralit au caractre \e40 suivi du
chiffre 0, car la valeur octale 400 ne tient pas dans un octet.<br/><br/>
Remarquez que la version GNU de
<b>tr</b> <b></b>  ne fournit pas de compatibilit totale BSD ou System V. Par exemple,
il n'y a pas d'option pour inhiber l'interprtation des squences
POSIX  [:alpha:], [=c=], et [c*10]. Remarquez galement que la version GNU de
<b>tr</b> <b></b>  ne supprime pas les octets nuls automatiquement contrairement aux
versions UNIX traditionnelles, avec lesquelles il n'y a pas de
moyen de conserver les octets nuls.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
