<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Wed Jul 21 23:02:38 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 15/01/02 LDP-man-pages 1.47 -->
<!--  mj 18/07/03 LDP-man-pages 1.56 -->
<br/><h1>_EXIT</h1>
<br /><a class="summaryIndent0" href="#L0">nom </a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom </h1>
<div class="paragraph">
_exit, _Exit - Mettre fin au processus en cours d'excution.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>void _exit (int </b> code );
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>void _Exit (int </b> code );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>_exit</b> <b></b>  met fin "immdiatement" au processus en cours, les descripteurs de
fichiers lui appartenant sont ferms, tous ses fils
ventuels sont hrits par le processus 1 (init),
et son pre reoit un signal
<b>SIGCHLD.<br/><br/></b> <b></b>  La valeur
<i>code</i> est renvoye au processus pre comme valeur de sortie et peut
tre rcupre en utilisant un appel-systme de
la famille
<b>wait.<br/><br/></b> <b></b>  La fonction
<b>_Exit</b> <b></b>  est quivalente 
<b>_exit .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Ces fonctions ne reviennent jamais.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, X/OPEN, BSD 4.3
La fonction <i>_Exit()</i> a t introduite par C99.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Pour une discussion sur les effets de exit, la transmission de la valeur de
retour, les processus zombie, les signaux envoys, etc. reportez-vous 
<b>exit (3).<br/><br/></b>
L'appel-systme
<b>_exit</b> <b></b>  n'appelle aucune fonction programme par la routine
ANSI C
<b>atexit (3),</b>
ni aucun gestionnaire de signal. Le fait qu'elle vide ou non les
buffers d'entre-sortie, ou qu'elle efface les fichiers temporaires crs avec
<b>tmpfile (3)</b>
dpend de l'implmentation.
En revanche,
<b>_exit</b> <b></b>  ferme les descripteurs de fichiers, ce qui peut retarder son excution durant
le temps o des critures se terminent. Si ce retard est gnant, on peut
invoquer <i>tcflush()</i> avant
d'appeler <b>_exit()</b>.
Savoir si certaines entres/sorties en attente sont annules lors d'un
<b>_exit()</b>, et lesquelles, dpend de l'implmentation.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>fork (2),</b>
<b>execve (2),</b>
<b>waitpid (2), </b>
<b>wait4 (2),</b>
<b>kill (2),</b>
<b>wait (2),</b>
<b>exit (3),</b>
<b>termios (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
