<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)accept.2	6.6 (Berkeley) 4/29/91 -->
<!--  -->
<!--  Modified Sat Jul 24 16:42:42 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Correction le 15/12/96 suite a une remarque de &lt;Yves.Arrouye@marin.fdn.fr&gt; -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise  Jour 18/05/99 - LDP-man-pages 1.23 -->
<!--  Mise  Jour 30/05/01 - LDP-man-pages 1.36 -->
<!--  Mise  Jour 18/07/03 - LDP-man-pages 1.53 -->
<br/><h1>ACCEPT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">gestion des erreurs</a>
<br /><a class="summaryIndent0" href="#L6">erreurs</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">note</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
accept - Accepter une connexion sur une socket.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/><br/>

<b>int accept(int </b> sock <i>, struct sockaddr *</i> adresse <b>, socklen_t *</b> longueur );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>accept</b> <b></b>  est utilis gnralement avec des processus serveurs orients-connexion.
Cet appel systme est employ avec les sockets utilisant un protocole
en mode connect 
( SOCK_STREAM ,</b>
<b>SOCK_SEQPACKET</b> <b></b>  et
<b>SOCK_RDM )</b>
Il extrait la premire connexion de la file des connexions en attente,
cre une nouvelle socket avec essentiellement les mmes proprits que
<i>sock</i> et alloue pour cette socket un nouveau descripteur de fichier qu'il renvoie.
La nouvelle socket n'est plus en tat d'coute.
La socket originale
<i>sock</i> n'est pas modifie par l'appel-systme. Remarquez que les attributs du
descripteur de fichier (tout ce qu'on peut configurer avec l'option
<b>F_SETFL</b> <b></b>  <b></b>  de fcntl() comme l'tat non-bloquant ou asynchrone), ne sont pas hrits
durant un
<i>accept .<br/><br/></i>
L'argument
<i>sock</i> est une socket qui a t cre avec la fonction
<b>socket (2).</b>
attache  une adresse avec
<b>bind (2).</b>
et attend des connextions aprs un appel
<b>listen (2).<br/><br/></b>
L'argument
<i>adresse</i> est un pointeur sur une structure sockaddr. La structure sera remplie avec
l'adresse du correspondant se connectant, telle qu'elle est
connue par la couche de communication. Le format exact du
paramtre
<i>adresse</i> dpend du domaine dans lequel la communication s'tablit. (Voir 
<b>socket (2)</b>
et la page de manuel correspondant au protocole). 
L'argument
<i>longueur</i> est un paramtre-rsultat&nbsp;: il doit contenir initialement la
taille de la structure pointe par
<i>adresse ,</i>
et est renseign au retour par la longueur relle (en octet) de
l'adresse remplie. Quand
<i>adresse</i> vaut NULL, rien n'est rempli.<br/><br/>
S'il n'y a pas de connexion en attente dans la file,
et si la socket n'est
pas marque comme non-bloquante,
<b>accept</b> <b></b>  se met en attente d'une connexion. Si la socket est 
non-bloquante, et qu'aucune connexion n'est prsente dans la file,
<b>accept</b> <b></b>  retourne une erreur EAGAIN.<br/><br/>
Pour tre prvenu de l'arrive d'une connexion sur une socket on peut utiliser
<b>select (2)</b>
ou
<b>poll (2).</b>
Un vnement "lecture" sera dlivr lorsqu'une tentative de connexion
aura lieu, et on pourra alors appeler
<b>accept</b> <b></b>  pour la valider. Autrement, on peut configurer la socket pour qu'elle
envoie un signal
<b>SIGIO</b> <b></b>  lorsqu'une activit la concernant se produit, voir
<b>socket (7)</b>
pour plus de dtails.<br/><br/>
Pour certains protocoles ncessitant une confirmation explicite,
comme
DECNet,
<b>accept</b> <b></b>  peut tre considr comme extrayant simplement la connexion suivante de
la file, sans demander de confirmation. On peut effectuer la confirmation
par une simple lecture ou criture sur le nouveau descripteur, et le rejet
en fermant la nouvelle socket. Pour le moment, seul
DECNet
se comporte ainsi sous Linux.
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Il n'y a pas ncessairement de connexion en attente aprs la rception de
<b>SIGIO</b> <b></b>  ou aprs que
<b>select (2)</b>
ou
<b>poll (2)</b>
indiquent quelque chose  lire. En effet la connexion peut avoir t annule
 cause d'une erreur rseau asynchrone ou par un autre thread avant que
<b>accept</b> <b></b>  ne se termine.
Si cela se produit, l'appel bloquera en attendant une autre connexion.
Pour s'assurer
que
<b>accept</b> <b></b>  ne bloquera jamais, la socket
<i>sock</i> transmise doit avoir l'attribut
<b>O_NONBLOCK</b> <b></b>  (voir
<b>socket (7)).</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
L'appel renvoie -1 en cas d'erreur. S'il russit il renvoie
un entier non-ngatif, constituant un descripteur pour la nouvelle socket.
</div><br/><br /><h1 class="TitreSection0" id="L6">gestion des erreurs</h1>
<div class="paragraph">
Sous Linux,
<b>accept</b> <b></b>  renvoie les erreurs rseau dj en attente sur la socket comme
une erreur de 
l'appel-systme.
Ce comportement diffre d'autres implmentations des sockets BSD.
Pour un comportement fiable, une application doit dtecter les
erreurs rseau dfinies par le protocole aprs le
<b>accept</b> <b></b>  et les traiter
comme des erreurs
<b>EAGAIN ,</b>
en ritrant le mcanisme. Dans le cas de TCP/IP, ces erreurs sont
<b>ENETDOWN ,</b>
<b>EPROTO ,</b>
<b>ENOPROTOOPT ,</b>
<b>EHOSTDOWN ,</b>
<b>ENONET ,</b>
<b>EHOSTUNREACH ,</b>
<b>EOPNOTSUPP ,</b>
et
<b>ENETUNREACH .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">erreurs</h1>
<div class="paragraph">
<b>accept</b> <b></b>  doit chouer si&nbsp;:
<br/><br/>

<b>EAGAIN </b> ou <b> EWOULDBLOCK</b></b>
La socket est non-bloquante et aucune connexion n'est
prsente dans la file.
<br/><br/>

<b>EBADF</b> <b></b>  Le descripteur est invalide.
<br/><br/>

<b>ENOTSOCK</b> <b></b>  Le descripteur n'est pas celui d'une socket.
<br/><br/>

<b>EOPNOTSUPP</b> <b></b>  La socket de rfrence n'est pas de type
<b>SOCK_STREAM . </b>
<br/><br/>

<b>EINTR</b> <b></b>  L'appel-systme a t interrompu par l'arrive d'un
signal avant qu'une connexion valide ne survienne.
<br/><br/>

<b>ECONNABORTED</b> <b></b>  Une connexion a t abandonne.
<br/><br/>

<b>EINVAL</b> <b></b>  La socket n'est pas en attente de connexions.
<br/><br/>

<b>EMFILE</b> <b></b>  La limite des descripteurs ouverts pour le processus a t atteinte.
<br/><br/>

<b>ENFILE</b> <b></b>  Le nombre maximal de descripteurs sur le systme a t atteint.<br/><br/>
<b>accept</b> <b></b>  peut chouer si&nbsp;:
<br/><br/>

<b>EFAULT</b> <b></b>  <i>adresse</i> n'est pas dans l'espace d'adressage accessible
en criture.
<br/><br/>

<b>ENOBUFS</b> <b></b> ,<b></b>  <b>ENOMEM</b> <b></b>  Par assez de mmoire disponible. En gnral, cette erreur
due  la taille limite du buffer des sockets, et pas  la mmoire
systme proprement dite.
<br/><br/>

<b>EPROTO</b> <b></b>  Erreur de protocole.<br/><br/>
La version Linux de
<b>accept</b> <b></b>  peut chouer si&nbsp;:
<br/><br/>

<b>EPERM</b> <b></b>  Les rgles du firewall interdisent la connexion.<br/><br/>
De plus il peut se produire des erreurs rseau dpendant du protocole
de la socket. Certains noyaux Linux peuvent renvoyer d'autres erreurs
comme
<b>ENOSR,</b>
<b>ESOCKTNOSUPPORT ,</b>
<b>EPROTONOSUPPORT ,</b>
<b>ETIMEDOUT.</b>
L'erreur 
<b>ERESTARTSYS</b> <b></b>  peut tre rencontre durant un suivi dans un dbogueur.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
SVr4, BSD 4.4 (La fonction
<b>accept</b> <b></b>  est apparue dans BSD 4.2).
La page de manuel BSD documente cinq erreurs possibles
(EBADF, ENOTSOCK, EOPNOTSUPP, EWOULDBLOCK, EFAULT).
SUSv3 documente les erreurs EAGAIN, EBADF, ECONNABORTED, EINTR, EINVAL, EMFILE,
ENFILE, ENOBUFS, ENOMEM, ENOTSOCK, EOPNOTSUPP, EPROTO, EWOULDBLOCK, De
Plus, SUSv2 documentait EFAULT et ENOSR.<br/><br/>
La version Linux de <b>accept</b> ne fait <b>pas</b> hriter les attributs comme
<b>O_NONBLOCK .</b>
Ce comportement est diffrent d'autres implmentations BSD. Les
programmes portables ne doivent pas s'appuyer sur cette particularit,
et doivent reconfigurer les attributs sur la socket renvoye par accept.
</div><br/><br /><h1 class="TitreSection0" id="L9">note</h1>
<div class="paragraph">
Le troisime argument de
<b>accept</b> <b></b>  tait,  l'origine, dclar comme un `int *' (ceci dans libc4 et libc5
ainsi que pour beaucoup d'autres systmes comme BSD 4.*, SunOS 4, SGI).
Une proposition de standard POSIX 1003.1g l'a modifi en `size_t *' et c'est
ce qu'utilise SunOS. Les dernires propositions POSIX en ont fait un
`socklen_t *', ce que suivent les spcifications Single Unix, et la glibc2.
Pour citer Linus Torvalds:<br/><br/>
\fI_Toute_ bibliothque sense _doit_ garder "socklen_t" quivalent  un int.
Toute autre chose invaliderait tout le niveau des sockets BSD.
POSIX l'avait d'abord remplac par un size_t, et je m'en suis plaint violemment
(ainsi que d'autres heureusement, mais bien entendu pas tant que a). Le
remplacement par un size_t est compltement inutile car size_t  exactement
la mme taille qu'un int sur les architectures 64 bits par exemple. Et il
_a_ la mme taille qu'un "int" parce que c'tait l'interface des sockets BSD. 
Quoiqu'il en soit, les gens de POSIX ont compris et ont cr un "socklen_t".
Ils n'auraient jamais d y toucher, mais une fois commenc, ils ont dcid de
crer un type spcifique, pour des raisons inavoues (probablement quelqu'un
qui ne veut pas perdre la face en expliquant que le premier travail tait
stupide et ils ont simplement renomm leur bricolage).\fP
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
<b>bind (2),</b>
<b>connect (2),</b>
<b>listen (2),</b>
<b>select (2),</b>
<b>socket (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
