<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Wed Jul 21 19:36:29 1993, Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 21 Aug 1994 by Michael Chastain (mec@shell.portal.com): -->
<!--    Removed note about old kernel (pre-1.1.44) using wrong id on path. -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj  9/12/1997 (LDP man-pages 1.18) -->
<!--  mj 26/04/1998 (LDP man-pages 1.19) -->
<!--  mj 18/07/2003 (LDP man-pages 1.56) -->
<br/><h1>ACCESS</h1>
<br /><a class="summaryIndent0" href="#L0">nom </a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">restrictions</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom </h1>
<div class="paragraph">
access - Vrifier les permissions d'accs  un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int access(const char *</b> pathname <i>, int </i> mode );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>access</b> <b></b>  vrifie si le processus serait autoris  lire, crire,
excuter, ou tester l'existence d'un fichier (ou d'un autre objet
appartenant au systme de fichiers), dont le nom est
<i>pathname .</i>
Si
<i>pathname</i> est un lien symbolique, ce sont les permissions du fichier point
par celui-ci qui sont testes.<br/><br/>
<i>mode</i> est un masque constitu des arguments lis par un OU binaire ( | )
<b>R_OK </b>, <b> W_OK </b>, <b> X_OK </b> et  <b> F_OK .</b>
Les requtes
<b>R_OK </b>, <b> W_OK </b> et <b> X_OK</b>
servent respectivement  tester la lecture, l'criture, et
l'excution du fichier.  La requte
<b>F_OK</b> <b></b>  teste l'existence du fichier.<br/><br/>
Les tests dpendent des permissions des rpertoires apparaissant
dans le chemin
<i>pathname</i> et ventuellement des liens symboliques
rencontrs sur ce chemin.<br/><br/>
Le test est effectu avec les User-ID et Group-ID
<i>rels</i> du processus, plutt qu'avec les IDs effectifs qui sont utiliss lorsque
l'on tente l'opration. Ceci permet aux programmes Set-UID de dterminer
les autorisations de l'utilisateur ayant invoqu le programme.<br/><br/>
Seuls les bits d'accs sont vrifis, et non pas le contenu du fichier.
Ainsi si l'autorisation d'criture dans un rpertoire, indique la possibilit
d'y crer des fichiers, et pas d'y crire comme dans un fichier. De mme,
un fichier DOS peut tre considr comme excutable, alors que l'appel
<b>execve (2)</b>
chouera videmment.<br/><br/>
Si le processus a les privilges suffisants, une implmentation peut indiquer
un succs pour
<b>X_OK</b> <b></b>  mme si le fichier n'a aucun bit d'excution positionn.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
L'appel renvoie 0 s'il russit (toutes les requtes sont autorises),
ou -1 s'il choue (au moins une requte du
<i>mode</i> est interdite),
auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<b>access</b> <b></b>  doit chouer si&nbsp;:
<br/><br/>

<b>EACCES</b> <b></b>  L'accs serait refus au fichier lui-mme, ou il n'est pas permis de
parcourir l'un des rpertoires de
<i>pathname .</i>
<br/><br/>

<b>ELOOP</b> <b></b>  Trop de liens symboliques ont t rencontrs en parcourant
<i>pathname .</i>
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>pathname</i>
est trop long.
<br/><br/>

<b>ENOENT</b> <b></b>  Un rpertoire contenu dans le
<i>pathname</i> aurait t accessible mais n'existe pas, ou est un lien symbolique
pointant dans le vide.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment contenu dans le chemin
<i>pathname</i> n'est pas un rpertoire.
<br/><br/>

<b>EROFS</b> <b></b>  On demande une criture sur un systme de fichiers en lecture-seule.<br/><br/>
<b>access</b> <b></b>  peut chouer si&nbsp;:
<br/><br/>

<b>EFAULT</b> <b></b>  <i>pathname</i> pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>mode </i> tait mal spcifi.
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie s'est produite.
<br/><br/>

<b>ENOMEM</b> <b></b>  Le noyau n'a pas assez de mmoire.
<br/><br/>

<b>ETXTBSY</b> <b></b>  On a demand l'criture dans un fichier excutable
qui en cours d'utilisation.
</div><br/><br /><h1 class="TitreSection0" id="L6">restrictions</h1>
<div class="paragraph">
<b>access</b> <b></b>  renvoie une erreur si l'un quelconque des types d'accs est refus,
mme si les autres sont accepts.<br/><br/>
<b>access</b> <b></b>  peut fonctionner incorrectement sur un serveur NFS si les correspondances
d'UID sont actives, car ces correspondances sont gres par le serveur,
et masques au client qui effectue les vrifications d'autorisation.<br/><br/>
Utiliser 
<b>access</b> <b></b>  pour vrifier si un utilisateur a le droit, par exemple, d'ouvrir un fichier
avant d'effectuer rellement l'ouverture avec
<b>open (2),</b>
risque de crer un trou de scurit. En effet, l'utilisateur peut exploiter le
petit intervalle de temps entre la vrification et l'accs pour modifier le
fichier (via un lien symbolique en gnral).
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVID, AT&T, POSIX, X/OPEN, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>stat (2)</b>
<b>open (2)</b>
<b>chmod (2)</b>
<b>chown (2)</b>
<b>setuid (2)</b>
<b>setgid (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
