<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1993 Michael Haardt -->
<!--  (u31b3hs@pool.informatik.rwth-aachen.de), -->
<!--  Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Thu Jul 22 14:00:08 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Tue Aug 10 1993 by Alan Cox (iiitac@pyramid.swansea.ac.uk) -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 09/04/99 LDP-man-pages 1.22 -->
<!--  mj 30/05/01 LDP-man-pages 1.36 -->
<!--  mj 15/01/02 LDP-man-pages 1.47 -->
<!--  mj 18/07/03 LDP-man-pages 1.56 -->
<br/><h1>ACCT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
acct - Activer/dsactiver la comptabilit des processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int acct(const char *</b> filename );


.ad b
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Quand la fonction est appele avec un nom de fichier existant comme
argument, la comptabilit est mise en marche, un enregistrement
tant ajout  <i>filename</i>  la fin de chaque processus.
Un argument <b>NULL</b> arrte la comptabilit.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
L'appel renvoie 0 quand il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EACCESS</b> <b></b>  Interdiction d'crire dans le fichier indiqu.
<br/><br/>

<b>EACCESS</b> <b></b>  L'argument
<i>filename</i> n'est pas un fichier rgulier.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>filename</i> pointe en dehors de l'espace d'adressage autoris.
<br/><br/>

<b>EIO</b> <b></b>  Impossible d'crire dans le fichier
<i>filename .</i>
<br/><br/>

<b>EISDIR</b> <b></b>  <i>filename</i> est un rpertoire.
<br/><br/>

<b>ELOOP</b> <b></b>  Rfrences symboliques circulaires dans le chemin d'accs 
<i>filename .</i>
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>filename</i> est trop long.
<br/><br/>

<b>ENOENT</b> <b></b>  Le nom de fichier indiqu n'existe pas.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire.
<br/><br/>

<b>ENOSYS</b> <b></b>  Le systme de comptabilit BSD n'a pas t activ lors de la compilation
du noyau.
Le paramtre de configuration du noyau contrlant cette option
est CONFIG_BSD_PROCESS_ACCT.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un composant du chemin d'accs 
<i>filename</i> n'est pas un rpertoire.
<br/><br/>

<b>EPERM</b> <b></b>  L'appelant n'a pas la permission d'activer la comptabilit.
<br/><br/>

<b>EROFS</b> <b></b>  <i>filename</i> se trouve sur un systme de fichiers en lecture seule.
<br/><br/>

<b>EUSERS</b> <b></b>  Il n'y a plus de structures de fichiers libres, ou pas assez de mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4 (mais pas POSIX). SVr4 indique une condition d'erreur EBUSY, mais ni
EISDIR ni ENOSYS. De mme AIX et HP-UX documentent EBUSY (essai d'activation
alors que la comptabilit est dj en fonctionnement), comme Solaris (essai
d'activation de la comptabilit avec le mme fichier que celui dj en cours
d'utilisation).
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Aucune comptabilisation n'est effectue pour les programmes en cours 
d'excution si un plantage systme survient. En particulier les
processus qui ne se terminent jamais ne sont pas
comptabiliss.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
