<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  Portions extracted from /usr/include/sys/socket.h, which does not have -->
<!--  any authorship information in it.  It is probably available under the GPL. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  -->
<!--  Other portions are from the 6.9 (Berkeley) 3/10/91 man page: -->
<!--  -->
<!--  Copyright (c) 1983 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!--      This product includes software developed by the University of -->
<!--      California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  Mj 18/05/1999 (LDP man-pages 1.23) -->
<!--  mj 15/01/02 LDP-man-pages 1.47 -->
<!--  mj 18/07/03 LDP-man-pages 1.56 -->
<br/><h1>BIND</h1>
<br /><a class="summaryIndent0" href="#L0">nom </a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">note</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom </h1>
<div class="paragraph">
bind - Fournir un nom  une socket.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/><br/>

<b>int bind(int </b> sockfd <i>, struct sockaddr *</i> my_addr <b>, socklen_t </b> addrlen );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>bind</b> <b></b>  fournit  la socket
<i>sockfd ,</i>
l'adresse locale
<i>my_addr .</i>
<i>my_addr</i> est longue de
<i>addrlen</i> octets. Traditionnellement cette opration est appele "affectation d'un
nom  une socket"
(Quand une socket est cre, par l'appel-systme
<b>socket (2),</b>
elle existe dans l'espace des noms mais n'a pas de nom assign).<br/><br/>
Il est normalement ncessaire d'affecter une adresse locale avec
<b>bind</b> <b></b>  avant qu'une socket
<b>SOCK_STREAM</b> <b></b>  puisse recevoir des connexions (voir
<b>accept (2)).<br/><br/></b>
Les rgles d'affectation de nom varient suivant le domaine de communication.
Consultez le manuel Linux section 7 pour de plus amples informations. Pour
<b>AF_INET</b> <b></b>  voir
<b>ip (7),</b>
pour
<b>AF_UNIX</b> <b></b>  voir
<b>unix (7),</b>
pour
<b>AF_APPLETALK</b> <b></b>  voir
<b>ddp (7),</b>
pour
<b>AF_PACKET</b> <b></b>  voir
<b>packet (7),</b>
pour
<b>AF_X25</b> <b></b>  voir
<b>x25 (7)</b>
et pour
<b>AF_NETLINK</b> <b></b>  voir
<b>netlink (7).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
L'appel renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <i>sockfd</i> n'est pas un descripteur valide.
<br/><br/>

<b>EINVAL</b> <b></b>  La socket possde dj une adresse. Ceci peut changer dans l'avenir&nbsp;:
voir
<i>linux/unix/sock.c</i> pour les dtails.
<br/><br/>

<b>EACCES</b> <b></b>  L'adresse est protge et l'utilisateur n'est pas le Super-User.
<br/><br/>

<b>ENOTSOCK</b> <b></b>  L'argument est un descripteur de fichier, pas une socket.<br/><br/>
Les erreurs suivantes sont spcifiques aux sockets
du domaine UNIX
( AF_UNIX <b>) :</b></b>
<br/><br/>

<b>EINVAL</b> <b></b>  La longueur
<i>addr_len</i> est fausse, ou la socket n'est pas de la
famille
<b>AF_UNIX.</b> <b></b>  <br/><br/>

<b>EROFS</b> <b></b>  L'i-noeud se trouverait dans un systme de fichiers en lecture seule.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>my_addr</i> pointe en dehors de l'espace d'adresse accessible.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>my_addr</i> est trop long
<br/><br/>

<b>ENOENT</b> <b></b>  Le fichier n'existe pas.
<br/><br/>

<b>ENOMEM</b> <b></b>  pas assez de mmoire pour le noyau.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un composant du chemin d'accs n'est pas un rpertoire.
<br/><br/>

<b>EACCES</b> <b></b>  L'accs  un composant du chemin d'accs n'est pas autoris.
<br/><br/>

<b>ELOOP</b> <b></b>  <i>my_addr</i> contient des rfrences circulaires ( travers un lien symbolique).
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Les options de proxy transparent ne sont pas dcrites.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, BSD 4.4 (l'appel systme
<b>bind</b> <b></b>  est apparu dans BSD 4.2). SVr4 indique des erreurs gnrales supplmentaires
<b>EADDRNOTAVAIL ,</b>
<b>EADDRINUSE ,</b>
et
ENOSR,
ainsi que les conditions d'erreurs spcifiques au
domaine
Unix
<b>EIO</b> <b></b>  <b></b>  et
<b>EISDIR .</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">note</h1>
<div class="paragraph">
Le troisime argument de
<b>bind</b> <b></b>  est en fait un int (et c'est ce qu'utilisent BSD 4.*, libc4 et libc5).
Une certaine confusion POSIX rsulte du "socklen_t" actuel. Voir
<b>accept (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>accept (2),</b>
<b>connect (2),</b>
<b>listen (2),</b>
<b>socket (2),</b>
<b>getsockname (2),</b>
<b>ip (7),</b>
<b>socket (7).</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
