<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1993 Michael Haardt -->
<!--  (u31b3hs@pool.informatik.rwth-aachen.de), -->
<!--  Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Wed Jul 21 19:52:58 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Aug 21 17:40:38 1994 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 19/07/1997 -->
<!--  Mise a jour 30/05/2001 LDP-man-pages-1.36 -->
<!--  Mise a jour 30/07/2003 LDP-man-pages-1.58 -->
<br/><h1>BRK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">notes --></a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
brk, sbrk - Modifier la taille du segment de donnes.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int brk(void *</b> fin_segment_donne );
<br/>
<b>void *sbrk(ptrdiff_t </b> incrment );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>brk</b> <b></b>  positionne la fin du segment de donnes (le premier mot mmoire hors
de la zone accessible)  l'adresse spcifie par
<i>fin_segment_donne.</i>
Cette valeur doit tre raisonnable, le systme doit avoir suffisamment
de mmoire, et le processus ne doit pas dpasser sa taille maximale de
segment de donnes (voir
<b>setrlimit (2)).<br/><br/></b>
<b>sbrk</b> <b></b>  incrmente l'espace de donnes du programme de
<i>incrment</i> octets. 
<b>sbrk</b> <b></b>  n'est pas un appel systme, juste une fonction de la bibliothque C.
Appeler
<b>sbrk</b> <b></b>  avec un incrment nul permet d'obtenir l'emplacement de la limite
actuelle.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>brk</b> <b></b>  renvoie 0 s'il russit.
<b>sbrk</b> <b></b>  retourne un pointeur sur le dbut de la nouvelle zone de donnes. 
En cas d'chec -1 est renvoy, et
<i>errno</i> contient le code d'erreur
<b>ENOMEM .</b>
.SH "CONFORMIT"   
BSD 4.3<br/><br/>
<b>brk </b> et <b> sbrk</b>
ne sont pas dfinis dans le C Standard, et sont volontairement exclus
des standards POSIX.1 (paragraphes B.1.1.1.3 et B.8.3.3).
<!--  </div><br/><br /><h1 class="TitreSection0" id="L5">notes --></h1>
<div class="paragraph">
<!--  Various systems use various types for the parameter of -->
<!--  <b>sbrk (). --></b>
<!--  One sees int (e.g. XPGv4, HP-UX 11), ssize_t (e.g. Irix 5.3), -->
<!--  ptrdiff_t (libc4, libc5, ulibc, glibc2.0, 2.1), -->
<!--  intptr_t (e.g. XPGv5, AIX, SunOS 5.9, FreeBSD 4.7, Tru64 5.1, glibc2.2). -->
<!--  XPGv6 obsoletes this function. -->
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>execve (2),</b>
<b>getrlimit (2),</b>
<b>malloc (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
