<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Written by Ralf Baechle (ralf@waldorf-gmbh.de), -->
<!--  Copyright (c) 1994, 1995 Waldorf GMBH -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 15/01/02 LDP-man-pages 1.47 -->
<!--  mj 18/07/03 LDP-man-pages 1.56 -->
<!--  -->
<br/><h1>CACHEFLUSH</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
cacheflush - Vider le contenu des mmoires caches.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;asm/cachectl.h&gt;</b> <b></b>  <br/><br/>

<b>int cacheflush(char *</b> addr <i>, int </i>nbytes <b>, int </b>cache );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>cacheflush</b> <b></b>  vide le contenu des mmoires caches de l'espace d'adressage
utilisateur compris entre addr et (addr+nbytes-1). 
La mmoire cache est l'une des suivantes :
<br/><br/>

<b>ICACHE</b> <b></b>  Mmoire cache d'instructions
<br/><br/>

<b>DCACHE</b> <b></b>  Rcriture du cache et dsactivation du cache concern
<br/><br/>

<b>BCACHE</b> <b></b>  identique 
<b>(ICACHE|DCACHE).<br/><br/></b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>cacheflush</b> <b></b>  renvoie 0 s'il russit. En cas d'chec, -1 est renvoy et
<i>errno </i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Le paramtre de cache n'est pas l'un des trois mentionns ci-dessus.
<br/><br/>

<b>EFAULT</b> <b></b>  Une partie de l'espace d'adressage entre addr et (addr+nbytes-1) n'est pas accessible.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
L'implmentation actuelle ignore les paramtres addr et nbytes. A la place,
le cache entier est toujours vide.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
Cet appel systme n'est disponible que sur les systmes MIPS, il ne faut
pas l'employer dans un programme destin  tre portable.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
