<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -->
<!--  $Id: capget.2,v 1.4 1999/09/09 16:43:26 morgan Exp $ -->
<!--  written by Andrew Morgan &lt;morgan@linux.kernel.org&gt; -->
<!--  may be distributed as per GPL -->
<!--  Modified by David A. Wheeler &lt;dwheeler@ida.org&gt; -->
<!--  -->
<!--  Traduction 04/01/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages 1.28 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>CAPGET</h1>
<br /><a class="summaryIndent0" href="#L0">nom </a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom </h1>
<div class="paragraph">
capget, capset - Configurer les capacits d'un processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#undef</b> <b></b>  <b>_POSIX_SOURCE</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/capability.h&gt;</b> <b></b>  <br/><br/>

<b>int capget(cap_user_header_t </b> entte <i>, cap_user_data_t </i> donnes );
<br/><br/>

<b>int capset(cap_user_header_t </b> entte <i>, const cap_user_data_t </i> donnes );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Depuis Linux 2.2, la toute puissance du Super-Utilisateur (root) a t scinde en
plusieurs ensembles distincts.
Chaque processus dispose d'un ensemble de capacits effectives permettant
d'identifier ses droits de raliser certaines actions.
Chaque processus a aussi un ensemble de capacits hritables, qu'il peut transmettre
au travers d'un execve(2) et un ensemble de capacits ventuelles qu'il peut rendre
effectives ou hritables.<br/><br/>
Ces deux fonctions constituent l'interface brute du noyau pour configurer ou lire
les capacits d'un processus. Non seulement ces appels-systme sont spcifiques
Linux, mais l'API du noyau est susceptible de changer. L'utilisation de
ces fonctions (en particulier le format du type
<b>cap_user_*_t )</b>
risque de varier lors de nouvelles mises  jour du noyau.
<br/><br/>

L'interface portable est constitue des fonctions
<i>cap_set_proc (3)</i>
et
<i>cap_get_proc (3);</i>
si possible utilisez plutt ces routines dans vos applications.
Si vous dsirez vraiment utiliser les extension Linux, essayez d'employer 
plutt les interfaces plus simples
<i>capsetp (3)</i>
et 
<i>capgetp (3).</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si elles russissent, ces routines renvoient 0. Sinon elles renvoient
-1 et configurent
<i>errno</i> avec le code d'erreur appropri
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Un argument est invalide
<br/><br/>

<b>EPERM</b> <b></b>  On a essay d'ajouter une capacit dans l'ensemble ventuel, ou de placer
une capacit dans l'ensemble effectif ou hritable qui ne se trouvait pas
dans l'ensemble ventuel.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
L'interface portable pour les fonctions de configuration et de lecture des 
permissions est fournie par la bibliothque
<b>libcap</b> <b></b>  disponible  :
<br/>
<b>ftp://linux.kernel.org/pub/linux/libs/security/linux-privs</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>capabilities (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
