<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Wed Jul 21 22:10:52 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 15 April 1995 by Michael Chastain (mec@shell.portal.com): -->
<!--    Added 'fchdir'. -->
<!--    Fix bugs in error section. -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 10/12/97 (LDP man-pages 1.18) -->
<!--  mj 30/05/01 (LDP man-pages 1.36) -->
<!--  mj 18/07/03 (LDP-1.56) -->
<br/><h1>CHDIR</h1>
<br /><a class="summaryIndent0" href="#L0">nom </a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">erreurs</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom </h1>
<div class="paragraph">
chdir, fchdir - Changer le rpertoire courant.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int chdir(const char *</b> path );
<br/>
<b>int fchdir(int </b> fd );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>chdir</b> <b></b>  remplace le rpertoire courant par celui indiqu dans le chemin
<i>path .<br/><br/></i>
<b>fchdir</b> <b></b>  est identique 
<b>chdir ,</b>
sauf que le rpertoire cible est fourni sous forme de descripteur de fichier.
.SH "VALEUR RENVOYE" 
<b>chdir </b> et <b> fchdir</b>
renvoient 0 s'ils russissent, ou -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L4">erreurs</h1>
<div class="paragraph">
Suivant le type de systme de fichiers, plusieurs erreurs peuvent
tre renvoyes, les plus courantes pour
<b>chdir</b> <b></b>  sont les suivantes&nbsp;:
<br/><br/>

<b>EFAULT</b> <b></b>  <i>path</i> pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>path</i> est trop long.
<br/><br/>

<b>ENOENT</b> <b></b>  Le fichier n'existe pas.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs n'est pas un rpertoire.
<br/><br/>

<b>EACCES</b> <b></b>  L'accs n'est pas autoris sur un lment du chemin.
<br/><br/>

<b>ELOOP</b> <b></b>  <i>path</i> contient des rfrences circulaires ( travers un lien symbolique).
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie s'est produite.<br/><br/>
Les erreurs courantes pour
<b>fchdir</b> <b></b>  sont&nbsp;:
<br/><br/>

<b>EBADF</b> <b></b>  <i>fd</i> n'est pas un descripteur de fichier valide.
<br/><br/>

<b>EACCES</b> <b></b>  Le rpertoire ouvert sur 
<i>fd</i> n'autorise pas le parcours.
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Le prototype de
<b>fchdir</b> <b></b>  n'est disponible que si
<b>_BSD_SOURCE</b> <b></b>  est dfini (soit explicitement, soit implicitement en ne dfinissant pas
_POSIX_SOURCE ou en compilant avec l'attribut -ansi).
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
L'appel systme
<b>chdir</b> <b></b>  est compatible avec SVr4, SVID, POSIX, X/OPEN, et 4.4BSD.
SVr4 dcrit les conditions d'erreur supplmentaires EINTR, ENOLINK,
et EMULTIHOP mais n'a pas d'erreur ENOMEM.
POSIX.1 ne contient pas d'erreur ENOMEM ni ELOOP.
X/OPEN ne dcrit pas les erreurs EFAULT, ENOMEM ni EIO.<br/><br/>
L'appel systme
<b>fchdir</b> <b></b>  est compatible avec SVr4, 4.4BSD et X/OPEN.
SVr4 ajoute les conditions d'erreur EIO, EINTR, et ENOLINK.
X/OPEN ajoute EINTR et EIO.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>getcwd (3),</b>
<b>chroot (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
