<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Wed Jul 21 20:18:11 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--   mj 10/12/1997 (LDP man-pages 1.18) -->
<!--   mj 26/04/1998 (LDP man-pages 1.19) -->
<!--   mj 17/01/2002 (LDP man-pages 1.38) -->
<!--   mj 18/07/2003 (LDP man-pages 1.56) -->
<br/><h1>CHMOD</h1>
<br /><a class="summaryIndent0" href="#L0">nom </a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom </h1>
<div class="paragraph">
chmod, fchmod - Modifier les permissions d'accs  un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/stat.h&gt;</b> <b></b>  <br/><br/>

<b>int chmod(const char *</b> pathname <i>, mode_t </i> mode );
<br/>
<b>int fchmod(int </b> fildes <i>, mode_t </i> mode );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>chmod</b> <b></b>  change le mode d'accs du fichier
<i>pathname.</i> <br/>
<b>fchmod</b> <b></b>  change le mode d'accs du fichier associ au descripteur
<i>fildes.<br/><br/></i> Le mode est spcifi par un
<i>OU </i>
binaire ( | ) entre les lments suivants (les nombres sont en octal) :
.RS
<br/><br/>

<br/><br/>

S_ISUID
04000
modification du numro d'utilisateur (UID)  l'excution.
<br/><br/>

S_ISGID
02000
modification du numro de groupe (GID)  l'excution.
<br/><br/>

S_ISVTX
01000
positionner le sticky bit pour conserver le code
du programme en mmoire aprs excution.
<br/><br/>

S_IRUSR (S_IREAD)
00400 
accs en lecture pour le propritaire
<br/><br/>

S_IWUSR (S_IWRITE)
00200 
accs en criture pour le propritaire
<br/><br/>

S_IXUSR (S_IEXEC)
00100 
accs en excution/parcours par le propritaire
<br/><br/>

S_IRGRP
00040 
accs en lecture pour le groupe
<br/><br/>

S_IWGRP
00020 
accs en criture pour le groupe
<br/><br/>

S_IXGRP
00010 
accs en excution/parcours pour le groupe
<br/><br/>

S_IROTH
00004 
accs en lecture pour les autres
<br/><br/>

S_IWOTH
00002 
accs en criture pour les autres
<br/><br/>

S_IXOTH
00001 
accs en excution/parcours pour les autres
<br/><br/>

<br/><br/>
L'UID effectif du processus doit tre nul (root) ou doit correspondre  celui  
du propritaire du fichier.<br/><br/>
Si l'UID effectif du processus n'est pas nul, et si le groupe du fichier
ne correspond ni au GID effectif du processus, ni  l'un de ses ventuels
groupes supplmentaires, le bit S_ISGID sera dsactiv, mais cela ne crera
pas d'erreur.<br/><br/>
Suivant le type de systme de fichiers, les bits Set-UID et Set-GID peuvent
tre effacs si un fichier est crit. Sur certains systmes de fichiers,
seul le Super-User peut positionner le Sticky-Bit, lequel peut avoir une
signification spcifique. Pour la signification du Sticky-Bit et du bit
Set-GID sur les rpertoires, voir
<b>stat (2).<br/><br/></b>
Sur les systmes de fichiers NFS, une restriction des autorisations d'accs
aura un effet immdiat y compris sur les fichiers dj ouverts, car les
contrles d'accs sont effectus sur le serveur, mais les fichiers sont
maintenus ouverts sur le client. Par contre, un largissement des autorisations
peut ne pas tre immdiat, si le client dispose d'un cache.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>chmod </b> et <b> fchmod</b>
renvoient 0 s'ils russissent, ou -1 en cas d'chec, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Suivant le type de systme de fichiers, diffrentes erreurs peuvent
tre renvoyes. Les plus courantes pour
<b>chmod</b> <b></b>  sont :
<br/><br/>

<b>EPERM</b> <b></b>  L'UID effectif ne correspond pas au propritaire du fichier, et n'est pas nul.
<br/><br/>

<b>EROFS</b> <b></b>  Le fichier se trouve sur un systme de fichiers en lecture seule.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>pathname</i> pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>pathname</i> est trop long.
<br/><br/>

<b>ENOENT</b> <b></b>  Le fichier n'existe pas.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.      
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs n'est pas un rpertoire.
<br/><br/>

<b>EACCES</b> <b></b>  Le parcours d'un lment du chemin de recherche est interdit.
<br/><br/>

<b>ELOOP</b> <b></b>  <i>pathname</i> contient une rfrence circulaire ( travers un lien symbolique)
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre / sortie bas-niveau s'est produite durant la
modification de l'i-noeud.<br/><br/>
Les erreurs les plus courantes pour
<b>fchmod</b> <b></b>  sont :
<br/><br/>

<b>EBADF</b> <b></b>  Le descripteur de fichier
<i>fildes</i> est invalide.
<br/><br/>

<b>EROFS</b> <b></b>  Voir plus haut.
<br/><br/>

<b>EPERM</b> <b></b>  Voir plus haut.
<br/><br/>

<b>EIO</b> <b></b>  Voir plus haut.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
L'appel
<b>chmod</b> <b></b>  est conforme a SVr4, SVID, POSIX, X/OPEN, 4.4BSD, 
SVr4 dcrit les erreurs EINTR,  ENOLINK  et  EMULTIHOP, mais pas ENOMEM.
POSIX.1  ne documente ni les erreurs EFAULT, ENOMEM, ELOOP et EIO,
ni les macros S_IREAD, S_IWRITE et S_IEXEC.<br/><br/>
L'appel
<b>fchmod</b> <b></b>  est conforme  4.4BSD et SVr4.
SVr4 dcrit les erreurs supplmentaires EINTR et ENOLINK.
POSIX rclame l'existence de la fonction
<b>fchmod</b> <b></b>  si au moins une des
deux constantes
<b>_POSIX_MAPPED_FILES</b> <b></b>  et
<b>_POSIX_SHARED_MEMORY_OBJECTS</b> <b></b>  est dfinie,
et dcrit les conditions d'erreur supplmentaires ENOSYS et EINVAL
mais pas EIO.<br/><br/>
POSIX et X/OPEN ne documentent pas le Sticky Bit.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>open (2),</b>
<b>chown (2),</b>
<b>stat (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
