<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Wed Jul 21 21:53:01 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  mj 26/04/1997 (LDP man-pages 1.19) -->
<!--  mj 30/05/2001 (LDP man-pages 1.36) -->
<!--  mj 18/07/2003 (LDP man-pages 1.56) -->
<br/><h1>CHOWN</h1>
<br /><a class="summaryIndent0" href="#L0">nom </a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">remarques</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom </h1>
<div class="paragraph">
chown, fchown, lchown - Modifier l'appartenance d'un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int chown(const char *</b> path <i>, uid_t </i> owner <b>, gid_t </b> group );
<br/>
<b>int fchown(int </b> fd <i>, uid_t </i> owner <b>, gid_t </b> group );
<br/>
<b>int lchown(cost char *</b> path <i>, uid_t </i> owner <b>, gid_t </b> group );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Le propritaire et le groupe du fichier dsign par le chemin
<i>path</i> ou par le descripteur de fichier
<i>fd</i> sont modifis. Seul le Super-User peut changer le propritaire d'un fichier. Le
propritaire peut changer le groupe du fichier pour n'importe quel groupe auquel
il appartient. Le Super-User peut changer le groupe arbitrairement.<br/><br/>
Si l'argument
<i>owner</i> ou 
<i>group</i> vaut -1, l'lment correspondant n'est pas chang.<br/><br/>
Quand le propritaire, ou le groupe d'un fichier excutable sont modifis par
un utilisateur ordinaire, les bits S_ISUID et S_ISGID sont effacs.
POSIX ne prcise pas s'il faut agir de mme lorsque c'est le Super-Utilisateur
qui invoque
<i>chown .</i>
Le comportement de Linux dans ce cas dpend de la version du noyau.
Si le fichier n'est pas excutable par les membres de son groupe, (son
bit S_IXGRP tant  zro) le bit S_ISGID indique la prsence d'un verrou
obligatoire sur le fichier, et n'est donc pas effac par un
<i>chown .<br/><br/></i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>chown </b>, <b> lchown </b>, et <b> fchown</b>
renvoient 0 s'ils russissent, ou -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Suivant le type de systme de fichiers, plusieurs erreurs peuvent tre
renvoyes. Les plus courantes pour  
<b>chown</b> <b></b>  sont les suivantes :<br/><br/>
<br/><br/>

<b>EPERM</b> <b></b>  L'UID effectif du processus ne correspond pas  celui du fichier, et n'est 
pas nul, ou le propritaire
<i>owner</i> ou le groupe
<i>group</i> sont spcifis incorrectement.
<br/><br/>

<b>EROFS</b> <b></b>  Le fichier spcifi rside sur un systme de fichiers en lecture seule.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>path</i> pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>path</i> est trop long.
<br/><br/>

<b>ENOENT</b> <b></b>  Le fichier n'existe pas.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.      
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs n'est pas un rpertoire.
<br/><br/>

<b>EACCES</b> <b></b>  L'accs  un lment du chemin est interdit.                  
<br/><br/>

<b>ELOOP</b> <b></b>  <i>path</i> contient une rfrence circulaire ( travers un lien symbolique)<br/><br/>
Les erreurs courantes pour
<b>fchown</b> <b></b>  sont les suivantes :
<br/><br/>
 
<b>EBADF</b> <b></b>  Le descripteur de fichier est invalide
<br/><br/>

<b>ENOENT</b> <b></b>  Cf chown. 
<br/><br/>

<b>EPERM</b> <b></b>  Cf chown. 
<br/><br/>

<b>EROFS</b> <b></b>  Cf chown. 
<b>EIO</b> <b></b>  Une erreur d'entre/sortie bas-niveau s'est produite durant
la modification de l'i-noeud.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Dans les versions de Linux antrieures  2.1.81 (sauf 2.1.46),
<b>chown</b> <b></b>  ne suivait pas les liens symboliques. Depuis cette version,
<b>chown</b> <b></b>  suit les liens symboliques, et il existe un nouvel appel-systme,
<b>lchown </b>, <b></b>
qui ne les suit pas.
Depuis Linux 2.1.86, ce nouvel appel systme (qui a donc la mme
smantique que l'ancien
<b>chown )</b>
a pris son numro de Syscall, et
<b>chown</b> <b></b>  a reu un nouveau numro.<br/><br/>
Le prototype de la fonction
<b>fchown</b> <b></b>  est seulement utilisable si la constante symbolique
<b>_BSD_SOURCE</b> <b></b>  est dfinie (soit explicitement, soit implicitement en ne dfinissant
pas _POSIX_SOURCE ou en compilant avec l'attribut -ansi).
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
L'appel systme
<b>chown</b> <b></b>  est conforme 
SVr4, SVID, POSIX, X/OPEN.  La version 4.4BSD ne peut tre appele que
par le Super-User (ce qui signifie qu'un utilisateur ordinaire ne
peut pas cder la proprit d'un fichier).
SVr4 documente les erreurs  EINVAL, EINTR, ENOLINK et EMULTIHOP, mais pas
ENOMEM.  POSIX.1 ne dcrit ni ENOMEM ni ELOOP.<br/><br/>
L'appel systme
<b>fchown</b> <b></b>  est conforme  4.4BSD et SVr4.
SVr4 indique des conditions d'erreurs supplmentaires EINVAL, EIO, EINTR, et ENOLINK.
</div><br/><br /><h1 class="TitreSection0" id="L8">remarques</h1>
<div class="paragraph">
La smantique de <b>chown</b>() est volontairement modifie sur les systmes
de fichiers NFS o la correspondance d'UID est active. De plus, c'est la
smantique de tous les appels systmes accdant au contenu des fichiers qui
est modifie, puisque <b>chown</b>() peut dclencher une interdiction immdiate
d'accs  des fichiers dj ouverts. Un cache situ du ct client peut induire
un dlai entre l'instant o l'appartenance du fichier est modifie et le
moment o l'accs est effectivement accord  l'utilisateur.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>chmod (2),</b>
<b>flock (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
