<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  May be distributed under the GNU General Public License. -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Sat Jul 24 13:22:07 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 21 Aug 1994 by Michael Chastain (mec@shell.portal.com): -->
<!--    New man page (copied from 'fork.2'). -->
<!--  Modified 10 June 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 18/09/1998 - LDP-man-pages-1.20 -->
<!--  Mise  jour 30/08/2000 - LDP 1.31 -->
<!--  mj 15/01/02 LDP-man-pages 1.47 -->
<!--  mj 30/07/03 LDP-man-pages 1.58 -->
<br/><h1>CLONE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
clone - Crer un processus fils (child).
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;linux/sched.h&gt;</b> <b></b>  <br/><br/>

<b>int clone(int (*</b> <i>fn</i> <b>) (void *</b> <i>arg</i> <b>), void *</b> <i>pile_fils</i> <b>, int </b> <i>flags</i> <b>, void *</b> <i>arg</i> <b>)</b>
<br/><br/>

<b>_syscall2(int, </b> <i>clone</i> <b>, int, </b> <i>flags</i> <b>, void *, </b> <i>pile_fils</i> );<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>clone</b> <b></b>  cre un nouveau processus, exactement comme le fait
<b>fork (2).</b>
<b>clone</b> <b></b>  est une fonction de bibliothque s'appuyant sur
l'appel-systme
<b>sys_clone</b> <b></b>  sous-jacent.
Une description de
<b>sys_clone</b>
se trouve plus bas sur cette page.<br/><br/>
Contrairement 
<b>fork (2),</b>
cette routine 
permet le partage d'une partie du contexte d'excution entre le processus fils
et le processus appelant. Le partage peut s'appliquer sur l'espace mmoire, sur
la table des descripteurs de fichiers, la table des gestionnaires de signaux...
(Notez que sur cette page de manuel, le "processus appelant" correspond normalement
au "processus pre", mais voyez quand mme la description de
<b>CLONE_PARENT</b> <b></b>  plus bas).<br/><br/>
L'appel systme
<b>clone</b> <b></b>  est principalement utilis pour permettre l'implmentation des threads : 
un programme est scind en plusieurs lignes de contrle, s'excutant
simultanment dans un espace mmoire partag.<br/><br/>
Quand le processus fils est cr, avec
<b>clone ,</b>
il excute la fonction
<i>fn ( arg )</i>
de l'application. (Ceci est diffrent de
<b>fork (2)</b>
avec lequel l'excution continue dans le fils au point de
l'appel
<b>fork )</b>
L'argument
<i>fn</i> est un pointeur sur la fonction appele par le processus fils lors de son
dmarrage.
L'argument
<i>arg</i> est transmis  la fonction
<i>fn</i> lors de son invocation.<br/><br/>
Quand la fonction
<i>fn ( arg )</i>
revient, le processus fils se termine.
La valeur entire renvoye par
<i>fn</i> est utilise comme code de retour du processus fils. Ce dernier peut
galement se terminer de manire explicite en invoquant la fonction
<b>exit (2)</b>
ou aprs la rception d'un signal fatal.<br/><br/>
L'argument
<i>pile_fils</i> indique l'emplacement de la pile utilise par le processus fils.
Comme les processus fils et appelant peuvent partager de la mmoire,
il n'est gnralement pas possible pour le fils d'utiliser la mme
pile que son pre. Le processus appelant doit donc prparer un espace
mmoire pour stocker la pile de son fils, et transmettre 
<b>clone</b> <b></b>  un pointeur sur cet emplacement.
Les piles croissent vers le bas sur tous les processeurs implmentant
Linux (sauf le HP PA), donc
<i>pile_fils</i> doit pointer sur la plus haute adresse de l'espace mmoire prvu pour 
la pile du processus fils.<br/><br/>
L'octet de poids faible de
<i>flags</i> contient le numro du signal qui sera envoy au pre lorsque le processus
fils se terminera. Si ce signal est diffrent de 
<b>SIGCHLD ,</b>
le processus parent doit galement spcifier les options
<b>__WALL</b> <b></b>  ou
<b>__WCLONE</b> <b></b>  lorsqu'il attend la fin du fils avec
<b>wait (2).</b>
Si aucun signal n'est indiqu, le processus parent ne sera pas notifi
de la terminaison du fils.<br/><br/>
<i>flags</i> permet galement de prciser ce qui sera partag entre le pre et le fils,
en effectuant un OU binaire entre une ou plusieurs des
constantes suivantes :<br/><br/>
<br/><br/>

<b>CLONE_PARENT</b> <b></b>  (nouveaut Linux 2.4) Si
<b>CLONE_PARENT</b> <b></b>  est prsent, le pre du nouveau fils (comme il est indiqu par
<b>getppid (2))</b>
sera le mme que celui du processus appelant.
 
Si
<b>CLONE_PARENT</b> <b></b>  n'est pas fourni, alors (comme pour
<b>fork (2))</b>
le pre du processus fils sera le processus appelant.
 
Remarquez que c'est le processus pre, tel qu'indiqu par
<b>getppid (2),</b>
qui est notifi lors de la fin du fils.
Ainsi si
<b>CLONE_PARENT</b> <b></b>  est prsent, alors c'est le pre du processus appelant, et
non ce dernier, qui sera notifi.<br/><br/>
<br/><br/>

<b>CLONE_FS</b> <b></b>  Si l'attribut
<b>CLONE_FS</b> <b></b>  est positionn, les processus appelant et fils partagent les mmes informations
concernant le systme de fichiers. Ceci inclue la racine du systme de
fichiers, le rpertoire de travail, et l'umask. Tout appel 
<b>chroot (2),</b>
<b>chdir (2),</b>
ou
<b>umask (2)</b>
effectu par un processus aura galement influence sur
l'autre processus.<br/><br/>
Si
<b>CLONE_FS</b> <b></b>  n'est pas choisi, le processus travaille sur une copie des informations de
l'appelant concernant le systme de fichiers. Cette copie est effectue lors de
l'invocation de
<b>clone .</b>
Les appels 
<b>chroot (2),</b>
<b>chdir (2),</b>
<b>umask (2)</b>
effectus par un processus n'affectent pas l'autre processus.<br/><br/>
<br/><br/>

<b>CLONE_FILES</b> <b></b>  Si l'attribut
<b>CLONE_FILES</b> <b></b>  est positionn, les processus appelant et fils partagent la mme table des
descripteurs de fichiers. Les descripteurs feront alors toujours rfrence
aux mmes fichiers pour les deux processus. Tout descripteur cr par
un processus est galement valide pour l'autre processus. De mme si
un processus ferme un descripteur, ou modifie ses attributs, l'autre
processus en est aussi affect.<br/><br/>
Si
<b>CLONE_FILES</b> <b></b>  n'est pas positionn, le processus fils hrite d'une copie des descripteurs
de fichiers ouverts par l'appelant au moment de l'appel
<b>clone .</b>
Les oprations effectues ensuite sur un descripteur par un des processus
n'affectent pas l'autre processus.<br/><br/>
<br/><br/>

<b>CLONE_NEWNS</b> <b></b>  (Nouveaut Linux 2.4.19)
Dmarrer le processus dans un nouvel espace de noms.<br/><br/>
Chaque processus se trouve dans un espace de noms. Cet
<i>espace de noms</i> du processus regroupe les donnes dcrivant la hirarchie des fichiers vus
par le processus (l'ensemble des montages). Aprs un
<b>fork (2)</b>
ou
<b>clone (2)</b>
sans l'attribut
<b>CLONE_NEWNS</b> <b></b>  le fils se droule dans le mme espace de nom que son pre.
Les appels-systme
<b>mount (2)</b>
et 
<b>umount (2)</b>
modifient l'espace de noms du processus appelant, et affectent ainsi tous les
processus se droulant dans le mme espace, sans affecter les processus se
trouvant dans d'autres espaces.<br/><br/>
Aprs un
<b>clone (2)</b>
avec l'attribut
<b>CLONE_NEWNS</b> <b></b>  le fils clon dmarre dans un nouvel espace de noms, initialis
avec une copie de l'espace du pre.<br/><br/>
Seul un processus privilgi peut spcifier 
l'attribut
<b>CLONE_NEWNS .</b>
<!--  The required capability is CAP_SYS_ADMIN. -- MTK, 15 Oct 02 -->
Il n'est pas possible de spcifier  la fois
<b>CLONE_NEWNS</b> <b></b>  et
<b>CLONE_FS</b> <b></b>  pour le
mme appel
<b>clone .<br/><br/></b>
<br/><br/>

<b>CLONE_SIGHAND</b> <b></b>  Si l'attribut
<b>CLONE_SIGHAND</b> <b></b>  est positionn, les processus appelant et fils partagent la mme table des
gestionnaires de signaux. Si l'appelant, ou le fils, appelle
<b>sigaction (2)</b>
pour modifier le comportement associ  un signal, ce comportement est
galement chang pour l'autre processus. Nanmoins, l'appelant et le
fils ont toujours des masques de signaux distincts, et leurs ensembles
de signaux bloqus sont indpendants.
L'un des processus peut donc bloquer un signal en utilisant
<b>sigprocmask (2)</b>
sans affecter l'autre processus.<br/><br/>
Si
<b>CLONE_SIGHAND</b> <b></b>  n'est pas utilis, le processus fils hrite d'une copie des gestionnaires
de signaux de l'appelant lors de l'invocation de
<b>clone .</b>
Les appels 
<b>sigaction (2)</b>
effectus ensuite depuis un processus n'ont pas d'effets sur l'autre
processus.<br/><br/>
<br/><br/>

<b>CLONE_PTRACE</b> <b></b>  Si l'attribut
<b>CLONE_PTRACE</b> <b></b>  est positionn et si l'appelant est suivi par un dbogueur, alors le
fils sera galement suivi (voir
<b>ptrace (2)).<br/><br/></b>
<br/><br/>

<b>CLONE_VFORK</b> <b></b>  Si le bit
<b>CLONE_VFORK</b> <b></b>  est actif, l'excution du processus appelant est suspendue jusqu' ce
que le fils libre ses ressources de mmoire virtuelle par un appel
<b>execve (2)</b>
ou
<b>_exit (2)</b>
(comme avec
<b>vfork (2)).<br/><br/></b>
Si
<b>CLONE_VFORK</b> <b></b>  n'est pas indiqu, alors les deux processus sont ordonnancs  partir
de la fin de l'appel, et l'application ne doit pas considr que l'ordre
d'excution soit dtermin.<br/><br/>
<br/><br/>

<b>CLONE_VM</b> <b></b>  Si le bit
<b>CLONE_VM</b> <b></b>  est actif, les processus pre et fils s'excutent dans le mme espace mmoire.
En particulier, les critures en mmoire effectues par l'un des processus sont
visibles par l'autre.
De mme toute projection en mmoire, ou toute suppression de projection,
effectues avec
<b>mmap (2)</b>
ou
<b>munmap (2)</b>
par l'un des processus affectera galement l'autre processus.<br/><br/>
Si
<b>CLONE_VM</b> <b></b>  n'est pas actif, le processus fils utilisera une copie distincte de l'espace
mmoire de l'appelant. Le clich tant ralis lors de l'invocation de
<b>clone .</b>
Les critures ou les projections de fichiers en mmoire effectues par un processus
n'affectent pas l'autre processus, comme cela se passe avec
<b>fork (2).<br/><br/></b>
<br/><br/>

<b>CLONE_PID</b> <b></b>  Si l'attribut
<b>CLONE_PID</b> <b></b>  est positionn, les processus appelant et fils ont le mme numro de processus.<br/><br/>
Si
<b>CLONE_PID</b> <b></b>  n'est pas slectionn, le processus fils possde un identificateur unique,
distinct de celui de l'appelant.<br/><br/>
Cet attribut ne peut tre utilis que par le processus de dmarrage du
systme (PID 0).<br/><br/>
<br/><br/>

<b>CLONE_THREAD</b> <b></b>  (Nouveaut Linux 2.4)
Si
<b>CLONE_THREAD</b> <b></b>  est prsent, le fils est plac dans le mme groupe de threads que le processus
appelant.<br/><br/>
Si
<b>CLONE_THREAD</b> <b></b>  n'est pas indiqu, alors le fils est plac dans son propre (nouveau) groupe de
threads, dont l'identificateur est identique au PID.<br/><br/>
(Les groupes de threads sont une fonctionnalit ajoutes dans Linux 2.4 pour
supporter la notion POSIX d'ensemble de threads partageant un mme PID.
Sous Linux 2.4, l'appel
<b>getpid (2)</b>
renvoie l'identificateur du groupe de thread de l'appelant).<br/><br/>
</div><br/><h2 class="TitreSection1" id="L11">sys_clone</h2>
<div class="paragraph">
L'appel-systme
<b>sys_clone</b> <b></b>  ressemble plus 
<b>fork (2),</b>
en ceci que l'excution dans le processus fils continue  partir du point
d'appel. Ainsi
<b>sys_clone</b> <b></b>  ne ncessite que les arguments
<i>flags</i> et
<i>pile_fils</i> qui ont la mme signification que pour
<b>clone.</b>
(Notez que l'ordre de ces arguments est diffrent de celui dans
<b>clone ).<br/><br/></b>
Une autre diffrence : pour
<b>sys_clone ,</b>
l'argument
<i>pile_fils</i> peut tre nul, puisque la smantique de copie-en-criture assure
que le fils recevra une copie indpendante des pages de la pile ds qu'un
des deux processus la modifiera. Pour que cela fonctionne, il faut naturellement
que
<b>CLONE_VM</b> <b></b>  ne soit PAS prsent.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de russite, le PID du processus fils est renvoy dans le fil d'excution
de l'appelant. En cas d'chec, -1 est renvoy dans le contexte de l'appelant,
aucun fils n'est cr, et
<i>errno</i> contiendra le code d'erreur.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EAGAIN</b> <b></b>  Trop de processus en cours d'excution.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour copier les parties du contexte du processus appelant
qui doivent tre duplique, ou pour allouer une structure de tche pour
le processus fils.
<br/><br/>

<b>EINVAL</b> <b></b>  Renvoye par
<b>clone</b> <b></b>  quand une valeur nulle a t indique pour le paramtre
<i>pile_fils .</i>
<br/><br/>

<b>EINVAL</b> <b></b>  Les attributs
<b>CLONE_NEWNS</b> <b></b>  et
<b>CLONE_FS</b> <b></b>  ont t indiqus simultanment dans
<i>flags .</i>
<br/><br/>

<b>EINVAL</b> <b></b>  <b>CLONE_THREAD</b> <b></b>  a t spcifi mais pas
<b>CLONE_SIGHAND</b> <b></b>  (depuis Linux 2.5.35).
<br/><br/>

<b>EPERM</b> <b></b>  <b>CLONE_PID</b> <b></b>  a t rclam par un processus au PID non-nul.
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Dans la version 2.1.97 du noyau,
l'attribut
<b>CLONE_PID</b> <b></b>  ne doit pas tre utilis, car d'autres parties du noyau et certaines
applications considrent que le PID est unique.<br/><br/>
Il n'y a pas de dfinition pour
<b>clone</b> <b></b>  dans la libc version 5. La version 6 (GlibC 2) fournit une dfinition de
<b>clone</b> <b></b>  comme dcrit ici.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Pour les noyaux 2.4.7-2.4.18 l'attribut CLONE_THREAD entrane l'attribut
CLONE_PARENT.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
Les appels-systme
<b>clone</b> <b></b>  et
<b>sys_clone</b> <b></b>  sont spcifiques  Linux et ne doivent pas tre
employs dans des programmes portables. Pour programmer des applications
multithreads, il vaut mieux employer une bibliothque qui implmente l'API
des Threads Posix 1003.1c comme la bibliothque LinuxThreads (incluse dans la GlibC 2). Voir
<b>pthread_create (3thr).<br/><br/></b>
Cette page de manuel correspond aux noyaux 2.0.x, 2.1.x, 2.2.x, 2.4.x
et aux GlibC 2.0.x et 2.1.x.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>fork (2),</b>
<b>wait (3),</b>
<b>pthread_create (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
