<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Wed Jul 21 22:40:25 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sat Feb 18 15:27:48 1995 by Michael Haardt -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 05/05/99 LDP-man-pages-1.23 -->
<!--  Mise  jour 30/08/2000 LDP 1.31 -->
<!--  Mise  jour 30/05/2001 LDP 1.36 -->
<!--  mj 15/01/02 LDP-man-pages 1.47 -->
<!--  mj 18/07/03 LDP-man-pages 1.56 -->
<br/><h1>CLOSE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
close - Fermer un descripteur de fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int close(int </b> fd );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>close</b> <b></b>  ferme le descripteur
<i>fd , </i>
de manire  ce qu'il ne rfrence plus
aucun fichier, et puisse tre rutilis. Tous les verrouillages sur le
fichier qui lui tait associ, appartenant au processus, sont supprims
(quelque soit le descripteur qui fut utilis pour obtenir le verrouillage).<br/><br/>
Si
<i>fd</i> est la dernire copie d'un descripteur de fichier donn, les ressources
qui lui sont associes sont libres. 
Si le descripteur tait la dernire rfrence sur un
fichier supprim avec
<b>unlink (2),</b>
le fichier est effectivement effac.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>close</b>
renvoie 0 s'il russit, ou -1 en cas d'chec, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  Le descripteur de fichier
<i>fd</i> est invalide
<br/><br/>

<b>EINTR</b> <b></b>  L'appel-systme
<b>close ()</b>
a t interrompu par un signal.
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre-sortie s'est produit.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, X/OPEN, BSD 4.3. SVr4 documente une
condition d'erreur supplmentaire ENOLINK.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Ne pas vrifier la valeur de retour de close est une pratique courante
mais galement une grave erreur de programmation. Il est possible qu'une erreur
correspondant  un appel
<i>write (2)</i>
antrieur ne soit rapporte que lors du
<b>close</b> <b></b>  final.
Ne pas vrifier la valeur de retour lorsque l'on ferme un fichier peut
conduire  une perte silencieuse de donnes. Ceci est principalement
vrai dans le cas de systmes de fichiers NFS, ou avec l'utilisation des
quotas de disques.<br/><br/>
Une fermeture sans erreur ne garantit pas que les donnes on t vraiment crites sur le disque, car le noyau
repousse les critures le plus tard possible. Il n'est pas frquent qu'un systme de fichiers vide les buffers
ds la fermeture d'un flux. Si vous dsirez vous assurer que les informations sont en sret sur le disque,
utilisez
<b>fsync (2)</b>
(mais des considrations matrielles entrent en jeu  ce moment).		
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>open (2),</b>
<b>fcntl (2),</b>
<b>shutdown (2),</b>
<b>unlink (2),</b>
<b>fclose (3).</b>
<b>fsync (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
