<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  Portions extracted from /usr/include/sys/socket.h, which does not have -->
<!--  any authorship information in it.  It is probably available under the GPL. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  -->
<!--  Other portions are from the 6.9 (Berkeley) 3/10/91 man page: -->
<!--  -->
<!--  Copyright (c) 1983 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!--      This product includes software developed by the University of -->
<!--      California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  Traduction 10/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mise a jour 05/04/1997 -->
<!--  mise a jour 09/07/1997 -->
<!--  mise  jour 18/05/99 - LDP-man-pages-1.23 -->
<!--  mise  jour 30/05/01 - LDP-man-pages-1.36 -->
<!--  mise  jour 18/07/03 - LDP-man-pages-1.56 -->
<br/><h1>CONNECT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">note</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
connect - Dbuter une connexion sur une socket.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/><br/>

<b>int connect(int </b> sockfd <i>, struct sockaddr *</i> serv_addr ,
<b>socklen_t </b> addrlen );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Le paramtre
<i>sockfd</i> est une socket.
Si la socket est du type
<b>SOCK_DGRAM ,</b>
alors
<i>serv_adr</i> est l'adresse  laquelle les datagrammes seront envoys par dfaut, et
la seule adresse depuis laquelle ils seront reus. Si la socket est du type
<b>SOCK_STREAM</b> <b></b>  ou
<b>SOCK_SEQPACKET ,</b>
cette fonction tente de se connecter  une autre socket. L'adresse de
l'autre socket est indique par
<b>serv_addr,</b>
qui doit tre une adresse (de longueur
<i>addrlen )</i>
dans le mme domaine que la socket.
Chaque domaine de communication interprte le paramtre
<b>serv_addr,</b>
 sa manire.<br/><br/>
En gnral, les sockets des protocoles orients connexion ne russissent un appel
<b>connect</b> <b></b>  qu'une seule fois, alors qu'une socket d'un protocole sans connexion peut appeler
<b>connect</b> <b></b>  plusieurs fois pour changer son affectation. Une socket sans connexion
peut interrompre son affectation en se connectant sur une adresse avec le membre
<i>sa_family</i> de la structure
<b>sockaddr</b> <b></b>   la valeur
<b>AF_UNSPEC .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>connect</b>
renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Voici une liste d'erreurs gnrales concernant les sockets, il
peut en exister d'autres spcifiques au domaine employ.
<br/><br/>

<b>EBADF</b> <b></b>  Mauvais descripteur.
<br/><br/>

<b>EFAULT</b> <b></b>  La structure d'adresse pointe en dehors de l'espace d'adressage.
<br/><br/>

<b>ENOTSOCK</b> <b></b>  Le descripteur ne correspond pas  une socket.
<br/><br/>

<b>EISCONN</b> <b></b>  La socket est dj connecte.
<br/><br/>

<b>ECONNREFUSED</b> <b></b>  La connexion est refuse par le serveur.
<br/><br/>

<b>ETIMEDOUT</b> <b></b>  Dpassement du dlai maximum pendant la connexion. Le serveur peut tre trop
charg pour accepter une nouvelle connexion. Remarquez que pour les sockets
IP, le dlai peut tre trs long si les syncookies sont activs sur le serveur.
<br/><br/>

<b>ENETUNREACH</b> <b></b>  Le rseau est inaccessible.
<br/><br/>

<b>EADDRINUSE</b> <b></b>  L'adresse est dj utilise.
<br/><br/>

<b>EINPROGRESS</b> <b></b>  La socket est non-bloquante, et la connexion ne peut pas tre tablie
immdiatement. Il est alors possible d'utiliser
<b>select (2)</b>
ou
<b>poll (2)</b>
pour attendre que la socket soit disponible en criture. Une fois que
<b>select</b> <b></b>  confirme la possibilit d'crire, utilisez
<b>getsockopt (2)</b>
pour lire l'option 
<b>SO_ERROR</b> <b></b>  du niveau 
<b>SOL_SOCKET</b> <b></b>  et dterminer si
<b>connect</b> <b></b>  s'est termin avec succs
( SO_ERROR</b>
vaut zro) ou en chec
( SO_ERROR</b>
contient l'un des codes d'erreurs lists ici,
indiquant le problme).
<br/><br/>

<b>EALREADY</b> <b></b>  La socket est non-bloquante et une tentative de connexion prcdente ne
s'est pas encore termine.
<br/><br/>

<b>EAGAIN</b> <b></b>  Pas de port local disponible, ou pas assez de place dans les tables de routage. Pour
<b>PF_INET</b> <b></b>  voir l'appel sysctl
<b>net.ipv4.ip_local_port_range</b> <b></b>  dans
<b>ip (7)</b>
pour savoir comment augmenter le nombre de ports locaux.
<br/><br/>

<b>EAFNOSUPPORT</b> <b></b>  L'adresse transmise n'appartient pas  la famille indique dans
son champ
<i>sa_family .</i>
<br/><br/>

<b>EACCES</b> <b></b> ,<b></b>  <b>EPERM</b> <b></b>  L'utilisateur a tent de connecter une adresse broadcast sans avoir activ
l'attribut broadcast, ou la demande de connexion a chou  cause des
rgles d'un firewall local.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, 4.4BSD (La fonction
<b>connect</b> <b></b>  est apparue en premier dans BSD 4.2).  SVr4 dcrit des erreurs
gnrales
<b>EADDRNOTAVAIL ,</b>
<b>EINVAL ,</b>
<b>EAFNOSUPPORT , </b>
<b>EALREADY ,</b>
<b>EINTR ,</b>
<b>EPROTOTYPE ,</b>
et
<b>ENOSR .</b>
Il dcrit
galement plusieurs causes d'erreurs non prsentes ici.
</div><br/><br /><h1 class="TitreSection0" id="L7">note</h1>
<div class="paragraph">
Le troisime argument de
<b>connect</b> <b></b>  est en fait un int (et c'est ce qu'utilisent BSD 4.*, libc4 et libc5).
Une certaine confusion POSIX rsulte du "socklen_t" actuel. Les propositions
de standard n'ont pas encore t adoptes, mais glibc2 les suit dj et
utilise socklen_t. Pour plus de dtails voir
<b>accept (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
La dconnexion d'une socket en appelant
<b>connect</b> <b></b>  avec un adresse de type
<b>AF_UNSPEC</b> <b></b>  n'est pas encore implmente.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>accept (2), </b>
<b>bind (2),</b>
<b>listen (2), </b>
<b>socket (2), </b>
<b>getsockname (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
