<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Wed Jul 21 22:45:39 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 21 Aug 1994 by Michael Chastain (mec@shell.portal.com): -->
<!--    Fixed typoes. -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 18/07/2003 LDP-1.56 -->
<br/><h1>DUP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">attention</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
dup, dup2 - Dupliquer un descripteur de fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int dup(int </b> oldfd );
<b>int dup2(int </b> oldfd <i>, int </i> newfd );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>dup </b> et <b> dup2</b>
crent une copie du descripteur de fichier 
<i>oldfd .<br/><br/></i>
Aprs un appel russi  <b>dup</b> ou <b>dup2</b>,
l'ancien et le nouveau descripteurs peuvent tre utiliss de manire
interchangeable. Ils partagent les verrous, les pointeurs de position
et les drapeaux. Par exemple si le pointeur de position est modifi en utilisant
<b>lseek</b> <b></b>  sur l'un des descripteurs, la position est galement change pour l'autre.<br/><br/>
Les deux descripteurs ne partagent toutefois pas le drapeau Close-on-exec.<br/><br/>
<b>dup</b> <b></b>  utilise le plus petit numro inutilis pour le nouveau descripteur.<br/><br/>
<b>dup2</b> <b></b>  <i>transforme </i> newfd <i> en une copie de </i> oldfd <i>, fermant auparavant </i> newfd</i>
si besoin est.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>dup </b> et <b> dup2</b>
renvoient le nouveau descripteur, ou -1 s'ils chouent, auquel
cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <i>oldfd</i> n'est pas un descripteur valide, ou
<i>newfd</i> n'est pas dans les valeurs autorises pour un descripteur.
<br/><br/>

<b>EMFILE</b> <b></b>  Le processus dispose dj du nombre maximum de descripteurs de fichiers
autoriss simultanment, et tente d'en ouvrir un nouveau.
</div><br/><br /><h1 class="TitreSection0" id="L6">attention</h1>
<div class="paragraph">
Les erreurs renvoyes par 
<b>dup2</b> <b></b>  sont diffrentes de celles retournes par
<b>fcntl( ..., F_DUPFD ,... )</b>
si
<i>newfd</i> n'est pas dans les valeurs autorises. Sur certains systmes
<b>dup2</b> <b></b>  retourne aussi parfois
<b>EINVAL</b> <b></b>  comme
<b>F_DUPFD .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Si
<i>newfd</i> tait ouvert, toutes les erreurs susceptibles d'tre rapportes par
<i>close ()</i>
sont perdues. Un programmeur soigneux n'utilisera pas
<b>dup2</b> <b></b>  sans fermer
<i>newfd</i> d'abord.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
SVr4, SVID POSIX, X/OPEN, BSD 4.3. SVr4 documente des conditions d'erreur
supplmentaires EINTR et ENOLINK. POSIX.1 ajoute galement EINTR.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>fcntl (2),</b>
<b>open (2),</b>
<b>close (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
