<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -->
<!--   epoll by Davide Libenzi ( efficient event notification retrieval ) -->
<!--   Copyright (C) 2003  Davide Libenzi -->
<!--  -->
<!--   This program is free software; you can redistribute it and/or modify -->
<!--   it under the terms of the GNU General Public License as published by -->
<!--   the Free Software Foundation; either version 2 of the License, or -->
<!--   (at your option) any later version. -->
<!--  -->
<!--   This program is distributed in the hope that it will be useful, -->
<!--   but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--   GNU General Public License for more details. -->
<!--  -->
<!--   You should have received a copy of the GNU General Public License -->
<!--   along with this program; if not, write to the Free Software -->
<!--  -->
<!--   Davide Libenzi &lt;davidel@xmailserver.org&gt; -->
<!--   Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56   -->
<br/><h1>EPOLL_CTL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
epoll_ctl - Interface de contrle pour un descripteur epoll.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/epoll.h&gt;</b> <b></b>  <br/><br/>

<b>int epoll_ctl(int </b> epfd <b>, int </b> op <b>, int </b> fd <b>, struct epoll_event *</b> event )</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Controle
le descripteur
<b>epoll</b> <b></b>  <b></b>  <i>epfd ,</i>
en demandant que l'opration
<i>op</i>
soit ralise sur le descripteur cible
<i>fd .</i>
La structure
<i>event</i>
dcrit l'objet li au descripteur de fichier
<i>fd .</i>
La
<b>struct</b> <b></b>  <b>epoll_event</b> <b></b>  est dfinie ainsi&nbsp;:
<br/><br/>

<br/><br/>
	typedef union epoll_data {
		void *ptr;
		int fd;
		__uint32_t u32;
		__uint64_t u64;
	} epoll_data_t;<br/><br/>
	struct epoll_event {
		__uint32_t events;	/* Evnement epoll      */
		epoll_data_t data;	/* Variable utilisateur */
	};<br/><br/>

<br/><br/>
Le membre
<i>events</i> est un masque de bits composs  partir des vnments disponibles
suivants&nbsp;:
<br/><br/>

<b>EPOLLIN</b> <b></b>  Le descripteur associ est disponible pour un
appel
<b>read (2).</b>
<br/><br/>

<b>EPOLLOUT</b> <b></b>  Le descripteur associ est disponible pour un
appel
<b>write (2).</b>
<br/><br/>

<b>EPOLLPRI</b> <b></b>  Il y a des donnes urgentes disponibles pour un
appel
<b>read (2).</b>
<br/><br/>

<b>EPOLLERR</b> <b></b>  Une erreur s'est produite sur le descripteur associ.
<br/><br/>

<b>EPOLLHUP</b> <b></b>  Une deconnexion s'est produite sur le descripteur associ.
<br/><br/>

<b>EPOLLET</b> <b></b>  Fixe le comportement en dtection de changement d'tat sur le
descripteur. Par dfaut
<b>epoll</b> <b></b>  fonctionne en dtection de niveau. Voir
<b>epoll (4)</b>
pour plus de dtails sur les comportements en dtection de niveau
et de changements d'tat.<br/><br/>
<br/><br/>

L'interface
<b>epoll</b> <b></b>  supporte tous les descripteurs de fichiers supports par
<b>poll (2).</b>
Les valeurs valides pour le paramtre
<i>op</i>
sont&nbsp;:
.SR
<br/><br/>

<b>EPOLL_CTL_ADD</b> <b></b>  Ajouter le descripteur de fichier
<i>fd</i> dans le
descripteur
<b>epoll</b> <b></b>  <i>epfd</i> et associe l'vnement
<i>event</i> avec le fichier reprsent par
<i>fd .</i>
<br/><br/>

<b>EPOLL_CTL_MOD</b> <b></b>  Change l'vnement
<i>event</i> associ au descripteur de fichier
<i>fd .</i>
<br/><br/>

<b>EPOLL_CTL_DEL</b> <b></b>  Supprime le descripteur de fichier
<i>fd</i> dans le
descripteur
<b>epoll</b> <b></b>  <i>epfd .</i>
.SE
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Lorsqu'il russit, l'appel
<b>epoll_ctl (2)</b>
renvoie zro. Si une erreur se produit,
<b>epoll_ctl (2)</b>
renvoie -1 et
<i>errno</i> contient le code appropri.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  Le descripteur de fichiers
<i>epfd</i> n'est pas un descripteur valide.
<br/><br/>

<b>EPERM</b> <b></b>  Le fichier cible
<i>fd</i> n'est pas support par
<b>epoll .</b>
<br/><br/>

<b>EINVAL</b> <b></b>  Le descripteur de fichier
<i>epfd ,</i>
n'est pas un descripteur
<b>epoll ,</b>
ou l'opration demande
<i>op</i> n'est pas supporte par cette interface.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire dans le noyau pour traiter
l'opration
<i>op .</i>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
<b>epoll_ctl (2)</b>
est une nouvelle API introduite dans Linux 2.5.44.
Son interface est stabilise depuis le 2.5.66.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>epoll_create (2),</b>
<b>epoll_wait (2),</b>
<b>epoll (4)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
