<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified 21 Aug 1994 by Michael Chastain (mec@shell.portal.com): -->
<!--    Removed note about old libc (pre-4.5.26) translating to 'sync'. -->
<!--  Modified 15 Apr 1995 by Michael Chastain (mec@shell.portal.com): -->
<!--    Added 'see also' section. -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  mj 30/05/2001 LDP-man-pages-1.36 -->
<!--  mj 18/07/2003 LDP-man-pages-1.56 -->
<!--  mj 30/07/2003 LDP-man-pages-1.58 -->
<br/><h1>FSYNC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">compatibilit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fsync - Synchroniser un fichier en mmoire avec le disque.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int fsync (int </b> fd );
<br/><br/>

<b>int fdatasync (int </b> fd);
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>fsync</b> <b></b>  copie sur le disque tous les morceaux encore en mmoire d'un fichier, et attend
que le priphrique signale que toutes les portions sont stockes.
Cet appel-systme met galement  jour les informations d'tat du fichier.
Il ne s'assure pas obligatoirement que les informations concernant le
rpertoire aient atteint le disque. Pour cela, un appel explicite de
<b>fsync</b> <b></b>  sur le descripteur de fichier du rpertoire est ncessaire.<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Les appels-systme renvoient 0 s'ils reussissent, ou -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <b>fd</b> <b></b>  n'est pas un descripteur de fichier valide ouvert en criture.
<br/><br/>

<b>EROFS</b> <b></b>  <b></b> <b></b> ,<b></b>  <b></b> <b></b>  <b>EINVAL</b> <b></b>  <b>fd</b> <b></b>  est associ  un type de fichier spcial qui ne permet pas de synchronisation.
<br/><br/>

<b>EIO</b> <b></b>  Une erreur s'est produite pendant la synchronisation.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
<b>fdatasync</b> <b></b>  effectue la mme chose que
<b>fsync</b> <b></b>  mais il n'envoie sur le disque que les donnes de l'utilisateur, pas les 
informations d'tat du fichier, ni les horodatages.<br/><br/>
Si le disque dur dispose d'un tampon en criture, les donnes ne
sont peut tre pas enregistres dfinitivement lorsque
<b>fsync</b>
se termine.<br/><br/>
Lorsqu'un systme de fichiers ext2 est mont avec l'option
<i>sync ,</i>
les entres de rpertoires sont galement synchronises lors de l'appel 
<b>fsync .<br/><br/></b>
Sur les noyaux antrieurs au 2.4, 
<b>fsync</b> <b></b>  peut tre sensiblement inefficace sur les gros fichiers.
Une autre solution peut tre l'utilisation de l'attribut
<i>O_SYNC</i> lors de l'invocation de
<b>open (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">compatibilit</h1>
<div class="paragraph">
POSIX.1b (prcdement POSIX.4)
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>bdflush (2),</b>
<b>fdatasync (2),</b>
<b>open (2),</b>
<b>sync (2),</b>
<b>mount (8),</b>
<b>update (8),</b>
<b>sync (8).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
