<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>GETDOMAINNAME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getdomainname, setdomainname - Lire ou fixer le nom de domaine.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int getdomainname(char *</b> name <i>, size_t </i> len );
<br/>
<b>int setdomainname(const char *</b> name <i>, size_t </i> len );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces deux fonctions servent  lire ou  changer le nom de domaine de
l'hte concern.
Si le nom de domaine, suivi d'un caractre nul, ncessite plus de <i>len</i> octets
pour tre stock, 
<b>getdomainname (),</b>
renvoie les <i>len</i> premiers octets (GlibC), ou une erreur (libc).
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>getdomainname </b> et <b> setdomainname</b>
renvoient 0 s'ils russissent, ou -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Avec
<b>getdomainname </b>
et la Libc :
<i>name</i> est
<b>NULL</b> <b></b>  ou
<i>name</i> est plus long que
<i>len .</i>
<br/><br/>

<b>EINVAL</b> <b></b>  Avec
<b>setdomainname </b> :<b></b>
<i>len</i> est ngatif ou trop grand.
<br/><br/>

<b>EPERM</b> <b></b>  Pour
<b>setdomainname </b> :<b></b>
l'utilisateur n'est pas le Super-User.
<br/><br/>

<b>EFAULT</b> <b></b>  Pour
<b>setdomainname ,</b>
<i>name</i> pointe en dehors de l'espace d'adressage disponible.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Cette fonction n'est 
<b>pas</b> <b></b>  <b></b>  spcifie par POSIX.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>gethostname (2),</b>
<b>sethostname (2),</b>
<b>uname (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
