<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Updated with additions from Mitchum DSouza (m.dsouza@mrc-apu.cam.ac.uk) -->
<!--  Portions Copyright 1993 Mitchum DSouza (m.dsouza@mrc-apu.cam.ac.uk) -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 08/04/1997 -->
<!--  Mise a jour 19/07/1997 -->
<!--  Mise  jour 30/05/2001 LDP-man-pages-1.36 -->
<!--  Mise  jour 18/07/2003 LDP-man-pages-1.56 -->
<br/><h1>GETHOSTID</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">fichiers</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
gethostid, sethostid - Lire / crire l'identifiant unique de l'hte.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>long</b> <b></b>  <b>gethostid</b> <b></b>  <b>(void);</b> <b></b>  <br/>
<b>int sethostid (long </b> hostid );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Lit ou crit un identifiant unique sur 32 bits pour la station utilise.
Cet identificateur est cens tre unique pour l'ensemble des stations
UNIX existantes. Il correspond gnralement  l'adresse Internet de
la machine locale, comme renvoy par
<b>gethostbyname (3),</b>
et est normalement fix une fois pour toutes.<br/><br/>
L'appel de
<b>sethostid</b> <b></b>  est bien sr limit au Super-User.<br/><br/>
L'argument
<i>hostid</i> est mmoris dans le fichier
<i>/etc/hostid .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>gethostid</b> <b></b>  retourne l'identifiant sur 32 bits de l'hte, tel qu'il
a t positionn par
<b>sethostid (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
4.2BSD.  Ces fonctions ont t abandonnes dans 4.4BSD.
POSIX.1 ne dfinit pas ces fonctions, mais ISO/IEC 9945-1:1990 les
mentionne au paragraphe B.4.4.1. SVr4 contient
<b>gethostid</b> <b></b>  mais pas
<b>sethostid .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">fichiers</h1>
<div class="paragraph">
<i>/etc/hostid</i> </div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>hostid (1),</b>
<b>gethostbyname (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
