<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 7/93 by Darren Senn (sinster@scintilla.santa-clara.ca.us) -->
<!--  Based on a similar page Copyright 1992 by Rick Faith -->
<!--  May be freely distributed -->
<!--   -->
<!--  Traduction  11/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise a jour 18/07/2003 LDP-1.56 -->
<br/><h1>GETITIMER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getitimer, setitimer - Lire / crire la valeur d'une temporisation.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph"><br/><br/>D 0
.HP
<b>#include</b> <b></b>  <b>&lt;sys/time.h&gt;</b> <b></b>  <br/><br/>

.HP
<b>int</b> <b></b>  <b>getitimer(int</b> <b></b>  which ,
<b>struct</b> <b></b>  <b>itimerval</b> <b></b>  * value );
.HP
<b>int</b> <b></b>  <b>setitimer(int</b> <b></b>  which ,
<b>const</b> <b></b>  <b>struct</b> <b></b>  <b>itimerval</b> <b></b>  * value ,
<b>struct</b> <b></b>  <b>itimerval</b> <b></b>  * ovalue );<br/><br/>D
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Le systme fournit pour chaque processus trois temporisations, chacune avec
un fonctionnement particulier.
Lorsqu'une temporisation expire, un signal est envoy au processus 
et la temporisation redmarre ventuellement.
<br/><br/>
 1.5i
<b>ITIMER_REAL</b> <b></b>  dcrot en temps rel et un signal
<b>SIGALRM</b> <b></b>  est mis  l'expiration du dlai.
<br/><br/>

<b>ITIMER_VIRTUAL</b> <b></b>  dcrot uniquement quand le processus s'excute, et un signal
<b>SIGVTALRM</b> <b></b>  est mis  l'expiration du dlai.
<br/><br/>

<b>ITIMER_PROF</b> <b></b>  dcrot  la fois quand le processus s'excute, et quand le processeur
excute des fonctions systmes  la demande du processus.
Ce timer, utilis conjointement avec
<b>ITIMER_VIRTUAL,</b>
est gnralement utilis pour obtenir le profil d'excution du processus
entre les fonctionnalits utilisateur et le noyau.
<b>SIGPROF</b> <b></b>  est mis  l'expiration du dlai.<br/><br/>
Les valeurs des temporisations sont dfinies avec les structures suivantes :<br/><br/>D 0
.RS .5i
<br/><br/>
struct itimerval {
  struct timeval it_interval; /* valeur suivante */
  struct timeval it_value;    /* valeur actuelle */
};<br/><br/>
struct timeval {
  long tv_sec;                /* secondes        */
  long tv_usec;               /* micro secondes  */
};


<br/><br/>D<br/><br/>
La fonction
<b>getitimer (2)</b>
renseigne la structure pointe par
<i>value</i> avec le paramtrage de la temporisation
<i>which</i> (parmi
<b>ITIMER_REAL ,</b>
<b>ITIMER_VIRTUAL ,</b>
ou
<b>ITIMER_PROF ).</b>
L'lment
<b>it_value</b> <b></b>  est rempli avec le dlai restant dans la temporisation, ou zro si la
temporisation est dsactive. De mme
<b>it_interval</b> <b></b>  sera rempli avec la valeur originale de la temporisation.
La fonction
<b>setitimer (2)</b>
positionne la temporisation avec les valeurs de
<i>value .</i>
Si
<i>ovalue</i> est non nulle, les paramtres prcdents de la temporisation y sont
inscrits.<br/><br/>
Les temporisations dcroissent de
<i>it_value</i>  zro, dclenchent un signal, et sont replaces 
<i>it_interval .</i>
Une temporisation s'arrte si elle est mise  zro
(it_value</i>
vaut zro) ou bien elle expire et
<i>it_interval</i> vaut zro.<br/><br/>
Les deux champs
<i>tv_sec</i> et
<i>tv_usec</i> sont utiliss pour dterminer la dure d'une temporisation.<br/><br/>
Les temporisations n'expirent jamais avant la fin du temps
requis, et expirent plutt avec un dlai court et constant
aprs la limite. Ce dlai dpend de la rsolution du timer
systme (actuellement 10 ms).
A l'expiration un signal est dclench puis la temporisation
rinitialise.
Si la temporisation expire alors que le processus est actif
(toujours vrai avec
<b>ITIMER_VIRTUAL )</b>
le signal sera dlivr immdiatement. Autrement il y aura
un petit dlai avant rception du signal, dpendant de la
charge du systme.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>getitimer </b> et <b> setitimer</b>
renvoient 0 s'ils russissent, ou -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EFAULT</b> <b></b>  <i>value</i> ou
<i>ovalue</i> pointent en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>which</i> n'est pas dans la liste
<b>ITIMER_REAL ,</b>
<b>ITIMER_VIRT ,</b>
ou
<b>ITIMER_PROF .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, 4.4BSD (Cet appel est apparu dans 4.2BSD).
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>gettimeofday (2),</b>
<b>sigaction (2),</b>
<b>signal (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Sous Linux, l'mission et la rception d'un signal sont distincts, et
un mme signal ne peut pas tre mis deux fois de suite si le premier
n'a pas t reu.
Il est ainsi possible qu'avec une charge systme trs leve, 
une temporisation
<b>ITIMER_REAL</b> <b></b>  expire avant que le signal d'une expiration prcdente n'ait t reu.
Le second signal sera alors perdu.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
