<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  Portions from /usr/include/unistd.h are -->
<!--                Copyright (C) 1991, 1992 Free Software Foundation, Inc. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 11/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 16/01/2002 LDP 1.47 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>GETPAGESIZE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">historique</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getpagesize - Obtenir la taille des pages mmoire du systme.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>size_t</b> <b></b>  <b>getpagesize(void);</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>getpagesize()</b> <b></b>  renvoie le nombre d'octets dans une page. Une "page" est ce que l'on
considre quand on dit dans la description de
<b>mmap (2)</b>
que les fichiers sont projets en units de la taille d'une page.<br/><br/>
La taille d'une page du type de celle utilise par
<b>mmap</b> <b></b>  est obtenue en utilisant<br/><br/>
.RS

#include &lt;unistd.h&gt;
long sz = sysconf(_SC_PAGESIZE);


                                                                          <br/><br/>
(certains systmes autorisant le synonyme _SC_PAGE_SIZE pour _SC_PAGESIZE), ou<br/><br/>
.RS

#include &lt;unistd.h&gt;
int sz = getpagesize();


<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">historique</h1>
<div class="paragraph">
Cet appel est apparu en premier dans 4.2BSD.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
SVr4, 4.4BSD, SUSv2.
Dans SUSv2 l'appel
<b>getpagesize()</b> <b></b>  est indiqu comme facultatif, et dans Posix 1003.1-2001 il a
t abandonn.
HPUX n'offre pas cet appel.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Que la routine
<b>getpagesize()</b> <b></b>  sous Linux invoque un appel-systme ou non dpend de l'architecture. Si c'est
le cas, elle renvoie la valeur du symbole PAGE_SIZE du noyau, qui dpend
de l'architecture et du modle de machine.
Gnralement on utilise des excutables binaires qui dpendent de l'architecture
mais pas du modle de machine afin d'avoir un seul fichier binaire de distribution
par architecture. Ceci signifie qu'un programme utilisateur ne doit pas rechercher
la valeur de PAGE_SIZE dans les fichiers d'en-tte lors de la compilation, mais
invoquer vritablement un appel-systme, au moins pour les architectures ou
cette dpendance existe (comme sun4).
En ce sens, libc4, libc5 et GlibC 2.0 font erreur car leur version de
<b>getpagesize()</b> <b></b>  renvoie une valeur calcule statiquement, et n'invoque pas d'appel-systme.
Tout est arrang depuis la GlibC 2.1.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>mmap (2),</b>
<b>sysconf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
