<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1980, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)getpriority.2	6.9 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Sat Jul 24 16:33:19 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction  11/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise  jour 20/05/2001 - LDP-man-pages-1.36 -->
<!--  mj 16/01/2002 LDP 1.47 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>GETPRIORITY</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getpriority, setpriority - Lire / crire la priorit d'ordonnancement du processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/time.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/resource.h&gt;</b> <b></b>  <br/><br/>

<b>int getpriority(int </b> which <i>, int </i> who );
<br/>
<b>int setpriority(int </b> which <i>, int </i> who <b>, int </b> prio );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La priorit d'ordonnancement du processus, du groupe de processus ou
de l'utilisateur, comme prcis dans
<i>which</i> et
<i>who</i> est lue avec
<b>getpriority</b> <b></b>  et fixe avec
<b>setpriority.<br/><br/></b> <b></b>  <i>Which</i> doit tre l'un des lments
<b>PRIO_PROCESS,</b>
<b>PRIO_PGRP,</b>
ou
<b>PRIO_USER,</b>
et
<i>who</i> est interprt en fonction de
<i>which</i> (un ID de processus pour
<b>PRIO_PROCESS</b> <b></b> ,<b></b>  un ID de groupe de processus 
pour
<b>PRIO_PGRP</b> <b></b> ,<b></b>  et un ID d'utilisateur pour
<b>PRIO_USER).</b>
Une valeur nulle pour
<i>who</i> indique (respectivement) le processus appelant, le groupe de processus de
l'appelant ou l'UID rel du processus appelant.
<i>Prio</i> est une valeur dans l'intervalle -20  20 (voir les Notes plus bas).
La priorit par dfaut est 0, les priorits les plus faibles indiquant
un ordonnancement le plus favorable.<br/><br/>
La fonction
<b>getpriority</b> <b></b>  renvoie la plus haute priorit (la plus basse valeur numrique)
dont a bnfici l'un des processus indiqu. La fonction
<b>setpriority</b> <b></b>  fixe la priorit des processus indiqus  la valeur fournie.
Seul le Super-User peut diminuer la valeur numrique de la priorit.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Comme
<b>getpriority</b> <b></b>  peut tout  fait renvoyer la valeur -1, il faut
effacer la variable externe
<i>errno</i> avant l'appel afin de vrifier
si une valeur -1 indique une
erreur ou une priorit lgitime.
L'appel
<b>setpriority</b> <b></b>  renvoie 0 s'il russit, ou -1 s'il choue et remplit
<i>errno .</i>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 
<b>ESRCH</b> <b></b>  Aucun processus ne correspond aux valeurs de
<i>which</i> et
<i>who</i> indiques.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>Which</i> n'tait ni
<b>PRIO_PROCESS,</b>
ni
<b>PRIO_PGRP,</b>
ni
<b>PRIO_USER.<br/><br/></b>
De plus
<b>setpriority</b> <b></b>  peut chouer pour les erreurs suivantes :
<br/><br/>

<b>EPERM</b> <b></b>  Un processus correspond bien aux valeurs indiques, mais ni l'UID rel,
ni l'UID effectif de l'appelant ne lui correspondent.
<br/><br/>

<b>EACCES</b> <b></b>  Tentative de favoriser un processus sans tre Super-User.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les dtails concernant la condition d'erreur EPERM dpendent du systme.
La description ci-dessus concerne ce que dit SUSv3, et qui semble tre suivi
par tous les systmes de type SysV.
Linux demande que l'UID rel ou effectif de l'appelant correspondent 
l'UID rel du processus <i>who</i> (et non pas  son UID effectif).
Tous les systmes de type BSD (SunOS 4.1.3, Ultrix 4.2
BSD 4.3, FreeBSD 4.3, OpenBSD-2.5...) demandent que l'UID
effectif de l'appelant corresponde  l'UID rel 
ou effectif du processus <i>who</i>.<br/><br/>
Le vritable intervalle des priorits varie suivant les versions du noyau.
Sur les systmes Linux antrieure au 1.3.36 l'intervalle s'tendait de
-infini  15. Depuis le 1.3.43 il correspond  -20..19, et l'appel-systme
getpriority renvoie 40..1 pour ces valeurs (puisque les nombres ngatifs
sont des codes d'erreur).
La routine de bibliothque convertit N en 20-N.<br/><br/>
L'inclusion
<i>&lt;sys/time.h&gt;</i> n'est plus obligatoire, mais amliore la portabilit.
(En fait,
<i>&lt;sys/resource.h&gt;</i> dfinit la structure
<i>rusage</i> qui contient des champs de type
<i>struct timeval</i> dfini
<i>&lt;sys/time.h&gt; ).</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, BSD 4.4 (Cette fonction est apparue dans BSD 4.2).
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>nice (1),</b>
<b>fork (2),</b>
<b>renice (8).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
