<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1996 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  mj 21/09/1998 (LDP man-pages 1.20) -->
<!--  mj 19/01/2002 LDP 1.47 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>GETSID</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">erreurs</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getsid - Obtenir l'identifiant de session.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>pid_t getsid(pid_t</b> <i> pid</i> );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>getsid(0)</b> <b></b>  renvoie l'identifiant de session du processus appelant.
getsid( p )
renvoie l'identifiant de session du processus de PID 
<i>p .</i>
(L'identifiant de session d'un processus est l'identifiant du groupe de processus
du leader de session).
En cas d'erreur, (pid_t) -1 sera renvoy et
<i>errno</i> contiendra le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L4">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPERM</b> <b></b>  Un processus de PID
<i>p</i> existe, mais il n'est pas dans la mme session que le processus appelant,
et l'implmentation considre ceci comme une erreur.
<br/><br/>

<b>ESRCH</b> <b></b>  Il n'y a pas de processus de PID numro
<i>p.</i> </div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
SVr4, POSIX 1003.1-2001.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Linux ne renvoie pas d'erreur EPERM.<br/><br/>
Linux dispose de cet appel-systme depuis le noyau 1.3.44.
Il y a une fonction de bibliothque le supportant depuis la libc 5.2.19.<br/><br/>
Pour obtenir le prototype avec la GlibC, il faut dfinir _XOPEN_SOURCE et
_XOPEN_SOURCE_EXTENDED, ou utiliser "#define _XOPEN_SOURCE <i>n</i>"
Avec <i>n</i> entier suprieur ou gal  500.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>getpgid (2),</b>
<b>setsid (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
