<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)getsockopt.2	6.9 (Berkeley) 5/1/91 -->
<!--  -->
<!--  Modified Sat Jul 24 16:19:32 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 11/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise a jour 18/05/99 - LDP-man-pages-1.23 -->
<!--  Mise a jour 18/07/03 - LDP-man-pages-1.56 -->
<br/><h1>GETSOCKOPT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">note</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getsockopt, setsockopt - Lire / crire les options d'une socket.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/><br/>
 2
<b>int getsockopt(int </b> s <i>, int </i> level <b>, int </b> optname ,
<b>void *</b> optval <i>, socklen_t *</i> optlen );
<br/><br/>

<b>int setsockopt(int </b> s <i>, int </i> level <b>, int </b> optname ,
<b>const void *</b> optval <i>, socklen_t </i> optlen );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>Getsockopt</b> <b></b>  et
<b>setsockopt</b> <b></b>  manipulent les
<i>options</i> associes  une socket. Ces options peuvent exister
aux divers niveaux du protocole, et sont toujours prsentes
au niveau
<b>socket</b> <b></b>  le plus lev.<br/><br/>
Quand on manipule une option d'une socket, il faut prciser
le niveau o elle s'applique, et le nom de l'option.
Au niveau socket,
<i>level</i> prend la valeur
<b>SOL_SOCKET.</b>
Pour tous les autres niveaux, il faut fournir le numro de
protocole appropri.
Par exemple, pour une option interprte par le niveau de protocole
<b>TCP ,</b>
<i>level</i> prendra le numro de protocole
<b>TCP.</b>
Voir
<b>getprotoent (3).<br/><br/></b>
Les paramtres
<i>optval</i> et
<i>optlen</i> sont utiliss pour dterminer les options pour
<b>setsockopt.</b>
Pour
<b>getsockopt</b> <b></b>  ils identifient un buffer dans lequel la valeur de
l'option dsire doit tre renvoye.
Pour
<b>getsockopt,</b>
<i>optlen</i> est un paramtre rsultat, contenant initialement la taille
du buffer point par
<i>optval,</i>
et rempli en retour pour indiquer la taille effective des
valeurs renvoyes. Si aucune option n'est fournie ou
renvoye, 
<i>optval</i> peut tre NULL.<br/><br/>
<i>optname</i> et toute autre option sont passs sans interprtation au protocole
appropri, pour qu'il l'interprte lui-mme.
Le fichier d'en-tte
<i>sys/socket.h</i> contient les dfinitions pour le niveau socket.
Les options pour les autres niveaux de protocole, peuvent varier
tant en format qu'en nom, consulter les pages de manuel de la
section 7 pour plus d'informations.<br/><br/>
La plupart des options au niveau socket utilisent un paramtre de type
<i>int</i> pour
<i>optval .</i>
Pour
<b>setsockopt ,</b>
un paramtre non nul valide une option boolenne, et zro l'invalide.<br/><br/>
Pour une description des options disponibles voir
<b>socket (7)</b>
et les pages correspondant au protocole concern.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>getsockopt </b> et <b> setsockopt</b>
renvoient 0 s'ils russissent, ou -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  L'argument
<i>s</i> n'est pas un descripteur valide.
<br/><br/>

<b>ENOTSOCK</b> <b></b>  L'argument
<i>s</i> est un fichier, pas une socket.
<br/><br/>

<b>ENOPROTOOPT</b> <b></b>  L'option est inconnue pour ce protocole.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>optval</i> pointe en dehors de l'espace d'adressage accessible.
Avec
<b>getsockopt ,</b>
ceci peut s'appliquer galement 
<i>optlen .<br/><br/></i>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, 4.4BSD (Ces appels systmes sont apparus dans 4.2BSD).
SVr4 prsente des codes d'erreurs supplmentaires ENOMEM et ENOSR, mais ne
documente pas les options
<b>SO_SNDLOWAT </b>, <b> SO_RCVLOWAT </b>, <b> SO_SNDTIMEO </b>, <b> SO_RCVTIMEO .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">note</h1>
<div class="paragraph">
Le cinquime argument de
<b>getsockopt </b> et <b> setsockopt</b>
est en fait un int (et c'est ce qu'utilisent BSD 4.*, libc4 et libc5).
Une certaine confusion POSIX rsulte du "socklen_t" actuel. Les propositions
de standard n'ont pas encore t adoptes, mais glibc2 les suit dj et
utilise socklen_t. Pour plus de dtails voir
<b>accept (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Plusieurs options sur les sockets devraient tre gres  un
niveau plus bas par le systme.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>ioctl (2),</b>
<b>socket (2),</b>
<b>getprotoent (3),</b>
<b>protocols (5),</b>
<b>socket (7),</b>
<b>unix (7),</b>
<b>tcp (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
