<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2003 Free Software Foundation, Inc. -->
<!--  This file is distributed according to the GNU General Public License. -->
<!--  See the file COPYING in the top level source directory for details. -->
<!--  -->
<!--  Traduction Christophe Blaess -->
<!--  MJ 18/07/2003 - LDP-1.56 -->
.de Sh \" Subsection
<br/>
.if t .Sp
.ne 5<br/><br/>
<b>\\$1</b><br/><br/>
..
.de Sp \" Vertical space (when we can't use .PP)
.if t <br/><br/>
 .5v
.if n <br/><br/>

..
.de Ip \" List item
<br/>
.ie \\n(.$&gt;=3 .ne \\$3
.el .ne 3
</div><div class="paragraph">\\$1<br/>
..
<br/><h1>"IO_CANCEL"</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">historique</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">notes</a>
<br /><a class="summaryIndent0" href="#L9">auteur</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
io_cancel - Annuler une opration d'entre/sortie asynchrone en attente.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
.hy 0<br/><br/>
#include &lt;linux/aio.h&gt;
<br/><br/>

.HP 16
long&nbsp;<b>io_cancel</b>&nbsp;(aio_context_t&nbsp;<i>ctx_id</i>, struct&nbsp;iocb&nbsp;<i>*iocb</i>, struct&nbsp;io_event&nbsp;<i>*result</i>);
.ad
.hy<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>io_cancel</b> <b></b>  essaye d'annuler l'opration d'E/S asynchrone prcdement soumise par l'appel
<b>io_submit .</b>
<i>ctx_id</i> est l'identification de contexte d'E/S asynchrone de l'opration  annuler.
Si le contexte est trouv, l'vnement sera annul puis copi dans la
zone pointe par
<i>result</i> sans tre plac dans la file des vnements termins.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>io_cancel</b> <b></b>  renvoie zro s'il russit ou l'une des erreurs dcrites ci-dessous.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph"><br/><br/>
<br/><br/>

EINVAL
Le contexte spcifi par
<i>ctx_id</i> est invalide.<br/><br/>
<br/><br/>

EFAULT
L'une des structures de donnes pointe sur une zone invalide.<br/><br/>
<br/><br/>

EAGAIN
L'opration
<i>iocb</i> n'a pas t annule.<br/><br/>
<br/><br/>

ENOSYS
L'appel-systme
<b>io_cancel</b> <b></b>  n'est pas implment.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">historique</h1>
<div class="paragraph"><br/><br/><br/><br/>
Les appels-systmes d'entres/sorties asynchrones sont apparus dans Linux 2.5
en aot 2002.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>io_cancel</b> <b></b>  est spcifique  Linux et ne doit pas tre utilis dans des programmes
conus pour tre portables.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>io_setup (2),</b>
<b>io_destroy (2),</b>
<b>io_getevents (2),</b>
<b>io_submit (2)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L9">notes</h1>
<div class="paragraph"><br/><br/><br/><br/>
Les appels d'E/S asynchrones ont t crits par Be,jam LaHaise.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">auteur</h1>
<div class="paragraph">
Kent Yoder.
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
