<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2003 Free Software Foundation, Inc. -->
<!--  This file is distributed according to the GNU General Public License. -->
<!--  See the file COPYING in the top level source directory for details. -->
<!--  -->
<!--  Traduction Christophe Blaess -->
<!--  MJ 18/07/2003 - LDP-1.56 -->
.de Sh \" Subsection
<br/>
.if t .Sp
.ne 5<br/><br/>
<b>\\$1</b><br/><br/>
..
.de Sp \" Vertical space (when we can't use .PP)
.if t <br/><br/>
 .5v
.if n <br/><br/>

..
.de Ip \" List item
<br/>
.ie \\n(.$&gt;=3 .ne \\$3
.el .ne 3
</div><div class="paragraph">\\$1<br/>
..
<br/><h1>"IO_SETUP"</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">notes</a>
<br /><a class="summaryIndent0" href="#L9">auteur</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
io_setup - Crer un contexte d'entres/sorties asynchrones.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
.hy 0<br/><br/>
#include &lt;linux/aio.h&gt;
<br/><br/>

.HP 15
long&nbsp;<b>io_setup</b>&nbsp;(unsigned&nbsp;<i>nr_events</i>, aio_context_t&nbsp;<i>*ctxp</i>);
.ad
.hy<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>io_setup</b> <b></b>  cre un contexte d'E/S asynchrone capable de recevoir au moins
<i>nr_events .</i>
<i>ctxp</i> doit pointer sur un contexte dj existant et doit tre initialis 
zro avant l'appel.
Si la cration de contexte russit,
<i>*ctxp</i> est rempli avec le descripteur rsultant.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>io_setup</b> <b></b>  renvoie zro s'il russit, sinon l'une des erreurs dcrites ci-dessous
est renvoye.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph"><br/><br/>
<br/><br/>

EINVAL
<i>ctxp</i> n'est pas initialis ou la valeur
<i>nr_events</i> dpasse les limites internes.
<i>nr_events</i> doit tre suprieur  zro.<br/><br/>
<br/><br/>

EFAULT
Un pointeur invalide a t transmis comme
<i>ctxp .<br/><br/></i>
<br/><br/>

ENOMEM
Pas assez de mmoire pour le noyau.<br/><br/>
<br/><br/>

EAGAIN
La valeur
<i>nr_events</i> dpasse la limite de l'utilisateur en vnements disponibles.<br/><br/>
<br/><br/>

ENOSYS
<b>io_setup</b> <b></b>  n'est pas implment sur cette architecture.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>io_setup</b> <b></b>  est spcifique  Linux et ne doit pas tre utilis dans des programmes
conus pour tre portables.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph"><br/><br/><br/><br/>
Les appels-systmes d'entres/sorties asynchrones sont apparus dans Linux 2.5
en aot 2002.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>io_getevents (2),</b>
<b>io_cancel (2),</b>
<b>io_destroy (2),</b>
<b>io_submit (2)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L9">notes</h1>
<div class="paragraph"><br/><br/><br/><br/>
Les appels d'E/S asynchrones ont t crits par Be,jam LaHaise.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">auteur</h1>
<div class="paragraph">
Kent Yoder.
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
