<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1980, 1991 Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)ioctl.2	6.4 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Fri Jul 23 21:38:19 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise a jour 30/05/2001 - LDP-man-pages-1.36 -->
<!--  Mise a jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>IOCTL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ioctl - Contrler les priphriques.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/ioctl.h&gt;</b> <b></b>  <br/><br/>

<b>int ioctl(int </b> d <i>, int </i> requte <b>, ...);</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>ioctl</b> <b></b>  modifie le comportement des priphriques sous-jacents des fichiers spciaux.
En particulier, de nombreuses caractristiques des fichiers spciaux en mode
caractre (par exemple des terminaux) peuvent tre contrles avec des requtes
<b>ioctl .</b>
L'argument
<i>d</i> doit tre un descripteur de fichier ouvert.<br/><br/>
Le second argument est le code de la requte dpendant du priphrique. Le
troisime argument est un pointeur non typ. Il est traditionnellement dfini en
<b>char *</b> argp</b>
(ceci date de l'poque avant que
<b>void</b> <b></b>  <b>*"</b> <b></b>  soit du C valide), et sera ainsi nomm dans le reste de cette page.<br/><br/>
Une
<i>requte</i> ioctl encapsule le fait que l'argument est un paramtre
<i>d'entre</i> ou de 
<i>sortie</i> ainsi que la taille de l'argument
<i>argp</i> en octets. Les macros et constantes symboliques dcrivant les
<i>requtes</i> ioctl se trouvent dans le fichier
<i>sys/ioctl.h .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En principe,
<b>ioctl</b>
renvoie 0 s'il russit, ou -1 s'il choue. Certaines requtes
ioctl utilisent la valeur de retour comme paramtre de sortie, et
renvoient une valeur positive si elle russissent (et -1 pour les erreurs).
En cas d'chec,
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 0.7i
<b>EBADF</b> <b></b>  <i>d</i> n'est pas un descripteur de fichier valide.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>argp</i> pointe en dehors de l'espace d'adressage valide.
<br/><br/>

<b>ENOTTY</b> <b></b>  <i>d</i> n'est pas associ avec un fichier spcial en mode caractre.
<br/><br/>

<b>ENOTTY</b> <b></b>  La requte spcifie ne s'applique pas au type d'objet associ avec
le descripteur
<i>d .</i>
<br/><br/>

<b>EINVAL</b> <b></b>  La
<i>requte</i> ou l'argument
<i>argp</i> n'est pas valide.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Pas de vrai standard. Les arguments, les valeurs de retour, et la smantique
des
<b>ioctl (2) </b>
varient en fonction du priphrique concern (cet appel-systme est utilis
pour encapsuler les oprations qui ne se conforment pas bien au modle Unix des
entres/sorties par flux). Voir 
<b>ioctl_list (2)</b>
pour une liste des principaux appels
<b>ioctl</b> <b></b>  connus. La fonction
<b>ioctl</b> <b></b>  est apparue dans l'Unix d'AT&T Version 7.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>execve (2),</b>
<b>fcntl (2),</b>
<b>ioctl_list (2),</b>
<b>mt (4),</b>
<b>sd (4),</b>
<b>tty (4)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
