<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  Modified Fri Jul 23 21:51:36 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Jul 25 10:53:24 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Wed Nov 01 18:56:43 1995 by Michael Haardt -->
<!--   (michael@cantor.informatik.rwth-aachen.de) -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 23/01/97 -->
<!--  Mise a jour 8/04/97 -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  mj 30/05/2001 (LDP man-pages 1.36) -->
<!--  mj 19/01/2002 LDP 1.47 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>KILL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
kill - Envoyer un signal  un processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;signal.h&gt;</b> <b></b>  <br/><br/>

<b>int kill(pid_t </b> pid <i>, int </i> sig );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'appel-systme
<b>kill</b> <b></b>  peut tre utilis pour envoyer n'importe quel signal  n'importe
quel processus ou groupe de processus.<br/><br/>
Si <i>pid</i> est positif, le signal <i>sig</i> est envoy au processus <i>pid</i>.<br/><br/>
Si <i>pid</i> vaut zro, alors le signal <i>sig</i> est envoy  tous les processus
appartenant au mme groupe que le processus appelant.<br/><br/>
Si <i>pid</i> vaut -1, alors le signal <i>sig</i> est envoy  tous les
processus sauf celui de PID 1 (init), mais voir plus bas.<br/><br/>
Si <i>pid</i> est infrieur  -1, alors le signal <i>sig</i>
est envoy  tous les processus du groupe <i>-pid</i>.<br/><br/>
Si <i>sig</i> vaut 0, aucun signal n'est envoy mais les conditions d'erreur
sont vrifies.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de russite 0 est renvoy,
en cas d'chec -1 est renvoy et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Numro de signal invalide.
<br/><br/>

<b>ESRCH</b> <b></b>  Le processus ou le groupe de processus n'existe pas.
Remarquez qu'un processus existant peut tre un zombie,
c'est  dire qu'il s'est dj termin mais que son pre n'a pas 
encore lu sa valeur de retour avec <b>wait()</b>.
<br/><br/>

<b>EPERM</b> <b></b>  Le processus appelant n'a pas l'autorisation d'envoyer un
signal  l'un des processus concerns. Pour qu'un processus
ait le droit d'envoyer un signal  un autre processus
<i>pid</i> il doit avoir des privilges de Super-Utilisateur,
ou avoir un UID rel ou effectif gal  l'ID rel ou sauvegard
du processus rcepteur. Dans le cas de SIGCONT, il suffit que les
processus metteur et rcepteur appartiennent  la mme session.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
On ne peut envoyer au processus numro un (init) que des signaux pour
lesquels il a expressment install un gestionnaire.
Ceci vite que le systme soit arrt accidentellement.<br/><br/>
POSIX 1003.1-2001 rclame que <i>kill(-1,sig)</i> envoie <i>sig</i>
 tous les processus accessibles par le processus appelant,
sauf  certains processus systme dpendant de l'implmentation.
Linux autorise un processus  s'envoyer un signal  lui-mme, mais
l'appel <i>kill(-1,sig)</i> n'envoie pas le signal au processus appelant.
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph">
Suivant les diffrentes versions du noyau, Linux a utilis diffrentes rgles
pour les permissions ncessaires  un processus non-privilgi pour
envoyer un signal a un autre processus.
<!--  In the 0.* kernels things chopped and changed quite -->
<!--  a bit - MTK, 24 Jul 02  -->
Dans les noyaus 1.0  1.2.2, un signal pouvait tre envoy si l'UID effectif
de l'metteur correspondait  celui du rcepteur, ou si l'UID rel de
l'metteur correspondant  celui du rcepteur.
Dans les noyaux 1.2.3  1.3.77, un signal pouvait tre envoy si l'UID
effectif de l'metteur correspondait  UID effectif ou rel du rcepteur.
Les rgles actueles, conformes  POSIX 1003.1-2001 ont t adoptes
dans le noyau 1.3.78.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
SVr4, AT&T, POSIX.1, X/OPEN, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>_exit (2),</b>
<b>killpg (2),</b>
<b>signal (2),</b>
<b>exit (3),</b>
<b>signal (7)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
