<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Fri Jul 23 22:01:51 1993 Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Aug 21 18:18:14 1994: Michael Haardt's NFS diffs were -->
<!--           applied by hand (faith@cs.unc.edu) -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 08/04/1997 -->
<!--  Mise a jour 19/07/1997 -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  mj 25/04/1998 (LDP man-pages 1.19) -->
<!--  mj 18/07/2003 (LDP man-pages 1.15) -->
<br/><h1>LINK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
link - Cre un nouveau nom pour un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int link (const char *</b> oldpath <i>, const char *</i> newpath );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>link</b> <b></b>  cre un nouveau lien (aussi appel lien matriel ou hard link) sur
un fichier existant.<br/><br/>
Si
<i>newpath</i> existe il ne sera
<i>pas</i> ecras.<br/><br/>
Ce nouveau nom pourra tre utilis exactement comme l'ancien quelque
soit l'opration. Les deux noms se rfrent au mme fichier (et ont
donc les mmes permissions et propritaire) et il est impossible de
dterminer quel nom tait l'original.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de russite 0 est renvoy, en cas d'chec -1 est renvoy,
et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EXDEV</b> <b></b>  <i>oldpath </i> et <i> newpath</i>
ne rsident pas sur le mme systme de fichiers.
<br/><br/>

<b>EPERM</b> <b></b>  Le systme de fichier contenant
<i>oldpath </i> et <i> newpath</i>
ne permet pas la cration de liens matriels.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>oldpath </i> ou <i> newpath </i> pointent en dehors de l'espace d'adressage accessible.<i></i>
<br/><br/>

<b>EACCES</b> <b></b>  L'criture dans le rpertoire contenant
<i>newpath</i> n'est pas autoris pour l'UID effectif du processus, ou l'un des
rpertoires de
<i>oldpath </i> ou <i> newpath</i>
ne permet pas le parcours (excution).
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>oldpath </i> ou <i> newpath </i> sont trop longs.<i></i>
<br/><br/>

<b>ENOENT</b> <b></b>  Un rpertoire contenu dans
<i>oldpath </i> ou <i> newpath</i>
n'existe pas, ou est un lien symbolique pointant nulle part.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs
<i>oldpath </i> ou <i> newpath</i>
n'est pas rellement un rpertoire.
<br/><br/>

<b>ENOMEM</b> <b></b>  pas assez de mmoire pour le noyau
<br/><br/>

<b>EROFS</b> <b></b>  Le fichier se trouve sur un systme de fichier en lecture seule
<br/><br/>

<b>EEXIST</b> <b></b>  <i>newpath</i> existe dj.
<br/><br/>

<b>EMLINK</b> <b></b>  Le fichier rfrenc par
<i>oldpath</i> possde dj le nombre maximal de liens.
<br/><br/>

<b>ELOOP</b> <b></b>  <i>oldpath </i> ou <i> newpath</i>
contiennent une rfrence circulaire ( travers un lien symbolique).
<br/><br/>

<b>ENOSPC</b> <b></b>  Le support du systme de fichier ne dispose pas d'assez de place
pour un nouveau point d'entre dans le rpertoire.
<br/><br/>

<b>EPERM</b> <b></b>  <i>oldpath</i> est un rpertoire.
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie bas-niveau s'est produite.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les liens matriels crs par
<b>link ,</b>
ne peuvent pas s'tendre sur plusieurs systmes de fichiers.
On peut utiliser plutt
<b>symlink</b> <b></b>  si ceci est ncessaire.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, BSD 4.3, X/OPEN. SVr4 documente des conditions d'erreurs
supplmentaires ENOLINK et EMULTIHOP. POSIX.1 ne dcrit pas ELOOP.
X/OPEN ne dcrit pas les erreurs EFAULT, ENOMEM, ni EIO.
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Sur les systmes de fichiers NFS, le code de retour peut tre faux,
si le serveur NFS a cr correctement le lien mais s'est arrt
avant de donner le code de retour.  Utiliser dans ce cas
<i>stat (2)</i>
pour vrifier si le lien a t effectivement cr
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>symlink (2),</b>
<b>unlink (2),</b>
<b>rename (2),</b>
<b>open (2),</b>
<b>stat (2),</b>
<b>ln (1)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
