<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)listen.2	6.5 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Fri Jul 23 22:07:54 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 950727 by aeb, following a suggestion by Urs Thuermann -->
<!--  (urs@isnogud.escape.de) -->
<!--  -->
<!--  Traduction  11/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 21/09/98 LDP-man-pages-1.20 -->
<!--  Mise a Jour 30/05/01 LDP-man-pages-1.36 -->
<!--  Mise a Jour 18/07/03 LDP-man-pages-1.56 -->
<br/><h1>LISTEN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
listen - Attendre des connexions sur une socket.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/><br/>

<b>int listen(int </b> s <i>, int </i> backlog );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Pour accepter des connexions, une socket est d'abord cre avec
<b>socket (2),</b>
puis le dsir d'accepter des connexions entrantes, et la limite
de la file d'entre sont indiqus avec
<b>listen ,</b>
ensuite les connexions seront acceptes avec
<b>accept (2).</b>
L'appel systme
<b>listen</b> <b></b>  s'applique seulement aux sockets de type
<b>SOCK_STREAM</b> <b></b>  ou
<b>SOCK_SEQPACKET.<br/><br/></b> <b></b>  Le paramtre
<i>backlog</i> dfinit une longueur maximale pour la file des connexions en attente.
Si une nouvelle connexion arrive alors que la file est pleine, le
client reoit une erreur indiquant
<b>ECONNREFUSED ,</b>
ou, si le protocole sous-jacent supporte les retransmissions, la requte
peut tre ignore afin qu'un nouvel essai russisse.
.NOTES
Le comportement de
<i>backlog</i> a t modifi sur les sockets TCP dans Linux 2.2.
Il s'agit  prsent de la longueur de la file d'attente pour les socket
<i>totalement</i> tablies en attente d'acceptation, plutt que les requtes de connexion
incompltes. La longueur maximale de la file d'attente des connexions
incompltes peut tre configure avec l'appel sysctl
<b>tcp_max_syn_backlog .</b>
Lorsque les syncookies sont activs, il n'y a pas de longueur maximale
et la configuration sysctl est ignore.
Voir
<b>tcp (7)</b>
pour plus de dtail.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>listen</b>
renvoie 0 si il russit, ou -1 en cas d'chec, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EADDRINUSE</b> <b></b>  Une autre socket est dj  l'coute sur le mme port.
<br/><br/>

<b>EBADF</b> <b></b>  <i>s</i> n'est pas un descripteur valide
<br/><br/>

<b>ENOTSOCK</b> <b></b>  L'argument
<i>s</i> n'est pas une socket.
<br/><br/>

<b>EOPNOTSUPP</b> <b></b>  Le type de socket ne supporte pas l'appel systme
<b>listen.</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, BSD (l'appel systme
<b>listen</b> <b></b>  est apparu dans BSD 4.2).
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Si la socket est de type
<b>AF_INET</b> <b></b>  (internet), et si l'argument
<i>backlog</i> est suprieur  la constante
<b>SOMAXCONN</b> <b></b>  <b></b>  (128 dans Linux 2.0 et 2.2), il est silencieusement ramen 
<b>SO_MAXCONN .</b>
Pour la portabilit des applications, ne vous fiez pas 
cette valeur puisque BSD (et d'autres drivs) limitent
l'argument
<i>backlog </i>  5.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>accept (2),</b>
<b>connect (2),</b>
<b>socket (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
