<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1995 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Written 10 June 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise a Jour 21/09/98 LDP-man-pages-1.20 -->
<!--  Mise a Jour 30/05/01 LDP-man-pages-1.36 -->
<!--  Mise a Jour 18/07/03 LDP-man-pages-1.56 -->
<br/><h1>LLSEEK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
_llseek - Positionner la tte de lecture/criture dans un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>#include</b> <b></b>  <b>&lt;linux/unistd.h&gt;</b> <b></b>  <br/><br/>

<b>_syscall5(int</b> <b></b> ,<b></b>  <b>_llseek</b> <b></b> ,<b></b>  <b>uint</b> <b></b> ,<b></b>  <b>fd</b> <b></b> ,<b></b>  <b>ulong</b> <b></b> ,<b></b>  <b>hi</b> <b></b> ,<b></b>  <b>ulong</b> <b></b> ,<b></b>  <b>lo</b> <b></b> ,<b></b>  <b>loff_t</b> <b></b>  <b>*</b> <b></b> ,<b></b>  <b>res</b> <b></b> ,<b></b>  <b>uint</b> <b></b> ,<b></b>  <b>wh);</b> <b></b>  <br/><br/>

<b>int _llseek(unsigned int </b> fd <i>, unsigned long </i> offset_high <b>, unsigned long </b> offset_low <i>, loff_t * </i> result <b>, unsigned int </b> whence );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>_llseek</b> <b></b>  place la tte de lecture/criture du fichier associ 
<i>fd</i>  la position
<i>(offset_high &lt;&lt; 32) | offset_low</i> (en octets) par rapport au dbut du fichier,  la position courante, ou  la
fin du fichier, suivant que la valeur
<i> whence</i> soit
<b>SEEK_SET ,</b>
<b>SEEK_CUR ,</b>
ou
<b>SEEK_END ,</b>
respectivement.
La fonction retourne la nouvelle position dans l'argument
<i>result .<br/><br/></i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de russite,
<b>_llseek</b> <b></b>  renvoie 0, sinon il renvoie -1, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <i>fd</i> n'est pas un descripteur de fichier ouvert.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>whence</i> est invalide.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Cette fonction est spcifique  Linux et ne doit pas tre employe dans
des programmes conus pour tre portables.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>lseek (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
