<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 2003 John Levon &lt;levon@movementarian.org&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.57 -->
<br/><h1>LOOKUP_DCOOKIE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">erreurs</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">historique</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
lookup_dcookie - Renvoie le chemin d'accs d'un lment de rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<br/><br/>

<b>int lookup_dcookie(u64 </b> cookie <i>, char * </i> buffer <b>, size_t </b> len );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette fonction renvoie le chemin complet de l'lment de rpertoire indiqu par
<i>cookie .</i>
Le
<i>cookie</i> est un identificateur opaque rfrenant de manire unique un lment de
rpertoire donn. Le buffer fourni est rempli avec le chemin d'accs
complet de cet lment.<br/><br/>
Pour que
<b>lookup_dcookie</b> <b></b>  fonctionne, le noyau doit dj connatre le
<i>cookie</i> rfrenant l'lment de rpertoire.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
<b>lookup_dcookie</b> <b></b>  est un appel-systme spcial, utilis actuellement uniquement par le
profiler oprofile. Il s'appuie sur un pilote du noyau pour enregistrer
les cookies des lments de rpertoire.<br/><br/>
Le chemin renvoy peut avoir un suffixe " (deleted)" si l'lment de 
rpertoire a t supprim.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
Si elle russit, la fonction
<b>lookup_dcookie</b> <b></b>  renvoie la longueur de la chane copie dans le buffer.
En cas d'erreur, elle renvoie -1 et remplit
<i>errno</i> avec le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L6">erreurs</h1>
<div class="paragraph">
<b>EPERM</b> <b></b>  Le processus n'a pas la capacit d'enregistrer des valeurs de cookie.
<br/><br/>

<b>EINVAL</b> <b></b>  Le noyau n'a pas d'association cookie/lment de rpertoire correspondant
au cookie, ou le cookie ne fait pas rfrence  un lment valide.
<br/><br/>

<b>ENOMEM</b> <b></b>  Le noyau ne peut pas allouer assez de mmoire pour les buffers
temporaires.
<br/><br/>

<b>ERANGE</b> <b></b>  Le buffer fourni n'est pas assez grand pour contenir le chemin d'accs.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  Le nom ne tient pas dans le buffer.
<br/><br/>

<b>EFAULT</b> <b></b>  Le buffer est invalide.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
<b>lookup_dcookie</b> <b></b>  est spcifique Linux.
</div><br/><br /><h1 class="TitreSection0" id="L8">historique</h1>
<div class="paragraph">
Cet appel-systme est disponible depuis Linux 2.5.43.
L'erreur ENAMETOOLONG a t ajoute dans Linux 2.5.70.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
