<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1980, 1991 Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)lseek.2	6.5 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Fri Jul 23 22:17:00 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 10 June 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise a jour 28/04/98 (LDP-man-pages-1.19) -->
<!--  mj 19/01/2002 LDP 1.47 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>LSEEK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">restrictions</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
lseek - Positionner la tte de lecture/criture dans un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>off_t lseek(int </b> fildes <i>, off_t </i> offset <b>, int </b> whence );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>lseek</b> <b></b>  place la tte de lecture/criture  la position
<i>offset</i> dans le fichier associ au descripteur
<i>fildes</i> en suivant la directive
<i>whence</i> ainsi&nbsp;:
<br/><br/>

<b>SEEK_SET</b> <b></b>  La tte est place 
<i>offset</i> octets depuis le dbut du fichier.
<br/><br/>

<b>SEEK_CUR</b> <b></b>  La tte de lecture/criture est avance de
<i>offset</i> octets.
<br/><br/>

<b>SEEK_END</b> <b></b>  La tte est place  la fin du fichier plus
<i>offset</i> octets.<br/><br/>
La fonction
<b>lseek</b> <b></b>  permet de placer la tte au-del de la fin actuelle du fichier.
Si des donnes sont crites  cet emplacement, une lecture ultrieure
de l'espace intermdiaire retournera des zros (jusqu' ce que
d'autres donnes y soient crites).
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>lseek ,</b>
s'il russit, renvoie le nouvel emplacement, mesur en octets depuis
le dbut, du fichier. En cas d'chec, la valeur -1 est renvoye, et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <i>Fildes</i> n'est pas un descripteur de fichier ouvert.
<br/><br/>

<b>ESPIPE</b> <b></b>  <i>Fildes</i> est associe  un tube (pipe), une socket, ou une file FIFO.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>Whence</i> est invalide.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, POSIX, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L7">restrictions</h1>
<div class="paragraph">
Certains priphriques ne permettent pas de positionnement direct,
POSIX ne prcise pas le comportement  adopter dans ce cas.<br/><br/>
Restrictions spcifiques  Linux : L'utilisation de <b>lseek</b> sur un
priphrique tty renvoie <b>ESPIPE</b>.
Les autres systmes renvoient le nombre de caractres crits en utilisant
SEEK_SET pour positionner le compteur.
Certains priphriques, comme <b>/dev/null</b>, ne renvoie pas l'erreur
<b>ESPIPE</b>, mais renvoie un pointeur dont la valeur est indfinie.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
Lors de la conversion d'un ancien code, substituez les valeurs suivantes :<br/><br/>
.TS
c c
l l.
ancien	nouveau
0	SEEK_SET
1	SEEK_CUR
2	SEEK_END
L_SET	SEEK_SET
L_INCR	SEEK_CUR
L_XTND	SEEK_END
.TE<br/><br/>
SVR1-3 renvoie un <b>long</b>  la place d'un <b>off_t</b>, BSD renvoie un <b>int</b>.<br/><br/>
Notez que les descripteurs de fichiers dupliqus par
<b>dup (2)</b>
ou
<b>fork (2)</b>
partagent le mme pointeur de position. Ainsi le dplacement sur de tels
fichiers peut conduire  des problmes d'accs concurrents.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>dup (2),</b>
<b>fork (2), </b>
<b>open (2),</b>
<b>fseek (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
