<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 2001 David Gomez &lt;davidge@jazzfree.com&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Based on comments from mm/filemap.c. Last modified on 10-06-2001 -->
<!--  -->
<!--  Traduction 12/08/2002 par Stephan Rafin (stephan.rafin@laposte.net) -->
<!--  MaJ 18/07/2003 - LDP-1.56 (C.Blaess) -->
<br/><h1>MADVISE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes sur linux</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">conformits</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
madvise - Configure l'utilisation de la mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<br/>
<b>#include</b> <b></b>  <b>&lt;sys/mman.h&gt;</b> <b></b>  <br/><br/>

<b>int madvise(void *</b> start <i>, size_t </i> length <b>, int </b> advice );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'appel systme
<b>madvise</b> <b></b>  conseille le noyau sur la faon de grer la pagination sur l'intervalle 
d'adresses dbutant  l'adresse
<i>start</i> et de taille
<i>length</i> (en octets). Il permet  une application d'indiquer au noyau l'utilisation
qu'elle compte faire de certaines zones de mmoire partage ou projete de
faon  ce que le noyau puisse choisir les techniques de lecture 
anticipe et de mise en cache appropries.
Cet appel ne modifie pas la smantique de l'application (sauf dans le cas de
<b>MADV_DONTNEED ),</b>
mais peut avoir un impact sur ses performances. Le noyau est libre d'ignorer
le conseil.<br/><br/>
Le conseil est spcifi par le paramtre 
<i>advice</i> qui peut prendre les valeurs 
<br/><br/>

<b>MADV_NORMAL</b> <b></b>  Pas de traitement particulier. Il s'agit du comportement par dfaut.
<br/><br/>

<b>MADV_RANDOM</b> <b></b>  prvoit des accs aux pages dans un ordre alatoire.
(Ainsi, la lecture anticipe sera moins utile qu'elle ne l'est en gnral.)
<br/><br/>

<b>MADV_SEQUENTIAL</b> <b></b>  prvoit des accs aux pages dans un ordre squentiel.
(Aussi, les pages d'un intervalle donn peuvent tre systmatiquement lues par
anticipation, et peuvent tre libres rapidement aprs avoir t accdes.)
<br/><br/>

<b>MADV_WILLNEED</b> <b></b>  prvoit un accs dans un futur proche.
(Ainsi, lire quelques pages de faon anticipe peut tre une bonne ide.)
<br/><br/>
 
<b>MADV_DONTNEED</b> <b></b>  Ne prvoit pas d'accs dans un futur proche.
(pour l'instant, l'application en a fini avec l'intervalle considr,
ainsi le noyau peut-il librer les ressources associes  ce dernier.)
Les accs ultrieurs aux pages de l'intervalle russiront, mais rsulteront
soit par un rechargement du fichier projet sous-jacent (void
<b>mmap ),</b>
soit par un remplissage avec des zros pour les pages sans fichier.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de succs
<b>madvise</b> <b></b>  renvoie zro. En cas d'erreur, il renvoie -1 et 
<i>errno</i> est positionn de faon adquate.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  la valeur
<i>len</i>
est ngative,
<!--  <i>len --></i> <!--  is zero, -->
<i>start</i> n'est pas align sur une page,
<i>advice </i> n'a pas une valeur valide, ou bien l'application tente
de librer des pages verrouilles ou partages (avec MADV_DONTNEED).
<br/><br/>
 
<b>ENOMEM</b> <b></b>  les adresses de l'intervalle spcifi ne sont pas mappes actuellement,
ou n'appartiennent pas  l'espace d'adressage du processus.
<br/><br/>

<b>ENOMEM</b> <b></b>  (pour MADV_WILLNEED) Mmoire insuffisante - Echec de pagination.
<br/><br/>

<b>EIO</b> <b></b>  (pour MADV_WILLNEED) suivre la consigne de pagination sur cette zone dpaserait
la limite maximale de mmoire physique utilisable par le processus.
<br/><br/>

<b>EBADF</b> <b></b>  La projection existe, mais la zone n'est pas associ  un fichier.
<br/><br/>

<b>EAGAIN</b> <b></b>  une ressource du noyau est temporairement indisponible.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes sur linux</h1>
<div class="paragraph"><br/><br/>
L'implmentation Linux actuelle (2.4.0) peroit davantage cet appel-systme comme
une commande que comme un conseil et est ainsi susceptible de renvoyer une erreur
quand elle ne parvient pas  raliser ce qu'elle devrait accomplir en rponse 
ce conseil. (Voir la description des ERREURS ci dessus.)
Il s'agit d'un comportement non standard.<br/><br/>
L'implmentation Linux ncessite que l'adresse
<i>start</i> soit aligne sur une page, et permet que 
<i>length</i> vaille zro. S'il y a des parties de l'intervalle d'adresses spcifi
qui ne sont pas mappes, la version Linux de  
<b>madvise</b> <b></b>  les ignore et applique l'appel au reste de l'intervalle (mais renvoie
<b>ENOMEM</b> <b></b>  comme il se doit).
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph">
La fonction 
<b>madvise</b> <b></b>  est apparue pour la premire fois dans BSD 4.4.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformits</h1>
<div class="paragraph">
POSIX.1b (POSIX.4).
POSIX 1003.1-2001 spcifie l'appel
<b>posix_madvise</b> <b></b>  avec des constantes POSIX_MADV_NORMAL, etc.
et un comportement proche de celui dcrit ici. Il existe un appel similaire
<i>posix_fadvise</i> pour les accs aux fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>getrlimit (2),</b>
<b>mmap (2),</b>
<b>mincore (2),</b>
<b>mprotect (2),</b>
<b>msync (2),</b>
<b>munmap (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
