<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 1996 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 08/04/1997 -->
<!--  Mise a Jour 19/07/1997 -->
<!--  Mise a Jour 02/10/1999 -->
<!--  Mise  jour 26/06/2000 LDP 1.30 -->
<!--  Mise  jour 30/05/2001 LDP 1.36 -->
<!--  mj 19/01/2002 LDP 1.47 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<!--  MJ 25/07/2003 LDP-1.57 -->
<!--  MJ 30/07/2003 LDP-1.58 -->
<br/><h1>MMAP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">erreurs</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mmap, munmap - tablir / supprimer une projection en mmoire (map / unmap) des fichiers ou des priphriques.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/mman.h&gt;</b> <b></b>  <br/><br/>

<b>#ifdef</b> <b></b>  <b>_POSIX_MAPPED_FILES</b> <b></b>  <br/><br/>

<b>void * mmap(void *</b> start <i>, size_t </i> length <b>, int </b> prot
<b>, int </b> flags <i>, int </i> fd <b>, off_t </b> offset );
<br/><br/>

<b>int munmap(void *</b> start <i>, size_t </i> length );
<br/><br/>

<b>#endif</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>mmap</b> <b></b>  demande la projection en mmoire de
<i>length</i> octets commenant  la position
<i>offset</i> depuis un fichier (ou un autre objet) indiqu par le descripteur
<i>fd,</i> de prfrence  l'adresse pointe par
<i>start.</i>
Cette adresse n'est qu'une prfrence, gnralement 0.
La vritable adresse o l'objet est projet est renvoye par la
fonction
<b>mmap ,</b>
et n'est jamais nulle.<br/><br/>
L'argument
<i>prot</i> indique la protection que l'on dsire pour cette zone de mmoire, et ne
doit pas entrer en conflit avec le mode d'ouverture du fichier.
Il s'agit soit de
<b>PROT_NONE</b> <b></b>  (le contenu de la mmoire est inaccessible) soit d'un OU binaire entre
les constantes suivantes&nbsp;:
<br/><br/>
 1.1.i
<b>PROT_EXEC</b> <b></b>  On peut excuter du code dans la zone mmoire.
<br/><br/>

<b>PROT_READ</b> <b></b>  On peut lire le contenu de la zone mmoire
<br/><br/>

<b>PROT_WRITE</b> <b></b>  On peut crire dans la zone mmoire.
<br/><br/>

<b>PROT_NONE</b> <b></b>  Les pages ne peuvent pas tre accdes.<br/><br/>
Le paramtre
<i>flags</i> indique le type de fichier projet, les options de projection, et si
les modifications faites sur la portion projete sont prives ou doivent
tre partages avec les autres rfrences. Les options sont :
<br/><br/>

<b>MAP_FIXED</b> <b></b>  N'utiliser que l'adresse indique. Si c'est impossible,
<b>mmap</b> <b></b>  chouera. Si MAP_FIXED est spcifi
<i>start</i> doit tre un multiple de la longueur de page. Il est dconseill d'utiliser
cette option.
<br/><br/>

<b>MAP_SHARED</b> <b></b>  Partager la projection avec tout autre processus utilisant l'objet.
L'criture dans la zone est quivalente  une criture dans le fichier. En revanche
ce dernier n'est pas ncessairement mis  jour tant qu'on n'a pas appel
<b>msync (2)</b>
ou
<b>munmap (2).</b>
<br/><br/>

<b>MAP_PRIVATE</b> <b></b>  Crer une projection prive, utilisant la mthode de copie  l'criture.
L'criture dans la zone ne modifie pas le fichier. Il n'est pas prcis
si les changements effectus dans le fichier aprs l'appel
<b>mmap</b> <b></b>  seront visibles.<br/><br/>
Vous devez indiquer soit MAP_SHARED, soit MAP_PRIVATE.<br/><br/>
Les trois attributs ci-dessus sont dcrits dans POSIX.1b (anciennement POSIX.4)
et SUSv2. Linux propose galement des attributs non standards :
<br/><br/>

<b>MAP_DENYWRITE</b> <b></b>  Cet attribut est ignor.
(Autrefois, une tentative d'criture dans le fichier sous-jacent chouait avec
l'erreur ETXTBUSY. Mais ceci permettait des attaques de dni de service).
<br/><br/>

<b>MAP_EXECUTABLE</b> <b></b>  Cet attribut est ignor.
<br/><br/>

<b>MAP_NORESERVE</b> <b></b>  (Utilis conjointement  MAP_PRIVATE). Ne pas rserver d'espace de swap pour
les pages de cette projection. Une telle rservation garantit que l'on puisse
modifier les zones soumises  une copie-en-criture. Sans rservation, on peut
recevoir un signal SIGSEGV durant une criture, s'il n'y a plus de place
disponible.
<br/><br/>

<b>MAP_LOCKED</b> <b></b>  (Depuis Linux 2.5.37) Verrouille la page projete en mmoire  la manire de
<b>mlock() .</b>
Cet attribut est ignor sur les noyaux plus anciens.
<br/><br/>

<b>MAP_GROWSDOWN</b> <b></b>  Utilis pour les piles. Indique au systme de gestion de la mmoire virtuelle
que la projection doit s'tendre en croissant vers le bas de la mmoire.
<br/><br/>

<b>MAP_ANONYMOUS</b> <b></b>  La projection n'est supporte par aucun fichier. Les arguments
<i>fd</i> et
<i>offset</i> sont ignors. Cet attributs, utilis en conjonction de MAP_SHARE
est implment depuis Linux 2.4.
<br/><br/>

<b>MAP_ANON</b> <b></b>  Alias de MAP_ANONYMOUS. Dconseill.
<br/><br/>

<b>MAP_FILE</b> <b></b>  Attribut pour compatibilit. Ignor.
<br/><br/>

<b>MAP_32BIT</b> <b></b>  Faire la projection dans les premiers 2Go de l'espace d'adressage du processus.
Ignor si
<i>MAP_FIXED</i> est prsent. Cet attribut n'est support que sur x86-64 pour les programmes 64-bits.<br/><br/>
Certains systmes utilisent les attributs supplmentaires MAP_AUTOGROW,
MAP_AUTORESRV, MAP_COPY, and MAP_LOCAL.<br/><br/>
<i>fd</i> doit tre un descripteur de fichier valide, sauf si on utilise MAP_ANONYMOUS,
auquel cas cet argument est ignor.<br/><br/>
L'argument
<i>offset</i> doit normalement tre un multiple de la taille de page renvoye par l'appel
<b>getpagesize (2).<br/><br/></b>
La mmoire obtenue par
<b>mmap</b> <b></b>  est prserve lors d'un
<b>fork (2),</b>
avec les mme attributs.<br/><br/>
La projection doit avoir une taille multiple de celle des pages. Pour un fichier
dont la longueur n'est pas un multiple de la taille de page, la mmoire restante
est remplie de zros lors de la projection, et les critures dans cette zone
n'affectent pas le fichier. Les effets de la modification de la taille du fichier sous-jacent
sur les pages correspondant aux zones ajoutes ou supprimes ne sont pas prciss.
L'appel-systme
<b>munmap</b> <b></b>  dtruit la projection dans la zone de mmoire spcifie, et s'arrange pour
que toute rfrence ultrieure  cette zone mmoire dclenche une
erreur d'adressage. La projection est aussi automatiquement dtruite lorsque
le processus se termine.  l'inverse, la fermeture du descripteur de fichier
ne supprime pas la projection.<br/><br/>
L'adresse
<i>start</i> doit tre un multiple de la taille de page. Tous les pages contenant une partie
de l'intervalle indiques sont libres, et tout accs ultrieur
dclenchera SIGSEGV. Aucune erreur n'est dtecte si l'intervalle
indiqu ne contient pas de page projete.
 
Pour les projections supportes par un fichier, le champ
<b>st_atime</b> <b></b>  du fichier peut tre mis  jour  tout moment entre l'appel
<b>mmap()</b> <b></b>  et le munmap() correspondant. Le premier accs dans la page projete
mettra le champ  jour si ce n'a pas t dj fait.<br/><br/>
Les champs
<b>st_ctime</b> <b></b>  et
<b>st_mtime</b> <b></b>  pour un fichier projet avec PROT_WRITE et MAP_SHARED seront mis  jour aprs
une criture dans la rgion projete, et avant l'ventuel
<i>msync()</i> suivant avec attribut MS_SYNC ou MS_ASYNC.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>mmap</b> <b></b>  renvoie un pointeur sur la zone de mmoire, s'il russit. En
cas d'chec il retourne MAP_FAILED (-1) et 
<i>errno</i> contient le code d'erreur.<br/><br/>
<b>munmap</b> <b></b>  renvoie 0 s'il russit. En cas d'chec -1 est renvoy et
<i>errno</i> contient le code d'erreur (probablement EINVAL).
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Suivant l'architecture
<i>PROT_READ</i> peut include
<i>PROT_EXEC</i> ou non. Les programmes portables doivent toujours indiquer
<i>PROT_EXEC</i> s'ils veulent excuter du code dans la projection.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <i>fd</i> n'est pas un descripteur de fichier valide (et MAP_ANONYMOUS n'tait pas prcis).
<br/><br/>

<b>EACCES</b> <b></b>  Le descripteur ne correspond pas  un fichier normal, ou
on demande une projection prive MAP_PRIVATE mais
<i>fd</i> n'est pas ouvert en lecture, ou on demande une projection
partage MAP_SHARED avec protection PROT_WRITE, mais
<i>fd</i> n'est pas ouvert en lecture et criture (O_RDWR).
Ou encore PROT_WRITE est demand, mais le fichier est ouvert en ajout seulement.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>start</i> ou
<i>length</i> ou
<i>offset </i>
sont invalides.
(par exemple : zone trop grande, ou non aligne sur une frontire de page).
<br/><br/>

<b>ETXTBSY</b> <b></b>  MAP_DENYWRITE a t rclam mais
<i>fd</i> est ouvert en criture
<br/><br/>

<b>EAGAIN</b> <b></b>  Le fichier est verrouill, ou trop de pages ont t verrouilles en mmoire.
<br/><br/>

<b>ENOMEM</b> <b></b>  pas assez de mmoire, ou le nombre maximal de projection par processus a t
dpass.
<br/><br/>

<b>ENODEV</b> <b></b>  Le systme de fichiers sous-jacent ne supporte pas la projection en mmoire.<br/><br/>
L'accs  une zone de projection peut dclencher les signaux suivants :
<br/><br/>

<b>SIGSEGV</b> <b></b>  Tentative d'criture dans une zone en lecture seule
<br/><br/>

<b>SIGBUS</b> <b></b>  Tentative d'accs  une portion de la zone qui ne correspond pas au fichier
(par exemple aprs la fin du fichier, y compris lorsqu'un autre fichier l'a
 tronqu).
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, POSIX.1b (anciennement POSIX.4), BSD 4.4, SUSv2.
SVr4 documente les codes d'erreur supplmentaires ENXIO et ENODEV.
SUSv2 documente les codes d'erreur supplmentaires EMFILE et EOVERFLOW.<br/><br/>
<i>MAP_32BIT</i> est une extension Linux.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>getpagesize (2),</b>
<b>mlock (2),</b>
<b>mmap2 (2),</b>
<b>mremap (2),</b>
<b>msync (2),</b>
<b>shm_open (2),</b>
B.O. Gallmeister, POSIX.4, O'Reilly, pp. 119-124 et 365-369.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
