<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 2002, Michael Kerrisk -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified 31 Jan 2002, Michael Kerrisk &lt;mtk16@ext.canterbury.ac.nz&gt; -->
<!-- 	Added description of mmap2 -->
<!--  MJ 18/07/2003 LDP-2.56 Christophe Blaess -->
<br/><h1>MMAP2</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mmap2 - tablir une projection en mmoire d'un fichier ou d'un priphrique.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/mman.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;syscall.h&gt;</b> <b></b>  <br/><br/>

<b>_syscall6(void *, </b> dbut <i>, size_t, </i> longueur <b>, int, </b> prot ,
<b>int, </b> drapeaux <i>, int, </i> fd <b>, off_t, </b> dcalage_en_pages );
<br/><br/>

<b>void * mmap2(void *</b> dbut <i>, size_t </i> longueur <b>, int </b> prot ,
<b>int </b> drapeaux <i>, int </i> fd <b>, off_t </b> dcalage_en_pages );
<br/><br/>

<b>#endif</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>mmap2</b> <b></b>  ralise la mme opration que
<b>mmap (2),</b>
sauf que l'argument final spcifie un dcalage dans le fichier en
nombre de pages systme plutt qu'en octets. 
Ceci permet aux applications d'utiliser un off_t sur 32 bits pour projeter
des fichiers trs grands (gnralement jusqu' 2^44 octets).
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
La fonction
<b>mmap2</b> <b></b>  est disponible depuis Linux 2.3.31.
Elles est spcifique  Linux, et ne devrait pas tre utilise dans les
applications portables.
Voir galement la fonction
<i>mmap64()</i> qui est partie intgrante du LFS (Large File Summit).
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>getpagesize (2),</b>
<b>mmap (2),</b>
<b>mremap (2),</b>
<b>msync (2),</b>
<b>shm_open (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2002</i></i>
<br/>
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
