<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  Copyright 1994 Andries E. Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  " -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 30/05/2001 LDP-man-pages-1.36 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.37 -->
<!--  mj 19/01/2002 LDP 1.47 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>MOUNT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mount, umount, umount2 - Monter / dmonter des systmes de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/mount.h&gt;</b> <b></b>  <br/><br/>

<b>int mount(const char *</b> source <i>, const char * </i> cible
<b>, const char * </b> filesystemtype <i>, unsigned long </i> mountflags
<b>, const void * </b> data );
<br/><br/>

<b>int umount(const char *</b> cible );
<br/><br/>
 
<b>int umount2(const char *</b> target <i>, int </i> flags );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>mount</b> <b></b>  attache le systme de fichiers spcifi par 
<i>source</i> (qui est gnralement un nom de priphrique, mais peut aussi tre un rpertoire
ou un objet fictif) au
rpertoire indiqu par
<i>cible .<br/><br/></i>
<b>umount </b> et <b> umount2</b>
suppriment l'attachement du systme de fichiers mont sur le rpertoire
<i>cible .<br/><br/></i>
Seul le Super-User peut monter ou dmonter des systmes de fichiers.
Depuis Linux 2.4 un mme systme de fichiers peut tre visible en diffrents
points, et plusieurs montages peuvent tre empils au mme 
point.<br/><br/>
L'argument
<i>filesystemtype</i>
prend une des valeurs listes dans
<i>/proc/filesystems</i> (par exemple "ext2", "minix", "msdos", "proc", "nfs", "iso9660" etc).
Des types supplmentaires peuvent tre disponibles lorsque les modules
appropris sont chargs.<br/><br/>
L'argument
<i>mountflags</i>
peut avoir le nombre magique 0xC0ED (<b>MS_MGC_VAL</b>) dans ses 16 bits de poids
forts (ceci tait obligatoire dans les versions antrieures  la 2.4, mais
ne l'est plus), et certains attributs de montage (dfinis dans &lt;linux/fs.h&gt; pour
libc4 ou libc5 et dans &lt;sys/mount.h&gt; pour GlibC2)
comme bits de poids faibles&nbsp;:
<br/><br/>

<b>MS_BIND</b> <b></b>  <b></b>  (Depuis Linux 2.4)
<!--  since 2.4.0-test9  -->
Effectuer un montage li, rendant un fichier ou une arborescence visibles en
un autre point du systme de fichiers.
Les montages lis peuvent traverses les froontires entre systmes de fichiers
et ouvrir une porte dans une prison
<b>chroot (2).</b>
Les arguments
<i>filesystemtype </i>, <i> mountflags </i>, et <i> data</i>
sont ignors.
<!--  with the exception of the "hidden" MS_REC mountflags bit -->
<br/><br/>

<b>MS_DIRSYNC</b> <b></b>  (Depuis Linux 2.5.19.)
Rendre synchrones les modifications sur les rpertoires du systme de fichiers.
(Cette proprit peut-tre obtenue pour les rpertoires individuels ou
les sous-arborescences en utilisant
<b>chattr (8)).</b>
<br/><br/>

<b>MS_MANDLOCK</b> <b></b>  Autoriser les verrouillages impratifs sur le systme de fichiers.
(Le verrouillage impratif devra tooutefois tre valid fichier par fichier,
comme dcrit dans
<b>fcntl (2)).</b>
<!--  FIXME: More can be said about MS_MOVE -->
<br/><br/>

<b>MS_MOVE</b> <b></b>  Dplace une sous-arborescence.
<i>source </i> indique un point de montage existant et
<i>target </i> indique son nouvel emplacement.
Le dplacement est atomique,  aucun moment la sous-arborescence est dmonte.
Les arguments
<i>filesystemtype </i>, <i> mountflags </i>, et <i> data</i>
sont ignors.
<br/><br/>

<b>MS_NOATIME</b> <b></b>  <b></b>  Ne pas mettre  jour les dates d'accs pour (tous) les fichiers du
systme de fichiers.
<br/><br/>

<b>MS_NODEV</b> <b></b>  Ne pas autoriser la prsence de fichiers spciaux de priphrique sur le
systme de fichier.
<br/><br/>

<b>MS_NODIRATIME</b> <b></b>  Ne pas mettre  jour les dates d'accs pour les rpertoires du systme
de fichiers.
<br/><br/>

<b>MS_NOEXEC</b> <b></b>  Ne pas permettre l'excution de programme depuis le systme de fichiers.
<!--  (Possibly useful for a file system that contains non-Linux executables. -->
<!--  Often used as a security feature, e.g. to make sure that restricted -->
<!--  users cannot execute files uploaded using ftp or so.) -->
<br/><br/>

<b>MS_NOSUID</b> <b></b>  Ne pas tenir compte des bits Set-UID et Set-GID lors de l'excution de programmes
sur le systme de fichiers.
<!--  (This is a security feature to prevent users executing set-UID and -->
<!--  set-GID programs from removable disk devices.) -->
<br/><br/>

<b>MS_RDONLY</b> <b></b>  Monter le systme de fichiers en lecture seule.
<br/><br/>

<b>MS_REMOUNT</b> <b></b>  Reinitialiser un montage ezxistant. Ceci permet de modifier les attributs
<i>mountflags</i> et
<i>data</i> d'un montage existant sans avoir besoin de dmonter et remonter le systme
de fichiers
<i>source</i> et
<i>target</i> doivent avoir les mmes valeurs que durant l'appel
<b>mount ()</b>
initial&nbsp;;
<i>filesystemtype</i> est ignor.
<br/><br/>

<b>MS_SYNCHRONOUS</b> <b></b>  Rendre synchrones les citures sur le systme de fichiers (comme si l'option
<b>O_SYNC</b> <b></b>  de
<b>open (2)</b>
tait indiqu  chaque ouverture sur ce systme de fichiers).<br/><br/>
Depuis Linux 2.4, les attributs
<b>MS_NODEV </b>, <b> MS_NOEXEC </b>, et <b> MS_NOSUID</b>
sont configurables de manire variable sur chaque point de montage.<br/><br/>
L'argument
<i>data</i>
est interprt diffremment suivant le type de systme de fichiers.
Typiquement, c'est une chane d'options comprises par le systme de
fichiers, spares par des virgules.
Voir
<b>mount (8)</b>
pour des dtails sur les options disponibles pour chaque type de systme.<br/><br/>
<!--  Note: the kernel naming differs from the glibc naming -->
<!--  umount2 is the glibc name for what the kernel now calls umount -->
<!--  and umount is the glibc name for oldumount -->
Depuis Linux 2.1.116 l'appel-systme
<b>umount2 ()</b>
fonctionne comme
<b>umount (),</b>
mais dispose d'options supplmentaire
<i>flags</i> configurant le comportement de l'opration&nbsp;:
<br/><br/>

<b>MNT_FORCE</b> <b></b>  Forcer le dmontage, mme si le systme de fichiers est occup.
(Depuis 2.1.116. Seulement pour les montages NFS).
<br/><br/>

<b>MNT_DETACH</b> <b></b>  Faire un dtachement paresseux&nbsp;: rendre le point de montage invalide pour
les nouveaux accs, et raliser le dmontage complet lorsque le point
ne sera plus occup (Depuis 2.4.11).
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>mount et umount</b>
renvoient 0 s'ils russissent, ou -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.  
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Les erreurs dtailles ici sont indpendantes du type de systme de fichiers.
Chaque type de systme peut avoir des codes d'erreurs spcifiques, et un
comportement particulier. Voir les sources du noyau pour plus de details...<br/><br/>
<br/><br/>
 
<b>EPERM</b> <b></b>  L'utilisateur n'est pas le Super-User
<br/><br/>

<b>ENODEV</b> <b></b>  <i>Filesystemtype</i> n'est pas configur dans le noyau
<br/><br/>

<b>ENOTBLK</b> <b></b>  <i>Source</i> n'est pas un fichier spcial en mode bloc.
<br/><br/>

<b>EBUSY</b> <b></b>  <i>Source</i> est dj mont, ou ne peut pas tre remont en lecture seule
car il y a des fichiers ouverts en criture, ou ne peut
pas tre mont sur
<i>cible</i> car
<i>cible</i> est occup (c'est le rpertoire de travail d'un processus, le point de
montage d'un autre priphrique, des fichiers y sont ouverts, etc...)
Ou le dmontage est impossible car le point est occup.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>Source</i> a un superbloc invalide, ou on tente un remontage alors que
<i>source</i> n'tait pas encore mont sur
<i>cible .</i>
Ou un dmontage est demand sur
<i>cible</i> qui n'est pas un point de montage.
Ou un dplacement est demand alors que
<i>source</i> n'est pas un point de montage ou est '/'.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Le second argument, ou un prfixe du premier argument n'est
pas un rpertoire.
<br/><br/>

<b>EFAULT</b> <b></b>  L'un des arguments pointe en-dehors de l'espace d'adressage accessible.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  Un des arguments est plus long que MAXPATHLEN.
<br/><br/>

<b>ENOENT</b> <b></b>  Un rpertoire des arguments n'existe pas ou est un lien symbolique pointant nulle part.
<br/><br/>

<b>ELOOP</b> <b></b>  Trop de liens symboliques rencontrs dans un chemin, ou
un dplacement a t tent dans lequel
<i>cible</i> est un descendant de
<i>source .</i>
<br/><br/>

<b>EACCES</b> <b></b>  Un lment de chemin d'accs n'est pas consultable,
<br/>
ou on tente de monter un systme de fichier en lecture seule sans
prciser l'attribut MS_RDONLY,
<br/>
ou le fichier priphrique 
<i>Source</i> est sur un systme de fichiers mont avec l'attribut MS_NODEV.
<br/><br/>

<b>ENXIO</b> <b></b>  Le nombre majeur du priphrique
<i>source</i> est invalide.
<br/><br/>

<b>EMFILE</b> <b></b>  Table de montage pleine.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Ces fonctions sont spcifiques  Linux et ne doivent pas tre
employes dans des programmes conus pour tre portables.
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph">
La fonction
<b>umount</b> <b></b>  originale tait invoque <i>umount(device)</i> et renvoyait ENOTBLK si
l'argument tait autre chose qu'un priphrique en mode bloc.
Dans Linux 0.98p4 un appel <i>umount(rpertoire)</i> fut ajout, afin de
grer des priphriques anonymes.
Dans Linux 2.3.99-pre7 l'appel <i>umount(device)</i> fut supprim, en ne gardant
que <i>umount(rpertoire)</i> (car maintenant les priphriques peuvent tre
monts en plusieurs endroits, et l'indication du priphrique ne suffit plus).<br/><br/>
L'attribut original MS_SYNC a t renomm MS_SYNCHRONOUS dans Linux 1.1.69
car un MS_SYNC diffrent existait dans &lt;mman.h&gt;.<br/><br/>
Avant Linux 2.4, une tentative d'excution d'un programme Set-UID ou Set-GID
sur un systme de fichier mont avec l'attribut
<b>MS_NOSUID</b> <b></b>  chouait avec l'erreur
<b>EPERM .</b>
Depuis Linux 2.4 les bits Set-UID et Set-GID sont juste ignors silencieusement
dans ce cas.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>mount (8),</b>
<b>umount (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
