<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1996 Tom Bjorkholm &lt;tomb@mydata.se&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  1996-04-11 Tom Bjorkholm &lt;tomb@mydata.se&gt; -->
<!--             First version written (1.3.86) -->
<!--  1996-04-12 Tom Bjorkholm &lt;tomb@mydata.se&gt; -->
<!--             Update for Linux 1.3.87 and later -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 18/07/2003 LDP-1.56 -->
<br/><h1>MREMAP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">erreurs</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mremap - Modifier une projection de la mmoire virtuelle.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/mman.h&gt;</b> <b></b>  <br/><br/>

<b>void * mremap(void *</b> old_address <i>, size_t </i> old_size
<b>, size_t </b> new_size <i>, unsigned long </i> flags );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>mremap</b> agrandit (ou diminue) une projection (mapping) de mmoire virtuelle
en mmoire relle, en la dplaant ventuellement (sous contrle de l'argument
<i>flags</i> et de la place disponible dans l'espace d'adressage virtuel).<br/><br/>
<i>old_address</i> est l'ancienne adresse du bloc de mmoire virtuelle  agrandir 
(ou  diminuer). Notez que <i>old_address</i> doit tre aligne sur une frontire de
page. <i>old_size</i> est la taille du bloc de mmoire virtuelle.
<i>new_size</i> est la taille dsire pour le nouveau bloc de mmoire.<br/><br/>

L'argument <i>flags</i> contient les options dcrites plus bas.<br/><br/>
Sous Linux, la mmoire est divise en pages. Un processus
utilisateur dispose d'un ou plusieurs segments linaires
de mmoire virtuelle.
A chaque segment correspond une ou plusieurs projections dans
les pages de mmoire relle (dans la table des pages).
Chaque segment de mmoire virtuelle dispose de ses propres
droits d'accs (sa protection), ce qui peut dclencher
des fautes de segmentation si la mmoire est utilise
incorrectement (par exemple, en crivant dans un segment en
lecture seule).
De mme une tentative d'accs  la mmoire en-dehors des segments
dclenche galement une faute de segmentation.<br/><br/>
<b>mremap</b> utilise le schma de la table des pages de Linux.
<b>mremap</b> modifie la correspondance entre les adresses virtuelles et les
pages de mmoire relle. Ce mcanisme peut tre utilis pour implmenter un
<b>realloc</b> trs efficace.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
Ces valeurs sont combines par un
<i>OU</i> binaire ( | ) dans le champ
<i>flags</i> lors de l'appel de
<b>mremap.</b>
<br/><br/>

<b>MREMAP_MAYMOVE</b> <b></b>  indique que le bloc virtuel peut tre dplac si le
redimensionnement ne peut pas tre effectu  la mme
adresse virtuelle.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
<b>mremap</b> renvoie une pointeur sur la nouvelle zone de
mmoire virtuelle s'il russit.
En cas d'chec, -1 est renvoy et <i>errno</i> contient 
le code d'erreur.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Un argument invalide a t fourni. <i>old_address</i> n'tait
probablement pas aligne sur une frontire de pages.
<br/><br/>

<b>EFAULT</b> <b></b>  "Segmentation fault." Une adresse dans l'intervalle entre
<i>old_address</i> et <i>old_address</i>+<i>old_size</i> 
n'est pas une adresse virtuelle valide pour ce processus.
On peut galement obtenir  EFAULT mme s'il existe des
projections recouvrant la zone complte demande, mais
que ces projections sont de types diffrents.
<br/><br/>

<b>EAGAIN</b> <b></b>  Le segment de mmoire est verrouill et sa projection ne
peut pas tre modifie.
<br/><br/>

<b>ENOMEM</b> <b></b>  La zone de mmoire ne peut pas tre agrandie  l'emplacement
actuel, et l'option <i>MREMAP_MAYMOVE</i> n'a pas t
fournie dans <i>flags</i>. 
Ou encore il n'y a plus assez de mmoire virtuelle disponible.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Avec la GlibC actuelle, pour obtenir la dfinition de la constante
<b>MREMAP_MAYMOVE ,</b>
il faut dfinir _GNU_SOURCE avant d'inclure &lt;sys/mman.h&gt;.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
Cet appel systme est spcifique  Linux et ne doit pas tre
employ dans des programmes conus pour tre portables. BSD 4.2
a un appel systme
<b>mremap (2)</b>
avec une smantique totalement diffrente.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>getpagesize (2),</b>
<b>realloc (3),</b>
<b>malloc (3),</b>
<b>brk (2),</b>
<b>sbrk (2),</b>
<b>mmap (2)<br/><br/></b>
(<i>Modern Operating Systems</i> by Andrew S. Tannenbaum, 
<i>Inside Linux</i> by Randolf Bentson,
<i>The Design of the UNIX Operating System</i> by Maurice J. Bach.)
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
