<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 Giorgio Ciucci (giorgio@crcc.it) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a jour 18/04/97 -->
<!--  Mise a jour 19/07/97 -->
<!--  Mise  jour 30/08/2000 LDP 1.31 -->
<!--  Mise  jour 18/07/2003 LDP 1.56 -->
<br/><h1>MSGOP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
msgop, msgrcv, msgsnd - Oprations sur les messages.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

.B
#include &lt;sys/types.h&gt;
<br/>
.B
#include &lt;sys/ipc.h&gt;
<br/>
.B
#include &lt;sys/msg.h&gt;


<br/><br/>

<b>int msgsnd (int </b> msqid ,
<b>struct msgbuf * </b> msgp ,
<b>size_t </b> msgsz ,
<b>int </b> msgflg );
<br/><br/>

<b>ssize msgrcv (int </b> msqid ,
<b>struct msgbuf * </b> msgp ,
<b>size_t </b> msgsz ,
<b>long </b> msgtyp ,
<b>int </b> msgflg );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Pour envoyer ou recevoir un message, le processus appelant alloue
une structure comme celle-ci :<br/><br/>

struct msgbuf {
  long  mtype;    /* type de message ( &gt; 0 ) */
  char  mtext[1]; /* contenu du message      */
};

<br/><br/>
avec une table
<b>mtext</b> <b></b>  de taille
<i>msgsz ,</i>
valeur entire non-ngative. Les message de taille nulle (sans champ
<i>msgsz )</i>
sont autoriss.
Le membre 
<b>mtype</b> <b></b>  doit avoir une valeur strictement positive qui puisse
tre utilise par le processus lecteur pour la
slection de messages (voir plus bas).<br/><br/>
Le processus doit avoir une permission d'criture sur la
file pour envoyer un message, et une permission de
lecture pour en recevoir un.<br/><br/>
L'appel systme
<b>msgsnd</b> <b></b>  insre une copie du message point par l'argument
<i>msgp</i> dans la file dont l'identificateur est indiqu par la valeur
de l'argument
<i>msqid .<br/><br/></i>
S'il y a assez de place dans la file,
<b>msgsnd</b> <b></b>  russit immdiatement.
(La capacit de la filer est dfinie par le champ
<i>msg_bytes</i> de la structure associe  la file de message. Durant la cration de la file
de champ est initialis 
<b>MSGMNB</b> <b></b>  octets, mais cette limite peut tre modifie avec
<b>msgctl ).</b>
S'il n'y a pas assez de place, alors le comportement par dfaut de
<b>msgsnd</b> <b></b>  est de bloquer jusqu' obtenir suffisament d'espace.
En indiquant
<b>IPC_NOWAIT</b> <b></b>  le message ne sera pas envoy et l'appel systme chouera en retournant
<b>EAGAIN</b>
dans
<b>errno .</b>
Sinon, le processus sera suspendu jusqu' ce que la condition de
blocage soit leve (auquel cas le message sera envoy et l'appel
systme russira), ou que la file soit supprime
(auquel cas l'appel systme chouera et 
<b>errno</b> <b></b>  contiendra
<b>EIDRM ),</b>
ou que le processus reoive un signal  intercepter (auquel cas
l'appel systme chouera et 
<b>errno</b> <b></b>  contiendra
<b>EINTR ).</b>
( msgsnd <b> et </b> msgrcv )</b>
ne sont jamais relancs automatiquement aprs interruption par un
gestionnaire de signal, quelque soit la configuration de 
<b>SA_RESTART</b> <b></b>  lors de l'installation du gestionnaire).<br/><br/>
Si l'appel russit, la structure de file de messages sera mise
 jour ainsi :
.IP
<b>msg_lspid</b> <b></b>  contient le PID du processus appelant.
.IP
<b>msg_qnum</b> <b></b>  est incrment de 1.
.IP
<b>msg_stime</b> <b></b>  est rempli avec l'heure actuelle.<br/><br/>
l'appel systme
<b>msgrcv</b> <b></b>  lit un message depuis la file indique par
<i>msqid</i> dans la structure
<b>msgbuf</b> <b></b>  pointe par l'argument
<i>msgp ,</i>
en extrayant le message en cas de russite.<br/><br/>
L'argument
<i>msgsz</i> indique la taille maximale en octets du membre
<b>mtext</b> <b></b>  de la structure pointe par l'argument
<i>msgp .</i>
Si le contenu du message est plus long que
<i>msgsz </i>
octets, et si l'argument
<i>msgflg</i> contient
<b>MSG_NOERROR ,</b>
alors le message sera tronqu (et la partie tronque sera perdue).
Sinon le message ne sera pas extrait de la file, et l'appel
systme chouera en indiquant
<b>E2BIG</b>
dans
<b>errno<br/><br/></b> <b></b>  L'argument
<i>msgtyp</i> indique le type de message dsir&nbsp;:
.IP
Si
<i>msgtyp</i> vaut
<b>0 ,</b>
le premier message est lu.
.IP
Si
<i>msgtyp</i> est suprieur 
<b>0 ,</b>
alors le premier message de type
<i>msgtyp</i> est extrait de la file.
Si
<i>msgflg</i> contient
<b>MSG_EXCEPT</b> <b></b>  l'inverse est effectu, le premier message de
type 
<b>diffrent</b> <b></b>  de
<i>msgtyp</i> est extrait de la file.
.IP
Si
<i>msgtyp</i> est infrieur  
<b>0 ,</b>
le premier message de la file avec un type infrieur ou gal
 la valeur absolue de
<i>msgtyp</i> est extrait.<br/><br/>
L'argument
<i>msgflg</i> est compos d'un
<i>OU</i> binaire ( | ) avec les options suivantes :
.IP
<b>IPC_NOWAIT</b> <b></b>  Si aucun message du type dsir n'est prsent, l'appel systme choue
et
<b>errno</b> <b></b>  est fix 
<b>ENOMSG.</b>
.IP
<b>MSG_EXCEPT</b> <b></b>  Utilis avec
<i>msgtyp</i> suprieur 
<b>0</b> <b></b>  pour lire les messages de type diffrent de
<i>msgtyp.</i>
.IP
<b>MSG_NOERROR</b> <b></b>  Tronque silencieusement les messages trop longs<br/><br/>
Si aucun message du type requis n'est disponible et
si on n'a pas demand
<b>IPC_NOWAIT</b> <b></b>  dans
<i>msgflg ,</i>
Le processus appelant est bloqu jusqu' l'occurrence d'un
des vnements suivants.
.IP
Un message du type dsir arrive dans la file.
.IP
La file de messages est supprime.
L'appel systme choue et 
<b>errno</b> <b></b>  contient
<b>EIDRM.</b>
.IP
Le processus appelant reoit un signal  intercepter.
L'appel systme choue et
<b>errno</b> <b></b>  contient
<b>EINTR.<br/><br/></b>
Si l'appel systme russit, la structure dcrivant la file de messages
est mise  jour comme suit :
.IP
<b>msg_lrpid</b> <b></b>  est rempli avec le PID du processus appelant.
.IP
<b>msg_qnum</b> <b></b>  est dcrment de 1
.IP
<b>msg_rtime</b> <b></b>  est rempli avec l'heure actuelle.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas d'chec les deux appels systmes renvoient
<b>-1</b> <b></b>  et 
<b>errno</b> <b></b>  contient le code d'erreur. 
Sinon
<b>msgsnd</b> <b></b>  renvoie
<b>0</b> <b></b>  et
<b>msgrvc</b> <b></b>  renvoie le nombre d'octets copis dans la table
<b>mtext.</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<b>msgsnd</b> <b></b>  <b>:</b> <b></b>  <br/><br/>

<b>EAGAIN</b> <b></b>  Le message n'a pas pu tre envoy  cause de la limite
<b>msg_qbytes</b> <b></b>  pour la file et de la requte
<b>IPC_NOWAIT</b> <b></b>  dans
<i>mgsflg.</i>
<br/><br/>

<b>EACCES</b> <b></b>  le processus appelant n'a pas de permissions de lecture dans la file.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>msgp</i> pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EIDRM</b> <b></b>  La file de message a t supprime
<br/><br/>

<b>EINTR</b> <b></b>  Un signal est arriv avant d'avoir pu crire quoi que ce soit.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>msqid</i> ou
<i>mtype</i> ou
<i>msgsz</i> sont invalides.
<br/><br/>

<b>ENOMEM</b> <b></b>  pas assez de mmoire pour le noyau.<br/><br/>
<b>msgrcv</b> <b></b>  <b>:</b> <b></b>  <br/><br/>

<b>E2BIG</b> <b></b>  message trop long, et
<b>MSG_NOERROR</b> <b></b>  n'a pas t requis.
<br/><br/>

<b>EACCES</b> <b></b>  Le processus appelant n'a pas de permission de lecture dans la file.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>msgp</i> pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EIDRM</b> <b></b>  La file de messages a t supprime.
<br/><br/>

<b>EINTR</b> <b></b>  Un signal est arriv avant d'avoir pu lire quoi que ce soit.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>msgqid</i> ou
<i>msgsz</i> invalides.
<br/><br/>

<b>ENOMSG</b> <b></b>  <b>IPC_NOWAIT</b> <b></b>  a t requis et aucun message du type rclam n'existe dans la file.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les limites systmes suivantes influent sur
<b>msgsnd</b> <b></b>  <b></b> <b></b>  <b>:"</b> <b></b>  <br/><br/>
 11
<b>MSGMAX</b> <b></b>  Taille maximum d'un message : l'implmentation Linux 0.99.13 fixe cette
limite  4080 octets.
<br/><br/>

<b>MSGMNB</b> <b></b>  Taille maximale d'une file de messages. Peut tre augmente par
le Super-User.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, SVID.
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
L'argument pointeur est dclar comme un <i>struct msgbuf *</i> avec les bibliothques libc4, libc5, glibc 2.0, glibc 2.1.
Il est dclar comme un <i>void *</i> (<i>const void *</i> pour <i>msgsnd()</i>) avec la bibliothque glibc 2.2, suivant ainsi
les spcifications SUSv2.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>ipc (5),</b>
<b>msgctl (2),</b>
<b>msgget (2),</b>
<b>msgrcv (2),</b>
<b>msgsnd (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
