<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  1995-11-26  Markus Kuhn &lt;mskuhn@cip.informatik.uni-erlangen.de&gt; -->
<!--       First version written -->
<!--  -->
<!--  Traduction  12/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 18/07/2003 LDP-1.56 -->
<br/><h1>MUNLOCKALL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
munlockall - Rautoriser la pagination pour le processus en cours.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/mman.h&gt;</b> <b></b>  <br/><br/>

\fBint munlockall(void);


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>munlockall</b> <b></b>  revalide la pagination pour toutes les pages de l'espace
d'adressage du processus en cours.<br/><br/>
Il n'y a pas d'empilement des verrouillages mmoire, ce qui
signifie qu'une page verrouille plusieurs fois par
<b>mlock</b> <b></b>  ou
<b>mlockall</b> <b></b>  sera libre en un seul appel 
<b>munlock</b> <b></b>  pour la zone mmoire correspondante ou par un appel 
<b>munlockall.</b>
Les pages qui sont verrouilles par plusieurs zones, ou
par plusieurs processus restent en mmoire vive tant qu'il
y a au moins un processus ou une zone qui les verrouillent.<br/><br/>
Sur les systmes POSIX o
<b>mlockall</b> <b></b>  et
<b>munlockall</b> <b></b>  sont disponibles, la constante symbolique
<b>_POSIX_MEMLOCK</b> <b></b>  est dfinie dans &lt;unistd.h&gt;
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>munlockall</b> <b></b>  renvoie 0 si il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
POSIX.1b, SVr4
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>mlockall (2),</b>
<b>mlock (2),</b>
<b>munlock (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
