<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1999 Joseph Samuel Myers. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one. -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction  12/11/1999 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  LDP man-pages 1.24 -->
<!--  MJ 18/07/2003 LDP man-pages 1.56 -->
<br/><h1>PREAD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pread, pwrite - Lire ou crire  une position donne d'un descripteur de fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#define</b> <b></b>  <b>_XOPEN_SOURCE</b> <b></b>  <b>500</b> <b></b>  <br/><br/>

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>ssize_t pread(int </b> fd <i>, void *</i> buf <b>, size_t </b> nombre <i>, off_t </i> position );
<br/><br/>

<b>ssize_t pwrite(int </b> fd <i>, const void *</i> buf <b>, size_t </b> nombre <i>, off_t </i> position );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>pread()</b> <b></b>  lit au maximum le
<i>nombre</i> indiqu d'octets depuis le descripteur
<i>fd ,</i>
 la
<i>position</i> mesure depuis le dbut du fichier, et les place dans la zone commenant  l'adresse
<i>buf .</i>
La position de la tte de lecture du fichier n'est pas modifie par cet appel-systme.<br/><br/>
<b>pwrite()</b> <b></b>  lit au maximum le
<i>nombre</i> indiqu d'octets dans la zone mmoire pointe par
<i>buf ,</i>
et les crit  la
<i>position</i> (mesure depuis le dbut du fichier)
dans le descripteur
<i>fd .</i>
La position de la tte d'criture du fichier n'est pas modifie.<br/><br/>
Dans les deux cas, le fichier dcrit par
<i>fd</i> doit permettre le positionnement.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'ils russissent, ces appels systmes renvoient le nombre d'octets lus
ou crits (0 indiquant que rien n'a t crit dans le cas de <b>pwrite</b>, ou
la fin du fichier dans le cas de <b>pread</b>).
En cas d'chec, ils renvoient -1, et remplissent la variable globale
<i>errno</i> en consquence.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<b>pread</b> <b></b>  peut chouer et fournir dans
<i>errno</i> n'importe quelle erreur indique par <b>read</b>(2) ou <b>lseek</b>(2).
<b>pwrite</b> <b></b>  peut chouer et fournir dans
<i>errno</i> n'importe quelle erreur indique par <b>write</b>(2) ou <b>lseek</b>(2).
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Unix98
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph">
Les appels systmes <b>pread</b> et <b>pwrite</b> ont t ajouts dans le
noyau Linux 2.1.60. Les points d'entre dans la table des appels i386
furent instaurs dans la version 2.1.69. Le support par la bibliothque C,
y compris l'mulation sur les anciens noyaux sans ces appels systmes, fut
ajout dans la GlibC 2.1.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>read (2),</b>
<b>write (2),</b>
<b>lseek (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
