<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1993 Michael Haardt -->
<!--  (u31b3hs@pool.informatik.rwth-aachen.de), -->
<!--  Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Fri Jul 23 23:47:18 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 12/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 19/01/2002 LDP 1.47 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>PTRACE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">erreurs</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ptrace - Suivre un processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/ptrace.h&gt;</b> <b></b>  <br/><br/>

<b>long ptrace(enum __ptrace_request </b> requte <i>, int </i> pid <b>, void * </b> addr <i>, int </i> data );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'appel-systme
<b>ptrace</b> <b></b>  fournit au processus parent un moyen de contrler l'excution d'un 
autre processus et d'diter son image mmoire.
L'utilisation primordiale de cette fonction est l'implmentation de points
d'arrt pour le dbugging.<br/><br/>
Le pre peut dmarrer un suivi en appelant
<b>fork (2)</b>
et que le fils cr face un PTRACE_TRACEME, suivi (en gnral) par un
<b>exec (3).</b>
Autrement, le pre peut commencer un suivi sur un processus existant en utilisant
PTRACE_ATTACH.<br/><br/>
Le processus fils suivi s'arrtera  chaque fois qu'un signal lui sera dlivr,
mme si le signal est ignor ( l'exception de SIGKILL qui a les effets habituels).
Le pre sera prvenu  son prochain
<b>wait (2)</b>
et pourra inspecter et modifier le processus fils pendant son arrt.
Le parent peut galement faire continuer l'excution de son fils, ventuellement
en ignorant le signal ayant dclench l'arrt, ou envoyant un autre signal.<br/><br/>
Quand le pre a fini le suivi, il peut terminer le fils avec PTRACE_KILL ou
le faire continuer normalement, non suivi, avec PTRACE_DETACH.<br/><br/>
La valeur de l'argument <i>requte</i> indique prcisment l'action  entreprendre.
<br/><br/>

PTRACE_TRACEME
Le processus en cours va tre suivi par son pre. Le parent doit tre en attente
de suivi du fils. Tout signal (sauf SIGKILL) reu par le processus l'arrtera,
et le pre sera notifi grce 
<b>wait .</b>
De plus, les appels-ultrieurs 
<b>exec</b>
par ce processus lui enverront SIGTRAP, ce qui donne au pre la possibilit
de reprendre le contrle avant que le nouveau programme continue son excution?
Un processus ne doit pas envoyer cette requte si son pre n'est pas prt
 le suivre. Dans cette requte (<i>pid</i>, <i>addr</i>, et <i>data</i> sont ignors.)<br/><br/>
La requte ci-dessus ne sert que dans le processus fils. Les autres ne servent
que dans le pre. Par la suite, <i>pid</i> prcise le fils sur lequel agir. Pour
les requtes autres que PTRACE_KILL, le fils doit tre
arrt.
<br/><br/>

PTRACE_PEEKTEXT, PTRACE_PEEKDATA
Lire un mot  l'adresse
<i>addr </i>
dans l'espace mmoire du fils et renvoyer la valeur en rsultat de
<b>ptrace .</b>
Linux ne spare pas les espaces d'adressage de code et de donnes, ainsi
ces deux requtes sont quivalentes. (<i>data</i> est ignor).
<br/><br/>

PTRACE_PEEKUSR
Lire un mot  l'adresse
<i>addr</i> dans l'espace
<b>USER</b> <b></b>  du fils, qui contient les registres et diverses informations sur le processus
(voir &lt;linux/user.h&gt; et &lt;sys/user.h&gt;). La valeur est renvoy en rsultat de
<b>ptrace .</b>
En principe, l'adresse doit tre aligne sur une frontire de mots, bien que
cela varie selon les architectures (<i>data</i> est ignor).
<br/><br/>

PTRACE_POKETEXT, PTRACE_POKEDATA
Copier un mot depuis l'adresse
<i>data</i>
de la mmoire du pre vers l'adresse
<i>addr</i>
de la mmoire du fils. Comme prcdemment, les deux requtes sont quivalentes.
<br/><br/>

PTRACE_POKEUSR
Copier un mot depuis l'emplacement
<i>data</i>
de la mmoire du pre vers l'emplacement
<i>addr</i> dans l'espace
<b>USER</b> <b></b>  du processus fils. Comme plus haut, les emplacements doivent tre aligns sur une
frontire de mot. Pour maintenir l'intgrit du noyau, certaines modifications
de la zone
<b>USER</b> <b></b>  sont interdites.
<br/><br/>

PTRACE_GETREGS, PTRACE_GETFPREGS
Copier les registres gnraux ou du processeur en virgule flottante, vers
l'adresse <i>data</i> du pre. Voir &lt;linux/user.h&gt; pour les dtails sur le
format des donnes (<i>addr</i> est ignor).
<br/><br/>

PTRACE_SETREGS, PTRACE_SETFPREGS
Remplir les registres gnraux ou du processeur en virgule flottante, depuis
le contenu de l'adresse <i>data</i> du pre. Comme pour PTRACE_POKEUSR certaines
modifications sont interdites. (<i>addr</i> est ignor).
<br/><br/>

PTRACE_CONT
Redmarrer le processus fils arrt. Si <i>data</i> est non-nul et autre que
SIGSTOP, il est interprt comme un numro de signal  dlivrer au fils&nbsp;; sinon
aucun signal n'est dlivr. On peut ainsi contrler si un signal envoy au fils
doit lui tre dlivr ou non (<i>addr</i> est ignor).
<br/><br/>

PTRACE_SYSCALL, PTRACE_SINGLESTEP
Redmarrer le processus fils arrt comme pour PTRACE_CONT, mais en s'arrangeant
pour qu'il soit arrt  la prochaine entre ou sortie d'un appel-systme, ou
aprs la prochaine instruction, respectivement. (Le fils sera aussi arrt
par l'arrive d'un signal). Du point de vue du pre, le fils semblera tre
arrt par SIGTRAP. Ainsi, pour PTRACE_SYSCALL l'ide est d'inspecter les
arguments de l'appel-systme au premier arrt puis de faire un autre PTRACE_SYSCALL
et d'inspecter la valeur de retour au second arrt. (<i>add</i> est ignor).
<br/><br/>

PTRACE_KILL
Envoyer au fils un signal
<b>SIGKILL</b> <b></b>  pour le terminer. (<i>addr</i> et <i>data</i> sont ignors).
<br/><br/>

PTRACE_ATTACH
Attacher le processus numro
<i>pid ,</i>
pour le suivre. Le comportement du fils est le mme que s'il avait fait un
PTRACE_TRACEME. Le processus appelant devient alors le pre pour de nombreuses
choses (il recevra les notifications d'vnements, et sera indiqu comme le pre dans un
<b>ps (1)).</b>
Mais
<b>getppid (2)</b>
renverra dans le fils le PID du vrai pre. Le processus fils va recevoir un
SIGSTOP, mais il ne sera peut-tre pas stopp tout de suite, utilisez
<b>wait</b>
pour attendre son arrt  (<i>addr</i> et <i>data</i> sont ignors).
<br/><br/>

PTRACE_DETACH
Relancer un processus fils comme avec PTRACE_CONT, en commenant pas le dtacher,
ce qui rtablit sa parent originale. Le processus ne sera plus suivi.
Bien que cela soit involontaire, sous Linux un processus suivi peut tre
tre dtach ainsi quelque soit la mthode employe pour dmarrer le suivi.
(<i>addr</i> est ignor).
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Bien que les arguments de
<b>ptrace</b> <b></b>  soient interprts comme dans le prototype plus haut, la bibliothque GlibC
dclare
<b>ptrace</b> <b></b>  comme une fonction variadique o seul l'argument <i>request</i> est fix.
Ceci signifie que que les arguments finaux inutiles peuvent tre omis, bien
que cela utilise un comportement non document de
<b>gcc (1).<br/><br/></b>
<b>init (8),</b>
le processus numro 1, ne peut pas tre suivi.<br/><br/>
La disposition du contenu de la mmoire et de la zone USER dpendent du
systme d'exploitation et de l'architecture.<br/><br/>
La taille d'un mot, "word" est dtermine par la version du systme d'exploitation
(par exemple 32 bits pour Linux-32-bits, etc.)<br/><br/>
Le suivi peut engendrer des modifications subtiles dans le fonctionnement du processus. Par exemple si
un processus est attach avec PTRACE_ATTACH, son pre original ne peut plus recevoir les
notifications avec
<b>wait</b>
lorsqu'il s'arrte, et il n'y a pas de moyen de simuler cette notification.<br/><br/>
Cette page documente le fonctionnement actuel de
<b>ptrace</b> <b></b>  sous Linux. Celui-ci peut varier sensiblement sur d'autres types d'Unix.
De toute faon, l'utilisation de
<b>ptrace</b> <b></b>  dpend fortement de l'architecture et du systme d'exploitation.<br/><br/>
La page de manuel de SunOS dcrit 
<b>ptrace</b> <b></b>  comme un appel-systme "unique and arcane", ce qu'il est.
Le mcanisme de dbogage bas sur le systme proc, prsent dans Solaris 2
implmente un sur-ensemble des fonctionnalits de
<b>ptrace</b> <b></b>  de manire plus puissante et plus uniforme.
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
Pour les requtes PTRACE_PEEK*, 
<b>ptrace</b>
renvoie la valeur rclame et zro pour les autres requtes,
ou -1 en cas d'chec en remplissant
<i>errno</i> avec le code d'erreur.
Comme la valeur renvoye par une requte PTRACE_PEEK* peut lgitimement tre
-1, il faut vrifier
<i>errno</i> aprs un tel appel pour vrifier si une erreur s'est produite.
</div><br/><br /><h1 class="TitreSection0" id="L6">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPERM</b> <b></b>  Le processus indiqu ne peut pas tre suivi. Cela peut tre d  un manque de privilge du
parent. Les processus non-root ne peuvent pas suivre les processus auxquels ils
ne peuvent envoyer de signal, ou ceux qui s'excutent Set-UID/Set-GID.
En outre, le processus vis peut tre dj suivi, ou tre
<b>init</b>
(pid 1).
<br/><br/>

<b>ESRCH</b> <b></b>  Le processus indiqu n'existe pas, ou n'est pas suivi par l'appelant,
ou n'est pas arrt (pour les requtes qui en ont besoin).
<br/><br/>

<b>EIO</b> <b></b>  La
<i>requte</i> n'est pas valide ou une tentative de lecture ou d'criture dans une zone
invalide de mmoire a eu lieu. Il peut galement y avoir un problme
d'alignement sur une frontire de mot, ou une tentative de redmarrage
en envoyant un signal invalide.
<br/><br/>

<b>EFAULT</b> <b></b>  Tentative de lire ou crire dans une zone mmoire invalide du processus ou
du pre. Malheureusement sous Linux, certaines variantes de cette erreur
dclencheront EIO ou EFAULT plus ou moins arbitrairement.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, SVID EXT, AT&T, X/OPEN, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>gdb (1),</b>
<b>strace (1),</b>
<b>execve (2),</b>
<b>fork (2),</b>
<b>signal (2),</b>
<b>wait (2)</b>
<b>exec (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
