<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2003 Free Software Foundation, Inc. -->
<!--  This file is distributed according to the GNU General Public License. -->
<!--  See the file COPYING in the top level source directory for details. -->
<!--  -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 18/07/2003  LDP-1.56 -->
.de Sh \" Subsection
<br/>
.if t .Sp
.ne 5<br/><br/>
<b>\\$1</b><br/><br/>
..
.de Sp \" Vertical space (when we can't use .PP)
.if t <br/><br/>
 .5v
.if n <br/><br/>

..
.de Ip \" List item
<br/>
.ie \\n(.$&gt;=3 .ne \\$3
.el .ne 3
</div><div class="paragraph">\\$1<br/>
..
<br/><h1>"READAHEAD"</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
readahead - Lire d'avance une ou plusieurs pages en mmoire cache.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
.hy 0<br/><br/>
#include &lt;unistd.h&gt;
<br/><br/>

.HP 23
ssize_t&nbsp;<b>sys_readahead</b>&nbsp;(int&nbsp;<i>fd</i>, loff_t&nbsp;<i>offset</i>, size_t&nbsp;<i>nb</i>);
.ad
.hy<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>readahead ()</b>
lit et place
<i>nb</i> pages dans le cache.
Si une page n'est pas dans le cache elle y est ajoute.<br/><br/><br/><br/>
<i>fd</i> est le descripteur du fichier  lire.
<i>offset</i> est l'emplacement o dbute la lecture.
Une page dans le cache est identifi par l'i-noeud et le positionnement
dans le fichier.
<i>fd </i> et <i> offset</i>
sont utiliss pour identifier les pages dans le cache.<br/><br/><br/><br/>
La position est incrmente jusqu' lire
<i>nb</i> pages.
Si le nombre dpasse la taille du fichier, on ne lit que
jusqu' la fin du fichier.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>readahead</b> <b></b>  renvoie zro s'il russit, sinon il renvoie une erreur dcrite ci-dessous.
Si la position indique est plus grande que la longueur du fichier,
rien n'est lu, et l'appel renvoie zro.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph"><br/><br/>
<br/><br/>

EBADF
<b>readahead</b> <b></b>  n'a pas pu accder au fichier.
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
Joy Latten.
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
