<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  -->
<!--  Tue Jul  6 22:36:09 MDT 1993 (dminer@nyx.cs.du.edu) -->
<!--   Made this clearer... -->
<!--  Modified Sat Jul 24 00:16:05 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  maj 09/04/99 LDP-man-pages 1.22 -->
<!--  maj 18/07/03 LDP-man-pages 1.56 -->
<br/><h1>REBOOT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir  sync (2), </a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
reboot - Redmarrer la machine, ou activer/dsactiver Ctrl-Alt-Suppr.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
Avec libc4 et libc5, la fonction de bibliothque et l'appel systme sont
identiques, et depuis la version 2.1.30 du noyau, il existe des
noms symboliques LINUX_REBOOT_* pour les constantes et un quatrime
argument  l'appel :
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;linux/reboot.h&gt;</b> <b></b>  <br/><br/>

<b>int reboot (int </b> magic <i>, int </i> magic2 <b>, int </b> flag <i>, void *</i> arg );
<br/><br/>

Avec glibc, certaines des constantes concernes ont des noms symboliques
RB_*, et la fonction de bibliothque est une coquille  1 argument
encapsulant l'appel systme  3 arguments :
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/reboot.h&gt;</b> <b></b>  <br/><br/>

<b>int reboot (int </b> flag );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'appel-systme
<b>reboot</b> <b></b>  fait redmarrer le systme, ou active/dsactive la squence de 
touches de redmarrage (Ctrl-Alt-Suppr par dfaut mais cela peut
tre modifi en utilisant
<b>loadkeys (1)). Ces touches sont abrges en CAD pour Ctrl-Alt-Del.<br/><br/></b>
Cet appel-systme chouera (avec EINVAL) sauf si
<i>magic </i> vaut LINUX_REBOOT_MAGIC1 (c'est  dire 0xfee1dead) et si
<i>magic2</i> vaut LINUX_REBOOT_MAGIC2 (qui est 672274793).
Toutefois, sont galement autorises pour
<i>magic2</i> les valeurs LINUX_REBOOT_MAGIC2A
(qui vaut 85072278) depuis la version 2.1.17 du noyau et
LINUX_REBOOT_MAGIC2B (valant 369367448) depuis la version 2.1.97.
Les valeurs hexadcimales de ces constantes ont un sens.
L'argument
<i>flag </i> peut prendre l'une des valeurs suivantes&nbsp;:
<br/><br/>

<b>LINUX_REBOOT_CMD_RESTART</b> <b></b>  (RB_AUTOBOOT, 0x1234567).
Le message 
`Restarting system.' est affich et un redmarrage
est initialis immdiatement.
Si cet appel n'est pas prcd par un
<b>sync (2),</b>
des donnes seront perdues.
<br/><br/>

<b>LINUX_REBOOT_CMD_HALT</b> <b></b>  (RB_HALT_SYSTEM, 0xcdef0123; depuis 1.1.76).
Le message
`System halted.' est affich et le systme est arrt.
Le contrle est transmis au moniteur en ROM s'il y en a un.
Si cet appel n'est pas prcd par un
<b>sync (2),</b>
des donnes seront perdues.
<br/><br/>

<b>LINUX_REBOOT_CMD_POWER_OFF</b> <b></b>  (0x4321fedc; depuis 2.1.30).
Le message
`Power down.' est affich, et tout le systme est mis
hors-tension si possible. 
Si cet appel n'est pas prcd par un
<b>sync (2),</b>
des donnes seront perdues.
<br/><br/>

<b>LINUX_REBOOT_CMD_RESTART2</b> <b></b>  (0xa1b2c3d4; depuis 2.1.30).
Le message `Restarting system with command '%s'' est affich
et un redmarrage (en utilisant la chane de commande fournie dans
<i>arg )</i>
est enclench immdiatement.
Si cet appel n'est pas prcd par un
<b>sync (2),</b>
des donnes seront perdues.
<br/><br/>

<b>LINUX_REBOOT_CMD_CAD_ON</b> <b></b>  (RB_ENABLE_CAD, 0x89abcdef).
Les touches de redmarrage Ctrl-Alt-Suppr sont autorise.
Ceci signifie que la frappe de ces touches dclenchera l'action
associe  LINUX_REBOOT_CMD_RESTART immdiatement.
<br/><br/>

<b>LINUX_REBOOT_CMD_CAD_OFF</b> <b></b>  (RB_DISABLE_CAD, 0).
Les touches de redmarrage Ctrl-Alt-Suppr sont dsactives.
Ceci signifie que la frappe de ces touches enverra un signal SIGINT
au processus 1 (init). Celui-ci pourra alors dcider de l'action
approprie  enclencher (gnralement tuer tous les processus,
dmonter la plupart des systmes de fichiers, sync, et redmarrer).<br/><br/>
videmment, seul le Super-User peut utiliser cette fonction<br/><br/>
L'effet exact des actions dcrites ci-dessus dpend de l'architecture.
Pour les i386, l'argument supplmentaire ne sert  rien  ce jour (2.1.22),
mais le type de redmarrage peut tre slectionn par un argument
en ligne de commande du noyau (`reboot=...') afin d'tre un
redmarrage  chaud,  froid, matriel ou par le bios.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>reboot</b>
renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  <b></b>  Mauvais nombres <i>magiques</i> ou mauvaise valeur de <i>flag</i>.
<br/><br/>

<b>EPERM</b> <b></b>  <b>reboot</b>
a t invoqu par un utilisateur normal (pas le Super-User).
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
<b>reboot</b> <b></b>  est spcifique  Linux et ne doit pas tre employ dans des programmes
conus pour tre portables
</div><br/><br /><h1 class="TitreSection0" id="L7">voir  sync (2), </h1>
<div class="paragraph">
<b>bootparam (7),</b>
<b>ctrlaltdel (8),</b>
<b>halt (8),</b>
<b>reboot (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
