<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)recv.2	6.11 (Berkeley) 5/1/91 -->
<!--  -->
<!--  Modified Sat Jul 24 00:22:20 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 08/04/1997 -->
<!--  Mise a Jour 19/07/1997 -->
<!--  Mise a Jour 18/05/1999 - LDP-man-pages-1.23 -->
<!--  Mise a Jour 26/06/2000 - LDP-man-pages-1.30 -->
<!--  Mise a Jour 03/09/2000 - LDP-man-pages-1.31 -->
<!--  Mise a Jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise a Jour 20/01/2002 - LDP-man-pages-1.47 -->
<!--  Mise a Jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>RECV</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">note</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
recv, recvfrom, recvmsg - Recevoir un message sur une socket.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<!--  <b>#include</b> <b></b>  <b>&lt;sys/uio.h&gt;</b> <b></b>  <b>--></b> <b></b>  <!--  <br/> -->
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/><br/>
 
<b>int recv(int </b> s <i>, void *</i> buf <b>, int </b> len <i>, unsigned int </i> flags );
<br/><br/>

<b>int recvfrom(int </b> s <i>, void *</i> buf <b>, int </b> len <i>, unsigned int </i> flags
<b>struct sockaddr *</b> from <i>, socklen_t *</i> fromlen );
<br/><br/>

<b>int recvmsg(int </b> s <i>, struct msghdr *</i> msg <b>, unsigned int </b> flags );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les appels-systme
<b>recvfrom</b> <b></b>  et
<b>recvmsg</b> <b></b>  sont utiliss pour recevoir des messages depuis une socket
<i>s,</i> et peuvent servir sur une socket oriente connexion ou non.<br/><br/>
Si
<i>from</i> n'est pas NULL, et si la socket n'est pas oriente connexion, l'adresse
de la source du messages y est insre.
L'argument
<i>fromlen</i> est un paramtre rsultat, initialis  la taille du
buffer 
<i>from ,</i>
et modifi en retour pour indiquer la taille relle de l'adresse
enregistre.<br/><br/>
L'appel 
<b>recv</b> <b></b>  est normalement utilis sur une socket
<i>connecte</i> (voir
<b>connect (2))</b>
et est quivalent  
<b>recvfrom</b> <b></b>  avec un paramtre
<i>from</i> nul.<br/><br/>
Ces trois routines renvoient la longueur du message si elles
russissent. Si un message est trop long pour tenir dans le
buffer, les octets supplmentaires peuvent tre abandonns 
suivant le type de socket utilis (voir
<b>socket (2)).<br/><br/></b>
Si aucun message n'est disponible sur la socket, les fonctions de rception se
mettent en attente,  moins que la socket soit non bloquante (voir
<b>fcntl (2))</b>
auquel cas la valeur  -1 est renvoye, et
<i>errno</i> est positionne 
<b>EAGAIN.</b>
Les fonctions de rception renvoient normalement les donnes disponibles
sans attendre d'avoir reu le nombre exact rclam.<br/><br/>
Les appels-systme
<b>select (2)</b>
ou
<b>poll (2)</b>
peuvent permettre de dterminer si des donnes supplmentaires sont disponibles.<br/><br/>
L'argument
<i>flags</i> de l'appel recv est constitu par un
<i>OU binaire</i> entre une ou plusieurs des valeurs suivantes :
<br/><br/>

<b>MSG_OOB</b> <b></b>  permet la lecture des donnes hors-bande qui ne seraient autrement
pas places dans le flux de donnes normales. Certains protocoles
placent ces donnes hors-bande en tte de la file normale, et cette
option n'a pas lieu d'tre dans ce cas.
<br/><br/>

<b>MSG_PEEK</b> <b></b>  permet de lire les donnes en attente dans la file sans les enlever de
cette file. Ainsi une lecture ultrieure renverra  nouveau les
mmes donnes.
<br/><br/>

<b>MSG_WAITALL</b> <b></b>  demande que l'opration de lecture soit bloque jusqu' ce que la requte
complte soit satisfaite. Toutefois la lecture peut renvoyer quand mme moins
de donnes que prvu si un signal est reu, ou si une erreur ou une
dconnexion se produisent.
<br/><br/>

<b>MSG_NOSIGNAL</b> <b></b>  dsactive l'mission de
<b>SIGPIPE</b> <b></b>  sur les sockets connectes dont le correspondant disparat.
<br/><br/>

<b>MSG_TRUNC</b> <b></b>  Renvoyer la longueur relle du paquet, mme s'il tait plus long que le
buffer transmis. Valide uniquement pour les sockets paquets.
<br/><br/>

<b>MSG_ERRQUEUE</b> <b></b>  Cet attribut demande que les erreurs soient reues depuis la file d'erreur
de la socket. Les erreurs sont transmises dans un message annexe dont le
type dpend du protocole
(<b>IP_RECVERR</b> pour IPv4). Il faut alors fournir un buffer de taille
suffisante. Voir
<b>cmsg (3)</b>
et
<b>ip (7)</b>
pour plus de dtails.
Le contenu du paquet original qui a caus l'erreur est pass en tant que
donnes normales dans
<b>msg_iovec .</b>
L'adresse de destination originale du datagramme ayant caus l'erreur est
fournie dans
<b>msg_name .</b>
.IP
Pour les erreurs locales, aucune adresse n'est passe (ceci peut tre vrifi
dans le membre
<i>cmsg_len</i> de
<b>cmsghdr ).</b>
Pour les erreurs reues, le
<b>MSG_ERRQUEUE</b> <b></b>  est plac dans
<b>msghdr .</b>
Aprs qu'une erreur ait t transmise, l'erreur en attente sur la socket
est rgnre en fonction de la prochaine erreur dans la file, et sera
transmise lors de l'opration suivante sur la socket.<br/><br/>
L'erreur est contenue dans une structure 
<b>sock_extended_err </b> :<b></b>
.IP
.RS
.ne 18

.ta 4n 20n 32n
#define SO_EE_ORIGIN_NONE       0
#define SO_EE_ORIGIN_LOCAL      1
#define SO_EE_ORIGIN_ICMP       2
#define SO_EE_ORIGIN_ICMP6      3<br/><br/>
struct sock_extended_err
{
        u_int32_t       ee_errno;       /* numro d'erreur        */
        u_int8_t        ee_origin;      /* origine de l'erreur    */
        u_int8_t        ee_type;        /* type                   */
        u_int8_t        ee_code;        /* code                   */
        u_int8_t        ee_pad;         /* remplissage            */
        u_int32_t       ee_info;        /* donnes supplmentaires*/
        u_int32_t       ee_data;        /* autres donnes         */
        /* More data may follow */
};
 
struct sockaddr *SO_EE_OFFENDER(struct sock_extended_err *);
.ta



.IP
<b>ee_errno</b> <b></b>  contient le code <i>errno</i> de l'erreur en file.
<b>ee_origin</b> <b></b>  est le code d'origine de l'erreur.
Les autres champs sont spcifiques au protocole. La macro
<b>SOCK_EE_OFFENDER</b> <b></b>  renvoie un pointeur sur l'adresse de l'objet rseau ayant dclench
l'erreur,  partir d'un pointeur sur le message. 
Si l'adresse n'est pas connue, le membre
<i>sa_family</i> de la structure
<b>sockaddr</b> <b></b>  contient
<b>AF_UNSPEC</b> <b></b>  et les autres champs de la structure
<b>sockaddr</b> <b></b>  sont indfinis.
Le contenu du paquet ayant dclench l'erreur est transmis en donnes normales.
.IP
Pour les erreurs locales, aucune adresse n'est transmise (ceci peut
tre vrifi dans le champ
<i>cmsg_len</i> de
<b>cmsghdr ).</b>
 la rception d'erreur, 
<b>msghdr</b> <b></b>  sera rempli avec
<b>MSG_ERRQUEUE .</b>
Aprs la lecture d'une erreur, l'tat de la socket est modifi d'aprs
l'erreur suivante dans la file.<br/><br/>
L'appel
<b>recvmsg</b> <b></b>  utilise une structure
<i>msghdr</i> pour minimiser le nombre de paramtres  fournir directement. Cette
structure  la forme suivante, dfinie dans 
<i>&lt;sys/socket.h&gt;</i>
.IP
.RS

.ta 4n 17n 33n
struct msghdr {
	caddr_t	msg_name;	/* optional address */
	u_int	msg_namelen;	/* size of address */
	struct	iovec *msg_iov;	/* scatter/gather array */
	u_int	msg_iovlen;	/* # elements in msg_iov */
	caddr_t	msg_control;	/* ancillary data, see below */
	u_int	msg_controllen; /* ancillary data buffer len */
	int	msg_flags;	/* flags on received message */
};
.ta


<br/><br/>
Ici
<i>msg_name</i> et
<i>msg_namelen</i> spcifient l'adresse d'origine si la socket n'est pas connecte,
<i>msg_name</i> peut tre un pointeur nul si le nom n'est pas ncessaire.
<i>msg_iov</i> et
<i>msg_iovlen</i> dcrivent les buffers de rception comme dcrit dans
<b>readv (2).</b>
<i>msg_control ,</i>
de longueur
<i>msg_controllen ,</i>
pointe sur un buffer utilis pour les autres messages relatifs au protocole,
ou  d'autres donnes annexes. Lorsqu'on invoque
<b>recvmsg ,</b>
<i>msg_controllen</i> doit contenir la longueur disponible dans le buffer
<i>msg_control </i> ;<i></i>
au retour il contiendra la longueur de la squence de message de contrle.<br/><br/>
Les messages ont la forme<br/><br/>
.RS

.ta 4n 16n 28n
struct cmsghdr {
	u_int	cmsg_len;	/* data byte count, including hdr */
	int	cmsg_level;	/* originating protocol */
	int	cmsg_type;	/* protocol-specific type */
/* followed by
	u_char	cmsg_data[]; */
};
.ta


<br/><br/>
Les donnes de service ne doivent tre manipules qu'avec les macros de
<b>cmsg (3)<br/><br/></b>
 titre d'exemple, Linux utilise ce mcanisme pour transmettre des erreurs
tendues, des options IP, ou des descripteurs de fichiers sur des sockets Unix.<br/><br/>
Le champ
<i>msg_flags</i> du msghdr est rempli au retour de
<b>recvmsg ().</b>
Il peut contenir plusieurs attributs&nbsp;:
<br/><br/>

<b>MSG_EOR</b> <b></b>  indique une fin d'enregistrement, les donnes reues terminent un
enregistrement (utilis gnralement avec les sockets du type
<b>SOCK_SEQPACKET ).</b>
<br/><br/>

<b>MSG_TRUNC</b> <b></b>  indique que la portion finale du datagramme a t abandonne car le
datagramme tait trop long pour le buffer fourni.
<br/><br/>

<b>MSG_CTRUNC</b> <b></b>  indique que des donnes de contrle ont t abandonnes  cause d'un 
manque de place dans le buffer de donnes annexes.
<br/><br/>

<b>MSG_OOB</b> <b></b>  indique que des donnes hors-bande ont t reues.
<br/><br/>

<b>MSG_ERRQUEUE</b> <b></b>  indique qu'aucune donne n'a t reue, sauf une erreur tendue depuis la
file d'erreurs.
<br/><br/>

<b>MSG_DONTWAIT</b> <b></b>  Activer les oprations non-bloquantes. Si l'opration devait bloquer,
<b>EAGAIN</b> <b></b>  serait renvoy (on peut aussi activer ce comportement avec l'option
<b>O_NONBLOCK</b> <b></b>  de la fonction
<b>F_SETFL</b> <b></b>  de
<b>fcntl (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Ces fonctions
renvoient le nombre d'octets reus si elles russissent, 
ou -1 si elles chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Il y a des erreurs standards dclenches par le niveau socket, et des erreurs
supplmentaires spcifiques aux protocoles. Voyez leurs pages de manuel.
<br/><br/>

<b>EBADF</b> <b></b>  L'argument
<i>s</i> n'est pas un descripteur valide.
<br/><br/>

<b>ECONNREFUSED</b> <b></b>  Un hte distant  refus la connexion rseau (gnralement parce qu'il
n'offre pas le service demand).
<br/><br/>

<b>ENOTCONN</b> <b></b>  La socket est associe  un protocole orient connexion et
n'a pas encore t connecte (voir
<b>connect (2)</b>
et
<b>accept (2)).</b>
<br/><br/>

<b>ENOTSOCK</b> <b></b>  L'argument
<i>s</i> ne correspond pas  une socket.
<br/><br/>

<b>EAGAIN</b> <b></b>  La socket est non-bloquante et aucune donne n'est disponible, ou
un dlai de timeout a t indiqu, et il a expir sans que l'on ait
reu quoi que ce soit.
<br/><br/>

<b>EINTR</b> <b></b>  Un signal a interrompu la lecture avant que des donnes soient 
disponibles.
<br/><br/>

<b>EFAULT</b> <b></b>  Un buffer pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EINVAL</b> <b></b>  un argument est invalide.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
4.4 BSD (ces fonctions sont apparues dans BSD 4.2).
</div><br/><br /><h1 class="TitreSection0" id="L7">note</h1>
<div class="paragraph">
Les prototypes fournis concernent la GlibC 2.
Les Spcifications Single Unix les dfinissent, mais le type de retour
est `ssize_t' (alors que BSD 4.*, libc4 , et libc5 renvoient un `int').
L'argument
<i>flags</i> est un `int' dans BSD 4.*, mais `unsigned int' dans libc4 et libc5.
L'argument
<i>len</i> est un `int' dans  BSD 4.*, mais un `size_t' dans libc4 et libc5.
L'argument
<i>fromlen</i> est un int *' dans BSD 4.*, libc4 et libc5.
Le type `socklen_t *' a t invent par POSIX.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>accept (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>accept (2).</b>
<b>fcntl (2),</b>
<b>read (2),</b>
<b>select (2),</b>
<b>getsockopt (2),</b>
<b>socket (2),</b>
<b>cmsg (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
