<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt; -->
<!--                           1993,1995 Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Sat Jul 24 00:35:52 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  Mise  jour 12/12/1998 - LDP-man-pages-1.21 -->
<!--  mj 18/05/1999 (LDP man-pages 1.23) -->
<!--  mj 18/07/2003 (LDP man-pages 1.56) -->
<br/><h1>RENAME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
rename - Changer le nom ou l'emplacement d'un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int rename(const char *</b> oldpath <i>, const char *</i> newpath );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>rename</b> <b></b>  renomme un fichier, en le dplaant vers un autre rpertoire si besoin est.<br/><br/>
Tous les autres liens matriels (crs avec
<b>link )</b>
restent inchangs.<br/><br/>
Si
<i>newpath</i> existe dj, il sera cras (avec quelques restrictions, voir le
paragraphe ERREURS), de manire  ce qu' aucun moment, un autre
processus tentant d'accder 
<i>newpath</i> ne le voit absent. Si l'opration choue pour une raison 
quelconque, 
<b>rename</b> <b></b>  garantit la prsence d'une instance de 
<i>newpath</i> en place.<br/><br/>
Nanmoins, pendant un crasement, il se trouve un court instant
pendant lequel  la fois
<i>oldpath</i> et
<i>newpath</i> font rfrence au fichier.<br/><br/>
Si
<i>oldpath</i> correspond  un lien symbolique, le lien est renomm; si
<i>newpath</i> correspond  un lien symbolique, le lien est cras.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>rename</b>
renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EISDIR</b> <b></b>  <i>newpath</i> est un rpertoire existant mais
<i>oldpath</i> n'est pas un rpertoire
<br/><br/>

<b>EXDEV</b> <b></b>  <i>oldpath </i> et <i> newpath</i>
ne sont pas sur le mme systme de fichiers.
<br/><br/>

<b>ENOTEMPTY </b> ou <b> EEXIST</b>
<i>newpath</i>
est un rpertoire non vide (contient autre chose que "." et "..").
<br/><br/>

<b>EBUSY</b> <b></b>  Le renommage a chou car
<i>oldpath </i> ou <i> newpath</i>
est un rpertoire utilis par un processus (peut-tre comme rpertoire
de travail, ou comme rpertoire racine, ou ouvert en lecture), ou
il est utilis par le systme (comme point de montage par exemple).
Le systme a donc considr qu'il y avait une erreur.
(Notez qu'il n'est pas indispensable de renvoyer EBUSY dans un tel
cas - rien n'empche d'effectuer le renommage malgr tout - mais il
est permis de retourner EBUSY si le systme n'arrive pas  grer
une telle situation).
<br/><br/>

<b>EINVAL</b> <b></b>  Une partie du nouveau chemin contient en prfixe l'ancien chemin, ou
plus gnralement, un rpertoire ne peut pas tre dplac dans ses
propres sous-rpertoires.
<br/><br/>

<b>EMLINK</b> <b></b>  <i>oldpath</i> a dj un nombre maximal de liens, ou bien c'est un rpertoire, et
le rpertoire contenant
<i>newpath</i> a le nombre maximal de liens.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment utilis dans
<i>oldpath </i> ou <i> newpath</i>
n'est pas un rpertoire, ou
<i>oldpath</i> est un rpertoire et
<i>newpath</i> existe mais n'est pas un rpertoire.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>oldpath </i> ou <i> newpath </i> pointent en dehors de l'espace d'adressage accessible.<i></i>
<br/><br/>

<b>EACCES</b> <b></b>  Les droits d'criture dans le rpertoire contenant
<i>oldpath </i> ou <i> newpath</i>
ne sont pas autoriss pour l'UID effectif du processus,
ou bien un des rpertoires de
<i>oldpath </i> ou <i> newpath</i>
ne permet pas le parcours, ou encore
<i>oldpath</i> tait un rpertoire et ne permet pas l'criture (ncessaire pour
mettre  jour les entres
<b>`.' </b> et <b> `..'</b>
).
<br/><br/>

<!--  <b>EPERM </b> ou <b> EACCES --></b>
<!--  modifi car le cas EACCES est dj trait ci-dessus. -CCB- -->
<b>EPERM</b>
Le rpertoire contenant
<i>oldpath</i> a son Sticky-bit positionn, et l'UID effectif du processus n'est ni celui
de Root, ni celui du fichier  dplacer, ni celui du rpertoire
le contenant, ou alors le systme de fichiers contenant
<i>pathname</i>
ne permet pas le renommage de fichiers.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>oldpath </i> ou <i> newpath </i> est trop long.<i></i>
<br/><br/>

<b>ENOENT</b> <b></b>  Un rpertoire contenu dans 
<i>oldpath </i> ou <i> newpath</i>
n'existe pas, ou est un lien symbolique pointant nulle part.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
<br/><br/>

<b>EROFS</b> <b></b>  Le fichier est sur un systme de fichiers en lecture seule.
<br/><br/>

<b>ELOOP</b> <b></b>  <i>oldpath </i> ou <i> newpath</i>
contient une rfrence circulaire ( travers un lien symbolique).
<br/><br/>

<b>ENOSPC</b> <b></b>  Le priphrique contenant le fichier n'a pas de place pour une
nouvelle entre de rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX, BSD 4.3, ANSI C
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Sur les systmes de fichiers NFS, ce n'est pas parce que l'opration a
chou que le fichier n'a pas t renomm. Si le serveur effectue
le dplacement, et s'effondre, la RPC transmise qui sera traite lorsque
le serveur sera  nouveau en tat va indiquer un chec. L'application
doit supporter ce genre de problme. Voir
<i>link (2)</i>
pour un cas similaire.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>link (2),</b>
<b>unlink (2),</b>
<b>symlink (2),</b>
<b>mv (1),</b>
<b>link (8).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
