<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Sat Jul 24 00:39:47 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  mj 18/07/2003 (LDP man-pages 1.56) -->
<br/><h1>RMDIR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
rmdir - Supprimer un rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int rmdir(const char *</b> pathname );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>rmdir</b> <b></b>  supprime le rpertoire
<i>pathname,</i> lequel doit tre vide.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>rmdir</b>
renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> est renseign comme il faut.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 
<b>EPERM</b> <b></b>  Le systme de fichier contenant
<i>pathname</i>
ne permet pas la suppression de rpertoires.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>pathname </i> pointe en dehors de l'espace d'adressage accessible.<i></i>
<br/><br/>

<b>EACCES</b> <b></b>  Les droits d'criture dans le rpertoire contenant
<i>pathname</i>
ne sont pas autoriss pour l'U-ID effectif du processus,
ou bien un des rpertoires de
<i>pathname</i>
ne permet pas le parcours
<br/><br/>

<b>EPERM</b> <b></b>  Le rpertoire contenant
<i>pathname</i> a son Sticky-bit positionn, 
( S_ISVTX )</b>
et l'U-ID effectif du processus
n'est pas le mme que celui du rpertoire  supprimer, ou celui du rpertoire
le contenant.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>pathname </i> est trop long.<i></i>
<br/><br/>

<b>ENOENT</b> <b></b>  Un rpertoire contenu dans 
<i>pathname</i> n'existe pas, ou est un lien symbolique pointant nulle part.
<br/><br/>

<b>ENOTDIR</b> <b></b>  <i>pathname ,</i>
ou un lment contenu dans
<i>pathname ,</i>
n'est pas un rpertoire.
<br/><br/>

<b>ENOTEMPTY</b> <b></b>  <i>pathname</i> contient d'autres lments que
<b>. </b> and <b> .. </b> .<b></b>
<br/><br/>

<b>EBUSY</b> <b></b>  <i>pathname</i> est le rpertoire de travail, ou le rpertoire racine,
d'un autre processus.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
<br/><br/>

<b>EROFS</b> <b></b>  <i>pathname</i> correspond  un rpertoire sur un systme de fichiers en lecture seule.
<br/><br/>

<b>ELOOP</b> <b></b>  <i>pathname</i> contient une rfrence circulaire ( travers un lien symbolique).
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Des problmes avec le protocole sous-jacent des systmes de fichiers
NFS peuvent provoquer la disparition inattendue de rpertoires
encore utiliss.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>rename (2),</b>
<b>mkdir (2),</b>
<b>chdir (2),</b>
<b>unlink (2),</b>
<b>rmdir (1), </b>
<b>rm (1)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
