<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) Tom Bjorkholm & Markus Kuhn, 1996 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  1996-04-01 Tom Bjorkholm &lt;tomb@mydata.se&gt; -->
<!--             First version written -->
<!--  1996-04-10 Markus Kuhn &lt;mskuhn@cip.informatik.uni-erlangen.de&gt; -->
<!--             revision -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 18/07/2003 -->
<br/><h1>SCHED_RR_GET_INTERVAL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sched_rr_get_interval  - Obtenir l'intervalle SCHED_RR pour le processus indiqu.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sched.h&gt;</b> <b></b>  <br/><br/>

\fBint sched_rr_get_interval(pid_t <i>pid</i>, struct timespec *<i>tp</i>);
<br/><br/>


.ta 4n 12n 24n
\fBstruct timespec {
	time_t	tv_sec;	/* seconds */
	long	tv_nsec;	/* nanoseconds */
};
.ta


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>sched_rr_get_interval</b> <b></b>  <b></b>  remplit la structure <i>timespec</i> pointe par <i>tp</i> 
avec le "round robin time quantum" du processus identifi par <i>pid</i>.
Si <i>pid</i> vaut zro, le time quantum du processus en cours est
crit dans *<i>tp</i>. 
Le processus identifi doit tre ordonnanc avec la politique
<i>SCHED_RR.<br/><br/></i> La valeur "round robin time quantum" n'est pas modifiable sous 
Linux 1.3.81.<br/><br/>
Les systmes POSIX sur lesquels
<b>sched_rr_get_interval</b> <b></b>  est disponible, dfinissent
<i>_POSIX_PRIORITY_SCHEDULING</i> dans &lt;unistd.h&gt;.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>sched_rr_get_interval</b> <b></b>  renvoie 0 s'il russit.
en cas d'chec, -1 est renvoy, et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ESRCH</b> <b></b>  Le processus numro <i>pid</i> n'existe pas.
<br/><br/>

<b>ENOSYS</b> <b></b>  L'appel systme n'a pas encore t implment.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX.1b (POSIX.4)
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Avec Linux 1.3.81, <b>sched_rr_get_interval</b> renvoie une erreur 
ENOSYS, car SCHED_RR n'a pas t totalement implment et test.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>sched_setscheduler (2) </b>
dcrit les politiques d'ordonnancement de Linux.<br/><br/>
<i>Programming for the real world - POSIX.4</i> by Bill O. Gallmeister, O'Reilly & Associates, Inc., ISBN 1-56592-074-0
<br/>
<i>IEEE Std 1003.1b-1993</i> (standard POSIX.1b, anciennement POSIX.4)
<br/>
<i>ISO/IEC 9945-1:1996<br/><br/></i> </div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
