<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) Tom Bjorkholm & Markus Kuhn, 1996 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  1996-04-01 Tom Bjorkholm &lt;tomb@mydata.se&gt; -->
<!--             First version written -->
<!--  1996-04-10 Markus Kuhn &lt;mskuhn@cip.informatik.uni-erlangen.de&gt; -->
<!--             revision -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 18/07/2003 LDP-1.56 -->
<br/><h1>SETSCHEDULER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">note</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sched_setscheduler, sched_getscheduler - Lire / fixer la politique d'ordonnancement et ses paramtres.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sched.h&gt;</b> <b></b>  <br/><br/>

<b>int sched_setscheduler(pid_t </b> pid <i>, int </i> policy ,
<b>const struct sched_param *</b> p );
<br/><br/>

<b>int sched_getscheduler(pid_t </b> pid );
<br/><br/>


.ta 4n
\fBstruct sched_param {
	...
	int <i>sched_priority</i>;
	...
};
.ta


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>sched_setscheduler</b> <b></b>  fixe  la fois la politique d'ordonnancement et ses paramtres pour 
le processus identifi par <i>pid</i>. 
Si <i>pid</i> vaut zro, la politique du processus en cours sera
fixe.
L'interprtation du paramtre <i>p</i> dpend de la politique 
employe. Actuellement il y a trois politiques proposes par Linux :
<i>SCHED_FIFO , </i>
<i>SCHED_RR ,</i>
et
<i>SCHED_OTHER.</i>
Leurs smantiques respectives sont dcrites ci-dessous.<br/><br/>
<b>sched_getscheduler</b> <b></b>  lit la politique  d'ordonnancement et ses paramtres pour 
le processus identifi par <i>pid</i>. 
Si <i>pid</i> vaut zro, la politique du processus en cours sera
rcupre.<br/><br/>

</div><br/><h2 class="TitreSection1" id="L11">Politiques d'ordonnancement</h2>
<div class="paragraph">
L'ordonnanceur est la partie du noyau qui dcide quel processus
prt va tre excut ensuite. L'ordonnanceur de Linux propose
trois politiques diffrentes, une pour les processus classiques,
et deux pour les applications  vocation temps-rel.<br/><br/>
Une valeur de priorit statique <i>sched_priority</i> est
assigne  chaque processus, et ne peut tre modifie que par
l'intermdiaire d'appels systmes.
Conceptuellement, l'ordonnanceur dispose d'une liste de tous
les processus prts pour chaque valeur possible de <i>sched_priority</i>
(<i>sched_priority</i> est dans l'intervalle 0  99).<br/><br/>
Afin de dterminer quel processus doit s'excuter ensuite, 
l'ordonnanceur de Linux recherche la liste non-vide de plus haute
priorit statique et prend le processus en tte de cette liste.
La politique d'ordonnancement dtermine pour chaque processus
l'emplacement o il sera insr dans la liste contenant les
processus de mme priorit statique, et comment il se dplacera
dans cette liste.<br/><br/>

<i>SCHED_OTHER</i> est l'ordonnancement universel temps-partag
par dfaut, utilis par la plupart des processus.
<i>SCHED_FIFO</i> et <i>SCHED_RR</i> sont prvus pour des 
applications temps-rel qui ncessitent un contrle prcis de
la slection des processus prts.<br/><br/>
Les processus ordonnancs avec <i>SCHED_OTHER</i> doivent avoir
une priorit statique de 0, ceux ordonnancs par <i>SCHED_FIFO</i> ou
<i>SCHED_RR</i> peuvent avoir une priorit statique dans l'intervalle
1  99.
Seuls les processus disposant de privilges Super-User peuvent
obtenir une priorit statique suprieure a 0 afin d'tre
ordonnanc par <i>SCHED_FIFO</i> ou <i>SCHED_RR</i>. <br/><br/>
Les appels systmes <b>sched_get_priority_min</b> et
<b>sched_get_priority_max</b> permettent de dterminer l'intervalle
de priorits valides de manire portable sur les systmes conformes
 la norme POSIX.1b.<br/><br/>
Tout ordonnancement est premptif&nbsp;: Si un processus avec une priorit
statique plus leve devient prt, le processus en cours est
interrompu et retourne dans sa liste d'attente. La politique 
d'ordonnancement dtermine simplement l'ordre utilis dans une
liste de processus prts avec des priorits statiques gales.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L11">SCHED_FIFO: Ordonnancement First In-First out (premier arriv, premier servi)</h2>
<div class="paragraph">
<i>SCHED_FIFO</i> ne peut tre utilis qu'avec des priorits statiques 
suprieures  0, ce qui signifie que ds qu'un processus <i>SCHED_FIFO</i>
devient prt, un processus normal <i>SCHED_OTHER</i> en cours
d'excution sera interrompu.
<i>SCHED_FIFO</i> est un ordonnancement simple  base de tranches
de temps. Pour les processus ordonnancs par <i>SCHED_FIFO</i> 
les rgles suivantes sont appliques :
Un processus <i>SCHED_FIFO</i> qui a t prempt par un autre
processus de priorit suprieure restera en tte de sa liste
et reprendra son excution ds que tous les processus de
priorits suprieures sont  nouveau bloqus.
Quand un processus <i>SCHED_FIFO</i> devient prt, il est
insr  la fin de sa liste. 
Un appel systme
<b>sched_setscheduler</b> ou <b>sched_setparam</b> placera le
processus <i>SCHED_FIFO</i> identifi par <i>pid</i>  la fin de
sa liste s'il est prt.
Un processus appelant <b>sched_yield</b> sera plac  la fin de sa liste.
Aucun autre vnement ne modifiera l'ordre des listes de priorits
statiques gales avec <i>SCHED_FIFO</i>.
Un processus <i>SCHED_FIFO</i> s'excute jusqu' ce qu'il soit bloqu
par une opration d'entre/sortie, qu'il soit prempt par un processus
de priorit suprieure, ou qu'il appelle <b>sched_yield</b>.<br/><br/>

</div><br/><h2 class="TitreSection1" id="L11">SCHED_RR: Ordonnancement Round Robin </h2>
<div class="paragraph">
<i>SCHED_RR</i> est une amlioration simple de la politique <i>SCHED_FIFO</i>. 
Tout ce qui est dcrit pour <i>SCHED_FIFO</i> s'applique aussi  <i>SCHED_RR</i>,
sauf que chaque processus ne dispose que d'une tranche temporelle
limite pour son excution.
Si un processus sous politique <i>SCHED_RR</i> s'est excut depuis
une dure suprieure ou gale  la tranche temporelle (time quantum),
il sera plac  la fin de la liste de sa priorit.
Un processus sous <i>SCHED_RR</i> qui a t prempt par un
processus de priorit suprieure terminera sa tranche de temps
lorsqu'il reprendra son excution.
la longueur du time quantum peut tre lue avec <b>sched_rr_get_interval</b>.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L11">SCHED_OTHER: Ordonnancement temps-partag par dfaut</h2>
<div class="paragraph">
La politique <i>SCHED_OTHER</i> ne peut tre utilise qu'avec des
priorits statiques  0. C'est la politique standard de l'ordonnanceur
temps partag de Linux, et est conue pour tous les processus ne
rclamant pas de fonctionnalits temps-rel.
Le processus  excuter est choisi dans la liste des processus de
priorits statiques nulles, en utilisant une priorit dynamique
qui ne s'applique que dans cette liste.
La priorit dynamique est base sur la valeur de "gentillesse" du
processus (fixe avec les appels systmes <b>nice</b> ou 
<b>setpriority</b>) et est incrmente  chaque time quantum 
o le processus est prt mais non slectionn par l'ordonnanceur.
Ceci garantit une progression quitable de tous les processus
<i>SCHED_OTHER</i>.<br/><br/>

</div><br/><h2 class="TitreSection1" id="L11">Temps de rponse</h2>
<div class="paragraph">
Un processus de haute priorit bloqu en attente d'entres/sorties
est affect d'un certain temps de rponse avant d'tre slectionn
 nouveau. Le concepteur d'un gestionnaire de priphrique
peut rduire grandement ce temps de rponse en utilisant
un gestionnaire d'interruptions lentes comme dcrit dans
<b>request_irq (9).<br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L11">Divers</h2>
<div class="paragraph">
Les processus fils hritent de la politique d'ordonnancement et
des paramtres associs lors d'un
<b>fork .<br/><br/></b>
Le verrouillage de pages en mmoire est gnralement ncessaire
pour les processus temps rel afin d'viter les dlais de
pagination. Ceci peut tre effectu avec
<b>mlock (2)</b>
ou
<b>mlockall (2).<br/><br/></b>
Comme une boucle sans fin non bloquante dans un processus ordonnanc
sous une politique <i>SCHED_FIFO</i> ou <i>SCHED_RR</i> bloquera
indfiniment tous les processus avec une priorit plus faible,
le dveloppeur d'applications temps-rel devrait toujours 
conserver sur une console un shell ordonnanc avec une priorit 
suprieure  celle de l'application teste.
Ceci permettra un 
<b>kill ((1)</b>
d'urgence des applications testes qui ne se bloquent pas ou
qui ne se terminent pas comme prvu.
Comme les processus sous <i>SCHED_FIFO</i> et <i>SCHED_RR</i> 
peuvent prempter les autres processus normaux pour toujours,
seuls les processus Super-User ont le droit d'activer ces politiques
sous Linux.<br/><br/>
Les systmes POSIX sur lesquels
<b>sched_setscheduler</b> <b></b>  et
<b>sched_getscheduler</b> <b></b>  sont disponibles dfinissent
<i>_POSIX_PRIORITY_SCHEDULING</i> dans &lt;unistd.h&gt;.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>sched_setscheduler</b>
renvoie 0 s'il russit
<b>sched_getscheduler</b>
renvoie la politique pour le processus s'il russit.<br/><br/>
En cas d'chec, -1 est renvoy et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ESRCH</b> <b></b>  Le processus numro <i>pid</i> n'existe pas.
<br/><br/>

<b>EPERM</b> <b></b>  Le processus appelant n'a pas les privilges ncessaires. Seul
les processus Super-User peuvent activer les politiques 
<i>SCHED_FIFO</i> et <i>SCHED_RR</i>.
Le processus appelant
<b>sched_setscheduler</b>
doit avoir un UID effectif gal  celui du processus
<i>pid ,</i>
ou tre Super-User.
<br/><br/>

<b>EINVAL</b> <b></b>  La valeur de politique d'ordonnancement <i>policy</i> n'existe pas,
ou le paramtre <i>p</i> n'a pas de signification pour
la politique <i>policy</i>.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX.1b (POSIX.4)
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Sous Linux 1.3.81,<i>SCHED_RR</i> n'a pas t test totalement, et ne
se comporte peut tre pas exactement comme dcrit ci-dessus.
</div><br/><br /><h1 class="TitreSection0" id="L8">note</h1>
<div class="paragraph">
Le noyau Linux standard est un systme d'exploitation  vocation gnraliste,
et peut grer des processus en arrire-plan, des applications interactives,
et des applications en temps-rel souple (qui ont besoin de rpondre  des
critres temporels moyens).
Cette page de manuel est prvue pour ce type d'applications.<br/><br/>
Le noyau Linux standard n'est
<i>pas</i> prvu pour le support des applications en temps-rel strict,
dans lesquelles les limites temporelles (souvent infrieures  la seconde)
sont sres d'tre respectes sous risque d'chec catastrophique.
Comme tous les systmes  vocations gnrales, Linux est prvu pour optimiser
les performances moyennes. Les performances critiques pour la gestion des
interruptions sont bien pires que les performances moyennes, les verrous
divers du noyau (comme ceux pour les SMP) crent de longs temps d'attente,
plusieurs amliorations des performances moyennes se font au dtriment des
performances critiques.
Pour la plupart des situations, c'est ce que l'on attend, mais si vous dsirez
de vritables performances temps-rel, il faut se tourner vers des
extensions comme RTLinux (http://www.rtlinux.org) ou un systme
d'exploitation conu pour le temps-rel strict.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>sched_setaffinity (2),</b>
<b>sched_getaffinity (2),</b>
<b>sched_setparam (2), </b>
<b>sched_getparam (2), </b>
<b>sched_yield (2), </b>
<b>sched_get_priority_max (2), </b>
<b>sched_get_priority_min (2), </b>
<b>sched_rr_get_interval (2),</b>
<b>nice (2), </b>
<b>setpriority (2), </b>
<b>getpriority (2), </b>
<b>mlockall (2), </b>
<b>munlockall (2), </b>
<b>mlock (2), </b>
<b>munlock (2).<br/><br/></b>
<i>Programming for the real world - POSIX.4</i> by Bill O. Gallmeister, O'Reilly & Associates, Inc., ISBN 1-56592-074-0
<br/>
<i>IEEE Std 1003.1b-1993</i> (POSIX.1b standard)
<br/>
<i>ISO/IEC 9945-1:1996</i> - C'est une nouvelle rvision 1996 de POSIX.1 qui regroupe en
un seul standard les normes POSIX.1(1990), POSIX.1b(1993), POSIX.1c(1995), et
POSIX.1i(1995).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
