<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2003 Free Software Foundation, Inc. -->
<!--  This file is distributed according to the GNU General Public License. -->
<!--  See the file COPYING in the top level source directory for details. -->
<!--  -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 18/07/2003 LDP-1.56 -->
.de Sh \" Subsection
<br/>
.if t .Sp
.ne 5<br/><br/>
<b>\\$1</b><br/><br/>
..
.de Sp \" Vertical space (when we can't use .PP)
.if t <br/><br/>
 .5v
.if n <br/><br/>

..
.de Ip \" List item
<br/>
.ie \\n(.$&gt;=3 .ne \\$3
.el .ne 3
</div><div class="paragraph">\\$1<br/>
..
<br/><h1>"SET_THREAD_AREA"</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">notes</a>
<br /><a class="summaryIndent0" href="#L9">auteur</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
set_thread_area - Fixer la zone de stockage local (TLS) du thread.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
.hy 0<br/><br/>
#include &lt;linux/unistd.h&gt;
<br/><br/>
<br/><br/>
#include &lt;asm/ldt.h&gt;
<br/><br/>

.HP 21
int&nbsp;<b>set_thread_area</b>&nbsp;(struct&nbsp;user_desc&nbsp;<i>*u_info</i>);
.ad
.hy<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>set_thread_area</b> remplit une entre de la table TLS de stockage
du thread en cours.
Le numro de l'entre remplie par <b>set_thread_area</b> correspond 
la valeur <i>u_info-&gt;</i><i>entry_number</i> fournie par l'utilisateur.
Si la valeur est dans les limites, <i>set_thread_area</i> copie le
descripteur point par <i>u_info</i> dans la table TLS du thread.<br/><br/><br/><br/>
Quand <b>set_thread_area</b> reoit un numro <i>entry_number</i> valant -1, 
il utilise une entre libre dans la table TLS.
Si <b>set_thread_area</b> trouve une entre TLS libre, la valeur de
<i>u_info-&gt;</i><i>entry_number</i> est remplie au retour pour montrer
quelle entre a t modifie.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>set_thread_area</b> renvoie 0 s'il russit.
Sinon, il renvoie l'un des codes d'erreur dcrits ci-dessous.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph"><br/><br/>
<br/><br/>

EINVAL
<i>u_info-&gt;</i><i>entry_number</i> est hors-limite.<br/><br/>
<br/><br/>

EFAULT
<i>u_info</i> est un pointeur invalide.<br/><br/>
<br/><br/>

ESRCH
Impossible de touver une entre TLS libre.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>set_thread_area</b> est spcifique  Linux et ne doit pas tre employ dans
un programme conu pour tre portable.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph"><br/><br/><br/><br/>
Une version de <b>set_thread_area</b> est apparue dans Linux 2.5 en aot 2002.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>get_thread_area</b>(2).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">notes</h1>
<div class="paragraph"><br/><br/><br/><br/>
<b>set_thread_area</b> a t crit par Ingo Molnar.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">auteur</h1>
<div class="paragraph">
Kent Yoder.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
