<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 1997 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 21/07/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 25/04/98 (LDP man-pages 1.19) -->
<!--  Mise a Jour 20/01/2002 - LDP-man-pages-1.47 -->
<!--  Mise a Jour 18/07/2003 - LDP-man-pages-1.56 -->
<!--  Mise a Jour 30/07/2003 - LDP-man-pages-1.58 -->
<br/><h1>SETRESUID</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
setresuid, setresgid - Fixer les UIDs ou les GIDs rels, effectifs et sauvs.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#define</b> <b></b>  <b>_GNU_SOURCE</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int setresuid(uid_t </b> ruid <i>, uid_t </i> euid <b>, uid_t </b> suid );
<br/>
<b>int setresgid(gid_t </b> rgid <i>, gid_t </i> egid <b>, gid_t </b> sgid ); 
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>setresuid</b> <b></b>  fixe les UIDs rel, effectif et sauv du processus apppelant.<br/><br/>
Un processus utilisateur non-privilgi (dont les UID
rel, effectif et sauv sont tous non-nuls) peut fixer son UID rel
et son UID sauv avec sa valeur d'UID actuel, d'UID effectif actuel,
ou d'UID sauv.<br/><br/>
Le Super-Utilisateur peut positionner son UID rel, effectif ou sauv
 une valeur quelconque.<br/><br/>
Si l'un des paramtres vaut -1, la valeur correspondante n'est pas modifie.<br/><br/>
De manire analogue
<b>setresgid</b> <b></b>  fixe les GIDs rel, effectif et sauv du processus appelant avec les
mmes restrictions pour les processus n'ayant aucun GID nul.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Les appels
<b>setresuid</b> <b></b>  et
<b>setresgid</b> <b></b>  renvoient 0 s'ils russissent, ou -1 s'ils chouent auquel cas <i>errno</i>
contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPERM</b> <b></b>  Le processus n'a pas de privilges et essaye de modifier ses IDs de manire
interdite.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Cet appel-systme n'est pas standard.
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph">
Cet appel-systme a d'abord t introduit dans HP-UX. Il est disponible
sous Linux depuis le noyau 2.1.44. A prsent, on le rencontre galement
dans FreeBSD (pour l'mulation binaire de Linux).
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
Sous HP-UX et FreeBSD, le prototype se trouve dans
<i>&lt;unistd.h&gt; .</i>
Sous Linux, le prototype est fourni pas la GlibC depuis la version 2.3.2
 condition que la constante _GNU_SOURCE soit dfinie.
Sous Linux, il n'y a pas encore de fichier d'en-tte incluant ce prototype,
ce qui peut tre considr comme un dfaut de la GlibC. Les programmes
utilisant cet appel-systme doivent en dclarer le prototype eux-mmes.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>getuid (2),</b>
<b>setuid (2),</b>
<b>setreuid (2),</b>
<b>getresuid (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
