<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright Michael Haardt (michael@cantor.informatik.rwth-aachen.de) Sat Aug 27 20:43:50 MET DST 1994 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Sun Sep 11 19:19:05 1994 faith@cs.unc.edu -->
<!--  Modified Mon Mar 25 10:19:00 1996 aeb@cwi.nl (merged a few -->
<!-- 	tiny changes from a man page by Charles Livingston). -->
<!--  Modified Sun Jul 21 14:45:46 1996 aeb@cwi.nl -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 18/07/2003  LDP-1.56 -->
<br/><h1>SETSID</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
setsid - Crer une session et fixer l'ID du groupe de processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>pid_t</b> <b></b>  <b>setsid(void);</b> <b></b>  <br/>
.ad b
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>setsid()</b> 
cre une nouvelle session si le processus appelant n'est pas un
leader de groupe. Le processus appelant devient le leader du nouveau
groupe, et n'a pas de terminal de contrle.
L'ID du groupe de processus et l'ID de session du processus appelant
sont fixs  la valeur de PID du processus en cours.
Le processus en cours sera le seul dans son groupe et sa session.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>setsid</b> <b></b>  renvoient l'ID de session du processus en cours, ou -1 s'il
chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
La seule erreur susceptible de se produire est EPERM.
Elle est dclenche si l'ID du groupe de processus d'un
processus quelconque est gal au PID du processus appelant.
En particulier
<b>setsid</b> <b></b>  choue si le processus appelant est dj leader d'un groupe.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Le leader d'un groupe est le processus dont le PID est gal
 l'ID du groupe. Pour s'assurer que
<b>setsid</b> <b></b>  russira, il faut effectuer un
<b>fork(),</b>
suivi d'un 
<b>exit()</b>
pour le pre, et le fils appellera
<b>setsid().</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
POSIX, SVr4
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>setpgid (2),</b>
<b>setpgrp (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
