<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C), 1994, Graeme W. Wilford. (Wilf.) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Fri Jul 29th 12:56:44 BST 1994  Wilf. (G.Wilford@ee.surrey.ac.uk)  -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  Mise a Jour 19/07/97 -->
<!--  Mise a Jour 18/07/2003  LDP-1.56 -->
<br/><h1>SETUID</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">spcificits linux</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
setuid - Fixer l'ID de l'utilisateur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int setuid(uid_t </b> uid );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>setuid</b> <b></b>  fixe l'UID effectif du processus en cours. Si cet UID effectif
est celui du Super-User, les UID rels et sauvs sont galement fixs.<br/><br/>
Sous Linux
<b>setuid</b> <b></b>  est implment comme le spcifie Posix, avec l'option _POSIX_SAVED_IDS.
Ceci permet  un programme Set-UID (autre que root) d'abandonner
tous ses privilges, d'effectuer des tches
non-privilgie, et de retrouver son UID effectif de manire scurise.<br/><br/>
Si l'utilisateur est le Super-User, ou si le programme est Set-UID
root, des prcautions particulires doivent tre prises.
La fonction
<b>setuid</b> <b></b>  vrifie l'UID effectif de l'appelant et si c'est le Super-User,
tous les UID du processus sont mis 
<i>uid.</i>
une fois ceci effectu, il est impossible au programme de retrouver
ses privilges de Super-User.<br/><br/>
Ainsi un programme Set-UID root dsireux d'abandonner temporairement
ses privilges, en prenant l'identit d'un utilisateur non-root, puis
de rcuprer ses privilges par la suite ne doit pas utiliser
<b>setuid .</b>
On peut accomplir ceci en utilisant l'appel (non-POSIX, BSD)
<b>seteuid.</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>setuid</b> <b></b>  renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPERM</b> <b></b>  L'utilisateur n'est pas Super-User et 
<i>uid</i> ne correspond ni  l'UID rel, ni  l'UID sauv du processus.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX.1. Pas tout  fait compatible avec l'appel systme BSD
4.4, qui positionne l'ensemble des IDs rel, sauv et effectif. SVr4 indique
une condition d'erreur supplmentaire EINVAL.
</div><br/><br /><h1 class="TitreSection0" id="L7">spcificits linux</h1>
<div class="paragraph">
Linux dispose d'un concept d'UID de systme de fichiers, qui est normalement
gal  l'UID effectif. L'appel
<b>setuid</b> <b></b>  peut galement fixer l'UID de systme de fichiers du processus en cours.
Voir
<b>setfsuid (2).<br/><br/></b>
Si
<i>l'</i> uid</i>
est diffrent de l'ancien UID effectif, le processus ne pourra pas laisser
d'image mmoire (core dump) sur le disque.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>getuid (2),</b>
<b>setreuid (2),</b>
<b>seteuid (2),</b>
<b>setfsuid (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
