<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -->
<!--  Extended attributes system calls manual pages -->
<!--  -->
<!--  (C) Andreas Gruenbacher, February 2001 -->
<!--  (C) Silicon Graphics Inc, September 2001 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, -->
<!--  USA. -->
<!--  -->
<!--  Traduction Christophe Blaess -->
<!--  MJ 18/07/2003 - LDP-1.56 -->
<br/><h1>SETXATTR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">descriptionles attributs tendus sont des paires</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">auteurs</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
setxattr, lsetxattr, fsetxattr - Fixer les attributs tendus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.fam C

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;attr/xattr.h&gt;</b> <b></b>  <br/><br/>

<b>int setxattr (const char&nbsp;*</b> chemin <i>, const char&nbsp;*</i> nom <b>,
<b>\t\t\t const void&nbsp;*</b> valeur <i>, size_t </i> taille <b>, int </b> options );
<b>int lsetxattr (const char&nbsp;*</b> chemin <i>, const char&nbsp;*</i> nom <b>,
<b>\t\t\t const void&nbsp;*</b> valeur <i>, size_t </i> taille <b>, int </b> options );
<b>int fsetxattr (int </b> descripteur <i>, const char&nbsp;*</i> nom <b>,
<b>\t\t\t const void&nbsp;*</b> valeur <i>, size_t </i> taille <b>, int </b> options );


.fam T
</div><br/><br /><h1 class="TitreSection0" id="L3">descriptionles attributs tendus sont des paires</h1>
<div class="paragraph">
<i>nom :\c</i>
<i>valeur </i> associes aux i-noeuds (fichiers, rpertoires, liens symboliques, etc).
Ce sont des extensions des attributs normaux qui sont associs avec tous les
i-noeuds du systme (les informations renvoyes
par 
<b>stat (2).</b>
Une description complte des concepts d'attributs tendus est disponible dans
<b>attr (5).<br/><br/></b>
<b>setxattr</b> <b></b>  crit la
<i>valeur</i> dans l'attribut tendu identifi par le
<i>nom</i> et associ avec le
<i>chemin</i> dans le systme de fichiers
La 
<i>taille</i> de la
<i>valeur</i> doit tre spcifie<br/><br/>
<b>lsetxattr</b> <b></b>  est identique  
<b>setxattr ,</b>
sauf dans le cas d'un lien symbolique, o il traite le lien lui-mme
et non le fichier qu'il vise.<br/><br/>
<b>fsetxattr</b> <b></b>  est identique 
<b>setxattr ,</b>
seulement on crit l'attribut du fichier ouvert indiqu par le
<i>descripteur</i> (renvoy par
<b>open (2))</b>
plutt que par un
<i>chemin .<br/><br/></i>
Le
<i>nom</i> d'un attribut tendu est une simple chane termine par un caractre nul.
Le nom inclut un prfixe d'espace de noms - il peut y avoir plusieurs espaces
de noms disjoints associs avec un i-noeud donn.
La valeur d'un attribut tendu est un bloc de donnes littrales ou binaires
d'une longueur donne.<br/><br/>
Le paramtre
<i>option</i> permet d'affiner la smantique de l'optation.
XATTR_CREATE indique une cration pure, avec un chec si
l'attribut existe dj.
XATTR_REPLACE indique un remplacement, chouant si l'attribut
n'existe pas.
Par dfaut (pas d'option), l'attribut sera cr s'il le faut,
ou remplac s'il existe dj.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'ils russissent, ces appels renvoient un nombre positif correspondant  la
taille de la valeur de l'attribut tendu.
En cas d'chec, ils renvoient -1 et remplissent
<i>errno</i> avec un code d'erreur.<br/><br/>
Si XATTR_CREATE est indiqu et que l'attribut existe,
<i>errno</i> contiendra EEXIST.
Si XATTR_REPLACE est demand et si l'attribut n'existe pas
<i>errno</i> sera remplis avec ENOATTR.<br/><br/>
S'il n'y a pas assez d'espace pour stocker l'attribut tendu,
<i>errno</i> vaudra ENOSPC, ou EDQUOT si le problme vient du systme de quotas.<br/><br/>
Si les attributs tendus ne sont pas suports par le systme de fichiers ou le noyau
<i>errno</i> contient ENOTSUP.<br/><br/> 
Les erreurs documents pour l'appel-systme
<b>stat (2)</b>
sont galement applicables ici.
</div><br/><br /><h1 class="TitreSection0" id="L5">auteurs</h1>
<div class="paragraph">
Andreas Gruenbacher,
&lt; a.gruenbacher@computer.org &gt;</i>
et l'quipe de dveloppement SGI XFS,
&lt; linux-xfs@oss.sgi.com &gt;. </i>
Envoyez les rapports de bogues et les commentaires (en anglais)  ces adresses.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>getfattr (1),</b>
<b>setfattr (1),</b>
<b>open (2),</b>
<b>stat (2),</b>
<b>getxattr (2),</b>
<b>listxattr (2),</b>
<b>removexattr (2),</b>
<b>attr (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
