<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Luigi P. Bai (lpb@softint.com) July 28, 1993 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Wed Jul 28 10:57:35 1993, Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Nov 28 16:43:30 1993, Rik Faith (faith@cs.unc.edu) -->
<!--           with material from Giorgio Ciucci (giorgio@crcc.it) -->
<!--  Portions Copyright 1993 Giorgio Ciucci (giorgio@crcc.it) -->
<!--  -->
<!--  Traduction 16/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  Mise a Jour 10/10/99 -->
<!--  Mise  jour 04/06/2001 LDP-man-pages-1.36 -->
<!--  Mise  jour 18/07/2003 LDP-man-pages-1.56 -->
<br/><h1>SHMGET</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">autres appels systmes</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">erreurs</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">conformit</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
shmget - Allouer un segment de mmoire partage.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
<b>#include</b> <b></b>  <b>&lt;sys/ipc.h&gt;</b> <b></b>  <br/><br/>

<b>#include</b> <b></b>  <b>&lt;sys/shm.h&gt;</b> <b></b>  <br/><br/>

<b>int shmget(key_t </b> cl <i>, int </i> size <b>, int </b> shmflg );
.ad b
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>shmget()</b> <b></b>  renvoie l'identificateur du segment de mmoire partage
associ  la valeur de l'argument
<i>cl .</i>
Un nouveau segment mmoire, de taille 
<i>size</i> arrondie au multiple suprieur de
<b>PAGE_SIZE ,</b>
est cr si
<i>cl</i> a la valeur
<b>IPC_PRIVATE</b> <b></b>  ou si aucun segment de mmoire partage n'est associ 
<i>cl ,</i>
et
<b>IPC_CREAT</b> <b></b>  est prsent dans
<i>shmflg.<br/><br/></i> <i>shmflg</i> est compos de&nbsp;:
<br/><br/>
 12
<b>IPC_CREAT</b> <b></b>  pour crer un nouveau segment. Sinon
<b>shmget()</b> <b></b>  recherchera le segment associ  <i>cl</i>, vrifiera que
l'appelant a la permission de recevoir l'identifiant <i>shmid</i> 
associ au segment, et contrlera que le segment n'est pas
dtruit.
<br/><br/>

<b>IPC_EXCL</b> <b></b>  est utilis avec <b>IPC_CREAT</b> pour garantir l'chec si
le segment existe dj.
<br/><br/>

<b>mode</b> <b></b>  <b>d'accs</b> <b></b>  <b>(les</b> <b></b>  <b>9</b> <b></b>  <b>bits</b> <b></b>  <b>de</b> <b></b>  <b>poids</b> <b></b>  <b>faibles)</b> <b></b>  indiquant les permissions pour le propritaire, le groupe et
les autres.
Actuellement la permission d'excution n'est pas utilise 
par le systme.<br/><br/>
Si un nouveau segment est cr, les permissions d'accs de
<i>shmflg</i> sont copies dans le membre
<i>shm_perm</i> de la structure
<i>shmid_ds</i> dcrivant le segment. Cette structure est dfinie ainsi :<br/><br/>
.in +0.5i

struct shmid_ds {
  struct          ipc_perm shm_perm; /* Permissions d'accs       */
  int             shm_segsz;         /* Taille segment en octets  */
  time_t          shm_atime;         /* Heure dernier attachement */
  time_t          shm_dtime;         /* Heure dernier dtachement */
  time_t          shm_ctime;         /* Heure dernier changement  */
  unsigned short  shm_cpid;          /* PID du crateur           */
  unsigned short  shm_lpid;          /* PID du dernier oprateur  */
  short           shm_nattch;        /* Nombre d'attachements     */
};


.in -0.5i<br/><br/>
.in +0.5i

struct ipc_perm {
  key_t  key;
  ushort uid;   /* UID et GID effectifs du propritaire    */
  ushort gid;
  ushort cuid;  /* UID et GID effectif du crateur         */
  ushort cgid;
  ushort mode;  /* Mode d'accs sur 9 bits de poids faible */
  ushort seq;   /* Numro de squence                      */
};

<br/><br/>
De plus, durant la cration, le systme initialise la structure
<b>shmid_ds</b> <b></b>  associe au segment comme suit&nbsp;:
.IP
<b>shm_perm.cuid</b> <b></b>  et
<b>shm_perm.uid</b> <b></b>  contiennent l'UID effectif de l'appelant.
.IP
<b>shm_perm.cgid</b> <b></b>  et 
<b>shm_perm.gid</b> <b></b>  contiennent le GID effectif de l'appelant.
.IP
Les 9 bits de poids faibles de
<b>shm_perm.mode</b> <b></b>  contiennent les 9 bits de poids faibles de
<i>shmflg .</i>
.IP
<b>shm_segsz</b> <b></b>  prend la valeur
<i>size.</i>
.IP
<b>shm_lpid ,</b>
<b>shm_nattch ,</b>
<b>shm_atime</b> <b></b>  et
<b>shm_dtime</b> <b></b>  sont mis  
<b>0.</b>
.IP
<b>shm_ctime</b> <b></b>  contient l'heure actuelle<br/><br/>
Si le segment de mmoire existe dj, les permissions d'accs sont
vrifies, et un contrle  lieu pour voir s'il est marqu pour destruction.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">autres appels systmes</h1>
<div class="paragraph">
<br/><br/>

<b>fork()</b> <b></b>  Aprs un
<b>fork()</b> <b></b>  le fils hrite des segments de mmoire partage.
<br/><br/>

<b>exec()</b> <b></b>  Aprs un
<b>exec()</b> <b></b>  tous les segments de mmoire partage sont dtachs (pas dtruits).
<br/><br/>

<b>exit()</b> <b></b>  Lors d'un
<b>exit()</b> <b></b>  tous les segments de mmoire partage sont dtachs (pas dtruits).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
Un identificateur de segment 
<i>shmid </i>
valide est renvoy en cas de russite, sinon -1 est renvoy et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L6">erreurs</h1>
<div class="paragraph">
<br/><br/>
 12
<b>EINVAL</b> <b></b>  <b>SHMMIN</b> &gt; <i>size</i> ou
<i>size</i> &gt; <b>SHMMAX</b>, ou <i>size</i> plus grand que la taille du segment.
<br/><br/>

<b>EEXIST</b> <b></b>  On a indiqu
<b>IPC_CREAT</b> <b></b>  <b>|</b> <b></b>  <b>IPC_EXCL</b> <b></b>  et le segment existe dj.
<br/><br/>

<b>ENOSPC</b> <b></b>  Tous les ID de mmoire partage sont utiliss, ou l'allocation
d'un segment partag de taille
<i>size</i> dpasserait les limites de mmoire partage du systme.
<br/><br/>

<b>ENOENT</b> <b></b>  Aucun segment n'est associ  <i>cl</i>, et 
<b>IPC_CREAT</b> <b></b>  n'etait pas indiqu.
<br/><br/>

<b>EACCES</b> <b></b>  L'appelant n'a pas les autorisations d'accs au segment.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
<b>IPC_PRIVATE</b> <b></b>  n'est pas une option mais une valeur de type
<b>key_t .</b>
Si cette valeur spciale est utilise comme
<i>cl ,</i>
l'appel systme ignore tout sauf les 9 bits de poids faibles
de
<i>shmflg</i> et tente de crer un nouveau segment.<br/><br/>
Les limites suivantes influent sur l'appel systme
<b>shmget </b> :<b></b>
<br/><br/>
 11
<b>SHMALL</b> <b></b>  Nombre maximal de pages de mmoire partage sur le systme.
<br/><br/>

<b>SHMMAX</b> <b></b>  Taille maximale d'un segment partag (actuellement 4 Mo).
<br/><br/>

<b>SHMMIN</b> <b></b>  Taille minimale d'un segment partag.
(actuellement 1 octet, bien que
<b>PAGE_SIZE</b> <b></b>  soit la valeur effectivement utilise).
<br/><br/>

<b>SHMMNI</b> <b></b>  Nombre maximal de segments de mmoire partage sur le systme 
(actuellement 4096, mais 128 avant Linux 2.3.99).<br/><br/>
Il n'y a pas de limite pour le nombre de segments partags par
processus (sauf SHMMNI).
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Le choix du nom IPC_PRIVATE est plutt malheureux, il aurait mieux
valu utiliser IPC_NEW.
</div><br/><br /><h1 class="TitreSection0" id="L9">conformit</h1>
<div class="paragraph">
SVr4, SVID. SVr4 mentionne une condition d'erreur supplmentaire EEXIST. 
Jusqu'au noyau 2.3.30, Linux renvoyait l'erreur EIDRM pour un
<b>shmget</b> <b></b>  sur un segment de mmoire marqu pour destruction.
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
<b>ftok (3),</b>
<b>ipc (5),</b>
<b>shmctl (2),</b>
<b>shmat (2),</b>
<b>shmdt (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
