<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1994,1995 Mike Battersby &lt;mib@deakin.edu.au&gt; -->
<!--  based on work by faith@cs.unc.edu -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified, aeb, 960424 -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  maj 09/04/99 -->
<!--  maj 27/08/99 -->
<!--  Mise  jour 30/08/2000 LDP 1.31 -->
<!--  Mise  jour 04/06/2001 LDP 1.36 -->
<!--  Mise a Jour 20/01/2002 - LDP-man-pages-1.47 -->
<!--  Mise a Jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>SIGACTION</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">non document</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sigaction, sigprocmask, sigpending, sigsuspend - Fonctions POSIX de manipulations de signaux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;signal.h&gt;</b> <b></b>  <br/><br/>
 2
<b>int sigaction (int </b> signum <i>, const struct sigaction * </i> act ,
<b>struct sigaction *</b> oldact );
<br/><br/>

<b>int sigprocmask (int </b> how <i>, const sigset_t * </i> set ,
<b>sigset_t * </b> oldset );
<br/><br/>

<b>int sigpending (sigset_t * </b> set );
<br/><br/>

<b>int sigsuspend (const sigset_t * </b> mask );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'appel systme
<b>sigaction</b> <b></b>  sert  modifier l'action effectue par un processus  la rception
d'un signal spcifique.<br/><br/>
<i>signum</i> indique le signal concern,  l'exception de
<b>SIGKILL</b> <b></b>  et
<b>SIGSTOP .<br/><br/></b>
Si
<i>act</i> est non nul, la nouvelle action pour le signal
<i>signum</i> est dfinie par
<i>act .</i>
Si
<i>oldact</i> est non nul, l'ancienne action est sauvegarde dans
<i>oldact .<br/><br/></i>
La structure 
<b>sigaction</b> <b></b>  est dfinie par quelque chose comme :
<br/><br/>

.RS

struct sigaction {
    void     (* sa_handler)   (int);
    void     (* sa_sigaction) (int, siginfo_t *, void *);
    sigset_t    sa_mask;
    int         sa_flags;
    void     (* sa_restorer)  (void);
}


<br/><br/>
Sur certaines architectures on emploie une union, il ne faut donc pas utiliser ou remplir simultanment
<i>sa_handler</i> et
<i>sa_sigaction .<br/><br/></i>
L'lment
<i>sa_restorer</i> est obsolte et ne doit pas tre utilis,
POSIX ne
mentionne pas de membre
<i>sa_restorer .<br/><br/></i>
<i>sa_handler</i> indique l'action affecte au signal
<i>signum </i>, <i></i>
et peut tre
<b>SIG_DFL</b> <b></b>  pour l'action par dfaut,
<b>SIG_IGN</b> <b></b>  pour ignorer le signal, ou un pointeur sur une fonction de gestion de signaux.<br/><br/>
<i>sa_mask</i> fournit un masque de signaux  bloquer pendant l'excution du gestionnaire.
De plus le signal ayant appel le gestionnaire est bloqu  moins que
les attributs
<b>SA_NODEFER</b> <b></b>  ou
<b>SA_NOMASK</b> <b></b>  soient prciss.<br/><br/>
<i>sa_flags</i> spcifie un ensemble d'attributs qui modifient le comportement du gestionnaire
de signaux. Il est form par un OU binaire ( | ) entre les options suivantes&nbsp;:
.RS
<br/><br/>

<b>SA_NOCLDSTOP</b> <b></b>  Si
<i>signum</i> vaut
<b>SIGCHLD </b>, <b></b>
ne pas recevoir les signaux de notification d'arrt d'un processus fils
(quand le fils reoit un signal
<b>SIGSTOP </b>, <b> SIGTSTP </b>, <b> SIGTTIN</b>
ou
<b>SIGTTOU </b>).<b></b>
<br/><br/>

<b>SA_ONESHOT </b> ou <b> SA_RESETHAND</b>
Rtablir l'action  son comportement par dfaut une fois que le gestionnaire a
t appel.
<br/><br/>

<b>SA_ONSTACK</b>
Appeler le gestionnaire avec une pile diffrente fournie par
<b>sigaltstack (2).</b>
Si cette pile est indisponible, on utilisera la pile par dfaut.
<br/><br/>

<b>SA_RESTART</b> <b></b>  Fournir un comportement compatible avec la smantique BSD en redmarrant
automatiquement les appels systmes lents interrompus par l'arrive du signal.
<br/><br/>

<b>SA_NOMASK </b> ou <b> SA_NODEFER</b>
Ne pas empcher un signal d'tre reu depuis l'intrieur de son propre
gestionnaire.
<br/><br/>

<b>SA_SIGINFO</b> <b></b>  Le gestionnaire de signal recevra trois arguments, et non plus un seul.
Dans ce cas, il faut utiliser le membre
<i>sa_sigaction</i> (apparu dans Linux 2.1.86.) et non pas
<i>sa_handler .</i>
<br/><br/>
Le paramtre
<i>siginfo_t</i> de la routine
<i>sa_sigaction</i> est une structure contenant les lments suivants :
<br/><br/>

.RS

.ta 4 13 24
siginfo_t {
        int     si_signo;       /* Numro de signal         */
        int     si_errno;       /* Numro d'erreur          */
        int     si_code;        /* Code du signal           */
        pid_t   si_pid;         /* PID de l'metteur        */
        uid_t   si_uid;         /* UID rel de l'metteur   */
        int     si_status;      /* Valeur de sortie         */
        clock_t si_utime;       /* Temps utilisateur coul */
        clock_t si_stime;       /* Temps systme coul     */
        sigval_t si_value;      /* Valeur de signal         */
        int     si_int;         /* Signal Posix.1b          */
        void *  si_ptr;         /* Signal Posix.1b          */
        void *  si_addr;        /* Emplacement d'erreur     */
        int     si_band;        /* Band event               */
        int     si_fd;          /* Descripteur de fichier   */
}



Les champs
<i>si_signo </i>, <i> si_errno </i> and <i> si_code</i>
sont dfinis pour tous les signaux. Le reste de la structure peut tre une
union, et il ne faut donc tenir compte que des champs qui sont significatifs
pour le signal reu. L'appel-systme
<b>kill (2),</b>
les signaux Posix.1b et SIGCHLD remplissent les champs
<i>si_pid </i> et <i> si_uid .</i>
.BR
SIGCHLD remplit aussi
<i>si_status </i>, <i> si_utime </i> et <i> si_stime .</i>
<i>si_int </i> et <i> si_ptr</i>
sont fournis par l'metteur d'un signal Posix.1b.
<!--  See -->
<!--  <b>sigqueue (2) --></b>
<!--  for more details. -->
SIGILL, SIGFPE, SIGSEGV et SIGBUS remplissent
<i>si_addr</i> avec l'adresse de l'erreur.
SIGPOLL remplit
<i>si_band </i> et <i> si_fd .</i>
 
<i>si_code</i> indique la raison pour laquelle le signal a t mis. Il s'agit d'une valeur,
pas d'un masque de bits. Les valeurs possibles pour tous les signaux sont&nbsp;:
.TS
tab(:) allbox;
c s
l l.
<i>si_code</i>
Valeur:Origine du signal
SI_USER:kill, sigsend ou raise
SI_KERNEL:Noyau
SI_QUEUE:sigqueue
SI_TIMER:Fin d'une temporisation
SI_MESGQ:Changement d'tat mesq
SI_ASYNCIO:Fin d'une AIO
SI_SIGIO:SIGIO empil
.TE<br/><br/>
.TS
tab(:) allbox;
c s
l l.
SIGILL
ILL_ILLOPC:opcode illgal
ILL_ILLOPN:oprande illgale
ILL_ILLADR:mode 'dadressage illgal
ILL_ILLTRP:trappe illgale
ILL_PRVOPC:opcode priviligi
ILL_PRVREG:registre privilgi
ILL_COPROC:erreur de coprocesseur
ILL_BADSTK:erreur interne de pile
.TE<br/><br/>
.TS
tab(:) allbox;
c s
l l.
SIGFPE
FPE_INTDIV:division entire par zro
FPE_INTOVF:dbordement entier
FPE_FLTDIV:division relle par zro
FPE_FLTOVF:dbordement rel
FPE_FLTUND:dbordement infrieur rel
FPE_FLTRES:rsultat rel inexact
FPE_FLTINV:opration relle invalide
FPE_FLTSUB:indice hors intervalle
.TE<br/><br/>
.TS
tab(:) allbox;
c s
l l.
SIGSEGV
SEGV_MAPERR:adresse sans objet
SEGV_ACCERR:permissions invalides
.TE<br/><br/>
.TS
tab(:) allbox;
c s
l l.
SIGBUS
BUS_ADRALN:alignement d'adresse invalide
BUS_ADRERR:adresse physique inexistante
BUS_OBJERR:erreur matrielle spcifique
.TE
 
.TS
tab(:) allbox;
c s
l l.
SIGTRAP
TRAP_BRKPT:point d'arrt du processus
TRAP_TRACE:suivi d'excution du processus
.TE<br/><br/>
.TS
tab(:) allbox;
c s
l l.
SIGCHLD
CLD_EXITED:fils termin normalement
CLD_KILLED:fils tu par un signal
CLD_DUMPED:fils termin anormalement
CLD_TRAPPED:fils en cours de suivi
CLD_STOPPED:fils arrt
CLD_CONTINUED:fils arrt a redmarr
.TE<br/><br/>
.TS
tab(:) allbox;
c s
l l.
SIGPOLL
POLL_IN:donnes disponibles en entre
POLL_OUT:buffers de sortie libres
POLL_MSG:message disponible en entre
POLL_ERR:erreur d'entre/sortie
POLL_PRI:entre haute priorit disponible
POLL_HUP:priphrique dbranch
.TE<br/><br/><br/><br/>
L'appel
<b>sigprocmask</b> <b></b>  est utilis pour changer la liste des signaux actuellement
bloqus. Son comportement est dpendant de la valeur de
<i>how ,</i>
avec les conventions suivantes&nbsp;:
.RS
<br/><br/>

<b>SIG_BLOCK</b> <b></b>  L'ensemble des signaux bloqus est l'union de l'ensemble actuel et de
l'argument
<i>set.</i> <br/><br/>

<b>SIG_UNBLOCK</b> <b></b>  Les signaux dans l'ensemble
<i>set</i> sont supprims de la liste des signaux bloqus. Il est possible
de dbloquer un signal non bloqu.
<br/><br/>

<b>SIG_SETMASK</b> <b></b>  L'ensemble des signaux bloqus est gal  l'argument
<i>set .</i>
<br/><br/>
Si
<i>oldset</i> est non nul, la valeur prcdente du masque de signaux est
stocke dans
<i>oldset .<br/><br/></i>
L'appel
<b>sigpending</b> <b></b>  permet l'examen des signaux en attente (qui se sont dclenchs
en tant bloqus). Le masque de signaux en attente est stock
dans
<i>set .<br/><br/></i>
L'appel
<b>sigsuspend</b> <b></b>  remplace temporairement le masque de signaux bloqus par celui fourni dans
<i>mask</i> puis endort le processus jusqu' arrive d'un signal.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>sigaction ,</b>
<b>sigprocmask ,</b>
et
<b>sigpending</b> <b></b>  renvoient 0 s'ils russissent, ou -1 s'ils chouent, auquel
cas 
<i>errno</i> contient le code d'erreur.
La fonction
<b>sigsuspend</b> <b></b>  renvoit toujours -1, avec en principe l'erreur
<b>EINTR .<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Un signal invalide est indiqu. Ceci se produit galement si l'on
tente de modifier l'action associe 
<b>SIGKILL </b> ou <b> SIGSTOP </b>. <b></b>
<br/><br/>

<b>EFAULT</b> <b></b>  <i>act </i>, <i> oldact </i>, <i> set </i>, <i> oldset</i>
ou 
<i>mask</i> pointent en-dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EINTR</b> <b></b>  L'appel systme a t interrompu.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Il est impossible de bloquer
<b>SIGKILL </b> or <b> SIGSTOP</b>
avec l'appel sigprocmask. Les tentatives seront ignores silencieusement.<br/><br/>
Suivant POSIX, le comportement d'un processus est indfini aprs qu'il
ait ignor un signal SIGFPE, SIGILL, ou SIGSEGV qui n'avait pas t
engendr par une fonction <i>kill()</i> ou <i>raise()</i>.
La division entire par zro a un rsultat indfini.
Sur certaines architectures, cela dclenchera un signal SIGFPE.
(De mme diviser l'entier le plus ngatif par -1 peut dclencher SIGFPE).
Ignorer ce signal peut mener  des boucles sans fin.<br/><br/>
POSIX (B.3.3.1.3) dsapprouve le positionnement de SIGCHLD  SIG_IGN.
Les comportements BSD et SYSV diffrent, faisant chouer sous Linux
les logiciels BSD qui positionne l'action de SIGCHLD  SIG_IGN.<br/><br/>
Les spcifications POSIX dfinissent seulement
<b>SA_NOCLDSTOP .</b>
L'utilisation des autres options de
<i>sa_flags</i> n'est pas portable.<br/><br/>
L'option
<b>SA_RESETHAND</b> <b></b>  est compatible avec l'option SVr4 du mme nom.<br/><br/>
L'option
<b>SA_NODEFER</b> <b></b>  est compatible avec l'option SVr4 du mme nom pour les noyaux 1.3.9
et ultrieurs. Pour les noyaux plus anciens, Linux autorisera la rception
de tous les signaux et pas seulement celui qui vient de se dclencher
(crasant effectivement
<i>sa_mask</i> ).<br/><br/>
Les noms
<b>SA_RESETHAND </b> et <b> SA_NODEFER</b>
pour compatibilit avec SVr4 ne sont prsents que dans les bibliothques 3.0.9
et suivantes.<br/><br/>
L'attribut
<b>SA_SIGINFO</b> <b></b>  est prcis par POSIX.1b. Son support fut ajout dans Linux 2.2.<br/><br/>
<b>sigaction</b> <b></b>  peut tre appel avec un second argument null pour obtenir le gestionnaire 
de signaux actuel. On peut aussi vrifier si un signal est valide sur la
machine actuelle en l'appellant avec les deuxime et troisime arguments
nuls.<br/><br/>
Voir
<b>sigsetops (3)</b>
pour les dtails concernant les ensembles de signaux.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
POSIX, SVr4. SVr4 ne documente pas la condition d'erreur EINTR.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">non document</h1>
<div class="paragraph">
Avant l'introduction de l'attribut
<b>SA_SIGINFO</b> <b></b>  il tait dj possible d'obtenir des informations supplmentaires dans le
gestionnaire de signal, en lui ajoutant un argument de type
<i>struct sigcontext</i>.</i>
On peut retrouver ceci dans les sources du noyau. Ce mcanisme est dsormais obsolte.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>kill (1),</b>
<b>kill (2),</b>
<b>killpg (2),</b>
<b>pause (2),</b>
<b>sigaltstack (2),</b>
<b>raise (3),</b>
<b>siginterrupt (3),</b>
<b>signal (2),</b>
<b>signal (7),</b>
<b>sigsetops (3),</b>
<b>sigvec (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
