<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)sigblock.2	6.7 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Sat Jul 24 10:09:15 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Fri Aug 11 1995 by Stephen Lee (sl14@cornell.edu) -->
<!-- " -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  Mise a Jour 21/10/99 -->
<!--  Mise  jour 26/06/2000 LDP 1.30 -->
<!--  Mise  jour 04/06/2001 LDP 1.36 -->
<!--  Mise  jour 18/07/2003 LDP 1.56 -->
<br/><h1>SIGBLOCK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sigblock, siggetmask, sigsetmask, sigmask - Manipuler les masquages de signaux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;signal.h&gt;</b> <b></b>  <br/><br/>

<b>int sigblock(int </b> mask );
<br/><br/>

<b>int</b> <b></b>  <b>siggetmask(void);</b> <b></b>  <br/><br/>

<b>int sigsetmask(int </b> mask );
<br/><br/>

<b>int sigmask(</b> signum );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette interface est dsormais obsolte, il vaut mieux utiliser
<b>sigprocmask (2).<br/><br/></b>
L'appel
<b>sigblock()</b> <b></b>  ajoute les signaux spcifis par 
<i>mask</i> dans l'ensemble des signaux  bloquer avant rception.<br/><br/>
L'appel
<b>sigsetmask()</b> <b></b>  remplace totalement l'ensemble des signaux bloqus par le nouveau masque
<i>mask .</i>
Les signaux sont bloqus si le bit leur correspondant dans
<i>mask</i> est  1.<br/><br/>
L'ensemble des signaux actuellement bloqus peut tre obtenu en utilisant
<b>siggetmask() .<br/><br/></b>
La macro
<b>sigmask</b> <b></b>  est fournie pour construire le masque depuis le numro de signal
<i>signum .<br/><br/></i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>siggetmask()</b> <b></b>  renvoie le masque actuel.<br/><br/>
<b>sigsetmask()</b> <b></b>  <b></b>  et
<b>sigblock()</b> <b></b>  renvoient le masque prcdent
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Les prototypes de ces fonctions ne sont disponibles que si la constante
<b>_BSD_SOURCE</b> <b></b>  est dfinie avant l'inclusion des fichiers d'en-tte.<br/><br/>
Il n'est possible de bloquer ni
<b>SIGKILL</b> <b></b>  ni
<b>SIGSTOP.</b>
Ceci est impos silencieusement par le systme.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
BSD 4.4. Ces fonctions sont apparues dans BSD 4.3
et sont maintenant dconseilles. Utilisez plutot la gestion POSIX
des signaux pour vos nouveaux programmes.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>kill (2),</b>
<b>sigprocmask (2),</b>
<b>signal (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
