<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1994 Mike Battersby &lt;mike@starbug.apana.org.au&gt; -->
<!--  based on work by faith@cs.unc.edu -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  maj 09/04/99 LDP-man-pages-1.22 -->
<!--  mj 27/06/2000 LDP 1.30 -->
<!--  Mise a jour 30/08/2000 LDP 1.31 -->
<!--  Mise a Jour 20/01/2002 - LDP-man-pages-1.47 -->
<!--  Mise a Jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>SIGNAL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">portabilit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
signal - Gestion de signaux ANSI C.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;signal.h&gt;</b> <b></b>  <br/><br/>

<b>typedef</b> <b></b>  <b>void</b> <b></b>  <b>(*sighandler_t)(int);</b> <b></b>  <br/><br/>

<b>sighandler_t signal(int </b> signum <i>, sighandler_t </i> handler );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'appel-systme
<b>signal ()</b>
installe un nouveau gestionnaire pour le signal numro
<i>signum .</i>
Le gestionnaire de signal est
<i>handler</i> qui peut tre soit une fonction spcifique de l'utilisateur, soit une des constantes
<b>SIG_IGN</b> <b></b>  ou
<b>SIG_DFL .<br/><br/></b>
Lors de l'arrive d'un signal correspondant au numro
<i>signum ,</i>
les vnements suivants se produisent&nbsp;:
si le gestionnaire correspondant est configur avec
<b>SIG_IGN ,</b>
le signal est ignor.
Si le gestionnaire vaut
<b>SIG_DFL ,</b>
l'action par dfaut pour le signal est entreprise, comme dcrit dans
<b>signal (7).</b>
Enfin, si le gestionnaire est dirig vers une fonction
<i>handler (),</i>
alors
tout d'abord 
le gestionnaire est re-configur  SIG_DFL, ou
le signal est bloqu, puis
<i>handler ()</i>
est appel avec l'argument
<i>signum .<br/><br/></i>
Utiliser une fonction comme gestionnaire de signal est appel
"intercepter - ou capturer - le signal". Les signaux
<b>SIGKILL</b> <b></b>  et
<b>SIGSTOP</b> <b></b>  ne peuvent ni tre ignors, ni tre intercepts.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>signal ()</b>
renvoie la valeur prcdente du gestionnaire de signaux, ou
<b>SIG_ERR</b> <b></b>  en cas d'erreur.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">portabilit</h1>
<div class="paragraph">
La fonction
<b>signal ()</b>
originale d'Unix rinitialisait le gestionnaire  SIG_DFL, comme
c'est le cas sous Systme V. Linux agissait ainsi avec les bibliothques
libc4 et libc5.
Au contraire, BSD ne rinitialise pas le gestionnaire, mais bloque les
ventuelles nouvelles occurences du signal durant l'appel de la fonction.
La bibliothque GlibC 2 suit ce comportement.<br/><br/>
Nanmoins, si l'on inclut sur un systme sous libc5
<b>&lt;bsd/signal.h&gt;"</b> <b></b>   la place de
<b>&lt;signal.h&gt;"</b> <b></b>  alors
<b>signal</b> <b></b>  est redfini en tant que
<b>__bsd_signal</b> <b></b>  et disposera alors de la smantique BSD. C'est peu recommand.<br/><br/>
Sur un systme fonctionnant avec la GlibC 2, si on dfinit la constante
<b>_XOPEN_SOURCE</b> <b></b>  ou si on utilise la fonction
<b>sysv_signal (),</b>
on obtient le comportement habituel. C'est peu recommand.<br/><br/>
La modification de la smantique de l'appel en utilisant une constante
symbolique ou un fichier d'en-tte spcial n'est pas une bonne ide.
Il vaut mieux viter d'utiliser
<b>signal ()</b>
compltement, et utiliser plutt
<b>sigaction (2).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Comme spcifi par POSIX, le comportement d'un processus est
indfini aprs la rception d'un signal 
<b>SIGFPE , </b>
<b>SIGILL , </b>
ou
<b>SIGSEGV</b> <b></b>  <b></b>  qui n'a pas t engendr par une fonction <i>kill()</i> ou
<i>raise()</i>.
La division entire par zro a un rsultat indfini, sur certaines
architecture elle dclenche un signal 
<b>SIGFPE . </b>
Ignorer ce signal
peut conduire  des boucles infinies.
De mme diviser l'entier le plus ngatif par -1 peut dclencher 
<b>SIGFPE .<br/><br/></b>
D'aprs POSIX (3.3.1.3) le comportement est indfini si on positionne
<b>SIGCHLD</b>

<b>SIG_IGN .</b>
Les comportements BSD et SYSV diffrent, faisant chouer sous Linux
les logiciels BSD qui positionne l'action de
<b>SIGCHLD</b> <b></b>  
<b>SIG_IGN .<br/><br/></b>
L'utilisation du type
<b>sighandler_t</b> <b></b>  est une extension GNU.
Diverses versions de la bibliothque C prdfinissent ce type. Les libc4
et libc5 dfinissaient
<i>SignalHandler ,</i>
GlibC dfinit
<i>sig_t</i> et, si
<b>_GNU_SOURCE</b> <b></b>  est dfini,
<i>sighandler_t</i> galement.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
ANSI C<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>kill (1),</b>
<b>kill (2),</b>
<b>killpg (2),</b>
<b>pause (2),</b>
<b>raise (3),</b>
<b>sigaction (2),</b>
<b>signal (7),</b>
<b>sigsetops (3),</b>
<b>sigvec (2),</b>
<b>alarm (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
