<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1995, Thomas K. Dyas &lt;tdyas@eden.rutgers.edu&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Created   Sat Aug 21 1995     Thomas K. Dyas &lt;tdyas@eden.rutgers.edu&gt; -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  Mise a Jour 18/07/2003  LDP-1.56 -->
<br/><h1>SIGRETURN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">attention</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">fichiers</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sigreturn - Revenir d'un gestionnaire de signaux et nettoyer la pile.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>int sigreturn(unsigned long </b> __unused );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Quand le noyau Linux cre un cadre de pile pour un gestionnaire
de signaux, un appel 
<b>sigreturn</b> <b></b>  est insr dans ce cadre de manire  ce que le retour du gestionnaire
appelle
<b>sigreturn</b> <b></b>  avant le retour effectif. Cet appel 
<b>sigreturn</b> <b></b>  nettoie la pile pour que le processus puisse reprendre  l'endroit
ou il a t interrompu.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>sigreturn</b> <b></b>  ne revient jamais.
</div><br/><br /><h1 class="TitreSection0" id="L5">attention</h1>
<div class="paragraph">
L'appel
<b>sigreturn</b> <b></b>  est utilis dans le noyau pour implmenter les gestionnaires de signaux.
Il ne doit 
<b>jamais</b> <b></b>  <b></b>  tre appel directement. Mieux, l'utilisation de
l'argument
<i>__unused</i> dpend de l'architecture matrielle.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
<b>sigreturn</b> <b></b>  est spcifique  Linux et ne doit pas tre employe dans un programme
destin  tre portable.
</div><br/><br /><h1 class="TitreSection0" id="L7">fichiers</h1>
<div class="paragraph">
/usr/src/linux/arch/i386/kernel/signal.c
<br/>
/usr/src/linux/arch/alpha/kernel/entry.S
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>kill (2),</b>
<b>signal (2),</b>
<b>signal (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
