<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)socket.2	6.8 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Sat Jul 24 10:36:46 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  Mise a Jour 18/05/99 - LDP-man-pages-1.23 -->
<!--  Mise a Jour 26/06/00 - LDP-man-pages-1.30 -->
<!--  Mise a Jour 18/07/03 - LDP-man-pages-1.56 -->
<br/><h1>SOCKET</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">note</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
socket - Crer un point de communication.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/><br/>

<b>int socket(int </b> domain <i>, int </i> type <b>, int </b> protocol );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>socket</b> <b></b>  cre un point de communication, et renvoie un descripteur.<br/><br/>
Le paramtre 
<i>domain</i> indique le domaine de communication pour le dialogue&nbsp;; ceci slectionne 
la famille de protocole  employer. Elles sont dfinies dans le fichier
<b>&lt;linux/socket.h&gt; .</b>
Les formats actuellement proposs sont&nbsp;:<br/><br/>
.TS
tab(:);
l l l.
Nom:Utilisation:Page
T{
<b>PF_UNIX</b> <b></b> ,<b>PF_LOCAL</b> <b></b>  T}:T{
Communication locale
T}:T{
<b>unix (7)</b>
T}
T{
<b>PF_INET</b> <b></b>  T}:IPv4 Protocoles Internet:T{
<b>ip (7)</b>
T}
T{
<b>PF_INET6</b> <b></b>  T}:IPv6 Protocoles Internet:
T{
<b>PF_IPX</b> <b></b>  T}:IPX - Protocoles Novell:                                                     
T{
<b>PF_NETLINK</b> <b></b>  T}:T{
Interface utilisateur noyau
T}:T{
<b>netlink (7)</b>
T}
T{
<b>PF_X25</b> <b></b>  T}:Protocole ITU-T X.25 / ISO-8208:T{
<b>x25 (7)</b>
T}
T{
<b>PF_AX25</b> <b></b>  T}:T{
Protocole AX.25 radio amateur
T}:
T{
<b>PF_ATMPVC</b> <b></b>  T}:Accs direct ATM PVCs:
T{
<b>PF_APPLETALK</b> <b></b>  T}:Appletalk:T{
<b>ddp (7)</b>
T}
T{
<b>PF_PACKET</b> <b></b>  T}:T{
Interface paquet bas-niveau
T}:T{
<b>packet (7)</b>
T}
.TE<br/><br/>
Les sockets ont le
<i>type ,</i>
indiqu, ce qui fixe la smantique des communications. Les types
dfinis actuellement sont&nbsp;:
<br/><br/>
 
<b>SOCK_STREAM</b> <b></b>  Support de dialogue garantissant l'intgrite, fournissant un flux de donnes
binaires, et intgrant un mcanisme pour les transmissions de donnes hors-bande.
<br/><br/>

<b>SOCK_DGRAM</b> <b></b>  Transmissions sans connexion, non garantie, de datagrammes de
longueur fixe, gnralement courte.
<br/><br/>

<b>SOCK_SEQPACKET</b> <b></b>  Dialogue garantissant l'intgrite, pour le transport de datagrammes
de longueur fixe. Le lecteur peut avoir  lire le paquet de
donnes complet  chaque appel-systme read.
<br/><br/>

<b>SOCK_RAW</b> <b></b>  Accs direct aux donnes rseau.
<br/><br/>

<b>SOCK_RDM</b> <b></b>  Transmission fiable de datagrammes, sans garantie de l'ordre de dlivrance.
<br/><br/>

<b>SOCK_PACKET</b> <b></b>  Obsolte,  ne pas utiliser dans les programmes actuels.
Voir
<b>packet (7).<br/><br/></b>
Certains types de sockets peuvent ne pas tre implments par toutes les familles de
protocoles. Par exemple,
<b>SOCK_SEQPACKET</b> <b></b>  n'est pas implment pour
<b>AF_INET .<br/><br/></b>
Le protocole  utiliser sur la socket est indiqu par l'argument
<i>protocol .</i>
Normalement il n'y a qu'un seul protocole par type de socket pour
une famille donne, auquel
cas l'argument
<i>protocol</i> peut tre nul.
Nanmoins rien ne s'oppose  ce que plusieurs protocoles existent, auquel
cas il est ncessaire de le spcifier.
Le numro de protocole dpend du domaine de communication de la
socket. Voir
<b>protocols (5).</b>
Voir
<b>getprotoent (3)</b>
pour savoir comment associer un nom de protocole  un numro.<br/><br/>
Une socket de type 
<b>SOCK_STREAM</b>
est un flux d'octets full-duplex, similaire aux tubes (pipes). Elle ne
prserve pas les limites d'enregistrements. Une socket SOCK_STREAM
doit tre dans un tat
<i>connect</i> avant que des donnes puisse y tre lues ou crites. Une connexion
sur une autre socket est tablie par l'appel systme
<b>connect (2).</b>
Une fois connecte les donnes y sont transmises par
<b>read (2)</b>
et
<b>write (2)</b>
ou par des variantes de
<b>send (2)</b>
et
<b>recv (2).</b>
Quand une session se termine, on referme la socket avec
<b>close (2).</b>
Les donnes hors-bande sont envoyes ou reues en utilisant
<b>send (2)</b>
et
<b>recv (2).<br/><br/></b>
Les protocoles de communication qui implmentent les sockets
<b>SOCK_STREAM</b> <b></b>  garantissent qu'aucune donne n'est perdue ou duplique.
Si un bloc de donnes, pour lequel le correspondant a suffisament de
place dans son buffer, n'est pas transmis correctement dans un dlai
raisonnable, la connexion est considre comme inutilisable.
Si l'option
<b>SO_KEEPALIVE</b> <b></b>  est active sur la socket, le protocole vrifie, d'une manire qui lui est
spcifique, si le correspondant est toujours actif.
Un signal 
<b>SIGPIPE</b> <b></b>  est envoy au processus tentant d'crire sur une socket inutilisable,
forant les programmes ne grant pas ce signal  se terminer.
Les sockets de type
<b>SOCK_SEQPACKET</b> <b></b>  emploient les mmes appels systmes que celles de types
<b>SOCK_STREAM</b> <b></b> ,<b></b>   la diffrence que la fonction
<b>read (2)</b>
ne renverra que le nombre d'octets requis, et toute autre donne
restante sera limine. De plus les frontires des messages seront
prserves.<br/><br/>
Les sockets de type
<b>SOCK_DGRAM</b> <b></b>  ou
<b>SOCK_RAW</b> <b></b>  permettent l'envoi de datagrammes aux correspondants indiqus dans l'appel systme
<b>send (2).</b>
Les datagrammes sont gnralement lus par la fonction
<b>recvfrom (2),</b>
qui fournit galement l'adresse du correspondant.<br/><br/>
Les sockets
<b>SOCK_PACKET</b> <b></b>  sont obsoltes. Elles servent  recevoir les paquets bruts directement
depuis le gestionnaire de priphrique. Utilisez plutt
<b>packet (7).<br/><br/></b>
Un appel  
<b>fcntl (2)</b>
avec l'argument
<b>F_SETOWN</b> <b></b>  permet de prciser un groupe de processus qui recevront un
signal
<b>SIGURG</b> <b></b>  lors de l'arrive de donnes hors-bande, ou le signal
<b>SIGPIPE</b> <b></b>  lorsqu'une connexion sur une socket
<b>SOCK_STREAM</b> <b></b>  se termine inopinment.
Cette fonction permet galement de valider des entres/sorties
non bloquantes, et une notification asynchrone des vnements par le signal
<b>SIGIO .</b>
L'utilisation de
<b>F_SETOWN</b> <b></b>  est quivalent  un appel
<b>ioctl (2)</b>
avec l'argument
<b>FSIOSETOWN</b> <b></b>  ou
<b>SIOCSPRGR .<br/><br/></b>
Lorsque le rseau indique une condition d'erreur au module du protocole
(par exemple l'utilisation d'un message ICMP au lieu d'IP), un drapeau
signale une erreur en attente sur la socket. L'opration suivante sur cette
socket renverra ce code d'erreur. Pour certains protocoles, il est possible
d'activer une file d'attente d'erreurs par socket. Pour plus de dtails, voir
<b>IP_RECVERR</b> <b></b>  dans
<b>ip (7).<br/><br/></b>
Les oprations sur les sockets sont reprsentes par des
<i>options</i>
du niveau socket.
Ces options sont dfinies dans
<i>sys/socket.h .</i>
Les fonctions
<b>setsockopt (2)</b>
et
<b>getsockopt (2)</b>
sont utilises respectivement pour fixer ou lire les options.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>socket</b>
retourne un descripteur rfrenant la socket cre en cas de russite.
En cas d'chec -1 est renvoy, et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPROTONOSUPPORT</b> <b></b>  Le type de protocole, ou le protocole lui-mme n'est pas disponible
dans ce domaine de communication.
<br/><br/>

<b>EAFNOSUPPORT</b> <b></b>  L'implmentation ne supporte pas le famille d'adresses indique.
<br/><br/>

<b>ENFILE</b> <b></b>  La table des descripteurs par processus est pleine.
<br/><br/>

<b>EMFILE</b> <b></b>  La table des fichiers est pleine.
<br/><br/>

<b>EACCES</b> <b></b>  La cration d'une telle socket n'est pas autorise.
<br/><br/>

<b>ENOBUFS </b> ou <b> ENOMEM</b>
Pas suffisament d'espace pour allouer les buffers ncessaires.
<br/><br/>

<b>EINVAL</b> <b></b>  Protocole inconnu, ou famille de protocole inexistante.<br/><br/>
D'autres erreurs peuvent tre dues aux modules de protocoles sous-jacents.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
BSD 4.4 (la fonction
<b>socket</b> <b></b>  est apparue dans BSD 4.2). Relativement portable vers les systmes
non-BSD supportant des clones des sockets BSD (y compris les variantes
de System V).
</div><br/><br /><h1 class="TitreSection0" id="L7">note</h1>
<div class="paragraph">
Les constantes explicites utilises sous BSD 4.* pour les familles de
de protocoles sont  PF_UNIX, PF_INET... et AF_UNIX... sont utilises
pour les familles d'adresses. Toutefois mme la page de manuel de BSD
indiquait "La famille de protocoles est gnralement la mme que la
famille d'adresse", et les standards ultrieurs utilisent AF_* partout.
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
<b>SOCK_UUCP</b> <b></b>  n'est pas encore implmente.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>accept (2), </b>
<b>bind (2), </b>
<b>connect (2),</b>
<b>fcntl (2),</b>
<b>getpeername (2),</b>
<b>getsockname (2),</b>
<b>getsockopt (2),</b>
<b>ioctl (2),</b>
<b>listen (2),</b>
<b>read (2),</b>
<b>recv (2),</b>
<b>select (2),</b>
<b>send (2),</b>
<b>shutdown (2),</b>
<b>socketpair (2),</b>
<b>write (2),</b>
<b>getprotoent (3),</b>
<b>ip (7),</b>
<b>socket (7),</b>
<b>tcp (7),</b>
<b>udp (7),</b>
<b>unix (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
