<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  Parts Copyright (c) 1995 Nicolai Langfeldt (janl@ifi.uio.no), 1/1/95 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Sat Jul 24 10:54:27 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Thu May 18 11:00:31 1995 by Rik Faith (faith@cs.unc.edu) -->
<!--           to add comments suggested by Todd Larason (jtl@molehill.org) -->
<!--   -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  mj 11/12/1997 (LDP man-pages 1.18) -->
<!--  Mise  jour 12/12/1998 - LDP-man-pages-1.21 -->
<!--  mj 09/04/1999 - LDP-man-pages-1.22 -->
<!--  mj 18/05/1999 (LDP man-pages 1.23) -->
<!--  mj 26/06/2000 (LDP man-pages 1.30) -->
<!--  mj 30/08/2000 (LDP man-pages 1.31) -->
<!--  mj 04/06/2001 (LDP man-pages 1.36) -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.37 -->
<!--   mj 16/01/2002 (LDP man-pages 1.38) -->
<!--   mj 18/07/2003 (LDP man-pages 1.56) -->
<br/><h1>STAT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">autres systmes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
stat, fstat, lstat - Obtenir le statut d'un fichier (file status).
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/stat.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int stat(const char *</b> file_name <i>, struct stat *</i> buf );
<br/>
<b>int fstat(int </b> filedes <i>, struct stat *</i> buf );
<br/>
<b>int lstat(const char *</b> file_name <i>, struct stat *</i> buf );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/>
Ces fonctions renvoient des informations  propos du fichier
indiqu. Vous n'avez besoin d'aucun droit d'accs au fichier
pour obtenir les informations, mais vous devez avoir le droit
de parcours de tous les rpertoires mentionns dans le
chemin menant au fichier.<br/><br/>
<b>stat</b> <b></b>  rcupre le statut du fichier point par
<i>file_name</i> et remplit le buffer
<i>buf .<br/><br/></i>
<b>lstat</b> <b></b>  est identique 
<b>stat ,</b>
sauf que dans le cas d'un lien symbolique, il donne l'tat du lien lui-mme
plutt que celui du fichier vis.<br/><br/>
<b>fstat</b> <b></b>  est identique 
<b>stat ,</b>
sauf que le fichier ouvert est point
par le descripteur
<i>filedes ,</i>
obtenu avec
<b>open(2) .<br/><br/><br/><br/></b>
Les trois fonctions retournent une structure
<i>stat</i> contenant les champs suivants :<br/><br/>
.RS

struct stat {
    dev_t         st_dev;      /* Priphrique                */
    ino_t         st_ino;      /* Numro i-noeud              */
    mode_t        st_mode;     /* Protection                  */
    nlink_t       st_nlink;    /* Nb liens matriels          */
    uid_t         st_uid;      /* UID propritaire            */
    gid_t         st_gid;      /* GID propritaire            */
    dev_t         st_rdev;     /* Type priphrique           */
    off_t         st_size;     /* Taille totale en octets     */
    blksize_t     st_blksize;  /* Taille de bloc pour E/S     */
    blkcnt_t      st_blocks;   /* Nombre de blocs allous     */
    time_t        st_atime;    /* Heure dernier accs         */
    time_t        st_mtime;    /* Heure dernire modification */
    time_t        st_ctime;    /* Heure dernier changement    */
};


<br/><br/>
Le champ
<i>st_size</i> indique la taille du fichier (s'il s'agit d'un fichier rgulier ou d'un lien 
symbolique) en octets. La taille d'un lien symbolique est la longueur de la
chane reprsentant le chemin d'accs qu'il vise, sans le caractre NUL final.<br/><br/>
La valeur
<i>st_blocks</i> donne la taille du fichier en blocs de 512 octets.
(Cette valeur peut tre plus petite que
<i>st_size /512</i>
par exemple si le fichier contient des trous).
La valeur
<i>st_blksize</i> indique la taille de bloc "prfre" pour les entres/sorties du systme
(l'criture dans un fichier par petits morceaux peut induire de nombreuses
tapes lecture-modification-criture peu efficaces).<br/><br/>
Les systmes de fichiers de Linux n'implmentent pas tous les
champs "time". Certains systmes de fichiers autorise le montage de telle
manire que les accs ne modifient pas le champ
<i>st_atime</i> (voir l'option `noatime' de
<b>mount (8)).</b>
 
Le champ
<i>st_atime</i> est modifi par les accs au fichier, c'est  dire avec
<b>exec (2),</b>
<b>mknod (2),</b>
<b>pipe (2),</b>
<b>utime (2)</b>
et
<b>read (2)</b>
(d'au moins un octet). D'autres routines, comme
<b>mmap (2),</b>
peuvent ou non mettre  jour ce champ
<i>st_atime .<br/><br/></i>
Le champ
<i>st_mtime</i> est modifi par des changements sur le fichier lui-mme, c'est  dire
<b>mknod (2),</b>
<b>truncate (2),</b>
<b>utime (2)</b>
et
<b>write (2)</b>
(d'au moins un octet).
D'autre part le champ
<i>st_mtime</i> d'un rpertoire est modifi lors de la cration ou la suppression de fichiers
en son sein.
Le champ
<i>st_mtime</i> n'est gnralement
<i>pas</i> mis  jour lors de modification de propritaire, groupe, mode ou nombre de liens physiques.<br/><br/>
Le champ
<i>st_ctime</i> est modifi lors d'une criture, une lecture, ou une modification de donnes
concernant l'i-noeud (propritaire, groupe, mode, etc...)<br/><br/>
Les macros POSIX suivantes sont fournies pour vrifier le type de fichier&nbsp;:
.RS
<br/><br/>
 1.2i
S_ISREG(m)
un fichier rgulier&nbsp;?
<br/><br/>

S_ISDIR(m)
un rpertoire&nbsp;?
<br/><br/>

S_ISCHR(m)
un pripherique en mode caractre&nbsp;?
<br/><br/>

S_ISBLK(m)
un priphrique en mode bloc&nbsp;?
<br/><br/>

S_ISFIFO(m)
une FIFO&nbsp;?
<br/><br/>

S_ISLNK(m)
est-ce un lien symbolique&nbsp;? (Pas dans POSIX.1-1996).
<br/><br/>

S_ISSOCK(m)
une socket&nbsp;? (Pas dans POSIX.1-1996).
<br/><br/>
Les attributs suivants correspondent au champ
<i>st_mode&nbsp;:<br/><br/><br/><br/></i>
.TS
l l l.
S_IFMT	00170000	masque du type de fichier
S_IFSOCK	0140000	socket
S_IFLNK	0120000	lien symbolique
S_IFREG	0100000	fichier rgulier
S_IFBLK	0060000	priphrique blocs
S_IFDIR	0040000	rpertoire
S_IFCHR	0020000	priphrique caractres
S_IFIFO	0010000	fifo
S_ISUID	0004000	bit Set-UID
S_ISGID	0002000	bit Set-Gid
S_ISVTX	0001000	bit "sticky"
S_IRWXU	00700	lecture/criture/excution du propritaire
S_IRUSR	00400	le propritaire a le droit de lecture
S_IWUSR	00200	le propritaire a le droit d'criture
S_IXUSR	00100	le propritaire a le droit d'excution
S_IRWXG	00070	lecture/criture/excution du groupe
S_IRGRP	00040	le groupe a le droit de lecture
S_IWGRP	00020	le groupe a le droit d'criture
S_IXGRP	00010	le groupe a le droit d'excution
S_IRWXO	00007	lecture/criture/excution des autres
S_IROTH	00004	les autres ont le droit de lecture
S_IWOTH	00002	les autres ont le droit d'criture
S_IXOTH	00001	les autres ont le droit d'excution
.TE<br/><br/>
Le bit Set-GID (S_ISGID) a plusieurs utilisations particulires&nbsp;:
pour un rpertoire, il indique que la smantique BSD doit tre applique
en son sein, c'est  dire que les fichiers qui y sont crs hritent leur
GID du rpertoire et non pas du GID effectif du processus crateur, et les
sous-rpertoire auront automatiquement le bit S_ISGID actif. Pour les fichiers
qui n'ont pas d'autorisation d'excution pour le groupe (S_IXGRP non actif),
ce bit indique qu'un verrouillage strict est en vigueur sur ce fichier.<br/><br/>
Le bit `sticky' (S_ISVTX) sur un rpertoire indique que les fichiers qui s'y
trouvent ne peuvent tre renomms ou effacs que par leur propritaire, par le
propritaire du rpertoire ou par root.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Ces fonctions
retournent zro si elles russissent.
En cas d'echec -1 est renvoy, et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <i>filedes</i> est un mauvais descripteur.
<br/><br/>

<b>ENOENT</b> <b></b>  Un composant de
<i>file_name</i> n'existe pas, ou il s'agit d'une chaine vide.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un composant du chemin d'accs n'est pas un rpertoire.
<br/><br/>

<b>ELOOP</b> <b></b>  Trop de liens symboliques rencontrs dans le chemin d'accs.
<br/><br/>

<b>EFAULT</b> <b></b>  Un pointeur se trouve en dehors de l'espace d'adressage.
<br/><br/>

<b>EACCES</b> <b></b>  Autorisation refuse.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  Nom de fichier trop long
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Les appels
<b>stat</b> <b></b>  et
<b>fstat</b> <b></b>  sont conformes aux versions SVr4, POSIX, X/OPEN, BSD 4.3. L'appel
<b>lstat</b>
est conforme aux versions BSD 4.3 et SVr4.
SVr4 mentionne des conditions d'erreurs supplmentaires pour
<b>fstat</b>
EINTR, ENOLINK, et EOVERFLOW.
Pour
<b>stat</b> <b></b>  et
<b>lstat</b> <b></b>  SVr4 indique les conditions supplmentaires EACCES, EINTR, EMULTIHOP, ENOLINK,
et EOVERLOW. L'utilisation des champs
<i>st_blocks</i> et
<i>st_blksize</i> risque d'tre moins portable. Ils ont t introduit dans BSD,
et ne sont pas mentionne dans POSIX. Leur interprtation change
suivant les systmes, voire sur un mme systme s'il y a des montages NFS.<br/><br/>
Posix ne dcrit pas les bits S_IFMT, S_IFSOCK, S_IFLNK, S_IFREG, S_IFBLK,
S_IFDIR, S_IFCHR, S_IFIFO, S_ISVTX, mais rclame d'utiliser les macros 
S_ISDIR(), etc. Les macros S_ISLKNK et S_ISSOCK ne se trouvent pas dans
POSI.1-1996 mais seront prsentes dans le prochain standard POSIX. La premire
vient de SVID 4v2, la seconde de SUSv2.<br/><br/>
Unix V7 (et les systmes suivants) propose S_IREAD, S_IWRITE, S_IEXEC, l o POSIX
prfre leurs synonymes S_IRUSR, S_IWUSR, S_IXUSR.
</div><br/><br /><h1 class="TitreSection0" id="L7">autres systmes</h1>
<div class="paragraph">
Voici quelques valeurs qui ont t (ou sont) utilises sur d'autres systmes<br/><br/>
.TS
l l l l l.
hex	nom	ls	octal	description
f000	S_IFMT		170000	Masque du type de fichier
0000			000000	SCO out-of-service inode, BSD unknown type
				SVID-v2 and XPG2 have both 0 and 0100000 for ordinary file
1000	S_IFIFO	p|	010000	fifo (tube nomm)
2000	S_IFCHR	c	020000	fichier spcial caractre (V7)
3000	S_IFMPC		030000	fichier spcial caractre multiplex (V7)
4000	S_IFDIR	d/	040000	rpertoire (V7)
5000	S_IFNAM		050000	fichier spcial nomm XENIX avec deux
				sous-types distingus par st_rdev valant 1 ou 2:
0001	S_INSEM	s	000001	sous-type smaphore de IFNAM XENIX
0002	S_INSHD	m	000002	sous-type donnes partages de IFNAM XENIX
6000	S_IFBLK	b	060000	fichier spcial bloc (V7)
7000	S_IFMPB		070000	fichier spcial bloc multiplex (V7)
8000	S_IFREG	-	100000	fichier normal (V7)
9000	S_IFCMP		110000	compress VxFS
9000	S_IFNWK	n	110000	fichier spcial rseau (HP-UX)
a000	S_IFLNK	l@	120000	lien symbolique (BSD)
b000	S_IFSHAD		130000	Fichier shadow Solaris pour l'ACL (invisible)
c000	S_IFSOCK	s=	140000	socket (BSD; aussi "S_IFSOC" sur VxFS)
d000	S_IFDOOR	D&gt;	150000	Solaris door
e000	S_IFWHT	w%	160000	BSD whiteout (non utilis pour les inoeuds)
 
0200	S_ISVTX		001000	`sticky bit': garder en mmoire aprs excution (V7)
				rserv (SVID-v2)
				non-rpertoires : ne pas swapper le fichier (SunOS)
				rpertoires : restrictions d'effacement (SVID-v4.2)
0400	S_ISGID		002000	Utiliser l'ID du groupe  l'excution (V7)
				rpertoires : smantique BSD propageant le GID
0400	S_ENFMT		002000	Verrouillage strict Systme V (partage S_ISGID)
0800	S_ISUID		004000	Utiliser l'ID utilisateur  l'excution (V7)
0800	S_CD		004000	Fichier rpertoire dpendant du contexte (HP-UX)
.TE
Une commande sticky est apparue dans la version 32V d'AT&T UNIX.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>chmod (2),</b>
<b>chown (2),</b>
<b>readlink (2),</b>
<b>utime (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
