<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  mj 11/12/1997 (LDP man-pages 1.18) -->
<!--  Mise  jour 12/12/1998 - LDP-man-pages-1.21 -->
<!--  Mise  jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>SYMLINK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
symlink - Crer un nouveau nom pour un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int symlink(const char *</b> cible <i>, const char *</i> nom );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>symlink</b> <b></b>  cre un lien symbolique avec le
<i>nom</i> indiqu, et qui pointe sur la
<i>cible .<br/><br/></i>
Les liens sont interprts  l'excution, comme si le contenu du
lien tait remplac par le chemin d'accs pour trouver un fichier ou
un rpertoire.<br/><br/>
Les liens symboliques peuvent contenir les composants
<b>. </b> et <b> ..</b>
pour le chemin, qui (s'ils sont utiliss au dbut du lien) se
rfrent au rpertoire o le lien rside et  son rpertoire parent.<br/><br/>
Un lien symbolique (aussi nomme soft link) peut pointer vers un fichier
existant ou sur un fichier non-existant.<br/><br/>
Les permissions d'accs  un lien symbolique sont sans importance,
le propritaire est ignor lorsque l'on suit le lien, il n'est
vrifi que pour supprimer ou renommer le lien si celui ci se
trouve dans un rpertoire avec le Sticky-Bit positionn.<br/><br/>
Si le
<i>nom</i> existe il ne sera 
<i>pas</i> cras.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>symlink</b> <b></b>  renvoie zro s'il russit ou -1 s'il choue auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPERM</b> <b></b>  le systme de fichier contenant le
<i>nom</i> ne permet pas la cration de liens symboliques.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>oldpath </i> ou <i> newpath </i> pointent en dehors de l'espace d'adressage accessible.<i></i>
<br/><br/>

<b>EACCES</b> <b></b>  L'criture dans le rpertoire du
<i>nom</i> est interdite
pour l'UID effectif du processus, ou l'un des rpertoire composant le
<i>nom</i> ne permet pas l'excution.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>cible </i> ou <i> nom </i> est trop long.<i></i>
<br/><br/>

<b>ENOENT</b> <b></b>  Un rpertoire dans le chemin
<i>nom</i> n'existe pas ou est un lien symbolique pointant nulle part. Ou encore
<i>cible</i> est une chane vide.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un composant du chemin d'accs
<i>nom</i>
n'est pas un rpertoire.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
<br/><br/>

<b>EROFS</b> <b></b>  Le fichier est sur un systme de fichiers en lecture seule.
<br/><br/>

<b>EEXIST</b> <b></b>  Le
<i>nom</i> existe dj.
<br/><br/>

<b>ELOOP</b> <b></b>  Le
<i>nom</i>
contient une rfrence circulaire ( travers un lien symbolique).
<br/><br/>

<b>ENOSPC</b> <b></b>  Le priphrique n'a plus assez de place pour une entre de rpertoire.
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie bas-niveau s'est produite.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Il n'y a pas de vrification de l'existence de la
<i>cible .<br/><br/></i>
Effacer le nom rfrenant un lien symbolique effacera effectivement
le fichier ( moins qu'il ait d'autres liens matriels). Si ce 
comportement est indsirable, utiliser
<b>link .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, BSD 4.3. SVr4 mentionne des codes d'erreur supplmentaires
EDQUOT, et ENOSYS.
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Voir
<b>open (2)</b>
concernant les multiples fichiers avec le mme nom, et NFS.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>link (2),</b>
<b>readlink (2),</b>
<b>unlink (2),</b>
<b>rename (2),</b>
<b>open (2),</b>
<b>lstat (2),</b>
<b>ln(1).</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
