<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1995, Thomas K. Dyas &lt;tdyas@eden.rutgers.edu&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Created   Wed Aug  9 1995     Thomas K. Dyas &lt;tdyas@eden.rutgers.edu&gt; -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 04/06/2001 LDP-man-pages-1.36 -->
<!--  mj 18/07/2003 LDP-man-pages-1.56 -->
<br/><h1>SYSFS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sysfs - Obtenir des informations sur les types de systmes de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>int sysfs(int </b> option <i>, const char * </i> fsname );<br/><br/>
<b>int sysfs(int </b> option <i>, unsigned int </i> fs_index <b>, char * </b> buf );<br/><br/>
<b>int sysfs(int </b> option );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>sysfs</b> <b></b>  renvoie les informations concernant les types de systmes de fichiers connus
par le noyau. La forme exacte de l'appel 
<b>sysfs</b> <b></b>  et les informations renvoyes dpendent de l'argument
<i>option </i> :<i><br/><br/></i>
<br/><br/>

<b>1</b> <b></b>  Traduit la chane d'identificateur de systme de fichiers
<i>fsname</i> en un index.
<br/><br/>

<b>2</b> <b></b>  Traduit l'index de type de systme de fichiers
<i>fs_index</i> en une chane de caractres termine par un caractre nul.
La chaine sera crite dans le buffer point par
<i>buf .</i>
Assurez vous que
<i>buf</i> contient suffisament de place pour la chane entire.
<br/><br/>

<b>3</b> <b></b>  Retourne le nombre total de types de systmes de fichiers
reconnus par le noyau.<br/><br/><br/><br/>
La numrotation des index de systmes de fichiers commence  zro.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'il russit
<b>sysfs</b> <b></b>  renvoie l'index du systme de fichiers pour l'option
<b>1 ,</b>
zro pour l'option
<b>2 ,</b>
et le nombre de systmes de fichiers connus pour l'option
<b>3 .</b>
En cas d'erreur, -1 est renvoy et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 
<b>EINVAL</b> <b></b>  <i>fsname</i> n'est pas un identificateur de systme de fichiers.
<i>fs_index</i> est hors limite.
<i>option</i> est invalide
<br/><br/>

<b>EFAULT</b> <b></b>  fsname <i> ou </i> buf</i>
pointent en dehors de l'espace d'adressage accessible.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Sous Linux, lorsque le pseudo systme de fichiers
<i>proc</i> est mont, les mmes informations peuvent tre obtenues depuis
<i>/proc/filesystems .</i>
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Il n'y a pas de support dans la libc ou la GlibC. On ne peut
pas savoir de quelle taille est <i>buf</i>.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
