<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1995 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Written 11 June 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--   -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  maj 09/04/99 - LDP-man-pages-1.22 -->
<!--  Mise a Jour 20/01/2002 - LDP-man-pages-1.47 -->
<!--  Mise a Jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>SYSLOG</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
syslog, klogctl - Lire et/ou effacer les buffers circulaires de messages du noyau.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

/* L'interface GlibC */
<br/>
<b>#include</b> <b></b>  <b>&lt;sys/klog.h&gt;"</b> <b></b>  <br/><br/>

<b>int klogctl(int </b> type <i>, char *</i> bufp <b>, int </b> len );
<br/><br/>

/* L'appel-systme dclar  la main */
<br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>#include</b> <b></b>  <b>&lt;linux/unistd.h&gt;</b> <b></b>  <br/><br/>

<b>_syscall3(int</b> <b></b> ,<b></b>  <b>syslog</b> <b></b> ,<b></b>  <b>int</b> <b></b> ,<b></b>  <b>type</b> <b></b> ,<b></b>  <b>char</b> <b></b>  <b>*</b> <b></b> ,<b></b>  <b>bufp</b> <b></b> ,<b></b>  <b>int</b> <b></b> ,<b></b>  <b>len);</b> <b></b>  <br/><br/>

<b>int syslog(int </b> type <i>, char *</i> bufp <b>, int </b> len );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette fonction n'est probablement pas celle qui vous intresse,
regardez plutot
<b>syslog (3)</b>
pour l'interface avec la bibliothque C. Cette page ne documente
que l'interface directe de l'appel-systme avec le noyau.<br/><br/>
L'argument <i>type</i> dtermine l'action effectue par cette fonction.<br/><br/>
Extrait de
<i>kernel/printk.c :</i>

/*
 * Commandes de sys_syslog:
 *
 *   0 -- Fermer le journal (actuellement NOP)
 *   1 -- ouvrir le journal (actuellement NOP)
 *   2 -- Lire depuis le journal
 *   3 -- Lire jusqu'a 4Ko des derniers messages du buffer circulaire.
 *   4 -- Lire et effacer les 4Ko derniers messages du buffer circulaire.
 *   5 -- Vider le buffer circulaire
 *   6 -- Dsactiver printk sur la console
 *   7 -- Activer printk sur la console
 *   8 -- Indiquer le niveau des messages  afficher sur la console.
 *   9 -- Renvoie le nombre de caractres non lus dans le buffer.
 */

<br/><br/>
Seule la fonction 3 est autorise pour les processus non Super-User.
(La fonction 9 a t ajoute dans le 2.4.10)<br/><br/>
<b>Le</b> <b></b>  <b>buffer</b> <b></b>  <b>de</b> <b></b>  <b>journalisation</b> <b></b>  <b>du</b> <b></b>  <b>noyau.</b> <b></b>  <br/>
Le noyau dispose d'un buffer circulaire d'une longueur LOG_BUF_LEN
(4096  l'origine, 8192 depuis le 1.3.54, et 16384 depuis la version 2.1.113)
dans laquelle il stocke les messages reus par la fonction <i>printk</i>().
Ce buffer est le journal du systme.<br/><br/>
L'appel
<b>syslog</b> <b></b>  (2, buf , len )</i>
attend que ce journal soit non vide, puis lit au plus <i>len</i> 
octets qu'il place dans le buffer <i>buf</i>. Il renvoie le
nombre d'octets lus. Les octets lus sont extraits du journal&nbsp;:
les informations ne peuvent tre lues qu'une seule fois.
C'est la fonction excute par le noyau quand un programme
utilisateur lit
<i>/proc/kmsg .<br/><br/></i>
L'appel
<b>syslog</b> <b></b>  (3, buf , len )</i>
lit les <i>len</i> dernier octets depuis le journal (de manire non destructive).
Il ne lira pas plus que ce qui a t crit dans le buffer depuis la
dernire commande de lecture destructrice.
Il renvoie le nombre d'octets lus.<br/><br/>
L'appel
<b>syslog</b> <b></b>  (4, buf , len )</i>
effectue la mme chose puis vide le buffer.<br/><br/>
L'appel
<b>syslog</b> <b></b>  (5, dummy , idummy )</i>
vide uniquement le buffer.<br/><br/>
<b>le</b> <b></b>  <b>niveau</b> <b></b>  <b>de</b> <b></b>  <b>journalisation</b> <b></b>  <b>(loglevel)</b> <b></b>  <br/>
La routine du noyau <i>printk</i>() n'crira un message sur la console
que si celui-ci a un niveau de journalisation infrieur  la valeur
de la variable
<i>console_loglevel</i> (initialement DEFAULT_CONSOLE_LOGLEVEL (7), mais augment  10
si la ligne de commande du noyau contient le mot `debug', et  
15 si une faute du noyau se produit - en ralite les valeurs
10 et 15 sont idiotes et n'apportent rien de plus que 8).
Cette variable est positionne (dans l'intervalle 1-8) par l'appel
<b>syslog</b> <b></b>  (8, dummy , value ).</i>
L'appel
<b>syslog</b> <b></b>  ( type , dummy , idummy )</i>
avec <i>type</i> 
gal  6 ou 7 la positionne  1 (seulement les messages kernel panics)
ou 7 (tout sauf les messages de dbugging), respectivement.<br/><br/>
Chaque ligne de texte dans un message a son propre niveau de journalisation.
Ce niveau est DEFAULT_MESSAGE_LOGLEVEL - 1 (6) 
 moins que la ligne ne commence par &lt;d&gt;
o <i>d</i> est un chiffre dans l'intervalle 1-7.
La signification conventionnelle des niveaux de journalisation est
dfinie dans
<i>&lt;linux/kernel.h&gt;</i> comme suit :<br/><br/>

#define KERN_EMERG    "&lt;0&gt;"  /* systme inutilisable             */
#define KERN_ALERT    "&lt;1&gt;"  /* action  effectuer immdiatement */
#define KERN_CRIT     "&lt;2&gt;"  /* conditions critiques             */
#define KERN_ERR      "&lt;3&gt;"  /* conditions d'erreurs             */
#define KERN_WARNING  "&lt;4&gt;"  /* message d'avertissement          */
#define KERN_NOTICE   "&lt;5&gt;"  /* normal mais significatif         */
#define KERN_INFO     "&lt;6&gt;"  /* informations                     */
#define KERN_DEBUG    "&lt;7&gt;"  /* messages de dbugging            */

<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas d'erreur -1 est renvoy et <i>errno</i> contient le
code d'erreur.
En cas de russite
<b>syslog</b>() renvoie le nombre d'octets lus
pour <i>type</i> valant 2, 3 ou 4, 
et 0 sinon.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPERM</b> <b></b>  Une tentative de changer console_loglevel ou d'effacer le
buffer circulaire du noyau par un processus sans les privilges
Super-User.
<br/><br/>

<b>EINVAL</b> <b></b>  Mauvais paramtres
<br/><br/>

<b>ERESTARTSYS</b> <b></b>  L'appel-systme a t interrompu par un signal - rien n'a t lu.
(Ceci ne peut tre vu que pendant un suivi de processus).
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Cet appel systme est spcifique Linux et ne doit pas tre employ dans
des programmes destins  tre portables.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Depuis longtemps des gens trouvent regrettable qu'un appel-systme du
noyau et une routine de bibliothque aient le mme nom bien qu'ils
n'aient pas de rapports entre eux.
Dans les libc4 et libc5 le numro de cet appel-systme tait dfini par
<b>SYS_klog .</b>
Dans la GlibC 2.0, l'appel-systme est nomm
<b>klogctl .</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>syslog (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
