<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)truncate.2	6.9 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Sat Jul 24 12:46:33 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  Mise a Jour 18/05/99 - LDP-man-pages-1.23 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 30/08/2000 LDP 1.30 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>TRUNCATE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
truncate, ftruncate - Tronquer un fichier  une longueur donne.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/><br/>

<b>int truncate(const char *</b> path <i>, off_t </i> length );
<br/>
<b>int ftruncate(int </b> fd <i>, off_t </i> length );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les appels
<b>truncate</b> <b></b>  et
<b>ftruncate</b> <b></b>  tronquent le fichier rfrenc par
<i>path</i> ou par le descripteur
<i>fd</i>  une longueur maximale de
<i>length</i> octets.<br/><br/>
Si le fichier tait plus long, les donnes supplmentaires sont perdues.
Si le fichier tait plus court, il est tendu, et
la portion supplmentaire est remplie de zros.<br/><br/>
Le pointeur de position n'est pas modifi.<br/><br/>
Si la taille est modifie, les champs ctime et mtime du fichier sont
mis  jour, et les bits Set-UID et Set-GID sont effacs.<br/><br/>
Avec
<b>ftruncate ,</b>
le fichier doit tre ouvert en criture&nbsp;; avec
.BT truncate ,
il doit tre accessible en criture.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>truncate ,</b>
et
<b>ftruncate</b>
renvoient 0 s'ils russissent et -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Pour
<b>truncate :</b>
<br/><br/>

<b>EACCES</b> <b></b>  Le fichier n'est pas accessible en criture, ou un lment du chemin
d'accs ne permet pas le parcours.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>Path</i> pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EFBIG</b> <b></b>  L'argument
<i>length</i> dpasse la taille maximum d'un fichier.
<br/><br/>

<b>EINTR</b> <b></b>  Un signal a t captur durant l'excution.
<br/><br/>

<b>EINVAL</b> <b></b>  L'argument
<i>length</i> est ngatif ou plus grand que la taille maximale d'un fichier.
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie bas niveau s'est produite.
<br/><br/>

<b>EISDIR</b> <b></b>  Le fichier est en ralit un rpertoire
<br/><br/>

<b>ELOOP</b> <b></b>  Le chemin contient une rfrence circulaire ( travers un lien symbolique)
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  Un composant du chemin dpasse 255 caractres ou
le chemin complet dpasse 1023 caractres.
<br/><br/>

<b>ENOENT</b> <b></b>  Le fichier n'existe pas
<br/><br/>

<b>ENOTDIR</b> <b></b>  un composant du chemin d'accs n'est pas un rpertoire
<br/><br/>

<b>EROFS</b> <b></b>  Le fichier se trouve sur un systme de fichiers en lecture seule.
<br/><br/>

<b>ETXTBSY</b> <b></b>  Le fichier est un programme actuellement en cours d'excution.<br/><br/>
Pour
<b>ftruncate</b>
les mmes erreurs sont possibles, sauf qu'au lieu des problmes avec
<i>path ,</i>
on peut en avoir avec
<i>fd </i> :<i></i>
<br/><br/>

<b>EBADF</b> <b></b>  L'argument
<i>fd</i> n'est pas un descripteur valide.
<br/><br/>

<b>EBADF </b> ou <b> EINVAL</b>
L'argument
<i>fd</i> n'est pas ouvert en criture.
<br/><br/>

<b>EINVAL</b> <b></b>  L'argument
<i>fd</i> n'est pas un descripteur de fichier normal.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
BSD 4.4, SVr4 (cette fonction est apparue dans BSD 4.2).
POSIX 1003.1-1996 dcrit
<b>ftruncate .</b>
POSIX 1003.1-2001 dcrit aussi
<i>truncate ,</i>
en tant qu'extension XSI.<br/><br/>
SVr4 mentionne des conditions d'erreurs supplmentaires pour
<b>truncate</b>
EMFILE, EMULTIHOP, ENFILE, ENOLINK. La version SVr4 de
<b>ftruncate</b>
dispose de l'erreur supplmentaire EAGAIN.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
La description ci-dessus est celle des systmes compatibles XSI.
Pour les systmes non compatiables,le standard POSIX autorise
deux comportements pour
<b>ftruncate</b> <b></b>  quand
<i>length</i> dpasse la longueur du fichier
(notez que
<b>truncate</b> <b></b>  n'est pas du tout spcifi dans un tel environnement)&nbsp;:
soit renvoyer une erreur, soit tendre le fichier.
(La plupart des Unix suivent le comportement XSI).
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>open (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
