<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Sat Jul 24 13:00:50 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  mj 11/12/1997 (LDP man-pages 1.18) -->
<!--  Mise  jour 12/12/1998 - LDP-man-pages-1.21 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>UNLINK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
unlink - Dtruire un nom et ventuellement le fichier associ.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int unlink(const char *</b> pathname );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>unlink</b> <b></b>  dtruit un nom dans le systme de fichiers. Si ce nom tait le
dernier lien sur un fichier, et si aucun processus n'a ouvert ce fichier,
ce dernier est effac, et l'espace qu'il utilisait est rendu disponible.<br/><br/>
Si le nom tait le dernier lien sur un fichier, mais qu'un
processus conserve encore le fichier ouvert, celui continue d'exister
jusqu' ce que le dernier descripteur le rfrenant soit ferm.<br/><br/>
Si le nom correspond  un lien symbolique, le lien est effac.<br/><br/>
Si le nom correspond  une socket, une Fifo, ou un priphrique,
le nom est effac mais les processus qui ont ouvert l'objet
peuvent continuer  l'utiliser.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>unlink</b> <b></b>  renvoie 0 s'il russit ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EACCES</b> <b></b>  L'accs en criture au rpertoire contenant
<i>pathname</i> n'est pas autoris pour l'UID effectif du processus, ou bien
l'un des rpertoires de
<i>pathname</i>
n'autorise pas le parcours.
<br/><br/>

<b>EPERM </b> ou <b> EACCESS</b>
Le rpertoire contenant
<i>pathname</i> a son Sticky-Bit  1, et l'UID effectif du processus n'est
ni celui du fichier ni celui du rpertoire.
<br/><br/>

<b>EPERM </b> (spcifique Linux)<b></b>
Le systme de fichiers ne permet pas la destruction avec unlink.
<br/><br/>

<b>EPERM</b> <b></b>  Le systme ne permet pas la destruction des rpertoires avec unlink, ou
cette destruction ncessite des privilges que le processus appelant
n'a pas.
(Il s'agit d'une erreur conseille par POSIX).
<br/><br/>

<b>EISDIR</b> <b></b>  <i>pathname </i> est un rpertoire.<i></i>
(Il s'agit d'une erreur non-POSIX renvoye par Linux depuis le 2.1.132).
<br/><br/>

<b>EBUSY </b> (spcifique Linux)<b></b>
Le fichier
<i>pathname</i> ne peut pas tre dtruit avec unlink car il est utilis par le systme ou
par un autre processus, et l'implmentation considre que c'est une erreur.
<br/><br/>
 
<b>EFAULT</b> <b></b>  <i>pathname </i> pointe en dehors de l'espace d'adressage accessible<i></i>
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>pathname </i> est trop long.<i></i>
<br/><br/>

<b>ENOENT</b> <b></b>  Un rpertoire dans le chemin d'accs
<i>pathname</i> n'existe pas ou est un lien symbolique pointant nulle part.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs
<i>pathname</i> n'est pas un rpertoire.
<b>ENOMEM</b> <b></b>  pas assez de mmoire pour le noyau
<br/><br/>

<b>EROFS</b> <b></b>  <i>pathname</i> est plac sur un systme de fichiers en lecture seule.
<br/><br/>

<b>ELOOP</b> <b></b>  Trop de liens symboliques dans le chemin d'accs
<i>pathname .</i>
<br/><br/>

<b>EIO</b> <b></b>  une erreur d'entre/sortie bas-niveau s'est produite.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, X/OPEN, BSD 4.3. SVr4 mentionne les conditions
d'erreur supplmentaires  EINTR, EMULTIHOP, ETXTBSY, ENOLINK.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Des problmes dans le protocole sous-jacent  NFS peuvent
causer la disparition inattendue de fichiers encore en
utilisation.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>link (2),</b>
<b>rename (2),</b>
<b>open (2),</b>
<b>rmdir (2),</b>
<b>mknod (2),</b>
<b>mkfifo (3),</b>
<b>remove (3),</b>
<b>rm (1).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
