.\" Hey Emacs! This file is -*- nroff -*- source.
.\"
.\" Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992
.\"
.\" Permission is granted to make and distribute verbatim copies of this
.\" manual provided the copyright notice and this permission notice are
.\" preserved on all copies.
.\"
.\" Permission is granted to copy and distribute modified versions of this
.\" manual under the conditions for verbatim copying, provided that the
.\" entire resulting derived work is distributed under the terms of a
.\" permission notice identical to this one
.\" 
.\" Since the Linux kernel and libraries are constantly changing, this
.\" manual page may be incorrect or out-of-date.  The author(s) assume no
.\" responsibility for errors or omissions, or for damages resulting from
.\" the use of the information contained herein.  The author(s) may not
.\" have taken the same level of care in the production of this manual,
.\" which is licensed free of charge, as they might when working
.\" professionally.
.\" 
.\" Formatted or processed versions of this manual, if unaccompanied by
.\" the source, must acknowledge the copyright and authors of this work.
.\"
.\" Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de)
.\" Modified Sat Jul 24 14:34:48 1993 by Rik Faith (faith@cs.unc.edu)
.\" Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr)
.\" Mise a Jour 15/04/97
.\" mj 26/06/2000 LDP 1.30
.\" mj 18/07/2003 LDP 1.56
.TH USELIB 2 "18 juillet 2003" LDP "Manuel du programmeur Linux"
.SH NOM
uselib \- Slectionner une bibliothque partage.
.SH SYNOPSIS
.B #include <unistd.h>
.sp
.BI "int uselib(const char *" library );
.SH DESCRIPTION
\fBuselib\fP slectionne la bibliothque partage
dont le fichier binaire est
.I library
pour qu'elle soit utilise par le processus appelant.
.SH "VALEUR RENVOYE"
.B uselib
renvoie 0 s'il russit, \-1 s'il choue auquel cas
.I errno
contient le code d'erreur.
.SH ERREURS
En plus de toutes les erreurs dclenches par
.BR open (2)
et
.BR mmap (2),
les suivantes peuvent se produire\ :
.TP
.B ENOEXEC
Le fichier dcrit par
.I library
n'est pas excutable ou n'a pas le bon nombre magique.
.TP
.B EACCES
La bibliothque indique par
.I library
n'est pas accessible en lecture.
.SH "CONFORMIT"
\fBuselib()\fP est spcifique  Linux et ne doit pas tre employ
dans des programmes destins  tre portables.
.SH "VOIR AUSSI"
.BR ar (1),
.BR gcc (1),
.BR ld (1),
.BR ldd (1),
.BR mmap (2),
.BR open (2),
.BR ld<?php include ("../(8)..php"); ?>.SH TRADUCTION
Christophe Blaess, 1996-2003.
