<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 19/07/1997 -->
<!--  Mise a jour 18/07/2003 LDP-1.56 -->
<br/><h1>VM86</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
vm86old, vm86 - Entrer en mode 8086 virtuel.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/vm86.h&gt;</b> <b></b>  <br/><br/>

<b>int vm86old (struct vm86_struct * </b> info );
<br/><br/>

<b>int vm86 (unsigned long </b> fn <i>, struct vm86plus_struct * </i> v86 );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'appel systme
<b>vm86</b> <b></b>  a t introduit dans Linux 0.97p2.
Depuis Linux 2.1.15 et 2.0.28 il a t renomm en
<b>vm86old ,</b>
et un nouvel appel
<b>vm86</b> <b></b>  a t introduit.
La dfinition de la structure `struct vm86_struct' a t modifie dans
Linux 1.1.8 et 1.1.9.<br/><br/>
Ces appels permettent au processus d'entrer en mode VM86, et sont
utiliss par
<b>dosemu .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>vm86</b> <b></b>  renvoie 0 s'il russit, ou -1 s'il choue auquel cas
<i>errno</i> contient le code d'erreur
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
(pour 
<b>vm86old )</b>
<br/><br/>
 
<b>EPERM</b> <b></b>  Il existe une pile sauvegarde du noyau. (C'est une vrification de
l'tat du systme, une pile sauvegarde ne devrait exister que dans
le mode vm86 lui-mme).
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Cet appel systme est spcifique  Linux sur les processeurs Intel, et
ne doit pas tre utilis dans des programmes destins  tre portables.
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
