<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Mon Mar 29 22:39:41 1993, David Metcalfe -->
<!--  Modified Sat Jul 24 21:38:42 1993, Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 22/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>ATOI</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
atoi,atol, atoll, atoq - Conversion d'une chane en entier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>int atoi (const char *</b> nptr );
<br/>
<b>long atol(const char *</b> nptr );
<br/>
<b>long long atoll(const char *</b> nptr );
<br/>
<b>long long atoq(const char *</b> nptr );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>atoi()</b> convertit le dbut de la chane pointe 
par <i>nptr</i> en entier de type <i>int</i>.  Le rsultat est identique
 un appel
<br/><br/>

.RS
<b>strtol(nptr</b> <b></b> ,<b></b>  <b>(char</b> <b></b>  <b>**)NULL</b> <b></b> ,<b></b>  <b>10);</b> <b></b>  
<br/><br/>

 la diffrence que <b>atoi()</b> ne dtecte pas d'erreur.<br/><br/>
Les fonctions <b>atol()</b> et <b>atoll()</b> se comportent comme <b>atoi()</b>,
sauf qu'elles convertissent la portion initiale de la chane dans leur
type de retour <i>long</i> ou <i>long long</i>.
<b>atoq()</b> est un nom obsolte pour <b>atoll()</b>.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Le rsultat de la conversion.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
SVID 3, POSIX, BSD 4.3, ISO/IEC 9899. ISO/IEC 9899:1990 (C89) et POSIX.1
(dition 1996) incluent les fonctions <b>atoi()</b> et <b>atol()</b>.
C99 ajoute la fonction <b>atoll()</b>.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
La fonction non-standard <b>atoq()</b> n'est pas prsente dans la LibC 4.6.27
ni dans la GlibC 2, mais est prsente dans LibC 5 et LibC 4.7 (bien que ce
ne soit qu'une fonction inline dans <b>&lt;stdlib.h&gt;</b> jusqu'a LibC 5.4.44).
La fonction <b>atoll()</b> est prsente dans la GlibC 2 depuis 2.0.2, mais
pas dans LibC 4 ou Libc4.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>atof (3),</b>
<b>strtod (3),</b>
<b>strtol (3),</b>
<b>strtoul (3) </b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
