<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 21:29:05 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 22/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 21/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>BYTEORDER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
byteorder, htonl, htons, ntohl, ntohs - Conversions d'ordre des octets entre un hte et un rseau.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;netinet/in.h&gt;</b> <b></b>  <br/><br/>

<b>uint32_t htonl (uint32_t </b> hostlong );
<br/><br/>

<b>uint16_t htons (uint16_t </b> hostshort );
<br/><br/>

<b>uint32_t ntohl (uint32_t </b> netlong );
<br/><br/>

<b>uint16_t ntohs (uint16_t </b> netshort );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>htonl()</b> convertit un entier non-sign <i>hostlong</i> depuis
l'ordre des octets de l'hte vers celui du rseau.<br/><br/>
La fonction <b>htons()</b> convertit un entier court non-sign <i>hostshort</i> depuis
l'ordre des octets de l'hte vers celui du rseau.<br/><br/>
La fonction <b>ntohl()</b> convertit un entier non-sign <i>netlong</i> depuis
l'ordre des octets du rseau vers celui de l'hte.<br/><br/>
La fonction <b>ntohs()</b> convertit un entier court non-sign <i>netshort</i> depuis
l'ordre des octets du rseau vers celui de l'hte.<br/><br/>
Sur les i80x86, l'ordre des octets de l'hte est LSB (Least Significant Byte
first), c'est  dire octet de poids faible en premier, alors que sur
les rseaux, notamment l'Internet, l'ordre est MSB (Most
Significant Byte first) octet de poids fort en premier.
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>gethostbyname (3),</b>
<b>getservent (3)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
