<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 Walter Harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  21/07/2003 - LDP-1.57 -->
<!--  -->
<br/><h1>CARG</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
carg, cargf, cargl - Fonctions arguments de nombres complexes.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;complex.h&gt;</b> <b></b>  <br/><br/>

<b>double carg(double complex </b> z <b>);</b></b>
<br/><br/>

<b>float cargf(float complex </b> z <b>);</b></b>
<br/><br/>

<b>long double cargl(long double complex </b> z <b>);</b></b>
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Un nombre complexe peut tre dcrit par deux cordonnes relles.<br/><br/>
On peut utiliser les coordonnes rectangulaires et avoir z&nbsp;=&nbsp;x+iy,
o x&nbsp;=&nbsp;creal(z) et y&nbsp;=&nbsp;cimag(z).<br/><br/>
On peut aussi utiliser les coordonnes polaires et avoir z&nbsp;=&nbsp;r*cexp&nbsp;(i*a),
o r&nbsp;=&nbsp;cabs(z) est l'argument (le rayon, la valeur absolue) de
<i>z ,</i>
et a&nbsp;=&nbsp;carg(z) est le module (l'angle de phase) de z.<br/><br/>
On a carg(z)&nbsp;=&nbsp;atan(creal(z)/cimag(z)).
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La valeur renvoye est dans l'intervalle [-pi,pi].
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
C99
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>cabs (3),</b>
<b>complex (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
