<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 Mitchum DSouza &lt;m.dsouza@mrc-applied-psychology.cambridge.ac.uk&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  -->
<!--  Traduction 22/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>CATGETS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
catgets - Obtenir un message contenu dans un catalogue.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph"><br/><br/>

.ft B
#include &lt;nl_types.h&gt;
.ft

<br/><br/>
<b>char *catgets (nlcatd </b> catalog <i>, int </i> set_number
<b>, int </b> message_number <i>, char *</i> message )
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>catgets()</b> <b></b>  lit le message numro
<i>message_number ,</i>
dans la section
<i>set_number ,</i>
d'un catalogue de messages identifi par
<i>catalog .</i>
Ce dernier est un descripteur qui doit avoir t renvoy par
un appel prcdent 
<b>catopen (3).</b>
Le quatrime argument,
<i>message</i> pointe sur une chane de caractres par dfaut qui sera renvoye par
<b>catgets()</b> <b></b>  si le catalogue indiqu n'est pas accessible.
Le texte du message renvoy est contenu dans une zone de buffer interne, et
doit tre recopi par l'application si l'on dsire le modifier, ou le
sauvegarder.
La chaine renvoye se termine toujours par un caractre nul.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph"><br/><br/>
S'il russit,
<b>catgets()</b> <b></b>  renvoie un pointeur sur un buffer interne contenant le message, termin par
un caractre nul.
S'il choue,
<b>catgets()</b> <b></b>  renvoie un pointeur sur l'argument
<i>message .</i>
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Ces fonctions ne sont disponibles qu' partir de la version 4.4.4c de libc.so.
Le Guide de Portabilit X/Open de Janvier 1987 indique un retour d'erreur
plus subtile : 
<i>message</i> est renvoy si le catalogue indiqu par l'argument
<i>catalog</i> n'est pas disponible, et une chane vide si le
catalogue est disponible mais ne contient pas le message demand.
Les deux retours d'erreurs semblent avoir t limins de XPG4.2
en faveur d'un retour constant de
<i>message .</i>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
XPG4.2
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>catopen (3),</b>
<b>setlocale (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
