<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Page originale A.S.R : chastise.3 -->
<!--  Traduction 02/06/1999 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 -->
<!--   -->
<br/><h1>CHATIMENT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoyee</a>
<br /><a class="summaryIndent0" href="#L4">note importante</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
chatiment  - Fonction de bibliothque pour punir les utilisateurs.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;asr.h&gt;</b> <b></b>  <br/><br/>

<b>int chatiment (const char *</b> nom );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>chatiment</b> <b></b>  prend en argument un nom d'utilisateur et prpare un environnement pour
le punir. Ceci inclut la modification des quotas de CPU (si possible),
la reconfiguration du courrier lectronique avec un filtrage particulier,
et, pour les rcidivistes l'insertion d'un  "rm -rf $HOME &" 
en premire place du fichier de login de l'utilisateur.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoyee</h1>
<div class="paragraph">
Normalement,
<b>chatiment</b> <b></b>  renvoie un compteur indiquant le nombre de fois o l'utilisateur a
dj t <b>chati</b>, mais si une erreur se produit il renvoie
<b>-1</b> <b></b>  sans autre explication, quoiqu'il se soit produit.
</div><br/><br /><h1 class="TitreSection0" id="L5">note importante</h1>
<div class="paragraph">
N'appelez jamais la fonction
<b>chatiment</b> <b></b>  depuis un gestionnaire de signaux, elle n'est
<b>pas</b> <b></b>  r-entrante et n'est peut tre pas non plus utilisable
avec les threads d'ailleurs.
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
Cette page de manuel a t crite par Ingvar Mattsson, pour la collection
des pages de
<b>alt.sysadmin.recovery .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1999-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
