<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2001 John Levon &lt;moz@compsoc.man.ac.uk&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Additions, aeb, 2001-10-17. -->
<!--   -->
<!--  Traduction 22/04/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 21/07/2003 LDP-1.56 C. Blaess -->
<!--  --><br/><br/>
<br/><h1>CLEARENV</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">disponibilit</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
clearenv - Vider l'environnement.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>int clearenv(void);</b>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>clearenv()</b> efface de l'environnement toutes les paires
nom-valeur et remplit la variable externe
<i>environ</i> avec un NULL.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>clearenv()</b> renvoie zro en cas de succs et une autre valeur en cas d'chec.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">disponibilit</h1>
<div class="paragraph">
Cette fonction est absente de la libc4 et la libc5. Elle est prsente dans la  glibc depuis la version 2.0.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Diverses variantes d'Unix (DGUX, HPUX, QNX, ...).
POSIX.9 (pour FORTRAN77).
POSIX.1-1996 ne dfinissait pas <b>clearenv()</b> et <i>putenv()</i>,
mais, suite  un changement d'attitude, ces fonctions ont t programmes 
pour les versions futures de ce standard (cf. B.4.6.1). Nanmoins, SUSv3
ajouta seulement <i>putenv()</i>, et refusa <b>clearenv()</b>.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Cette fonction est utilise dans les applications sensibilises  la scurit.
Si elle n'est pas disponible, l'affectation
.RS

	environ = NULL;



rendra sans doute le mme service.<br/><br/>
Les pages de manuel DGUX et Tru64 indiquent&nbsp;: Si
<i>environ</i> a t modifie par autre chose que les fonctions
<b>putenv (),</b>
<b>getenv (),</b>
et
<b>clearenv (),</b>
alors 
<b>clearenv ()</b>
renverra une erreur et l'environnement du processus sera inchang.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>getenv (3),</b>
<b>putenv (3),</b>
<b>setenv (3),</b>
<b>unsetenv (3),</b>
<b>environ (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002.
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
