<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sat Jul 24 21:27:01 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>CLOCK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
clock - Dterminer la dure d'utilisation du processeur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;time.h&gt;</b> <b></b>  <br/><br/>

<b>clock_t</b> <b></b>  <b>clock</b> <b></b>  <b>(void);</b> <b></b>  

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>clock()</b> <b></b>  renvoie une approximation de la dure coule d'utilisation du processeur
par le programme.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La valeur renvoye est le temps CPU coul, en units d'horloge
<b>clock_t ,</b>
pour obtenir une dure en secondes, divisez-la par
<b>CLOCKS_PER_SEC .</b>
Si l'heure processeur n'est pas disponible, ou si sa valeur ne peut pas
tre reprsente correctement, la valeur renvoye est (clock_t)-1.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ANSI C.
POSIX demande que CLOCKS_PER_SEC soit gal  1000000 indpendamment de
la rsolution relle.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Le standard C autorise une valeur quelconque d'horloge au dbut du programme,
il faut donc utiliser la diffrence entre la valeur actuelle et celle de
<b>clock()</b> <b></b>  au lancement du programme pour obtenir une portabilit maximale.<br/><br/>
Notez que la valeur peut revenir  zro. Sur un systme 32 bits, lorsque
CLOCKS_PER_SEC vaut 1000000, cette fonction redonnera les mmes valeurs toutes
les 72 minutes environ.<br/><br/>
Sur plusieurs autres implmentations,
la valeur renvoye par
<b>clock ()</b>
inclue aussi le temps coul pour l'excution des processus fils dont les
statistiques ont t collectes lors d'un appel de la famille
<b>wait (2).</b>
Linux n'inclut pas le temps des enfants attendus dans la
valeur renvoye par
<b>clock ().</b>
<!--  I have seen this behaviour on Irix 6.3, and the OSF/1, HP/UX, and -->
<!--  Solaris manual pages say that clock() also does this on those systems. -->
<!--  POSIX 1003.1-2001 doesn't explicitly allow this, nor is there an -->
<!--  explicit prohibition. -- MTK -->
La fonction
<b>times (),</b>
qui renvoie de manire explicite et distinctes les informations sur l'appelant
et ses enfants peut tre prfrable.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>getrusage (2),</b>
<b>times (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
