<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This man page is Copyright (C) 1999 Andi Kleen &lt;ak@muc.de&gt;. -->
<!--  Permission is granted to distribute possibly modified copies -->
<!--  of this page provided the header is included verbatim, -->
<!--  and in case of nontrivial modification author and date -->
<!--  of the modification is added to the header. -->
<!--  $Id: cmsg.3,v 1.5 1999/05/18 10:35:02 freitag Exp $ -->
<!--  -->
<!--  Traduction 03/09/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.31 -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 21/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>CMSG</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description </a>
<br /><a class="summaryIndent0" href="#L3">exemple</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
CMSG_ALIGN, CMSG_SPACE, CMSG_NXTHDR, CMSG_FIRSTHDR - Accs aux informations de service.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/>
<br/><br/>
 2
<b>struct cmsghdr *CMSG_FIRSTHDR(struct msghdr *</b> msgh );
<br/>
<b>struct cmsghdr *CMSG_NXTHDR(struct msghdr *</b> msgh <i>, struct cmsghdr *</i> cmsg );
<br/>
<b>size_t CMSG_ALIGN(size_t </b> length );
<br/>
<b>size_t CMSG_SPACE(size_t </b> length );
<br/>
<b>size_t CMSG_LEN(size_t </b> length );
<br/>
<b>unsigned char *CMSG_DATA(struct cmsghdr *</b> cmsg );
<br/><br/>


.ta 8n 20n 32n
struct cmsghdr {
  socklen_t     cmsg_len;   /* Nombre d'octets, y compris l'entte */
  int           cmsg_level; /* Protocole d'origine                 */
  int           cmsg_type;  /* Type spcifique au protocole        */
  /* suivi de :
  unsigned char cmsg_data[]; */
};
.ta


</div><br/><br /><h1 class="TitreSection0" id="L3">description </h1>
<div class="paragraph">
Ces macros servent  crer et  accder aux messages de contrle (informations
de service -
<i>ancillary data</i> )</i>
qui ne font pas partie du trafic normal des sockets.
Ces informations de contrle peuvent inclure l'interface sur laquelle le paquet
a t reu, des champs d'entte rarement employs, des descriptions d'erreur
approfondies, un ensemble de descripteurs de fichiers ou des identificateurs Unix.
Par exemple, les messages de services peuvent servir  envoyer des champs d'entte
supplmentaires tels que les options IP. Les donnes de services sont mises avec
<b>sendmsg (2)</b>
et reues avec
<b>recvmsg (2).</b>
Se reporter  leurs pages de manuel respectives pour avoir plus d'informations.<br/><br/>
Une information de service est une squence de structures
<b>struct</b> <b></b>  <b>cmsghdr</b> <b></b>  <b></b>  avec des donnes ajoutes. Cette squence ne doit tre manipule qu'au moyen des
macros dcrites dans cette page de manuel, et jamais directement. Voir les pages
spcifiques des protocoles pour les types de messages de commande disponibles.
La taille maximale de buffer de service par socket est paramtr avec l'option
<b>net.core.optmem_max</b> <b></b>  de sysctl(). Voir
<b>socket (7).  <br/><br/></b>
<b>CMSG_FIRSTHDR</b> <b></b>  <b></b>  renvoie un pointeur sur la premire
<b>cmsghdr</b> <b></b>  <b></b>  du buffer de donnes de service associ avec
<b> msghdr .<br/><br/></b>
<b>CMSG_NXTHDR</b> <b></b>  <b></b>  renvoie la
<b>cmsghdr</b> <b></b>  <b></b>  suivante aprs la
<b>cmsghdr</b>
transmise. Elle renvoie
<b>NULL</b> <b></b>  <b></b>  s'il n'y a plus assez de place dans le buffer.<br/><br/>
<b>CMSG_ALIGN ,</b>
renvoie la longueur transmise en argument additionne de la taille ncessaire
pour les alignements. Il s'agit d'une expression constante.<br/><br/>
<b>CMSG_SPACE</b> <b></b>  renvoie le nombre d'octets occups par un lment de service contenant la taille
indique de donnes transmises. Il s'agit d'une expression constante.<br/><br/>
<b>CMSG_DATA</b> <b></b>  renvoie un pointeur sur les donnes d'une
<b>cmsghdr . <br/><br/></b>
<b>CMSG_LEN</b> <b></b>  renvoie la valeur  stocker dans le membre
<i>cmsg_len</i> d'une structure
<b>cmsghdr</b> <b></b>  <b></b>  en tenant compte des alignements. Elle prend en argument la longueur des donnes.
Il s'agit d'une expression constante.<br/><br/>
Pour crer des donnes de service, il faut tout d'abord initialiser le membre
<i>msg_controllen</i> de la structure 
<b>msghdr</b> <b></b>  <b></b>  avec la longueur du buffer de message de contrle. Utilisez
<b>CMSG_FIRSTHDR</b> <b></b>  <b></b>  sur la 
<b>msghdr</b> <b></b>  <b></b>  pour obtenir le premier message de contrle, puis
<b>CMSG_NEXTHDR</b> <b></b>  pour accder aux suivants.
Dans chaque meesage de contrle, initialisez
<i>cmsg_len</i> (avec 
<b>CMSG_LEN ), </b>
les champs d'entte de l'autre
<b>cmsghdr ,</b>
et la partie donnes avec
<b>CMSG_DATA .</b>
Finallement, il faut remplir le membre
<i>msg_controllen </i> de la structure
<b>msghdr</b> <b></b>  <b></b>  avec la somme de
<b>CMSG_SPACE</b> <b></b>  <b></b>  appliqu  tous les messages de contrle
dans le buffer.
Pour plus d'informations sur
<b>msghdr ,</b>
voir
<b>recvmsg (2). <br/><br/></b>
Lorsque le buffer de message de contrle est trop court pour stocker tous les messages, l'attribut
<b>MSG_CTRUNC</b> <b></b>  <b></b>  est activ dans le membre
<i>msg_flags </i> de 
<b>msghdr .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">exemple</h1>
<div class="paragraph">
Ce code recherche l'option
<b>IP_TTL</b> <b></b>  <b></b>  dans un buffer de messages de service reus :<br/><br/>
.RS

.ta 8n 16n 32n
struct msghdr msgh; 
struct cmsghdr *cmsg;
int *ttlptr;
int received_ttl;<br/><br/>
/* Receive auxiliary data in msgh */ 
for (cmsg = CMSG_FIRSTHDR(&msgh); 
     cmsg != NULL; 
     cmsg = CMSG_NXTHDR(&msgh,cmsg) {
	if (cmsg-&gt;cmsg_level == SOL_IP 
	  && cmsg-&gt;cmsg_type == IP_TTL) { 
		ttlptr = (int *) CMSG_DATA(cmsg);
		received_ttl = *ttlptr; 
		break;
	}
}
if (cmsg == NULL) {
	/* Error: IP_TTL not enabled or small buffer
	 * or I/O error.
	 */ 
} 
.ta


<br/><br/>
Ce code passe une table de descripteurs de fichiers au travers d'une socket Unix en utilisant
<b>SCM_RIGHTS :<br/><br/></b>
.RS

.ta 8n 16n 32n
struct msghdr msg = {0};
struct cmsghdr *cmsg;
int myfds[NUM_FD]; /* Contains the file descriptors to pass. */ 
char buf[CMSG_SPACE(sizeof myfds)];  /* ancillary data buffer */
int *fdptr;<br/><br/>
msg.msg_control = buf; 
msg.msg_controllen = sizeof buf;
cmsg = CMSG_FIRSTHDR(&msg); 
cmsg-&gt;cmsg_level = SOL_SOCKET;
cmsg-&gt;cmsg_type = SCM_RIGHTS;
cmsg-&gt;cmsg_len = CMSG_LEN(sizeof(int) * NUM_FD); 
/* Initialize the payload: */ 
fdptr = (int *)CMSG_DATA(cmsg); 
memcpy(fdptr, myfds, NUM_FD * sizeof(int)); 
/* Sum of the length of all control messages in the buffer: */ 
msg.msg_controllen = cmsg-&gt;cmsg_len;
.ta



</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Pour des questions de portabilit, les donnes de services ne doivent tre
manipules qu'avec les macros dcrites ici.
<b>CMSG_ALIGN</b> <b></b>  est une extension Linux et ne doit pas tre utilis dans un programme portable.<br/><br/>
Sous Linux,
<b>CMSG_LEN , </b>
<b>CMSG_DATA ,</b>
et
<b>CMSG_ALIGN</b> <b></b>  sont des expressions constantes (si leur argument est une constante) - on peut
donc les utiliser pour dclarer la taille de variables
globales. Cela peut nanmoins ne pas tre portable.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Le modle des donnes de service est conforme  POSIX.1003.1g draft, 4.4BSD-Lite,
l'API IPv6 avance dcrite dans la RFC2292 et les spcifications Single Unix v2.
.B
CMSG_ALIGN 
est une extension Linux.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>sendmsg (2), </b>
<b>recvmsg (2).<br/><br/></b>
RFC 2292
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
