<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 Walter Harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  21/07/2003 - LDP-1.57 -->
<!--  -->
<br/><h1>CREAL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">note</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
creal, crealf, creall - Parties relles de nombres complexes.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;complex.h&gt;</b> <b></b>  <br/><br/>

<b>double creal(double complex </b> z );
<br/><br/>

<b>float crealf(float double complex </b> z );
<br/><br/>

<b>long double creall(long double complex </b> z );
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>creal ()</b>
renvoie la partie relle du nombre complexe
<i>z .<br/><br/></i>
On a z&nbsp;=&nbsp;creal(z)&nbsp;+&nbsp;I*cimag(z).
</div><br/><br /><h1 class="TitreSection0" id="L4">note</h1>
<div class="paragraph">
Le compilateur gcc supporte aussi la macro __real__. C'est une extension GNU. 
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
C99
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>cabs (3),</b>
<b>cimag (3),</b>
<b>complex (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
