<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Michael Haardt (michael@cantor.informatik.rwth.aachen.de) Sat Sep  3 22:00:30 MET DST 1994 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Sun Feb 19 21:32:25 1995, faith@cs.unc.edu edited details away -->
<!--  -->
<!--  TO DO: This manual page should go more into detail how DES is perturbed,  -->
<!--  which string will be encrypted, and what determines the repetition factor. -->
<!--  Is a simple repetition using ECB used, or something more advanced?  I hope -->
<!--  the presented explanations are at least better than nothing, but by no -->
<!--  means enough. -->
<!--  " -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 19/07/1997 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 21/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>CRYPT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">extension gnu</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
crypt - Crytage de donnes ou de mot de passe.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#define</b> <b></b>  <b>_XOPEN_SOURCE_</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>char *crypt (const char *</b> cl <i>, const char *</i> salt );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>crypt</b> <b></b>  est celle utilise pour le cryptage des mots-de-passe. Elle est base sur
l'algorithme DES (Data Encryption Standard) avec des variantes prvues entre
autres choses pour viter l'implmentation matrielle d'un casseur de code.<br/><br/>
L'argument
<i>cl</i> est le mot-de-passe saisi par l'utilisateur.<br/><br/>
<i>salt</i> est une chane de deux caractres pris dans l'ensemble
[<b>a</b>\(en<b>zA</b>\(en<b>Z0</b>\(en<b>9./</b>]. Cette chane est utilise
pour introduire une perturbation (parmi 4096) dans l'algorithme.<br/><br/>
En utilisant les sept bits de poids faibles des huit premiers caractres de la
<i>cl ,</i>
une cl de 56-bits est obtenue, qui est alors utilise pour crypter de
manire rpte une chane de caractres constante (souvent une chane de
zros).  La valeur renvoye pointe sur le mot de passe crypt, une chane de 13
caractres ASCII imprimables, les deux premiers caractres reprsentant
l'argument <i>salt</i> lui-mme.
Cette valeur renvoye pointe sur des donnes statiques dont le contenu
est cras  chaque appel.<br/><br/>
Attention : L'espace des cls consistent en
.if t 2\s-2\u56\s0\d
.if n 2**56
soient 7,2e16 valeurs possibles. Une recherche exhaustive est possible en
utilisant des ordinateurs
massivement parallles. Certains logiciels sont disponibles, comme
<b>crack (1),</b>
qui exploreront la portion de l'espace des cls contenant les mots de
passe habituellement utiliss par les humains.
Ainsi, le choix d'un mot de passe doit au minimum viter les noms propres ou
communs. On recommande fortement l'utilisation d'un programme comme
<b>passwd (1)</b>
pour vrifier la fiabilit des mots de passe ds la saisie.<br/><br/>
L'algorithme DES lui-mme a quelques inconvnients qui rendent
l'utilisation de 
<b>crypt</b> <b></b>  <b>(3)</b> <b></b>  peu recommandable pour autre chose que le
cryptage de mots de passe.
Si vous comptez dvelopper un projet cryptographique en utilisant
<b>crypt(3) ,</b>
abandonnez cette ide : achetez un bon bouquin sur la
cryptographie, et utilisez une bibliothque DES toute faite comme il en
existe tant.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Un pointeur vers le mot de passe crypt.
En cas d'erreur, NULL est renvoy.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ENOSYS</b> <b></b>  La fonction
<b>crypt</b> <b></b>  est absente, probablement en raison des restrictions d'exportation des
Etats-Unis.
<!--  This level of detail is not necessary in this man page. . . -->
<!--  .PP -->
<!--  When encrypting a plain text P using DES with the key K results in the -->
<!--  encrypted text C, then the complementary plain text P' being encrypted -->
<!--  using the complementary key K' will result in the complementary encrypted -->
<!--  text C'. -->
<!--  .PP -->
<!--  Weak keys are keys which stay invariant under the DES key transformation. -->
<!--  The four known weak keys 0101010101010101, fefefefefefefefe, 1f1f1f1f0e0e0e0e -->
<!--  and e0e0e0e0f1f1f1f1 must be avoided. -->
<!--  .PP -->
<!--  There are six known half weak key pairs, which keys lead to the same -->
<!--  encrypted data.  Keys which are part of such key clusters should be -->
<!--  avoided. -->
<!--  Sorry, I could not find out what they are. -->
<!-- " -->
<!--  .PP -->
<!--  Heavily redundant data causes trouble with DES encryption, when used in the -->
<!--  <i>codebook --></i> <!--  mode that -->
<!--  <b>crypt (3) --></b>
<!--  implements.  The -->
<!--  <b>crypt (3) --></b>
<!--  interface should be used only for its intended purpose of password -->
<!--  verification, and should not be used at part of a data encryption tool. -->
<!--  .PP -->
<!--  The first and last three output bits of the fourth S-box can be -->
<!--  represented as function of their input bits.  Empiric studies have -->
<!--  shown that S-boxes partially compute the same output for similar input. -->
<!--  It is suspected that this may contain a back door which could allow the -->
<!--  NSA to decrypt DES encrypted data. -->
<!--  .PP -->
<!--  Making encrypted data computed using crypt() publically available has -->
<!--  to be considered insecure for the given reasons. -->
</div><br/><br /><h1 class="TitreSection0" id="L6">extension gnu</h1>
<div class="paragraph">
La version de cette fonction dans la GlibC 2 a quelques fonctionnalits
supplmentaires&nbsp;:
Si
<i>salt</i> est une chane commenant par les trois caractres "$1$" suivis d'au plus
huit caractres, et ventuellement termine par "$", alors au lieu d'utiliser
la machine DES, la fonction crypt de la GlibC emploie un algorithme
bas sur MD5 et sort jusqu' 34 octets, plus prcisment "$1$&lt;chaine&gt;$",
o "&lt;chaine&gt;" correspond aux 8 caractres maximum suivant le "$1$" dans
<i>salt ,</i>
suivis de 22 octets de l'ensemble
[<b>a</b>\(en<b>zA</b>\(en<b>Z0</b>\(en<b>9./</b>].
La cl entire est significative ici, et non pas ses huit premiers octets.<br/><br/>
Pour les programmes utilisant cette fonction, il faut employer l'option -lcrypt
lors de l'dition des liens.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVID, X/OPEN, BSD 4.3, POSIX 1003.1-2001.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>login (1),</b>
<b>passwd (1),</b>
<b>encrypt (3),</b>
<b>getpass (3),</b>
<b>passwd (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
