<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 Walter Harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  21/07/2003 - LDP-1.57 -->
<!--  -->
<br/><h1>CSQRT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
csqrt, csqrtf, csqrtl - Racines carres complexes.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;complex.h&gt;</b> <b></b>  <br/><br/>

<b>double complex csqrt(double complex </b> z <b>);</b></b>
<br/><br/>

<b>float complex csqrtf(float complex </b> z <b>);</b></b>
<br/><br/>

<b>long double complex csqrtl(long double complex </b> z <b>);</b></b>
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions calculent la racine carre d'un nombre complexe ayant une	
partie relle non ngative. La partie ngative de l'axe rel est une
asymptote, ce qui signifie que cqsrt&nbsp;(-1+i*eps) sera proche de i
alors que cqsrt&nbsp;(-1-i*eps) sera proche de -i, si eps est un nombre
rel positif proche de zro.
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
C99
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>cabs (3),</b>
<b>cexp (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
