<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  @(#)des_crypt.3	2.1 88/08/11 4.0 RPCSRC; from 1.16 88/03/02 SMI; -->
<!--  -->
<!--  Taken from libc4 sources, which say: -->
<!--  Copyright (C) 1993 Eric Young - can be distributed under GPL. -->
<!--  -->
<!--  However, the above header line suggests that this file in fact is -->
<!--  Copyright Sun Microsystems, Inc (and is provided for unrestricted use, -->
<!--  see other Sun RPC sources). -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  30/07/2003 LDP-1.58 -->
<br/><h1>DES_CRYPT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">diagnostique</a>
<br /><a class="summaryIndent0" href="#L5">disponibilit</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
des_crypt, ecb_crypt, cbc_crypt, des_setparity - Cryptage DES rapide.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<!--  Sun version -->
<!--  <b>#include</b> <b></b>  <b>&lt;des_crypt.h&gt;</b> <b></b>  <b>--></b> <b></b>  <b>#include</b> <b></b>  <b>&lt;rpc/des_crypt.h&gt;<br/><br/></b> <b></b>  <b>int</b> <b></b>  <b>ecb_crypt(key</b> <b></b> ,<b></b>  <b>data</b> <b></b> ,<b></b>  <b>datalen</b> <b></b> ,<b></b>  <b>mode)</b> <b></b>  <b>char</b> <b></b>  <b>*key;</b> <b></b>  <b>char</b> <b></b>  <b>*data;</b> <b></b>  <b>unsigned</b> <b></b>  <b>datalen;</b> <b></b>  <b>unsigned</b> <b></b>  <b>mode;<br/><br/></b> <b></b>  <b>int</b> <b></b>  <b>cbc_crypt(key</b> <b></b> ,<b></b>  <b>data</b> <b></b> ,<b></b>  <b>datalen</b> <b></b> ,<b></b>  <b>mode</b> <b></b> ,<b></b>  <b>ivec)</b> <b></b>  <b>char</b> <b></b>  <b>*key;</b> <b></b>  <b>char</b> <b></b>  <b>*data;</b> <b></b>  <b>unsigned</b> <b></b>  <b>datalen;</b> <b></b>  <b>unsigned</b> <b></b>  <b>mode;</b> <b></b>  <b>char</b> <b></b>  <b>*ivec;<br/><br/></b> <b></b>  <b>void</b> <b></b>  <b>des_setparity(key)</b> <b></b>  <b>char</b> <b></b>  <b>*key;</b> <b></b>  

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
.IX encryption cbc_crypt "" \fLcbc_crypt\fP
.IX "des encryption" cbc_crypt "DES encryption" \fLcbc_crypt\fP
.IX encryption des_setparity "" \fLdes_setparity\fP
.IX "des encryption" des_setparity "DES encryption" \fLdes_setparity\fP
<b>ecb_crypt(\|)</b> <b></b>  et
<b>cbc_crypt(\|)</b> <b></b>  implmentent le standard
.SM NBS
.SM DES
(Data Encryption Standard).
Ces routines sont plus rapides et plus gnrales que la classique
<b>crypt (3).</b>
Elles sont aussi capable d'utiliser une puce de cryptage
.SM DES
si elle est disponible.
<b>ecb_crypt(\|)</b> <b></b>  crype en mode
.SM ECB
(Electronic Code Book),
ce qui encode des blocs de donnes indpendamment les uns des autres.
<b>cbc_crypt(\|)</b> <b></b>  encrupt en mode
.SM CBC
(Cipher Block Chaining),
qui enchane le cryptage des
blocs successifs. Le mode
.SM CBC
protge contre les insertions, supressions ou substitutions de blocs.
De plus, les rptitions dans le texte en clair n'apparatront pas
dans le texte chiffr.<br/><br/>
Voici comment utiliser ces routines.  Le premier paramtre,
<i>key ,</i>
est la cl de codage 8-octets avec parit.
Pour fixer la parit de la cl, qui pour
.SM DES
est le bit de poid faible de chaque octet, utilisez
<i>des_setparity .</i>
Le second paramtre,
<i>data ,</i>
contient les donnes  crypter ou dcrypter. Le 
troisime paramtre,
<i>datalen ,</i>
est la longueur en octets de
<i>data ,</i>
qui doit tre un multiple de 8. Le quatrime paramtre,
<i>mode ,</i>
est form par
.SM "OU binaire"
entre diffrents attributs. Pour le sens de fonctionnement, il faut mettre
.SM DES_ENCRYPT
ou
.SM DES_DECRYPT\s0.
Pour l'encyptage matriel (hardware) ou
logiciel (software) il faut ajouter
.SM DES_HW
ou
.SM DES_SW\s0.
Si
.SM DES_HW
est indiqu et qu'il n'y a pas de matriel spcialis disponible, le
cryptage est ralis en mode logiciel et la routine renvoie
.SM DESERR_NOHWDEVICE\s0.
Pour
<i>cbc_crypt ,</i>
le paramtre
<i>ivec</i> est un vecteur d'initialisation de 8 octets
pour le chanage. Il est mis  jour avec le prochain vecteur
d'initialisation au retour.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>des (1),</b>
<b>crypt (3)</b>
<!--  added, aeb -->
et
<b>xcrypt (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">diagnostique</h1>
<div class="paragraph"><br/><br/>D 0
<br/><br/>
 20
.SM DESERR_NONE
Pas d'erreur.
<br/><br/>

.SM DESERR_NOHWDEVICE
Cryptage russi, mais en mode logiciel plutt que matriel.
<br/><br/>

.SM DESERR_HWERR
Une erreur s'est produite dans la matriel ou le pilote.
<br/><br/>

.SM DESERR_BADPARAM
Mauvais paramtre pour la routine.<br/><br/>D<br/><br/>
Etant donne un rsultat
<i>stat ,</i>
la macro
.SM DES_FAILED\c
<b>( stat )</b>
est fausse pour les deux premiers tats.<br/><br/>
<!--  So far the Sun page -->
<!--  Some additions - aeb -->
</div><br/><br /><h1 class="TitreSection0" id="L6">disponibilit</h1>
<div class="paragraph">
Ces routines sont prsentes dans la LibC 4.6.27 et ultrieures, et
dans la GlibC 2.1 et suivantes.
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
