<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2001 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Text fragments inspired by Martin Schulze &lt;joey@infodrom.org&gt;. -->
<!--  -->
<!--  Traduction 24/04/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>DPRINTF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
dprintf, vdprintf - Ecriture formate dans un descripteur de fichier
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#define</b> <b></b>  <b>_GNU_SOURCE</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int dprintf(int </b> fd <i>, const char *</i> format <b>, ...);</b>
<br/><br/>

<b>int vdprintf(int </b> fd <i>, const char *</i> format <b>, va_list </b> ap );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions
<b>dprintf</b> <b></b>  et
<b>vdprintf</b> <b></b>  (telles qu'elles apparaissent dans la librairie glibc2) sont les homologues parfaites de 
<b>fprintf</b> <b></b>  et
<b>vfprintf ,</b>
si ce n'est qu'elles crivent dans un descripteur de fichier
<i>fd</i> plutt que dans un flux donn.
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Ces fontions sont des extensions GNU et ne sont pas prsentes dans les standards C ou POSIX.
Les noms ont clairement t mal choisis.
Plusieurs systmes (comme MacOs) possdent des fonctions incompatibles appeles
<i>dprintf ,</i>
qui sont gnralement des versions de debug de
<i>printf ,</i>
et qui ont potentiellement un prototype tel que <br/><br/>
<b>void dprintf (int level, const char *</b> format <i>, ...);</i><br/><br/>
o le premier paramtre est le niveau de debug (et o la sortie est redirige vers
<i>stderr ).</i>
De plus,
<b>dprintf</b> <b></b>  (ou
<b>DPRINTF )</b>
est galement le nom d'une macro bien connue fournissant une version debug de printf.
Il vaut donc mieux viter d'utiliser cette fonction dans les programmes 
souhaitant tre portables.<br/><br/>
<i>fdprintf</i>
aurait t un meilleur nom.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>printf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
