<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 19:46:03 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>DRAND48</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
drand48, erand48, lrand48, nrand48, mrand48, jrand48, srand48, seed48, lcong48 - Gnrateurs de nombres pseudo-alatoires uniformment distribus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>double</b> <b></b>  <b>drand48</b> <b></b>  <b>(void);</b> <b></b>  <br/><br/>

<b>double erand48 (unsigned short </b> xsubi [3]);
<br/><br/>

<b>long</b> <b></b>  <b>int</b> <b></b>  <b>lrand48</b> <b></b>  <b>(void);</b> <b></b>  <br/><br/>

<b>long int nrand48 (unsigned short </b> xsubi [3]);
<br/><br/>

<b>long</b> <b></b>  <b>int</b> <b></b>  <b>mrand48</b> <b></b>  <b>(void);</b> <b></b>  <br/><br/>

<b>long int jrand48 (unsigned short </b> xsubi [3]);
<br/><br/>

<b>void srand48 (long int </b> seedval );
<br/><br/>

<b>unsigned short * seed48 (unsigned short </b> seed16v [3]);
<br/><br/>

<b>void lcong48 (unsigned short </b> param [7]);


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions engendrent des nombres pseudo-alatoires en utilisant un
algorithme de congruence linaire, et une arithmtique entire sur 48 bits.<br/><br/>
les fonctions <b>drand48()</b> et <b>erand48()</b> renvoient des valeurs relles
en virgule flottante uniformment distribues dans l'intervalle
[0.0, 1.0].<br/><br/>
Les fonctions <b>lrand48()</b> et <b>nrand48()</b> renvoient des entiers longs
positifs ou nuls, uniformment distribus entre 0 et 2^31.<br/><br/>
Les fonctions <b>mrand48()</b> et <b>jrand48()</b> renvoient des entiers longs
signs uniformment distribus entre -2^31 et 2^31.<br/><br/>
Les fonctions <b>srand48()</b>, <b>seed48()</b> et <b>lcong48()</b> sont
des fonctions d'initialisation. Une d'entre elles devrait tre appele
avant d'utiliser <b>drand48()</b>, <b>lrand48()</b> ou <b>mrand48()</b>.  
Les fonctions <b>erand48()</b>, <b>nrand48()</b> et <b>jrand48()</b>
ne ncessitent pas de fonction d'initialisation prliminaire.<br/><br/>
Toutes ces fonctions engendrent une squence d'entiers
<i>Xi</i>, sur 48 bits, en utilisant la formule de congruence lineaire :
<br/><br/>


.RS
<b>Xn+1</b> <b></b>  <b>=</b> <b></b>  <b>(aXn</b> <b></b>  <b>+</b> <b></b>  <b>c)</b> <b></b>  <b>mod</b> <b></b>  <b>m</b> <b></b> ,<b></b>  <b></b>  <b></b>  <b>avec</b> <b></b>  <b>n</b> <b></b>  <b>&gt;=</b> <b></b>  <b>0</b> <b></b>  


<br/><br/>

Le paramtre <i>m</i> vaut 2^48, ainsi l'arithmtique entire 48 bits est
respecte.
Tant que <b>lcong48()</b> n'est pas appel, <i>a</i> et <i>c</i> valent :
<br/><br/>


.RS
<b>a</b> <b></b>  <b>=</b> <b></b>  <b>0x5DEECE66D</b> <b></b>  <b>c</b> <b></b>  <b>=</b> <b></b>  <b>0xB</b> <b></b>  


<br/><br/>

Les fonctions <b>drand48()</b>, <b>erand48()</b>, <b>lrand48()</b>,
<b>nrand48()</b>, <b>mrand48()</b> et <b>jrand48()</b> commencent par
calculer le <i>Xi</i> suivant dans la squence, puis le nombre de
bits appropri  la valeur de retour est copi en partant des bits
de poids forts, enfin cette dernire valeur est renvoye.<br/><br/>
Les fonctions <b>drand48()</b>, <b>lrand48()</b> et <b>mrand48()</b> mmorisent
le dernier <i>Xi</i> cr dans un buffer interne.  Les fonctions
<b>erand48()</b>, <b>nrand48()</b> et <b>jrand48()</b> ncessitent que le
programme appelant fournisse un emplacement de stockage pour les
valeurs successives de <i>Xi</i>, Cet emplacement est le tableau
correspondant  l'argument <i>xsubi</i>.
Ces fonctions sont initialises en plaant une valeur pour <i>Xi</i>
dans le tableau avant le premier appel.<br/><br/>
La fonction d'initialisation <b>srand48()</b> place l'argument
<i>seedval</i> dans les 32 bits de poids fort de <i>Xi</i>.
Les 16 bits de poids faibles sont initialiss avec la valeur arbitraire 0x330E.<br/><br/>
La fonction d'initialisation <b>seed48()</b> place les lments du tableau
<i>seed16v</i> dans les 48 bits de <i>Xi</i>.
La valeur prcdente de <i>Xi</i> est copie dans un buffer interne sur lequel
un pointeur est renvoy par <b>seed48()</b>.<br/><br/>
La fonction d'initialisation <b>lcong48()</b> permet  l'utilisateur
de fournir les valeurs initiales de <i>Xi</i>, <i>a</i> et <i>c</i>.
Les lments <i>param[0-2]</i> du tableau fourni en argument reprsentent
les 48 bits de <i>Xi</i>, <i>param[3-5]</i> correspondent  <i>a</i>, et
<i>param[6]</i> correspond  <i>c</i>.
Aprs un appel  <b>lcong48()</b>, un appel ultrieur  <b>srand48()</b> ou 
<b>seed48()</b> rtablira les valeurs normales de <i>a</i> et <i>c</i>.
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
SVID 3
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Ces fonctions sont dclares obsoltes par SVID 3, qui indique que
<b>rand</b>(3) devrait tre utilis  la place.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>rand (3),</b>
<b>random (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
