<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--   Copyright 2001 Walter Harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  aeb: some corrections -->
<!--  -->
<!--  Traduction 22/04/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>DYSIZE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
dysize - Obtenir le nombre de jours pour une anne donne.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<br/><br/>

<b>#define _BSD_SOURCE</b> <b>   /* ou bien : #define _SVID_SOURCE */</b>
<br/>
<b>#include &lt;time.h&gt;</b>
<br/><br/>

<b>int dysize(int </b> year );
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction renvoie 365 pour une anne normale et 366 pour une anne bissextile.
L'identification d'une anne bissextile repose sur le calcul suivant :
<br/><br/>

(year) %4 == 0 && ((year) %100 != 0 || (year) %400 == 0)
<br/><br/>

La formule est dfinie dans la macro
<i>__isleap(year)</i> que l'on trouve galement dans 
<i>&lt;time.h&gt; .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
Cette fonction apparat dans SunOS 4.x.
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Il s'agit seulement d'une fonction  vocation de compatibilit. Ne l'utilisez pas dans de nouveaux programmes.
La version Unix SCO de cette fonction est affecte par le bug de l'an 2000.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>strftime (3),</b>
<b>time (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
