<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 19:40:39 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>ECVT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ecvt, fcvt - Conversions de nombres rels en chanes de caractres.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>char *ecvt (double </b> number <i>, size_t </i> ndigits <b>, int *</b> decpt ,
<b>int *</b> sign );
<br/><br/>

<b>char *fcvt (double </b> number <i>, size_t </i> ndigits <b>, int *</b> decpt ,
<b>int *</b> sign );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>ecvt()</b> convertit <i>number</i> en une chane de caractres
de <i>ndigits</i> chiffres (<i>ndigits</i> tant limit par une valeur spcifique
au systme dtermine par la prcision d'un double), termine par zro.
La fonction renvoie un pointeur sur cette chane.
Le chiffre d'ordre le plus lev est non nul, sauf si
<i>number</i> vaut zro. Le chiffre d'ordre le plus faible est arrondi.
La chaine elle-mme ne contient pas de point dcimal, nanmoins la position
du point dcimal relativement au dbut de la chane est stocke dans
*<i>decpt</i>. Une valeur ngative de *<i>decpt</i> signifie que le point
dcimal est  gauche de la chane. Si le signe de <i>number</i> est ngatif,
*<i>sign</i> est rempli avec une valeur non-nulle, sinon il est
mis  0. Si
<i>number</i> est nul, il n'est pas prcis si *<i>dept</i> vaut zro ou u.<br/><br/>
La fonction <b>fcvt()</b> est identique  <b>ecvt()</b>,  la difference que
<i>ndigits</i> indique le nombre de dcimales aprs la virgule.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Les deux fonctions <b>ecvt()</b> et <b>fcvt()</b> renvoient un pointeur sur
une chane de caractres statique contenant la reprsentation ASCII de
<i>number</i>.
La chaine statique est crase  chaque appel de <b>ecvt()</b> ou <b>fcvt()</b>.
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Ces fonctions sont obsoltes. On recommande plutt
<i>sprintf ()</i>
 leur place.
Les bibliothques Linux libc4 et libc5 dclaraient le type de
<i>ndigits</i> en
<b>size_t .</b>
Certaines localisations (la ntre par exemple) n'utilisent pas le point
comme sparateur dcimal.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>gcvt </b>(3), <b> sprintf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
