<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2002 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  This replaces an earlier man page written by Walter Harms -->
<!--  &lt;walter.harms@informatik.uni-oldenburg.de&gt;. -->
<!--  -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>ECVT_R</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ecvt_r, fcvt_r, qecvt_r, qfcvt_r - Convertir un rel en chane.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>char *ecvt_r(double </b> nombre <i>, int </i> nb_chiffres <b>, int *</b> decpt ,
<b>int *</b> sign <i>, char *</i> tampon <b>, size_t </b> longueur );
<br/><br/>

<b>char *fcvt_r(double </b> nombre <i>, int </i> nb_chiffres <b>, int *</b> decpt ,
<b>int *</b> sign <i>, char *</i> tampon <b>, size_t </b> longueur );
<br/><br/>

<b>char *qecvt_r(long double </b> nombre <i>, int </i> nb_chiffres <b>, int *</b> decpt ,
<b>int *</b> sign <i>, char *</i> tampon <b>, size_t </b> longueur );
<br/><br/>

<b>char *qfcvt_r(long double </b> nombre: <i>, int </i> nb_chiffres <b>, int *</b> decpt ,
<b>int *</b> sign <i>, char *</i> tampon <b>, size_t </b> longueur );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions
<b>ecvt_r ,</b>
<b>fcvt_r ,</b>
<b>qecvt_r</b>
et
<b>qfcvt_r</b>
sont identiques 
<b>ecvt ,</b>
<b>fcvt ,</b>
<b>qecvt</b>
et
<b>qfcvt ,</b>
respectivement, sauf qu'elles ne renvoient pas leurs rsultats dans
un tampon statique, mais utilisent  la place le
<i>tampon</i> inidiqu dont la
<i>longueur</i>
est prcise.
Voir
<b>ecvt (3)</b>
et
<b>qecvt (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Ces fonctions sont obsoltes. L'utilisation de
<i>sprintf ()</i>
est recommande  leur place.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Ce sont des extensions GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>ecvt (3),</b>
<b>qecvt (3),</b>
<b>sprintf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2002</i></i>
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
