<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1996 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 17/05/1998 (LDP-man-pages-1.19) -->
<!--  Mise a jour 30/08/1999  -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>ERRNO</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
errno - Code de la dernire erreur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
#include &lt;errno.h&gt;
<br/><br/>

<b>extern int </b> errno ;
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La variable entire
<b>errno</b> <b></b>  est renseigne par les appels systmes (et quelques fonctions de bibliothque)
pour expliquer les conditions d'erreurs. Sa valeur n'est significative que
lorsque l'appel systme a chou (gnralement en renvoyant -1), car mme en
cas de russite une fonction de bibliothque peut modifier
<b>errno .<br/><br/></b>
Parfois, si -1 est une valeur de retour lgale, il faut positionner
<b>errno</b> <b></b>   0 avant d'effectuer l'appel systme, de manire  dtecter une erreur
ventuelle. C'est le cas par exemple de <b>getpriority</b>(2).<br/><br/>
<b>errno</b> <b></b>  est dfinie par le standard ISO C comme une <i>lvalue modifiable</i>,
de type <b>int</b>, et n'a pas besoin d'tre dfinie explicitement.
<b>errno</b> <b></b>  peut tre une macro.
<b>errno</b> <b></b>  <b></b>  est locale  un thread ; lui affecter une valeur dans
un thread ne modifie pas sa valeur dans les autres threads.<br/><br/>
Les codes d'erreurs valides sont tous non-nuls.
<b>errno</b> <b></b>  n'est jamais mis  zro par une fonction de la bibliothque.
Toutes les erreurs dtailles dans POSIX.1 doivent avoir des
valeurs diffrents.<br/><br/>

POSIX.1 (dition 2001) dfinit les noms symboliques ci-dessous
pour les codes d'erreurs. Parmi eux, <b>EDOM</b> et <b>ERANGE</b>
sont galement dans le standard C ISO. L'amendement 1 au standard
C ISO dfinit galement le code d'erreur <b>EILSEQ</b> pour les
erreurs de codage dans les caractres tendus, ou multi-octets.<br/><br/>
<br/><br/>

<b>E2BIG</b> <b></b>  Liste d'arguments trop longue.
<br/><br/>

<b>EACCES</b> <b></b>  Interdiction d'accs.
<br/><br/>

<b>EADDRINUSE</b> <b></b>  Adresse dj en cours d'utilisation.
<br/><br/>

<b>EADDRNOTAVAIL</b> <b></b>  Adresse non disponible.
<br/><br/>

<b>EAFNOSUPPORT</b> <b></b>  Famille d'adresses non supporte.
<br/><br/>

<b>EAGAIN</b> <b></b>  Ressource indisponible temporairement
<br/><br/>

<b>EALREADY</b> <b></b>  Connexion dj en cours.
<br/><br/>

<b>EBADF</b> <b></b>  Mauvais descripteur de fichier.
<br/><br/>

<b>EBADMSG</b> <b></b>  Mauvais message.
<br/><br/>

<b>EBUSY</b> <b></b>  Ressource occupe.
<br/><br/>

<b>ECANCELED</b> <b></b>  Opration annule.
<br/><br/>

<b>ECHILD</b> <b></b>  Pas de processus fils.
<br/><br/>

<b>ECONNABORTED</b> <b></b>  Connexion abandonne.
<br/><br/>

<b>ECONNREFUSED</b> <b></b>  Connexion refuse.
<br/><br/>

<b>ECONNRESET</b> <b></b>  Connexion rinitialise.
<br/><br/>

<b>EDEADLK</b> <b></b>  Blocage d'une ressource vit.
<br/><br/>

<b>EDESTADDRREQ</b> <b></b>  Adresse de destination ncessaire.
<br/><br/>

<b>EDOM</b> <b></b>  Erreur de domaine.
<br/><br/>

<b>EDQUOT</b> <b></b>  Rserv
<br/><br/>

<b>EEXIST</b> <b></b>  Fichier existant.
<br/><br/>

<b>EFAULT</b> <b></b>  Mauvais adresse.
<br/><br/>

<b>EFBIG</b> <b></b>  Fichier trop grand.
<br/><br/>

<b>EHOSTUNREACH</b> <b></b>  Hte non accessible.
<br/><br/>

<b>EIDRM</b> <b></b>  Identificateur de ressource supprim.
<br/><br/>

<b>EILSEQ</b> <b></b>  Squence d'octets illgale.
<br/><br/>

<b>EINPROGRESS</b> <b></b>  Opration en cours.
<br/><br/>

<b>EINTR</b> <b></b>  Appel systme interrompu.
<br/><br/>

<b>EINVAL</b> <b></b>  Argument invalide.
<br/><br/>

<b>EIO</b> <b></b>  Erreur d'entre/sortie.
<br/><br/>

<b>EISCONN</b> <b></b>  La socket est connecte.
<br/><br/>

<b>EISDIR</b> <b></b>  Est un rpertoire.
<br/><br/>

<b>ELOOP</b> <b></b>  Trop de liens symboliques rencontrs.
<br/><br/>

<b>EMFILE</b> <b></b>  Trop de fichiers ouverts.
<br/><br/>

<b>EMLINK</b> <b></b>  Trop de liens symboliques.
<br/><br/>

<b>EMSGSIZE</b> <b></b>  Longueur du buffer de message inapproprie.
<br/><br/>

<b>EMULTIHOP</b> <b></b>  Rserv.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  Nom de fichier trop long.
<br/><br/>

<b>ENETDOWN</b> <b></b>  Le rseau est dsactiv.
<br/><br/>

<b>ENETRESET</b> <b></b>  Connexion annule par le rseau.
<br/><br/>

<b>ENETUNREACH</b> <b></b>  Rseau inaccessible.
<br/><br/>

<b>ENFILE</b> <b></b>  Trop de fichiers ouverts sur le systme.
<br/><br/>

<b>ENOBUFS</b> <b></b>  Plus de buffers disponibles.
<!--  ENODATA is part of XSR option -->
<br/><br/>

<b>ENODATA</b> <b></b>  Pas de message disponible dans la file STREAM.
<br/><br/>

<b>ENODEV</b> <b></b>  Priphrique inexistant.
<br/><br/>

<b>ENOENT</b> <b></b>  Fichier ou rpertoire inexistant.
<br/><br/>

<b>ENOEXEC</b> <b></b>  Excution impossible.
<br/><br/>

<b>ENOLCK</b> <b></b>  Pas de verrou disponible.
<br/><br/>

<b>ENOLINK</b> <b></b>  Rserv.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire.
<br/><br/>

<b>ENOMSG</b> <b></b>  Pas de message du type attendu.
<br/><br/>

<b>ENOTPROTOOPT</b> <b></b>  Protocole indisponible.
<br/><br/>

<b>ENOSPC</b> <b></b>  Plus de place sur le priphrique.
<!--  ENOSR is part of XSR option -->
<br/><br/>

<b>ENOSR</b> <b></b>  Pas de ressource STREAM.
<!--  ENOSTR is part of XSR option -->
<br/><br/>

<b>ENOSTR</b> <b></b>  Pas un STREAM.
<br/><br/>

<b>ENOSYS</b> <b></b>  Fonction non implmente.
<br/><br/>

<b>ENOTCON</b> <b></b>  La socket n'est pas connecte.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Pas un rpertoire.
<br/><br/>

<b>ENOTEMPTY</b> <b></b>  Rpertoire non vide.
<br/><br/>

<b>ENOTSOCK</b> <b></b>  Pas une socket.
<br/><br/>

<b>ENOTSUP</b> <b></b>  Opration non supporte.
<br/><br/>

<b>ENOTTY</b> <b></b>  Opration de contrle d'Entre/Sortie invalide.
<br/><br/>

<b>ENXIO</b> <b></b>  Priphrique ou adresse inexistant.
<br/><br/>

<b>EOPNOTSUPP</b> <b></b>  Opration non supporte par la socket.
<br/><br/>

<b>EOVERFLOW</b> <b></b>  Valeur trop grande pour le type de donne.
<br/><br/>

<b>EPERM</b> <b></b>  Opration interdite.
<br/><br/>

<b>EPIPE</b> <b></b>  Tube sans lecteur.
<br/><br/>

<b>EPROTO</b> <b></b>  Erreur de protocole.
<br/><br/>

<b>EPROTONOSUPPORT</b> <b></b>  Protocole non support.
<br/><br/>

<b>EPROTOTYPE</b> <b></b>  Mauvais type de protocole pour la socket.
<br/><br/>

<b>ERANGE</b> <b></b>  Rsultat trop grand.
<br/><br/>

<b>EROFS</b> <b></b>  Systme de fichiers en lecture-seule.
<br/><br/>

<b>ESPIPE</b> <b></b>  Recherche invalide.
<br/><br/>

<b>ESRCH</b> <b></b>  Processus inexistant.
<br/><br/>

<b>ESTALE</b> <b></b>  Rserv.
<!--  ETIME is part of XSR option -->
<br/><br/>

<b>ETIME</b> <b></b>  Dpassement du dlai ioctl() STREAM.
<br/><br/>

<b>ETIMEDOUT</b> <b></b>  Dlai maximal coul.
<br/><br/>

<b>ETXTBSY</b> <b></b>  Fichier excutable occup.
<br/><br/>

<b>EWOULDBLOCK</b> <b></b>  L'opration serait bloquant (mme valeur que
<b>EAGAIN )</b>
<br/><br/>

<b>EXDEV</b> <b></b>  Lien inappropri.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>perror (3)</b>
<b>strerror (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
