<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)exec.3	6.4 (Berkeley) 4/19/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 11:12:48 1993, faith@cs.unc.edu -->
<!--  -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 19/07/1997 -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>EXEC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">erreurs</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">compatibilit</a>
<br /><a class="summaryIndent0" href="#L8">conformit</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
execl, execlp, execle, execv, execvp - Excuter un programme.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>extern</b> <b></b>  <b>char</b> <b></b>  <b>**environ;</b> <b></b>  <br/><br/>

<b>int execl (const char *</b> path <i>, const char *</i> arg <b>, ...);</b>
<br/>
<b>int execlp (const char *</b> file <i>, const char *</i> arg <b>, ...);</b>
<br/>
<b>int execle (const char *</b> path <i>, const char *</i> arg
<b>, ..., char * const </b> envp <i>[]);</i>
<br/>
<b>int execv (const char *</b> path <i>, char *const </i> argv <b>[]);</b>
<br/>
<b>int execvp (const char *</b> file <i>, char *const </i> argv <b>[]);</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La famille de fonctions
<b>exec</b> <b></b>  remplace l'image mmoire du processus en cours par un nouveau processus.
Les fonctions dcrites dans cette page sont en ralit des frontaux pour
l'appel systme
<b>execve (2).</b>
(Voir la page de
<b>execve</b> <b></b>  pour des informations dtailles sur le remplacement du processus en cours.)<br/><br/>
L'argument initial de toutes ces fonctions est le chemin d'accs du fichier
 excuter.<br/><br/>
Les arguments
<i>const char *arg</i> ainsi que les points de suspension des fonctions
<b>execl ,</b>
<b>execlp ,</b>
et
<b>execle</b> <b></b>  peuvent tre vues comme des
<i>arg0 ,</i>
<i>arg1 ,</i>
...,
<i>argn .</i>
Ensemble ils dcrivent une liste d'un ou plusieurs pointeurs sur des
chanes de caractres termines par des caractres nuls, qui constituent les
arguments disponibles pour le programme  excuter. 
Par convention le premier argument doit pointer sur le nom du fichier associ 
au programme  excuter. La liste des arguments
<i>doit</i> se terminer par un pointeur
<b>NULL .<br/><br/></b>
Les fonctions
<b>execv</b> <b></b>  et
<b>execvp</b> <b></b>  utilisent un tableau de pointeurs sur des chanes de caractres termines
par des caractres nuls, qui constituent les
arguments disponibles pour le programme  excuter. 
Par convention le premier argument doit pointer sur le nom du fichier associ
au programme  excuter. Le tableau de pointeur
<i>doit</i> se terminer par un pointeur
<b>NULL .<br/><br/></b>
La fonction
<b>execle</b> <b></b>  peut galement indiquer l'environnement du processus  excuter en faisant
suivre le pointeur
<b>NULL</b> <b></b>  qui termine la liste d'arguments, ou le pointeur
<b>NULL</b> <b></b>  de la table par  un paramtre supplmentaire.
Ce paramtre est un tableau de pointeurs sur des chanes de caractres termines
par des caractres nuls, qui 
<i>doit</i> se terminer par un pointeur
<b>NULL .</b>
Les autres fonctions fournissent au nouveau processus l'environnement
constitu par la variable externe
<i>environ .<br/><br/></i>
Certaines de ces fonctions ont une smantique spcifique.<br/><br/>
Les fonctions
<b>execlp</b> <b></b>  et
<b>execvp</b> <b></b>  agiront comme le shell dans la recherche du fichier excutable si
le nom fourni ne contient pas de slash (/).  Le chemin de recherche
est spcifi dans la variable d'environnement
<b>PATH .</b>
Si cette variable n'est pas dfinie, le chemin par dfaut sera
``/bin:/usr/bin:''.  De plus certaines
erreurs sont traites de manire spcifique.<br/><br/>
Si la permission d'accs au fichier est refuse
( execve</b>
renvoie
<b>EACCES ),</b>
ces fonctions continueront  parcourir le reste du chemin de recherche. Si
aucun fichier n'est trouv, elle reviendront, et 
<i>errno</i> contiendra le code d'erreur
<b>EACCES .<br/><br/></b>
Si l'en-tte d'un fichier n'est pas reconnu
( execve</b>
renvoie
<b>ENOEXEC ),</b>
ces fonctions excuteront un shell avec le chemin d'accs au fichier
en tant que premier argument. Si ceci choue, aucune recherche supplmentaire
n'est effectue.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si l'une quelconque des fonctions
<b>exec</b> <b></b>  revient  l'appelant, c'est qu'une erreur a eu lieu. La valeur de retour est
-1, et 
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">
<i>/bin/sh</i> </div><br/><br /><h1 class="TitreSection0" id="L6">erreurs</h1>
<div class="paragraph">
Toutes ces fonctions
peuvent chouer et positionner
<i>errno</i> sur n'importe quelle erreur dcrite dans la fonction
<b>execve (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>sh (1),</b>
<b>execve (2),</b>
<b>fork (2),</b>
<b>environ (5),</b>
<b>ptrace (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">compatibilit</h1>
<div class="paragraph">
Sur certains systmes, le chemin de recherche par dfaut (employ si l'environnement ne contient
pas la variable <b>PATH</b>) contient
le rpertoire courant  la suite de
<i>/bin</i> et
<i>/usr/bin ,</i>
afin d'viter les chevaux de Troie. Linux utilise
encore le rpertoire courant en premier dans ce chemin de recherche par dfaut.<br/><br/>
Le comportement de
<b>execlp</b> <b></b>  et
<b>execvp</b> <b></b>  lorsqu'une erreur se produit est une pratique historique mais n'a
traditionnellement jamais t document, ni spcifi dans le standard
POSIX.
Lorsque l'erreur ETXTBSY se dclenche (fichier excutable ouvert en
criture par un autre processus), BSD (et peut-tre d'autres systmes)
endorment le processus appelant puis riterent l'opration. Linux
considre cette situation comme une erreur grave, et revient immdiatement.<br/><br/>
Habituellement, les fonctions
<b>execlp</b> <b></b>  et
<b>execvp</b> <b></b>  ignoraient toutes les erreurs sauf celles dcrites ci-dessus, 
<b>ENOMEM</b> <b></b>  et
<b>E2BIG .</b>
Dsormais, elles reviennent  l'appelant si une autre erreur que celles-ci
se produit.
</div><br/><br /><h1 class="TitreSection0" id="L9">conformit</h1>
<div class="paragraph">
<b>execl ,</b>
<b>execv ,</b>
<b>execle ,</b>
<b>execlp</b> <b></b>  et
<b>execvp</b> <b></b>  sont conformes  IEEE Std1003.1-88 (``POSIX.1'').
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
