<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  Chris Torek and the American National Standards Committee X3, -->
<!--  on Information Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)fclose.3	6.7 (Berkeley) 6/29/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 15:19:14 1993, faith@cs.unc.edu -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  maj 09/04/99 - LDP-man-pages-1.22 -->
<!--  maj 30/08/2000 - LDP-man-pages-1.31 -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FCLOSE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fclose - Fermer un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int fclose (FILE *</b> stream );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>fclose</b> <b></b>  dissocie le flux nomm
<i>stream</i> du fichier sous-jacent. Si le flux tait utilis en sortie, toutes les
donnes contenues dans le buffer sont d'abord crites, en utilisant
<b>fflush (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si la fonction russit intgralement, elle renvoie 0,
sinon elle renvoie
<b>EOF</b> <b></b>  et
<i>errno</i> contient le code d'erreur. Dans tous les cas, tout autre
accs ultrieur au flux (y compris un autre appel de
<b>fclose </b>())<b></b>
conduit  un comportement indfini.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  Le descripteur de fichier sous-jacent au
<i>stream</i> n'est pas valide.
<!--   This error cannot occur unless you are mixing ANSI C stdio operations and -->
<!--   low-level file operations on the same stream. If you do get this error, -->
<!--   you must have closed the stream's low-level file descriptor using -->
<!--   something like close(fileno(fp)). --><br/><br/>
La fonction
<b>fclose</b> <b></b>  peut galement chouer et positionner
<i>errno</i> avec l'une quelconque des erreurs dcrites par
<b>close (2),</b>
<b>write (2)</b>
ou
<b>fflush (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Remarquez que
<b>fclose</b> <b></b>  ne vide que les buffers fournis par la bibliothque C dans l'espace utilisateur.
Pour s'assurer que les donnes sont crites physiquement sur le disque, il faut
vider les buffers du noyau  l'aide par exemple de
<b>sync (2)</b>
ou
<b>fsync (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
La fonction
<b>fclose</b> <b></b>  est conforme  ANSI X3.159-1989 (``ANSI C'').
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>close (2),</b>
<b>fcloseall (3),</b>
<b>fflush (3),</b>
<b>fopen (3), </b>
<b>setbuf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
