<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  Chris Torek and the American National Standards Committee X3, -->
<!--  on Information Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)ferror.3	6.8 (Berkeley) 6/29/91 -->
<!--  -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 14:24:40 1993, faith@cs.unc.edu -->
<!--  -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FERROR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">erreurs</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ferror, clearerr, feof, fileno - Vrifier et rinitialiser les statuts d'un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>void clearerr (FILE *</b> stream );
<br/>
<b>int feof (FILE *</b> stream );
<br/>
<b>int ferror (FILE *</b> stream );
<br/>
<b>int fileno (FILE *</b> stream );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>clearerr</b> <b></b>  efface les indicateurs d'erreur et de fin de fichier du flux point par
<i>stream .<br/><br/></i>
La fonction
<b>feof</b> <b></b>  teste l'indicateur de fin de fichier concernant le flux point par
<i>stream ,</i>
et renvoie une valeur non nulle si cet indicateur est actif. L'indicateur
de fin de fichier ne peut tre rinitialis que par la fonction
<b>clearerr .<br/><br/></b>
La fonction
<b>ferror</b> <b></b>  teste l'indicateur d'erreur concernant le flux point par
<i>stream ,</i>
et envoie une valeur non nulle si cet indicateur est actif. L'indicateur
d'erreur ne peut tre rinitialis que par la fonction
<b>clearerr .<br/><br/></b>
La fonction
<b>fileno</b> <b></b>  renvoie le descripteur de fichier, de type entier, correspondant au flux
<i>stream .<br/><br/></i>
Pour les versions de ces fonctions ignorant les verrouillages, voir
<b>unlocked_stdio (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">erreurs</h1>
<div class="paragraph">
Ces fonctions ne devraient pas chouer, et ne positionnent donc pas
la variable
<i>errno .</i>
(Toutefois, si
<b>fileno</b> <b></b>  dtecte que son argument n'est pas un flux valide, il doit renvoyer
-1 et remplir
<i>errno</i> avec
<b>EBADF .)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Les fonctions
<b>clearerr ,</b>
<b>feof ,</b>
et
<b>ferror</b>
sont conformes  X3.159-1989 (``ANSI C'').
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>open (2), </b>
<b>stdio (3),</b>
<b>unlocked_stdio (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
