<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  Chris Torek and the American National Standards Committee X3, -->
<!--  on Information Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)fflush.3	5.4 (Berkeley) 6/29/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 15:22:01 1993, faith@cs.unc.edu -->
<!--  -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 21/07/1997 -->
<!--  Mise a jour 30/08/2000 LDP-1.31 -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FFLUSH</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fflush - Vider les buffers d'un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int fflush (FILE *</b> flux );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>fflush</b> <b></b>  force l'criture de toutes les donnes se trouvant dans les buffers de l'espace utilisateur, et met  jour le
<i>flux</i>  travers la fonction sous-jacente d'criture. Le statut d'ouverture du
flux n'est pas affect.<br/><br/>
Si l'argument
<i>flux</i> est
<b>NULL ,</b>
<b>fflush</b> <b></b>  vide
<i>tous</i> les flux en sortie.<br/><br/>
Pour une version de cette fonction ignorant les verrouillages, voir
<b>unlocked_stdio (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si elle russit intgralement, cette fonctions renvoie 0. Sinon,
elle renvoie
<b>EOF ,</b>
et la variable
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <i>flux</i> n'est pas ouvert, ou du moins pas en criture.<br/><br/>
La fonction
<b>fflush</b> <b></b>  peut aussi chouer, et positionner dans
<i>errno</i> n'importe quelles erreurs spcifies dans la routine
<b>write (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Remarquez que
<b>fflush()</b> <b></b>  ne vide que les buffers fournis par la bibliothque C dans l'espace utilisateur.
Pour s'assurer que les donnes sont crites physiquement sur le disque, il faut
vider les buffers du noyau  l'aide par exemple de
<b>sync (2)</b>
ou
<b>fsync (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
La fonction
<b>fflush()</b> <b></b>  est conforme  ANSI X3.159-1989 (``ANSI C'').
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>fsync (2),</b>
<b>sync (2),</b>
<b>write (2),</b>
<b>fclose (3),</b>
<b>fopen (3),</b>
<b>setbuf (3),</b>
<b>unlocked_stdio (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
