<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 19:37:00 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 22/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 07/06/2001 - LDP-man-pages-1.37 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FLOOR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
floor, floorf, floorl - Le plus grand entier infrieur ou gal  x.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;math.h&gt;</b> <b></b>  <br/><br/>

<b>double floor (double </b> x );
<br/>
<b>float floorf(float </b> x );
<br/>
<b>long double floorl(long double </b> x );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions renvoient la valeur <i>x</i> arrondie par dfaut  l'entier
le plus proche.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La valeur arrondie. Si <i>x</i> est entier ou infini, la valeur renvoye
est <i>x</i> lui-mme.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Aucune autre erreur que EDOM ou ERANGE ne peut se produire.
Si <i>x</i> est NaN, NaN est renvoye, et
<i>errno</i> peut contenir EDOM.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les Spcifications SUSv2 et POSIX 1003.1-2001 contiennent un passage sur
les dbordements (qui peuvent remplir
<i>errno</i> avec ERANGE ou dclencher une exception). En pratique, aucun dbordement
ne peut se produire sur les machines actuelles, ce qui rend inutile cette
gestion d'erreur. Plus prcisment, le dbordement ne peut se produire que
si la valeur maximale de l'exposant est plus petite que le nombre de de
bits de la mantisse. Pour les standards 32 bits et 64 bits IEEE-754 la
valeur maximale de l'exposant est 128 (respectivement 1024) et le nombre
de bits de la mantisse est 24 (respectivement 53).<br/><br/>
Pour utiliser les fonctions de la bibliothque mathmatique, il ne faut
pas oublier d'ajouter l'argument <i>-lm</i> sur la ligne de commande de
<b>cc</b>(1) ou <b>ld</b>(1), lors de l'dition des liens.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
La fonction
<b>floor ()</b>
est conforme  SVID 3, POSIX, BSD 4.3, ISO 9899
Les autres fonctions proviennent de C99.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>ceil (3),</b>
<b>lrint (3),</b>
<b>nearbyint (3),</b>
<b>rint (3),</b>
<b>round (3),</b>
<b>trunc (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
