<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  Chris Torek and the American National Standards Committee X3, -->
<!--  on Information Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)fopen.3	6.8 (Berkeley) 6/29/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 15:22:01 1993, faith@cs.unc.edu -->
<!--  Modified, aeb, 960421 -->
<!--  -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 11/12/1997 (LDP man-pages 1.18) -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FOPEN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fopen, fdopen, freopen - Fonctions d'ouverture de flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>FILE *fopen (const char *</b> path <i>, const char *</i> mode );
<br/>
<b>FILE *fdopen (int </b> fildes <i>, const char *</i> mode );
<br/>
<b>FILE *freopen (const char *</b> path <i>, const char *</i> mode <b>, FILE *</b> stream );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>fopen</b> <b></b>  ouvre le fichier dont le nom est contenu dans la chaine pointe par
<i>path</i> et lui associe un flux.<br/><br/>
L'argument
<i>mode</i> pointe vers une chane commenant par l'une des squences suivantes
(d'autres caractres peuvent suivre la squence) :
<br/><br/>

<b>r</b> <b></b>  Ouvre le fichier en lecture. Le pointeur de flux est plac au dbut du
fichier.
<br/><br/>

<b>r+</b> <b></b>  Ouvre le fichier en lecture et criture. Le pointeur de flux est plac au dbut du
fichier.
<br/><br/>

<b>w</b> <b></b>  Ouvre le fichier en criture. Le fichier est cr s'il n'existait pas. 
S'il existait dj, sa longueur est ramene  0.
Le pointeur de flux est plac au dbut du fichier.
<br/><br/>

<b>w+</b> <b></b>  Ouvre le fichier en lecture et criture. Le fichier est cr s'il n'existait pas.
S'il existait deja, sa longueur est ramene  0.
Le pointeur de flux est plac au dbut du fichier.
<br/><br/>

<b>a</b> <b></b>  Ouvre le fichier en ajout (criture  la fin du fichier). Le fichier est cr s'il n'existait pas. Le pointeur
de flux est plac  la fin du fichier.
<br/><br/>

<b>a+</b> <b></b>  Ouvre le fichier en lecture et ajout (criture en fin de fichier). 
Le fichier est cr s'il n'existait pas. Le pointeur
de flux est plac  la fin du fichier.<br/><br/>
La chane
<i>mode</i> peut galement inclure la lettre ``b'' comme 3me caractere, ou mme entre
les deux caractres d'une des squences  2 lettres vues ci-dessus.
Ce mode sert uniquement  assurer la compatibilit avec ANSI X3.159-1989
(``ANSI C'') et n'a aucun effet. Le ``b'' est ignor sur tous les systmes
compatibles POSIX, y compris Linux. (D'autres systmes peuvent traiter les
fichiers de texte et les fichiers binaires diffrement, et l'ajout du ``b''
peut tre une bonne ide si vous faites des entres-sorties binaires et que
votre programme risque d'tre port sur un environnement non-Unix).<br/><br/>
Tout fichier cr aura le mode
<b>S_IRUSR</b> <b></b>  <b>|</b> <b></b>  <b>S_IWUSR</b> <b></b>  <b>|</b> <b></b>  <b>S_IRGRP</b> <b></b>  <b>|</b> <b></b>  <b>S_IWGRP</b> <b></b>  <b>|</b> <b></b>  <b>S_IROTH</b> <b></b>  <b>|</b> <b></b>  <b>S_IWOTH</b> <b></b>  (0666), qui sera ensuite modifi par la valeur d'umask du processus. Voir
<b>umask (2).<br/><br/></b>
Les lectures et les critures peuvent tre mlanges sur les flux en lecture
et criture, dans un ordre quelconque, et sans besoin de positionnement entre
les entres et les sorties,  moins qu'une lecture atteigne la fin du fichier.
(Sinon sur certains systmes la lecture peut renvoyer les donnes provenant
d'une criture autre que la dernire).
Une bonne habitude consiste donc  intercaler un
<b>fseek</b> <b></b>  ou
<b>fgetpos</b> <b></b>  entre les lectures et les critures sur le mme flux. Ces oprations peuvent
tre visiblement sans effet comme fseek(..., 0L, SEEK_CUR) et ne servant que
pour l'effet de bord de synchronisation.<br/><br/>
Ouvrir un fichier en mode ajout (<b>a</b> en premier caractre dans le
<i>mode )</i>
feront agir toutes les oprations d'criture  la fin du flux, comme
si elles taient prcdes par un appel
.RS 
fseek(stream,0,SEEK_END);

systmatique.<br/><br/>
La fonction
<b>fdopen</b> <b></b>  associe un flux avec un descripteur de fichier
<i>fildes</i> existant.
Le
<i>mode</i> du flux ("r", "r+", "w", "w+", "a", ou "a+") doit tre compatible avec
celui du descripteur de fichier. L'indicateur de position du nouveau flux
prend la mme valeur que celui de
<i>fildes ,</i>
et les indicateurs d'erreur et de fin-de-fichier sont effacs.
Les modes "w" et "w+" ne tronquent pas le fichier.
Le descripteur n'est pas dupliqu par <b>dup</b>(2), et sera referm lorsque
le flux cr par 
<b>fdopen</b> <b></b>  sera referm.
L'appel de 
<b>fdopen</b> <b></b>  sur un objet en mmoire partage est indfini.<br/><br/>
La fonction
<b>freopen</b> <b></b>  ouvre le fichier dont le nom se trouve dans la chane de caractres pointe par
<i>path</i> et lui associe le flux point par
<i>stream .</i>
Le flux original, s'il existe, est ferm. L'argument
<i>mode</i> est utilis exactement comme avec
<b>fopen .</b>
La principale utilisation de
<b>freopen</b> <b></b>  est de modifier le fichier associ avec les flux standards de texte
<i></i> ( stderr <i>, </i> stdin <i>, ou </i> stdout ).</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'il russissent intgralement
<b>fopen ,</b>
<b>fdopen</b> <b></b>  et
<b>freopen</b> <b></b>  renvoient un pointeur sur un fichier, de type
<b>FILE .</b>
Sinon, ils renvoient
<b>NULL</b> <b></b>  et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Le
<i>mode</i> fourni 
<b>fopen ,</b>
<b>fdopen ,</b>
ou
<b>freopen</b> <b></b>  tait invalide.<br/><br/>
Les fonctions
<b>fopen ,</b>
<b>fdopen</b> <b></b>  et
<b>freopen</b> <b></b>  peuvent galement chouer et positionner dans
<i>errno</i> une des erreurs susceptibles de se produire avec
<b>malloc (3).<br/><br/></b>
La fonction
<b>fopen</b> <b></b>  peut aussi chouer et positionner dans
<i>errno</i> une des erreurs susceptibles de se produire avec
<b>open (2).<br/><br/></b>
La fonction
<b>fdopen</b> <b></b>  peut aussi chouer et positionner dans
<i>errno</i> une des erreurs susceptibles de se produire avec
<b>fcntl (2).<br/><br/></b>
La fonction
<b>freopen</b> <b></b>  peut aussi chouer et positionner dans
<i>errno</i> une des erreurs susceptibles de se produire avec
<b>open (2),</b>
<b>fclose (3)</b>
et
<b>fflush (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Les fonctions
<b>fopen</b> <b></b>  et
<b>freopen</b> <b></b>  sont conformes  ANSI X3.159-1989 (``ANSI C'').  La fonction
<b>fdopen</b> <b></b>  est conforme  IEEE Std1003.1-1988 (``POSIX.1'').
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>open (2),</b>
<b>fclose (3),</b>
<b>fileno (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
