<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 Walter Harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL, 2002-07-27 Walter Harms -->
<!--  This was done with the help of the glibc manual. -->
<!--  -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  30/07/2003 LDP-1.58 -->
<br/><h1>FPCLASSIFY</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">note</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fpclassify, isfinite, isnormal, isnan - Macros de classification en virgule flottante.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;math.h&gt;</b> <b></b>  <br/><br/>

<b>int fpclassify(</b> x );
<br/><br/>

<b>int isfinite(</b> x );
<br/><br/>

<b>int isnormal(</b> x );
<br/><br/>

<b>int isnan(</b> x );
<br/><br/>

<b>int isinf(</b> x );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les nombres en virgule flottante ont des valeurs spciales, tels que
les infinis ou NaN. Avec la macro
fpclassify( x ) 
vous pouvez connatre le type de
<i>x .</i>
La macro prend en argument n'importe quel type d'expression en virgule
flottante. Le rsultat est l'une des valeurs suivantes&nbsp;:
<br/><br/>

FP_NAN
<i>x</i> est un "non-nombre".
<br/><br/>

FP_INFINITE
<i>x</i> vaut plus ou moins l'infini.
<br/><br/>
 
FP_ZERO
<i>x</i> est nul.
<br/><br/>

FP_SUBNORMAL
<i>x</i> est trop petit pour tre reprsent en format normalis.
<br/><br/>

FP_NORMAL
si aucun des cas prcdents n'est vrai, alors c'est qu'il doit
s'agir d'un nombre normal en virgule flottante;<br/><br/>
Les autres macros fournissent une rponse courte  des questions standards.
<br/><br/>

isfinite(x)
(fpclassify(x) != FP_NAN && fpclassify(x) != FP_INFINITE)
<br/><br/>

isnormal(x)
(fpclassify(x) == FP_NORMAL)
<br/><br/>

isnan(x)
(fpclassify(x) == FP_NAN)
<br/><br/>

isinf(x)
(fpclassify(x) == FP_INFINITE)
</div><br/><br /><h1 class="TitreSection0" id="L4">note</h1>
<div class="paragraph">
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
C99
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>isgreater (3),</b>
<b>isinf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
