<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  Chris Torek and the American National Standards Committee X3, -->
<!--  on Information Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)fseek.3	6.11 (Berkeley) 6/29/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 15:22:01 1993, faith@cs.unc.edu -->
<!--  -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 19/07/1997 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FSEEK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fseek, fgetpos, fsetpos, ftell, rewind - Accder  la position courante d'un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int fseek (FILE *</b> stream <i>, long </i> offset <b>, int </b> whence );
<br/>
<b>long ftell (FILE *</b> stream );
<br/>
<b>void rewind (FILE *</b> stream );
<br/>
<b>int fgetpos (FILE *</b> stream <i>, fpos_t *</i> pos );
<br/>
<b>int fsetpos (FILE *</b> stream <i>, fpos_t *</i> pos );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>fseek</b> <b></b>  fixe l'indicateur de position du flux point par
<i>stream .</i>
La nouvelle position, mesure en octets, est obtenue en additionnant
<i>offset</i> octets au point de dpart indique par
<i>whence .</i>
Si
<i>whence</i> vaut
<b>SEEK_SET ,</b>
<b>SEEK_CUR ,</b>
ou
<b>SEEK_END ,</b>
le point de dpart correspond respectivement au dbut du fichier,  la
position actuelle, ou  la fin du fichier.
Un appel russi 
<b>fseek</b> <b></b>  efface l'indicateur de fin de fichier pour le flux, et annule les
effets de toute fonction
<b>ungetc (3)</b>
prcdente sur le mme flux.<br/><br/>
La fonction
<b>ftell</b> <b></b>  lit la valeur de l'indicateur de position pour le flux point par
<i>stream .<br/><br/></i>
La fonction
<b>rewind</b> <b></b>  ramne l'indicateur de position du flux point par
<i>stream</i> au dbut du fichier. C'est l'quivalent de :<br/><br/>
.RS
(void)fseek(stream, 0L, SEEK_SET)
<br/><br/>
sauf que l'indicateur d'erreur du flux est galement effac. (voir
<b>clearerr (3)).<br/><br/></b>
Les fonctions
<b>fgetpos</b> <b></b>  et
<b>fsetpos</b> <b></b>  sont des alternatives  
<b>ftell</b> <b></b>  et
<b>fseek</b> <b></b>  (avec <i>whence</i> valant
<b>SEEK_SET ),</b>
en fixant, ou en mmorisant la valeur de l'indicateur de position du fichier
dans l'objet rfrenc par
<i>pos .</i>
Sur certains systmes non-UNIX, l'objet
<b>fpos_t</b> <b></b>  peut tre un objet complexe, et ces routines peuvent tre les seules mthodes
possibles pour repositionner un flux de texte de manire portable.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>rewind</b> <b></b>  ne renvoie pas de valeur.
Si elles russissent totalement, 
<b>fgetpos ,</b>
<b>fseek ,</b>
<b>fsetpos</b> <b></b>  renvoient 0,
et
<b>ftell</b> <b></b>  renvoie la position actuelle. Sinon, elles renvoient -1 et la variable globale
errno contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  Le flux
<i>stream</i> n'est pas positionnable.
<br/><br/>

<b>EINVAL</b> <b></b>  L'argument
<i>whence</i> dans l'appel
<b>fseek</b> <b></b>  n'tait ni
<b>SEEK_SET ,</b>
ni
<b>SEEK_END ,</b>
ni
<b>SEEK_CUR .<br/><br/></b>
Les fonctions
<b>fgetpos ,</b>
<b>fseek ,</b>
<b>fsetpos ,</b>
et
<b>ftell</b> <b></b>  peuvent galement, en chec, positionner
<i>errno</i> sur n'importe quelle erreur indique par les routines
<b>fflush (3),</b>
<b>fstat (2),</b>
<b>lseek (2),</b>
et
<b>malloc (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Les fonctions
<b>fgetpos ,</b>
<b>fsetpos ,</b>
<b>fseek ,</b>
<b>ftell ,</b>
et
<b>rewind</b>
sont conformes a ANSI X3.159-1989 (``ANSI C'').
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>lseek (2),</b>
<b>fseeko (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
