<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2001 Andries Brouwer &lt;aeb@cwi.nl&gt;. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 25/04/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  --><br/><br/>
<br/><h1>FSEEKO</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fseeko, ftello - Fixer ou consulter la position courante d'un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int fseeko(FILE *</b> stream <i>, off_t </i> offset <b>, int </b> whence );
<br/><br/>

<b>off_t ftello(FILE *</b> stream );



</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions <b>fseeko()</b> et <b>ftello()</b> sont respectivement identiques 
<b>fseek()</b> et <b>ftell()</b> (voir
<b>fseek (3)),</b>
 si ce n'est que l'argument <i>offset</i> de <b>fseeko()</b>
et le code de retour de <b>ftello()</b> sont de type <b>off_t</b> 
au lieu de <b>long</b>.<br/><br/>
Sur de nombreuses architectures, <b>off_t</b> tout comme <b>long</b> sont des types 32 bits,
mais une compilation avec la directive
.RS

#define _FILE_OFFSET_BITS 64



changera <b>off_t</b> en type 64 bits.
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Ces fonctions apparaissent dans les systmes SysV et apparents.
Elles ne sont pas prsentes dans la libc4, libc5 ou glibc 2.0 mais sont disponibles depuis la glibc 2.1.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Les fonctions
<b>fseeko</b> <b></b>  et
<b>ftello</b> <b></b>  sont conformes  SUSv2.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>fseek (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
