<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  -->
<!--  Traduction 28/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FWIDE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fwide - Fixer et dterminer les orientations d'un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>int fwide (FILE * </b> flux <i>, int </i> mode );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Lorsque le <i>mode</i> vaut zro, la fonction <b>fwide</b> dtermine l'orientation
du <i>flux</i>. Elle renvoie une valeur positive si le <i>flux</i> est orient
caractres-larges. Elle renvoie une valeur ngative si le <i>flux</i> est orient octets,
c'est  dire si les entres/sorties par caractres sont autorises, mais pas celles
par caractres larges. Elle renvoie zro si le <i>flux</i> n'a pas encore d'orientation.
Dans ce cas, l'opration d'entre/sortie suivante peut changer son orientation (octets
s'il s'agit d'une opration normale, caractres-larges si c'est une opration avec
des caractres larges).<br/><br/>
une fois qu'un flux a une orientation, elle ne peut pas tre change, et persistera jusqu' sa fermeture.<br/><br/>
Quand le <i>mode</i> est non-nul, la fonction <b>fwide</b> essaye d'abord de fixer l'orientation
correspondante pour le <i>flux</i> (caractres-larges si le <i>mode</i> est positif, octets s'il est ngatif).
Puis elle renvoie une valeur correspondant  l'orientation relle, comme prcdemment.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>fwide</b> renvoie l'orientation du <i>flux</i>, aprs l'avoir ventuellement modifie.
Une valeur suprieure  zro reprsente une orientation caractres-larges, une valeur infrieure  zro
une orientation octets, une valeur nulle reprsentant une orientation non-dcide.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>fprintf (3),</b>
<b>fwprintf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Une sortie de caractres larges dans un flux orient octets peut tre ralise avec la fonction
<b>fprintf</b> en utilisant les directives %lc et %ls.<br/><br/>
Les sorties de caractres dans un flux orient caractres-larges sont possibles en utilisant
les directives %c et %s de la fonction <b>fwprintf</b>.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
