<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--   Copyright 2001 walter harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified, 2001-12-26, aeb -->
<!--  -->
<!--  Traduction 05/05/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>GETDATE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">environnement</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getdate, getdate_r - Conversion d'une chane de caractres en structure tm.
<br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#define</b> <b></b>  <b>_XOPEN_SOURCE"</b> <b></b>  <br/>
<b>#define</b> <b></b>  <b>_XOPEN_SOURCE_EXTENDED</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;time.h&gt;"</b> <b></b>  <br/><br/>

<b>struct tm *getdate (const char *</b> string );
<br/><br/>

<b>extern int getdate_err;</b>
<br/><br/>
 2
<b>#define</b> <b></b>  <b>_GNU_SOURCE"</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;time.h&gt;"</b> <b></b>  <br/><br/>

<b>int getdate_r (const char *</b> string <i>, struct tm *</i> res );
<br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>getdate()</b> <b></b>  <b></b>  convertit une chane de caractres pointe par
<i>string</i> en une structure tm qu'elle renvoie.
Cette structure tm est susceptible d'tre alloue de faon statique et d'tre
ainsi crase lors du prochain appel.<br/><br/>
Contrairement 
<b>strptime (3),</b>
( qui a un argument 
<i>format</i> ),
<b>getdate()</b> <b></b>  utilise les formats prsents dans le fichier 
dont le chemin d'accs complet est donn par la variable d'environnement
<b>DATEMSK .</b>
La premire ligne du fichier qui peut tre mise en correspondance avec la chane passe en paramtre d'entre
est utilise pour la conversion.<br/><br/>
La correspondance n'est pas sensible  la casse.
Les espaces superflus, qu'ils soient dans le motif ou dans la chane  convertir, sont ignors.<br/><br/>
Les paramtres de conversion qu'un motif peut contenir sont les mmes que pour
<b>strptime (3).</b>
Un indicateur de conversion supplmentaire est accept :
<br/><br/>

<b>%Z</b> <b></b>  Nom du fuseau horaire.<br/><br/>
Lorsque
<b>%Z</b> <b></b>  est spcifi, la valeur renvoye est initialise  l'heure sous forme structure tm
correspondant  l'heure courante sous le fuseau horaire indiqu.
Sinon, elle est initialise  l'heure sous forme de structure tm correspondant  l'heure locale actuelle.<br/><br/>
Lorsque seul le jour de la semaine est donn, le jour pris en compte sera le premier jour correspondant  partir d'aujourd'hui inclus.<br/><br/>
Lorsque seul le mois est spcifi (et pas l'anne), le mois pris 
en compte est le premier mois correspondant  partir du mois courant inclus.
Si aucun jour n'est indiqu, le premier jour du mois est pris par dfaut.<br/><br/>
Lorsque les heures, minutes et secondes ne sont pas indiques, l'heure 
courante (heures, minutes et secondes) est prise par dfaut. <br/><br/>
Si aucune date n'est indique, mais que l'on connat l'heure, l'heure prise en compte sera la premire occurrence de l'heure correspondante  partir de l'heure courante incluse.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de succs, cette fonction renvoie un pointeur vers une structure
<b>struct tm</b> .</b>
sinon elle renvoie NULL et positionne la variable globale
<b>getdate_err .</b>
La modification ventuelle de 
<i>errno</i> est indfinie.
<b>getdate_err</b> <b></b>  <b></b>  peut prendre les valeurs suivantes&nbsp;:
<br/><br/>
 4n
<b>1</b> <b></b>  La variable d'environnement DATEMSK vaut null ou n'est pas dfinie.
<br/><br/>

<b>2</b> <b></b>  Le fichier patron (template) ne peut tre ouvert pour tre lu.
<br/><br/>

<b>3</b> <b></b>  Impossible de lire l'tat du fichier.
<br/><br/>

<b>4</b> <b></b>  Le fichier patron n'est pas un fichier rgulier.
<br/><br/>

<b>5</b> <b></b>  Une erreur est survenue en cours de lecture du fichier patron.
<br/><br/>

<b>6</b> <b></b>  Echec d'allocation mmoire (pas assez de mmoire disponible).
<br/><br/>

<b>7</b> <b></b>  Il n'y a pas de ligne dans le fichier qui puisse tre mise en correspondance avec l'entre.
<br/><br/>

<b>8</b> <b></b>  Paramtres d'entre invalides.
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Puisque 
<b>getdate()</b> <b></b>  <b></b>  n'est pas r-entrante  cause de l'utilisation de
<b>getdate_err</b> <b></b>  et du tampon statique utilis pour stocker le rsultat renvoy, la glibc
fournit une variante utilisable en contexte multithread. La fonctionnalit 
est la mme. Le rsultat est renvoy dans le tampon point par
<i>res</i> et, en cas d'erreur, le code de retour est diffrent de zro avec 
les mmes valeurs que celles donnes prcdemment pour
<i>getdate_err .<br/><br/></i>
La spcification POSIX 1003.1-2001 pour
<b>strptime()</b> <b></b>  contient des spcifications de conversion utilisant les modificateurs
<b>%E</b> <b></b>  ou
<b>%O</b> <b></b>  alors que de tels modificateurs ne sont pas indiqus pour
<b>getdate() .</b>
L'implantation glibc de
<b>getdate()</b> <b></b>  utilise
<b>strptime()</b> <b></b>  si bien que les deux fonctions supportent exactement les mmes conversions automatiquement.<br/><br/>
L'implantation glibc ne supporte pas l'indicateur de conversion :
<b>%Z</b> <b></b>  .
</div><br/><br /><h1 class="TitreSection0" id="L6">environnement</h1>
<div class="paragraph">
<br/><br/>

<b>DATEMSK</b> <b></b>  <b></b>  Fichier contenant les motifs de formatage.
<br/><br/>

<b>TZ </b>, <b> LC_TIME </b>
Variables utilises par <b>strptime()</b>.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
ISO 9899, POSIX 1003.1-2001
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>localtime (3),</b>
<b>strftime (3),</b>
<b>strptime (3),</b>
<b>time (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
