<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat May 22 18:43:54 1993, David Metcalfe -->
<!--  Modified Sun Jul 25 10:42:30 1993, Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 26/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Maj 12/06/97 -->
<!--  Maj 09/04/99 - LDP man-pages 1.22 -->
<!--  Maj 05/05/99 - LDP man-pages 1.23 -->
<!--  Maj 30/08/2000 - LDP man-pages 1.31 -->
<!--  Mise  jour 07/06/2001 - LDP-man-pages-1.37 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GETHOSTBYNAME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">fichiers</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
gethostbyname, gethostbyaddr, sethostent, endhostent, herror, hstrerror - Obtenir des informations concernant le rseau. 
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;netdb.h&gt;</b> <b></b>  <b>extern</b> <b></b>  <b>int</b> <b></b>  <b>h_errno;</b> <b></b>  <br/><br/>

<b>struct hostent *gethostbyname(const char *</b> name );
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <b></b> <b></b>  <b></b>  <b></b>  <b></b> <b></b>  <b>/*</b> <b></b>  <b>pour</b> <b></b>  <b>avoir</b> <b></b>  <b>AF_INET</b> <b></b>  <b>*/</b> <b></b>  <b>struct hostent *gethostbyaddr(const char *</b> addr ,
<b>  int </b> len <i>, int </i> type );
<br/><br/>

<b>void sethostent(int </b> stayopen );
<br/><br/>

<b>void</b> <b></b>  <b>endhostent(void);</b> <b></b>  <br/><br/>

<b>void herror(const char *</b> s );
<br/><br/>

<b>const char * hstrerror(int </b> err );
<br/><br/>
 2
/* extensions GNU */
<br/>
<b>struct hostent *gethostbyname2(const char *</b> name <i>, int </i> af );
<br/><br/>

<b>int gethostbyname_r (const char *</b> name ,
<b>  struct hostent *</b> ret <i>, char *</i> buf <b>, size_t </b> buflen ,
<b>  struct hostent **</b> result <i>, int *</i> h_errnop );
<br/><br/>

<b>int gethostbyname2_r (const char *</b> name <i>, int </i> af,
<b>  struct hostent *</b> ret <i>, char *</i> buf <b>, size_t </b> buflen ,
<b>  struct hostent **</b> result <i>, int *</i> h_errnop );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>gethostbyname()</b> renvoie une structure de type <i>hostent</i>
pour l'hte <i>name</i>. La chane <i>name</i> est soit un nom d'hte, soit
une adresse IPv4 en notation pointe standard, soit une adresse IPv6
avec la notation points-virgules et points (Cf RFC 1884 pour la description
des adresses IPv6).
Si
<i>name</i> est une adresse IPv4 ou IPv6, aucune recherche supplmentaire n'a lieu et
<b>gethostbyname ()</b>
copie simplement la chaine
<i>name</i> dans le champ
<i>h_name</i> et le champs quivalent
<i>struct in_addr</i> dans le champs
<i>h_addr_list[0]</i> de la structure
<i>hostent</i> renvoye.<br/><br/>
Si <i>name</i> ne se termine pas par un point, et si la variable d'environnement
<b>HOSTALIASES</b> est configure, le fichier d'alias indiqu par
<b>HOSTALIASES</b> sera d'abord parcouru  la recherche de <i>name</i>
(voir
<b>hostname (7)</b>
pour le format du fichier).
Le domaine courant et ses parents sont parcourus si <i>name</i> ne se termine
pas par un point.<br/><br/>
La fonction <b>gethostbyaddr()</b> renvoie une structure du type <i>hostent</i>
pour l'hte d'adresse <i>addr</i>. Cette adresse est de longueur <i>len</i> et
du <i>type</i> donn.  Le seul type d'adresse valide est actuellement
<b>AF_INET .<br/><br/></b>
La fonction <b>sethostent()</b> indique, si <i>stayopen</i> est vrai (vaut 1), 
qu'une socket TCP connecte doit tre utilise pour interroger le serveur de
noms et que la connexion doit rester ouverte durant les demandes successives.
Sinon l'interrogation utilisera des datagrammes UDP.<br/><br/>
La fonction <b>endhostent()</b> ferme la socket TCP connecte utilise pour
interroger le serveur de noms du domaine.<br/><br/>
La fonction (obsolte) <b>herror()</b> affiche le message d'erreur associ avec la valeur
courante de <i>h_errno</i> sur la sortie standard stderr.<br/><br/>
La fonction (obsolte) <b>herror()</b> reoit un numro d'erreur en argument
(typiquement <i>h_errno</i>) et renvoit la chane de message d'erreur.<br/><br/>
Les interrogations du serveur de noms effectues par <b>gethostbyname()</b> et
<b>gethostbyaddr()</b> utilisent les lments suivants : le serveur de noms
<b>named</b>(8), les lignes de <i>/etc/hosts</i>, et l'annuaire Network
Information Service (NIS ou YP), suivant le contenu de la ligne
<i>order</i> du fichier <i>/etc/host.conf</i>.  (Voir
<b>resolv+ (8)).</b>
L'action par dfaut consiste  interroger <b>named</b>(8), puis
<i>/etc/hosts</i>.<br/><br/>
La structure <i>hostent</i> est dfinie ainsi dans <i>&lt;netdb.h&gt;</i> :
<br/><br/>

.RS

.ne 7
.ta 8n 16n 32n
struct hostent {
   char    *h_name;       /* Nom officiel de l'hte.   */
   char   **h_aliases;    /* Liste d'alias.            */
   int      h_addrtype;   /* Type d'adresse de l'hte. */
   int      h_length;     /* Longueur de l'adresse.    */
   char   **h_addr_list;  /* Liste d'adresses.         */
}
#define h_addr  h_addr_list[0] /* pour compatibilit.  */
.ta


<br/><br/>
Les membres de la structure <i>hostent</i> sont :
<br/><br/>

<i>h_name</i> Nom officiel de l'hte.
<br/><br/>

<i>h_aliases</i> Une table, termine par zro, d'alternatives au nom officiel de l'hte.
<br/><br/>

<i>h_addrtype</i> Le type d'adresse (actuellement, toujours 
<b>AF_INET ).<br/><br/></b>
<br/><br/>

<i>h_length</i> La longueur, en octets, de l'adresse.
<br/><br/>

<i>h_addr_list</i> Une table, termine par zro, d'adresses rseau pour l'hte, avec l'ordre
des octets du rseau.
<br/><br/>

<i>h_addr</i> La premire adresse dans <i>h_addr_list</i> pour respecter la compatibilite ascendante.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Les fonctions <b>gethostbyname()</b> et <b>gethostbyaddr()</b> renvoient un
pointeur sur la structure <i>hostent</i>, ou bien un pointeur NULL si une
erreur se produit, auquel cas <i>h_errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
La variable <i>h_errno</i> peut prendre les valeurs suivantes :
<br/><br/>

<b>HOST_NOT_FOUND</b> <b></b>  L'hte indiqu est inconnu.
<br/><br/>

<b>NO_ADDRESS </b> ou <b> NO_DATA </b>
Le nom est valide mais ne possde pas d'adresse IP.
<br/><br/>

<b>NO_RECOVERY</b> <b></b>  Une erreur fatale du serveur de noms est apparue.
<br/><br/>

<b>TRY_AGAIN</b> <b></b>  Une erreur temporaire du serveur de noms est apparue, essayez un peu plus tard.
</div><br/><br /><h1 class="TitreSection0" id="L6">fichiers</h1>
<div class="paragraph">
<br/><br/>

<i>/etc/host.conf</i> Fichier de configuration de la rsolution de noms.
<br/><br/>

<i>/etc/hosts</i> Base de donnes des htes.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
Les spcifications SUS-v2 dclarent -  tort - le paramtre
<i>len</i> de
<b>gethostbyaddr()</b> <b></b>  de type
<i>size_t .</i>
(Ceci est erron car il doit obligatoirement tre un
<i>int ,</i>
ce que
<i>size_t</i> n'est pas toujours. POSIX 1003.1-2001 le dclare
<i>socklen_t ,</i>
ce qui est correct).<br/><br/>
Les fonctions
<b>gethostbyname () </b>
et
<b>gethostbyaddr () </b>
peuvent renvoyer des pointeurs sur des donnes statiques susceptibles d'tre
crases d'un appel  l'autre. Copier la structure
<i>struct hostent</i> ne suffit pas car elle contient elle-mme des pointeurs. Une copie en
profondeur est indispensable.<br/><br/>
La GlibC 2 propose aussi une fonction
<b>gethostbyname2()</b> <b></b>  qui agit comme
<b>gethostbyname() ,</b>
qui permet de prciser la famille  laquelle l'adresse doit appartenir.<br/><br/>
La GlibC 2 propose aussi les versions rentrantes
<b>gethostbyname_r()</b> <b></b>  et
<b>gethostbyname2_r() .</b>
Elles renvoient zro si elles russissent et une valeur non-nulle en cas d'erreur.
Le rsultat de l'appel est stock dans la structure d'adresse
<i>ret .</i>
Aprs l'appel,
* result</i>
vaudra NULL en cas d'erreur, ou pointera sur le rsultat.
Des donnes auxiliaires seront stockes dans le buffer
<i>buf</i> de longueur
<i>buflen .</i>
(Si le buffer est trop petit, ces fonctions renverront
<b>ERANGE ).</b>
La variable
<i>h_errno</i> n'est pas modifie, mais l'adresse d'une variable o stocker le code d'erreur
est transmis dans
<i>h_errnop .<br/><br/></i>
POSIX 1003.1-2001 indique
<b>gethostbyaddr()</b> <b></b>  et 
<b>gethostbyname()</b> <b></b>  comme lgaux, et introduit
<br/><br/>


<b>struct hostent * getipnodebyaddr (const void * restrict </b> addr ,
<b>  socklen_t </b> len <i>, int </i> type <b>, int * restrict </b> error_num );
<br/><br/>

<b>struct hostent *getipnodebyname (const char * </b> name ,
<b>  int </b> type <i>, int </i> flags <b>, int * </b> error_num );
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>resolver (3),</b>
<b>hosts (5), </b>
<b>hostname (7),</b>
<b>resolv+ (8),</b>
<b>named (8).</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
