<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1995  James R. Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Changed Tue Sep 19 01:49:29 1995, aeb: moved from man2 to man3 -->
<!--   added ref to /etc/utmp, added BUGS section, etc. -->
<!--  -->
<!--  Traduction 26/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>GETLOGIN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">erreurs</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getlogin, cuserid - Obtenir le nom de l'utilisateur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>char</b> <b></b>  <b>*</b> <b></b>  <b>getlogin</b> <b></b>  <b>(void);"</b> <b></b>  <br/><br/>

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>char *cuserid (char * </b> string );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>getlogin</b> renvoie un pointeur sur une chane de caractres
contenant le nom de l'utilisateur connect sur le terminal contrlant le
processus, ou un pointeur NULL si cette information n'est pas disponible.
La chane est alloue de manire statique et peut donc tre ecrase lors
des appels ultrieurs  <b>getlogin</b> ou  <b>cuserid</b>.<br/><br/>
La fonction <b>cuserid</b> renvoie un pointeur sur une chane de caractres
contenant le nom de l'utilisateur associ  l'UID effectif du processus. Si
<i>string</i> n'est pas un pointeur NULL, ce doit tre une table contenant
au moins <b>L_cuserid</b> caractres.
La chane sera alors renvoye dans cette table. Sinon (si <i>string</i> vaut NULL),
un pointeur sur une chane alloue statiquement sera renvoy. Cette chane
peut tre crase par des appels ultrieurs  <b>cuserid</b> ou  <b>getlogin</b>.<br/><br/>
La constante symbolique <b>L_cuserid</b> est un entier dclar dans <b>stdio.h</b>,
indiquant la longueur ncessaire pour stocker un nom d'utilisateur.<br/><br/>
Ces fonctions permettent d'identifier correctement l'utilisateur qui excute
le programme (<b>cuserid</b>) ou l'utilisateur connect pour la session
(<b>getlogin</b>).  (Ces deux lments peuvent diffrer si le bit Set-UID du
programme est valid). <br/><br/>
La plupart du temps, il est plus utile d'utiliser la variable d'environnement
<b>LOGNAME</b> pour dterminer l'utilisateur. Ceci est plus flexible car il
est justement possible de modifier <b>LOGNAME</b> arbitrairement.
</div><br/><br /><h1 class="TitreSection0" id="L4">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour allouer la structure passwd ncessaire.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">

<i>/etc/passwd</i>    Base de donnes des mots de passe.


<i>/var/run/utmp</i> (traditionellement <i>/etc/utmp</i>;
                     certaines version de la libc utilisent <i>/var/adm/utmp</i>)
ou se trouve <i>utmp</i> - Le chemin d'accs dpend de la version de libc).
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX.1.  System V dispose d'une fonction <b>cuserid</b> qui utilise l'UID
rel plutt que l'UID effectif. La fonction <b>cuserid</b> a t incorpore
dans la version POSIX de 1988, mais supprime de la version de 1990.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Malheureusement, il est souvent assez facile de tromper getlogin().
Parfois il ne fonctionne pas du tout car certains programmes
n'utilisent pas le fichier utmp correctement.
Souvent, il ne retourne que les 8 premiers caractres du nom. L'utilisateur
connect sur le terminal de contrle d'un programme n'est pas ncessairement
celui qui a lanc le programme.<br/><br/>
Personne ne sait prcisement ce que fait cuserid(). Evitez-le dans des 
programmes portables. Evitez-le de toute manire. Utilisez 
getpwuid(geteuid())  la place si vous en avez besoin. N'UTILISEZ PAS cuserid().
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>geteuid (2),</b>
<b>getuid (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
