<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sat Jul 24 19:27:50 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Mon Aug 30 22:02:34 1995 by Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  longindex is a pointer, has_arg can take 3 values, using consistent -->
<!--  names for optstring and longindex, "\n" in formats fixed.  Documenting -->
<!--  opterr and getopt_long_only.  Clarified explanations (borrowing heavily -->
<!--  from the source code). -->
<!--  -->
<!--  Traduction 28/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 21/07/1997 -->
<!--  mj 11/12/1997 (LDP man-pages 1.18) -->
<!--  mj 14/12/1998 (LDP man-pages 1.21) -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 07/06/2001 - LDP-man-pages-1.37 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GETOPT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">variables d'environnement</a>
<br /><a class="summaryIndent0" href="#L5">exemple</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getopt, getopt_long, getopt_long_only - Analyser les options en ligne de commande.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int getopt (int </b> argc <i>, char * const </i> argv[] ,
<b>           const char * </b> optstring );
<br/><br/>

<b>extern char * </b> optarg ;
<b>extern int </b> optind <i>, </i> opterr <b>, </b> optopt ;
<br/><br/>

<b>#define</b> <b></b>  <b>_GNU_SOURCE</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;getopt.h&gt;</b> <b></b>  <br/><br/>

<b>int getopt_long (int </b> argc <i>, char * const </i> argv[] ,
<b>           const char * </b> optstring ,
<b>           const struct option * </b> longopts <i>, int * </i> longindex );
<br/><br/>

<b>int getopt_long_only (int </b> argc <i>, char * const </i> argv[] ,
<b>           const char * </b> optstring ,
<b>           const struct option * </b> longopts <i>, int * </i> longindex );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>getopt()</b> <b></b>  analyse les arguments de la ligne de commande. Ses lments
<i>argc</i> et
<i>argv</i> correspondent aux nombres et  la table d'arguments qui sont transmis 
la fonction
<b>main()</b> <b></b>  lors du lancement du programme.
Un lment de <i>argv</i> qui commence par `-' (et qui ne soit pas uniquement "-" ou "--")
est considr comme une option. Les caractres  la suite du '-' initial sont les
caractres de l'option. Si <b>getopt()</b> est appele  plusieurs reprises, elle
renverra successivement chaque caractre de chaque option.<br/><br/>
Si <b>getopt()</b> trouve un caractre d'option, elle le renvoie, mettant  jour
la variable externe <i>optind</i> et la variable statique <i>nextchar</i> pour
prparer l'appel suivant a <b>getopt()</b>.<br/><br/>
S'il n'y a plus de caractres d'option, <b>getopt()</b> renvoie <b>EOF</b>.
Alors, <i>optind</i> devient l'index du premier lment de <i>argv</i> qui ne
soit pas une option.<br/><br/>
<i>optstring</i> est une chane contenant l'ensemble des caractres d'option autoriss. Si un de
ces caractres est suivi par un double-point, l'option ncessite un argument
supplmentaire, et <b>getopt</b> placera un pointeur sur le texte correspondant
de <i>argv</i> dans
<i>optarg .</i>
Deux doubles-points signifient qu'une option prend un argument optionnel. S'il existe
un texte dans le mme lment de <i>argv</i>, il est renvoy dans
<i>optarg</i>, sinon <i>optarg</i> contient zro.
Il s'agit d'une extension GNU. Si
<i>optstring</i> contient
<b>W</b> <b></b>  suivi d'un point-virgule, alors
<b>-W</b> <b></b>  <b>foo</b> <b></b>  est trait comme l'option longue
<b>--foo .</b>
(L'option
<b>-W</b> <b></b>  est rserve par POSIX.2 pour des extensions spcifique  l'implmentation).
Ce comportement, spcifique  la version GNU, n'est pas disponible avant
la bibliothque GNU libc 2.<br/><br/>
Par dfaut, <b>getopt()</b> permute les lments de <i>argv</i> au fur et 
mesure de son analyse, ainsi tous les arguments ventuels ne constituant pas
des options se trouvent  la fin. Deux autres modes sont galement implments :
Si le premier caractre de <i>optstring</i> vaut `+', ou si la variable
d'environnement POSIXLY_CORRECT est valide, alors l'analyse 
s'arrte aussitot qu'un argument ne constituant pas une option est rencontr.
Si le premier caractre de <i>optstring</i> vaut `-', alors les arguments
ne correspondant pas  une option sont manipuls comme s'ils taient des
arguments d'une option dont le caractre soit le caractre de code 1.
Ceci est utilis par les programmes qui sont conus pour recevoir des
options et d'autres lments de <i>argv</i> et qui prennent en compte
l'ordre des arguments.<br/><br/>
L'argument spcial `--' arrte l'analyse des options, quelque soit le
mode en cours.<br/><br/>
Si  <b>getopt()</b> ne reconnat pas un caractre d'option, il affiche un
message d'erreur sur la sortie standard stderr, stocke le caractre dans
<i>optopt</i>, et renvoie `?'. Le programme appelant peut empcher l'affichage
du message d'erreur en positionnant <i>opterr</i>  0.<br/><br/>
Si <b>getopt()</b> trouve dans <i>argv</i> un caractre d'option non inclus dans
<i>optstring</i>, ou s'il  manque un argument d'option, l'appel renvoie
`?' et remplit la variable externe <i>optopt</i> avec le vrai caractre trouv.
Si le premier caractre de <i>optstring</i> est un deux-points (`:'), alors
<b>getopt()</b> renvoie `:' plutt que `?' pour indiquer un argument d'option
manquant. Si une erreur est dtecte, si le premier caractre de <i>optstring</i>
n'est PAS un deux-points, et si la variable externe <i>opterr</i> est non-nulle,
(nulle par dfaut), alors
<b>getopt()</b> affiche un message d'erreur.<br/><br/>
La fonction
<b>getopt_long()</b> <b></b>  fonctionne comme
<b>getopt()</b> <b></b>  sauf qu'elle accepte galement des noms longs d'option, commencant par deux
tirets.
Les noms longs d'option peuvent tre abrgs, si l'abrviation est unique,
ou si elle correspond exactement  une option dfinie.
Une option longue peut prendre un argument, de la forme
<b>--arg=param</b> <b></b>  ou
<b>--arg param</b> .<br/><br/></b>
<i>longopts</i> est un pointeur sur le premier lment d'un tableau de structures
<b>struct</b> <b></b>  <b>option</b> <b></b>  dclares dans
<b>&lt;getopt.h&gt;</b> <b></b>  ainsi :

<br/><br/>

.in 10
struct option {
.in 14
const char *name;
int has_arg;
int *flag;
int val;
.in 10
};

<br/><br/>
La signification des diffrents champs est la suivante :
<br/><br/>

<i>name</i> est le nom de l'option longue.
<br/><br/>

<i>has_arg</i> vaut :
<b>no_argument</b> (ou 0), si l'option ne prend pas d'argument, 
<b>required_argument</b> (ou 1) si l'option prend un argument, ou
<b>optional_argument</b> (ou 2) si l'option prend un argument optionnel.
<br/><br/>

<i>flag</i> spcifie la manire de renvoyer les rsultats pour une option longue. Si
<i>flag</i> vaut <b>NULL</b>, alors <b>getopt_long()</b> renvoie <i>val</i>.
(Par exemple le programme appelant peut remplir <i>val</i> avec le caractre
de l'option courte correspondante). Sinon, <b>getopt_long()</b> renvoie 0, et
<i>flag</i> pointe sur une variable correspondant  <i>val</i> si l'option est
trouve, mais reste inchang si l'option est absente.
<br/><br/>

<i>val</i> 
est la valeur  renvoyer, ou  charger dans la variable pointe par <i>flag</i>.<br/><br/>
Le dernier lment de la table doit tre rempli avec des zros.<br/><br/>
Si <i>longindex</i> n'est pas <b>NULL</b>, il pointe sur une variable qui est
remplie avec l'index de l'option longue correspondant  
<i>longopts .<br/><br/></i>
<b>getopt_long_only()</b> fonctionne comme <b>getopt_long()</b>, mais `-' tout
comme `--' indiquent une option longue. Si une option commenant par `-'
(et non `--') ne correspond pas  une option longue, mais correspond  une
option courte, elle est analysee en tant qu'option courte.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>getopt()</b> <b></b>  renvoie le caractre de l'option s'il en trouve une,  `:' s'il manque
un paramtre pour une option, `?' s'il y a un caractre inconnu, et
<b>EOF</b> (-1)  la fin de la liste des options.<br/><br/>
<b>getopt_long()</b> et <b>getopt_long_only()</b> renvoient galement le
caractre d'option courte s'ils en trouvent une. Pour les options longues,
ils renvoient <i>val</i> si <i>flag</i> vaut <b>NULL</b>, et 0 sinon.
Les erreurs et la fin des options sont gres comme avec <b>getopt()</b>,
en renvoyant de surcrot `?' pour une correspondance ambigu, ou un
paramtre en trop.
</div><br/><br /><h1 class="TitreSection0" id="L5">variables d'environnement</h1>
<div class="paragraph">
<br/><br/>

.SM
<b>POSIXLY_CORRECT</b> <b></b>  Si cette variable est positionne, l'analyse s'arrte ds qu'un
argument ne constituant pas une option est rencontr.
<br/><br/>

.SM
<b>_&lt;PID&gt;_GNU_nonoption_argv_flags_</b> <b></b>  Cette variable est utilise par
<b>bash</b> <b></b>  2.0 pour communiquer  la libc GNU quels arguments sont le rsultat
de l'expansion des caractres gnriques, et ne doivent pas tre considrs
comme des options. Ce comportement  t supprim de
<b>bash</b> <b></b>  version 2.01, mais il est toujours support par la libc GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">exemple</h1>
<div class="paragraph">
Le programme suivant illustre l'utilisation de
<b>getopt_long()</b>
avec la plupart de ses fonctionnalite.

<br/><br/>

#include &lt;stdio.h&gt;     /* for printf */
#include &lt;stdlib.h&gt;    /* for exit */
#include &lt;getopt.h&gt;<br/><br/>
int
main (argc, argv)
     int argc;
     char **argv;
{
  int c;
  int digit_optind = 0;<br/><br/>
  while (1)
    {
      int this_option_optind = optind ? optind : 1;
      int option_index = 0;
      static struct option long_options[] =
      {
        {"add", 1, 0, 0},
        {"append", 0, 0, 0},
        {"delete", 1, 0, 0},
        {"verbose", 0, 0, 0},
        {"create", 1, 0, 'c'},
        {"file", 1, 0, 0},
        {0, 0, 0, 0}
      };<br/><br/>
      c = getopt_long (argc, argv, "abc:d:012",
		       long_options, &option_index);
      if (c == -1)
	break;<br/><br/>
      switch (c)
        {
        case 0:
          printf ("option %s", long_options[option_index].name);
          if (optarg)
            printf (" avec argument %s", optarg);
          printf ("\\n");
          break;<br/><br/>
        case '0':
        case '1':
        case '2':
          if (digit_optind != 0 && digit_optind != this_option_optind)
            printf ("chiffre dans deux arguments.\\n");
          digit_optind = this_option_optind;
          printf ("option %c\\n", c);
          break;<br/><br/>
        case 'a':
          printf ("option a\\n");
          break;<br/><br/>
        case 'b':
          printf ("option b\\n");
          break;<br/><br/>
        case 'c':
          printf ("option c de valeur `%s'\\n", optarg);
          break;<br/><br/>
        case 'd':
          printf ("option d de valeur `%s'\\n", optarg);
          break;<br/><br/>
        case '?':
          break;<br/><br/>
        default:
          printf ("?? caractre de code 0%o ??\\n", c);
        }
    }<br/><br/>
  if (optind &lt; argc)
    {
      printf ("Arguments ne constituant pas des options: ");
      while (optind &lt; argc)
      printf ("%s ", argv[optind++]);
      printf ("\\n");
    }<br/><br/>
  exit (0);
}


</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Les spcifications POSIX.2 de
<b>getopt()</b> <b></b>  contiennent une erreur technique dcrite dans POSIX.2 interprtation 150.
L'implmentation GNU (et probablement toutes les autres) adopte un
comportement correct diffrent de la spcification.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
<br/><br/>

<b>getopt()</b>:
POSIX.2,  condition que la variable d'environnement POSIXLY_CORRECT soit positionne.
Sinon, les lments de <i>argv</i> ne sont pas vraiment constants puisque l'on peut
les permuter. On les dclare 'const' dans le prototype pour tre compatible avec
d'autres systmes.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
