<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--   Copyright 2002 walter harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--   Distributed under GPL -->
<!--   Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GETTTYENT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getttyent, getttynam, setttyent, endttyent - lire le fichier des terminaux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;ttyent.h&gt;"</b> <b></b>  <br/><br/>

<b>struct</b> <b></b>  <b>ttyent</b> <b></b>  <b>*getttyent(void);"</b> <b></b>  <br/><br/>

<b>struct ttyent *getttynam(const char *</b> nom );
<br/><br/>

<b>int</b> <b></b>  <b>setttyent(void);"</b> <b></b>  <br/><br/>

<b>int</b> <b></b>  <b>endttyent(void);"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions fournissent une interface pour le fichier
<b>_PATH_TTYS</b> <b></b>  (par exemple
<i>/etc/ttys ).<br/><br/></i>
La fonction 
<b>setttyent ()</b>
ouvre le fichier, ou reprend la lecture au dbut s'il tait dj ouvert.<br/><br/>
La fonction
<b> endttyent ()</b>
ferme le fichier.<br/><br/>
La fonction 
<b>getttynam ()</b>
recherche un nom de terminal dans le fichier. Elle renvoie un pointeur sur une
structure ttyent (voir ci-dessous).<br/><br/>
La fonction
<b>getttyent ()</b>
ouvre le fichier _PATH_TTYS (si besoin) et renvoie la premire entre.
Si le fichier est dj ouvert, elle renvoie l'entre suivante.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L7">La structure ttyent</h2>
<div class="paragraph">

struct ttyent {
        char    *ty_name;       /* nom du terminal */
        char    *ty_getty;      /* commande  excuter (ex : getty) */
        char    *ty_type;       /* type termcap de terminal */
        int     ty_status;      /* attributs d'tat */
        char    *ty_window;     /* commande gestionnaire de fentres */
        char    *ty_comment;    /* commentaires */
};


Le champ
<i>ty_status</i> peut valoir
<br/>

#define TTY_ON       0x01   /* autoriser les logins (avec ty_getty) */
#define TTY_SECURE   0x02   /* autoriser login de l'UID zro */


</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Sous Linux, le fichier
<i>/etc/ttys ,</i>
et les fonctions dcrites ci-dessus ne sont pas utilises.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>ttyname (3),</b>
<b>ttyslot (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
