<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2002 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  This replaces an earlier man page written by Walter Harms -->
<!--  &lt;walter.harms@informatik.uni-oldenburg.de&gt;. -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>GETUMASK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getumask - Renvoyer le masque de permission pour la cration de fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;"</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/stat.h&gt;"</b> <b></b>  <br/><br/>

<b>mode_t</b> <b></b>  <b>getumask(void);"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette fonction renvoie le masque de permissions utilis lors de la
cration d'un fichier.  Elle est quivalente 
.RS

mode_t getumask(void) {
	mode_t mask = umask(0);
	umask(mask);
	return mask;
}



except qu'elle est explicitement prvue pour pouvoir tre utilise de
manire saine dans le contexte d'une application multi-threads
(elle partage un smaphore avec la fonction <i> umask()</i>).
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Cette fonction est documente mais non encore implmente dans la
GlibC version 2.2.5.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Ceci est une extension GNU peu utilise.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>umask (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2002</i></i>
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
