<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1995 by Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  -->
<!--  Traduction 03/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GETW</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getw, putw - Lecture et criture de mots (ints).
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int getw (FILE * </b> stream );
.nl
<b>int putw (int </b> w <i>, FILE * </i> stream );
.nl
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>getw</b> lit un mot (c'est  dire un entier <b>int</b>) depuis le flux
<i>stream</i>. Cette fonction est fournie pour des raisons de compatibilit
avec SVID.  Nous recommandons l'utilisation de <b>fread</b>(3)  sa place.<br/><br/>
<b>putw</b> crit un mot (c'est  dire un entier <b>int</b>) dans le flux
<i>stream</i>. Cette fonction est fournie pour des raisons de compatibilit
avec SVID.  Nous recommandons l'utilisation de <b>fwrite</b>(3)  sa place.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Normalement, <b>getw</b> renvoie le mot lu, et <b>putw</b> renvoie 0.
En cas d'erreur ils renvoient <b>EOF</b>.
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
La valeur renvoye en cas d'erreur est aussi une valeur lgitime pour une
donne. On peut utiliser <b>ferror</b>(3) pour distinguer ces cas.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVID
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>fread (3),</b>
<b>fwrite (3),</b>
<b>ferror (3),</b>
<b>getc (3),</b>
<b>putc (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
