<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  This page is in the public domain. - aeb -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GRANTPT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs.</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
grantpt - Accder  un pseudo-terminal esclave.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>int grantpt(int </b> fd <i>);</i>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>grantpt ()</b>
modifie le mode et l'appartenant du pseudo-terminal esclace correspondant
au pseudo-terminal matre rfrenc par
<i>fd .</i>
L'UID de l'esclave est rempli avec l'UID rel du processus appelant.
Le GID est rempli avec une valeur non spcifie (par ex&nbsp;: tty).
Le mode de l'esclave est mis  0620 (crw--w----).<br/><br/>
Le comportement de
<b>grantpt ()</b>
est indtermin si un gestionnaire de signal est install pour capturer SIGCHLD.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Lorsqu'elle russit, la fonction
<b>grantpt ()</b>
renvoie 0. Sinon, elle renvoie -1 et configure
<i>errno</i> avec le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs.</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  L'argument
<i>fd</i> n'est pas un descripteur valide.
<br/><br/>

<b>EINVAL</b> <b></b>  L'argument
<i>fd</i> est un descripteur mais pas associ avec un pseudo-terminal matre.
<br/><br/>

<b>EACCES</b> <b></b>  Le pseudo-terminal esclave n'est pas accessible.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX 1003.1-2001
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Il s'agit d'une partie du support pty d'Unix98, voir
<b>pts (4).</b>
De nombreux systmes implmente cette fonction avec un assistant binaire Set-UID
appel "pt_chown". Avec le mcanisme devpts de Linux aucun assistant n'est
ncessaire.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>open (2),</b>
<b>getpt (3),</b>
<b>ptsname (3),</b>
<b>unlockpt (3),</b>
<b>pts (4)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
