<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 Ulrich Drepper (drepper@karlsruhe.gmd.de) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  References consulted: -->
<!--      SunOS 4.1.1 man pages -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>HSEARCH</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5"> conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">exemple</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
hsearch, hcreate, hdestroy - Gestion de table de hachage.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;search.h&gt;</b> <b></b>  <br/><br/>

<b>ENTRY *hsearch (ENTRY </b> item <i>, ACTION </i> action );
<br/><br/>

<b>int hcreate (unsigned </b> nel );
<br/><br/>

<b>void</b> <b></b>  <b>hdestroy</b> <b></b>  <b>(void);"</b> <b></b>  <br/><br/>
 2
<b>#define</b> <b></b>  <b>_GNU_SOURCE</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;search.h&gt;</b> <b></b>  <br/><br/>

<b>int hcreate_r(size_t </b> nel <i>, struct hsearch_data *</i> tab );
<br/><br/>

<b>int *hsearch_r(ENTRY </b> item <i>, ACTION </i> action ,
<b>ENTRY **</b> ret <i>, struct hsearch_data *</i> tab );
<br/><br/>

<b>void hdestroy_r(struct hsearch_data *</b> tab );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les trois fonctions
<b>hcreate ,</b>
<b>hsearch ,</b>
et
<b>hdestroy</b>
permettent  l'utilisateur de ceer une table (une seule  la fois) de
hachage du type <i>ENTRY</i> (definie dans <b>&lt;search.h&gt;</b>) qui associe
une cl avec des donnes quelconques.
Les fonctions
<b>hcreate_r ,</b>
<b>hsearch_r ,</b>
<b>hdestroy_r</b>
sont des versions rentrantes qui permettent d'utiliser plusieurs tables simultanment.<br/><br/>
La table doit d'abord tre cre avec la fonction <b>hcreate()</b>.
<i>nel</i> est une estimation du nombre d'lments dans la table.
La fonction <b>hcreate()</b> permet d'augmenter cette valeur, afin
d'amliorer les performances de la table de hachage.<br/><br/>
La fonction <i>hdestroy()</i> libre la mmoire occupe par la table, afin
de pouvoir en construire une nouvelle.<br/><br/>
L'argument <i>item</i> est du type <b>ENTRY</b>, qui est dfinie dans <i>&lt;search.h&gt;</i> 
ainsi:
<br/><br/>


  typedef struct entry { 
      char *<i>key</i>;
      void *<i>data</i>; 
  } ENTRY;


<br/><br/>

Le champ <i>key</i> pointe sur une chane de caractres ASCII termine par un
caractre nul. Cette chane est la cl de recherche.
Le champ <i>data</i> pointe sur les donnes associes  cette cl.
La fonction <b>hsearch()</b> recherche dans la table un lment associ
 la mme cl que <i>item</i> (compares avec
<b>strcmp (3)),</b>
et si elle russit, elle renvoie un pointeur sur cet lment.
Le paramtre <i>action</i> dtermine ce que fera <b>hsearch()</b> si la
recherche est infructueuse.
Si <i>action</i> vaut <b>ENTER</b> alors <b>hsearch()</b> insrera une copie
de <i>item</i>. Si <i>action</i> vaut <b>FIND</b> alors elle renverra
<b>NULL</b>.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>hcreate()</b> et <b>hcreate_r</b> renvoie zro si la table ne peut PAS tre installe.<br/><br/>
<b>hsearch()</b> renvoie <i>NULL</i> si l'action est <i>ENTER</i> et si la
table est pleine ou si l'action est <i>FIND</i> et si l'<i>item</i> n'est
pas trouv dans la table.<br/><br/>
<b>hsearch_r()</b> renvoie zro si <i>action</i> est <b>ENTER</b> et si
la table de hachage est pleine, ou zro sinon.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ENOMEM</b> <b></b>  Plus de mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L6"> conformit</h1>
<div class="paragraph">
Les fonctions
<b>hcreate ,</b>
<b>hsearch ,</b>
et
<b>hdestroy</b>
viennent de SVID, et sont dcrites dans POSIX 1003.1-2001.
Les fonctions
<b>hcreate_r ,</b>
<b>hsearch_r ,</b>
<b>hdestroy_r</b>
sont des extensions GNU.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
SVID et POSIX 1003.1-2001 prcisent que <i>action</i> n'est significative que
pour les recherches infructueuses&nbsp;; ainsi ENTER ne devrait avoir aucune
influence pour une recherche russie. Les implmentations libC et GlibC
mettent  jour <i>data</i> de la cl <i>key</i> fournie dans ce cas.<br/><br/>
Les entres ne peuvent tre qu'ajoutes dans la table, on ne peut pas les
supprimer individuellement.
</div><br/><br /><h1 class="TitreSection0" id="L8">exemple</h1>
<div class="paragraph"><br/><br/>
Le programme suivant insre 24 lments dans une table de hachage, puis
affiche quelques uns d'entre-eux.
<br/><br/>
  #include &lt;stdio.h&gt;
  #include &lt;search.h&gt;
  char *data[]= { "alpha",   "bravo",  "charlie", "delta",    "echo",
                  "foxtrot", "golf",   "hotel",   "india"    "juliette",
                  "kilo",    "lima",   "mike",    "novembre", "oscar",
                  "papa",    "quebec", "romeo",   "sierra",   "tango",
                  "uniforme", "victor", "whisky",  "x-ray",    "yankee"
                  "zoulou" 
  };<br/><br/>
int 
main ()
{
    ENTRY e, *ep;
    int i;
     
    /* On commence avec une petite table, qu'on agrandit ensuite */
    
    hcreate(30);
    for (i = 0; i &lt; 24; i++) {
        e.key = data[i]; 
        /* Les donnes sont de simples entiers, pas des pointeur */
        e.data = (char *)i;
        ep = hsearch(e, ENTER);
        /* Il ne devrait pas y avoir d'chec */
        if (ep == NULL) {
            fprintf (stderr, "Echec\\n");
	    exit(1);
	}
    }
    for (i = 22; i &lt; 26; i++)  {
    /* Afficher 2 entres, et vrifier que 2 autres sont absentes */
        e.key = data[i];
        ep = hsearch(e, FIND);
        printf ("%9.9s -&gt; %9.9s:%d\\n", e.key,
	        ep?ep-&gt;key:"NULL", 
                ep ? (int)(ep-&gt;data) : 0);
    }
    return (0);
}

<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>bsearch (3),</b>
<b>lsearch (3),</b>
<b>malloc (3)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
