<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 19:14:54 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  MJ 30/07/2003 LDP-1.58 -->
<br/><h1>HYPOT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
hypot, hypotf, hypotl - Distance euclidienne.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;math.h&gt;</b> <b></b>  <br/><br/>

<b>double hypot (double </b> x <i>, double </i> y );
<br/><br/>

<b>float hypot (float </b> x <i>, float </i> y );
<br/><br/>

<b>long double hypot (long double </b> x <i>, long double </i> y );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>hypot()</b> renvoie la valeur sqrt(x*x + y*y).  C'est la longueur
de l'hypotnuse d'un triangle rectangle de cts <i>x</i> et <i>y</i>.
C'est galement la distance entre un point de coordonnes (x, y) et l'origine.
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
SVID 3, BSD 4.3, C99.
Les variantes float et long double sont des demandes C99.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>sqrt (3),</b>
<b>cabs (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
