<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--      libc.info (from glibc distribution) -->
<!--  Modified Sat Jul 24 19:12:00 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Sep  3 20:29:36 1995 by Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 28/04/1998 (LDP-man-pages-1.19) -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>INET</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
inet_aton, inet_addr, inet_network, inet_ntoa, inet_makeaddr, inet_lnaof, inet_netof - Routines de manipulation d'adresses Internet.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;netinet/in.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;arpa/inet.h&gt;</b> <b></b>  <br/><br/>

<b>int inet_aton (const char *</b> cp <i>, struct in_addr *</i> inp );
<br/><br/>

<b>in_addr_t inet_addr (const char * </b> cp );
<br/><br/>

<b>in_addr_t inet_network (const char * </b> cp );
<br/><br/>

<b>char * inet_ntoa (struct in_addr </b> in );
<br/><br/>

<b>struct in_addr inet_makeaddr (int </b> net <i>, int </i> host );
<br/><br/>

<b>in_addr_t inet_lnaof (struct in_addr </b> in );
<br/><br/>

<b>in_addr_t inet_netof (struct in_addr </b> in );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>inet_aton()</b> convertit l'adresse Internet de l'hte <i>cp</i> depuis la
notation standard avec nombres et points en une donne binaire, et la
stocke dans la structure pointe par <i>inp</i>. <b>inet_aton</b> renvoie une
valeur non nulle si l'adresse est valide, et zro sinon.<br/><br/>
La fonction <b>inet_addr()</b> convertit l'adresse Internet de l'hte <i>cp</i>
depuis la notation standard avec nombres et points en une donne binaire dans
l'ordre des octets du rseau. Si l'adresse est invalide, INADDR_NONE 
(gnralement -1) est renvoy.
Ceci est une interface <i>obsolte</i> pour la fonction <b>inet_aton</b>,
dcrite ci-dessus, car -1 est une adresse valide (255.255.255.255),
et <b>inet_aton</b> utilise un renvoi d'erreur plus propre.<br/><br/>
La fonction <b>inet_network()</b> extrait la partie rseau de
l'adresse <i>cp</i> fournie dans la notation avec nombres et points, et
renvoie cette valeur dans l'ordre des octets de l'hte. Si l'adresse
est invalide, -1 est renvoy.<br/><br/>
La fonction <b>inet_ntoa()</b> convertit l'adresse Internet de l'hte
<i>in</i> donne dans l'ordre des octets du rseau en une chane de caractres
dans la notation avec nombres et points. La chaine est renvoye dans un buffer
allou statiquement, qui est donc cras  chaque appel.<br/><br/>
La fonction <b>inet_makeaddr()</b> cre une adresse d'hte Internet dans
l'ordre des octets du rseau, en combinant le numro du rseau <i>net</i>
et l'adresse locale <i>host</i>, chacun d'eux tant donn dans l'ordre des
octets de l'hte.<br/><br/>
La fonction <b>inet_lnaof()</b> renvoie la partie adresse locale extraite d'une
adresse Internet <i>in</i>.  L'adresse locale est renvoye dans l'ordre des
octets de l'hte.<br/><br/>
La fonction <b>inet_netof()</b> renvoie la partie adresse rseau extraite d'une
adresse Internet <i>in</i>.  Le numro de rseau est renvoy dans l'ordre des
octets de l'hte.<br/><br/>
La structure <i>in_addr</i> utilise dans <b>inet_ntoa()</b>,
<b>inet_makeaddr()</b>, <b>inet_lnoaf()</b> et <b>inet_netof()</b>
est dfinie ainsi dans <i>netinet/in.h</i> :
<br/><br/>

.RS 

.ne 7
.ta 8n 16n
   struct in_addr {
        unsigned long int s_addr;
    }
.ta


<br/><br/>
Notez que l'ordre des octets des i80x86 est LSB (poids faible en premier),
alors que l'ordre des octets sur l'Internet est MSB (poids fort en premier).
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>gethostbyname (3),</b>
<b>getnetent (3),</b>
<b>inet_ntop (3),</b>
<b>inet_pton (3),</b>
<b>hosts (5),</b>
<b>networks (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
