<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sat Jul 24 19:01:20 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 21/07/1997 -->
<!--  Mise a jour 28/04/1998 (LDP-man-pages-1.19) -->
<!--  Mise a jour 30/08/2000 (LDP-man-pages-1.19) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>LOCALECONV</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
localeconv - Obtenir des informations sur les formats numeriques.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;locale.h&gt;</b> <b></b>  <br/><br/>

<b>struct</b> <b></b>  <b>lconv</b> <b></b>  <b>*localeconv</b> <b></b>  <b>(void);</b> <b></b>  

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>localeconv()</b> <b></b>  renvoie un pointeur sur une
<b>struct</b> <b></b>  <b>lconv"</b> <b></b>  conforme  la localisation en cours.
Cette structure est dfinie dans le fichier
<b>locale.h</b> <b></b>  qui contient toutes les valeurs associes aux catgories de localisation
<b>LC_NUMERIC</b> <b></b>  et
<b>LC_MONETARY .</b>
Les applications peuvent galement utiliser les fonctions
<b>printf()</b> <b></b>  et
<b>strfmon()</b> <b></b>  dont les comportements sont en accord avec la localisation en cours.
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
ANSI C, POSIX.1
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
La famille de fonctions
<b>printf()</b> <b></b>  peut honorer ou non la localisation.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>locale (1), </b>
<b>localedef (1), </b>
<b>strcoll (3), </b>
<b>isalpha (3),</b>
<b>setlocale (3), </b>
<b>strfmon (3), </b>
<b>locale (7).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
