<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Written by Michael Haardt, Fri Nov 25 14:51:42 MET 1994 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modifications, Sun Feb 26 14:39:45 1995, faith@cs.unc.edu -->
<!--  " -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 10/07/1997. -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>LONGJMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
longjmp, siglongjmp - Saut non-local vers un contexte de pile sauvegard.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
#include &lt;setjmp.h&gt;
<br/><br/>


<b>void longjmp (jmp_buf </b> env <i>, int </i> val );
<b>void siglongjmp (sigjmp_buf </b> env <i>, int </i> val );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>longjmp()</b> et <b>setjmp</b>() sont utiles pour la gestion d'erreurs et
d'interruptions rencontres dans une routine bas-niveau d'un programme.
<b>longjmp()</b> restitue l'environnement sauvegard lors du dernier appel
de <b>setjmp()</b> avec l'argument <i>env</i> correspondant.  Aprs l'appel de
<b>longjmp()</b> l'excution du programme continue comme si l'appel correspondant
de <b>setjmp()</b> venait juste de renvoyer <i>val</i>.
<b>longjmp()</b> ne peut pas renvoyer 0.  Si <b>longjmp</b> est appel avec
0 en tant que second argument, <b>setjmp</b> renverra 1  la place.<br/><br/>
<b>siglongjmp()</b> est identique  <b>longjmp()</b> hormis le type de
son argument <i>env</i>.  Si l'argument <i>savesigs</i> est non nul
lors de l'appel de <b>sigsetjmp()</b>, alors <b>siglongjmp()</b>
restituera galement l'ensemble des signaux bloqus.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Ces fonctions ne reviennent jamais.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
POSIX
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
POSIX ne prcise pas si <b>longjmp</b> restore le contexte de 
signal. Si vous voulez sauver et restorer le masque de signaux, utilisez
<b>siglongjmp</b>.<br/><br/>
<b>longjmp()</b> et <b>siglongjmp()</b> rendent les programmes difficiles
 comprendre et  maintenir. Il est prfrable si possible utiliser
une autre mthode.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>setjmp (3),</b>
<b>sigsetjmp (3).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
