<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  Copyright 1995 Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one. -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 22/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>LSEARCH</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
lsearch, lfind - Recherche linaire dans une table.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>void *lfind (const void *</b> key <i>, const void *</i> base <b>, size_t *</b> nmemb ,
.RS
<b>size_t </b> size <i>, int (*</i> compar <b>)(const void *, const void *));</b>

<br/><br/>

<b>void *lsearch (const void *</b> key <i>, const void *</i> base <b>, size_t *</b> nmemb ,
.RS
<b>size_t </b> size <i>, int (*</i> compar <b>)(const void *, const void *));</b>



</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions <b>lfind()</b> et <b>lsearch()</b> effectuent une recherche
linaire de la cl <i>key</i> dans la table <i>base</i> 
contenant *<i>nmemb</i> lments, chacun de taille <i>size</i> octets.
La fonctions de comparaison, pointe par
<i>compar</i>, est suppose prendre deux arguments pointant sur l'objet
<i>key</i> et sur un membre de la table, dans cet ordre. La fonction renvoie
zro si <i>key</i> correspond  cet lment de la table, et une valeur non-nulle
sinon.<br/><br/>
Si <b>lsearch()</b> ne trouve pas d'lment correspondant alors l'objet <i>key</i>
est ajout  la fin de la table et *<i>nmemb</i> est incrment.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>lfind()</b> renvoie un pointeur sur l'lment de la table correspondant, ou
<b>NULL</b> si aucune correspondance n'est trouve.
<b>lsearch()</b> renvoie un pointeur sur un lment correspondant de la table,
ou sur le nouvel lment ajout.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
SVID 3, BSD 4.3.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>bsearch (3),</b>
<b>hsearch (3),</b>
<b>tsearch (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
