<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:59:43 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>MBLEN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mblen - Dterminer la taille du prochain caractre multi-octets.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>int mblen (const char *</b> s <i>, size_t </i> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Si
<i>s</i> n'est pas un pointeur
<b>NULL ,</b>
la fonction
<b>mblen</b> <b></b>  inspecte au plus
<i>n</i> octets de la chaine commenant  l'adresse
<i>s</i> et extrait le caractre multi-octets suivant. Elle utilise un tat de dcalage
statique et anonyme, uniquement connu de la routine
<b>mblen ().</b>
Si le caractre multi-octets n'est pas le caractre large nul, elle renvoie
le nombre d'octes consomms dans
<i>s .</i>
Si c'est le caractre large nul, elle renvoie 0.<br/><br/>
Si les
<i>n</i> octets commenant  l'adresse
<i>s</i> ne contiennent pas un caractre multi-octets complet,
<b>mblen ()</b>
renvoie -1. Ceci peut arriver mme si
<i>n</i> est suprieur 
<b>MB_CUR_MAX ,</b>
si la chane multi-octets contient des squences de dcalages redondantes.<br/><br/>
Si la chane multi-octets commenant en
<i>s</i> contient une squence invalide avant le prochaine caractre complet,
<b>mblen ()</b>
renvoie aussi -1.<br/><br/>
Si
<i>s</i> est un pointeur
<b>NULL ,</b>
la fonction
<b>mblen ()</b>
reinitialise l'tat de dcalage (connue d'elle seule), et renvoie une valeur
non-nulle si le codage a un tat de dcalage non-trivial, ou zro si
le codage est sans tat.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>mblen ()</b>
renvoie le nombre d'octets analyss dans la squence multi-octets commenant en
<i>s ,</i>
si un caractre large non-nul a t reconnu.
Elle renvoie zro, si un caractre large nul a t trouv.
Elle renvoie -1 si une squence multi-octets invalide ou un caractre
multi-octets incomplet ont t rencontrs.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>mbrlen (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de
<b>mblen ()</b>
dpdent de la catgorie
<b>LC_CTYPE</b> <b></b>  de la localisation en cours.<br/><br/>
La fonction
<b>mbrlen ()</b>
fournit une meilleure interface pour la mme fonctionnalit.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
