<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>MBSRTOWCS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoy</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mbsrtowcs - Convertir une squence multi-octets en chane de caractres larges.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>size_t mbsrtowcs (wchar_t *</b> dest <i>, const char **</i> src ,
<b>                  size_t </b> len <i>, mbstate_t *</i> ps );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Si <i>dest</i> n'est pas un pointeur NULL, la fonction <b>mbsrtowcs</b> convertit la squence multi-octets <i>*src</i>
en une chane de caractres larges dbutant en <i>dest</i>. Au maximum, <i>len</i> caractres larges seront crits dans <i>dest</i>.
L'tat de conversion <i>*ps</i> est mis  jour. La conversion est en fait ralise en invoquant  rptition
mbrtowc(<i>dest</i>,<i>*src</i>,<i>n</i>,<i>ps</i>) o <i>n</i> est un nombre positif, aussi longtemps que cet appel russit,
en incrmentant chaque fois <i>dest</i> et en augmentant <i>src</i> du nombre d'octets lus. La conversion peut s'arrter pour
trois raisons :<br/><br/>
1. Une squence multi-octets invalide a t rencontre. Dans ce cas, <i>*src</i> pointera sur la squence invalide,
et la fonction renvoie (size_t)(-1) en positionnant <b>errno</b>  la valeur <b>EILSEQ</b>.<br/><br/>
2. <i>len</i> caractres larges diffrents de L'\\0' ont t
enregistrs en <i>dest</i>. Dans ce cas, <i>*src</i> pointe sur la squence multi-octets suivante, et le nombre
de caractres larges crites dans <i>dest</i> est renvoy.<br/><br/>
3. La squence multi-octets a t compltement convertie, y compris le L'\\0' final (ce qui a pour effet de bord
de ramener <i>*ps</i>  l'tat initial). Dans ce cas, <i>*src</i> est mis  NULL, et le nombre de caractres crits
dans <i>dest</i>, sauf le L'\\0' final, est renvoy.<br/><br/>
Si <i>dest</i> est NULL, alors <i>len</i> est ignor, et la conversion se droule comme prcdemment, sauf que les
caractres convertis ne sont pas crits en mmoire, et qu'aucune limite de destination n'est prise en compte.<br/><br/>
Dans tous les cas, si <i>ps</i> est un pointeur NULL, un tat anonyme statique, rserv  la fonction
mbsnrtowcs est utilis  sa place.<br/><br/>
Le programmeur doit s'assurer qu'il y assez de place pour au moins <i>len</i> caractres larges dans <i>dest</i>.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoy</h1>
<div class="paragraph">
La fonction <b>mbsrtowcs</b> renvoie le nombre de caractres larges placs dans la zone convertie, sans
compter le caractre nul final. Si une squence multi-octets invalide est rencontre, la fonction renvoie (size_t)(-1),
et <b>errno</b> contient <b>EILSEQ</b>.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>mbstowcs (3),</b>
<b>mbsnrtowcs (3),</b>
<b>iconv (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>mbsrtowcs</b> dpend de la catgorie LC_CTYPE de la localisation.<br/><br/>
L'utilisation d'un pointeur NULL pour <i>ps</i> n'est pas sr dans un contexte multithreads.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
