<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:50:48 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 17/05/1998 (LDP-man-pages-1.19) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>MEMMEM</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
memmem - Rechercher une sous-chane.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#define</b> <b></b>  <b>_GNU_SOURCE</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;string.h&gt;</b> <b></b>  <br/><br/>

<b>void *memmem (const void *</b> meule_de_foin <i>, size_t </i> lg_meule ,
.RS
<b>const void *</b> aiguille <i>, size_t </i> lg_aiguille );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>memmem()</b> recherche le dbut de la premire occurence
de la sous-chane <i>aiguille</i> de longueur <i>lg_aiguille</i> au sein
de la zone de mmoire <i>meule_de_foin</i> de longueur <i>lg_meule</i>.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>memmem()</b> renvoie un pointeur sur le dbut de la
sous-chane, ou NULL si aucune sous-chane n'est trouve.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Cette fonction est une extensioin GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Cette fonction ne fonctionnait pas dans les bibliothques Linux jusqu'
libc 5.0.9 incluse, car les arguments
`aiguille' (NDT: needle) et `meule_de_foin' (NDT: haystack) taient
inverss. De plus la fonction renvoyait un pointeur sur la fin
de la premire occurence de l'<i>aiguille</i>.
Comme la bibliothque libc 5.0.9 tait largement rpandue, cette fonction
tait dangereuse  utiliser.
<br/>
Un bug supplmentaire existait dans toutes les bibliothques libc&nbsp;: Si
la chane <i>aiguille</i> est vide, la fonction renvoie <i>meule_de_foin</i>-1
(au lieu de <i>meule_de_foin</i>).
La bibliothque GlibC 2.0 tait encore pire, puisqu'elle renvoie un
pointeur sur le dernier octet de la `meule_de_foin'. Ceci est corrig
dans la GlibC 2.1
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>strstr (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
