<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:48:06 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Fri Jun 23 01:26:34 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  (prompted by Scott Burkett &lt;scottb@IntNet.net&gt;) -->
<!--  Traduction 05/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 05/05/99 - LDP-man-pages-1.23 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>MKTEMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">note</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mktemp - Crer un nom de fichier temporaire unique.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>char *mktemp (char *</b> template );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>mktemp()</b> cre un nom de fichier temporaire unique, en
utilisant le motif <i>template</i>.  Les 6 derniers caractres de <i>template</i>
doivent tre XXXXXX, ils seront remplacs par une chane rendant le nom
de fichier unique.
Comme il sera modifi,
<i>template</i> ne doit pas tre une chane constante, mais un tableau de caractres.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>mktemp()</b> renvoie NULL en cas d'erreur ou un pointeur
sur <i>template</i> sinon.
En cas d'chec <i>template</i> est une chane vide.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Les 6 derniers caractres de <i>template</i> ne sont pas XXXXXX.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
BSD 4.3. POSIX recommande 
<b>tmpnam ().</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">note</h1>
<div class="paragraph">
Le prototype se trouve dans
<i>&lt;unistd.h&gt;</i> pour libc4, libc5; glibc1. Glibc2 suit les spcifications Single Unix et
place le prototype dans
<i>&lt;stdlib.h&gt; .</i>
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Evitez d'utiliser <b>mktemp()</b>. Certaines implmentations suivent BSD 4.3,
et remplacent XXXXXX par le numro de processus et une lettre, ce qui donne
26 noms diffrents possibles. Comme d'une part ces noms sont faciles  deviner,
et d'autre part il existe une condition de concurrence entre le test
d'existence du nom et l'ouverture du fichier, chaque invocation de
<b>mktemp()</b> est un trou de scurit. Les conditions de concurrences
sont vites par
<b>mkstemp (3). </b>
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>mkstemp (3),</b>
<b>tempnam (3), </b>
<b>tmpfile (3).</b>
<b>tmpnam (3),</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
