<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1993 -->
<!-- 	The Regents of the University of California.  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!-- 	@(#)mpool.3	8.1 (Berkeley) 6/4/93 -->
<!--  -->
<!--  Traduction 11/05/1999 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages-1.23 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>MPOOL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">erreurs</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/>.UC 7
<br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mpool, mpool_open, mpool_filter, mpool_new, mpool_get, mpool_put, mpool_sync, mpool_close - Partage d'ensembles de buffers mmoires.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

.ft B
#include &lt;db.h&gt;
#include &lt;mpool.h&gt;<br/><br/>
MPOOL *
mpool_open (DBT *cl, int fd, pgno_t pagesize, pgno_t maxcache);<br/><br/>
void
mpool_filter (MPOOL *mp, void (*pgin)(void *, pgno_t, void *),
.ti +5
void (*pgout)(void *, pgno_t, void *), void *pgcookie);<br/><br/>
void *
mpool_new (MPOOL *mp, pgno_t *pgnoaddr);<br/><br/>
void *
mpool_get (MPOOL *mp, pgno_t pgno, u_int flags);<br/><br/>
int
mpool_put (MPOOL *mp, void *pgaddr, u_int flags);<br/><br/>
int
mpool_sync (MPOOL *mp);<br/><br/>
int
mpool_close (MPOOL *mp);
.ft R


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<i>Mpool</i>
est l'interface de la bibliothque fournissant une gestion de fichiers
par des buffers mmoires dcoups en pages.
Les buffers peuvent tre partags entre les processus.<br/><br/>
La fonction
<i>mpool_open</i> initialise un ensemble de buffers mmoire.
L'argument
<i>cl</i> est la chane d'octets utilise pour ngocier entre plusieurs processus
dsireux de partager des buffers.
Si les buffers de fichiers sont projets en mmoire partage, tous les
processus utilisant la mme cl partageront les buffers.
Si la
<i>cl</i> est NULL, les buffers sont projets en mmoire prive.
L'argument
<i>fd</i> est un descripteur du fichier sous-jacent qui doit tre accessible directement
en n'importe quel point.
Si la
<i>cl</i> n'est pas NULL et correspond  un fichier dj projet, l'argument
<i>fd</i> est ignor.<br/><br/>
Le fichier est dcoup en pages de la taille
<i>pagesize</i> (en octets).
L'argument
<i>maxcache</i> est le nombre maximal de pages du fichier sous-jacent, rsidant dans le
cache  un instant donn.
Cette valeur ne dpend pas du nombre de processus qui partageront les
buffers d'un fichier, mais la plus grande valeur de tous les processus
partageant le fichier sera prise en compte.<br/><br/>
La fonction
<i>mpool_filter</i> sert  rendre transparent le traitement des pages en entre et sortie.
Si la fonction
<i>pgin</i> est spficie, elle sera appele  chaque fois qu'un buffer est lu depuis
le fichier vers la mmoire.
Si la fonction
<i>pgout</i> est spficie, elle sera appele  chaque fois qu'un buffer est crit
dans le fichier.
Ces deux fonctions sont appeles avec le pointeur
<i>pgcookie ,</i>
le numro de page, et un pointeur sur la page lue ou crite.<br/><br/>
La fonction
<i>mpool_new</i> prend en argument un pointeur MPOOL et une adresse.
Si une nouvelle page peut tre alloue, elle renvoie un
pointeur sur cette page, et son numro est stock  l'adresse
<i>pgnoaddr .</i>
Sinon elle renvoie NULL et remplit
<i>errno .<br/><br/></i>
La fonction
<i>mpool_get</i> prend en argument un pointeur MPOOL et un numro de page.
Si la page existe, elle renvoie un pointeur dessus. Sinon elle
renvoie NULL et remplit
<i>errno .</i>
Le paramtre flags n'est pas utilis actuellement.<br/><br/>
La fonction
<i>mpool_put</i> dbloque la page rfrence par
<i>pgaddr .</i>
<i>Pgaddr</i> doit tre une adresse que l'on a obtenue prcdement avec
<i>mpool_get</i> ou
<i>mpool_new .</i>
La valeur d'attribut 
<i>flags</i> est indique avec un
<i>OU</i> binaire entre les valeurs suivantes :
<br/><br/>

MPOOL_DIRTY
La page a t modifie est doit tre r-crite dans le fichier.<br/><br/>
<i>Mpool_put</i> renvoie 0 en cas de succs et -1 si une erreur se produit.<br/><br/>
La fonction
<i>mpool_sync</i> crit toutes les pages modifies associe au pointeur MPOOL dans le
fichier.
<i>Mpool_sync</i> renvoie 0 en cas de succs et -1 si une erreur se produit.<br/><br/>
La fonction
<i>mpool_close</i> libre toute mmoire alloue pour l'ensemble de buffers mmoire correspondant
au cookie.
Les pages modifies ne sont
<b>pas</b> <b></b>  crites dans le fichier.
<i>Mpool_close</i> renvoie 0 en cas de succs et -1 si une erreur se produit.
</div><br/><br /><h1 class="TitreSection0" id="L4">erreurs</h1>
<div class="paragraph">
La fonction
<i>mpool_open</i> peut chouer et remplir
<i>errno</i> avec n'importe quel code d'erreur renvoy par la routine
<i>malloc (3).<br/><br/></i>
La fonction
<i>mpool_get</i> peut chouer et renvoyer dans
<i>errno</i> le code suivant :
<br/><br/>
 15
[EINVAL]
L'enregistrement demand n'existe pas.<br/><br/>
Les fonctions
<i>mpool_new</i> et
<i>mpool_get</i> peuvent chouer et remplir 
<i>errno</i> avec n'importe quel code d'erreur renvoy par les routines
<i>read (2) ,</i>
<i>write (2) ,</i>
et
<i>malloc (3).<br/><br/></i>
La fonction
<i>mpool_sync</i> peut chouer et renvoyer dans
<i>errno</i> n'importe quel code d'erreur renvoy par la routine
<i>write (2).<br/><br/></i>
La fonction
<i>mpool_close</i> peut chouer et renvoyer dans
<i>errno</i> n'importe quel code d'erreur renvoy par la routine
<i>free (3).</i>
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<i>dbopen (3),</i>
<i>btree (3),</i>
<i>hash (3),</i>
<i>recno (3)</i>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1999-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
