<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 2001 Markus Kuhn &lt;mkuhn@acm.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 manual -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--  -->
<!--  Traduction 14/05/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>NL_LANGINFO</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
nl_langinfo - Demande d'informations sur la langue et la localisation.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;langinfo.h&gt;</b> <b></b>  <br/><br/>

<b>char *nl_langinfo(nl_item *</b> item );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>nl_langinfo</b> fournit un accs aux informations de localisation
de faon plus flexible que ne le fait 
<b>localeconv (3).</b>
Des lments individuels et supplmentaires des catgories de localisation
peuvent tre interrogs.<br/><br/>
Voici des exemples d'lments de localisation qui peuvent tre spcifis via
<i>item</i> en utilisant les constantes dfinies dans &lt;langinfo.h&gt; :<br/><br/>
<br/><br/>

<b>CODESET &nbsp;(LC_CTYPE)</b>
renvoie une chane contenant le nom de l'encodage de caractres utilis 
dans la localisation slectionne, par exemple "UTF-8", "ISO-8859-1", ou 
"ANSI_X3.4-1968" ( mieux connu sous US-ASCII). Il s'agit de la mme chane 
que celle obtenue avec "locale charmap". Pour une liste des noms d'encodage
de caractres, essayez "locale
-m", cf.
<b>locale (1).<br/><br/></b>
<br/><br/>

<b>D_T_FMT &nbsp;(LC_TIME)</b>
renvoie une chane qui peut tre utilise en tant que chane de format pour
<b>strftime (3)</b>
afin de reprsenter l'heure et la date de faon spcifique  la localisation.<br/><br/>
<br/><br/>

<b>D_FMT &nbsp;(LC_TIME)</b>
renvoie une chane qui peut tre utilise en tant que chane de format pour
<b>strftime (3)</b>
afin de reprsenter la date de faon spcifique  la localisation.<br/><br/>
<br/><br/>

<b>T_FMT &nbsp;(LC_TIME)</b>
renvoie une chane qui peut tre utilise en tant que chane de format pour
<b>strftime (3)</b>
afin de reprsenter l'heure de faon spcifique  la localisation.<br/><br/>
<br/><br/>

<b>DAY_ </b>{1\(en7} (LC_TIME)<b></b>
renvoie le nom du <i>n</i>-ime jour de la semaine. [Attention : cela suit 
la convention amricaine stipulant que  DAY_1 = Dimanche, et pas la convention
internationale (ISO 8601) spcifiant que Lundi est le premier jour de la semaine.]<br/><br/>
<br/><br/>

<b>ABDAY_ </b>{1\(en7} (LC_TIME)<b></b>
renvoie le nom abrg du <i>n</i>-ime jour de la semaine.<br/><br/>
<br/><br/>

<b>MON_ </b>{1\(en12} (LC_TIME)<b></b>
renvoie le nom du <i>n</i>-ime mois.<br/><br/>
<br/><br/>

<b>ABMON_ </b>{1\(en12} (LC_TIME)<b></b>
renvoie le nom abrg du <i>n</i>-ime mois.<br/><br/>
<br/><br/>

<b>RADIXCHAR &nbsp;(LC_NUMERIC)</b>
renvoie le caractre indiquant la base (point, virgule, etc.).<br/><br/>
<br/><br/>

<b>THOUSEP &nbsp;(LC_NUMERIC)</b>
renvoie le caractre sparateur pour les milliers (groupe de trois chiffres);<br/><br/>
<br/><br/>

<b>YESEXPR &nbsp;(LC_MESSAGES) </b>
renvoie une expression rationelle qui peut tre utilise avec
la fonction 
<b>regex (3)</b>
afin de reconnatre une rponse affirmative  une question de type oui/non.<br/><br/>
<br/><br/>

<b>NOEXPR &nbsp;(LC_MESSAGES) </b>
renvoie une expression rationelle qui peut tre utilise avec
la fonction
<b>regex (3)</b>
afin de reconnatre une rponse ngative  une question de type oui/non.<br/><br/>
<br/><br/>

<b>CRNCYSTR &nbsp;(LC_MONETARY)</b>
renvoie le symbole montaire prcd par "-" si le symbole doit 
apparatre avant la valeur, "+" si le symbole doit apparatre aprs
la valeur, ou bien "." si le symbole doit remplacer la virgule.<br/><br/>
La liste ci dessus ne couvre que quelques exemples des lments qui
peuvent tre obtenus. Pour une liste plus dtaille, veuillez consulter
<i>The GNU C Library Reference Manual</i> .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si aucune localisation n'a t slectionne pour la catgorie approprie,
<b>nl_langinfo</b> renvoie un pointeur vers la chane correspondante dans 
la localisation "C".<br/><br/>
Si <i>item</i> n'est pas un pointeur valide, alors un pointeur vers une
chane vide est renvoye.<br/><br/>
Ce pointeur peut faire rfrence  une donne statique susceptible d'tre crase
lors du prochain appel   <b>nl_langinfo</b> ou  <b>setlocale</b>.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
The Single UNIX\*R Specification, Version 2
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>localeconv (3),</b>
<b>setlocale (3),</b>
<b>locale (1),</b>
<b>locale (7),</b>
<b>charsets (7),</b>
The GNU C Library Reference Manual
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
