<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:46:01 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 11 June 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  Traduction 05/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  maj 14/12/1998 - LDP man-pages 1.21 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>OPENDIR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
opendir - Ouvrir un rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/><br/>

<b>#include</b> <b></b>  <b>&lt;dirent.h&gt;</b> <b></b>  <br/><br/>

<b>DIR *opendir (const char *</b> name );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>opendir()</b> ouvre un flux rpertoire correspondant au
rpertoire <i>name</i>, et renvoie un pointeur sur ce flux.  Le flux est
positionn sur la premire entre du rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>opendir()</b> renvoie un pointeur sur le flux rpertoire
ou NULL si une erreur se produit.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EACCESS</b> <b></b>  Accs interdit.
<br/><br/>

<b>EMFILE</b> <b></b>  Trop de descripteurs de fichiers pour le processus en cours.
<br/><br/>

<b>ENFILE</b> <b></b>  Trop de fichiers ouverts simultanment sur le systme.
<br/><br/>

<b>ENOENT</b> <b></b>  Le rpertoire n'existe pas, ou <i>name</i> est une chane vide.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire.
<br/><br/>

<b>ENOTDIR</b> <b></b>  <i>name</i> n'est pas un rpertoire
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Le descripteur sous-jacent  un flux rpertoire peut tre obtenu avec
<b>dirfd (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVID 3, POSIX, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>open (2),</b>
<b>closedir (3),</b>
<b>dirfd (3),</b>
<b>readdir (3),</b>
<b>rewinddir (3),</b>
<b>scandir (3),</b>
<b>seekdir (3),</b>
<b>telldir (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
