<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1994 Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de), Sat Jun  4 20:38:26 MET DST 1994 -->
<!--  Copyright (c) 1995 Michael Haardt (michael@cantor.informatik.rwth-aachen.de), Thu Mar 16 18:46:23 MET 1995 -->
<!--  Copyright (c) 1996 Andries Brouwer (aeb@cwi.nl), Sat Jan 13 00:16:41 MET 1996 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Sat Jan 13 00:16:41 MET 1996, aeb: merged in some text contributed -->
<!--  by Melvin Smith (msmith@falcon.mercer.peachnet.edu) and various -->
<!--  other changes. -->
<!--  Modified Fri May 16 23:41:15 1996 by Martin Schulze (joey@infodrom.north.de) -->
<!--  -->
<!--  Traduction 05/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 16/07/99 - Fautes de frappe -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>PERROR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
perror - Affiche un message d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>void perror (const char </b> *s );
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;errno.h&gt;</b> <b></b>  <br/><br/>

<b>const char *</b> sys_errlist [];
<br/>
<b>int </b> sys_nerr ;
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>perror()</b> <b></b>  affiche un message sur la sortie d'erreur standard, dcrivant la dernire
erreur rencontre durant un appel systme ou une fonction de bibliothque.
D'abord, (si
<i>s</i> n'est pas NULL et
* s</i>
non plus), la chane de caractre
<i>s</i> est imprime, suivie d'un double-point ou d'un blanc,
puis le message, suivi d'un saut de ligne.<br/><br/>
La chane de caractres contient gnralement le nom de la fonction
o s'est produit l'erreur. Le numro d'erreur est obtenu  partir de
la variable externe <i>errno</i>, qui contient le code d'erreur lorsqu'un
problme survient, mais qui n'est PAS effac lorsqu'un appel est russi.<br/><br/>
La liste globale d'erreurs 
<i>sys_errlist </i>[]<i></i>
indexe par
<i>errno</i> peut tre utilise pour obtenir le message d'erreur sans le saut de ligne.
Le plus grand numro de message contenu dans cette table est
<i>sys_nerr </i> - 1.<i></i>
Soyez prudents lors des accs directs dans cette liste, car de nouvelles
erreurs n'ont peut tre pas de message dans
<i>sys_errlist </i>[].<i><br/><br/></i>

Quand un appel systme choue, il renvoie habituellement -1, et place le
code d'erreur dans
<i>errno .</i>
(Les codes sont dcrits dans 
<i>&lt;errno.h&gt;</i> .)</i>
Beaucoup de fonctions de bibliothque se comportent galement ainsi.
La fonction
<b>perror()</b> <b></b>  permet de traduire les codes d'erreur en une forme humainement lisible.
Notez que
<i>errno</i> est indfini aprs un appel de fonction de bibliothque russi. Cette fonction
peut modifier <i>errno</i> mme si elle russit, ne serait-ce que par des
appels systmes internes qui peuvent chouer.<br/><br/>
Ainsi, si un appel qui choue n'est pas immdiatement suivi par
<b>perror ,</b>
la valeur de
<i>errno</i> doit tre sauvegarde.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
ANSI C, BSD 4.3, POSIX, X/OPEN
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>strerror (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
