<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)popen.3	6.4 (Berkeley) 4/30/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 14:45:38 1993, faith@cs.unc.edu -->
<!--  Modified Sat May 18 20:37:44 1996 by Martin Schulze (joey@linux.de) -->
<!--  -->
<!--  -->
<!--  Traduction 05/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 21/07/1997 -->
<!--  Mise  jour 14/12/1998 - LDP-man-pages-1.21 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>POPEN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">historique</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
popen, pclose - Entres/Sorties pour un processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>FILE *popen (const char *</b> commande <i>, const char *</i> type );
<br/><br/>

<b>int pclose (FILE *</b> stream );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>popen()</b> <b></b>  engendre un processus en crant un tube (pipe), excutant un <b>fork()</b>,
et en invoquant le shell. Comme un tube est unidirectionnel par dfinition,
l'argument
<i>type</i> doit indiquer seulement une lecture ou une criture, et non pas les deux.
Le flux correspondant sera ouvert en lecture seule ou criture seule.<br/><br/>
L'argument
<i>commande</i> est un pointeur sur une chane de caractres, termine par un caractre nul,
et contenant une ligne de commande shell.
Cette commande est transmise 
<i>/bin/sh</i> en utilisant l'option
<b>-c .</b>
L'interprtation en est laisse au shell.<br/><br/>
L'argument
<i>type</i> est un pointeur sur une chane de caractres, termine par un caractre nul,
qui doit contenir  'r' pour la lecture ou 'w' pour l'criture.<br/><br/>
La valeur renvoye par
<b>popen()</b> <b></b>  est un flux d'entre/sortie normal,  la seule diffrence qu'il doit tre
ferm en appelant
<b>pclose()</b> <b></b>   la place de
<b>fclose() .</b>
L'criture dans le flux correspond  crire sur l'entre standard de
la commande. Le flux de sortie standard de la commande est le mme que
celui du processus appelant
<b>popen() ,</b>
 moins que la commande le modifie.
Symtriquement, la lecture depuis un flux ouvert par <b>popen()</b> correspond
 lire la sortie standard de la commande, et dans ce cas l'entre standard
de la commande est la mme que celle du processus appelant
<b>popen .<br/><br/></b>
Notez que, par dfaut, les flux de sortie fournis par
<b>popen</b> <b></b>  disposent d'un buffer.<br/><br/>
La fonction
<b>pclose</b> <b></b>  attend que le processus correspondant se termine, et renvoie
alors le statut de sortie de la commande, comme en utilisant
<b>wait4 .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>popen</b> <b></b>  renvoie
<b>NULL</b> <b></b>  si l'appel systme
<b>fork (2)</b>
ou
<b>pipe (2)</b>
choue, ou s'il n'a pas assez de mmoire.<br/><br/>
La fonction
<b>pclose</b> <b></b>  renvoie -1 si
<!--  Ces conditions donnent en fait un rsultat indfini -&gt; mise en commentaire -->
<!--  <i>stream --></i> <!--  n'est pas associ avec une commande lance par <b>popen</b>, si -->
<!--  <i>stream --></i> <!--  a dj t ferm par <b>pclose</b>, ou si -->
<b>wait4</b> <b></b>  choue, ou si une autre erreur est dtecte.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
La fonction
<b>popen</b> <b></b>  ne remplit pas
<i>errno</i> si une allocation mmoire choue. Si les appels
<b>fork() </b> ou <b> pipe()</b>
sous-jacents chouent,
<i>errno</i> est correctement rempli. Si l'argument
<i>type</i> est invalide, et si cette condition est dtecte,
<i>errno</i> contient
<b>EINVAL .<br/><br/></b>
Si
<b>pclose()</b> <b></b>  n'arrive pas  obtenir le status du fils,
<i>errno</i> contient
<b>ECHILD .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX.2
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Comme l'entre standard d'une commande ouverte en lecture partage son pointeur
de position dans le flux avec le processus appelant
<b>popen() ,</b>
si le processus original a effectu des lectures en buffer, la position
du flux d'entre de la commande peut tre diffrente de celle attendue.
Symtriquement, la sortie d'une commande ouverte en criture peut s'emmler
avec celle du processus original. Le second problme peut tre vit en
appelant
<b>fflush (3)</b>
avant
<b>popen .<br/><br/></b>
Il n'est pas possible de distinguer un chec d'excution du shell lui-mme,
d'un chec d'excution d'une commande par le shell, ni mme d'une sortie
immdiate de la commande. Le seul indice est un code de retour de 127.
</div><br/><br /><h1 class="TitreSection0" id="L8">historique</h1>
<div class="paragraph">
Des fonctions
<b>popen()</b> <b></b>  et
<b>pclose()</b> <b></b>  sont apparues dans la Version 7 d'AT&T UNIX.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>fork (2),</b>
<b>sh (1),</b>
<b>pipe (2),</b>
<b>wait4 (2),</b>
<b>fflush (3),</b>
<b>fclose (3),</b>
<b>fopen (3),</b>
<b>stdio (3),</b>
<b>system (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
