<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<br/><h1>PTHREAD_ATTR_INIT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/>
<br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pthread_attr_init, pthread_attr_destroy, pthread_attr_setdetachstate, pthread_attr_getdetachstate, pthread_attr_setschedparam, pthread_attr_getschedparam, pthread_attr_setschedpolicy, pthread_attr_getschedpolicy, pthread_attr_setinheritsched, pthread_attr_getinheritsched, pthread_attr_setscope, pthread_attr_getscope - attributs de cration de thread<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;pthread.h&gt;<br/><br/></b> <b></b>  <b>int pthread_attr_init(pthread_attr_t *</b> attr <i>);</i><br/><br/>
<b>int pthread_attr_destroy(pthread_attr_t *</b> attr <i>);</i><br/><br/>
<b>int pthread_attr_setdetachstate(pthread_attr_t *</b> attr <i>, int </i> detachstate <b>);</b><br/><br/>
<b>int pthread_attr_getdetachstate(const pthread_attr_t *</b> attr <i>, int *</i> detachstate <b>);</b><br/><br/>
<b>int pthread_attr_setschedpolicy(pthread_attr_t *</b> attr <i>, int </i> policy <b>);</b><br/><br/>
<b>int pthread_attr_getschedpolicy(const pthread_attr_t *</b> attr <i>, int *</i> policy <b>);</b><br/><br/>
<b>int pthread_attr_setschedparam(pthread_attr_t *</b> attr <i>, const struct sched_param *</i> param <b>);</b><br/><br/>
<b>int pthread_attr_getschedparam(const pthread_attr_t *</b> attr <i>, struct sched_param *</i> param <b>);</b><br/><br/>
<b>int pthread_attr_setinheritsched(pthread_attr_t *</b> attr <i>, int </i> inherit <b>);</b><br/><br/>
<b>int pthread_attr_getinheritsched(const pthread_attr_t *</b> attr <i>, int *</i> inherit <b>);</b><br/><br/>
<b>int pthread_attr_setscope(pthread_attr_t *</b> attr <i>, int </i> scope <b>);</b><br/><br/>
<b>int pthread_attr_getscope(const pthread_attr_t *</b> attr <i>, int *</i> scope <b>);</b><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/>
Pour modifier les attributs des threads, il faut remplir la structure des attributs
de threads
<i>attr</i> qui est du type
<b>pthread_attr_t</b> ,</b>
puis  la passer en tant que second argument 
<b>pthread_create</b> (3).</b>
Un paramtre gal 
<b>NULL"</b> <b></b>  revient  choisir les paramtres par dfaut pour tous les attributs.<br/><br/>
<b>pthread_attr_init"</b> <b></b>  initialise la structure d'attributs de thread
<i>attr</i> et la remplit avec les valeurs par dfaut pour tous les attributs
(voir plus bas).<br/><br/>
Chaque attribut 
<i>attrname</i> (voir plus bas) peut tre individuellement
modifi en utilisant la fonction
<b>pthread_attr_set</b> <i>attrname</i>
et rcupr  l'aide de la fonction 
<b>pthread_attr_get</b> <i>attrname.</i><br/><br/>
<b>pthread_attr_destroy"</b> <b></b>  dtruit un objet attribut_de_thread, qui ne doit plus jamais tre rutilis
jusqu' ce qu'il soit rinitialis.
<b>pthread_attr_destroy"</b> <b></b>  ne fait rien dans l'implmentation LinuxThreads. <br/><br/>
Les structureis d'attributs ne sont consultes que lors de la cration d'un nouveau thread.
La mme structure d'attributs peut tre rutilise pour crer plusieurs
threads. Modifier une structure d'attributs aprs un appel 
<b>pthread_create"</b> <b></b>  ne modifie pas les attributs du thread prcedemment cr.<br/><br/>
Les attributs de thread supports sont les suivants&nbsp;:<br/><br/>
</div><br/><h2 class="TitreSection1" id="L9">detachstate</h2>
<div class="paragraph"><br/><br/>
Indique si le thread est cr dans l'tat joignable (valeur
<b>PTHREAD_CREATE_JOINABLE</b> )</b>
ou dans l'tat dtach (<b>PTHREAD_CREATE_DETACHED</b>).<br/><br/>
Valeur par dfaut&nbsp;: 
<b>PTHREAD_CREATE_JOINABLE</b> .<br/><br/></b>
Dans l'tat joignable, un autre thread peut se synchroniser sur la fin du
thread et rsuprer son code de terminaison en utilisant
<b>pthread_join</b> (3),</b>
mais certaines ressources du thread resteront alloues aprs sa fin et ne
seront libres que lorsqu'un autre thread appelera 
<b>pthread_join</b> (3)</b>
sur ce thread.<br/><br/>
Dans l'tat dtach, les ressources du thread sont immdiatement libres quand
il se termine, mais
<b>pthread_join</b> (3)</b>
ne peut tre utilis pour se synchroniser sur la fin du thread.<br/><br/>
Un thread cr dans l'tat joignable peut ensuite tre mis dans l'tat dtach
en utilisant
<b>pthread_detach</b> (3).<br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L9">schedpolicy</h2>
<div class="paragraph"><br/><br/>
change la politique et les paramtres d'ordonnancement pour le thread pour
l'une parmi
<b>SCHED_OTHER"</b> <b></b>  (processus normal, non temps-rel),
<b>SCHED_RR"</b> <b></b>  (temps-rel, round-robin) ou
<b>SCHED_FIFO"</b> <b></b>  (temps-rel, fifo). Voir
<b>sched_setpolicy</b> (2)</b>
pour plus d'informations sur ces politiques.<br/><br/>
Valeur par dfaut&nbsp;:
<b>SCHED_OTHER</b> .<br/><br/></b>
Les politiques d'ordonnancement temps-rel
<b>SCHED_RR"</b> <b></b>  et 
<b>SCHED_FIFO"</b> <b></b>  ne sont disponibles que pour les processus possdant les privilges du
super-utilisateur.<br/><br/>
La politique d'ordonnancement d'un thread peut tre modifie aprs sa cration
avec
<b>pthread_setschedparam</b> (3).<br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L9">schedparam</h2>
<div class="paragraph"><br/><br/>
Contient les paramtres d'ordonnancement (essentiellement, la priorit
d'ordonnancement) pour le thread. Voir
<b>sched_setparam</b> (2)</b>
pour plus d'informations sur les paramtres d'ordonnancement.<br/><br/>
Valeur par dfaut: priorit  0.<br/><br/>
Cet attribut est sans significtion si la politique  d'ordonnancement est
<b>SCHED_OTHER</b> <b> ;</b></b>
il n'a d'importance que pour les ordonnancements temps-rel 
<b>SCHED_RR"</b> <b></b>  et 
<b>SCHED_FIFO</b> .<br/><br/></b>
La priorit d'ordonnancement d'un thread peut tre modifie aprs sa cration
avec
<b>pthread_setschedparam</b> (3).<br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L9">inheritsched</h2>
<div class="paragraph"><br/><br/>
Indique si la politique et les paramtres d'ordonnancement pour le nouveau
thread sont dtermins par les valeurs des attributs
<i>schedpolicy</i> et 
<i>schedparam</i> (valeur
<b>PTHREAD_EXPLICIT_SCHED</b> )</b>
ou sont hrites du thread parent
(valeur
<b>PTHREAD_INHERIT_SCHED</b> ).<br/><br/></b>
Valeur par dfaut&nbsp;:
<b>PTHREAD_EXPLICIT_SCHED</b> .<br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L9">scope</h2>
<div class="paragraph"><br/><br/>
Dfini comment sont interprts les paramtres d'ordonnancement pour le nouveau
thread. Une seule valeur est supporte dans l'implmentation LinuxThreads&nbsp;:
<b>PTHREAD_SCOPE_SYSTEM</b> ,</b>
qui signifie que tous les threads sont en comptition avec tous les processus
en cours d'excution pour le temps processeur. En particulier, les priorits de
threads sont interprtes relativement aux priorits de tous les autres
processus sur la machine. L'autre valeur spcifie par le standard,
<b>PTHREAD_SCOPE_PROCESS</b> ,</b>
signifie que les threads ne sont en comptition qu'avec les autres threads du
mme processus&nbsp;: les priorits de threads sont interprtes relativement 
celles des autres threads du processus, quel que soit la priorit des autres
processus.
<b>PTHREAD_SCOPE_PROCESS"</b> <b></b>  n'est pas supporte dans LinuxThreads.<br/><br/>
Valeur par dfaut&nbsp;:
<b>PTHREAD_SCOPE_SYSTEM</b> .<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph"><br/><br/>
Toutes ces fonctions renvoient 0 en cas de succs et un code d'erreur non nul
en cas d'erreur. En cas de succs, les fonctions
<b>pthread_attr_get</b> <i>attrname</i>
sauvegardent galement la valeur courante de l'attribut
<i>attrname</i>  l'emplacement point par leur second argument.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph"><br/><br/>
La fonction
<b>pthread_attr_setdetachstate"</b> <b></b>  renvoie l'un des codes d'erreur suivants en cas de problme&nbsp;:
.RS
<br/><br/>

<b>EINVAL"</b> <b></b>  l'argument 
<i>detachstate</i> spcifi n'est ni
<b>PTHREAD_CREATE_JOINABLE"</b> <b></b>  ni
<b>PTHREAD_CREATE_DETACHED</b> .</b>
<br/><br/>
La fonction
<b>pthread_attr_setschedparam"</b> <b></b>  renvoie l'un des codes d'erreur suivants en cas de problme&nbsp;:
.RS
<br/><br/>

<b>EINVAL"</b> <b></b>  la priorit indique par 
<i>param</i> n'est pas dans l'intervalle autoris pour la politique d'ordonnancement
actuellement dans
<i>attr</i> (1  99 pour 
<b>SCHED_FIFO"</b> <b></b>  et 
<b>SCHED_RR</b> ;</b>
0 pour 
<b>SCHED_OTHER</b> ).</b>
<br/><br/>
La fonction
<b>pthread_attr_setschedpolicy"</b> <b></b>  renvoie l'un des codes d'erreur suivants en cas de problme&nbsp;:
.RS
<br/><br/>

<b>EINVAL"</b> <b></b>  l'argument 
<i>policy</i> spcifi n'est ni
<b>SCHED_OTHER</b> ,</b>
ni
<b>SCHED_FIFO</b> ,</b>
ni
<b>SCHED_RR</b> .<br/><br/></b>
<br/><br/>

<b>ENOTSUP"</b> <b></b>  <i>policy</i> est
<b>SCHED_FIFO"</b> <b></b>  ou 
<b>SCHED_RR</b> ,</b>
et l'utilisateur effectif du processus appelant n'est pas le supe- utilisateur.
<br/><br/>
La fonction
<b>pthread_attr_setinheritsched"</b> <b></b>  renvoie l'un des codes d'erreur suivants en cas de problme&nbsp;:
.RS
<br/><br/>

<b>EINVAL"</b> <b></b>  l'argument 
<i>inherit</i> spcifi n'est ni
<b>PTHREAD_INHERIT_SCHED"</b> <b></b>  ni
<b>PTHREAD_EXPLICIT_SCHED</b> .</b>
<br/><br/>
La fonction
<b>pthread_attr_setscope"</b> <b></b>  renvoie l'un des codes d'erreur suivants en cas de problme&nbsp;:
.RS
<br/><br/>

<b>EINVAL"</b> <b></b>  l'argument 
<i>scope</i> spcifi n'est ni
<b>PTHREAD_SCOPE_SYSTEM"</b> <b></b>  ni
<b>PTHREAD_SCOPE_PROCESS</b> .<br/><br/></b>
<br/><br/>

<b>ENOTSUP"</b> <b></b>  l'argument 
<i>scope</i> spcifi est
<b>PTHREAD_SCOPE_PROCESS"</b> <b></b>  (non support).
<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
Xavier Leroy &lt;Xavier.Leroy@inria.fr&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>pthread_create</b> (3),</b>
<b>pthread_join</b> (3),</b>
<b>pthread_detach</b> (3),</b>
<b>pthread_setschedparam</b> (3).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2000</i></i>
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
