<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<br/><h1>PTHREAD_MUTEXATTR_SETKIND_NP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/>
<br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pthread_mutexattr_setkind_np, pthread_mutexattr_getkind_np - attributs de cration de thread dconseills.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;pthread.h&gt;<br/><br/></b> <b></b>  <b>int pthread_mutexattr_setkind_np(pthread_mutexattr_t *</b> attr <i>, int </i> kind <b>);</b><br/><br/>
<b>int pthread_mutexattr_getkind_np(const pthread_mutexattr_t *</b> attr <i>, int *</i> kind <b>);</b><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/>
Ces fonction sont dconseille&nbsp;; utilisez
<b>pthread_mutexattr_settype</b> (3)</b>
et
<b>pthread_mutexattr_gettype</b> (3)</b>
 leur place.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>pthread_mutexattr_getkind_np"</b> <b></b>  renvoie toujours zro.<br/><br/>
<b>pthread_mutexattr_setkind_np"</b> <b></b>  rennvoie zro si elle russit et un code d'erreur
non nul en cas d'chec.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph"><br/><br/>
Si elle choue,
<b>pthread_mutexattr_setkind_np"</b> <b></b>  renvoie l'un des codes d'erreur suivants&nbsp;:
<br/><br/>

<b>EINVAL"</b> <b></b>  <i>kind</i> n'est ni 
<b>PTHREAD_MUTEX_FAST_NP"</b> <b></b>  ni 
<b>PTHREAD_MUTEX_RECURSIVE_NP"</b> <b></b>  ni 
<b>PTHREAD_MUTEX_ERRORCHECK_NP</b> .<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
Xavier Leroy &lt;Xavier.Leroy@inria.fr&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>pthread_mutexattr_settype</b> (3),</b>
<b>pthread_mutexattr_gettype</b> (3).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
