<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:43:46 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 05/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>PUTPWENT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
putpwent - Ecrire un enregistrement dans un fichier de mots de passe.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;pwd.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/><br/>

<b>int putpwent (const struct passwd *</b> p <i>, FILE *</i> stream );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>putpwent()</b> crit un enregistrement fourni par la structure
<i>p</i> dans le fichier associ au flux <i>stream</i>.<br/><br/>
La structure <i>passwd</i> est dfinie ainsi dans <i>&lt;pwd.h&gt;</i> :
<br/><br/>

.RS

.ta 8n 16n 32n
struct passwd {
  char   *pw_name;   /* Nom d'utilisateur             */
  char   *pw_passwd; /* Mot de passe crypt           */
  uid_t   pw_uid;    /* ID de l'utilisateur           */
  gid_t   pw_gid;    /* ID du groupe de l'utilisateur */
  char   *pw_gecos;  /* Nom rel de l'utilisateur     */
  char   *pw_dir;    /* Rpertoire de connexion       */
  char   *pw_shell;  /* Programme Shell de connexion  */
};
.ta



</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>putpwent()</b> renvoie 0 si elle russit, ou -1 si une
erreur se produit.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Argument invalide (NULL).
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVID 3
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>fgetpwent (3),</b>
<b>getpwent (3),</b>
<b>setpwent (3),</b>
<b>endpwent (3),</b>
<b>getpwnam (3),</b>
<b>getpwuid (3),</b>
<b>getpw (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
