<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!-- 	$NetBSD: rcmd.3,v 1.9 1996/05/28 02:07:39 mrg Exp $ -->
<!--  -->
<!--  Copyright (c) 1983, 1991, 1993 -->
<!-- 	The Regents of the University of California.  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)rcmd.3	8.1 (Berkeley) 6/4/93 -->
<!--  -->
<!--  Contributed as Linux man page by David A. Holland, 970908 -->
<!--  I have not checked whether the Linux situation is exactly the same. -->
<!--  Traduction 31/05/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages 1.19 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>RCMD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">diagnostique</a>
<br /><a class="summaryIndent0" href="#L4">historique</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
rcmd, rresvport, iruserok, ruserok - Routines renvoyant un flux de donnes pour une commande invoque  distance.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int rcmd (char ** </b> ahost <i>, int </i> inport <b>, const char *</b> locuser <i>, const char *</i> remuser <b>,  const char *</b> cmd <i>, int *</i> fd2p );
<br/><br/>

<b>int rresvport ( int *</b> port );
<br/><br/>

<b>int iruserok  (u_int32_t </b> raddr <i>, int </i> superuser <b>, const char *</b> ruser <i>, const char *</i> luser );
<br/><br/>

<b>int ruserok (const char *</b> rhost <i>, int </i> superuser <b>, const char *</b> ruser <i>, const char *</i> luser );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>rcmd</b> <b></b>  est utilise par le Super-Utilisateur pour xcuter une commande
sur une machine distante, en utilisant un shma d'identification
bas sur des numros de ports rservs.<br/><br/>
La fonction
<b>rresvport</b> <b></b>  renvoie un descripteur sur une socket se trouvant dans l'espace des numros
de ports privilgis.<br/><br/>
Les fonctions
<b>iruserok</b> <b></b>  et
<b>ruserok</b> <b></b>  sont utilises par les serveurs pour identifier les clients demandant un service
avec
.Fn rcmd .<br/><br/>
Les 4 fonctions sont dclares dans le mme fichier et sont utilises par le serveur
<b>rshd (8)</b>
entre autres.<br/><br/>
La fonction
<b>rcmd</b> <b></b>  recherche l'hte
<i>*ahost</i> en utilisant 
<b>gethostbyname (3),</b>
puis renvoie -1 si cet hte n'existe pas. Sinon
<i>*ahost</i> est rempli avec le nom standard de cet hte, et
une connexion est tablie avec un serveur se trouvant sur l'un
des ports bien connus
<i>inport .<br/><br/></i> Si la connexion russit, une socket dans le domaine Internet, et de
type
<b>SOCK_STREAM</b> <b></b>  est renvoye  l'appelant, et est fournie  la commande distante en guise de
<i>stdin</i> et
<i>stdout .</i> Si
<i>fd2p</i> est non-nul, un canal auxiliaire est cr pour un processus de contrle, et son
descripteur sera plac dans 
<i>*fd2p .</i>
Le processus de contrle renverra les sorties de diagnostique (numro 2) sur ce
canal, et acceptera galement des octets qu'il considrera comme des
numro de signal
<b>UNIX</b> <b></b>   envoyer au groupe de processus de la commande.
Si
<i>fd2p</i> est nul, alors
<i>stderr</i> (sortie numro 2 de la commande distante)
sera renvoye sur
<i>stdout</i> et rien n'est prvu pour l'envoi de signaux arbitraires au processus distant, bien
que vous puissiez y parvenir en utilisant des donnes hors-bande.<br/><br/>
Le protocole est dcrit en dtail dans
<b>rshd (8).<br/><br/></b>
La fonction
<b>rresvport</b> <b></b>  est utilise pour obtenir une socket attache  une adresse privilgie.
Cette socket est utilisable ensuite pour
<b>rcmd</b> <b></b>  et plusieurs autres fonctions.
Les numros de ports Internet privilgis se trouvent dans l'intervalle 0  1023.
Seul le Super-Utilisateur est autoris  attacher une adresse de ce type  une socket.<br/><br/><br/><br/>
Les fonctions
<b>iruserok</b> <b></b>  et
<b>ruserok</b> <b></b>  prennent respectivement en argument une adresse IP et un nom d'hte distant,
deux noms d'utilisateurs et un drapeau indiquant si l'utilisateur local est
Super-utilisateur.
Ainsi, si l'utilisateur n'est
<i>PAS</i> le Super-Utilisateur, elles vrifient le fichier
<i>/etc/hosts.equiv .</i>
Si ceci choue, le fichier
<i>.rhosts</i> est recherch dans le rpertoire personnel de l'utilisateur local, afin
de voir si la requte est autorise.<br/><br/>
Si ce fichier n'existe pas, ou s'il ne s'agit pas d'un fichier rgulier, 
ou s'il appartient  quelqu'un d'autre que l'utilisateur local ou
le super-utilisateur, ou encore s'il est accessible en criture par quelqu'un
d'autre que son propritaire, le test choue automatiquement.
Si la machine est liste dans le fichier
<i>hosts.equiv ,</i>
ou si les noms d'hte et d'utilisateur distants sont trouvs dans
le fichier
<i>.rhosts</i> .Fn iruserok
et
.Fn ruserok
renvoient zro.
Sinon elles renvoient -1.
Si le domaine local (obtenu par l'intermdiaire de
<b>gethostname (2))</b>
est le mme que le domaine distant, seul le nom de machine a besoin d'tre
indiqu.<br/><br/>
Si l'adresse IP de l'hte distant est connue, on
utilisera de prfrence
<b>iruserok</b> <b></b>  plutt que
<b>ruserok</b> <b></b>  <b></b>  qui ncessitent d'avoir un serveur DNS digne de confiance pour le domaine distant.
</div><br/><br /><h1 class="TitreSection0" id="L4">diagnostique</h1>
<div class="paragraph">
La fonction
<b>rcmd</b> <b></b>  renvoie un descripteur de socket valide si elle russit, sinon elle renvoie
-1 et affiche un message de diagnostique sur sa sortie d'erreur standard.<br/><br/>
La fonction
<b>rresvport</b> <b></b>  renvoie un descripteur de socket valide, attach  une adresse privilgie
si elle russit. Elle renvoie -1 sinon, et
<i>errno</i> contient le code d'erreur.
Le code d'erreur
<b>EAGAIN</b> <b></b>  signifie en ralit ``Tous les ports rseau sont dj utiliss''.
</div><br/><h2 class="TitreSection1" id="L7">VOIR AUSSI</h2>
<div class="paragraph">
<b>rlogin (1),</b>
<b>rsh (1),</b>
<b>rexec (3),</b>
<b>rexecd (8),</b>
<b>rlogind (8),</b>
<b>rshd (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">historique</h1>
<div class="paragraph">
Ces fonctions sont apparues dans
<b>BSD 4.2</b> .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
