<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C), 1995, Graeme W. Wilford. (Wilf.) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--  -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--  -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Wed Jun 14 16:10:28 BST 1995 Wilf. (G.Wilford@@ee.surrey.ac.uk) -->
<!--  -->
<!--  -->
<!--  Traduction 05/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>RE_COMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
re_comp, re_exec - Fonction regex BSD.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;regex.h&gt;</b> <b></b>  <br/><br/>

<b>char *re_comp (char *</b> regex );
<br/>
<b>int re_exec (char *</b> string );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>re_comp</b> <b></b>  permet de compiler une expression rgulire, termine par un caractre nul,
et pointe par
<i>regex .</i>
Le motif compil occupe une zone de mmoire statique, le buffer de motif,
qui sera ecrase par un autre appel 
<b>re_comp .</b>
Si
<i>regex</i> vaut
<b>NULL ,</b>
rien n'est effectu, et le contenu du buffer de motif n'est pas altr.<br/><br/>
<b>re_exec</b> <b></b>  est utilis pour verifier si la chane termine par un caractre nul, pointe
par
<i>string</i> correspond au motif prcdemment compil par
<i>regex .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>re_comp</b> <b></b>  renvoie
<b>NULL</b> <b></b>  s'il peut compiler correctement
<i>regex,</i>
sinon, il renvoie un pointeur sur le message d'erreur appropri.<br/><br/>
<b>re_exec</b> <b></b>  renvoie 1 si la correspondance est exacte, zro si elle choue.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>regex (7),</b>
<b>Manuel</b> <b></b>  <b>regex</b> <b></b>  <b>GNU"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
