<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 16:09:49 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 11 June 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  Modified 22 July 1996 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  -->
<!--  Traduction 05/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>READDIR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
readdir - Consulter un rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/><br/>

<b>#include</b> <b></b>  <b>&lt;dirent.h&gt;</b> <b></b>  <br/><br/>

<b>struct dirent * readdir (DIR * </b> dir );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>readdir()</b> renvoie un pointeur sur une structure <b>dirent</b>
reprsentant l'entre suivante du flux rpertoire point par
<i>dir</i>. Elle renvoie NULL a la fin du rpertoire, ou en cas d'erreur.<br/><br/>
D'aprs POSIX, la structure
<i>dirent</i> contient un champ
<i>char d_name[]</i> de taille non spcifie, avec au plus
<b>NAME_MAX</b> <b></b>  caractres avant le caractre nul final.
L'utilisation des autres champs de cette structure compromet la portabilit
de votre programme.
POSIX-2001 documente aussi le champ
<i>ino_t d_ino</i> comme une extension XSI.<br/><br/>
Les donnes renvoyes par <b>readdir()</b> sont crases lors de l'appel suivant
 <b>readdir()</b> sur le mme flux rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>readdir()</b> renvoie un pointeur sur une structure dirent, ou
NULL lorsqu'une erreur se produit, ou lorsque la fin du rpertoire est
atteinte.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  Le flux rpertoire <i>dir</i> est invalide.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVID 3, POSIX, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>read (2),</b>
<b>closedir (3),</b>
<b>dirfd (3),</b>
<b>opendir (3),</b>
<b>rewinddir (3),</b>
<b>scandir (3),</b>
<b>seekdir (3),</b>
<b>telldir (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
