<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C), 1994, Graeme W. Wilford. (Wilf.) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Thu Jul 29 00:51:03 BST 1994 Wilf. (G.Wilford@ee.surrey.ac.uk)  -->
<!--  -->
<!--  -->
<!--  Traduction 06/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 29/12/99 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>REALPATH</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
realpath - Renvoie le chemin d'accs absolu.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/param.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>char *realpath (char *</b> path <i>, char </i> resolved_path[] ); 
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>realpath</b> <b></b>  dveloppe tous les liens symboliques, et rsout les rfrences 
<i>'/./' </i>, <i> '/../' </i>
ainsi que les caractres
<i>'/' </i> supplmentaires dans la chane, termine par un caractere nul, pointe par
<i>path</i> et stocke le rsultat dans le buffer de taille
<b>MAXPATHLEN</b> <b></b>  point par
<i>resolved_path .</i>
Le chemin rsultant ne traversera plus de liens symboliques, et ne contiendra
plus d'lments
<i>'/./'</i> ou
<i>'/../' .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'il n'y a pas d'erreur, <b>realpath()</b> renvoie un pointeur sur
<i>resolved_path .<br/><br/></i>
Sinon elle renvoie NULL, et
<i>resolved_path  </i> contient le chemin d'accs absolu vers l'lment de
<i>path </i> qui ne peut pas tre rsolu, et
<i>errno </i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EACCES</b> <b></b>  La permission de recherche n'est pas accorde pour un composant du chemin d'accs.
<br/><br/>

<b>EINVAL</b> <b></b>  Soit
<i>path</i> soit
<i>resolv_path</i> est NULL (Dans la libc5 cela dclenchait une faute de segmentation).
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie s'est produite sur le systme de fichiers.
<br/><br/>

<b>ELOOP</b> <b></b>  Trop de liens symboliques rencontrs.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  Un lment du chemin d'accs dpasse
<b>NAME_MAX</b> <b></b>  caractres de long, ou le chemin d'accs complet dpasse
<b>PATH_MAX</b> <b></b>  caractres.
<br/><br/>

<b>ENOENT</b> <b></b>  Le fichier indiqu n'existe pas.
<br/><br/>
 
<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs n'est pas un rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
N'utilisez jamais cette fonction. Son design est erron cae elle ne permet
pas de connatre la taille ncessaire pour le buffer de sortie.
D'aprs POSIX un buffer de taille PATH_MAX suffit, mais PATH_MAX n'est pas
ncessaire une constante dfinie et peut tre obtenue
avec
<i>pathconf() .</i>
En outre, interroger
<i>pathconf()</i> n'aide pas vraiment, car d'une part POSIX prvient que 
les rsultats de
<i>pathconf()</i> peuvent tre immenses et inappropris pour allouer de la mmoire et
d'autre part
<i>pathconf()</i> peut renvoyer -1 indiquant que PATH_MAX est illimit.<br/><br/> 
Les implmentations dans les libc4 et libc5 contenaient un dbordement de buffer
(corrig dans la libc-5.4.13).
Ainsi, les programmes Set-UID, comme mount ont besoin d'une version prive de 
cette routine.
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph">
La fonction
<b>realpath</b> <b></b>  est apparue dans BSD 4.4, due  Jan-Simon Pendry.
Sous Linux, cette fonction est apparue dans la libc 4.5.21.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
Dans BSD 4.4 et Solaris la limite de longueur du chemin est MAXPATHLEN
(dans &lt;sys/param.h&gt;). SUSv2 conseille PATH_MAX et
NAME_MAX, dans &lt;limits.h&gt; ou fournis par
<i>pathconf() .</i>
Un fragmen de code typique serait<br/><br/>
.RS 

#ifdef PATH_MAX
  path_max = PATH_MAX;
#else
  path_max = pathconf (path, _PC_PATH_MAX);
  if (path_max &lt;= 0)
    path_max = 4096;
#endif


 
(Mais voir quand mme la section BOGUES plus haut).<br/><br/>
Les versions BSD 4.4, Linux et SUSv2 renvoient toujous un chemin absolu.
Solaris peut renvoyer un chemin relatif si l'argument
<i>path</i> est relatif.
Le prototype de
<b>realpath</b> <b></b>  est donn dans &lt;unistd.h&gt; dans les libc4 et libc5,
mais dans &lt;stdlib.h&gt; partout ailleurs.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>readlink (2),</b>
<b>getcwd (3),</b>
<b>pathconf (3),</b>
<b>sysconf (3)</b>
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
