<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C), 1995, Graeme W. Wilford. (Wilf.) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Wed Jun 14 16:10:28 BST 1995 Wilf. (G.Wilford@ee.surrey.ac.uk) -->
<!--  Tiny change in formatting - aeb, 950812 -->
<!--  -->
<!--  show the synopsis section nicely -->
<!--  -->
<!--  Traduction 06/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
.de xx
.in \\n(INu+\\$1
.ti -\\$1
..
<br/><h1>REGEX</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">compilation regex posix</a>
<br /><a class="summaryIndent0" href="#L3">correspondance regex posix</a>
<br /><a class="summaryIndent0" href="#L4">retour d'erreur posix</a>
<br /><a class="summaryIndent0" href="#L5">libration du buffer de motif posix</a>
<br /><a class="summaryIndent0" href="#L6">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L7">erreurs</a>
<br /><a class="summaryIndent0" href="#L8">conformit</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
regcomp, regexec, regerror, regfree - Fonctions regex POSIX.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;regex.h&gt;</b> <b></b>  <br/><br/>

.xx \w'<b>int&nbsp;regcomp&nbsp;(</b>'u
<b>int&nbsp;regcomp&nbsp;(regex_t *</b> preg <i>, const char *</i> regex , 
<b>int </b> cflags );
.xx \w'<b>int&nbsp;regexec&nbsp;(</b>'u
<b>int&nbsp;regexec&nbsp;(const regex_t *</b> preg <i>, const char *</i> string ,
<b>size_t </b> nmatch <i>, regmatch_t </i> pmatch[] , 
<b>int </b> eflags );
.xx \w'<b>size_t&nbsp;regerror&nbsp;(</b>'u
<b>size_t&nbsp;regerror&nbsp;(int </b> errcode , 
<b>const regex_t *</b> preg <i>, char *</i> errbuf , 
<b>size_t </b> errbuf_size );
.xx \w'<b>void&nbsp;regfree&nbsp;(</b>'
<b>void&nbsp;regfree&nbsp;(regex_t *</b> preg );
</div><br/><br /><h1 class="TitreSection0" id="L3">compilation regex posix</h1>
<div class="paragraph">
<b>regcomp</b> <b></b>  est utilise pour compiler une expression rgulire sous une forme
utilisable par la suite pour des recherches avec
<b>regexec .<br/><br/></b>
On fournit 
<b>regcomp</b> <b></b>  les arguments
<i>preg ,</i>
un pointeur vers une zone de stockage du motif,
<i>regex ,</i>
un pointeur vers une chane termine par un caractre nul, et
<i>cflags ,</i>
les attributs indiquant le type de compilation.<br/><br/>
Toutes les recherches d'expressions rgulires sont effectues  travers
la zone de motif compil, ainsi
<b>regexec</b> <b></b>  doit toujours recevoir l'adresse d'un motif initialis par
<b>regcomp .<br/><br/></b>
<i>cflags </i> peut tre un
<b>OU</b> <b></b>  <b>binaire</b> <b></b>  entre une ou plusieurs constantes symboliques suivantes :
<br/><br/>
 
<b>REG_EXTENDED</b> <b></b>  Utiliser la syntaxe d'Expression Rgulire tendue
<b>POSIX</b> <b></b>  pour interprter
<i>regex .</i>
Sinon, la syntaxe d'Expression Rgulire de Base
<b>POSIX</b> <b></b>  est utilise.
<br/><br/>
 
<b>REG_ICASE</b> <b></b>  Ne pas diffrencier les majuscules des minuscules. Les recherches
<b>regexec</b> <b></b>  suivantes utilisant le buffer de motif n'effectueront pas la diffrentiation.
<br/><br/>
 
<b>REG_NOSUB</b> <b></b>  Ne pas utiliser les correspondances de sous-chanes.
Les paramtres
<i>nmatch</i> et
<i>pmatch</i> de
<b>regexec</b> <b></b>  sont ignors si le buffer de motif est compil avec cet attribut.
<br/><br/>
 
<b>REG_NEWLINE</b> <b></b>  L'oprateur "n'importe-quel-caractre" ne s'identifie pas avec le saut de ligne.<br/><br/>
Une liste d'exceptions
( [^...] )</b>
s'identifie avec le saut de ligne, mme si elle ne le contient pas explicitement.
    
L'oprateur Dbut-de-ligne
( ^ )</b>
s'identifie avec une chane vide suivant immdiatement un saut de ligne,
mme si l'attribut
<i>eflags ,</i>
de
<b>regexec ,</b>
contient
<b>REG_NOTBOL .<br/><br/></b>
L'oprateur Fin-de-ligne
( $ )</b>
s'identifie avec une chane vide prcdant immdiatement un saut de ligne,
mme si l'attribut
<i>eflags </i>
contient
<b>REG_NOTEOL .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">correspondance regex posix</h1>
<div class="paragraph">
<b>regexec</b> <b></b>  est utilise pour mettre en correspondance une chane termine par un
caractre nul, avec le buffer de motif prcompil
<i>preg .</i>
<i>nmatch</i> et
<i>pmatch</i> fournissent des informations concernant l'emplacement des correspondances.
<i>eflags</i> peut tre un
<b>OU</b> <b></b>  <b>binaire</b> <b></b>  entre les constantes
<b>REG_NOTBOL</b> <b></b>  ou
<b>REG_NOTEOL</b> <b></b>  <b></b>  qui modifient le comportement de la mise en correspondance dcrite ci-dessous.
<br/><br/>

<b>REG_NOTBOL</b> <b></b>  L'oprateur Dbut-de-ligne choue toujours (mais voyez l'attribut de compilation
<b>REG_NEWLINE</b> <b></b>  <b></b>  ci-dessus)
Cet attribut peut tre utilis quand diffrentes portions d'une chane
sont transmises 
<b>regexec</b> <b></b>  et que le dbut de la chaine ne correspond pas  un dbut de ligne.
<br/><br/>

<b>REG_NOTEOL</b> <b></b>  L'oprateur Fin-de-ligne choue toujours (mais voyez l'attribut de compilation
<b>REG_NEWLINE</b> <b></b>  ci-dessus)
</div><br/><h2 class="TitreSection1" id="L12">BYTE OFFSETS</h2>
<div class="paragraph">
A moins que l'attribut
<b>REG_NOSUB</b> <b></b>  n'ait t utilis lors de la compilation du motif, il est possible d'obtenir
des informations sur les correspondances de sous-chanes.
<i>pmatch</i> doit tre dimensionne pour contenir au moins
<i>nmatch</i> lments.
Ils sont remplis par
<b>regexec </b>
avec les adresses des sous-chanes mises en correspondance. Tous les lments
inutiliss de structure, contiendront la valeur -1.<br/><br/>
La structure
<b>regmatch_t</b> <b></b>  <b></b>  du type
<i>pmatch</i> est dfinie dans
<i>regex.h </i>
ainsi :
<br/><br/>
typedef struct
{
  regoff_t  rm_so;
  regoff_t  rm_eo ;
} regmatch_t;<br/><br/>


Chaque lment
<i>rm_so</i> diffrent de -1 indique le point de dpart de la sous-chane suivante la
plus longue qui soit mise en correspondance. Cette valeur est un dcalage
(offset) dans la chane.
L'lment
<i>rm_eo </i> indique le dcalage de la fin de la sous-chane.
</div><br/><br /><h1 class="TitreSection0" id="L5">retour d'erreur posix</h1>
<div class="paragraph">
<b>regerror</b> <b></b>  est utilis pour transformer les codes d'erreur renvoys par
<b>regcomp</b> <b></b>  et par
<b>regexec</b> <b></b>  en libells.<br/><br/>
<b>regerror</b> <b></b>  reoit le code
<i>errcode ,</i>
le buffer de motif
<i>preg ,</i>
un pointeur sur une chane de caractres
<i>errbuf ,</i>
et la longueur maximale de cette chane
<i>errbuf_size .</i>
Cette fonction renvoie la taille
<i>errbuf</i> ncessaire pour contenir le libell d'erreur termin par un caractre nul.
Si
<i>errbuf</i> et
<i>errbuf_size</i> son non nuls,
<i>errbuf</i> est rempli avec les
<i>errbuf_size - 1</i> premiers caractres du libell d'erreur, suivis d'un caractre nul.
</div><br/><br /><h1 class="TitreSection0" id="L6">libration du buffer de motif posix</h1>
<div class="paragraph">
En fournissant 
<b>regfree</b> <b></b>  un buffer de motif prcompil
<i>preg,</i>
il librera la mmoire alloue au buffer durant la compilation avec
<b>regcomp .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">valeur renvoye</h1>
<div class="paragraph">
<b>regcomp</b> <b></b>  renvoie zro si la compilation russit, ou un code d'erreur en cas d'chec.<br/><br/>
<b>regexec</b> <b></b>  renvoie zro si la correspondance russit, et
<b>REG_NOMATCH</b> <b></b>  si elle choue.
</div><br/><br /><h1 class="TitreSection0" id="L8">erreurs</h1>
<div class="paragraph">
Les erreurs suivantes peuvent tre dclenches par
<b>regcomp </b> :<b></b>
<br/><br/>

<b>REG_BADRPT</b> <b></b>  Utilisation invalide d'oprateurs de rpetition, comme un caractre
` * '</b>
en premire place.
<br/><br/>

<b>REG_BADBR</b> <b></b>  Utilisation illgale de l'oprateur de rfrence inverse.
<br/><br/>

<b>REG_EBRACE</b> <b></b>  Crochet manquant.
<br/><br/>

<b>REG_EBRACK</b> <b></b>  Accolade manquante.
<br/><br/>

<b>REG_ERANGE</b> <b></b>  Utilisation illgale de l'oprateur d'intervalle. Par exemple la fin de
l'intervalle est infrieure au dbut de l'intervalle.
<br/><br/>

<b>REG_ECTYPE</b> <b></b>  Nom de classe de caractre inconnu.
<br/><br/>

<b>REG_EPAREN</b> <b></b>  Parenthse manquante.
<br/><br/>

<b>REG_ESUBREG</b> <b></b>  Rfrence inverse illgale vers une sous-expression.
<br/><br/>

<b>REG_EEND</b> <b></b>  Erreur non-spcifique.
<br/><br/>

<b>REG_ESCAPE</b> <b></b>  Squence d'chappement invalide.
<br/><br/>

<b>REG_BADPAT</b> <b></b>  Utilisation illgale d'un oprateur du type groupe ou liste.
<br/><br/>

<b>REG_ESIZE</b> <b></b>  La compilation aurait besoin d'un buffer de taille suprieure  64 Ko.
<br/><br/>

<b>REG_ESPACE</b> <b></b>  Pas assez de mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L9">conformit</h1>
<div class="paragraph">
POSIX
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
<b>regex (7),</b>
<b>Manuel</b> <b></b>  <b>Regex</b> <b></b>  <b>GNU"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
