<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This file is derived from unlink.2, which has the following copyright: -->
<!--  -->
<!--  --snip-- -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  --snip-- -->
<!--  -->
<!--  Edited into remove.3 shape by: -->
<!--  Graeme W. Wilford (G.Wilford@ee.surrey.ac.uk) on 13th July 1994 -->
<!--  -->
<!--  -->
<!--  Traduction 06/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 21/07/1997 -->
<!--  Mise a jour 05/05/1999 - LDP-man-pages-1.23 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>REMOVE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
remove - Dtruire un nom et ventuellement le fichier correspondant.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int remove (const char *</b> pathname );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>remove</b> <b></b>  supprime un nom du systme de fichiers, en invoquant
<i>unlink</i> pour les fichiers, et
<i>rmdir</i> pour les rpertoires.<br/><br/>
Si ce nom tait le dernier lien
sur le fichier correspondant, et si aucun processus n'a ouvert le
fichier, celui-ci est supprim, et l'espace qu'il occupait est  nouveau
disponible.<br/><br/>
Si le nom tait le dernier lien sur le fichier correspondant, mais si
un processus avait ouvert ce fichier, celui-ci persistera jusqu' ce que
le dernier descripteur s'y rapportant soit ferm.<br/><br/>
Si le nom correspond  un lien symbolique, le lien est supprim.<br/><br/>
Si le nom se rapporte  une socket, une Fifo, ou un priphrique, le nom
est supprim, mais un processus ayant ouvert l'objet peut continuer 
l'utiliser.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>remove</b> renvoie 0 si elle russit, ou -1 si elle choue,
auquel cas <i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Les erreurs qui peuvent se produire pour
<b>unlink (2)</b>
et
<b>rmdir (2) .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
ANSI C, SVID, AT&T, POSIX, X/OPEN, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Des problmes dans le protocole sous-jacent  NFS peuvent provoquer
la disparition de fichiers encore en utilisation.
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
Avec libc4 et libc5,
<b>remove</b> <b></b>  tait simplement un alias de unlink, et ne supprimait donc pas les rpertoires.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>unlink (2),</b>
<b>rename (2),</b>
<b>open (2),</b>
<b>rmdir(2),</b>
<b>mknod (2),</b>
<b>mkfifo (3),</b>
<b>link (2),</b>
<b>rm (1),</b>
<b>unlink (8).</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
