<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:26:16 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Thu Apr 11 17:11:33 1996 by Andries Brouwer (aeb@cwi.nl): -->
<!--      Corrected type of compar routines, as suggested by -->
<!--      Miguel Barreiro (enano@avalon.yaix.es).  Added example. -->
<!--  -->
<!--  Traduction 07/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>SCANDIR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">exemple</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
scandir, alphasort, versionsort - Slectionner des lments d'un rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;dirent.h&gt;</b> <b></b>  <br/><br/>

<b>int scandir (const char * </b> dir <i>, struct dirent ***</i> namelist ,
.RS
<b>int (*</b> select <i>)(const struct diren t *),</i>
<b>int (*</b> compar <i>)(const struct dirent **, const struct dirent **));</i>

<br/><br/>

<b>int alphasort (const void *</b> a <i>, const void * </i> b );
<br/>
<b>int versionsort (const void *</b> a <i>, const void * </i> b );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>scandir()</b> examine le rpertoire <i>dir</i>, en appelant
<i>select()</i> pour chaque lment rencontr. Les entres pour lesquelles
<i>select()</i> renvoie une valeur non-nulle sont stockes dans une table
alloue avec <b>malloc()</b>, trie avec <b>qsort()</b> en utilisant la
fonction de comparaison <i>compar()</i>, puis regroupes dans une table
<i>namelist</i> alloue avec <b>malloc()</b>.
Si <i>select</i> est NULL, toutes les entres sont slectionnes.<br/><br/>
Les fonctions
<b>alphasort()</b> <b></b>  et
<b>versionsort</b> <b></b>  <b>()</b> <b></b>  peuvent tre utilises comme fonction de comparaison
dans la fonction <b>scandir()</b>.
La premire trie les entres du rpertoire en
ordre alphabtique en utilisant
<b>strcoll (3),</b>
la seconde en utilisant
<b>strverscmp (3)</b>
sur les chanes <i>(*a)-&gt;d_name</i> et <i>(*b)-&gt;d_name</i>.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>scandir()</b> renvoie le nombre d'entres de repertoire
selectionnes ou -1 en cas d'erreur.<br/><br/>
Les fonctions
<b>alphasort()</b> <b></b>  et
<b>versionsort</b> <b></b>  <b>()</b> <b></b>  renvoient un entier ngatif, nul, ou positif
si le premier argument est respectivement infrieur, gal ou
suprieur au second.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Aucune de ces fonctions n'est dcrite par POSIX.
Les fonctions
<b>scandir()</b> <b></b>  et
<b>alphasort()</b> <b></b>  proviennent de BSD 4.3 et sont disponibles sous Linux depuis libc4.
Les bibliothques libc4 et libc5 utilisent le prototype plus prcis
<br/><br/>


<b>int alphasort(const struct dirent **</b> a <i>, const struct dirent **</i> b );


<br/><br/>

mais la GlibC 2.0 est revenue au prototype BSD imprcis.<br/><br/>
La fonction
<b>versionsort()</b> <b></b>  est une extension GNU, disponible depuis la GlibC 2.1.
Depuis la GlibC 2.1, la fonction
<b>alphasort()</b> <b></b>  invoque
<b>strcoll (3);</b>
alors qu'auparavant elle employait
<b>strcmp (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">exemple</h1>
<div class="paragraph">

/* Afficher le contenu du rpertoire en ordre inverse */
#include &lt;dirent.h&gt;
main(){
    struct dirent **namelist;
    int n;<br/><br/>
    n = scandir(".", &namelist, 0, alphasort);
    if (n &lt; 0)
        perror("scandir");
    else {
        while(n--) {
            printf("%s\en", namelist[n]-&gt;d_name);
            free (namelist [n]);
        }
        free (namelist);
    }
}


</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>opendir (3),</b>
<b>readdir (3),</b>
<b>closedir (3),</b>
<b>rewinddir (3),</b>
<b>seekdir (3),</b>
<b>strcmp (3),</b>
<b>strcoll (3),</b>
<b>strverscmp (3),</b>
<b>telldir (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
