<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  Chris Torek and the American National Standards Committee X3, -->
<!--  on Information Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)scanf.3	6.14 (Berkeley) 1/8/93 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 15:22:01 1993, faith@cs.unc.edu -->
<!--  modified to resemble the GNU libio setup used in the Linux libc  -->
<!--  used in versions 4.x (x&gt;4) and 5   Helmut.Geyer@iwr.uni-heidelberg.de -->
<!--  -->
<!--  -->
<!--  Traduction 18/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 15/04/97 -->
<!--  Mise  jour 09/04/99 - LDP man-pages 1.22 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>SCANF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conversions</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">bogues </a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
scanf, fscanf, sscanf, vscanf, vsscanf, vfscanf - Entres formates.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  .na
<b>int scanf (const char * </b> format <i>, ...</i> );
<br/>
<b>int fscanf (FILE * </b> stream <i>, const char * </i> format <b>, ...</b> );
<br/>
<b>int sscanf (const char * </b> str <i>, const char * </i> format <b>, ...</b> );
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;stdarg.h&gt;</b> <b></b>  <b>int vscanf (const char * </b> format <i>, va_list </i> ap );
<br/>
<b>int vsscanf (const char * </b> str <i>, const char * </i> format <b>, va_list </b> ap );
<br/>
<b>int vfscanf (FILE * </b> stream <i>, const char * </i> format <b>, va_list </b> ap );
.ad
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions de la famille
<b>scanf</b> <b></b>  analysent leurs entres conformment au
<i>format</i> dcrit plus bas. Ce format peut contenir des
<i>indicateurs de conversion</i> .</i>
Les rsultats des conversions, s'il y en a, sont stocks dans des arguments
<i>pointeurs .</i>
La fonction
<b>scanf</b> <b></b>  lit ses donnes depuis le flux d'entre standard
<i>stdin ,</i>
<b>fscanf</b> <b></b>  lit ses entres depuis le flux point par
<i>stream ,</i>
et
<b>sscanf</b> <b></b>  lit ses entres dans la chane de caractres pointe par
<i>str .<br/><br/></i>
La fonction
<b>vfscanf</b> <b></b>  est analogue 
<b>vfprintf (3)</b>
et lit ses arguments depuis le flux point par
<i>stream</i> en utilisant une liste variable d'arguments pointeurs, voir
<b>stdarg (3).</b>
La fonction
<b>vscanf</b> <b></b>  examine l'entre standard en utilisant une liste variable 
d'arguments pointeurs et la fonction
<b>vsscanf</b> <b></b>  examine une chane. Elles sont respectivement analogues aux fonctions
<b>vprintf</b> <b></b>  et
<b>vsprintf .<br/><br/></b>
Les arguments
<i>pointeurs</i> successifs doivent correspondre correctement aux indicateurs de conversion
fournis (voir nanmoins l'attribut '*' plus bas).
Toutes les conversions sont introduites par le caractre
<b>%</b> <b></b>  (symbole pourcent).
La chane
<i>format</i> peut galement contenir d'autres caractres. Les blancs (comme les espaces,
les tabulations ou les retours chariots) dans la chane
<i>format</i> correspondent  un nombre quelconque de blancs (et mme aucun) dans la
chaine d'entre.
Tous les autres caractres ne peuvent correspondre qu'a eux-mme.
L'examen de l'entre s'arrte ds qu'un caractre d'entre ne correspond
pas  un caractre du format.
L'examen s'arrte galement quand une conversion d'entre est impossible
(voir ci-dessous).
</div><br/><br /><h1 class="TitreSection0" id="L4">conversions</h1>
<div class="paragraph">
A la suite du caractre
<b>%</b> <b></b>  introduisant une conversion, il peut y avoir un nombre quelconque de
caractres
<i>attributs</i> de la liste suivante :
<br/><br/>

<b>*</b> <b></b>  Ne pas stocker le rsultat. La conversion est bien effectue comme d'habitude,
mais le resultat est limin au lieu d'tre memoris dans un pointeur.
<br/><br/>

<b>a</b> <b></b>  <b></b>  (GlibC) Indique que la conversion sera de type
<b>s ,</b>
la mmoire ncessaire pour la chaine sera alloue avec <b>malloc(3)</b> et
le pointeur sera assign  la variable de type
<i> char</i> qui n'a pas besoin d'tre initialise auparavant.
Cet attribut n'existe pas en
<i>C ANSI</i> .</i>
<br/><br/>

<b>a</b> <b></b>  (C99) quivalent 
<b>f.</b>
<br/><br/>

<b>h</b> <b></b>  Indique que la conversion sera de type
<b>dioux</b> <b></b>  ou
<b>n</b> <b></b>  et que le pointeur suivant est un pointeur sur un
<i>short  int</i> (plutt que sur un
<i>int ).</i>
<br/><br/>

<b>l</b> <b></b>  Indique que la conversion sera de type
<b>dioux</b> <b></b>  ou
<b>n</b> <b></b>  et que le pointeur suivant est un pointeur sur un
<i>long  int</i> (plutt que sur un
<i>int ),</i>
ou que la conversion sera de type
<b>efg</b> <b></b>  et que le pointeur suivant est un pointeur sur un
<i>double</i> (plutt que sur un
<i>float ).</i>
Indiquer deux attributs
<b>l</b> <b></b>  successifs est quivalent  indiquer l'attribut
<b>L .</b>
<br/><br/>

<b>L</b> <b></b>  Indique que la conversion sera de type
<b>efg</b> <b></b>  et que le pointeur suivant est un pointeur sur un
<i>long double</i> </i>
ou que la conversion sera de type
<b>dioux</b> <b></b>  et que le pointeur suivant est un pointeur sur un
<i>long long</i> .</i>
(ce type n'existe pas en
<i>C ANSI</i> .</i>
Un programme l'utilisant ne sera pas portable sur toutes 
les machines).
<br/><br/>

<b>q</b> <b></b>  est quivalent  L.
Cet attribut n'existe pas en
<i>C ANSI</i> .<br/><br/></i>
En plus de ces attributs peut se trouver un champ optionnel de longueur
maximale, exprime sous forme d'entier, entre le caractre
<b>%</b> <b></b>  et l'indicateur de conversion.
Si aucune longueur n'est donne, une valeur infinie est utilise par dfaut
(avec une exception, voir plus bas).
Autrement, la conversion examinera au plus le nombre de caractres indiqus.
Avant que les conversions ne commencent, la plupart d'entre elles liminent
les blancs. Ces espaces blancs ne sont pas compts dans le champ de largeur
maximale.<br/><br/>
Les conversions suivantes sont disponibles&nbsp;:
<br/><br/>

<b>%</b> <b></b>  Correspond  un caractre  `%'.  Ceci signifie qu'un indicateur `%%' 
dans la chane de format correspond  un seul caractere `%' dans la
chaine d'entre. Aucune conversion, et aucune assignation n'a lieu.
<br/><br/>

<b>d</b> <b></b>  Correspond  un entier dcimal ventuellement sign, le pointeur
correspondant doit tre du type
<i>int *</i> .</i>
<br/><br/>

<b>D</b> <b></b>  Equivalent 
<b>ld ,</b>
utilis uniquement pour compatibilit avec des versions prcdentes.
(Et seulement dans libc4. Dans libc5 et glibc le %D est ignor silencieusement,
ce qui conduit d'anciens programmes  chouer mystrieusement).
<br/><br/>

<b>i</b> <b></b>  correspond  un entier ventuellement sign. Le pointeur suivant doit tre
du type
<i>int *</i>.</i>
L'entier est en base 16 (hxadcimal) s'il commence par `0x' ou `0X',
en base 8 (octal) s'il commence par un `0', 
et en base 10 sinon.  Seuls les caractres correspondants  la base
concerne sont utiliss.
<br/><br/>

<b>o</b> <b></b>  Correspond  un entier octal non sign. Le pointeur correspondant doit tre
du type
<i>unsigned int *</i> .</i>
<br/><br/>

<b>u</b> <b></b>  Correspond  un entier dcimal non sign. Le pointeur suivant doit tre 
du type
<i>unsigned int *</i> .</i>
<br/><br/>

<b>x</b> <b></b>  Correspond  un entier hxadcimal non sign. Le pointeur suivant doit
tre du type
<i>unsigned int *</i> .</i>
<br/><br/>

<b>X</b> <b></b>  Equivalent 
<b>x</b> <b></b>  <b></b>  <br/><br/>

<b>f</b> <b></b>  Correspond  un nombre rel ventuellement sign. Le pointeur correspondant
doit tre du type
<i>float *</i> .</i>
<br/><br/>

<b>e</b> <b></b>  Equivalent 
<b>f .</b>
<br/><br/>

<b>g</b> <b></b>  Equivalent 
<b>f .</b>
<br/><br/>

<b>E</b> <b></b>  Equivalent 
<b>f </b>
<br/><br/>

<b>s</b> <b></b>  Correspond  une squence de caractres diffrents des caractres blancs. Le
pointeur correspondant doit tre du type
<i>char *</i>,</i>
et la chaine doit tre assez large pour accueillir toute la squence, ainsi
que le caractre
<b>NUL</b> <b></b>  final. La conversion s'arrte au premier caractre blanc, ou  la longueur
maximale du champ.
<br/><br/>

<b>c</b> <b></b>  Correspond  une squence de
<i>width</i> caractres (par dfaut 1). Le pointeur associ doit tre du type
<i>char *</i>,</i>
et il doit y avoir suffisament de place dans la chane pour tous les
caracteres. Aucun caractre
<b>NUL</b> <b></b>  final n'est ajout.
Les caractres blancs de dbut ne sont pas supprims. Si on veut les liminer,
il faut utiliser un espace dans le format.
<br/><br/>

<b>[</b> <b></b>  Correspond  une squence non vide de caractres appartenant  un ensemble
donn. Le pointeur correspondant doit tre du type
<i>char *</i> ,</i>
et il doit y avoir suffisament de place dans le tableau de caractres pour
accueillir la chane ainsi qu'un caractre
<b>NUL</b> <b></b>  final. Les caractres blancs du dbut ne sont pas supprims. La chane est
constitues de caractres inclus ou exclus d'un ensemble donn. L'ensemble
est compos des caractres compris entre les deux crochets
<b>[</b> <b></b>  et
<b>] .</b>
L'ensemble
<i>exclut</i> ces caractres si le premier aprs le crochet ouvrant est un accent
circonflexe
<b>^ .</b>
Pour inclure un crochet fermant dans l'ensemble, il suffit de le placer
en premire position aprs le crochet ouvrant, ou l'accent circonflexe ;
 tout autre emplacement il servira  terminer l'ensemble.
Le caractre tiret
<b>-</b> <b></b>  a galement une signification particulire. Quand il est plac entre deux autres
caractres, il ajoute  l'ensemble les caractres intermdiaires. Pour inclure
un tiret dans l'ensemble, il faut le placer en dernire position avant le
crochet fermant.Par exemple, `[^]0-9-]' correspond  l'ensemble
`Tout sauf le crochet fermant, les chiffres de 0  9, et le tiret'.
La chaine se termine ds l'occurence d'un caractre exclus (ou inclus s'il y
 un accent circonflexe ) de l'ensemble, ou ds qu'on atteint la longueur
maximale du champ.
<br/><br/>

<b>p</b> <b></b>  Correspond  une valeur de pointeur (comme affiche par `%p' dans
<b>printf (3).</b>
Le pointeur correspondant doit tre du type
<i>void *</i> .</i>
<br/><br/>

<b>n</b> <b></b>  Aucune lecture n'est faite. Le nombre de caractres dj lus est stock
dans le pointeur correspondant, qui doit tre de type
<i>int *</i>.</i>
Ce n'est
<i>pas</i> une conversion, mais le stockage peut quand mme tre supprim avec un attribut
<b>* .</b>
Le standard C indique : `L'excution d'une directive %n n'incrmente pas
le compteur d'assignations renvoy  la fin de l'excution'. Mais il semble
qu'il y ait des contradictions sur ce point. Il est probablement sage de
ne pas faire de suppositions sur l'effet de la conversion %n sur la valeur
renvoye.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
Ces fonctions renvoient le nombre d'lments d'entres correctement assigns.
Ce nombre peut tre plus petit que le nombre d'lements attendus, et mme
tre nul, s'il y a une erreur de mise en correspondance.
La valeur zro indique qu'aucune conversion n'a t faite bien que des
caractres taient disponibles en entre.
Typiquement c'est un caractre d'entre invalide qui en est la cause, par
exemple un caractre alphabtique dans une conversion `%d'.
La valeur
<b>EOF</b> <b></b>  est renvoye si une erreur d'entre a eu lieu avant toute conversion, par
exemple une fin de fichier. Si une erreur fin-de-fichier se produit aprs
que les conversions aient commenc, le nombre de conversions russies
sera renvoy.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>strtol (3),</b>
<b>strtoul (3),</b>
<b>strtod (3),</b>
<b>getc (3),</b>
<b>printf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
Les fonctions
<b>fscanf ,</b>
<b>scanf ,</b>
et
<b>sscanf</b>
sont conformes  ANSI X3.159-1989 (``C ANSI'').<br/><br/>
L'attribut
<b>q</b> <b></b>  est une notation
<i>BSD 4.4</i> pour
<i>long long</i> ,</i>
alors que
<b>ll</b> <b></b>  ou l'utilisation de
<b>L</b> <b></b>  dans les conversions entires sont des notations GNU.<br/><br/>
Les versions Linux de ces fonctions sont bases sur la bibliothque
<i>libio GNU</i> .</i>
Jetez un oeil sur la documentation
<i>info</i> de la
<i>libc GNU (glibc-1.08)</i> pour une description complte. 
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues </h1>
<div class="paragraph">
Toutes ces fonctions sont totalement conformes  ANSI X3.159-1989, mais
lui ajoutent les attributs
<b>q</b> <b></b>  et
<b>a</b> <b></b>  ainsi que des comportements supplmentaires des attributs
<b>L</b> <b></b>  et
<b>l .</b>
Ce derniers doivent tre considrs comme des bugs, car ils modifient le
comportement d'attributs dfinis dans ANSI X3.159-1989.<br/><br/>
Certaines combinaisons d'attributs 
n'ont pas de sens en
<i>C ANSI</i> </i>
(par exemple
<b>%Ld</b> ).</b>
Bien qu'elles aient un comportement bien dfini sous Linux, ce n'est
peut tre pas le cas sur d'autres architectures.
Il vaut donc mieux n'utiliser que des attributs dfinis en
<i>C ANSI</i> ,</i>
par exemple, utilisez
<b>q</b> <b></b>   la place de
<b>L</b> <b></b>  avec les conversions
<b>diouxX</b> <b></b>  ou
<b>ll .<br/><br/></b>
L'utilisation
<b>q</b> <b></b>  n'est pas la mme sous
<i>BSD 4.4</i> ,</i>
car il peut tre utilis avec des conversions de rels de manire quivalente 
<b>L .</b>
[NDT] La conversion <b>%s</b> devrait toujours tre accompagne d'une longueur maximale
de chane de caractres. En effet, il existe un risque de dbordement de buffer, qui
peut conduire  un trou de scurit important dans un programme Set-UID ou Set-GID.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
