<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Written by Michael Haardt, Fri Nov 25 14:51:42 MET 1994 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modifications, Sun Feb 26 14:39:45 1995, faith@cs.unc.edu -->
<!--  " -->
<!--  -->
<!--  Traduction 07/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour le 10/07/1997 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>SETJMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
setjmp, sigsetjmp - Sauver le contexte de pile pour un saut non-local.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
#include &lt;setjmp.h&gt;
<br/><br/>


<b>int setjmp (jmp_buf </b> env <i>);</i>
<b>int sigsetjmp (sigjmp_buf </b> env <i>, int </i> savesigs <b>);</b>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions <b>setjmp()</b> et <b>longjmp</b>() sont utiles pour grer les
erreurs et les interruptions rencontres dans des routines bas-niveau.
<b>setjmp()</b> sauvegarde le contexte de pile et d'environnement dans <i>env</i>
afin de l'utiliser ultrieurement avec <b>longjmp()</b>.
Le contexte de pile sera invalide si la fonction qui appelle <b>setjmp()</b>
se termine.<br/><br/>
<b>sigsetjmp()</b> est semblable  <b>setjmp()</b>. Si <i>savesigs</i> est
non-nul, l'ensemble des signaux bloqus est sauvegard dans <i>env</i>, et
sera retabli lorsque <b>siglongjmp()</b> sera invoqu avec ce contexte
<i>env</i>.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>setjmp()</b> et <b>sigsetjmp()</b> renvoient 0 lorsqu'elles reviennent
directement, et une valeur non-nulle si elle reviennent  travers un appel
 <b>longjmp()</b> ou <b>siglongjmp()</b> utilisant le contexte sauvegard.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
POSIX, ISO 9899 (C99)
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
POSIX ne prcise pas <b>setjmp</b> sauve ou non le contexte de signaux.
(Dans SysV ce n'est pas le cas, dans BSD si mais il existe une fonction
<b>_setjmp</b> qui ne le fait pas).
Si vous voulez sauver le masque de signaux, utilisez <b>sigsetjmp</b>.<br/><br/>
<b>setjmp()</b> et <b>sigsetjmp()</b> rendent les programmes difficiles
 comprendre et  maintenir.
Si possible, essayez d'utiliser une autre mthode.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>longjmp (3),</b>
<b>siglongjmp (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
