<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2001 Andries Brouwer &lt;aeb@cwi.nl&gt;. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 21/07/2003 LDP-1.57 -->
<br/><h1>SETLOGMASK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes --></a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traductions</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
setlogmask - Fixer le masque de priorit de journalisation.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;syslog.h&gt;</b> <b></b>  <br/><br/>

<b>int setlogmask(int </b> masque );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Chaque processus a un masque de priorit dterminant quels appels 
<b>syslog (3)</b>
seront effectivement journaliss. Les autres appels seront ignors.
La journalisation est active pour les priorits ayant un bit
correspondant dans le
<i>masque .</i>
Le masque initial valide toutes les priorits.<br/><br/>
La fonction
<b>setlogmask()</b> <b></b>  fixe le masque des priorits pour le processus appelant et
renvoie le masque prcdent.
Si l'argument masque est 0, le masque en cours n'est pas modifi.<br/><br/>
Les huit priorits sont LOG_EMERG, LOG_ALERT, LOG_CRIT, LOG_ERR,
LOG_WARNING, LOG_NOTICE, LOG_INFO et LOG_DEBUG.
Le bit correspondant  la priorit <i>p</i> est LOG_MASK(<i>p</i>).
Certains systmes fournissent aussi une macro LOG_UPTO(<i>p</i>) pour le
masque de toutes les priorits jusqu' <i>p</i> incluses.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction renvoie le masque de priorits prcdent. 
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Aucunes.
<!--  </div><br/><br /><h1 class="TitreSection0" id="L6">notes --></h1>
<div class="paragraph">
<!--  The glibc logmask handling was broken in versions before glibc 2.1.1. -->
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
XPG4.
Notez que la description de POSIX 1003.1-2001 est erron.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>closelog (3),</b>
<b>openlog (3),</b>
<b>syslog (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traductions</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
