<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1994 Mike Battersby -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by aeb, 960721 -->
<!--  -->
<!--  -->
<!--  Traduction 07/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>SIGSETOPS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sigsetops, sigemptyset, sigfillset, sigaddset, sigdelset, sigismember - Oprations sur les ensembles de signaux POSIX.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;signal.h&gt;</b> <b></b>  <br/><br/>
 2
<b>int sigemptyset (sigset_t *</b> set );
<br/><br/>

<b>int sigfillset (sigset_t *</b> set );
<br/><br/>

<b>int sigaddset (sigset_t *</b> set <i>, int </i> signum );
<br/><br/>

<b>int sigdelset (sigset_t *</b> set <i>, int </i> signum );
<br/><br/>

<b>int sigismember (const sigset_t *</b> set <i>, int </i> signum );<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions
<b>sigsetops (3)</b>
permettent la manipulation des ensembles de signaux POSIX.<br/><br/>
<b>sigemptyset</b> <b></b>  vide l'ensemble de signaux fourni par
<i>set ,</i>
tous les signaux tant exclus de cet ensemble.<br/><br/>
<b>sigfillset</b> <b></b>  remplit totalement l'ensemble de signaux
<i>set</i> en incluant tous les signaux.<br/><br/>
<b>sigaddset</b> <b></b>  <b></b>  et
<b>sigdelset</b> <b></b>  ajoutent ou suppriment respectivement le signal
<i>signum</i> de l'ensemble
<i>set .<br/><br/></i>
<b>sigismember</b> <b></b>  teste si le signal
<i>signum</i> est membre de l'ensemble
<i>set.</i> </div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>sigemptyset </b>, <b> sigfillset </b>, <b> sigaddset</b>
et
<b>sigdelset</b> <b></b>  <b></b>  renvoient 0 s'il russissent, et -1 s'ils chouent.<br/><br/>
<b>sigismember</b> <b></b>  renvoie 1 si le signal
<i>signum</i> est dans l'ensemble
<i>set ,</i>
0 si
<i>signum</i> n'y est pas, et -1 en cas d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  <i>sig</i> n'est pas un signal valide.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>sigaction (2),</b>
<b>sigpending (2),</b>
<b>sigprocmask (2),</b>
<b>sigsuspend (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
