<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)stdio.3	6.5 (Berkeley) 5/6/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 16:07:22 1993, faith@cs.unc.edu -->
<!--  -->
<!--  -->
<!--  Traduction 07/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 28/04/1998 (LDP-man-pages-1.19) -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>STDIO</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">liste des fonctions</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
stdio - Bibliothque standard de fonctions d'entres/sorties.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>FILE</b> <b></b>  <b>*stdin;</b> <b></b>  <br/>
<b>FILE</b> <b></b>  <b>*stdout;</b> <b></b>  <br/>
<b>FILE</b> <b></b>  <b>*stderr;</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette bibliothque standard fournit une interface simple et efficace pour les
entres/sorties avec buffers. Les entres et les sorties sont projetes dans
des flux de donnes logiques, et les caractristiques des entres/sorties
physiques sont masques. Les fonctions et les macros sont prsentes rapidement
ci-dessous. Des informations supplmentaires sont disponibles dans leurs pages
de manuel individuelles.<br/><br/>
Un flux est associ avec un fichier externe (qui peut aussi tre un dispositif
physique) en
<i>ouvrant</i> un fichier (ceci peut impliquer la cration d'un nouveau fichier). La cration
d'un fichier dj existant efface son contenu prcdent. Si un fichier
supporte les demandes de positionnement (par exemple un fichier sur disque,
contrairement  un terminal), alors 
<i>l'indicateur de position du fichier</i> associ au flux est plac au dbut du fichier (octet zro),  moins que
le fichier soit ouvert en mode d'ajout. Si le mode d'ajout est utilis,
l'indicateur de position est plac  la fin du fichier.
L'indicateur de position est mis  jour aprs chaque lecture, criture, ou
repositionnement. Toutes les entres se droulent comme si les caractres
taient lus par des appels successifs  la fonction
<b>fgetc (3).</b>
Toutes les sorties ont lieu comme si les caractres taient envoys 
des appels successifs  la fonction
<b>fputc (3).<br/><br/></b>
Un fichier est dissoci d'un flux en
<i>fermant</i> le fichier. Les flux de sortie sont vids (flush) avant que le flux soit
dissoci du fichier. Ceci signifie que le contenu des buffers pas encore
crits est transfr dans l'environnement de l'hte.
La valeur d'un pointeur sur un objet
<b>FILE</b> <b></b>  (fichier) est indfinie aprs la fermeture d'un fichier.<br/><br/>
Un fichier peut tre rouvert plus tard par le mme programme ou par un
autre, et son contenu relu ou modifi (si l'on peut placer l'indicateur
de positionnement au dbut).
Si la fonction <b>main</b> se termine, ou si la fonction
<b>exit (3)</b>
est invoque, tous les fichiers sont ferms (tous les buffers de sortie sont
transfrs par fflush) avant la fin du programe. Les autres mthodes
d'abandon du programme, telles que
<b>abort (3)</b>
ou
<b>_exit (2)</b>
ne s'occupent pas de fermer proprement les fichiers.<br/><br/>
Au dmarrage du programme, trois flux de texte sont prdfinis et n'ont
pas besoin d'tre ouverts explicitement&nbsp;:
<i>l'entre standard</i> (pour la lecture des donnes),
<i>la sortie standard</i> (pour l'criture des donnes), et
<i>le flux d'erreur standard</i> (pour les messages de diagnostique).
Ces flux sont nomms
<i>stdin , stdout</i>
et
<i>stderr .</i>
A l'ouverture, le flux d'erreur n'a pas de buffer, l'entre standard et la
sortie standard ont des buffers complets si et seulement si ils ne se
rfrent pas  un priphrique interactif.<br/><br/>
Les flux de sortie qui s'adressent  un peripherique terminal disposent
toujours d'un buffer de ligne par dfaut. Les caractres sont conservs
dans le buffer jusqu' un saut de ligne, ou jusqu' ce qu'une lecture soit
demande sur un flux associ au mme terminal. Il peut tre ncessaire
de dclencher intentionnellement l'criture effective sur le terminal en
invoquant
<b>fflush (3).<br/><br/></b>
La bibliothque standard
<b>stdio</b> <b></b>  fait partie de la bibliothque
<b>libc</b> <b></b>  et ses routines sont charges automatiquement par les
compilateurs
<b>cc (1)</b>
et
<b>pc (1)</b>
si besoin est.
Les sections
<b>SYNOPSIS</b> <b></b>  des pages de manuel mentionnes plus bas indiquent les fichiers d'en-tte ncessaires,
l'allure des dclarations de fonctions, et les variables externes utiles.<br/><br/>
Les noms ci-dessous correspondent  des macros. On ne peut pas les rutiliser
sans supprimer leur dfinition prcdente avec
<b>#undef :</b>
<b>BUFSIZ ,</b>
<b>EOF ,</b>
<b>FILENAME_MAX ,</b>
<b>FOPEN_MAX ,</b>
<b>L_cuserid ,</b>
<b>L_ctermid ,</b>
<b>L_tmpnam,</b>
<b>NULL ,</b>
<b>SEEK_END ,</b>
<b>SEEK_SET ,</b>
<b>SEE_CUR ,</b>
<b>TMP_MAX ,</b>
<b>clearerr ,</b>
<b>feof ,</b>
<b>ferror ,</b>
<b>fileno ,</b>
<b>fropen ,</b>
<b>fwopen ,</b>
<b>getc ,</b>
<b>getchar ,</b>
<b>putc ,</b>
<b>putchar ,</b>
<b>stderr ,</b>
<b>stdin ,</b>
<b>stdout .</b>
Il existe des dfinitions sous forme de fonctions des macros
<b>feof ,</b>
<b>ferror ,</b>
<b>clearerr ,</b>
<b>fileno ,</b>
<b>getc ,</b>
<b>getchar ,</b>
<b>putc ,</b>
et
<b>putchar</b> <b></b>  qui seront utilises si la definition de la macro est explicitement
supprime.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">liste des fonctions</h1>
<div class="paragraph">
<br/><br/>

<b>Fonction</b> <b></b>  <b>Description</b> <b></b>  <br/><br/>

<b>clearerr</b> <b></b>  vrifie et rinitialise le statut d'un flux.
<br/><br/>

<b>fclose</b> <b></b>  ferme un flux.
<br/><br/>

<b>fdopen</b> <b></b>  fonction d'ouverture d'un flux.
<br/><br/>

<b>feof</b> <b></b>  vrifie et rinitialise le statut d'un flux.
<br/><br/>

<b>ferror</b> <b></b>  vrifie et rinitialise le statut d'un flux.
<br/><br/>

<b>fflush</b> <b></b>  transfre les buffers d'un flux.
<br/><br/>

<b>fgetc</b> <b></b>  lit le caractre ou le mot suivant depuis un flux d'entre.
<br/><br/>

<b>fgetline</b> <b></b>  lit une ligne depuis un flux d'entre.
<br/><br/>

<b>fgetpos</b> <b></b>  lit la position courante d'un flux.
<br/><br/>

<b>fgets</b> <b></b>  lit une ligne depuis un flux d'entre.
<br/><br/>

<b>fileno</b> <b></b>  vrifie et rinitialise le statut d'un flux.
<br/><br/>

<b>fopen</b> <b></b>  fonction d'ouverture d'un flux.
<br/><br/>

<b>fprintf</b> <b></b>  criture de donnes formates.
<br/><br/>

<b>fpurge</b> <b></b>  transfre les buffers d'un flux.
<br/><br/>

<b>fputc</b> <b></b>  criture d'un caractre ou d'un mot dans un flux.
<br/><br/>

<b>fputs</b> <b></b>  criture d'une ligne dans un flux.
<br/><br/>

<b>fread</b> <b></b>  entres/sorties binaires.
<br/><br/>

<b>freopen</b> <b></b>  fonction d'ouverture d'un flux.
<br/><br/>

<b>fropen</b> <b></b>  fonction d'ouverture d'un flux.
<br/><br/>

<b>fscanf</b> <b></b>  lecture de donnes formates.
<br/><br/>

<b>fseek</b> <b></b>  repositionner un flux.
<br/><br/>

<b>fsetpos</b> <b></b>  repositionner un flux.
<br/><br/>

<b>ftell</b> <b></b>  repositionner un flux.
<br/><br/>

<b>fwrite</b> <b></b>  entres/sorties binaires.
<br/><br/>

<b>getc</b> <b></b>  lit le caractre ou le mot suivant depuis un flux d'entre.
<br/><br/>

<b>getchar</b> <b></b>  lit le caractre ou le mot suivant depuis un flux d'entre.
<br/><br/>

<b>gets</b> <b></b>  lit une ligne depuis un flux d'entre.
<br/><br/>

<b>getw</b> <b></b>  lit le caractre ou le mot suivant depuis un flux d'entre.
<br/><br/>

<b>mktemp</b> <b></b>  crer un fichier temporaire.
<br/><br/>

<b>perror</b> <b></b>  messages d'erreur systme.
<br/><br/>

<b>printf</b> <b></b>  criture de donnes formates.
<br/><br/>

<b>putc</b> <b></b>  criture d'un caractre ou d'un mot dans un flux.
<br/><br/>

<b>putchar</b> <b></b>  criture d'un caractre ou d'un mot dans un flux.
<br/><br/>

<b>puts</b> <b></b>  criture d'une ligne dans un flux.
<br/><br/>

<b>putw</b> <b></b>  criture d'un caractre ou d'un mot dans un flux.
<br/><br/>

<b>remove</b> <b></b>  supprimer une entre de rpertoire.
<br/><br/>

<b>rewind</b> <b></b>  repositionner un flux.
<br/><br/>

<b>scanf</b> <b></b>  lecture de donnes formates.
<br/><br/>

<b>setbuf</b> <b></b>  oprations sur les buffers.
<br/><br/>

<b>setbuffer</b> <b></b>  oprations sur les buffers.
<br/><br/>

<b>setlinebuf</b> <b></b>  oprations sur les buffers.
<br/><br/>

<b>setvbuf</b> <b></b>  oprations sur les buffers.
<br/><br/>

<b>sprintf</b> <b></b>  criture de donnes formates.
<br/><br/>

<b>sscanf</b> <b></b>  lecture de donnes formates.
<br/><br/>

<b>strerror</b> <b></b>  messages d'erreur systme.
<br/><br/>

<b>sys_errlist</b> <b></b>  messages d'erreur systme.
<br/><br/>

<b>sys_nerr</b> <b></b>  messages d'erreur systme.
<br/><br/>

<b>tempnam</b> <b></b>  crer un fichier temporaire.
<br/><br/>

<b>tmpfile</b> <b></b>  crer un fichier temporaire.
<br/><br/>

<b>tmpnam</b> <b></b>  crer un fichier temporaire.
<br/><br/>

<b>ungetc</b> <b></b>  remettre un caractre dans un flux d'entre.
<br/><br/>

<b>vfprintf</b> <b></b>  criture de donnes formates.
<br/><br/>

<b>vfscanf</b> <b></b>  lecture de donnes formates.
<br/><br/>

<b>vprintf</b> <b></b>  criture de donnes formates.
<br/><br/>

<b>vscanf</b> <b></b>  lecture de donnes formates.
<br/><br/>

<b>vsprintf</b> <b></b>  criture de donnes formates.
<br/><br/>

<b>vsscanf</b> <b></b>  lecture de donnes formates.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
La bibliothque
<b>stdio</b> <b></b>  est conforme  ANSI X3.159-1989 (``ANSI C'').
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>open (2), </b>
<b>close (2), </b>
<b>read (2), </b>
<b>write (2),</b>
<b>stdout (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
