<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1995 James R. Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  -->
<!--  Traduction 09/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>STPCPY</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">exemple</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
stpcpy - Copier une chane en renvoyant un pointeur sur sa fin.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;string.h&gt;</b> <b></b>  <br/><br/>

<b>char *stpcpy (char *</b> dest <i>, const char *</i> src );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>stpcpy()</b> copie la chaine pointe par <i>src</i>
(y compris le caractre `\\0' final) dans la chaine pointe par
<i>dest</i>.  Les deux chanes ne doivent pas se chevaucher, et la chane
<i>dest</i> doit tre assez grande pour accueillir la copie.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>stpcpy()</b> renvoie un pointeur sur la <b>fin</b> de la chane
<i>dest</i> (c'est  dire l'adresse du caractre nul final)
au lieu du dbut.
</div><br/><br /><h1 class="TitreSection0" id="L5">exemple</h1>
<div class="paragraph">
Par exemple, ce programme utilise <b>stpcpy</b> pour concatner <b>foo</b> et
<b>bar</b> produisant ainsi <b>foobar</b>, qui est alors affiche.
<br/><br/>
   #include &lt;string.h&gt;<br/><br/>
   int
   main (void)
   {
      char buffer [7];
      char *vers = buffer;
      vers = stpcpy (vers, "foo");
      vers = stpcpy (vers, "bar");
      printf ("%s\\n", buffer);
   }


</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Cette fonction ne fait partie ni du standard ANSI ni de POSIX, elle n'est
pas spcifique Unix, et n'est pas une extension GNU.
Peut-tre vient-elle de l'environnement MS-DOS...
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>strcpy (3),</b>
<b>bcopy (3),</b>
<b>memccpy (3),</b>
<b>memcpy (3),</b>
<b>memmove (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
