<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--  Corrected, aeb, 990824 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>STPNCPY</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
stpncpy - Copier une chane et pointer sur sa fin.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;string.h&gt;</b> <b></b>  <br/><br/>

<b>char *stpncpy (char *</b> dest <i>, const char *</i> src <b>, size_t </b> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>stpncpy</b> copie au plus <i>n</i> caractres depuis la chane
pointe par <i>src</i>, y compris le caractre final '\\0' dans le tableau
point par <i>dest</i>.  <i>n</i> caractres exactement sont crits dans
<i>dest</i>. Si la longueur <i>strlen(src)</i> est plus petite que <i>n</i>, les
caractres restant dans le tableau point par <i>dest</i> sont mis  zro. Si la
longueur <i>strlen(src)</i> est plus grande que <i>n</i>, la chane pointe par
<i>dest</i> ne sera
<b>pas</b> <b></b>  termine par un caractre nul final.<br/><br/>
Les chanes ne doivent
<b>pas</b> <b></b>  se recouvrir.<br/><br/>
Le programmeur doit s'assurer qu'il a rserv assez de mmoire pour au moins
<i>n</i> caractres.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>stpncpy</b> renvoie un pointeur sur le caractre nul final dans
<i>dest</i>, ou si <i>dest</i> n'est pas un caractre nul final, <i>dest + n</i>.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Cette fonction est une extension GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>strncpy (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 1999</i></i>
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
