<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:06:49 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Fri Aug 25 23:17:51 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Traduction 09/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!-- 	mise a jour 25/01/97 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>STRCPY</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
strcpy, strncpy - Copier une chane.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;string.h&gt;</b> <b></b>  <br/><br/>

<b>char *strcpy (char *</b> dest <i>, const char *</i> src );
<br/><br/>

<b>char *strncpy (char *</b> dest <i>, const char *</i> src <b>, size_t </b> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>strcpy()</b> copie la chane pointe par <i>src</i>
(y compris le caractre `\\0' final) dans la chane pointe par
<i>dest</i>.  Les deux chanes ne doivent pas se chevaucher. La chane
<i>dest</i> doit tre assez grande pour accueillir la copie.<br/><br/>
La fonction <b>strncpy()</b> est identique, sauf que seuls les
<i>n</i> premiers octets de <i>src</i> sont copis. Ainsi, s'il n'y a pas
de caractre nul dans les <i>n</i> premiers octets de <i>src</i>, la chane
rsultante ne disposera de caractre nul final.<br/><br/>
Dans le cas o la longueur
<i>src</i> est infrieure 
<i>n ,</i>
la fin de
<i>dest</i> sera remplie avec des caractres nuls.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Les fonctions <b>strcpy()</b> et <b>strncpy()</b> renvoient un pointeur
sur la chane destination <i>dest</i>.
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
Si la chane destination de <b>strcpy()</b> n'est pas assez grande
(c'est  dire si le programmeur est stupide ou paresseux et n'a pas
verifi la taille avant la copie) tout peut arriver !
Le dbordement de chane de caractres de longueur fixe est l'une
des techniques prfres des pirates. Les caractres en excs peuvent
en effet dborder dans une zone de code ou de pile, et tre interprts
comme des instructions, qui seront excutes avec l'UID du programme.
Il s'agit d'un moyen classique d'obtenir un accs `root' avec les
programmes Set-UID systme.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVID 3, POSIX, BSD 4.3, ISO 9899
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>bcopy (3),</b>
<b>memccpy (3),</b>
<b>memcpy (3),</b>
<b>memmove (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
