<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 2000 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, -->
<!--  USA. -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  07/06/2001 LDP-man-pages-1.37 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>STRFMON</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">exemple</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
strfmon - Convertir des valeurs montaires en chanes de caractres.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;monetary.h&gt;</b> <b></b>  <br/><br/>

<b>ssize_t strfmon(char *</b> s <i>, size_t </i> max <b>, const char *</b> format ,
<b>...);"</b> <b></b>  

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>strfmon()</b> met en forme les valeurs transmises, en
fonction des spcification de la chane de <i>format</i> et place le rsultat
dans la chane de caractre <i>s</i> de taille <i>max</i>.<br/><br/>
Les caractres ordinaires de <i>format</i> sont copi dans <i>s</i> sans
conversion. Les indicateurs de conversion sont introduits par un caractre `%'.
Immdiatement  sa suite il peut y avoir zro ou plusieurs drapeau parmi
les suivants&nbsp;:
<br/><br/>

= f
Le caractre unique 
<i>f</i> sert comme caractre numrique de remplissage ( utiliser avec une prcision
 gauche, voir plus bas).
Sans indication, il s'agit du caractre espace.
<br/><br/>

<b></b> ^<b></b>  Ne pas utiliser les caractres de regroupement (par milliers par exemple) qui
peuvent tre dfinis pour la localisation en cours. Par dfaut, le groupement est actif.
<br/><br/>

<b>( </b> or <b> +</b>
L'attribut ( indique que les valeurs ngatives doivent tre encadres entre parenthses.
L'attribut + indique que le signe doit tre trait de la manire par dfaut, c'est  dire
les valeurs prcdes de l'indication locale de signe. Par exemple rien pour les valeurs
positives et "-" pour les ngatives.
<br/><br/>

<b>!</b>
Omettre le signe montaire.
<br/><br/>

<b>-</b>
Justifier tous les champs  gauche. Par dfaut la justification est  droite.<br/><br/>
Ensuite, peut venir un champ de largeur : un chiffre dcimal indiquant la largeur
minimale en octets. Par dfaut elle vaut 0. Un rsultat plus petit que cette largeur
est complt avec des espaces ( gauche  moins que la justification soit  gauche). <br/><br/>
Ensuite, il peut y avoir une prcision  gauche de la forme "#" suivi par une chane
de chiffres dcimaux. Si le nombre de chiffres  gauche de la virgule est infrieur 
cette valeur, la reprsentation est complte  gauche avec le caractre de remplissage.
Les caractres de groupement ne sont pas compts dans la largeur du champ.<br/><br/>
Ensuite, il peut y avoir une prcision  droite de la forme "." suivi par une chane
de chiffres dcimaux. La valeur est arrondie  ce nombre de dcimales
avant d'tre mise en forme.
La valeur par dfaut est prcise dans les champs
<i>frac_digits</i> et
<i>int_frac_digits</i> de la localisation en cours.
Si la prcision  droite est 0, aucun symbole dcimal n'est affich.
(Le symbole dcimal est dtermin par LC_MONETARY, et peut diffrer
de celui indiqu dans LC_NUMERIC.)<br/><br/>
Finalement, la spcification de conversion doit se terminer par un caractre de
conversion. Les trois caractres disponibles sont :
<br/><br/>

<b>%</b> <b></b>  (Dans ce cas, la spcification entire doit tre exactement "%%").
Placer un caractre `%' dans la chane de rsultat.
<br/><br/>

<b>i</b> <b></b>  Un argument de type double est converti en utilisant les formats internationaux
des monnaies dans la localisation en cours.
<br/><br/>

<b>n</b> <b></b>  Un argument de type double est converti en utilisant les formats nationaux
des monnaies dans la localisation en cours.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>strfmon</b>() renvoie le nombre de caractres placs dans la
chaine <i>s</i>, sans compter le caractre NUL final,  condition
que tout tienne dans le buffer fourni.
Sinon, il rempli
<i>errno</i> avec la valeur E2BIG et renvoie -1. Le contenu de la chane est indfini dans ce cas.
</div><br/><br /><h1 class="TitreSection0" id="L5">exemple</h1>
<div class="paragraph">
L'appel
.RS

strfmon(buf, sizeof(buf), "[%^=*#6n] [%=*#6i]",
        1234.567, 1234.567);



affiche
.RS
[ fl **1234,57] [ NLG  **1 234,57]

Dans la localisation hollandaise (fl tant "florijnen" et NLG "Netherlands Guilders").
Le caractre de groupement est horrible car il prend autant de place qu'un chiffre, alors
qu'il ne devrait occuper qu'un demi-espace,
ce qui peut induire en erreur.
Etonnament, le "fl" est prcd et suivi par un espace,
et "NLG" est prcd par un espace et suivi par deux.
Il s'agit peut-tre d'un bogue dans le fichier de localisation. Les localisations
italienne, australienne, suisse, et
portugaise donnent
.RS
[ L. **1235] [ ITL  **1.235]
<br/>
[ $**1234.57] [ AUD **1,234.57]
<br/>
[Fr. **1234,57] [CHF  **1.234,57]
<br/>
[ **1234$57Esc] [ **1.234$57PTE ]

</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>setlocale (3),</b>
<b>sprintf (3),</b>
<b>locale (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2001-2003..<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
