<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 17:56:43 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 10/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 17/05/1998 (LDP-man-pages-1.19) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>STRSTR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
strstr - Rechercher une sous-chane.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;string.h&gt;</b> <b></b>  <br/><br/>

<b>char *strstr (const char *</b> meule_de_foin <i>, const char *</i> aiguille );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>strstr()</b> cherche la premiere occurence de la sous-chane
<i>aiguille</i> au sein de la chane <i>meule_de_foin</i>.  Les caractres `\\0'
de fin ne sont pas compars.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>strstr()</b> renvoie un pointeur sur le dbut de la sous-chane,
ou NULL si celle-ci n'est pas trouve.
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
Des versions antrieures de la bibliothque C de Linux, (4.5.26 par exemple)
n'autorisent pas un argument vide. Des versions plus rcentes (comme la 4.6.27)
fonctionnent correctement, et renvoient <i>meule_de_foin</i> si la chane
<i>aiguille</i> est vide.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>index (3),</b>
<b>memchr (3),</b>
<b>rindex (3),</b>
<b>strchr (3),</b>
<b>strpbrk (3),</b>
<b>strsep (3),</b>
<b>strspn (3),</b>
<b>strtok (3)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
