<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  the American National Standards Committee X3, on Information -->
<!--  Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)strtod.3	5.3 (Berkeley) 6/29/91 -->
<!--  -->
<!--  Modified Sun Aug 21 17:16:22 1994 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  -->
<!--  Traduction 10/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 16/01/2002 (LDP man-pages 1.38) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>STRTOD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
strtod, strtof, strtold - Conversion d'une chane ASCII en nombre rel.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>double strtod (const char *</b> nptr <i>, char **</i> endptr );
<br/>
<b>float strtof(const char *</b> nptr <i>, char **</i> endptr );
<br/>
<b>long double strtold(const char *</b> nptr <i>, char **</i> endptr );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions
<b>strtod ,</b>
<b>strtof ,</b>
et
<b>strtold</b>
convertissent la portion initiale de la chane pointe par
<i>nptr</i> en un rel de type
<b>double ,</b>
<b>float ,</b>
et
<b>long</b> <b></b>  <b>double</b> <b></b>  respectivement.<br/><br/>
La (portion initiale de la) chane attendue est de la forme suivante :
.IP
Des espaces ventuels en tte, ou des caractres interprtes comme
tels par <i>isspace</i>(3)
.IP
Un ventuel signe plus (``+'') ou moins (``-'')
.IP
Un nombre dcimal ou hexadcimal, ou un infini, ou encore un
non-nombre NAN (not-a-number).<br/><br/>
Un
<i>nombre dcimal</i> consiste en une squence non-vide de chiffres dcimaux, pouvant contenir
un point dcimal (dpendant de la localisation, mais habituellement ``.''),
suivi ventuellement d'un exposant dcimal.
Ce dernier est constitu d'un ``E'' ou ``e'' suivi ventuellement du signe
plus ou du signe moins, puis une squence non-vide de de chiffres dcimaux,
indiquant la multiplication par une puissance de 10.<br/><br/>
Un
<i>nombre hexadcimal</i> commence ``0x'' ou ``0X'', suivi d'une squence non-vide de chiffres hexadcimaux,
pouvant contenir un point dcimal suivi ventuellement d'un exposant binaire.
Ce dernier est constitu d'un ``P'' ou ``p'' suivi ventuellement du signe
plus ou du signe moins, puis une squence non-vide de de chiffres dcimaux,
indiquant la multiplication par une puissance de 2. Il ne peut y avoir plus
d'un point ou d'un exposant binaire.<br/><br/>
Un
<i>infini</i> est soit ``INF'', soit ``INFINITY'', sans tenir compte des diffrences entre
majuscules et minuscules.<br/><br/>
Un
<i>non-nombre</i> est ``NAN'' (sans diffrences majuscules/minuscules) suivi ventuellement par `(',
une squence de caractres, et `)'.
La chane de caractres indique le type de non-nombre de manire dpendant
de l'implmentation.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Ces fonctions renvoient la valeur convertie si c'est possible<br/><br/>
Si
<i>endptr</i> n'est pas
<b>NULL ,</b>
un pointeur sur le caractre suivant le dernier caractre converti y
est stock.<br/><br/>
Si aucune conversion n'est possible, la fonction renvoie zro, et
la valeur de 
<i>nptr</i> est stocke dans
<i>endptr .<br/><br/></i>
Si la valeur convertie dclenche un dbordement (overflow), la fonction renvoie
plus ou moins
<b>HUGE_VAL</b> <b></b>  ( HUGE_VALF ,</b>
<b>HUGE_VALL )</b>
et <i>errno</i> contient le code d'erreur
<b>ERANGE .</b>
Si la valeur convertie dclenche un debordement infrieur (underflow), la
fonction renvoie 0, et <i>errno</i> contient le code d'erreur
<b>ERANGE .<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ERANGE</b> <b></b>  Dbordement.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
ANSI C dcrit
<b>strtod .</b>
C99 dcrit les deux autres fonctions.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>atof (3),</b>
<b>atoi (3),</b>
<b>atol (3),</b>
<b>strtol (3),</b>
<b>strtoul (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
