<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sat Jul 24 17:51:42 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 10/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 28/04/1998 (LDP-man-pages-1.19) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>SYSCONF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sysconf - Obtenir des informations de configuration.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>long sysconf (int </b> name );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>sysconf()</b> <b></b>  fournit une possibilit pour les applications de dterminer
en cours d'excution les limites ou les options du systme.<br/><br/>
Les macros quivalentes, dfinies dans
<b>&lt;unistd.h&gt; ,</b>
ne donnent que des valeurs figes, et si une application veut
tirer parti des valeurs pouvant varier, l'appel de
<b>sysconf()</b> <b></b>  permet d'obtenir ces informations.<br/><br/>
Pour obtenir des informations  propos d'un fichier
particulier, voyez
<b>fpathconf() </b> ou <b> pathconf() .<br/><br/></b>
<i>name</i> prend une valeur parmi
les constantes symboliques suivantes :<br/><br/>
Premirementi, les constantes  POSIX.1&nbsp;:
<br/><br/>

<b>_SC_ARG_MAX</b> <b></b>  La longueur maximale des arguments des fonctions de la famille
<b>exec() .</b>
La macro correspondante est
<b>ARG_MAX .</b>
<br/><br/>

<b>_SC_CHILD_MAX</b> <b></b>  Le nombre maximal de processus simultans pour un UID. La macro
correspondante est
<b>_POSIX_CHILD_MAX .</b>
<br/><br/>

<b>_SC_CLK_TCK</b> <b></b>  Le nombre de tops d'horloge par seconde. La macro correspondande est
<b>CLK_TCK .</b>
<br/><br/>

<b>_SC_STREAM_MAX</b> <b></b>  Le nombre maximal de flux qu'un processus peut ouvrir simultanement.
La macro POSIX correspondante est
<b>STREAM_MAX ,</b>
la macro C correspondante est
<b>FOPEN_MAX .</b>
<br/><br/>

<b>_SC_TZNAME_MAX</b> <b></b>  Le nombre maximal de caractres dans le nom d'un fuseau horaire. La
macro correspondante est
<b>TZNAME_MAX .</b>
<br/><br/>

<b>_SC_OPEN_MAX</b> <b></b>  Le nombre maximal de fichier qu'un processus peut ouvrir simultanement.
La macro correspondante est
<b>_POSIX_OPEN_MAX .</b>
<br/><br/>

<b>_SC_JOB_CONTROL</b> <b></b>  Indicateur pour savoir si le style POSIX de contrle des jobs est
support. La macro correspondante est
<b>_POSIX_JOB_CONTROL .</b>
<br/><br/>

<b>_SC_SAVED_IDS</b> <b></b>  Indique si un processus a un set-user-ID sauvegard et
un set-group-ID sauvegard. La macro correspondante est
<b>_POSIX_SAVED_IDS .</b>
<br/><br/>

<b>_SC_VERSION</b> <b></b>  Indique l'anne et le mois o le standard POSIX.1 a t approuv,
en utilisant le format
<b>AAAAMML .</b>
La valeur
<b>199009L</b> <b></b>  correspond  la revision la plus rcente, en 1990.<br/><br/>
Deuximement les constantes POSIX.2&nbsp;:
<br/><br/>

<b>_SC_BC_BASE_MAX</b> <b></b>  la valeur maximale pour
<i>obase</i> accepte par l'utilitaire
<b>bc (1).</b>
La macro correspondante est
<b>BC_BASE_MAX .</b>
<br/><br/>

<b>_SC_BC_DIM_MAX</b> <b></b>  La valeur maximale des lments autoriss dans une table par
<b>bc (1).</b>
La macro correspondante est
<b>BC_DIM_MAX . </b>
<br/><br/>

<b>_SC_BC_SCALE_MAX</b> <b></b>  L'chelle maximale de valeurs autorises par
<b>bc (1).</b>
La macro correspondante est
<b>BC_SCALE_MAX .</b>
<br/><br/>

<b>_SC_BC_STRING_MAX</b> <b></b>  La longueur maximale d'une chane accepte par
<b>bc (1).</b>
La macro correspondante est
<b>BC_STRING_MAX .</b>
<br/><br/>

<b>_SC_COLL_WEIGHTS_MAX</b> <b></b>  La valeur maximale du poids  affecter  une entre dans l'ordre
<b>LC_COLLATE</b> <b></b>  du fichier de dfinition de localisation. La macro correspondante est
<b>COLL_WEIGHTS_MAX .</b>
<br/><br/>

<b>_SC_EXPR_NEST_MAX</b> <b></b>  Le nombre maximal d'expressions imbriques entre parenthses dans
<b>expr (1).</b>
La macro correspondante est
<b>EXPR_NEST_MAX .</b>
<br/><br/>

<b>_SC_LINE_MAX</b> <b></b>  La longueur maximale d'une ligne d'entre d'un utilitaire, aussi bien
depuis l'entre standard que depuis un fichier. Cette longueur
comprend l'emplacement du retour chariot final.
La macro correspondante est
<b>LINE_MAX .</b>
<br/><br/>

<b>_SC_RE_DUP_MAX</b> <b></b>  Le nombre maximum de rptitions d'une expression rgulire quand la
notation d'intervalle
<b>\e{m</b> <b></b> ,<b>n\e}</b> <b></b>  est utilise. La macro correspondante est
<b>RE_DUP_MAX .</b>
<br/><br/>

<b>_SC_2_VERSION</b> <b></b>  La version de standard POSIX.2 au format
AAAAMML.  La macro correspondante est
<b>POSIX2_VERSION .</b>
<br/><br/>

<b>_SC_2_DEV</b> <b></b>  Indique si les utilitaires POSIX.2 de dveloppement en C sont
supports. La macro correspondante est
<b>POSIX2_C_DEV .</b>
<br/><br/>

<b>_SC_2_FORT_DEV</b> <b></b>  Indique si les utilitaires POSIX.2 de dveloppement en FORTRAN sont
supports. La macro correspondante est
<b>POSIX2_FORT_RUN .</b>
<br/><br/>

<b>_SC_2_FORT_RUN</b> <b></b>  Indique si les utilitaires POSIX.2 d'excution FORTRAN sont
supports. La macro correspondante est
<b>POSIX2_FORT_RUN .</b>
<br/><br/>

<b>_SC_2_LOCALEDEF</b> <b></b>  Indique si la cration de localisation POSIX.2 avec
<b>localedef (1)</b>
est supporte.
La macro correspondante est
<b>_POSIX2_LOCALEDEF .</b>
<br/><br/>

<b>_SC_2_SW_DEV</b> <b></b>  Indique si les utilitaires POSIX.2 de dveloppement sont
supports. La macro correspondante est
<b>POSIX2_SW_DEV .<br/><br/></b>
Enfin, SUSv2 dcrit&nbsp;:
<br/><br/>

<b>_SC_PAGESIZE</b> <b></b>  <b>_SC_PAGE_SIZE</b> <b></b>  La taille d'une page mmoire (en octets).<br/><br/>
Quelques valeurs existent sans appartenir  un standard&nbsp;:
<br/><br/>

<b>_SC_PHYS_PAGES</b> <b></b>  Le nombre de pages de mmoire physique. Notez qu'il est possible que
le produit de cette valeur et de la valeur
<b>_SC_PAGE_SIZE</b> <b></b>  dclenche un dbordement.
<br/><br/>

<b>_SC_AVPHYS_PAGES</b> <b></b>  Le nombre de pages de mmoire physique disponibles.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si
<i>name</i> est invalide, -1 est renvoye et
<i>errno</i> est mis 
<b>EINVAL .</b>
Sinon, la valeur renvoye est celle de la ressource systme correspondante, 1
si une option est vraie, 0 si elle ne l'est pas, et -1 en cas d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
POSIX.1.
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Il est difficile d'utiliser
<b>ARG_MAX</b> <b></b>  car il n'est pas prcis combien d'espace d'argument de
<b>exec()</b> <b></b>  est utilis par les variables d'environnement.<br/><br/>
Certaines valeurs renvoyes peuvent tre normes, il ne faut pas
les utiliser pour allouer de la mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>bc (1),</b>
<b>expr (1),</b>
<b>locale (1),</b>
<b>fpathconf (3),</b>
<b>pathconf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
