<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Written  Feb 1994 by Steve Greenland (stevegr@neosoft.com) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  -->
<!--  Traduction 10/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>SYSLOG</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">paramtres</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">historique</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
syslog, vsyslog, openlog, closelog - Envoyer un message de journalisation.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;syslog.h&gt;</b> <b></b>  <br/><br/>

<b>void openlog (const char * </b> ident <i>, int </i> option <b>, int  </b> facility );
<br/><br/>

<b>void syslog (int </b> priority <i>, char * </i> format <b>, ...);</b>
<br/><br/>

<b>void closelog (void );</b>
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;stdarg.h&gt;</b> <b></b>  <br/><br/>

<b>void vsyslog (int </b> priority <i>, char  * </i> format <b>, va_list </b> ap );
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>closelog()</b> <b></b>  ferme le descripteur utilis pour la journalisation. L'utilisation de
<b>closelog()</b> <b></b>  est facultative.
<br/><br/>

<b>openlog()</b> <b></b>  ouvre une connection de journalisation. La chane pointe par
<i>ident </i> sera ajoute  chaque message
(c'est gnralement le nom du programme).
L'argument
<i>option</i> prcise les attributs contrlant le fonctionnement de
<b>openlog()</b> <b></b>  et des appels ultrieurs 
<b>syslog() .</b>
L'argument
<i>facility</i> est une valeur par dfaut employe lorsque ce paramtre n'est
pas fourni lors des appels ultrieurs 
<b>syslog() .</b>
Les valeurs pour
<i>option</i> et
<i>facility</i> sont dcrites plus bas. L'utilisation de
<b>openlog()</b> <b></b>  est optionnelle. Cette fonction sera automatiquement invoque par
<b>syslog()</b> <b></b>  si besoin. Dans ce cas
<i>ident</i> aura la valeur par dfaut NULL.
<br/><br/>

<b>syslog()</b> <b></b>  cre un message journalis, qui sera distribu par
<b>syslogd (8).</b>
L'argument
<i>priority</i> est une combinaison par OU binaire des valeurs de
<i>facility</i> et de
<i>level , </i>
indiques plus bas. Les arguments restants
sont un
<i>format ,</i>
comme celui de
<b>printf (3)</b>
et tous les arguments ncessaires pour ce
<i>format ,</i>
sauf que les deux caractres %m seront automatiquement 
remplacs par le libelle d'erreur
<i>strerror ( errno ).</i>
Un saut de ligne final est ajout si besoin est.<br/><br/>
La fonction
<b>vsyslog()</b> <b></b>  ralise la mme tche que
<b>syslog()</b> <b></b>   la diffrence qu'elle prend un ensemble d'arguments obtenus
 l'aide de la macro
<b>stdarg (3)</b>
pour les listes variables d'arguments.
</div><br/><br /><h1 class="TitreSection0" id="L4">paramtres</h1>
<div class="paragraph">
Cette section dtaille les paramtres utiliss pour les valeurs de
<i>option , </i> facility<i> </i>, et <i> priority .</i>
</div><br/><h2 class="TitreSection1" id="L10">option</h2>
<div class="paragraph">
L'argument
<i>option</i> de
<b>openlog()</b> <b></b>  est un OU binaire entre les constantes suivantes :
<br/><br/>

<b>LOG_CONS</b> <b></b>  crire directement sur la console systme s'il y a une erreur durant
la transmission.
<br/><br/>

<b>LOG_NDELAY</b> <b></b>  ouvrir la connexion immdiatement (normalement, la connexion est ouverte
quand le premier message est transmis).
<br/><br/>

<b>LOG_NOWAIT</b> <b></b>  Ne pas attendre la fin des processus fils qui peuvent tre crs lors d
l'enregistrement du message. La bibliothque GlibC ne cre pas de processus
fils, ainsi cette option est sans effet sous Linux.
<br/><br/>

<b>LOG_ODELAY</b> <b></b>  L'inverse de
<b>LOG_NDELAY ;</b>
l'ouverture de la connexion est repousse jusqu' l'invocation de
<b>syslog() .</b>
C'est le comportement par dfaut, et l'option n'a pas besoin d'tre indique.
<br/><br/>

<b>LOG_PERROR</b> <b></b>  (pas dans SUSv3) crire sur stderr galement.
<br/><br/>

<b>LOG_PID</b> <b></b>  inclure le PID dans chaque message.
</div><br/><h2 class="TitreSection1" id="L10">facility </h2>
<div class="paragraph">
L'argument
<i>facility</i> permet d'indiquer le type du programme qui demande la journalisation
du message. Ceci permet un traitement diffrent des messages, en
fonction de fichiers de configuration.
<br/><br/>

<b>LOG_AUTH</b> <b></b>  message de scurit/autorisation (DCONSEILL ! Utilisez
<b>LOG_AUTHPRIV</b> <b></b>  <b></b>  a la place)
<br/><br/>

<b>LOG_AUTHPRIV</b> <b></b>  message de scurit/autorisation (priv).
<br/><br/>

<b>LOG_CRON</b> <b></b>  message d'un dmon horaire
( cron <b> et </b> at )</b>
<br/><br/>

<b>LOG_DAEMON</b> <b></b>  dmon du systme sans classification particulire.
<br/><br/>

<b>LOG_FTP</b> <b></b>  dmon ftp.
<br/><br/>

<b>LOG_KERN</b> <b></b>  message du noyau.
<br/><br/>

<b>LOG_LOCAL0 </b> through <b> LOG_LOCAL7</b>
rserv pour des utilisations locales.
<br/><br/>

<b>LOG_LPR</b> <b></b>  message du sous-systme d'impression.
<br/><br/>

<b>LOG_MAIL</b> <b></b>  message du sous-systme de courier.
<br/><br/>

<b>LOG_NEWS</b> <b></b>  message du sous-systme des news USENET.
<br/><br/>

<b>LOG_SYSLOG</b> <b></b>  message interne de
<b>syslogd</b> <b></b>  <b></b>  <br/><br/>

<b>LOG_USER </b> (dfaut)<b></b>
message utilisateur gnrique.
<br/><br/>

<b>LOG_UUCP</b> <b></b>  message du sous-systme UUCP.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L10">level</h2>
<div class="paragraph">
Ceci dtermine l'importance du message. Les niveaux, dans l'ordre
d'importance dcroissante, sont :
<br/><br/>

<b>LOG_EMERG</b> <b></b>  Le systme est inutilisable.
<br/><br/>

<b>LOG_ALERT</b> <b></b>  Des actions doivent tre entreprises immdiatement.
<br/><br/>

<b>LOG_CRIT</b> <b></b>  Les conditions sont critiques.
<br/><br/>

<b>LOG_ERR</b> <b></b>  Des erreurs se produisent.
<br/><br/>

<b>LOG_WARNING</b> <b></b>  Des avertissement se prsentent.
<br/><br/>

<b>LOG_NOTICE</b> <b></b>  Condition normale, mais message significatif.
<br/><br/>

<b>LOG_INFO</b> <b></b>  Message d'information simple.
<br/><br/>

<b>LOG_DEBUG</b> <b></b>  Message de debugging.<br/><br/>
La fonction
<b>setlogmask (3)</b>
permet de restreindre l'enregistrement  certains niveaux uniquement.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Les fonctions
<b>openlog() ,</b>
<b>closelog() ,</b>
et
<b>syslog()</b>
(mais pas
<b>vsyslog() )</b>
sont mentionnes dans SUSv2 et POSIX 1003.1-2001.
POSIX 1003.1-2001 indique uniquement les valeurs
<b>LOG_USER</b> <b></b>  et
<b>LOG_LOCAL*</b>
pour l'argument
<i>facility .</i>
Nanmoins,  l'exception de
<b>LOG_AUTHPRIV</b>
et
<b>LOG_FTP ,</b>
les autres valeurs pour
<i>facility</i> existent sur la plupart des systmes Unix.
La valeur
<b>LOG_PERROR</b> <b></b>  de l'argument
<i>option</i> n'est pas mentionne par POSIX 1003.1-2001, mais est disponible
dans la plupart des versions d'Unix.
</div><br/><br /><h1 class="TitreSection0" id="L6">historique</h1>
<div class="paragraph">
Une fonction
<b>syslog</b> <b></b>  est appparue dans BSD 4.2.
BSD 4.3 documente
<i>openlog (),</i>
<i>syslog (),</i>
<i>closelog (),</i>
et
<i>setlogmask ().</i>
4.3BSD-Reno documente aussi
<i>vsyslog ().</i>
Bien sr les premires fonctions v* utilisaient le mcanisme
<i>&lt;varargs.h&gt; ,</i>
qui n'est pas compatible avec
<i>&lt;stdarg.h&gt; .</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le paramtre
<i>ident</i> durant l'appel
<b>openlog()</b> <b></b>  est gnralement stock tel quel. Ainsi si la chane vers laquelle il pointe
est modifie, 
<b>syslog()</b> <b></b>  peut afficher la chane modifie, et si la chane cesse d'exister,
le rsultat est indfini.
Le comportement le plus portable est l'utilisation d'une chane constante.<br/><br/>
Ne jamais passer directement une chane fournie par l'utilisateur, utilisez
.RS
syslog ("%s", chaine);

 la place.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>logger (1),</b>
<b>setlogmask (3),</b>
<b>syslog.conf (5),</b>
<b>syslogd (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
