<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1993 Michael Haardt -->
<!--  (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Sat Jul 24 15:37:39 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sat Feb 25 18:17:14 1995 by Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  Modified Sat Sep  2 22:33:09 1995 by Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  moved to man3, aeb, 950919 -->
<!--  -->
<!--  -->
<!--  Traduction 29/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  MJ 30/07/2003 LDP-1.58 -->
<br/><h1>TERMIOS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeurs renvoyes</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
termios, tcgetattr, tcsetattr, tcsendbreak, tcdrain, tcflush, tcflow, cfmakeraw, cfgetospeed, cfgetispeed, cfsetispeed, cfsetospeed - Configuration du terminal.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
.ft B
#include &lt;termios.h&gt;
<br/>
#include &lt;unistd.h&gt;
<br/><br/>

<b>int tcgetattr (int </b> fd <i>, struct termios *</i> termios_p );
<br/><br/>

<b>int tcsetattr (int </b> fd <i>, int </i> optional_actions <b>, struct termios * </b> termios_p );
<br/><br/>

<b>int tcsendbreak (int </b> fd <i>, int </i> duree );
<br/><br/>

<b>int tcdrain (int </b> fd );
<br/><br/>

<b>int tcflush (int </b> fd <i>, int </i> queue_selector );
<br/><br/>

<b>int tcflow (int </b> fd <i>, int </i> action );
<br/><br/>

<b>int cfmakeraw (struct termios * </b> termios_p );
<br/><br/>

<b>speed_t cfgetispeed (struct termios * </b> termios_p );
<br/><br/>

<b>speed_t cfgetospeed (struct termios * </b> termios_p );
<br/><br/>

<b>int cfsetispeed (struct termios * </b> termios_p <i>, speed_t </i> speed );
<br/><br/>

<b>int cfsetospeed (struct termios * </b> termios_p <i>, speed_t </i> speed );
.ft P
.ad b
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions termios tablissent une interface gnrale sous forme de terminal,
permettant de contrler les ports de communication asynchrone.<br/><br/>
Plusieurs fonctions dcrites ici utilisent un argument <i>termios_p</i>
qui est un pointeur sur une structure <b>termios</b>. Cette structure
contient au moins les membres suivants&nbsp;:
.ne 9
<br/><br/>

.RS

tcflag_t <i>c_iflag</i>;      /* modes d'entre */
tcflag_t <i>c_oflag</i>;      /* modes de sortie */
tcflag_t <i>c_cflag</i>;      /* modes de contrle */
tcflag_t <i>c_lflag</i>;      /* modes locaux */
cc_t <i>c_cc</i>[<b>NCCS</b>];       /* caractres de controle */


<br/><br/>
Constante pour l'attribut <i>c_iflag</i> :
<br/><br/>

<b>IGNBRK</b> <b></b>  ignorer les signaux BREAK en entre.
<br/><br/>

<b>BRKINT</b> <b></b>  Si <b>IGNBRK</b> est indiqu, un caractre BREAK en entre est ignor. S'il
n'est pas indiqu, mais si <b>BRKINT</b> est prsent, alors un BREAK videra
les files d'attente en entre et sortie, et si le terminal contrle un
groupe de processus en avant-plan, un signal <b>SIGINT</b> sera envoy 
ce groupe. Si ni <b>IGNBRK</b> ni <b>BRKINT</b> ne sont indiqu, un caractre
BREAK sera lu comme un caractre nul, sauf si <b>PARMRK</b> est prsent,
auquel cas il sera lu
comme une squence \\377 \\0 \\0.
<br/><br/>

<b>IGNPAR</b> <b></b>  Ignorer les erreurs de format et de parit.
<br/><br/>

<b>PARMRK</b> <b></b>  Si <b>IGNPAR</b> n'est pas indiqu, un caractre ayant une erreur de parit
ou de format est prfix avec \\377 \\0. 
Si ni <b>IGNPAR</b> ni <b>PARMRK</b> ne sont indiqus, un caractre contenant
une erreur de parit ou de format est lu comme \\0.
<br/><br/>

<b>INPCK</b> <b></b>  Valider la vrification de parit en entre.
<br/><br/>

<b>ISTRIP</b> <b></b>  Eliminer le huitime bit.
<br/><br/>

<b>INLCR</b> <b></b>  Convertir NL en CR en entre.
<br/><br/>

<b>IGNCR</b> <b></b>  Ignorer CR en entre.
<br/><br/>
 
<b>ICRNL</b> <b></b>  Convertir CR en NL en entre, sauf si <b>IGNCR</b> est indiqu.
<br/><br/>

<b>IUCLC</b> <b></b>  (Pas dans Posix) Transformer les majuscules en minuscules en entre.
<br/><br/>

<b>IXON</b> <b></b>  Valider le contrle de flux XON/XOFF en sortie.
<br/><br/>

<b>IXANY</b> <b></b>  (Pas dans Posix&nbsp;; XSI) Redmarrer le flux de sortie par n'importe quel caractre.
<br/><br/>

<b>IXOFF</b> <b></b>  Valider le contrle de flux XON/XOFF en entre.
<br/><br/>

<b>IMAXBEL</b> <b></b>  (Pas dans Posix) Faire sonner le terminal quand le buffer d'entre est plein.
Linux n'implmente pas ce bit, et considre qu'il est toujours actif.<br/><br/>
Constantes Posix.1 pour l'attribut <i>c_oflag</i>&nbsp;:
<br/><br/>

<b>OPOST</b> <b></b>  traitement en sortie dpendant de l'implmentation.<br/><br/>
Les autres constantes pour <i>c_oflag</i> sont dfinies dans Posix 1003.1-2001 sauf
indication contraire.
<br/><br/>
 
<b>OLCUC</b> <b></b>  (Pas dans Posix) Convertir les minuscules en majuscules en sortie.
<br/><br/>

<b>ONLCR</b> <b></b>  (XSI) Convertir NL en CR-NL en sortie.
<br/><br/>

<b>OCRNL</b> <b></b>  Convertir CR en NL en sortie.
<br/><br/>

<b>ONOCR</b> <b></b>  Ne pas mettre de CR en colonne 0
<br/><br/>

<b>ONLRET</b> <b></b>  Ne pas mettre de CR
<br/><br/>

<b>OFILL</b> <b></b>  Utiliser des caractres de remplissage pour le dlai, plutt qu'une temporisation.
<br/><br/>

<b>OFDEL</b> <b></b>  (Pas dans Posix) Le caractre de remplissage est ASCII DEL.
Sinon c'est ASCII NUL
<br/><br/>

<b>NLDLY</b> <b></b>  Dlai du saut de ligne. Les valeurs sont <b>NL0</b> et <b>NL1</b>.
<br/><br/>

<b>CRDLY</b> <b></b>  Dlai du retour chariot.
Les valeurs sont <b>CR0</b>, <b>CR1</b>, <b>CR2</b>, ou <b>CR3</b>.
<br/><br/>

<b>TABDLY</b> <b></b>  Dlai de tabulation horizontale.
Les valeurs sont <b>TAB0</b>, <b>TAB1</b>, <b>TAB2</b>, <b>TAB3</b>, ou <b>XTABS</b>.
Une valeur <b>TAB3</b> , c'est--dire XTABS, convertit les tabulations en espaces
(positions toutes les huit colonnes).
<br/><br/>

<b>BSDLY</b> <b></b>  Dlai du retour en arrire (baskspace).
Les valeurs sont <b>BS0</b> ou <b>BS1</b> (n'a jamais t implment).
<br/><br/>

<b>VTDLY</b> <b></b>  Dlai de tabulation verticale. Les valeurs sont <b>VT0</b> ou <b>VT1</b>.
<br/><br/>

<b>FFDLY</b> <b></b>  Dlai de saut de page. Les valeurs sont <b>FF0</b> ou <b>FF1</b>.<br/><br/>
Constantes pour l'attribut <i>c_cflag</i>&nbsp;:
<br/><br/>

<b>CBAUD</b> <b></b>  (Pas dans POSIX) masque binaire des vitesses (4+1 bits).
<br/><br/>

<b>BAUDEX</b> <b></b>  (Pas dans POSIX) masque binaire tendu des vitesses (1 bit) inclus dans CBAUD.<br/><br/>
(POSIX dit que la vitesse est stocke dans une structure termios
sans dire prcisment o, et fournit
<b>cfgetispeed()</b> <b></b>  et
<b>cfsetispeed()</b> <b></b>  pour la lire ou l'crire. Certains systmes utilisent les bits de CBAUD dans
<i>c_cflag ,</i>
d'autres systmes utilisent des champs distincts, par exemple
<i>sg_ispeed</i> et
<i>sg_ospeed ).</i>
<br/><br/>

<b>CSIZE</b> <b></b>  Longueur des caractres. Les valeurs sont <b>CS5</b>, <b>CS6</b>, <b>CS7</b>,
ou <b>CS8</b>.
<br/><br/>

<b>CSTOPB</b> <b></b>  Utiliser deux bits de stop plutt qu'un.
<br/><br/>

<b>CREAD</b> <b></b>  Valider la rception.
<br/><br/>

<b>PARENB</b> <b></b>  Valider le codage de parit en sortie, et la vrification de parit en entre.
<br/><br/>

<b>PARODD</b> <b></b>  Parit impaire en entre et sortie.
<br/><br/>

<b>HUPCL</b> <b></b>  Abaisser les signaux de contrle du modem lorsque le dernier processus
referme le priphrique (raccrochement).
<br/><br/>

<b>CLOCAL</b> <b></b>  Ignorer les signaux de contrle du modem.
<br/><br/>

<b>LOBLK</b> <b></b>  (Pas POSIX) Bloquer la sortie depuis un niveau de shell non-concurrent.
(Utilis par <b>shl</b>).
<br/><br/>

<b>CIBAUD</b> <b></b>  (Pas dans Posix) Vitesse d'entre (inutilise). Les bits pour CIBAUD sont les
mmes que ceux de CBAUD, dcals  gauche de IBSHIFT bits.
<br/><br/>

<b>CRTSCTS</b> <b></b>  (Pas dans Posix) Contrle de flux RTS/CTS.<br/><br/>
Constantes pour l'attribut <i>c_lflag</i>&nbsp;:
<br/><br/>

<b>ISIG</b> <b></b>  Lorsqu'un signal INTR, QUIT, SUSP, ou DSUSP arrivent, engendrer le
signal correspondant.
<br/><br/>

<b>ICANON</b> <b></b>  Mode canonique. Ceci permet l'utilisation des caractres spciaux
EOF, EOL, EOL2, ERASE, KILL, LNEXT, REPRINT, STATUS, et WERASE, et
configure les buffers par ligne.
<br/><br/>

<b>XCASE</b> <b></b>  (Pas dans Posix, non support sous Linux)
Si <b>ICANON</b> est indiqu galement, le terminal est en mode
majuscule uniquement.
Les entres sont converties en minuscules, sauf pour les caractres
prcdes par \\. En sortie, les caractres majuscules sont prcdes
par \&nbsp;et les minuscules sont converties en majuscules.
<br/><br/>

<b>ECHO</b> <b></b>  Effectuer un cho des caractres saisis.
<br/><br/>

<b>ECHOE</b> <b></b>  Si <b>ICANON</b> est galement activ, la touche ERASE efface le
caractre prcdent, et WERASE efface le mot prcdent.
<br/><br/>

<b>ECHOK</b> <b></b>  Si <b>ICANON</b> est galement activ, la touche KILL efface la ligne en cours.
<br/><br/>

<b>ECHONL</b> <b></b>  Si <b>ICANON</b> est galement activ, la touche NL dispose d'un cho local,
mme si ECHO n'est pas activ.
<br/><br/>

<b>ECHOCTL</b> <b></b>  (Pas dans Posix) Si <b>ECHO</b> est galement activ, les signaux de contrle ASCII autres
que TAB, NL, START, et STOP sont reprsents en cho local par ^X,
ou X est le caractre dont le code ASCII est suprieur de 0x40  celui du
signal de contrle. par exemple 0x08 (BS) est reprsent par ^H.
<br/><br/>

<b>ECHOPRT</b> <b></b>  (Pas dans Posix) Si <b>ICANON</b> et <b>IECHO</b> sont aussi activs, les caractres sont imprims
avant leur effacement. (?)
<br/><br/>

<b>ECHOKE</b> <b></b>  (Pas dans Posix) Si <b>ICANON</b> est galement activ, la touche KILL efface chaque caractre
de la ligne, comme indiqu par <b>ECHOE</b> et <b>ECHOPRT</b>.
<br/><br/>

<b>DEFECHO</b> <b></b>  (Pas dans Posix) N'effectuer l'cho que lorsque le caractre est lu.
<br/><br/>

<b>FLUSHO</b> <b></b>  (Pas dans Posix, non support sous Linux)
Le buffer de sortie est vid. Cet attribut est dclench en tappant le
caractre DISCARD.
<br/><br/>

<b>NOFLSH</b> <b></b>  Dsactive le vidage des files d'entre et de sortie pendant les signaux SIGINT
et SIGQUIT, ainsi que le vidage de la file d'entre durant les signaux SIGSUSP.
<br/><br/>

<b>TOSTOP</b> <b></b>  Envoie le signal SIGTTOU au groupe d'un processus en arrire-plan essayant
d'crire sur son terminal de contrle.
<br/><br/>

<b>PENDIN</b> <b></b>  (Pas dans Posix, non support sous Linux)
Tous les caractres de la file d'entre sont rimprims quand le caractre
suivant est lu. (<b>bash</b> utilise ceci pour la compltion de commande.)
<br/><br/>

<b>IEXTEN</b> <b></b>  Traitement de l'entre dpendant de l'implmentation
Cet attribut, tout comme <b>ICANON</b> doit tre actif pour que les caractres
spciaux EOL2, LNEXT, REPRINT, WERASE soit interprts,et pour que l'attribut
<b>IUCLC</b> prenne effet.<br/><br/>
Le tableau <i>c_cc</i> dfinit des caractres de contrle spciaux.
Les symboles (valeurs initiales) et significations sont&nbsp;:
<br/><br/>

<b>VINTR</b> <b></b>  (003, ETX, Ctrl-C, ou encore 0177, DEL, rubout),
Caractre d'interruption. Envoie le signal SIGINT.
Reconnu quand ISIG est prsent, et n'est pas transmis en entre.
<br/><br/>

<b>VQUIT</b> <b></b>  (034, FS, Ctrl-\e),
Caractre Quit. Envoie le signal SIGQUIT.
Reconnu quand ISIG est prsent, et n'est pas transmis en entre.
<br/><br/>

<b>VERASE</b> <b></b>  (0177, DEL, Rubout, ou encore 010, BS, Ctrl-H),
Caractre d'effacement. Ceci efface le caractre prcdent pas
encore effac, mais ne revient pas en-dea de EOF ou du dbut de
ligne.
Reconnu quand ICANON est actif, et n'est pas transmis en entre.
<br/><br/>

<b>VKILL</b> <b></b>  (025, NAK, Ctrl-U ou Ctrl-X, et aussi @),
Caractre Kill. Celui efface tous les caractres en entre, jusqu'au
dernier EOF ou dbut de ligne. Reconnu quand ICANON est actif, et
pas transmis en entre.
<br/><br/>

<b>VEOF</b> <b></b>  (004, EOT, Ctrl-D),
Caractre de fin de fichier.
Plus prcisment&nbsp;: Ce caractre oblige l'envoi du contenu du buffer vers
le programme lecteur sans attendre la fin de ligne.
S'il s'agit du premier caractre de la ligne, le <i>read()</i> renvoie zro dans
le programme appelant, ce qui correspond  une fin de fichier.
Reconnu quand ICANON est actif, et pas transmis en entre.
<br/><br/>

<b>VMIN</b> <b></b>  Nombre minimum de caractres lors d'une lecture en mode non-canonique.
<br/><br/>

<b>VEOL</b> <b></b>  (0, NUL),
Caractre fin de ligne supplmentaire.
Reconnu quand ICANON est actif.
<br/><br/>

<b>VTIME</b> <b></b>  Dlai en diximes de secondes pour une lecture en mode non-canonique.
<br/><br/>

<b>VEOL2</b> <b></b>  (Pas dans Posix&nbsp;; 0, NUL),
Encore un autre caractre fin de ligne.
Reconnu quand ICANON est actif.
<br/><br/>

<b>VSWTCH</b> <b></b>  (Pas dans Posix et non support sous Linux&nbsp;; 0, NUL),
Carctre de basculement (utilis uniquement par <b>sh</b>).
<br/><br/>

<b>VSTART</b> <b></b>  (021, DC1, Ctrl-Q),
Caractre de dmarrage. Relance la sortie interrompue par un caractre d'arrt.
Reconnu quand IXON est actif, et pas transmis en entre.
<br/><br/>

<b>VSTOP</b> <b></b>  (023, DC3, Ctrl-S),
Caractre d'arrt. Interrompt la sortie jusqu' la pression d'un caractre de dmarrage.
Reconnu quand IXON est actif, et pas transmis en entre.
<br/><br/>

<b>VSUSP</b> <b></b>  (032, SUB, Ctrl-Z),
Caractre de suspension. Envoie le signal SIGTSTP.
Reconnu quand ISIG est actif, et pas transmis en entre.
<br/><br/>

<b>VDSUSP</b> <b></b>  (Pas dans Posix et non support sous Linux&nbsp;; 031, EM, Ctrl-Y),
Caractre de suspension retarde. Envoie le signal SIGTSTP quand le caractre
est lu par le programme utilisateur. Reconnu quand IEXTEN et ISIG sont actifs, et quand
le systme support le contrle des jobs, et non transmis en entre.
<br/><br/>

<b>VLNEXT</b> <b></b>  (Pas dans Posix&nbsp;; 026, SYN, Ctrl-V),
Protgle le caractre suivant en lui supprimant toute signification spciale.
Reconnu quand IEXTEN est actif, et pas transmis en entre.
<br/><br/>

<b>VWERASE</b> <b></b>  (Pas dans Posix&nbsp;; 027, ETB, Ctrl-W)
Effacement de mot.
Reconnu quand ICANON et IEXTEN sont actifs, et pas transmis en entre.
<br/><br/>

<b>VREPRINT</b> <b></b>  (Pas dans Posix&nbsp;; 022, DC2, Ctrl-R),
Rafficher les caractres pas encore lus.
Reconnu quand ICANON et IEXTEN sont actifs, et pas transmis en entre.
<br/><br/>

<b>VDISCARD</b> <b></b>  (Pas dans Posix, non support sous Linux&nbsp;; 017, SI, Ctrl-O).
Bascule start/stop pour ignorer les caractres en attente de sortie.
Reconnu quand IEXTEN est actif, et pas transmis en entre.
<br/><br/>

VSTATUS
(Pas dans Posix, non support sous Linux&nbsp;; 024, DC4, Ctrl-T)
Interrogation d'tat.<br/><br/>
Ces valeurs sont toutes diffrentes, sauf 
VTIME, VMIN qui peuvent avoir la mme valeur de VEOL et VEOF respectivement.
(en mode non-canonnique, la signification d'un caractre spcial est remplac
par sa valeur de temporisation. MIN reprsente le nombre mini de caractres 
recevoir pour satisfaire une lecture. TIME est une valeur en dixime de
seconde. Quand ils sont tout dexu remplis, une lecture attendra au moins
un caractre, et reviendra ds que MIN caractres auront t reus, ou
si le temps TILME est coul depuis la rception du dernier caractre.
Si seul MIN est rempli, la lecture ne reviendra pas avant d'avoir reu
MIN caractres. Si seul TIME est rempli, la lecture reviendra ds qu'un
caractre arrivera, ou ds que le dlai sera coul. Si aucun n'est rempli,
la lecture reviendra immdiatement, ne lisant que les caractres immdiatement
disponibles.<br/><br/>
<b>tcgetattr()</b> <b></b>  obtient les paramtres associs  l'objet rfrenc par <i>fd</i> et les
stocke dans la structure <b>termios</b> pointe par <i>termios_p</i>.
Cette fonction peut tre appele par un processus en arrire-plan, nanmoins
les attributs de terminal peuvent tre modifis par la suite par le processus
en avant-plan.<br/><br/>
<b>tcsetattr()</b> <b></b>  fixe les paramtres du terminal ( moins que le matriel sous-jacent
ne le supporte par) en lisant la structure <b>termios</b> pointe
par <i>termios_p</i>.  
<i>optional_actions</i> prcise QUAND les changements auront lieu :
.IP <b>TCSANOW</b>
Les modifications sont effectues immdiatement.
.IP <b>TCSADRAIN</b>
Les modifications sont effectues lorsque toutes les oprations d'criture
sur
<i>fd</i> auront t transmises.  Cette fonction devrait tre utilise pour toute
modification de paramtre affectant les sorties.
.IP <b>TCSAFLUSH</b>
Les modifications sont effectues lorsque toutes les oprations d'criture
sur
<i>fd</i> auront t transmises. Les entres qui n'ont pas t traites seront limines
avant de faire les modifications.<br/><br/>
<b>tcsendbreak()</b> <b></b>  transmet un flux continu de bits  zro pendant une <i>dure</i> donne si le terminal
utilise une transmission srie asynchrone.
Si <i>dure</i> vaut zro, les bits  zro sont mis pendant au moins
0.25 seconde, et pas plus de 0.5 seconde.
Si <i>dure</i> est non nul, l'mission se fera pendant un temps
dpendant de l'implmentation.<br/><br/>
Si le terminal n'est pas connect avec une liaison srie asynchrone,
<b>tcsendbreak()</b> n'effecte aucune action.<br/><br/>
<b>tcdrain()</b> <b></b>  attend que toutes les critures sur l'objet rfrenc par
<i>fd</i> aient t transmises.<br/><br/>
<b>tcflush()</b> <b></b>  limine toutes les critures sur l'objet
<i>fd</i> pas encore transmises, ainsi que les donnes reues mais pas encore
lues, ceci en fonction de la valeur de
<i>queue_selector :</i>
.IP <b>TCIFLUSH</b>
efface les donnes reues mais non lues.
.IP <b>TCOFLUSH</b>
efface les donnes crites mais non transmises.
.IP <b>TCIOFLUSH</b>
efface a la fois les donnes reues non lues, et les donnes ecrites
non transmises.<br/><br/>
<b>tcflow()</b> <b></b>  suspend la transmission ou la rception des donnes sur l'objet rfrenc par
<i>fd ,</i>
en fonction de la valeur de
<i>action :</i>
.IP <b>TCOOFF</b>
suspend les transmissions
.IP <b>TCOON</b>
redmarre les transmissions suspendues
.IP <b>TCIOFF</b>
envoie un caractre STOP, ce qui demande au terminal de suspendre toute
transmission de donnes vers le systme.
.IP <b>TCION</b>
envoie un caractre START, ce qui redmarre la transmission des donnes
depuis le terminal vers le systme.<br/><br/>
Lors de l'ouverture d'un terminal, ni ses sorties, ni ses entres ne
sont suspendues.<br/><br/>
On peut utiliser les fonctions suivantes pour lire ou crire la
vitesse de communication du terminal, en utilisant la structure <b>termios</b>.
Les modifications ne prennent effet que lorsque la fonction <b>tcsetattr()</b>
a t invoque et qu'elle a russit.<br/><br/>
Fixer une vitesse <b>B0</b> demande au modem de racrocher.
La vitesse relle de communication correspondant  <b>B38400</b>
peut tre modifie avec <b>setserial</b>(8).	<br/><br/>
Les vitesses en entre et en sortie sont stockes dans la structure
<b>termios</b>.<br/><br/>
<b>cfmakeraw</b> fixe les attributs du terminal ainsi :

            termios_p-&gt;c_iflag &= ~(IGNBRK|BRKINT|PARMRK|ISTRIP
                            |INLCR|IGNCR|ICRNL|IXON);
            termios_p-&gt;c_oflag &= ~OPOST;
            termios_p-&gt;c_lflag &= ~(ECHO|ECHONL|ICANON|ISIG|IEXTEN);
            termios_p-&gt;c_cflag &= ~(CSIZE|PARENB);
            termios_p-&gt;c_cflag |= CS8;

<br/><br/>
<b>cfgetospeed()</b> <b></b>  renvoie la vitesse de sortie stocke dans la structure <b>termios</b> pointe
par
<i>termios_p .<br/><br/></i>
<b>cfsetospeed()</b> <b></b>  fixe la vitesse de sortie stocke dans la structure <b>termios</b>  pointe par
<i>termios_p</i>  la valeur <i>speed</i>, qui doit tre l'une des constantes
suivantes :

.ft B
	B0
	B50
	B75
	B110
	B134
	B150
	B200
	B300
	B600
	B1200
	B1800
	B2400
	B4800
	B9600
	B19200
	B38400
	B57600
	B115200
	B230400
.ft P


La vitesse nulle, <b>B0</b>, est utilise pour terminer une connexion.
Si B0 est indique, il n'y a aucune garantie d'tat des lignes de contrle
du modem.
Normalement, ceci devrait dconnecter la ligne.
<b>CBAUDEX</b> est un masque pour les vitesses suprieures  celles dfinies
dans POSIX.1 (suprieures ou gales  57600).
Ainsi, <b>B57600</b> & <b>CBAUDEX</b> est non nulle.<br/><br/>
<b>cfgetispeed()</b> <b></b>  renvoie la vitesse d'entre stocke dans la structure <b>termios</b>.<br/><br/>
<b>cfsetispeed()</b> <b></b>  fixe la vitesse d'entre stocke dans la structure <b>termios</b>
 la valeur
<i>speed .</i>
Si la vitesse d'entre est mise  0, elle prendra la mme valeur que
la vitesse de sortie.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeurs renvoyes</h1>
<div class="paragraph"><br/><br/>
<b>cfgetispeed()</b> <b></b>  renvoie la vitesse d'entre stocke dans la structure
<b>termios</b>.<br/><br/>
<b>cfgetospeed()</b> <b></b>  renvoie la vitesse de sortie stocke dans la structure <b>termios</b>.<br/><br/>
Toutes les autres fonctions renvoient
.IP 0
si elle russissent, et
.IP -1
si elles chouent, auquel cas
<i>errno</i> contient le code d'erreur.<br/><br/>
Notez que
tcsetattr()
indique une russite si <i>une</i> des modifications peut tre ralise.
Toutefois, pour effectuer plusieurs changements, il peut tre
ncessaire de faire suivre cet appel d'une invocation de
tcgetattr()
pour vrifier que les modifications ont bien t ralises.
 
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Unix V7 et plusieurs systmes ultrieurs avaient une liste de vitesse de transmission
o l'on rencontrait, aprs les quatorzes valeurs B0...B9600, les constantes
EXTA, EXTB ("External A" et "External B").
De nombreux systmes tendent cette liste avec des vitesses bien plus rapides.<br/><br/>
L'effet d'une <i>dure</i> non-nulle avec <b>tcsendbreak</b> est variable.
SunOS indique une break pendant
dure * N
secondes, o <i>N</i> est au moins 0.25, et au plus 0.5.
Linux, AIX, DU, Tru64 envoie un break pendant
<i>dure</i> millisecondes.
FreeBSD, NetBSD, HP-UX et MacOS ignorent la valeur
<i>dure .</i>
Sous Solaris et Unixware,
<b>tcsendbreak</b> <b></b>  avec une
<i>dure</i> non-nulle, se comporte comme
<b>tcdrain .</b>
<!--  libc4 until 4.7.5, glibc for sysv: EINVAL for duration &gt; 0. -->
<!--  libc4.7.6, libc5, glibc for unix: duration in ms. -->
<!--  glibc for bsd: duration in us -->
<!--  glibc for sunos4: ignore duration --><br/><br/>
<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>stty (1),</b>
<b>setserial (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
