<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 17:46:05 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 02/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>TMPNAM</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir  mktemp (3),</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
tmpnam - Crer un nom de fichier temporaire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>char *tmpnam (char *</b> s );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction 
<b>tmpnam()</b> <b></b>  renvoie un pointeur sur une chane qui reprsente un nom de fichier valide,
qui n'existait pas il y a quelques instants. Ainsi un programmeur
naf peut croire qu'il s'agit d'un nom correct pour
crer un fichier temporaire. Si l'argument
<i>s</i> est NULL, ce nom est stock dans un buffer interne qui pourra
tre cras lors du prochain appel 
<b>tmpnam() .</b>
Si 
<i>s</i> est non NULL, le nom y est copi (le buffer
doit faire au moins
<i>L_tmpnam</i>
octets )
et la valeur de
<i>s</i> est renvoye si
la fonction
russit.<br/><br/>
Le nom de fichier qui est cr est prfix par
<i>P_tmpdir .</i>
(Les constantes
<i>L_tmpnam</i> et
<i>P_tmpdir</i> sont dfinies dans
<i>&lt;stdio.h&gt;</i>
comme TMP_MAX mentionn plus bas).
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>tmpnam()</b> renvoie un pointeur sur un nom de fichier temporaire
unique, ou NULL si l'unicit n'a pas pu tre assure.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Aucune erreur n'est dfinie.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les applications portables qui utilisent les threads ne peuvent pas appeler
<b>tmpnam()</b> <b></b>  avec un paramtre NULL si
_POSIX_THREAD_SAFE_FUNCTIONS ou _POSIX_THREADS sont dfinies.<br/><br/>
La fonction
<b>tmpnam()</b> <b></b>  engendre une nouvelle chane  chaque appel, jusqu' TMP_MAX fois.
Si on l'invoque
plus de TMP_MAX fois, le comportement dpend de l'implmtation.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
N'utilisez jamais cette routine. Utilisez
<b>mkstemp (3)</b>
 la place.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
SVID 3, POSIX, BSD 4.3, ISO 9899
</div><br/><br /><h1 class="TitreSection0" id="L9">voir  mktemp (3),</h1>
<div class="paragraph">
<b>mkstemp (3),</b>
<b>tempnam (3),</b>
<b>tmpfile (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
