<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sat Jul 24 17:45:39 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 05/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>TOUPPER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
toupper, tolower - Conversion de lettres en majuscules ou minuscules.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;ctype.h&gt;</b> <b></b>  <br/><br/>

<b>int toupper (int </b> c );
.nl
<b>int tolower (int </b> c );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>toupper()</b> <b></b>  convertit la lettre 
<i>c</i> en majuscule si c'est possible.<br/><br/>
<b>tolower()</b> <b></b>  convertit la lettre 
<i>c</i> en minuscule si c'est possible.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La valeur renvoye est celle de la lettre convertie, ou bien
<i>c</i> si la conversion n'etait pas possible.<br/><br/>
Si
<i>c</i> n'est ni un caractre non-sign, ni EOF, le comportement de ces
fonctions est imprvisible.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ANSI C, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
La dfinition de "majuscule" et "minuscule" dpend de la localisation.
Par exemple la localisation
<b>""C"""</b> <b></b>  par dfaut ne connait rien concernant les accents, et n'effectue alors
aucune conversion.<br/><br/>
Dans certaines langues, des lettres minuscules n'ont pas d'quivalent
majuscule.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>isalpha (3),</b>
<b>setlocale (3),</b>
<b>locale (7)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
