<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1995 Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--   -->
<!--  -->
<!--  Traduction 11/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 25/10/2002 LDP 1.53 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>TTYNAME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ttyname - Obtenir le nom d'un terminal.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>char *ttyname (int </b> fd <i>);</i>
<br/>
<b>int ttyname_r(int </b> fd <i>, char *</i> buf <b>, size_t </b> buflen );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>ttyname ()</b>
renvoie un pointeur sur le chemin d'accs termin par un caractre nul
du priphrique terminal ouvert sur le descripteur de fichier
<i>fd</i>, ou <b>NULL</b> en cas d'erreur (par exemple si <i>fd</i>
n'est pas connect  un terminal).
La valeur renvoye peut pointer vers des donnes statiques, susceptibles
d'tre crases lors d'un appel ultrieur.
La fonction
<b>ttyname_r ()</b>
stocke la valeur dans le buffer
<i>buf</i> de longueur
<i>buflen .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>ttyname ()</b>
renvoie un pointeur sur le chemin d'accs. En cas d'erreur elle renvoie
<b>NULL</b> <b></b>  et remplit
<i>errno</i> avec le code d'erreur.
La fonction
<b>ttyname_r ()</b>
renvoie zro si elle russit et un code d'erreur si elle choue.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Les valeurs stockes dans
<i>errno</i> par un chec de
<b>ttyname ()</b>
ou renvoye par un chec de
<b>ttyname_r </b>() :<b></b>
<br/><br/>

<b>EBADF</b> <b></b>  Mauvais descripteur de fichier.
<br/><br/>

<b>ENOTTY</b> <b></b>  Le descripteur de fichier ne se rapporte pas  un terminal.
<br/><br/>

<b>ERANGE</b> <b></b>  <i>buflen</i> est trop court pour stocker le chemin d'accs.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX.1
<!--  don't know about these: SVID, AT&T, X/OPEN, BSD 4.3 -->
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>fstat (2),</b>
<b>isatty (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
