<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 1996 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Moved to man3, aeb, 980612 -->
<!--  Traduction 14/12/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP man-pages 1.21 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>ULIMIT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ulimit - Lire ou crire les limites d'utilisation.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;ulimit.h&gt;</b> <b></b>  <br/><br/>

<b>long ulimit(int </b> cmd <i>, long </i> newlimit );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Attention : Cette routine est obsolte. Les fichiers d'en-tte ne sont
plus inclus dans la glibc. Utilisez getrlimit(2), setrlimit(2) et sysconf(3)
 la place.<br/><br/>
Pour avoir des informations sur la commande shell
<b>ulimit ,</b>
reportez-vous 
<b>bash (1).<br/><br/></b>
L'appel
<b>ulimit</b> <b></b>  permet de lire ou d'crire certaines limitation pour le processus en cours.
L'argument
<i>cmd</i> peut prendre l'une des valeurs suivantes&nbsp;:
<br/><br/>

<b>UL_GETFSIZE</b> <b></b>  <b></b>  Lire la limitation de taille d'un fichier en units de 512 octets.
<br/><br/>

<b>UL_SETFSIZE</b> <b></b>  Ecrire la limitation de taille d'un fichier<br/><br/>

<b>3</b> <b></b>  (Non implment sous Linux.)
Renvoyer l'adresse maximale du segment de donnes.
<br/><br/>

<b>4</b> <b></b>  (Implment, mais pas de nom symbolique)
Lire le nombre maximal de fichiers que l'appelant peut ouvrir.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'il russit
<b>ulimit</b> <b></b>  renvoie une valeur positive ou nulle.
En cas d'erreur, il renvoie -1 et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPERM</b> <b></b>  Un processus non-root essaye d'augmenter une de ses limitations.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVID.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>getrlimit (2),</b>
<b>setrlimit (2),</b>
<b>sysconf (3).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
