<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>UNGETWC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformi</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ungetwc - Remettre un caractre large dans un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>wint_t ungetwc (wint_t </b> wc <i>, FILE *</i> flux <b>);</b>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>ungetwc</b> est l'quivalent de la fonction <b>ungetc</b>
pour les caractres larges. Elle remet un caractre large dans le <i>flux</i>
et renvoie sa valeur.<br/><br/>
Si <i>wc</i> est WEOF, WEOF est renvoy. Si <i>wc</i> est un caractre large non
valide, <b>errno</b> est positionn  <b>EILSEQ</b> et WEOF est renvoy.<br/><br/>
Si <i>wc</i> est un caractre large valide, celui-ci est remis dans le flux et
devient alors disponible pour de nouvelles oprations de lecture de caractres
larges. Le pointeur de fichier est dcrment de un ou plus. L'indicateur de
fin de fichier est rinitialis. L'image du fichier sur disque n'est pas affecte.<br/><br/>
NB: <i>wc</i> n'a pas besoin d'tre le dernier caractre large lu depuis le
flux&nbsp;; ce peut tre n'importe quel autre caractre large.<br/><br/>
Si l'implmentation supporte la remise dans le flux de caractres multiples,
les caractres larges seront lus dans l'ordre inverse. Cependant, seulement un
niveau de rinjection est garanti.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>ungetwc</b> renvoie <i>wc</i> en cas de succs ou WEOF en cas
d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformi</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>fgetwc (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>ungetwc</b> dpend de la catgorie LC_CTYPE de la localisation
courante.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2000</i></i>
.bt
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
