<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  This page is in the public domain. - aeb -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 21/07/2003 LDP-1.57 -->
<br/><h1>UNLOCKPT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
unlockpt - Dverouiller une paire de pseudo-terminaux matre/esclave.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>int unlockpt(int </b> fd <i>);</i>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<i>unlockpt ()</i>
dverouille le priphrique pseudo-terminal (pty) esclave
correspondant au pty matre indiqu par
<i>fd .<br/><br/></i>
<i>unlockpt ()</i>
devrait tre invoque avant d'ouvrir le ct esclave du pty.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Lorsqu'elle russit, la fonction
<i>unlockpt ()</i>
renvoie 0. Sinon, elle renvoie -1 et remplit
<i>errno</i> avec le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  L'argument
<i>fd</i> n'est pas un descripteur ouvert en criture.
<br/><br/>

<b>EINVAL</b> <b></b>  L'argument
<i>fd</i> n'est pas associ avec un pseudo-terminal matre.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX 1003.1-2001.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<i>grantpt (3),</i>
<i>ptsname (3)</i>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
