<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--  -->
<!--  Traduction 28/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>WCPCPY</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wcpcpy - Copier une chane de caractres larges et indiquer sa fin.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>wchar_t *wcpcpy (wchar_t *</b> dest <i>, const wchar_t *</i> src );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>wcpcpy</b> est l'quivalent pour les caractres larges de la fonction <b>stpcpy</b>.
Elle copie la chane pointe par <i>src</i> y compris le caractres L'\\0' final, dans la zone
pointe par <i>dest</i>.<br/><br/>
Les chanes ne doivent pas se chevaucher.<br/><br/>
Il est de la responsabilit du programmeur de s'assurer qu'il y a assez de place pour au moins
<i>wcslen(src)+1</i> caractres larges dans <i>dest</i>.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>wcpcpy</b> renvoie un pointeur sur la fin de la chane de caractres larges <i>dest</i>, 
c'est  dire un pointeur sur le caractre L'\\0' final.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Cette fonction est une extension GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>strcpy (3),</b>
<b>wcscpy (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
