<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  -->
<!--  Traduction 29/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>WCRTOMB</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wcrtomb - Convertir un caractre large en squence multi-octets.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>size_t wcrtomb (char *</b> s <i>, wchar_t </i> wc <b>, mbstate_t *</b> ps );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'utilisation principale de cette fonction est le cas o <i>s</i> est non NULL, et <i>wc</i> n'est pas L'\\0'.
Alors, la fonction <b>wcrtomb</b> convertit le caractre large <i>wc</i> dans sa reprsentation multi-octets, et
l'enregistre au dbut de la chane pointe par <i>s</i>. Elle met  jour l'tat de conversion <i>*ps</i>, et renvoie
la longueur de la reprsentation multi-octets, c'est  dire le nombre d'octets crits en <i>s</i>.<br/><br/>
Une autre possibilit peut se prsenter quand <i>s</i> est non NULL, mais <i>wc</i> vaut L'\\0'. 
Dans cette situation la fonction <b>wcrtomb</b> enregistre dans la chane de caractres pointe par <i>s</i> la squence
de dcalages ncessaire pour ramener <i>*ps</i>  son tat initial, suivie d'un caractre '\\0'.
Elle met  jour l'tat <i>*ps</i> (le ramne donc  l'tat initial), et renvoie la longueur de la squence en ajoutant
un pour compter le caractre nul final.<br/><br/>
Un troisime cas se prsente quand <i>s</i> est NULL. Alors, <i>wc</i> est ignor, et la fonction renvoie alors le rsultat
de wcrtomb(buf,L'\\0',<i>ps</i>) o buf est un buffer interne.<br/><br/>
Dans tous les cas, si <i>ps</i> est un pointeur NULL, un tat statique interne est utilis.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>wcrtomb</b> renvoie le nombre d'octets qui ont t - ou qui auraient t - crits dans <i>s</i>.
Si <i>wc</i> ne peut pas tre reprsent comme une squence multi-octets (dans la localisation en cours), elle
renvoie (size_t)(-1), et place <b>EILSEQ</b> dans <b>errno</b> .
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>wcsrtombs (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>wcrtomb</b> dpend de la catgorie LC_CTYPE de la localisation.<br/><br/>
L'utilisation d'un pointeur NULL pour <i>ps</i> n'est pas sre dans un contexte multithreads.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
