<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  -->
<!--  Traduction 29/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>WCSCMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wcscmp - Comparer deux chanes de caractres larges.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>int wcscmp (const wchar_t *</b> s1 <i>, const wchar_t *</i> s2 );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>wcscmp</b> est l'quivalent pour les caractres larges de la fonction <b>strcmp</b>.
Elle compare la chane de caractres larges pointe par <i>s1</i> avec celle pointe par <i>s2</i>.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>wcscmp</b> renvoie zro si les chanes de caractres larges <i>s1</i> et <i>s2</i> sont gales.
Elle renvoie un entier positif si  l'emplacement <i>i</i> de la premire diffrence, le caractre large
correspondant <i>s1[i]</i> est suprieur  <i>s2[i]</i>. Elle renvoie un entier ngatif si <i>s1[i]</i> est infrieur  <i>s2[i]</i>.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>strcmp (3),</b>
<b>wcscasecmp (3),</b>
<b>wmemcmp (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
