<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--  -->
<!--  Traduction 29/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>WCSNCASECMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wcsncasecmp - Comparer deux chanes de caractres larges de longueurs fixes, en ignorant les diffrences de casse.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>int wcsncasecmp (const wchar_t *</b> s1 <i>, const wchar_t *</i> s2 <b>, size_t </b> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>wcsncasecmp</b> est l'quivalent pour caractres larges de la fonction <b>strncasecmp</b>.
Elle compare la chane de caractres larges pointe par <i>s1</i> avec celle pointe par <i>s2</i>, en ne considrant
que <i>n</i> caractres larges au maximum, et en ignorant les diffrences de casse (<b>towupper</b>, <b>towlower</b>).
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>wcsncasecmp</b> renvoie zro si les chanes de caractres larges <i>s1</i> et <i>s2</i>, 
tronques ventuellement  <i>n</i> caractres, sont gales hormis pour les distinctions de casses.
Elle renvoie un entier positif si <i>s1</i> est suprieur  <i>s2</i>, en ignorant les casses.
Elle renvoie un entier ngatif si <i>s1</i> est infrieur  <i>s2</i>, en ignorant les casses.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Cette fonction est une extension GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>strncasecmp (3),</b>
<b>wcsncmp (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>wcsncasecmp</b> dpend de la catgorie LC_CTYPE de la localisation.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
