<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--  -->
<!--  Traduction 29/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>WCSNLEN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wcsnlen - Dterminer la longueur d'une chaine de caractres larges limite.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>size_t wcsnlen (const wchar_t *</b> s <i>, size_t </i> maxlen );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>wcsnlen</b> est l'quivalent pour les caractres larges de la fonction <b>strnlen</b>.
Elle renvoie le nombre de caractres larges se trouvant dans la chanes pointe par <i>s</i>, sans compter le
caractre  L'\\0' final, en se limitant au maximum  <i>maxlen</i> caractres.
Pour ce faire, <b>wcsnlen</b> n'examine que les <i>maxlen</i> premiers caractres larges de <i>s</i> et jamais
au-del de <i>s+maxlen</i>.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>wcsnlen</b> renvoie <i>wcslen(s)</i>, si cette valeur est infrieure  <i>maxlen</i>, ou <i>maxlen</i>
si elle n'a pas rencontr de caractre L'\\0' en examinant les <i>maxlen</i> premiers caractres larges points par <i>s</i>.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Cette fonction est une extension GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>strnlen (3),</b>
<b>wcslen (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
