<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 17:42:04 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 11/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>WCSTOMBS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wcstombs - Convertir une chane de caractres tendus en chane de caractres multi-octets.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>size_t wcstombs (char *</b> dest <i>, const wchar_t *</i> src <b>, size_t </b> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Si <i>dest</i> n'est pas un pointeur NULL, la fonction <b>wcstombs</b> convertit au maximum <i>nwc</i> caractres larges
depuis la chane <i>*src</i> vers la squence multi-octets situe en <i>dest</i>.
Au plus <i>n</i> octets seront crits dans <i>dest</i>. La conversion
dbute dans l'tat initial.
La conversion peut se terminer pour trois raisons&nbsp;:<br/><br/>
1. Un caractre large que l'on ne peut pas reprsenter par une squence multi-octets (dans la localisation en cours)
a t rencontr. Dans ce cas la fonction renverra (size_t)(-1).<br/><br/>
2. La limite de longueur force l'arrt. Dans ce cas, le nombre d'octets crits
dans <i>dest</i> est renvoy, mais l'tat de dcalage est perdu.<br/><br/>
3. La chane de caractres larges a t compltement convertie, y compris le L'\\0'
final. Dans ce cas la conversion se termine dans l'tat initial.
La fonction renvoie le nombre d'octets crits dans <i>dest</i>,
sans compter l'octet '\\0'.<br/><br/>
Si <i>dest</i> est NULL, la longueur <i>n</i> est ignore, et la conversion
se droule comme prcdemment, sauf que les
octets convertis ne sont pas crits en mmoire, et qu'il n'y a pas de limite de longueur en destination.<br/><br/>
Pour viter le cas 2 ci-dessus, le programmeur doit s'assurer que <i>n</i>
est suprieur ou gal  <i>wcstombs(NULL,src,0)+1</i>.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>wcstombs</b> renvoie le nombre d'octets constituant la partie convertie de la squence multi-octets,
sans compter l'octet nul final. Si elle rencontre un caractre large qu'elle ne peut convertir, elle renvoie (size_t)(-1).
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>wcsrtombs (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>wcstombs</b> dpend de la catgorie LC_CTYPE de la
localisation en cours.<br/><br/>
La fonction <b>wcsrtombs</b> fournit une interface sre en contexte-multithreads
pour la mme fonctionnalit.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
