<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  -->
<!--  Traduction 28/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>WCTYPE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wctype - Classification des caractres larges.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wctype.h&gt;</b> <b></b>  <br/><br/>

<b>wctype_t wctype (const char *</b> nom );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Le type <b>wctype_t</b> reprsente une proprit qu'un caractre large peut avoir ou non. En d'autres
termes, il reprsente une classe de caractres larges. La nature exacte de ce type dpend de l'implmentation,
mais la valeur spciale <i>(wctype_t)0</i> correspond  une proprit invalide.
Un <b>wctype_t</b> non nul peut tre transmis  la fonction <b>iswctype</b> pour vrifier si un caractre large
a ou non la proprit correspondante.<br/><br/>
La fonction <b>wctype</b> renvoie une proprit  partir de son nom. Les noms valides dpendent de la catgorie
LC_CTYPE de la localisation, mais les noms suivants sont toujours valides quelque soit la localisation.

  "alnum" - correspond  la fonction de classification <b>isalnum</b>
  "alpha" - correspond  la fonction de classification <b>isalpha</b>
  "blank" - correspond  la fonction de classification <b>isblank</b>
  "cntrl" - correspond  la fonction de classification <b>iscntrl</b>
  "digit" - correspond  la fonction de classification <b>isdigit</b>
  "graph" - correspond  la fonction de classification <b>isgraph</b>
  "lower" - correspond  la fonction de classification <b>islower</b>
  "print" - correspond  la fonction de classification <b>isprint</b>
  "punct" - correspond  la fonction de classification <b>ispunct</b>
  "space" - correspond  la fonction de classification <b>isspace</b>
  "upper" - correspond  la fonction de classification <b>isupper</b>
  "xdigit" - correspond  la fonction de classification <b>isxdigit</b>


</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>wctype</b> renvoie un descripteur de proprit si le <i>nom</i> est valide. Sinon elle
renvoie <i>(wctype_t)0</i>.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>iswctype (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de la fonction <b>wctype</b> dpend de la catgorie LC_CTYPE de la localisation.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
