<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>WPRINTF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wprintf, fwprintf, swprintf, vwprintf, vfwprintf, vswprintf - Formatage de chanes de caractres larges.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>int wprintf (const wchar_t* </b> format <i>, ...);</i>
<b>int fwprintf (FILE * </b> flux <i>, const wchar_t* </i> format <b>, ...);</b>
<b>int swprintf (wchar_t* </b> wcs <i>, size_t </i> maxlen ,
<b>              const wchar_t* </b> format <i>, ...);</i>
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;stdarg.h&gt;</b> <b></b>  <br/><br/>

<b>int vwprintf (const wchar_t* </b> format <i>, va_list </i> args );
<b>int vfwprintf (FILE * </b> flux <i>, const wchar_t* </i> format <b>, va_list </b> args );
<b>int vswprintf (wchar_t* </b> wcs <i>, size_t </i> maxlen ,
<b>               const wchar_t* </b> format <i>, va_list </i> args );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La famille de fonctions <b>wprintf</b> est l'quivalent pour les caractres
tendus de la famille de fonctions <b>printf</b>. Elle ralise une mise en forme
de ses arguments.<br/><br/>
Les fonctions <b>wprintf</b> et <b>vwprintf</b> ralisent le traitement et la
sortie de chanes de caractres larges sur <b>stdout</b>. <b>stdout</b> ne doit
pas tre un priphrique spcial orient caractres (voir la fonction <b>fwide</b>
pour plus d'informations).<br/><br/>
Les fonctions <b>fwprintf</b> and <b>vfwprintf</b> ralisent la mise en forme de
chanes de caractres en vue d'une criture dans le fichier <i>flux</i>.
<i>flux</i> ne doit pas tre un priphrique spcial orient caractres
(voir la fonction <b>fwide</b> pour plus d'informations).<br/><br/>
Les fonctions <b>swprintf</b> and <b>vswprintf</b> ralisent la mise en forme d'une
chane de caractres longs avant de l'crire dans un tableau de caractres
larges. Le programmeur doit s'assurer qu'il y ait assez de place pour au moins
<i>maxlen</i> caractres larges dans <i>wcs</i>.<br/><br/>
Ces fonctions se comportent de la mme manire que les fonctions <b>printf</b>,
<b>vprintf</b>, <b>fprintf</b>,<b>vfprintf</b>, <b>sprintf</b> et <b>vsprintf</b>,
hormis les diffrences suivantes&nbsp;:
<br/><br/>

<b>\(bu</b> <b></b>  La chane <i>format</i> est compose de caractres larges.
<br/><br/>

<b>\(bu</b> <b></b>  La sortie est faite de caractres larges, pas d'octets.
<br/><br/>

<b>\(bu</b> <b></b>  <b>swprintf</b> et <b>vswprintf</b> prennent un argument <i>maxlen</i>, au
contraire de <b>sprintf</b> et <b>vsprintf</b>. (<b>snprintf</b> et <b>vsnprintf</b>
prennent un argument <i>maxlen</i>, mais ces fonctions ne renvoient pas -1 en
cas de dbordement mmoire sous Linux).<br/><br/>
Le traitement des caractres de conversion <b>c</b> et <b>s</b> est diffrent&nbsp;:
<br/><br/>

<b>c</b> <b></b>  Si aucun modificateur
<b>l</b> <b></b>  n'est prsent, l'argument
<i>int</i> est converti en un caractre large par un appel  la fonction
<b>btowc</b> <b></b>  et le caractre large en rsultant est crit.
Si un modificateur 
<b>l</b> <b></b>  est prsent, l'argument
<i>wint_t</i> (caractre large) est crit.
<br/><br/>

<b>s</b> <b></b>  Si aucun modificateur
<b>l</b> <b></b>  est prsent, l'argument
modifier is present: The
<i></i> `` <i>const char *</i> ''</i>
est interprt comme un pointeur sur un tableau de caractres (une chane)
contenant une squence de caractres larges commenant  l'tat initial. Les
caractres du tableau sont convertis en caractres larges (un par un par
l'appel de la fonction
<b>mbrtowc</b> <b></b>  avec un tat de conversion rinitialis avant le premier octet).
La chane de caractres larges en rsultant est crite jusqu'au dernier
caractre (non compris le caractre nul finl). Si la taille est donne,
le nombre de caractres crits ne la dpassera pas.
Notez bien que la taille dtermine le nombre de 
<i>caractres larges</i> crit et non le nombre
<i>d'</i> octets</i>
ou de
<i>positions d'cran</i> .</i>
Le tableau doit contenir un caractre nul final,  moins que la taille
donne soit si petite que le nombre de caractres larges est atteint avant la
fin du tableau. -- Si un modificateur
<b>l</b> <b></b>  est prsenti&nbsp;: L'argument
<i></i> `` <i>const wchar_t *</i> ''</i>
est interprt comme un pointeur sur un tableau de caractres (une chane).
Les caractres larges du tableau sont crits jusqu'au dernier (non compris le
caractre nul final). Si la taille est indique, le nombre de caractres
crits ne la dpassera pas. Le tableau doit contenir un caractre nul final
 moins que la taille donne soit infrieure ou gale au nombre de
caractres larges du tableau.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Ces fonctions renvoient le nombre de caractres larges crits, non compris le
caractre nul final dans le cas des fonctions <b>swprintf</b> et <b>vswprintf</b>.
Elles renvoient -1 en cas d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>printf (3),</b>
<b>fprintf (3),</b>
<b>snprintf (3),</b>
<b>fputwc (3),</b>
<b>fwide (3),</b>
<b>wscanf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>wprintf</b> et compagnie dpend de la catgorie LC_CTYPE
de la locale courante.<br/><br/>
Si la chane <i>format</i> contient des caractres larges non ASCII, le
programme ne fonctionnera correctement que si la catgorie LC_CTYPE de la
localisation courante lors de l'excution est la mme que lors de la compilation. En
effet, la reprsentation de 
<b>wchar_t</b> <b></b>  dpend de l'architecture et de la localisation. (La LibC de GNU reprsente les
caractres larges  l'aide de leurs codes Unicode (ISO-10646), mais les autres
architectures ne font pas de mmes. De plus, l'utilisation des noms de
caractres universels de la norme ISO C99 (de la forme \\unnnn) ne rsoud pas
ce problme.). Aussi, la chane <i>format</i> ne devrait tre constitue que de
caractres larges dans les programmes internationaliss, ou alors elle doit
tre construite  l'excution de manire internationalise (en
utilisant
<b>gettext</b> <b></b>  ou
<b>iconv ,</b>
suivi de
<b>mbstowcs ).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 1999</i></i>
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
