<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1994 Andries Brouwer (aeb@cwi.nl), Mon Oct 31 21:03:19 MET 1994 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  Modified, Sun Feb 26 14:58:45 1995, faith@cs.unc.edu -->
<!--  " -->
<!--  -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ LDP-1.47 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>CONSOLE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">proprits</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
console - Console et terminaux virtuels.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Un systme Linux dispose d'un maximum de 63 <i>consoles virtuelles</i>
(priphriques caractres, dont le numro majeur est 4 et le numro
mineur entre 1 et 63), gnralement nommes <b>/dev/tty</b><i>n</i> 
avec 1 \(&lt;= <i>n</i> \(&lt;= 63.
La console en cours est galement accessible par <b>/dev/console</b> 
ou <b>/dev/tty0</b>, le priphrique de numro majeur 4, et de numro
mineur 0.
Les fichiers de priphriques /dev/* sont habituellement crs en utilisant
le script MAKEDEV, ou en utilisant
<b>mknod (1), </b>
avec le mode d'accs 0622 et le propritaire 'root.tty'.<br/><br/>
Avant le noyau 1.1.54, le nombre de consoles virtuelles tait compil dans
le noyau (tty.h: #define NR_CONSOLES 8) et ne pouvait tre modifi qu'en
ditant ce fichier, et en recompilant le noyau.
Depuis la version 1.1.54, les consoles virtuelles sont cres  la vole,
sitt qu'on en a besoin.<br/><br/>
Les moyens les plus courants de dmarrer un processus sur une console sont
.IP
(a) demander 
<b>init (8) </b>
(dans 
<b>inittab (5)) </b>
de dmarrer un 
<b>getty (8)</b>
sur la console&nbsp;; 
.IP
(b) demander 
<b>openvt (1)</b>
de lancer un processus sur la console;
.IP
(c) lancer X
qui trouvera la premire console inutilise et y effectuera ses affichages.<br/><br/>
(On peut aussi utiliser l'ancien 
<b>doshell (8).)<br/><br/></b>
Les moyens courant de basculer de console en console sont
.IP
(a) utilise Alt+F<i>n</i> ou Ctrl+Alt+F<i>n</i> 
pour basculer sur la console <i>n</i>; AltGr+F<i>n</i>
vous amne  la console <i>n</i>+12 (Alt et AltGr correspondent respectivement
aux ALT gauche et droit).
.IP
(b) utiliser Alt+Flche_droite ou Alt+Flche_gauche 
pour parcourir les diverses consoles disponibles.
.IP
(c) utiliser le programme <b>chvt</b>(1).<br/><br/>
Les touches tant redfinissables, les combinaisons mentionnes ici sont
celles par dfaut. Voir
<b>loadkeys (1).<br/><br/></b>
La commande 
<b>deallocvt (1)</b>
(prcdemment <b>disalloc</b>)
libre la mmoire utilise par les buffers
d'cran des consoles qui n'ont plus de processus associs.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">proprits</h1>
<div class="paragraph">
Les consoles disposent de nombreux tats diffrents. J'espre pouvoir
documenter cela un jour. Le fait le plus important est que les consoles
simulent des terminaux vt100.
En particulier, une console est rinitialise en recevant les caractres
ESC c.
Toutes les squences d'chappement sont indiques dans
<b>console_codes (4).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
<i>/dev/console</i> <br/>
<i>/dev/tty*</i> </div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>charsets (4),</b>
<b>console_codes (4),</b>
<b>console_ioctl (4),</b>
<b>mknod (1),</b>
<b>tty (4),</b>
<b>ttys (4),</b>
<b>getty (8),</b>
<b>init (8),</b>
<b>chvt (1),</b>
<b>openvt (1),</b>
<b>disalloc (8),</b>
<b>loadkeys (1),</b>
<b>resizecons (8),</b>
<b>mapscrn (8),</b>
<b>setfont (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
