<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -->
<!--   epoll by Davide Libenzi ( efficient event notification retrieval ) -->
<!--   Copyright (C) 2003  Davide Libenzi -->
<!--  -->
<!--   This program is free software; you can redistribute it and/or modify -->
<!--   it under the terms of the GNU General Public License as published by -->
<!--   the Free Software Foundation; either version 2 of the License, or -->
<!--   (at your option) any later version. -->
<!--  -->
<!--   This program is distributed in the hope that it will be useful, -->
<!--   but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--   GNU General Public License for more details. -->
<!--  -->
<!--   You should have received a copy of the GNU General Public License -->
<!--   along with this program; if not, write to the Free Software -->
<!--  -->
<!--   Davide Libenzi &lt;davidel@xmailserver.org&gt; -->
<!--   Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.57 -->
<br/><h1>EPOLL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">exemple d'utilisation conseille</a>
<br /><a class="summaryIndent0" href="#L5">questions et reponses (de la liste linux-kernel)</a>
<br /><a class="summaryIndent0" href="#L6">piges possibles, et solutions</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
epoll - Notifications d'vnements d'entres/sorties.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/epoll.h&gt;</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>epoll</b> <b></b>  est une variante de
<b>poll (2)</b>
que l'on peut dclencher par niveau ou par changement d'tat, et monte
bien en charge pour un grand nombre de descripteurs simultans. Trois appels-systme
sont fournis pour configurer et commander un ensemble
<b>epoll </b> :<b></b>
<b>epoll_create (2),</b>
<b>epoll_ctl (2),</b>
<b>epoll_wait (2).<br/><br/></b>
Un ensemble
<b>epoll</b> <b></b>  est connect  un descripteur de fichiers cr par
<b>epoll_create (2).</b>
L'intert pour certains descripteurs est ensuite enregistr avec
<b>epoll_ctl (2).</b>
Enfin, l'attente effective dmarre avec l'appel 
<b>epoll_wait (2).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
L'interface de distribution d'vnement de
<b>epoll</b> <b></b>  est capable de se comporter en dtection de niveau (Level Triggered - LT)
ou en dtection de changement d'tat (Edge Triggered - ET). La diffrence
entre ces mcanismes est dcrite ci-dessous. Supposons que le
scnario suivant se produise&nbsp;:
<br/><br/>

<b>1</b> <b></b>  Le descripteur de fichier qui reprsente le ct lecture d'un tube
( fd_lect )</b>
est ajout dans un ensemble
<b>epoll .</b>
<br/><br/>

<b>2</b> <b></b>  Celui qui crie dans le tube envoie 2 Ko de donnes.
<br/><br/>

<b>3</b> <b></b>  Un appel 
<b>epoll_wait (2)</b>
est effectu et renvoie
<b>fd_lect</b> <b></b>  comme descripteur de fichier prt.
<br/><br/>

<b>4</b> <b></b>  Le lecture du tube lit 1 Ko de donnes depuis
<b>fd_lect .</b>
<br/><br/>

<b>5</b> <b></b>  Un appel de
<b>epoll_wait (2)</b>
est effectu.<br/><br/><br/><br/>
Si le descripteur
<b>fd_lect</b> <b></b>  a t ajout  l'ensemble
<b>epoll</b> <b></b>  en utilisant l'attribut
<b>EPOLLET ,</b>
l'appel
<b>epoll_wait (2)</b>
ralis  l'tape
<b>5</b> <b></b>  va bloquer malgr les donnes dj prsentes dans les buffers d'entre
du fichier. La raison en est que le mcanisme ET dtecte les changements
sur un priphrique supervis entre l'tat "aucune entre/sortie possible"
( 0 )</b>
et l'tat "entre/sortie possible"
( 1 ).</b>
Dans l'exemple ci-dessus, un vnement sur
<b>fd_lect</b> <b></b>  sera dclench (en supposant que le buffer tait vide  l'origine)
 cause de l'criture  l'tape
<b>2 ,</b>
et l'vnement est consomm dans
<b>3 .</b>
Comme l'opration de lecture de l'tape
<b>4</b> <b></b>  ne consomme pas toutes les donnes du buffer (la condition "Entres/sorties
possibles" persiste), aucune transition
<b>0</b> <b></b>  -&gt;
<b>1</b> <b></b>  ne peut se produire en
<b>5 .</b>
Lorsqu'on emploie l'attribut
<b>EPOLLET</b> <b></b>  (Edge Triggered)
de la fonction
<b>epoll ,</b>
on devrait toujours utiliser des descripteurs non-bloquants pour viter 
qu'une lecture ou une criture bloque une tche qui gre plusieurs
descripteurs de fichiers.
L'utilisation suggre d
<b>epoll</b> <b></b>  avec l'interface en dtection de changements
( EPOLLET )</b>
est dcrite ci-dessous, avec les piges  viter.
.SR
<br/><br/>
 
<b>i</b> <b></b>  ave des descripteurs non-bloquants&nbsp;;
<br/><br/>
 
<b>ii</b> <b></b>  en attendant seulement aprs qu'un
<b>read (2)</b>
ou un
<b>write (2)</b>
ait renvoy EAGAIN.
.SE<br/><br/>
Au contraire, lorsqu'il est utilis avec l'interface en dtection de niveau
<b>epoll</b> <b></b>  est une alternative plus rapide 
<b>poll (2),</b>
et peut tre employ chaque fois que poll() est utilis, car il utilise
la mme smantique.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">exemple d'utilisation conseille</h1>
<div class="paragraph"><br/><br/>
Tandis que l'utilisation de
<b>epoll</b> <b></b>  avec un dclenchement par niveau correspond  la mme smantique
que
<b>poll (2),</b>
le dclenchement par changement d'tat ncessite plus d'explication pour
viter les cas de blocage. Dans cet exemple, le lecteur emploie
une socket non-bloquante sur laquelle
<b>listen (2)</b>
a t appele. La fonction do_use_fd() va utiliser le nouveau descripteur
de fichier, jusqu' ce que EAGAIN soit renvoy par
<b>read (2)</b>
ou par
<b>write (2).</b>
Une application fonctionnant par transition d'tat devrait, aprs rception
d'EAGAIN, enregistrer l'tat en cours, afin que l'appel suivant de
do_use_fd() continue avec le
<b>read (2)</b>
ou le 
<b>write (2)</b>
o il s'est arrt.  <br/><br/>

struct epoll_event ev, *events;<br/><br/>
for(;;) {
    nfds = epoll_wait(kdpfd, events, maxevents, -1);<br/><br/>
    for(n = 0; n &lt; nfds; ++n) {
        if(events[n].data.fd == listener) {
            client = accept(listener, (struct sockaddr *) &local,
                            &addrlen);
            if(client &lt; 0){
                perror("accept");
                continue;
            }
            setnonblocking(client);
            ev.events = EPOLLIN | EPOLLET;
            ev.data.fd = client;
            if (epoll_ctl(kdpfd, EPOLL_CTL_ADD, client, &ev) &lt; 0) {
                fprintf(stderr, "epoll set insertion error: fd=%d\n",
                        client);
                return -1;
            }
        }
        else
            do_use_fd(events[n].data.fd);
    }
}

<br/><br/>
Lorsqu'on utilise une dtection de changement d'tats, pour des raisons de
performances, il est possible d'ajouter le descriptuer de fichier dans
l'interface epoll
( EPOLL_CTL_ADD )</b>
une fois, en spcifiant
( EPOLLIN | EPOLLOUT ).</b>
Ceci vite de basculer sans
cesse entre
<b>EPOLLIN</b> <b></b>  et
<b>EPOLLOUT</b> <b></b>  lors des appels
<b>epoll_ctl (2)</b>
avec
<b>EPOLL_CTL_MOD .<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L6">questions et reponses (de la liste linux-kernel)</h1>
<div class="paragraph"><br/><br/>
.SR
<br/><br/>
 
<b>Q1</b> <b></b>  <b></b>  Que se passe-t-il si on ajoute deux fois le mme fd dans un ensemble epoll&nbsp;?
<br/><br/>

<b>A1</b> <b></b>  <b></b>  On aura probablement l'erreur EEXIST. Toutefois, il est possible que deux
threads puisse ajouter le mme fd deux fois. Sans consquences fcheuses.
<br/><br/>

<b>Q2</b> <b></b>  <b></b>  Deux ensemples
<b>epoll</b> <b></b>  peuvent-ils attendre le mme fd? Si oui, les vnements seront-t-ils
reports sur des deux ensembles
<b>epoll</b> <b></b>  en mme temps&nbsp;?
<br/><br/>

<b>A2</b> <b></b>  Oui. Toutefois, c'est peu recommand. Oui, l'vnement sera rapport pour
les deux.
<br/><br/>

<b>Q3</b> <b></b>  Peut-on utiliser le descripteur
<b>epoll</b> <b></b>  lui-mme avec poll/epoll/select&nbsp;?
<br/><br/>

<b>A3</b> <b></b>  Oui.
<br/><br/>

<b>Q4</b> <b></b>  <b></b>  Que se passe-t-il si le descripteur de
<b>epoll</b> <b></b>  est insr dans son propre ensemble&nbsp;?
<br/><br/>

<b>A4</b> <b></b>  Cela chouera. Toutefois vous pouvez ajoutez le descripteur de
<b>epoll</b> <b></b>  dans un autre ensemble epoll. 
<br/><br/>

<b>Q5</b> <b></b>  Puis-je envoyer le descripteur
<b>epoll</b> <b></b>   travers une socket Unix vers un autre processus&nbsp;?
<br/><br/>

<b>A5</b> <b></b>  Non.
<br/><br/>

<b>Q6</b> <b></b>  Est-ce que la feermeteur d'un descripteur le supprime 
automatiquement d'un ensemble
<b>epoll</b> <b></b>  <b></b> <b></b>  <b>?"</b> <b></b>  <br/><br/>

<b>A6</b> <b></b>  Oui.
<br/><br/>

<b>Q7</b> <b></b>  <b></b>  Si plus d'un vnement survient entre deux appels
<b>epoll_wait (2),</b>
sont-ils combins ou rapports sparment&nbsp;?
<br/><br/>

<b>A7</b> <b></b>  Ils sont combins..
<br/><br/>

<b>Q8</b> <b></b>  Est-ce qu'une opration sur un descripteur affecte les vnements dj
collects mais pas encore rapports&nbsp;?
<br/><br/>

<b>A8</b> <b></b>  Vous pouvez faire deux choses sur un descripteur existant. Une suppression
serait sans signification dans ce cas. Une modification re-vrifie les
entres/sorties disponibles.
<br/><br/>

<b>Q9</b> <b></b>  Dois-je lire/crire sans cesse un descripteur jusqu' obtenir EAGAIN avec
l'attribut
<b>EPOLLET</b> <b></b>  (Edge Triggered behaviour)&nbsp;?
<br/><br/>

<b>A9</b> <b></b>  Non. La rception d'un vnement depuis
<b>epoll_wait (2)</b>
suggre qu'un descripteur est prt pour l'opration d'E/S dsire. Vous
devez le considrer prt jusqu'au prochain EAGAIN. Quand et comment
utiliser le descripteur dpend de vous. De plus, la disponibilit des
entres/sorties peut-tre vrifie par la quantit de donnes lues ou
crites avec le descripteur. Par exemple, si vous appelez
<b>read (2)</b>
en demandant la lecture d'une certaine quantit de donnes et que
<b>read (2)</b>
en renvoie moins, vous pouvez tre srs d'avoir consomm tout le buffer
d'entre pour le descripteur. La mme chose est vraie pour
l'appel-systme
<b>write (2).</b>
.SE<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">piges possibles, et solutions</h1>
<div class="paragraph">
.SR
<br/><br/>

<b>o</b> <b></b>  <b>Faux</b> <b></b>  <b>Positifs</b> <b></b>  <b>(Edge</b> <b></b>  <b>Triggered)<br/><br/></b> <b></b>  Il est possible que durant une lecture (en supposant que vous lisez en
boucle en attendant EAGAIN), des donnes supplmentaires arrivent en
second vnement. Bien que ces donnes soient lues tout de suite, l'appel
suivant de 
<b>epoll_wait (2)</b>
sur le descripteur dira qu'il y a un vnement "lecture possible" alors
qu'il a dj t consomm.<br/><br/>
<br/><br/>

<b>1</b> <b></b>  Une certaine quantit de donnes arrive sur un descripteur surveill.
<br/><br/>

<b>2</b> <b></b>  Un appel 
<b>epoll_wait (2)</b>
renvoit le descripteur repr.
<br/><br/>

<b>3</b> <b></b>  Un autre bloc de donnes arrive sur la mme descripteur.
<br/><br/>

<b>4</b> <b></b>  Le descripteur est signal en interne comme prt.
<br/><br/>

<b>5</b> <b></b>  Un appel 
<b>read (2)</b>
consomme toutes les donnes disponibles.
<br/><br/>

<b>6</b> <b></b>  Un autre appel 
<b>epoll_wait (2)</b>
renverra le descripteur ci-dessus mme si aucune donne
n'est disponible, ainsi l'appel suivant de
<b>read (2)</b>
renverra EAGAIN.<br/><br/>
Dans le cas de descripteurs non-bloquants, cela fera chouer immdiatement
la lecture suivante avec l'erreur EAGAIN. Dans le cas de descripteurs
bloquants, on restera en attente pour lire des donnes non encore prsentes.
L'auteur recommande de ne pas utiliser de descripteur bloquant avec le
mcanisme de dtection de changement d'tat (ET).<br/><br/> 
Pour traiter ce cas, une possibilit est de marquer le descripteur comme
prt dans sa structure de donnes associe aprs la rception du premier
vnement, puis d'ignorer les vnements tant qu'il est dans l'tat prt.
Lorsque vous lisez jusqu' recevoir EAGAIN, effacez le bit d'tat prt
avant de rappeler
<b>epoll_wait (2)</b>
sur ce descripteur.
<br/><br/>

<b>o</b> <b></b>  <b>Famine</b> <b></b>  <b>(Edge</b> <b></b>  <b>Triggered)<br/><br/></b> <b></b>  S'il y a un gros volume d'entres/sorties, il est possible qu'en essayant
de les traiter, d'autres fichiers ne soient pas pris en compte, ce qu'on
appelle un cas de famine. Ce n'est pas spcifique 
<b>epoll .<br/><br/></b>
La solution est de maintenir une liste de descripteurs prts et de les
marquer comme tels dans leur structure associe, permettant  l'application
de savoir quels fichiers traiter, en organisant l'ordre au mieux. Ceci
permet aussi d'ignorer les vnments ultrieurs sur un descripteur prt.
<br/><br/>

<b>o</b> <b></b>  <b>Utilisation</b> <b></b>  <b>d'un</b> <b></b>  <b>cache</b> <b></b>  <b>d'vnements...<br/><br/></b> <b></b>  Si vous utilisez un cache d'vnement, ou stockez tous les descripteurs
renvoys par
<b>epoll_wait (2),</b>
alors assurez vous de disposer d'un moyen de marquer dynamiquement leurs
fermetures (causes par un vnement prcdent).
Supposons que vous recevez 100 vnements de
<b>epoll_wait (2),</b>
et que l'vnement 47 implique de fermer le descripteur 13.
Si vous supprimez la structure et utilisez close(), alors votre cache
peut encore contenir des vnements pour ce descripteur, et poser des
problmes de cohrence.<br/><br/>
Une solution est d'invoquer, pendant le traitement de l'vnement 47,
<b>epoll_ctl ( EPOLL_CTL_DEL )</b>
pour supprimer le descripteur 13, le fermer, et marquer sa structure
associe comme supprime. Si vous rencontrez un autre vnement pour
le descripteur 13 dans votre traitement, vous verrez qu'il a t
supprim prcdement, sans que cela ne prte  confusion.<br/><br/>
.SE
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
<b>epoll (4)</b>
est une API introduie dans Linux 2.5.44. Son interface devrait tre
finalise depuis le 2.5.66.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>epoll_ctl (2),</b>
<b>epoll_create (2),</b>
<b>epoll_wait (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
