<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This man page is Copyright (C) 1999 Claus Fischer. -->
<!--  Permission is granted to distribute possibly modified copies -->
<!--  of this page provided the header is included verbatim, -->
<!--  and in case of nontrivial modification author and date -->
<!--  of the modification is added to the header. -->
<!--   -->
<!--  990620 - page created - aeb@cwi.nl -->
<!--  -->
<!--  Traduction 09/01/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages 1.28 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>FIFO</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description </a>
<br /><a class="summaryIndent0" href="#L2">notes</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fifo - Fichier spcial file FIFO, tube nomm.
</div><br/><br /><h1 class="TitreSection0" id="L2">description </h1>
<div class="paragraph">
Un fichier spcial de file FIFO (First In, First Out) est
l'quivalent d'un tube (pipeline), sauf qu'il est accessible en
tant que partie du systme de fichiers. Il peut tre ouvert
par plusieurs processus, tant en lecture qu'en criture.
Lorsque des processus changent des donnes par le biais d'une
file FIFO, le noyau transfre les informations de manire interne,
sans passer par une criture relle dans le systme de fichier.
Ainsi, le fichier spcial FIFO n'a pas de vritable contenu, c'est
essentiellement un point de rfrence pour que les processus puissent
accder au tube en employant un nom dans le systme de fichiers.<br/><br/>
Le noyau assimile exactement un tube  chaque fichier spcial
FIFO ouvert par au moins un processus. La file FIFO doit tre
ouverte aux deux extrmits (lecture et criture) avant que
des donnes puissent y transiter. Normalement, l'ouverture
d'une file FIFO est bloquante jusqu' ce que l'autre ct soit
aussi ouvert.<br/><br/>
Un processus peut ouvrir une FIFO en mode non bloquant. Dans ce cas
l'ouverture en lecture seule russira mme si personne n'a encore ouvert
le ct criture. L'ouverture en criture seule chouera avec l'erreur
ENXIO si l'autre extrmit n'a pas encore t ouverte.<br/><br/>
Sous Linux, l'ouverture d'une file FIFO en lecture et criture
russira aussi bien en mode bloquant que non bloquant. POSIX ne
prcise pas ce comportement. Ceci peut servir  ouvrir une FIFO
en criture, mme si aucun lecteur n'est prt. Un processus
qui utilise les deux cts d'une FIFO pour communiquer avec
lui-mme doit tre trs prudent pour viter les situations
de blocage.
</div><br/><br /><h1 class="TitreSection0" id="L3">notes</h1>
<div class="paragraph">
Quand un processus essaye d'crire dans une FIFO qui n'a pas
t ouverte en lecture de l'autre ct reoit un signal SIGPIPE.<br/><br/>
Un fichier spcial de file FIFO peut tre cr  l'aide de la
fonction
<b>mkfifo (3),</b>
et est mentionn de manire particulire avec un
<i>ls -l</i> .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>mkfifo (3),</b>
<b>mkfifo (1),</b>
<b>pipe (2),</b>
<b>socketpair (2),</b>
<b>open (2),</b>
<b>signal (2),</b>
<b>sigaction (2)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
