<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -*- nroff -*-  -->
<!--  This man-page is Copyright (C) 1997 John S. Kallal -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and author(s) of this work. -->
<!--  -->
<!--  If the you wish to distribute versions of this work under other -->
<!--  conditions than the above, please contact the author(s) at the following  -->
<!--  for permission: -->
<!-- 	 -->
<!--   John S. Kallal -  -->
<!-- 	email: &lt;kallal@voicenet.com&gt; -->
<!-- 	mail: 518 Kerfoot Farm RD, Wilmington, DE 19803-2444, USA -->
<!-- 	phone: (302)654-5478 -->
<!--     -->
<!--  $Id: initrd.4,v 0.9 1997/11/07 05:05:32 kallal Exp kallal $ -->
<!--  Traduction 31/05/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages-1.19 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>INITRD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">options</a>
<br /><a class="summaryIndent0" href="#L3">modification de la racine du systme de fichiers</a>
<br /><a class="summaryIndent0" href="#L4">utilisation</a>
<br /><a class="summaryIndent0" href="#L5">configuration</a>
<br /><a class="summaryIndent0" href="#L6">fichiers</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">notes</a>
<br /><a class="summaryIndent0" href="#L9">auteurs</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
initrd - Disque RAM initialis au dmarrage du systme.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Le fichier spcial
<b>/dev/initrd</b> <b></b>  est un priphrique bloc en lecture seule.
Ce priphrique
<b>/dev/initrd</b> <b></b>  est un disque RAM qui est initialis par le chargeur du systme avant le
dmarrage du noyau.
Ainsi, le noyau peut utiliser le contenu de ce priphrique bloc
pour un dmarrage en deux phases.<br/><br/>
Durant la premire phase, le noyau dmarre et monte la racine du systme de fichiers
depuis le contenu de
<b>/dev/initrd</b> <b></b>  <b></b>  (par exemple un disque RAM initialis par le chargeur).
Durant la seconde phase, les drivers supplmentaires, et les autres modules
sont chargs depuis le priphrique racine initial.
Aprs le chargement de ces modules supplmentaires, une nouvelle racine du systme de
fichiers est monte  partir d'un priphrique diffrent.
.SH "DMARRAGE DU SYSTME" 
Quand il dmarre en utilisant <b>initrd</b>, le systme procde comme suit:
.RS 0.2i<br/><br/>
1. Le chargeur place une copie du noyau en mmoire, ainsi que le
contenu de <b>/dev/initrd</b>.<br/><br/>
2. Au dmarrage du noyau, celui-ci dcompresse et recopie le contenu du
priphrique
<b>/dev/initrd</b> <b></b>  sur le disque virtuel
<b>/dev/ram0</b> <b></b>  <b></b>  puis libre la mmoire utilise par
<b>/dev/initrd </b>.<b><br/><br/></b>
3. Le noyau monte en lecture-criture le priphrique
<b>/dev/ram0</b> <b></b>  <b></b>  comme racine initiale du systme de fichiers.<br/><br/>
4. Si la racine dsire pour le systme de fichiers est galement
celle que l'on vient de monter (par ex. <b>/dev/ram0</b>), le noyau
passe directement  la dernire tape du dmarrage.<br/><br/>
5. Si un fichier excutable <b>/linuxrc</b> est prsent sur le systme
de fichiers racine initial, ce fichier est excut avec l'uid 0.
(Le fichier
<b>/linuxrc</b> <b></b>  doit avoir la permission d'excution. Ce peut tre n'importe quel
excutable, y compris un shell-script.)<br/><br/>
6. Si
<b>/linuxrc</b> <b></b>  n'est pas excut ou lorsqu'il se termine,
la racine normale du systme de fichiers est monte.
(Si
<b>/linuxrc </b>
se termine en ayant mont d'autres systmes de fichiers sur la racine
initiale, alors le comportement du noyau est
<b>INDTERMIN </b>.<b></b>
Voir le paragraphe
<b>NOTES </b>
pour le comportement effectif.)<br/><br/>
7. Si la racine normale dispose d'un rpertoire
<b>/initrd ,</b>
le priphrique
<b>/dev/ram0</b> <b></b>  est dplac depuis
<b>/ </b> vers <b> /initrd </b>.<b></b>
Sinon, si le rpertoire
<b>/initrd</b> <b></b>  n'existe pas, le priphrique
<b>/dev/ram0</b> <b></b>  est dmont.
(Lors du dplacement de
<b>/ </b> vers <b> /initrd </b>, <b> /dev/ram0</b>
n'est pas dmont, aussi des processus peuvent continuer  s'excuter depuis ce priphrique.
Si le rpertoire
<b>/initrd </b>
n'existe pas sur le systme de fichiers normal, et si des processus continuent  s'excuter
depuis
<b>/dev/ram0 </b> lorsque <b> /linuxrc </b>
se termine, le comportement du noyau est
<b>INDTERMIN </b>.<b></b>
Voir le paragraphe
<b>NOTES </b>
pour le comportement effectif.)<br/><br/>
8. La squence de dmarrage habituelle (invocation de
<b>/sbin/init )</b>
est alors effectue depuis le systme de fichiers normal.
<!--     -->
</div><br/><br /><h1 class="TitreSection0" id="L3">options</h1>
<div class="paragraph">
Lorsque l'on utilise
<b>initrd ,</b>
les options suivantes du chargeur affectent les opration
de dmarrage du noyau:
<br/><br/>

initrd= <b>nom_de_fichier</b>
Indique le fichier  charger comme contenu de
<b>/dev/initrd </b>.<b></b>
Pour <b>LOADLIN</b>, il s'agit d'une option en ligne de commande.
Pour <b>LILO</b> il faut utiliser cette commande dans le fichier
de configuration <i>/etc/lilo.config</i>.
Le fichier mentionn avec cette option sera typiquement une image
compresse par 
<b>gzip (1),</b>
du systme de fichiers.
<br/><br/>

<b>noinitrd</b> <b></b>  Cette option dsactive le dmarrage en deux tapes. Le noyau se
comporte comme si
<b>/dev/initrd</b> <b></b>  <b></b>  n'tait pas initialis. Avec cette option, le contenu de
<b>/dev/initrd ,</b>
une fois charg en mmoire sera prserv. Ce contenu peut alors
tre n'importe quelle donne, et pas uniquement une image d'un
systme de fichiers.
Nanmoins, le priphrique
<b>/dev/initrd</b> <b></b>  <b></b>  est en lecture seule, et ne peut tre lu qu'une seule fois aprs
le dmarrage du systme.
<br/><br/>

root= <b>nom_de_priphrique</b>
Indique le nom du priphrique  utiliser comme racine normale du systme de fichiers.
Pour <b>LOADLIN</b>, il s'agit d'une option en ligne de commande.
Pour <b>LILO</b> il faut utiliser cette commande dans le fichier
de configuration <i>/etc/lilo.config</i>.
Le priphrique indiqu ici doit tre montable et contenir un systme de fichiers convenable.
<!--     -->
</div><br/><br /><h1 class="TitreSection0" id="L4">modification de la racine du systme de fichiers</h1>
<div class="paragraph">
Le systme de fichiers utilis comme racine par dfaut est celui
qui est compil dans le noyau (ou configur avec
<b>rdev ),</b>
ou celui qui est spcifi par une option du chargeur.
Pour accder  un systme de fichiers mont par NFS, il faut utiliser les
options de dmarrage
<b>nfs_root_name </b> et <b> nfs_root_addrs </b>
pour la configuration NFS.
Pour plus d'information sur les racines de systmes de fichiers montes par NFS,
consultez le fichier
<b>nfsroot.txt ,</b>
dans la documentation du noyau.
Pour plus d'informations sur la configuration de la racine du systme de fichiers,
voyez galement les documentations de
<b>LILO </b> et <b> LOADLIN .<br/><br/></b>
On peut aussi faire effectuer la modification de la racine normale par l'excutable
<b>/linuxrc .</b>
Pour ce faire, le systme
<b>/proc</b> <b></b>  doit tre mont. Ensuite, 
<b>/linuxrc</b> <b></b>  <b></b>  modifie le priphrique racine en crivant directement dans les fichiers
<b>/proc/sys/kernel/real-root-dev </b>, <b></b>
<b>/proc/sys/kernel/nfs-root-name </b>, et <b> </b>
<b>/proc/sys/kernel/nfs-root-addrs </b>.<b></b>
Pour un priphrique physique mont  la racine, le changement s'effectue
en crivant le numro de priphrique du nouveau systme de fichiers dans
<b>/proc/sys/kernel/real-root-dev </b>.<b></b>
Pour un systme mont par NFS, la modification se fait en crivant la configuration
NFS dans les fichiers
<b>/proc/sys/kernel/nfs-root-name </b> et <b></b>
<b>/proc/sys/kernel/nfs-root-addrs </b>
puis en inscrivant 0xff (c.--d. le numro de pseudo-priphrique NFS) dans le fichier
<b>/proc/sys/kernel/real-root-dev </b>.<b></b>
Par exemple, la ligne de commande suivant basculerait le priphrique racine normale
sur
<b>/dev/hdb1 :</b>

        echo 0x365 &gt;/proc/sys/kernel/real-root-dev


La ligne suivante modifierait le priphrique normal en un rpertoire NFS
<b>/var/nfsroot </b>
sur un serveur local ayant l'adresse IP 193.8.232.7, ceci sur un systme nomm idefix,
se trouvant  l'adresse 193.8.232.7:

	echo /var/nfsroot &gt;/proc/sys/kernel/nfs-root-name
	echo 193.8.232.2:193.8.232.7::255.255.255.0:idefix \\
	  &gt;/proc/sys/kernel/nfs-root-addrs
	echo 255 &gt;/proc/sys/kernel/real-root-dev


<!--     -->
</div><br/><br /><h1 class="TitreSection0" id="L5">utilisation</h1>
<div class="paragraph">
L'intrt principal d'implmenter
<b>initrd </b>
tait de permettre une configuration modulaire du noyau lors de l'installation
du systme.<br/><br/>
Un scnario possible d'installation est le suivant:
.RS 0.2i<br/><br/>
1. Le programme de chargement dmarre depuis une disquette, ou un autre support,
avec un noyau minimal (par exemple les supports pour
<b>/dev/ram </b>, <b> /dev/initrd ,</b>
et le systme de fichiers ext2). Puis charge
<b>/dev/initrd</b>
depuis une version compresse avec gzip d'un systme de fichiers initial.<br/><br/>
2. L'excutable
<b>/linuxrc </b>
dtermine ce qui est ncessaire pour (1) monter le systme de fichiers
normal (pilotes de priphriques, systmes de fichiers) et (2) utiliser
le support fourni pour la distribution (CD-ROM, rseau, bande magntique).
Cette tape peut tre effectu en interrogeant l'utilisateur, en effectuant
des tests de dtection automatique, ou en utilisant une approche hybride entre
les deux.<br/><br/> 
3. L'excutable
<b>/linuxrc </b>
charge les modules ncessaires depuis le systme de fichiers initial.<br/><br/>
4. L'excutable
<b>/linuxrc </b>
cre et remplit le systme de fichiers racine. (A cet instant, le systme
de fichiers racine n'est pas ncessairement complet).<br/><br/>
5. L'excutable
<b>/linuxrc </b> configure <b> /proc/sys/kernel/real-root-dev,</b>
dmonte
<b>/proc </b>, <b></b>
le systme de fichiers normal, et tout autre systme de fichiers qu'il
a ventuellement mont, et se termine.<br/><br/>
6. Le noyau monte alors le systme de fichiers racine normal.<br/><br/>
7. Maintenant que le systme de fichiers est accessible,
le chargeur peut tre install.<br/><br/>
8. Le chargeur est configur pour installer dans
<b>/dev/initrd</b>
un systme de fichiers disposant de l'ensemble des modules qui ont t utiliss pour
dmarrer le systme.
(par exemple un priphrique comme
<b>/dev/ram0 </b>
peut tre modifi, puis dmont, et finalement l'image est recopie depuis
<b>/dev/ram0 </b>
vers un fichier.)<br/><br/>
9. Le systme est maintenant prt  redmarrer, et les tches supplmentaires
d'installation peuvent tre effectues.
<br/><br/>
Le principal avantage offert par
<b>/dev/initrd </b>
dans ce scnario est de permettre de rutiliser les donnes de configuration
lors du fonctionnement normal du noyau, sans ncessiter de choisir un noyau
initial, d'utiliser un gros noyau gnrique, ou de recompiler le noyau aprs
l'installation.<br/><br/>
Un second scnario sert  l'installation 
de Linux sur un rseau constitu de machines configures diffremment.
Dans ce cas, il peut tre prfrable de n'utiliser qu'un nombre minimal
de noyaux (voire un seul dans le meilleur des cas), et de ne stocker
qu'une quantit la plus faible possible d'information de configuration.
Ainsi, on cre un fichier commun contenant tous les modules ncessaires,
et seul le fichier
<b>/linuxrc ,</b>
ou les fichiers qu'il lance,
changent suivant les machines.<br/><br/>
Un troisime scnario permet de disposer de disques de secours les plus
confortables possible. Les informations comme l'emplacement du systme
de fichiers racines, etc. ne sont pas indispensables lors du dmarrage.
Le systme charg par
<b>/dev/initrd</b> <b></b>  <b></b>  peut utiliser des menus de dialogue et/ou des dtections automatiques suivi
de vrification de cohrence du systme.<br/><br/>
Enfin, et c'est peut-tre l'usage le plus important, les distributions de
Linux sur CD-ROM permettent une installation plus aise.
La distribution peut utiliser directement
<b>LOADLIN </b>
pour charger
<b>/dev/initrd</b>
depuis le CD-ROM sans avoir besoin de crer de disquettes.
La distribution peut galement utiliser une disquette de dmarrage avec
<b>LILO </b>
puis charger un disque ram par l'intermdiaire de
<b>/dev/initrd </b> depuis le CD-ROM.<b></b>
<!--     -->
<!--     -->
<!--     -->
</div><br/><br /><h1 class="TitreSection0" id="L6">configuration</h1>
<div class="paragraph">
<b>/dev/initrd</b> <b></b>  <b></b>  est un priphrique bloc en lecture-seule, dont le numro majeur est 1,
et le mineur 250.
Typiquement,
<b>/dev/initrd</b> <b></b>  appartient 
<b>root.disk</b> <b></b>  <b></b>  et dispose du mode 0400 (lecture uniquement par root).
Si votre systme Linux n'a pas encore de fichier
<b>/dev/initrd ,</b>
vous pouvez le crer en utilisant les commandes suivantes :

\fB
        mknod -m 400 /dev/initrd b 1 250
        chown root:disk /dev/initrd
\fP


Il faut galement que les options "disque Ram" et "Disque Ram initial"
(par exemple
<b>CONFIG_BLK_DEV_RAM=y </b> et <b> CONFIG_BLK_DEV_INITRD=y</b>
) soient compiles directement dans le noyau Linux pour pouvoir utiliser
<b>/dev/initrd </b>.<b></b>
Lors de l'utilisation de
<b>/dev/initrd </b>, <b></b>
le pilote de disque Ram ne peut pas tre charg en tant que module.
<!--     -->
<!--     -->
<!--     -->
</div><br/><br /><h1 class="TitreSection0" id="L7">fichiers</h1>
<div class="paragraph">
<i>/dev/initrd</i> <br/>
<i>/dev/ram0</i> <br/>
<i>/linuxrc</i> <br/>
<i>/initrd</i> </div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>chown (1),</b>
<b>mknod (1),</b>
<b>ram (4),</b>
<b>freeramdisk (8),</b>
<b>rdev (8),</b>
Le fichier
<i>initrd.txt</i> dans les sources du noyau, la documentation de LILO, celle de LOADLIN,
et la documentation SYSLINUX.
<!--     -->
</div><br/><br /><h1 class="TitreSection0" id="L9">notes</h1>
<div class="paragraph">
1. Avec le noyau actuel, tout systme de fichier reste mont lors du dplacement
de
<b>/dev/ram0 </b> depuis <b> / </b> vers <b> /initrd ,</b>
et continue  tre accessible. Nanmoins, les entres de
<b>/proc/mounts </b>
ne sont pas mises  jour.<br/><br/>
2. Avec le noyau actuel, si le rpertoire
<b>/initrd </b> n'existe pas, alors <b> /dev/ram0 </b>
ne sera PAS compltement dmont si
<b>/dev/ram0 </b>
est utilis par un processus ou si un systme de fichiers a t mont dessus.
Si
<b>/dev/ram0 </b> n'est PAS compltement dmont, <b> </b>
alors
<b>/dev/ram0</b>
restera charg en mmoire.<br/><br/>
3. Les utilisateurs de
<b>/dev/initrd </b>
ne doivent pas compter sur les comportements dcrits dans les deux notes
prcdentes. Ces comportements peuvent changer dans les versions futures
du noyau Linux.
<!--     -->
</div><br/><br /><h1 class="TitreSection0" id="L10">auteurs</h1>
<div class="paragraph">
Le code du noyau pour le priphrique
<b>initrd </b>
a t crit par Werner Almesberger &lt;almesber@lrc.epfl.ch&gt; et
Hans Lermen &lt;lermen@elserv.ffm.fgan.de&gt;.
Le code de
<b>initrd </b>
a t introduit dans le noyau Linux de base dans la version de dveloppement 1.3.73.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
