<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
'\" t
<!--  Copyright (c) Michael Haardt (michael@cantor.informatik.rwth-aachen.de), Sun Jan 15 19:16:33 1995 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified, Sun Feb 26 15:02:58 1995, faith@cs.unc.edu -->
<!--  -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.47 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>LP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">configuration</a>
<br /><a class="summaryIndent0" href="#L3">description</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">auteurs</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
lp - Imprimantes parallles.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
#include &lt;linux/lp.h&gt;
</div><br/><br /><h1 class="TitreSection0" id="L3">configuration</h1>
<div class="paragraph">
<b>lp</b>[0\(en2] sont des priphriques caractres pour les imprimantes 
liaison parallle. Ils ont un numro majeur 6 et un numro mineur 0\(en2.  
Le numro mineur correspond aux ports d'imprimantes d'adresse de base
0x03bc, 0x0378 et 0x0278.
Habituellement ils ont un mode d'accs 220 et un propritaire root.lp.<br/><br/>
On peut utiliser les ports parallles soit en scrutation (polling) soit
en interruption. L'utilisation en interruption est surtout recommande
avec un haut trafic (ex : imprimante laser). Pour les imprimantes
matricielles classiques, la scrutation suffira. Par dfaut le systme
utilise la scrutation.
</div><br/><br /><h1 class="TitreSection0" id="L4">description</h1>
<div class="paragraph">
Les appels-systme
<i>ioctl (2)</i>
suivants sont supports :
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB, LPTIME, int<br/>
fixe la dure pendant laquelle le driver s'endort avant de revrifier
l'tat de l'imprimante aprs que le buffer ait t rempli. 
Avec une imprimante rapide on peut diminuer ce dlai, avec une imprimante
lente on peut l'augmenter.
La dure est indique dans <i>arg</i>, en centimes de secondes. La valeur
par dfaut est 2 (soit 0,02 seconde). Cela n'influe que sur le driver
en scrutation.<br/><br/>
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB, LPCHAR, int<br/>
indique le nombre maximum d'itrations d'attente active que le driver
en scrutation effectue alors qu'il attend que l'imprimante soit prte.
Si l'impression est trop lente, augmenter cette valeur, si le systme
ralentit trop, la diminuer.
Le nombre est indiqu dans <i>arg</i>, la valeur par dfaut est 1000. Cela
n'influe que sur le driver en scrutation.<br/><br/>
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB, LPABORT, int<br/>
Si <i>arg</i> vaut 0, le driver ressaiera en cas d'erreur d'impression,
sinon il abandonnera. La valeur par dfaut est 0.<br/><br/>
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB, LPABORTOPEN, int<br/>
Si <i>arg</i> vaut 0,
<i>open (2)</i>
sera annul en cas d'erreur, sinon l'erreur sera ignore. Par dfaut elle
est ignore.<br/><br/>
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB, LPCAREFUL, int<br/>
Si <i>arg</i> vaut 0, on bloquera l'criture sur le port parallle au cas
o les broches <i>erreur</i>,  <i>plus-de-papier</i>, ou <i>imprimante-hors-ligne</i>
sont valides. Sinon ces signaux seront ignors. Par dfaut
ils sont ignors.<br/><br/>
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB, LPWAIT, int<br/>
Indique le nombre d'itrations d'attente active  effectuer avant d'activer
la broche STROBE pour que l'imprimante accepte le caractre crit,
et le nombre d'itrations  effectuer avant d'teindre  nouveau la
broche STROBE.
Les spcifications indique que ce dlai devrait tre de 0,5 micro-secondes,
mais l'exprience a montr que le dlai induit par le code du driver
est suffisant. La valeur est indique dans <i>arg</i>, elle vaut 0
par dfaut. Ceci concerne autant le gestionnaire en interruption que
celui en scrutation.<br/><br/>
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB, LPSETIRQ, int<br/>
Cet ioctl() ncessite des privilges Super-User. Son argument est une
nouvelle IRQ pour l'imprimante. Comme effet de bords, l'imprimante est
rinitialise. Si <i>arg</i> vaut 0, le gestionnaire en scrutation sera
utilis, ce qui est le comportement par dfaut.<br/><br/>
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB, LPGETIRQ, int<br/>
Stocke la valeur actuelle d'IRQ dans <i>arg</i>.<br/><br/>
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB, LPGETSTATUS, int<br/>
Stocke le statut actuel du port dans <i>arg</i>.  Les bits ont les significations
suivantes :
<br/><br/>

.TS
l l.
LP_PBUSY	Entre OCCUPE inverse, active  1
LP_PACK	Entre ACQUITTEMENT, active  0
LP_POUTPA	Entre PLUS-DE-PAPIER, active  1
LP_PSELECD	Entre SELECT, active  1
LP_PERRORP	Entre ERREUR, active  0
.TE
<br/><br/>

Rfrez vous au manuel de votre imprimante pour la signification de ces
signaux. Des bits non documents peuvent galement tre prsents,
suivant le type d'imprimante.<br/><br/>
</div><div class="paragraph"><b>int ioctl(int </b><i>fd</i>\fB,<br/>
Rinitialise l'imprimante.  Pas d'argument.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">
/dev/lp*
</div><br/><br /><h1 class="TitreSection0" id="L6">auteurs</h1>
<div class="paragraph">
Le driver d'imprimante a t crit  l'origine par Jim Weigand et Linus
Torvalds.  Il fut ensuite amlior par Michael K. Johnson.  Le code
d'interruption a t crit par by Nigel Gamble.  Alan Cox l'a modularis.
LPCAREFUL, LPABORT, LPGETSTATUS ont t ajouts par Chris Metcalf.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>mknod (1),</b>
<b>chown (1),</b>
<b>chmod (1),</b>
<b>tunelp (8),</b>
<b>lpcntl (8)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
