<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de), Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--   -->
<!--  Modified Sat Jul 24 17:00:12 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>NULL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">notes</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
null, zero - Absorbeurs de donnes.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Les donnes crites sur un fichier spcial <b>null</b> ou <b>zero</b> 
sont limines.<br/><br/>
La lecture depuis un fichier spcial <b>null</b> retourne toujours
"fin de fichier", alors que la lecture depuis <b>zero</b> retourne
toujours des caractres \e0.<br/><br/>
<b>null</b> et <b>zero</b> sont typiquement cres ainsi :
.RS
<br/><br/>

mknod -m 666 /dev/null c 1 3
<br/>
mknod -m 666 /dev/zero c 1 5
<br/>
chown root:mem /dev/null /dev/zero
<br/><br/>


</div><br/><br /><h1 class="TitreSection0" id="L3">notes</h1>
<div class="paragraph">
Si ces fichiers ne sont pas lisibles et accessibles en criture par
tous, de nombreux programmes vont se comporter trangement.<br/><br/>
[NDT] De nombreux administrateurs systme dbutants ont effac plus ou
moins volontairement le fichier <i>/dev/null</i> ou <i>/dev/zero</i>.
Ceux-ci sont recrs ds qu'une commande se terminant par <i>&gt; /dev/null</i>
est excute par <b>root</b>, mais ils sont recrs sous forme de fichier
rguliers ! Un remplissage de la partition racine se produit alors
au bout d'un temps plus ou moins long.<br/><br/>
Si une erreur de saturation de la partition racine se produit, vrifiez
donc la taille de /dev/null et /dev/zero, et le cas chant recrez-les
en utilisant les commandes indiques ci-dessus.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
<i>/dev/null</i> <br/>
<i>/dev/zero</i> </div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>chown (1),</b>
<b>mknod (1) </b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
