<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1995 Robert K. Nichols (Robert.K.Nichols@att.com) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 25/04/98 (LDP man-pages 1.19) -->
<!--  mj 18/05/99 (LDP man-pages 1.23) -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>ST</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">transfert des donnes</a>
<br /><a class="summaryIndent0" href="#L4">ioctls</a>
<br /><a class="summaryIndent0" href="#L5">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L6">fichiers</a>
<br /><a class="summaryIndent0" href="#L7">auteur</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">notes</a>
<br /><a class="summaryIndent0" href="#L10">copyright</a>
<br /><a class="summaryIndent0" href="#L11">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
st - Lecteur de bandes SCSI.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/mtio.h&gt;</b> <b></b>  <br/><br/>

<b>int ioctl(int </b> fd <i>, int </i> request <b> [, (void *)</b> arg3 <i>]);</i>
<b>int ioctl(int </b> fd <i>, \s-1MTIOCTOP\s+1, (struct mtop *)</i> mt_cmd <b>);</b>
<b>int ioctl(int </b> fd <i>, \s-1MTIOCGET\s+1, (struct mtget *)</i> mt_status <b>);</b>
<b>int ioctl(int </b> fd <i>, \s-1MTIOCPOS\s+1, (struct mtpos *)</i> mt_pos <b>);</b>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Le driver
<b>st</b> <b></b>  fournit une interface vers un grand nombre de lecteurs de bandes SCSI.
Actuellement, ce driver prend le contrle de tous les priphriques dtects de
type
\(lqaccs squentiel\(rq.
Le driver
<b>st</b> <b></b>  utilise un numro majeur valant 9.<br/><br/>
Chaque priphrique utilise huit numros mineurs. Les 5 bits de poids
faibles des numros mineurs sont assigns squentiellement dans l'ordre
de dtection. Les numros mineurs peuvent tre groups en deux ensembles
de quatre nombres : les numros mineurs principaux des priphriques (auto-rewind),
<i>n ,</i>
et les  numros mineurs des priphriques \(lqno-rewind\(rq
<i></i> ( n <i>+ 128).</i><br/><br/></i>
Les priphriques ouverts avec le numro principal recevront une commande
\s-1REWIND\s+1  la fermeture.
Les priphriques ouverts avec le numro \(lqno-rewind\(rq ne la recevront
pas.
(Notez qu'essayer de positionner la bande un priphrique auto-rewind en
utilisant, par exemple, mt ne conduit pas au rsultat dsir : la bande est
 nouveau rembobine aprs la commande mt et la commande suivante prend
effet ds le dbut de la bande.<br/><br/>
Au sein de chaque groupe, 4 numros mineurs sont disponibles pour dfinir
des priphriques avec des caractristiques diffrentes (taille de bloc,
compression, densit...) Lorsque le systme dmarre, seul le premier
priphrique est disponible. Les 3 autres sont activs lorsque les
caractristiques par dfaut sont dfinies (voir plus bas). (En modifiant
les constantes  la compilation, on peut modifier la rpartition entre
le nombre maximal de lecteurs de bandes et le nombre de numros mineurs
pour chaque lecteur. Les allocations par dfaut permettent de contrler
32 lecteurs de bandes, alors qu'il est possible de contrler jusqu'
64 lecteurs avec deux numros mineurs pour les options diffrentes.<br/><br/>
Les fichiers spciaux sont crs typiquement ainsi :
.RS

mknod -m 660 /dev/st0   c 9 0
mknod -m 660 /dev/st0l  c 9 32
mknod -m 660 /dev/st0m  c 9 64
mknod -m 660 /dev/st0a  c 9 96
mknod -m 660 /dev/nst0  c 9 128
mknod -m 660 /dev/nst0l c 9 160
mknod -m 660 /dev/nst0m c 9 192
mknod -m 660 /dev/nst0a c 9 224


<br/><br/>
Il n'existe pas de priphriques blocs correspondants.<br/><br/>
Le driver utilise une mmoire tampon interne qui doit tre assez large pour
contenir au moins un bloc de donnes de bande. Dans les noyaux prcdents le
2.1.121, le buffer tait allou sous forme de bloc continu. Ceci limitait la
taille de bloc au plus grand espace contigu disponible pour l'allocation du
noyau. Cette limite est actuellement de 128 Ko pour les architecture 32 bits
et 254 Ko pour les 64 bits. Dans les noyaux plus rcents, le driver alloue
la mmoire tampon en plusieurs parties si ncessaire. Par dfaut le nombre
maximal de parties est 16. Ceci signifie que la taille maximale de bloc est
trs grande (2 Mo si l'allocation de 16 blocs de 128 Ko russit).<br/><br/>
La taille de la mmoire tampon interne est dtermine par une constante  la
compilation du noyau, que l'on peut craser par une option de dmarrage du
systme. De plus, le driver essaie d'allouer un buffer temporaire plus grand
lors de son excution si cela s'avre ncessaire. Toutefois l'allocation 
l'excution de grands blocs contigus peut chouer, et il vaut mieux ne pas
compter dessus avec les noyaux antrieurs au 2.1.121.<br/><br/>
Le driver ne supporte pas spcifiquement un type ou une marque de lecteur
de bande. Aprs le dmarrage du systme, les options du priphriques sont
dfinies par le micro-code du priphrique. Par exemple si celui-ci rclame
un mode de blocs fixes, le driver de bandes utilisera ce mode. Les options
peuvent tre modifies par des appels
<b>ioctl()</b> <b></b>  explicites, et restent effectives lorsque le priphrique est ferm puis
rouvert. La configuration des options affecte aussi bien les priphriques
auto-rewind que les non-rewind.<br/><br/>
Des options diffrentes peuvent tre fournies pour diffrents priphriques au
sein du sous-groupe de quatre. Les options prennent effet quand le priphrique
est ouvert. Par exemple un administrateur peut dfinir un dispositif qui
crit en mode blocs fixes avec une certaine taille, et un qui crit avec des
blocs de longueurs variables (si le priphrique accepte les deux modes).<br/><br/>
Le driver supporte les
<b>partitions</b> <b></b>  <b>de</b> <b></b>  <b>bandes"</b> <b></b>  si elles sont acceptes par le lecteur. (Notez que les partitions de bande
n'ont rien  voir avec les partitions de disques. Une bande partitionne
peut tre vue comme un ensemble de bandes logiques dans le mme support).
Le support des partitions doit tre activ par un ioctl. L'emplacement de
la bande est sauvegard au sein de chaque partition au cours des changements
de partitions. La partition utilise pour les oprations suivantes est
slectionne avec un ioctl. Le changement de partition est excut au moment
de la prochaine opration bande pour viter les mouvements inutiles de la bande.
Le nombre maximal de partitions sur une bande est dfini par une constante 
la compilation (4  l'origine). Le driver contient un ioctl qui peut formater
une bande avec une ou deux partitions.<br/><br/>
Le fichier spcial de priphrique
<b>/dev/tape</b> <b></b>  est gnralement un lien symbolique, ou mme un lien matriel sur
le lecteur de bandes par dfaut.
</div><br/><br /><h1 class="TitreSection0" id="L4">transfert des donnes</h1>
<div class="paragraph">
Le driver accepte un fonctionnement aussi bien dans un mode de blocs fixes que
dans un mode de blocs de longueur variable (si c'est accept par le lecteur). En
mode de blocs fixes, le priphrique crit les blocs de la taille indique et
la taille des blocs ne dpend pas de la quantit de donnes transmise lors de
l'appel systme. Dans le mode de longueur variable, un bloc de donne est crit
 chaque appel systme write et le nombre d'octets transmis indique la taille
du bloc correspondant sur la bande. Notez que les blocs sur bande ne contiennent
aucune information sur le mode d'criture utilis. En lecture, la seule chose
importante est d'utiliser une commande qui accepte la taille du bloc sur bande.<br/><br/>
En mode variable, le nombre d'octets  lire n'a pas besoin de correspondre
exactement  la taille du bloc sur bande. Si le nombre demand est plus
grand que la taille du bloc suivant sur la bande, l'appel systme renverra
la quantit de donnes effectivement lues. Si la taille de bloc est plus
grande que le nombre demand, l'appel systme renverra la quantit voulue,
et le reste des donnes est oubli.<br/><br/>
En mode fixe, le nombre d'octets demand peut tre arbitraire si la mmoire
tampon est active, ou un multiple de la taille de bloc si ce tampon est
dsactiv. Les noyaux antrieurs au 2.1.121 permettent l'criture avec un
nombre quelconque si les tampons sont activs. Dans tous les autres cas (y
compris les noyaux plus rcents) le nombre d'octets  crire doit tre un
multiple de la taille des blocs.<br/><br/>
Une marque est automatique crite sur la bande si la dernire opration
avant fermeture tait une criture.<br/><br/>
Lorsqu'une telle marque est rencontre en lecture, les choses suivantes
se produisent. S'il reste des donnes dans le tampon, lorsqu'on trouve la
marque, les donnes en mmoire sont renvoyes. La lecture suivante
renvoie zro octets. La lecture suivante renvoie les donnes du fichier
suivant. La fin des donnes enregistres est signale par un retour de
zro octets pour deux appels successifs en lecture. Le troisime appel
renvoie une erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">ioctls</h1>
<div class="paragraph">
Le driver supporte trois requtes ioctl.
Les requtes non reconnues par
<b>st</b> <b></b>  sont transmises au contrleur
<b>SCSI .</b>
Les dfinitions ci-dessous sont extraites de
<i>/usr/include/linux/mtio.h :</i>
</div><br/><h2 class="TitreSection1" id="L13">\s-1MTIOCTOP\s+1 - Effectue une opration sur la bande.</h2>
<div class="paragraph"><br/><br/>
Cette requte prend un argument du type
<b>(struct mtop *)</b> </b>
indiquant l'opration  effectuer.
Certains contrleurs ne permettent pas toutes les oprations.
Le contrleur renvoie une erreur EIO s'il n'accepte pas l'opration.<br/><br/>

.ta +.4i +.7i +1i
/* Structure \s-1MTIOCTOP\s+1 -  pour les oprations sur bande */
struct mtop {
	short	mt_op;		/* oprations dfinies ci-dessous */
	int	mt_count;	/* combien d'oprations           */
};

<br/><br/>
Oprations sur bande magntique lors d'une utilisation normale&nbsp;:<br/><br/>
[NDT] Je conserve les termes de <i>filemark</i>, et <i>setmark</i> 
dfaut de termes prcis en franais.<br/><br/><br/><br/>D 0
</div><div class="paragraph">MTBSF<br/>
Reculer la bande de
<b>mt_count</b> <b></b>  filemarks.
.IP MTBSFM
Reculer la bande de
<b>mt_count</b> <b></b>  filemarks.
Repositionner la bande sur le ct EOT de la dernire filemark.
.IP MTBSR
Reculer la bande de
<b>mt_count</b> <b></b>  enregistrements (blocs bande).
.IP MTBSS
Reculer la bande de
<b>mt_count</b> <b></b>  setmarks.
.IP MTCOMPRESSION
Valider la compression des donnes sur bande dans le lecteur si
<b>mt_count</b> <b></b>  est non-nul, et dsactiver la compression si
<b>mt_count</b> <b></b>  est nul. Cette commande utilise la page MODE 15 support par la plupart des DATs.
.IP MTEOM
Aller  la fin des enregistrements (ajouter des fichiers).
.IP MTERASE
Effacer la bande.
.IP MTFSF
Avancer la bande de
<b>mt_count</b> <b></b>  filemarks.
.IP MTFSFM
Avancer la bande de
<b>mt_count</b> <b></b>  filemarks.
Positionner la bande du ct BOT de la dernire filemark.
.IP MTFSR
Avancer de
<b>mt_count</b> <b></b>  enregistrements (blocs bande).
.IP MTFSS
Avancer de
<b>mt_count</b> <b></b>  setmarks.
.IP MTLOAD
Excuter la commande de chargement SCSI. Un cas particulier se prsenter
avec certains chargeurs automatiques HP. Si 
<b>mt_count</b> <b></b>  correspond  somme de la constante MT_ST_HPLOADER_OFFSET et d'un nombre,
ce dernier est envoy au pilote pour contrler le chargeur automatique.
.IP MTLOCK
Verrouiller la porte du lecteur de bande.
.IP MTMKPART
Formater la bande en une ou deux partitions. Si
<b>mt_count</b> <b></b>  est non-nul, il correspond  la taille de la premire partition, et
la seconde partition correspond au reste de la bande. Si
<b>mt_count</b> <b></b>  est nul, la bande n'est formate qu'en une seule partition.
Cette commande n'est autorise que si le support de partitionnement
est activ pour le lecteur (voir MT_ST_CAN_PARTITIONS plus bas).
.IP MTNOP
Ne rien faire - Vider les buffers du driver - A utiliser
avant de lire le statut avec \s-1MTIOCGET\s+1.
.IP MTOFFL
Rembobiner la bande et teindre le lecteur.
.IP MTRESET
Rinitialiser le lecteur.
.IP MTRETEN
Retendre la bande.
.IP MTREW
Rembobiner la bande.
.IP MTSEEK
Rechercher sur la bande le bloc numro
<b>mt_count .</b>
Cette opration ncessite soit un contrleur SCSI-2 qui supporte la
commande \s-1LOCATE\s+1 (adresse spcifique au priphrique), soit
un lecteur SCSI-1 compatible Tandberg (Tandberg, Archive
Viper, Wangtek, ... ).
Le numro de bloc devrait toujours tre un numro renvoy prcdemment
par \s-1MTIOCPOS\s+1 si les adresses spcifiques au lecteur sont utilises.
.IP MTSETBLK
Positionner la longueur de blocs du lecteur  la valeur spcifie dans
<b>mt_count .</b>
Une longueur de bloc nulle place le lecteur dans le mode de blocs de
tailles variables.
.IP MTSETDENSITY
Fixe la densit de la bande  celle code dans
<b>mt_count .</b>
Les codes des densits acceptes par un lecteur sont disponibles
dans la documentation de celui-ci.
.IP MTSETPART
La partition active devient celle indique par
<b>mt_count</b> <b></b>  <b>.</b> <b></b>  Les partitions sont numrotes depuis zro. Cette commande n'est autorise
que si le support de partitionnement est activ pour le lecteur (voir
MT_ST_CAN_PARTITIONS plus bas).
.IP MTUNLOAD
Excuter la commande de dchargement SCSI (n'jecte pas la bande).
.IP MTUNLOCK
Dverrouiller la porte du lecteur de bande.
.IP MTWEOF
crire
<b>mt_count</b> <b></b>  filemarks.
.IP MTWSM
crire
<b>mt_count</b> <b></b>  setmarks.<br/><br/>D<br/><br/>
Fonctions de configuration du lecteur de bande magntique
(pour le Super-Utilisateur) :<br/><br/>D 0
</div><div class="paragraph">MTSETDRVBUFFER<br/>
Positionner diverses options du contrleur ou du lecteur en fonction
des bits encods dans
<b>mt_count .</b>
Ces options concernent le type de buffer du lecteur, 13 options
boolennes du contrleur, le seuil d'criture du buffer, les valeurs
par dfaut des tailles de blocs et de densit, ainsi que les dlais
(noyaux &gt;= 2.1).
Une fonction n'agit que sur un seul des lments de la liste ci-dessus
 la fois.<br/><br/>D
.IP
Une valeur ayant ses 4 bits de poids forts  0 sera utilise pour indiquer le
type de buffer du lecteur. Les types de buffer sont :
.RS 12
</div><div class="paragraph">0<br/>
Le contrleur ne renverra pas le statut \s-1BON\s+1 en criture avant que
les donnes ne soient rellement crites sur le support.<br/><br/>D 0
.IP 1
Le contrleur peut renvoyer le statut \s-1BON\s+1 en criture ds que les
donnes ont t transmises aux buffers internes du lecteur de bande.
.IP 2
Le contrleur peut renvoyer le statut \s-1BON\s+1 en criture ds que les
donnes ont t transmises aux buffers internes du lecteur de bande, si
toutes les critures prcdentes des buffers 
sur le support se sont droules correctement.<br/><br/>D

.IP ""
Pour contrler le seuil d'criture, on doit inclure dans 
<b>mt_count</b> <b></b>  la constante
\s-1MT_ST_WRITE_THRESHOLD\s+1 associe avec le nombre de blocs dans
les 28 bits de poids faibles par un <i>OU</i> binaire ( | ).
Le nombre de blocs concerne des blocs de 1024 octets, et non pas la
taille physique des blocs sur la bande.
Le seuil ne peut pas excder la taille des buffers internes du contrleur.
(voir
<b>\s-1DESCRIPTION\s+1 ,</b>
plus bas).
.IP
Pour valider ou invalider les options boolennes, la valeur
<b>mt_count</b> <b></b>  doit inclure l'une des constantes \s-1MT_ST_BOOLEANS\s+1
\s-1MT_ST_SETBOOLEANS\s+1, \s-1MT_ST_CLEARBOOLEANS\s+1, ou
\s-1MT_ST_DEFBOOLEANS\s+1
associes par un <i>OU</i>
binaire avec une combinaison des options dcrites ci-dessous.<br/><br/>
Avec \s-1MT_ST_BOOLEANS\s+1 les options sont dfinies avec les
valeurs indiques. Avec \s-1MT_ST_SETBOOLEANS\s+1 les options
sont actives slectivement et inhibes avec \s-1MT_ST_DEFBOOLEANS\s+1.
.IP ""
Les options par dfaut pour un contrleur de bande sont choisies avec
\s-1MT_ST_DEFBOOLEANS\s+1. Un priphrique non-actif (par exemple avec
un numro mineur de 32 ou 160) est activ lorsque les options par dfaut
sont dfinies pour la premire fois. Un priphrique actif hrite des
options non fixes explicitement du priphrique actif au dmarrage.<br/><br/>
Les options boolennes sont :
.IP<br/><br/>D 0
.RS
</div><div class="paragraph">\s-1MT_ST_BUFFER_WRITES\s+1  (Dfaut:<br/>
oprations d'criture dans la mmoire tampon en mode de blocs fixes.
Si cette option est invalide, et si l'enregistreur utilise une longueur
de bloc fixe, toutes les oprations d'criture doivent se faire avec une
longueur multiple de celle du bloc.
Cette option doit tre fausse pour crer des archives multi-volumes
fiables.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_ASYNC_WRITES\s+1  (Dfaut:<br/>
Quand cette option est valide, les oprations d'criture retournent
immdiatement si les donnes tiennent dans le buffer du driver, sans 
attendre que celles-ci soient effectivement transmises au lecteur de
bande.
Le seuil du buffer d'criture dtermine le taux de remplissage du
buffer avant d'effectuer une commande SCSI.
Toute erreur renvoye par le priphrique sera conserve jusqu' 
l'opration suivante.
Cette option doit tre fausse pour crer des archives multi-volumes
fiables.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_READ_AHEAD\s+1  (Dfaut:<br/>
Cette option indique au driver de fournir un cache en lecture, ainsi
qu'une lecture anticipe des donnes en mode de blocs fixes.
Si cette option est invalide, et que le lecteur utilise une taille de
blocs fixe, toutes les oprations de lecture doivent se faire avec une
taille multiple de celle du bloc.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_TWO_FM\s+1  (Dfaut:<br/>
Cette option modifie le comportement du driver quand un fichier est
ferm. L'attitude normale consiste  crire une seule filemark, nanmoins
si cette option est valide, le driver crira deux filemarks et
replacera la tte au-dessus de la seconde.<br/><br/>D
.IP
Note:
Cette option ne doit pas tre utilise avec les lecteurs de bandes QIC 
car ils ne sont pas capables d'craser une filemark.
Ces lecteurs dtectent la fin des donnes enregistres en cherchant
de la bande vierge  la place des deux filemarks conscutives habituelles.
La plupart des autres lecteurs courants dtectent galement la prsence
de bande vierge, aussi l'utilisation des deux filemarks n'est gnralement
utile que lors d'change de bandes avec d'autres systmes.<br/><br/><br/><br/>D 0
</div><div class="paragraph">\s-1MT_ST_DEBUGGING\s+1  (Dfaut:<br/>
Cette option valide les divers messages de dbogage du driver, si
celui-ci a t compil avec la constante \s-1DEBUG\s+1 ayant une valeur non-nulle).<br/><br/>
</div><div class="paragraph">\s-1MT_ST_FAST_EOM\s+1  (Dfaut:<br/>
Cette option indique que les oprations \s-1MTEOM\s+1 doivent tre envoyes
directement au lecteur, ce qui peut acclrer les oprations, mais aussi
faire perdre au driver le compte des pistes du fichier en cours, normalement 
renvoy par la requte \s-1MTIOCGET\s+1.
Si \s-1MT_ST_FAST_EOM\s+1 est fausse, le contrleur rpondra  une
requte \s-1MTEOM\s+1 en sautant en avant de fichiers en fichiers.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_AUTO_LOCK\s+1 (Dfaut:<br/>
Lorsque cette option est vraie, la porte du lecteur est verrouille lorsque
le fichier priphrique est ouvert, et dverrouille lorsque le priphrique
est referm.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_DEF_WRITES\s+1 (Dfaut:<br/>
Les options de bande (taille de bloc, mode, compression...) peuvent varier
lorsque l'on passe d'un priphrique li  un lecteur  un autre
priphrique correspondant au mme lecteur.
Cette option dfinit si les changements sont fournis au pilote en utilisant
les commandes SCSI, et si les capacits d'auto-dtection du lecteur sont
fiables. Si l'option est fausse, le pilote envoie les commandes SCSI
immdiatement lorsque le priphrique change. Si cette option est vraie, 
les commandes SCSI ne sont pas envoyes avant une demande d'criture.
Dans ce cas, le micro-code est habilit  dtecter la structure de la
bande lors de la lecture, et les commandes SCSI ne sont utilises que pour
tre srs que la bande soit crite correctement.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_CAN_BSR\s+1 (Dfaut:<br/>
Lorsque la lecture anticipe est utilise, la bande doit parfois tre ramene
en arrire en position correcte lors de la fermeture du priphrique, et 
on utilise alors la commande SCSI pour sauter en arrire par dessus
les enregistrements. Certains anciens lecteurs ne traitent pas correctement
cette commande, et cette option permet d'en avertir le pilote. Le rsultat
final est qu'une bande avec bloc fixes et lecture anticipe peut tre
mal positionne dans un fichier lors de la fermeture du priphrique.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_NO_BLKLIMS\s+1 (Dfaut:<br/>
Certains lecteurs n'acceptent pas la commande de lecture des limites
de blocs. Si l'on utilise cette option, le pilote n'invoque pas cette
commande. L'inconvnient est que le pilote ne peut pas vrifier, avant
d'envoyer des commandes, si la taille de bloc choisie est accepte par
le lecteur.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_CAN_PARTITIONS\s+1 (Dfaut:<br/>
Cette option active le support des partitions multiples sur une bande.
Cette option s'applique  tous les priphriques lis au lecteur.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_SCSI2LOGICAL\s+1 (Dfaut:<br/>
Cette option indique au pilote d'utiliser les adresses de blocs logiques
dfinies dans le standard SCSI-2, lors de oprations de positionnement
et de lecture de la position (aussi bien lors des commandes MTSEEK et
MTIOCPOS que lors des changements de partitions).
Sinon il utilise les adresses spcifiques au priphrique.
Il est trs recommand d'activer cette option si le lecteur supporte
les adresses logiques car elles contiennent galement les filemarks.
Il existe d'ailleurs quelques lecteurs qui ne supportent que les
adresses logiques.<br/><br/>
</div><div class="paragraph">\s-1MT_ST_SYSV\s+1 (Dfaut:<br/>
Lorsque cette option est valide, les priphriques de bande utilisent
la smantique Systme V. Sinon ils utilisent la smantique BSD. La
diffrence principale est le comportement lors de la fermeture d'un
priphrique en lecture. Avec Systme V, la bande est positionne en avant
 la suite de la filemark suivante si cela n'a pas dj eu lieu lors de la
lecture. Dans la smantique BSD, la position ne change pas.
.IP \s-1EXEMPLE\s+1

.ta +.4i +.7i +1i
<b>struct mtop </b> mt_cmd ;
<i>mt_cmd.mt_op</i> <b> = \s-1MTSETDRVBUFFER\s+1;</b>
<i>mt_cmd.mt_count</i> <b> = \s-1MT_ST_BOOLEANS\s+1 |</b>
<b>		\s-1MT_ST_BUFFER_WRITES\s+1</b> <b></b>  <b>|"</b> <b></b>  <b>		\s-1MT_ST_ASYNC_WRITES\s+1;"</b> <b></b>  <b>ioctl(</b> fd <i>, \s-1MTIOCTOP\s+1, &</i> mt_cmd <b>);</b>


<br/><br/>D
.IP ""
La taille de bloc par dfaut pour un priphrique peut tre configure
avec \s-1MT_ST_DEF_BLKSIZE\s+1 et le code de densit par dfaut avec
\s-1MT_ST_DEFDENSITY\s+1. Les valeurs des paramtres sont associes par
un OU logique avec le code opratoire.
.IP ""
Avec les noyaux 2.1.x et ultrieurs, la valeur de dlai maximum peut
tre fournie avec la sous-commande \s-1MT_ST_SET_TIMEOUT\s+1 
associe par OU avec le dlai en seconde.
Le dlai long (utilis pour les rembobinages ou les commandes pouvant
durer longtemps) peut tre configur avec \s-1MT_ST_SET_LONG_TIMEOUT\s+1.
Les valeurs par dfaut du noyau sont trs longues pour tre sre qu'une
commande valide ne soit jamais interrompue pour dpassement de dlai, et
ceci quelque soit le lecteur. A cause de cela, le pilote peut parfois
sembler gel alors qu'il est en attente de dpassement de dlai. Ces commandes
permettent donc de fixer des valeurs plus pratiques pour un lecteur donn.
Les dlais fixs pour un priphrique s'appliquent  tous les priphriques
lis au mme lecteur.
</div><br/><h2 class="TitreSection1" id="L13">\s-1MTIOCGET\s+1 - Obtenir le statut</h2>
<div class="paragraph"><br/><br/>
Cette requte prend un argument du type
<b>(struct mtget *)</b> .<br/><br/></b>

/* Structure pour \s-1MTIOCGET\s+1 - Statut d'une bande magntique */
struct mtget {
	long	mt_type;
	long	mt_resid;
	/* Les registres suivants dpendent du matriel */
	long	mt_dsreg;
	long	mt_gstat;
	long	mt_erreg;
	/* Ces deux derniers champs sont parfois inutiliss */
	daddr_t	mt_fileno;
	daddr_t	mt_blkno;
};


</div><div class="paragraph"><b>mt_type</b><br/>
Le fichier d'en-tte dfinit plusieurs valeurs pour
<b>mt_type ,</b>
mais le driver actuel renvoie uniquement les types gnriques
\s-1MT_ISSCSI1\s+1 (lecteur SCSI-1 gnrique) et \s-1MT_ISSCSI2\s+1 (lecteur SCSI-2 gnrique).<br/><br/>D 0
.IP <b>mt_resid</b>
contient le numro de partition courante.
.IP <b>mt_dsreg</b>
renvoie la configuration actuelle de la longueur de bloc (dans les 24 bits de poids faibles)
et la densit (dans les 8 bits de poids forts).
Ces champs sont dfinis par \s-1MT_ST_BLKSIZE_SHIFT\s+1, \s-1MT_ST_BLKSIZE_MASK\s+1,
\s-1MT_ST_DENSITY_SHIFT\s+1, et \s-1MT_ST_DENSITY_MASK\s+1.
.IP <b>mt_gstat</b>
renvoie des informations gnriques de statut (indpendants du priphrique).
Le fichier d'en-tte dfinit les macros suivantes pour tester les bits de statut :
.RS
.HP 4
\s-1GMT_EOF(\s+1<i>x</i>) :
La bande est positionne juste aprs une filemark (toujours faux aprs une
opration \s-1MTSEEK\s+1).
.HP
\s-1GMT_BOT(\s+1<i>x</i>) :
La bande est positionne juste au dbut du premier fichier (toujours faux
aprs une opration \s-1MTSEEK\s+1).
.HP
\s-1GMT_EOT(\s+1<i>x</i>) :
Une opration a atteint la fin physique de la bande (End Of Tape).
.HP
\s-1GMT_SM(\s+1<i>x</i>) :
La bande est positionne sur une setmark (toujours faux aprs une
opration \s-1MTSEEK\s+1).
.HP
\s-1GMT_EOD(\s+1<i>x</i>) :
La bande est positionne  la fin des donnes enregistres.
.HP
\s-1GMT_WR_PROT(\s+1<i>x</i>) :
La bande est protge en criture. Pour certains enregistreurs
ceci signifie qu'ils ne supportent pas l'criture sur ce type de bande.
.HP
\s-1GMT_ONLINE(\s+1<i>x</i>) :
La dernire opration
<b>open()</b> <b></b>  a trouv le lecteur prt  agir, avec une bande  l'intrieur.
.HP
\s-1GMT_D_6250(\s+1<i>x</i>), \s-1GMT_D_1600(\s+1<i>x</i>), \s-1GMT_D_800(\s+1<i>x</i>) :
Ces informations \(lqgnriques\(rq de statut renvoient la densit actuelle des lecteurs
de bandes 9-pistes \(12" seulement.
.HP
\s-1GMT_DR_OPEN(\s+1<i>x</i>):
Le lecteur ne contient pas de bande.
.HP
\s-1GMT_IM_REP_EN(\s+1<i>x</i>):
Mode de rapport immdiat.
Ce bit est activ lorsqu'il n'y a aucune assurance que les donnes aient t
physiquement crite sur la bande lors du retour de l'appel systme. Le bit
est  zro seulement lorsque le lecteur ne cache pas les donnes et que
le pilote est configur pour ne pas faire de cache non plus.

.IP <b>mt_erreg</b>
Le seul champ dfini dans
<b>mt_erreg</b> <b></b>  est le nombre d'erreurs corriges, dans les 16 bits de poids faibles
(comme dfini par les masques \s-1MT_ST_SOFTERR_SHIFT\s+1 et \s-1MT_ST_SOFTERR_MASK\s+1).
A cause d'incompatibilits dans les mthodes utilises par les lecteurs
pour rendre compte des corrections d'erreur, cette valeur n'est pas toujours
fournie (la plupart des lecteurs ne renvoient pas, par dfaut, les erreurs
corriges, mais cela peut tre modifi avec la commande SCSI MODE SELECT).
.IP <b>mt_fileno</b>
renvoie le numro du fichier en cours (commenant  0). La valeur
est mise a -1 si le numro du fichier est inconnu (par exemple aprs
un \s-1MTBSS\s+1 ou un \s-1MTSEEK\s+1).
.IP <b>mt_blkno</b>
renvoie le numro de bloc (commenant  0)  l'intrieur du fichier en cours.
Cette valeur est mise  -1 quand le numro de bloc est inconnu (par exemple
aprs un \s-1MTBSF\s+1, un \s-1MTBSS\s+1, ou un \s-1MTSEEK\s+1).<br/><br/>D
</div><br/><h2 class="TitreSection1" id="L13">\s-1MTIOCPOS\s+1 - Obtenir la position de la bande</h2>
<div class="paragraph"><br/><br/>
Cette requte prend un argument du type
<b>(struct</b> <b></b>  <b>mtpos</b> <b></b>  <b>*)"</b> <b></b>  et renvoie une valeur, spcifique au lecteur, correspondant au numro de bloc
en cours, et qui n'est pas la mme que
<b>mt_blkno</b> <b></b>  renvoye par \s-1MTIOCGET\s+1.
Ce lecteur doit tre un SCSI-2 qui supporte la commande \s-1READ POSITION\s+1
ou un lecteur SCSI-1 compatible Tandberg (Tandberg, Archive Viper, Wangtek, ... ).<br/><br/>

/* Structure pour commande \s-1MTIOCPOS\s+1 - Obtenir la position */
struct	mtpos {
	long 	mt_blkno;	/* current block number */
};<br/><br/>


</div><br/><br /><h1 class="TitreSection0" id="L6">valeur renvoye</h1>
<div class="paragraph">
</div><div class="paragraph">EIO<br/>
L'opration demande a chou.
.IP ENOSPC
Une criture a chou car la fin de bande a t atteinte.
.IP EACCES
Tentative d'criture ou d'effacement sur une bande protge en criture.
(Ceci ne peut pas tre dtect lors de 
<b>open() .)</b>
.IP EFAULT
Le paramtre de commande pointe en dehors de la mmoire adressable par
le processus appelant.
.IP ENXIO
Durant l'ouverture, le lecteur de bande n'existe pas.
.IP EBUSY
Le priphrique est dj utilis ou le driver n'a pas assez de mmoire.
.IP EOVERFLOW
Tentative de lire ou d'crire un bloc de longueur variable plus grand
que la taille des buffers internes du contrleur.
.IP EINVAL
Un appel systme
<b>ioctl()</b> <b></b>  a un argument illgal, ou la taille de bloc demande tait incorrecte.
.IP ENOSYS
Appel systme
<b>ioctl() </b>
inconnu.
.IP EROFS
On tente l'ouverture avec O_WRONLY ou O_RDWR alors que la bande est
protge en criture.
</div><br/><br /><h1 class="TitreSection0" id="L7">fichiers</h1>
<div class="paragraph">
/dev/st*  : Les lecteurs de bandes SCSI  rembobinage automatique
<br/>
/dev/nst* : Les lecteurs de bandes SCSI sans rembobinage automatique
</div><br/><br /><h1 class="TitreSection0" id="L8">auteur</h1>
<div class="paragraph">
Le pilote a t crit par Kai M\(:akisara (Kai.Makisara@metla
)
 partir d'un pilote crit par Dwayne Forsyth. Plusieurs autres personnes
ont galement collabor  l'criture du pilote.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>mt (1)<br/><br/></b>
Le fichier README.st dans les sources du noyau contient les informations
les plus rcentes  propos du pilote et de ses capacits de configuration.
</div><br/><br /><h1 class="TitreSection0" id="L10">notes</h1>
<div class="paragraph">
1. Lors d'un change de donnes entre systmes diffrents, il faut se
mettre d'accord sur la taille des blocs. Les paramtres d'un lecteur
aprs le dmarrage sont souvent diffrents de ceux qu'utilisent la
plupart des autres systmes d'exploitation.
La plupart utilisent un mode de blocs de longueur variable si le lecteur
le permet. Ceci concerne la plupart des lecteurs modernes, y compris
les DATs, les lecteurs 8mm hlicodaux, les DLTs... Il peut tre
judicieux d'utiliser ces lecteurs en mode de longueur variable sous
Linux aussi (en utilisant MTSETLK ou MTSETDEFBLK au dmarrage), du moins
lors de l'change de donnes avec des systmes d'exploitation diffrents.
L'inconvnient de ceci est qu'il faut utiliser une taille de bloc 
assez grande pour obtenir des taux de transfert acceptable sur un bus SCSI.<br/><br/>
2. Beaucoup de programmes (comme tar par exemple) permettent  l'utilisateur
de spcifier le facteur de blocage sur la ligne de commande. Notez que ceci
dtermine la taille de bloc physique uniquement en mode de bloc de taille
variable.<br/><br/>
3. Pour utiliser les lecteurs de bandes SCSI, le pilote SCSI de base, un
pilote d'adaptateur SCSI et le pilote du lecteur SCSI doivent tous tre
configurs dans le noyau ou chargs comme modules. Si le pilote 
des bandes SCSI n'est pas prsent, le lecteur est reconnu, mais le support
de bande dcrit dans cette page n'est pas disponible.<br/><br/>
4. Le pilote crit les messages d'erreur sur la console et/ou les fichiers
de journalisation (log). Les codes SENSE prsents dans certains messages
sont automatiquement traduits en texte si les messages SCSI complets
sont activs dans la configuration du noyau.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L11">copyright</h1>
<div class="paragraph">
1995 Robert K. Nichols.
1999 Kai M\(:akisara.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L12">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
