<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1995 James R. Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  Sat Feb 18 09:11:07 EST 1995 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified, Sun Feb 26 15:08:05 1995, faith@cs.unc.edu -->
<!--  " -->
<!--  -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  LDP 1.47 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>VCS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">exemples</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">auteur</a>
<br /><a class="summaryIndent0" href="#L5">historique</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
vcs, vcsa - Mmoires des consoles virtuelles.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
<b>/dev/vcs0</b> est un priphrique caractres de numro majeur 7 et
de numro mineur 0, avec les permissions 0644 et un propritaire root.tty.<br/><br/>
Il correspond  la mmoire d'affichage de la console virtuelle en
cours d'utilisation.<br/><br/>
<b>/dev/vcs[1-63]</b> sont des priphriques caractres reprsentant
la mmoire d'affichage des consoles virtuelles. 
Ils ont un numro majeur 7 et des numros mineurs 1  63.
Ils ont gnralement un mode d'accs 0644 et un propritaire root.tty.<br/><br/>
Les <b>/dev/vcsa[0-63]</b> sont quivalents mais incluent en plus les
attributs, et sont prfixs avec 4 octets indiquant les dimensions
de l'cran et la position du curseur :
<i>lines</i>, <i>columns</i>, <i>x</i>, <i>y</i>.
(<i>x</i> = <i>y</i> = 0 en haut  gauche de l'cran.)<br/><br/>
Ceci remplace les
<i>ioctl s</i>
"screendump" de <b>console</b>(4), ainsi
l'administrateur peut contrler les accs en utilisant les
permissions du systme de fichiers.<br/><br/>
Les priphriques pour les 8 premires consoles virtuelles peuvent
tre crs ainsi :<br/><br/>

	for x in 0 1 2 3 4 5 6 7 8; do 
		mknod -m 644 /dev/vcs$x c 7 $x;
		mknod -m 644 /dev/vcsa$x c 7 $[$x+128];
	done
	chown root:tty /dev/vcs*

<br/><br/>
Aucune requte
<i>ioctl ()</i>
n'est supporte.
</div><br/><br /><h1 class="TitreSection0" id="L3">exemples</h1>
<div class="paragraph">
On peut faire un screendump de la console vt3 en basculant sur
vt1 et en tapant <i>cat /dev/vcs3 &gt;foo</i>. 
Notez que la sortie ne contient pas de caractres de retour-chariot,
aussi quelques manipulations peuvent tre ncessaires comme
<i>fold -w 81 /dev/vcs3 | lpr</i> ou (horrible !)
<i>setterm -dump 3 -file /proc/self/fd/1</i>.<br/><br/>
Ce programme affiche le caractre et l'attribut d'cran sous le curseur
de la seconde console virtuelle, puis y change la couleur de fond :<br/><br/>

	#include &lt;unistd.h&gt;
	#include &lt;stdio.h&gt;
	#include &lt;fcntl.h&gt;<br/><br/>
	int main ()
	{	int fd;
		struct {char lines, cols, x, y;} scrn;
		char ch, attrib;<br/><br/>
		fd = open("/dev/vcsa2", O_RDWR);
		(void)read(fd, &scrn, 4);
		(void)lseek(fd, 4 + 2*(scrn.y*scrn.cols + scrn.x), 0);
		(void)read(fd, &ch, 1);
		(void)read(fd, &attrib, 1);
		printf("ch='%c' attrib=0x%02x\\n", ch, attrib);
		attrib ^= 0x10;
		(void)lseek(fd, -1, 1);
		(void)write(fd, &attrib, 1);
	}

<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
/dev/vcs[0-63]
<br/>
/dev/vcsa[0-63]
</div><br/><br /><h1 class="TitreSection0" id="L5">auteur</h1>
<div class="paragraph">
Andries Brouwer &lt;aeb@cwi.nl&gt;
</div><br/><br /><h1 class="TitreSection0" id="L6">historique</h1>
<div class="paragraph">
Introduits dans la version 1.1.92 du noyau Linux.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>console (4),</b>
<b>tty (4),</b>
<b>ttys (4),</b>
<b>selection (1)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
