<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey emacs, this is -*- nroff -*- -->
<!--  -->
<!--  This file is part of locale(1) which displays the settings of the  -->
<!--  current locale. -->
<!--  Copyright (C) 1994  Jochen Hein (Hein@Student.TU-Clausthal.de) -->
<!--  -->
<!--  This program is free software; you can redistribute it and/or modify -->
<!--  it under the terms of the GNU General Public License as published by -->
<!--  the Free Software Foundation; either version 2 of the License, or -->
<!--  (at your option) any later version. -->
<!--  -->
<!--  This program is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public License -->
<!--  along with this program; if not, write to the Free Software -->
<!--  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. -->
<!--  -->
<!--  -->
<!--  Traduction 16/07/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>CHARMAP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">syntaxe</a>
<br /><a class="summaryIndent0" href="#L3">noms symboliques</a>
<br /><a class="summaryIndent0" href="#L4">encodage des caractres</a>
<br /><a class="summaryIndent0" href="#L5">fichiers</a>
<br /><a class="summaryIndent0" href="#L6">auteur</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
charmap - Noms symboliques dfinissant l'encodage des caractres.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Une description de table de caractres (charmap) dfinit une liste des
caractres disponibles, et leur encodage. Tous les jeux de caractres
doivent contenir, comme sous-ensemble, le 
<b>jeu de caractres standards</b> .</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">syntaxe</h1>
<div class="paragraph">
Le fichier de table de caractres commence par un en-tte contenant les
mots-cls suivants&nbsp;:
<br/><br/>

<i>&lt;codeset&gt;</i> suivi du nom du code de l'ensemble.
<br/><br/>

<i>&lt;mb_cur_max&gt;</i> suivi du nombre maximum d'octets pour un caractre multi-octets. Ces
derniers ne sont pas encore supports  l'heure actuelle. La valeur
par dfaut est 1.
<br/><br/>

<i>&lt;mb_cur_min&gt;</i> suivi du nombre minimum d'octets par caractre. Cette valeur est videmment
infrieure ou gale  
<b>mb_cur_max.</b> <b></b>  Par dfaut elle est gale  ce dernier.
<br/><br/>

<i>&lt;escape_char&gt;</i> suivi d'un caractre qui sera interprt comme caractre d'chappement
pour le reste du fichier, afin d'indiquer les caractres ayant une
signification spciale. Par dfaut il s'agit du backslash (
<b>\\\\</b> <b></b>  <b></b>  <b></b>  ).
<br/><br/>

<i>&lt;comment_char&gt;</i> suivi d'un caractre qui servira  introduire des commentaires dans le
reste du fichier. Par dfaut il s'agit du dise (
<b>#</b> <b></b>  ).<br/><br/><br/><br/>
La dfinition de la table de caractres elle-mme commence avec le mot-cl
<b>CHARMAP</b> <b></b>  en colonne 1.<br/><br/>
Les lignes suivantes peuvent prendre l'une des formes suivantes pour
dfinir l'encodage du caractre :
<br/><br/>

<i>&lt;nom-symbolique&gt; &lt;encodage&gt; &lt;commentaires&gt;</i> Ceci dfinit un seul caractre et son encodage.<br/><br/>
<br/><br/>

<i>&lt;nom-symbolique&gt;...&lt;nom-symbolique&gt; &lt;encodage&gt; &lt;commentaires&gt;</i> Ceci dfinit plusieurs caractres. Ce n'est utile qu'avec les caractres
multi-octets, qui ne sont pas supports  l'heure actuelle.<br/><br/><br/><br/>
La dernire ligne d'un fichier de table de caractres doit contenir
<b>END</b> <b></b>  <b>CHARMAP.</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L4">noms symboliques</h1>
<div class="paragraph">
Le
<b>nom</b> <b></b>  <b>symbolique</b> <b></b>  d'un caractre ne doit contenir lui-mme que des caractres du
<b>jeu</b> <b></b>  <b>standard.</b> <b></b>  Le nom est encadr par &lt; et &gt;.
Le caractre plac  la suite d'un caractre d'chappement
<b>&lt;escape_char&gt;</b> <b></b>  <b></b>  prend sa valeur propre. Par exemple la chane
<b>'&lt;\\\\\\\\\\\gt;&gt;'</b> <b></b>  reprsente le nom symbolique
<b>'\\\gt;'</b> <b></b>  encadr par &lt; et &gt;.
</div><br/><br /><h1 class="TitreSection0" id="L5">encodage des caractres</h1>
<div class="paragraph">
L'encodage peut rendre l'une des trois formes suivantes :
<br/><br/>

<i>&lt;caractre_d_chappement&gt;d&lt;nombre_dcimal&gt;</i> <br/><br/>

<i>&lt;caractre_d_chappement&gt;x&lt;nombre_hexadcimal&gt;</i> <br/><br/>

<i>&lt;caractre_d_chappement&gt;&lt;nombre_octal&gt;<br/><br/></i> </div><br/><br /><h1 class="TitreSection0" id="L6">fichiers</h1>
<div class="paragraph">
<i>/usr/share/i18n/charmaps/* </i> </div><br/><br /><h1 class="TitreSection0" id="L7">auteur</h1>
<div class="paragraph">
Jochen Hein (jochen.hein@delphi.central.de)
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
POSIX.2
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>locale (1),</b>
<b>localedef (1),</b>
<b>setlocale (3),</b>
<b>localeconv (3),</b>
<b>locale (5)   </b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
