<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!-- /* Copyright 1988,1990,1993,1994 by Paul Vixie -->
<!--  * All rights reserved -->
<!--  * -->
<!--  * Distribute freely, except: don't remove my name from the source or -->
<!--  * documentation (don't take credit for my work), mark your changes (don't -->
<!--  * get me blamed for your possible bugs), don't alter or remove this -->
<!--  * notice.  May be sold if buildable source is provided to buyer.  No -->
<!--  * warrantee of any kind, express or implied, is included with this -->
<!--  * software; use at your own risk, responsibility for damages (if any) to -->
<!--  * anyone resulting from the use of this software rests entirely with the -->
<!--  * user. -->
<!--  * -->
<!--  * Send bug reports, bug fixes, enhancements, requests, flames, etc., and -->
<!--  * I'll try to keep a version up to date.  I can be reached as follows: -->
<!--  * Paul Vixie          &lt;paul@vix.com&gt;          uunet!decwrl!vixie!paul -->
<!--  */ -->
<!--  -->
<!--  $Id: crontab.5,v 2.4 1994/01/15 20:43:43 vixie Exp $ -->
<!--   -->
<!--  Traduction 02/05/1999 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 25/07/2003 - vixie-cron-3.0.1 -->
<!--  -->
<br/><h1>CRONTAB</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">exemple de fichier crontab</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">extensions</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
crontab - Table permettant de grer le dmon Cron.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Un fichier
<i>crontab</i> contient des instructions pour le dmon
<i>cron (8).</i>
Ces instructions ont la forme gnrale suivante : ``lancer cette commande
 telle heure, tel jour''.
Chaque utilisateur dispose de sa propre table crontab, et les commandes
contenues dans une table seront excutes sous l'identifiant du propritaire
de la table.
Les pseudo-utilisateurs Uucp et News disposent gnralement de leurs propres
crontabs, ce qui vite d'invoquer explicitement
<i>su (1)</i>
dans une commande cron.<br/><br/>
Les lignes blanches, et les espaces et tabulations en tte de lignes sont
ignores. Les lignes dont le premier caractre non-blanc est un dise (#) sont
considres comme des commentaires, et sont galement ignores.
Notez que les commentaires ne peuvent pas se trouver sur la mme ligne
qu'une commande cron, car ils seraient considrs comme des arguments
en ligne pour la commande  invoquer.
De mme, un commentaire ne peut pas se trouver sur la mme ligne qu'une
affectation de variable d'environnement.<br/><br/>
Une ligne active dans une crontab devra donc tre soit une affectation
de variable d'environnement, soit une commande cron. 
Une ligne d'affectation d'environnement est de la forme<br/><br/>
    nom = valeur<br/><br/>
o les espaces autour du signe gal (=) sont facultatifs, et o tous les
espaces ultrieurs feront partie intgrante de la valeur affecte  la
variable ayant le
<i>nom indiqu.</i>
La chane de
<i>valeur</i> peut tre inscrite entre guillemets ou entre quotes afin de protger les
blancs initiaux et finaux.<br/><br/>
Plusieurs variables d'environnement sont automatiquement
configures par le dmon
<i>cron (8).</i>
SHELL est rempli avec /bin/sh, LOGNAME et HOME sont configures
 partir de la ligne de /etc/passwd correspondant au propritaire de la crontab.
HOME et SHELL peuvent tre surchargs par des affectations explicites
dans la crontab, LOGNAME non.<br/><br/>
(Note : la variable LOGNAME est parfois nomme USER sur les systmes BSD,
elle sera alors configure).<br/><br/>
En plus de LOGNAME, HOME, et SHELL,
<i>cron (8)</i>
prendra en compte la variable MAILTO s'il doit envoyer le rsultat d'une
commande excute dans cette crontab. Si MAILTO est dfinie (et non vide),
le rsultat est envoy  l'utilisateur indiqu. Si MAILTO est dfini et vide
(MAILTO=""), aucun courrier ne sera envoy.
Sinon, le courrier sera mis vers le propritaire de la crontab.<br/><br/>
Cette option est utile si vous utilisez /bin/mail comme agent  la place de
/usr/lib/sendmail lorsque vous installez cron. /bin/mail ne gre pas d'alias,
et UUCP ne lit gnralement pas son courrier.<br/><br/>
Le format d'une commande cron est trs proche du standard V7, avec quelques
options gardant une compatibilit ascendante.
Chaque ligne dispose de 5 champs de date et heure, suivi d'un nom d'utilisateur
s'il s'agit du fichier crontab central du systme, suivi d'une commande.
Les commandes sont excutes par
<i>cron (8)</i>
lorsque les champs minute, heure, et mois de l'anne correspondent  la date
<i>et</i> quand au moins l'un des deux autres champs (jour du mois, jour de la semaine)
correspond aussi (voir le paragraphe ``Note'' plus bas).
Notez que les moments non-existants, comme les heures manquantes au moment
des changements d'heure, ne seront jamais mises en correspondante, et
leurs jobs ne seront pas excuts. De mme les moments se reproduisant 
deux fois (encore pendant les changements d'heure) dclencheront le
mme job deux fois.<br/><br/>
<i>cron (8)</i>
examine ses donnes une fois par minute.
Les champs de date et heure sont&nbsp;:
.IP
.ta 1.5i
champs	valeurs autorises
<br/>
-----	--------------
<br/>
minute	0-59
<br/>
heure	0-23
<br/>
jour du mois	0-31
<br/>
mois	0-12 (ou noms, voir plus bas)
<br/>
jour de semaine	0-7 (0 et 7 sont Dimanche, ou les noms)
<br/><br/><br/>
Un champ peut contenir un astrisque (*), qui correspond  l'intervalle
``premier-dernier''<br/><br/>
Les intervalles de nombres sont permis. Il se prsentent sous forme
de deux nombres spars par un tiret. Les bornes sont inclues. Par exemple,
l'intervalle horaire 8-11 correspond  une excution aux heures 8, 9, 10, et 11.<br/><br/>
Les listes sont permises. Une liste est une srie de nombres ou d'intervalles
spars par des virgules. Exemple ``1,2,5,9'', ``0-4,8-12''.<br/><br/>
Des valeurs de "pas" peuvent tre associes aux intervalles. A la suite 
d'un intervalle, un ``/nombre'' prcise le pas  adopter pour parcourir
l'intervalle. Par exemple ``0-23/2'' dans le champ horaire demande
une excution toutes les heures paires. Une alternative avec le standard
V7 serait ``0,2,4,6,8,10,12,14,16,18,20,22''). Les pas sont galement
autoriss  la suite d'un astrisque, ainsi, pour dire
``toutes les deux heures'', on peut utiliser ``*/2''.<br/><br/>
On peut employer les noms des mois ou des jours de la semaine, en
utilisant les trois premires lettres (pas de diffrence majuscule/minuscule).
Les intervalles, ou les listes de noms ne sont pas accepts.<br/><br/>
Le sixime champ (le reste de la ligne) indique la commande  excuter.
Tout le reste de la ligne, jusqu'au retour chariot ou au caractre %,
sera excut par /bin/sh, ou par le shell mentionn dans la variable
SHELL du fichier cron.
Les signes pourcentages (%) dans les commandes seront transforms en
retour-chariot, sauf s'ils sont prcds par un backslash (\\). Toutes
les donnes se trouvant  la suite du premier % seront transmises
 la commande sur son entre standard.<br/><br/>
Note: Le jour d'excution d'une commande peut tre spcifi part deux
champs (jour du mois, et jour de la semaine). Si les deux champs sont
remplis (c.--d. pas *), la commande sera lance quand 
<i>l'un</i> des champs correspond  la date en cours. Par exemple
<br/>
``30 4 1,15 * 5''
excutera une commande  4:30 du matin les 1er et 15 de chaque mois, ET
chaque Vendredi.
</div><br/><br /><h1 class="TitreSection0" id="L3">exemple de fichier crontab</h1>
<div class="paragraph">
<br/><br/>
# utiliser /bin/sh pour lancer les commandes, quoiqu'en dise /etc/passwd.
SHELL=/bin/sh
# Envoyer les rsultats  Paul, sans tenir compte du propritaire
MAILTO=paul
#
# Chaque jour, 5 minutes aprs Minuit
5 0 * * *       $HOME/bin/daily.job &gt;&gt; $HOME/tmp/out 2&gt;&1
# Le premier de chaque mois  14h15 - Rsultat envoy  Paul
15 14 1 * *     $HOME/bin/monthly
# Les jours de la semaine  22h, nerver Joe
0 22 * * 1-5	mail -s "Il est 22h" joe%Joe,%%O sont tes enfants ?%
23 0-23/2 * * * echo "Tous les jours,  23mn aprs 0h, 2h, 4h..."
5 4 * * sun     echo "Tous les dimanches  4h 05"


</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
cron(8), crontab(1)
</div><br/><br /><h1 class="TitreSection0" id="L5">extensions</h1>
<div class="paragraph">
Dans l'utilisation du jour de la semaine, le 0 et le 7 correspondent tous deux
au Dimanche.
BSD et ATT ne sont pas tout  fait d'accord l-dessus.<br/><br/>
On autorise les intervalles et les listes dans le mme champs.
"1-3,7-9" sera rejet par le cron ATT ou BSD, ils n'acceptent que "1-3" ou "7,8,9".<br/><br/>
Les intervalles peuvent inclure des "pas", ainsi "1-9/2" 
quivaut  "1,3,5,7,9".<br/><br/>
Les noms des mois ou des jours de la semaine peuvent tre utiliss.<br/><br/>
Les variables d'environnement peuvent tre configures dans la crontab.
Avec BSD ou ATT, les environnements transmis aux processus fils
sont globalement ceux de /etc/rc.<br/><br/>
La sortie des commandes est normalement envoye au propritaire de la crontab
(pas sous BSD), mais peut tre dirige vers une autre personne (pas sous SysV),
ou l'on peut empcher toute redirection du courrier (pas sous SysV non plus).
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">

Paul Vixie &lt;paul@vix.com&gt;<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1999-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
