<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--   -->
<!--  manpage for /etc/dir_colors, config file for dircolors(1) -->
<!--  extracted from color-ls 3.12.0.3 dircolors(1) manpage -->
<!--  -->
<!--  This file may be copied under the conditions described -->
<!--  in the LDP GENERAL PUBLIC LICENSE, Version 1, September 1998 -->
<!--  that should have been distributed together with this file. -->
<!--  -->
<!--  Modified Sat Dec 22 22:25:33 2001 by Martin Schulze &lt;joey@infodrom.org&gt; -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>DIR_COLORS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">squences de couleur iso 6429 (ansi)</a>
<br /><a class="summaryIndent0" href="#L3">autre types de terminaux (configuration avance)</a>
<br /><a class="summaryIndent0" href="#L4">squences d'chappement</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">fichiers</a>
<br /><a class="summaryIndent0" href="#L8">notes</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
dir_colors - Fichier de configuration pour dircolors(1).
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Le programme
<b>ls (1)</b>
utilise la variable d'environnement
<b>LS_COLORS</b> <b></b>  pour dterminer les couleurs avec lesquelles afficher les noms de fichiers.
Cette variable d'environnement est en principe remplie par une commande<br/><br/>
.RS
eval `dircolors some_path/dir_colors`
<br/><br/>
dans un fichier d'initialisation du shell, comme
<i>/etc/profile</i> ou
<i>/etc/csh.cshrc .</i>
(Voir galement
<b>dircolors (1)).</b>
Habituellement, le fichier est
<i>/etc/DIR_COLORS</i> et peut tre surcharg par un fichier
<i>.dir_colors</i> dans le rpertoire personnel de l'utilisateur.<br/><br/>
Ce fichier de configuration consiste en plusieurs lignes de dclarations.
Un dise (#) en dbut de ligne, prcd eventuellement d'espaces blancs,
transforme cette ligne en commentaire qui sera ignor.
Les lignes blanches sont ignores.<br/><br/>
La section
<i>global</i> du fichier contient toutes les dclarations avant la premire ligne
<b>TERM .</b>
Toute dclaration dans la section globale est considre comme valide
pour tous les types de terminaux. Aprs cette section on trouve
une ou plusieurs sections
<i>spcifiques aux terminaux</i> ,</i>
prcdes par une ou plusieurs lignes
<b>TERM</b> <b></b>  qui indiquent  quels types (au sens de la variable d'environnement
<b>TERM )</b>
de terminaux, les dclarations s'appliquent. Il est toujours possible
de surcharger une dclaration globale par une dclaration spcique
 un terminal ultrieure.<br/><br/>
Les dclarations suivantes sont reconnues (sans diffrences maj/minuscules)<br/><br/>
<br/><br/>

<b>TERM</b> <b></b>  <b><i>type-terminal</i></b> <b></b>  Dbute une section spcique  un terminal et indique auquel elle
s'applique. Plusieurs dclarations
<b>TERM</b> <b></b>  successives permettent de crer des sections qui s'appliquent 
plusieurs types de terminaux.
<br/><br/>

<b>COLOR</b> <b></b>  <b>yes|all|no|none|tty</b> <b></b>  (Slackware seulement, ignor par la version GNU de 
<b>dircolors (1)).</b>
Indique que la couleur doit toujours tre utilise (<i>yes</i> ou <i>all</i>),
jamais utilise (<i>no</i> ou <i>none</i>), ou employe seulement si la
sortie est un terminal (<i>tty</i>). La valeur par dfaut est <i>no</i>.
<br/><br/>

<b>EIGHTBIT</b> <b></b>  <b>yes|no</b> <b></b>  (Slackware seulement, ignor par la version GNU de 
<b>dircolors (1)).</b>
Indique que les caractres huits bits ISO 8859 sont autoriss par dfaut.
Pour des raisons de compatibilit, on peut aussi crire 1 pour
<i>yes</i> et 0 pour <i>no</i>. La valeur par dfaut est <i>no</i>.
<br/><br/>

<b>OPTIONS</b> <b></b>  <b><i>options</i></b> <b></b>  (Slackware seulement, ignor par la version GNU de 
<b>dircolors (1)).</b>
Ajouter les options sur la ligne de commande de
<b>ls .</b>
Il peut s'agir de n'importe quelle option valide de
<b>ls ,</b>
et devait inclure le signe moins en dbut d'option.
Notez bien que
<b>dircolors</b> <b></b>  ne vrifie pas la validit de ces options.
<br/><br/>

<b>NORMAL</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur  employer pour le texte normal (hors noms de fichiers).
<br/><br/>

<b>FILE</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur  utiliser pour les fichiers normaux.
<br/><br/>

<b>DIR</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur  utiliser pour les rpertoires.
<br/><br/>

<b>LINK</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur  utiliser pour les liens symboliques.
<br/><br/>

<b>ORPHAN</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur  utiliser pour les liens symboliques orphelins(ceux qui
pointent sur un fichier inexistant). Si rien n'est indiqu,
<b>ls</b> <b></b>  utilisera la couleur
<b>LINK</b> <b></b>  par dfaut.
<br/><br/>

<b>MISSING</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur  utiliser pour un fichier manquant (inexistant
bien qu'un lien symbolique pointe dessus). Si rien n'est indiqu,
<b>ls</b> <b></b>  utilisera la couleur
<b>FILE</b> <b></b>  par dfaut.
<br/><br/>

<b>FIFO</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur pour afficher une FIFO (tube nomm).
<br/><br/>

<b>SOCK</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur pour afficher une socket.
<br/><br/>

<b>DOOR</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  (Support depuis file-utils 4.1)
Indique la couleur pour afficher une "door" (Solaris 2.5 et ultrieur).
<br/><br/>

<b>BLK</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur pour afficher un priphrique spcial bloc.
<br/><br/>

<b>CHR</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur pour afficher un priphrique spcial caractre.
<br/><br/>

<b>EXEC</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique la couleur pour afficher un fichier avec l'attribut excutable.
<br/><br/>

<b>LEFTCODE</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique le
<i>code gauche</i> pourles terminaux non-ISO&nbsp;6429 (voir plus bas).
<br/><br/>

<b>RIGHTCODE</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique le
<i>code droit</i> pour les terminaux non-ISO&nbsp;6429 (voir plus bas).
<br/><br/>

<b>ENDCODE</b> <b></b>  <b><i>squence-couleur</i></b> <b></b>  Indique le
<i>code final</i> pour les terminaux non-ISO&nbsp;6429 (voir plus bas).
<br/><br/>

\fB*<i>extension</i> <i>squence-couleur</i>
Indique la couleur pour tous les fichiers se terminant par l'<i>extension</i>.
<br/><br/>

\fB .<i>extension</i> <i>squence-couleur</i>
Comme <b>*</b>.<i>extension</i>. Indique la couleur pour tous les fichiers se
terminant par .<i>extension</i>. Notez que le point est inclus dans
l'extension, ce qui rend impossible de prciser une extension ne commenant
pas par un point, comme
<b>~</b> <b></b>  pour les fichiers de sauvegarde
<b>emacs .</b>
Cette forme doit tre considre comme obsolte.
</div><br/><br /><h1 class="TitreSection0" id="L3">squences de couleur iso 6429 (ansi)</h1>
<div class="paragraph">
La plupart des terminaux Ascii actuels utilisent les squences ISO&nbsp;6429
(ANSI), et ne nombreux terminaux sans couleurs, comme l'mulateur
<b>xterm</b> <b></b>  et le trs clon DEC VT100, reconnaissent les codes de couleur ISO&nbsp;6429
et les liminent sans problme ou les mulent. Par dfaut,
<b>ls</b> <b></b>  utilise les codes ISO 6429 si la couleur est valide.<br/><br/>
Les squences de couleurs ISO 6429 sont composes de suite de nombres
spars par des points-virgules. Les codes les plus courants sont&nbsp;:
<br/><br/>

.RS +.2i
.ta 1.0i

 0     restituer la couleur par dfaut
 1     couleur en sur-brillance
 4     texte soulign
 5     texte clignotant
30     encre noire
31     encre rouge
32     encre verte
33     encre jaune (ou marron)
34     encre bleue
35     encre violette
36     encre cyan
37     encre blanche (ou grise)
40     fond noir
41     fond rouge
42     fond vert
43     fond jaune (ou marron)
44     fond bleu
45     fond violet
46     fond cyan
47     fond blanc (ou gris)



<br/><br/>

Toutes les commandes ne fonctionnent pas sur tous les terminaux.<br/><br/>
<b>ls</b> <b></b>  utilise les valeurs suivantes par dfaut&nbsp;:
<br/><br/>

.RS +.2i
.ta 1.0i 2.5i

<b>NORMAL</b>   0       Texte normal (hors noms de fichiers)
<b>FILE</b>     0       Fichier normal
<b>DIR</b>      32      Rpertoire
<b>LINK</b>     36      Lien symbolique
<b>ORPHAN</b>   undefined       Lien symbolique orphelin
<b>MISSING</b>  undefined       Fichier manquant
<b>FIFO</b>     31      Tube nomm (FIFO)
<b>SOCK</b>     33      Socket
<b>BLK</b>      44;37   Priphrique bloc
<b>CHR</b>      44;37   priphrique caractre
<b>EXEC</b>     35      Fichier excutable



<br/><br/>

Peu de terminaux ne reconnaissent pas les valeur par dfaut correctement.
Si tout le text est colori aprs avoir affich le contenu d'un
rpertoire, changez les codes
<b>NORMAL</b> <b></b>  et
<b>FILE</b> <b></b>  pour les codes numrique de vos encre et fond
habituels.
</div><br/><br /><h1 class="TitreSection0" id="L4">autre types de terminaux (configuration avance)</h1>
<div class="paragraph">
Si vous avez un terminal couleur (ou grant d'autre attributs), voire une
imprimante, qui utilise un jeu de codes diffrents, vous pouvez toujours
le configurer corectement en utilisant les
dfinitions
<b>LEFTCODE ,</b>
<b>RIGHTCODE ,</b>
et
<b>ENDCODE .<br/><br/></b>
Lorsqu'il affiche un nom de fichier,
<b>ls</b> <b></b>  produit la squence de sortie suivante&nbsp;:
<b>LEFTCODE</b> <b></b>  <i>code-type</i> <b>RIGHTCODE</b> <b></b>  <i>nom-fichier</i> <b>ENDCODE ,</b>
o
<i>code-type</i> est la squence de couleur qui dpend du type ou nom de fichier. Si
<b>ENDCODE</b> <b></b>  est indfinie, la squence
<b>LEFTCODE</b> <b></b>  <b>NORMAL</b> <b></b>  <b>RIGHTCODE"</b> <b></b>  est utilise  la place. Le but des codes gauche et droits est de rduire
srieusement la saisie (et de cacher les codes d'chappement horribles).
S'il n'y en a pas besoin, vous pouvez les supprimer en spcifiant
le mot cl correspondant sur
une ligne isole.<br/><br/>
<b>NOTE\</b> <b></b>  <b>:</b> <b></b>  SI
<b>ENDCODE</b> <b></b>  est dfini dans la section global du fichier, il ne peut
<i>pas</i> tre indfini dans une section spcifique ultrieure. Ceci signifie que
toute dfinition
<b>NORMAL</b> <b></b>  n'aura aucun effet.
Un 
<b>ENDCODE</b> <b></b>  peut toutefois tre indiqu, avec l'effet dsir.
</div><br/><br /><h1 class="TitreSection0" id="L5">squences d'chappement</h1>
<div class="paragraph">
Pour spcifier des caractres de contrle ou des blancs dans la squence
de couleur ou les extensions des noms de fichier, on peut employer la
notation C prfixe par un \e, ou la notation ^ comme
<b>stty -style</b> .</b>
La notation C contient les squences suivantes&nbsp;:
<br/><br/>

.RS +.2i
.ta 1.0i

<b>\ea</b>	Bell (ASCII 7)
<b>\eb</b>	Backspace (ASCII 8)
<b>\ee</b>	Escape (ASCII 27)
<b>\ef</b>	Form feed (ASCII 12)
<b>\en</b>	Newline (ASCII 10)
<b>\er</b>	Carriage Return (ASCII 13)
<b>\et</b>	Tab (ASCII 9)
<b>\ev</b>	Vertical Tab (ASCII 11)
<b>\e?</b>	Delete (ASCII 127)
\fB\e<i>nnn</i>	Tout caractre (code octal)
\fB\ex<i>nnn</i>	Tout caractre (code hexadcimal)
<b>\e_</b>	Space
<b>\e\e</b>	Backslash (\e)
<b>\e^</b>	Caret (^)
<b>\e#</b>	Hash mark (#)



<br/><br/>

Notes que les chappements sont ncessaires pour protger l'espace,
le backslash, le Caret et tout caractre de contrle, y compris
le dise en premire position.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les dfinitions
<b>LEFTCODE</b> <b></b>  et 
<b>RIGHTCODE</b> <b></b>  par dfaut, pour les terminaux ISO 6429 sont&nbsp;:
<br/><br/>

.RS +.2i
.ta 1.0i

<b>LEFTCODE</b>  \ee[
<b>RIGHTCODE</b> m



<br/><br/>

Par dfaut,
<b>ENDCODE</b> <b></b>  est indfini.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>dircolors (1),</b>
<b>ls (1),</b>
<b>stty (1),</b>
<b>xterm (1)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">fichiers</h1>
<div class="paragraph">
<br/><br/>

<i>/etc/DIR_COLORS</i> Fichier de configuration global au systme.
<br/><br/>

<i>~/.dir_colors</i> Fichier de configuration pour l'utilisateur.
</div><br/><br /><h1 class="TitreSection0" id="L9">notes</h1>
<div class="paragraph">
Cette page dcrit le format du fichier
<b>dir_colors</b> <b></b>  utilis dans le paquetage fileutils-4.1&nbsp;;
d'autres version peuvent diffrer lgrement.
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
