<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1980, 1989, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)fstab.5	6.5 (Berkeley) 5/10/91 -->
<!--  -->
<!--  Modified Sat Mar  6 20:45:03 1993, faith@cs.unc.edu, for Linux -->
<!--  Sat Oct  9 10:07:10 1993: converted to man format by faith@cs.unc.edu -->
<!--  Sat Nov 20 20:47:38 1993: hpfs documentation added -->
<!--  Sat Nov 27 20:23:32 1993: Updated authorship information -->
<!--  -->
<!--  Traduction 17/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 18/05/1998 (LDP-man-pages-1.19) -->
<!--  Mise a jour 23/04/2002 (LDP-man-pages-1.37) -->
<!--  MJ 30/07/2003 mount-2.11y -->
<!--  -->
<!--  -->
<!--  --><br/><br/>
<br/><h1>FSTAB</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">historique</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fstab - Informations statiques sur les systmes de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;fstab.h&gt;</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Le fichier
<b>fstab</b> <b></b>  contient des informations sur les diffrents systmes de fichiers.
<b>fstab</b> <b></b>  est uniquement lu par les programmes, jamais crit. C'est la responsabilit
de l'administrateur de crer et de maintenir ce fichier correctement. Chaque
systme de fichier est dcrit sur une ligne indpendante. Les champs contenus
sur chaque ligne sont spars par des espaces ou des tabulations.
L'ordre des enregistrements au sein de
<b>fstab</b> <b></b>  est important car
<b>fsck (8), </b>
<b>mount (8),</b>
et 
<b>umount (8)</b>
utilisent squentiellement les enregistrements de
<b>fstab .<br/><br/></b>
Le premier champ
( fs_spec ),</i>
dcrit le priphrique bloc ou le systme de fichiers
distant a monter.<br/><br/>
Pour les montages habituels, ce sera (un lien vers) un fichier spcial
de priphrique, cr par
<b>mknod (8),</b>
correspondant au priphrique  monter, comme '/dev/cdrom' ou '/dev/sdb7'.
Pour les montages NFS, on trouvera &lt;hte&gt;:&lt;rp&gt;, par ex. 'knuth.aeb.nl:/'.
Pour le systme de fichier 'procfs', utilisez 'proc'.<br/><br/>
Plutt que fournir explicitement le nom du priphrique, on peut indiquer un
systme de fichiers (ext2 ou XFS)  monter par son UUID ou son
tiquette de volume (voir
<b>e2label (8)</b>
ou
<b>xfs_admin (8)),</b>
en crivant LABEL=&lt;label&gt; ou UUID=&lt;uuid&gt;, par exemple
`LABEL=Boot' ou `UUID=3e6be9de\%-8139\%-11d1\%-9106\%-a43f08d823a6'.
Ceci rendra le systme plus robuste  l'ajout ou  la suppression de
disque SCSI par exemple.<br/><br/>
Le second champ
( fs_file ),</i>
indique le point de montage du systme de fichier. Pour les partitions
de swap ce champ doit tre spcifi comme ``none'' (aucun). Si le nom du point
de montage contient des espaces, il faut les protger ainsi '\\040'.<br/><br/>
Le troisime champ
( fs_vfstype ),</i>
dcrit le type de systme de fichiers. Linux supporte beaucoup de systmes de
fichiers, comme
<i>adfs ,</i>
<i>affs ,</i>
<i>autofs , </i>
<i>coda ,  </i>
<i>coherent ,</i>
<i>cramfs , </i>
<i>devpts ,</i>
<i>efs , </i>
<i>ext2 ,</i>
<i>ext3 , </i>
<i>hfs ,</i>
<i>hpfs ,</i>
<i>iso9660 ,</i>
<i>jfs ,</i>
<i>minix ,</i>
<i>msdos ,</i>
<i>ncpfs ,</i>
<i>nfs ,</i>
<i>ntfs ,</i>
<i>proc ,</i>
<i>qnx4 ,</i>
<i>reiserfs ,</i>
<i>romfs ,</i>
<i>smbfs ,</i>
<i>sysv ,</i>
<i>tmpfs ,</i>
<i>udf ,</i>
<i>ufs , </i>
<i>umsdos , </i>
<i>vfat ,</i>
<i>xenix ,</i>
<i>xfs ,</i>
voire d'autres. Pour plus de dtail, voyez
<b>mount (8).</b>
Pour les systmes supports par le noyau en cours, voyez
<i>/proc/filesystems .</i>
Une entre
<i>swap</i> indique une partition ou un fichier  utiliser pour
le swap, voir
<b>swapon (8).</b>
Avec une entre
<i>ignore</i> la ligne n'est pas traite.
Ceci permet de visualiser aisment les partitions non utilises.<br/><br/>
Le quatrime champ 
( fs_mntops ),</i>
indique des options de montage associes au systme de fichiers.<br/><br/>
Il s'agit d'une liste d'options spares par des virgules.  Il contient au moins
le type de montage, suivi ventuellement d'options appropries au type de
systme de fichiers. Pour la documentation sur les options disponibles pour les
systmes non-NFS, voir
<b>mount (8).</b>
Pour la documentation sur les options spcifiques  NFS, voir
<b>nfs (5).</b>
Les options communes  tous les systmes de fichiers sont ``noauto''
(ne pas monter lors d'une commande "mount -a" par exemple au boot), ``user''
(autoriser un utilisateur  monter), ``owner'' (autoriser le propritaire
du priphrique  monter), et ``_netdev'' (le  rseau doit tre disponible).
Les options ``owner'' et ``_netdev''sont
spcifiques  Linux.
Pour plus de dtails voir
<b>mount (8).<br/><br/></b>
Le cinquime champ
( fs_freq ),</i>
est utilis par la commande
<b>dump (8)</b>
pour dterminer quels sont les systmes de fichiers  sauvegarder.
Si le cinquime champ est absent ou vaut zro,
<b>dump</b> <b></b>  supposera qu'il ne faut pas sauvegarder ce systme.<br/><br/>
Le sixime champ
( fs_passno ),</i>
est utilis par le programme
<b>fsck (8)</b>
pour dterminer l'ordre de vrification des systmes de fichiers au dmarrage.
Le systme de fichiers racine doit avoir un champ
<i>fs_passno</i> de valeur 1, et les autres un
<i>fs_passnode</i> de valeur 2. Les systmes partageant le mme contrleur seront vrifis
squentiellement, mais ceux utilisant diffrents contrleurs seront vrifies
simultanment pour utiliser le paralllisme offert par le matriel.
Si le sixime champ est absent ou vaut zro, 
<b>fsck</b> <b></b>  ne vrifiera pas ce systme de fichiers.<br/><br/>
La meilleure manire de lire les enregistrements de 
<b>fstab</b> <b></b>  est d'utiliser la routine
<b>getmntent (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
<i>/etc/fstab</i> </div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>getmntent (3),</b>
<b>mount (8),</b>
<b>swapon (8), </b>
<b>fs (5),</b>
<b>nfs (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">historique</h1>
<div class="paragraph">
Le format du fichier
<b>fstab</b> <b></b>  est apparu dans 4.0BSD.
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
