<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey, Emacs! This is an -*- nroff -*- source file. -->
<!--  Copyright (c) 2000 Manoj Srivastava &lt;srivasta@debian.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  (minor polishing, aeb) -->
<!--  -->
<!--  Traduction 06/09/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.31 -->
<!--  LDP 1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>HOSTS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">exemple</a>
<br /><a class="summaryIndent0" href="#L4">note historique</a>
<br /><a class="summaryIndent0" href="#L5">fichiers</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">auteur</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
hosts - Correspondances statiques de noms d'htes.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>/etc/hosts</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel dcrit le format du fichier
<i>/etc/hosts .</i>
Il s'agit d'un fichier de texte simple qui associe les adresses IP
avec les noms d'htes, une ligne par adresse IP. Pour chaque hte, une 
unique ligne doit tre prsente, avec les informations suivantes :
.RS<br/><br/>
Adresse_IP Nom_officiel [Alias...]
<br/><br/>
Les divers champs de la ligne sont spars par un nombre quelconque d'espaces
ou de tabulations. Le texte commenant avec un caractre "#" et s'tendant 
jusqu' la fin de la ligne est considr comme un commentaire, et est donc ignor.
Les noms d'htes peuvent contenir n'importe quel caractre alphanumrique,
le signe moins ("-") et les points ("."). Ils doivent commencer par un
caractre alphabtique et se terminer par un caractre alphanumrique.
Les alias permettent de disposer de noms diffrents, d'orthographes simplifies, de surnoms
plus courts, ou de noms d'hte gnrique (comme
<i>localhost ).</i>
Le format de la table des noms d'htes est dcrit dans la RFC 952. <br/><br/>
Le systme Berkeley Internet Name Domain (BIND) implmente un
serveur de noms Internet pour les systmes Unix. Il remplace ou complte le fichier
<i>/etc/hosts</i> ou la recherche des noms d'htes, et libre un hte de la ncessit de disposer d'un fichier
<i>/etc/hosts</i> complet et  jour.<br/><br/>
Dans les systmes modernes, mme si la table des htes a t remplace par
DNS, ce mcanisme est encore largement employ pour&nbsp;:
<br/><br/>

<b>initialiser</b> <b></b>  <b>une</b> <b></b>  <b>machine</b> <b></b>  Beaucoup de systmes ont un petit fichier contenant le nom et l'adresse
des htes important sur le rseau local. Ceci est utile lorsque le DNS
n'est pas en marche, notamment lors de la mise en route des systmes.
<br/><br/>

<b>NIS</b> <b></b>  Les sites employant NIS utilisent la table d'htes comme entre pour la base de donnes des htes NIS.
Mme si NIS peut tre employ avec un DNS, la plupart des sites NIS conservent encore la table
des noms d'htes avec une entre pour toutes les machines locales,  des fins de secours.
<br/><br/>
 
<b>noeud</b> <b></b>  <b>isols</b> <b></b>  Les petits sites, isols des rseaux importants emploient la table d'htes 
la place du DNS. Si les informations locales changent rarement, et si le rseau
n'est pas connect  Internet, le DNS n'offre pas beaucoup
d'intrt.
</div><br/><br /><h1 class="TitreSection0" id="L4">exemple</h1>
<div class="paragraph">

 127.0.0.1       localhost
 192.168.1.10    foo.nomomaine.org	foo
 192.168.1.13    bar.nomdomain.org	bar
 216.234.231.5   master.debian.org      master
 205.230.163.103 www.opensource.org


</div><br/><br /><h1 class="TitreSection0" id="L5">note historique</h1>
<div class="paragraph">
Avant l'arrive du DNS, la table d'htes tait la seule manire de rsoudre les
noms d'htes sur un Internet balbutiant.
Le fichier pouvait tre cr  partir de la base de donnes
officielle maintenue au Network Information Control Center (NIC), 
Information Control Center (NIC), bien que des changements locaux taient souvent
ncessaires pour grer les adresses et les alias non-officiels.
Le NIC ne maintient plus le fichier hosts.txt, quoiqu'on puisse encore
en trouver des versions historiques sur le web.
Je n'en ai trouv que trois, de 92, 94 et 95.
</div><br/><br /><h1 class="TitreSection0" id="L6">fichiers</h1>
<div class="paragraph">
<i>/etc/hosts</i> </div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>hostname (1)</b>
<b>resolver (3), </b>
<b>resolver (5), </b>
<b>hosts (5), </b>
<b>hostname (7), </b>
<b>named (8),</b>
Internet RFC 952
</div><br/><br /><h1 class="TitreSection0" id="L8">auteur</h1>
<div class="paragraph">
Cette page de manuel a t crite par Manoj Srivastava &lt;srivasta@debian.org&gt;,
pour le systme Debian GNU/Linux.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
