<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1995 Peter Tobias &lt;tobias@et-inf.fho-emden.de&gt; -->
<!--  This file may be distributed under the GNU General Public License. -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  LDP 1.47 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>HOSTS.EQUIV</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">fichiers</a>
<br /><a class="summaryIndent0" href="#L3">note</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
/etc/hosts.equiv - Liste d'ordinateurs et d'utilisateurs de confiance.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Le fichier <b>hosts.equiv</b> autorise ou interdit  des ordinateurs et  des
utilisateurs l'utilisation des commandes <b>r</b> (telles que <b>rlogin</b>,
<b>rsh</b> ou <b>rcp</b>) sans donner de mot de passe.<br/><br/>
Le fichier utilise le format suivant&nbsp;:
<br/><br/>

<i>[ + | - ]</i> <i>[ordinateur]</i> <i>[utilisateur]</i><br/><br/>
Le champ <i>ordinateur</i> est le nom d'un ordinateur quivalent  l'ordinateur
local en terme d'autorisations. Les utilisateurs connects sur cet ordinateur
sont autoriss  accder aux comptes du mme nom sans fournir de mot de passe.
<i>ordinateur</i> peut tre optionnellement prcd d'un signe plus (+). Un signe
plus seul signifie que toutes les machines sont autorises  se connecter au
systme. Il est possible d'interdire l'accs  un ordinateur particulier en
prcdant <i>ordinateur</i> d'un signe moins (-). Les utilisateurs de ces
ordinateurs devront toujours fournir un mot de passe. Pour des raisons de
scurit, vous devriez toujours utiliser le nom complet de l'ordinateur et non
son diminutif.<br/><br/>
Le champ <i>utilisateur</i> permet de donner accs  tous les comptes (except
root) sans mot de passe  un utilisateur particulier. Cela signifie que cet
utilisateur n'est
<b>pas</b> <b></b>  limit au compte du mme nom&nbsp;! Le champ <i>utilisateur</i> peut tre
optionnellement prcd par un signe plus (+). Vous pouvez aussi explicitement
interdire l'accs  un utilisateur particulier en prcdant <i>utilisateur</i>
par un signe moins (-). Cela signifie que cet utilisateur n'est pas dclar sr
quel que soit les entres relatives aux machines.<br/><br/>
Les netgroupes peuvent tre utiliss en plaant un signe @ devant.<br/><br/>
Soyez trs attentifs quand vous employez le signe plus (+). Une simple erreur
typographique et vous placerez un signe plus sur une ligne vide; ce qui
signifiera que touts les ordinateurs seront autoriss  employer les
<i>r</i>-commandes sans mot de passe&nbsp;!<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">fichiers</h1>
<div class="paragraph">
/etc/hosts.equiv
</div><br/><br /><h1 class="TitreSection0" id="L4">note</h1>
<div class="paragraph">
Certains systmes ne tiennent compte du contenu de ce fichier que lorsque
que le propritaire est root et que personne d'autre ne peut le modifier.
Certains systmes particulirement paranoaques ncessitent mme qu'il n'y ait
qu'un seul lien physique sur le fichier.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>rhosts (5),</b>
<b>rshd (8),</b>
<b>rlogind (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 1999</i></i>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
