<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -*- nroff -*- -->
<!--  Copyright (c) 1999, 2000 SuSE GmbH Nuernberg, Germany -->
<!--  Author: Thorsten Kukuk &lt;kukuk@suse.de&gt; -->
<!--  -->
<!--  This program is free software; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of the -->
<!--  License, or (at your option) any later version. -->
<!--  -->
<!--  This program is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU -->
<!--  General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this program; see the file COPYING.  If not, -->
<!--  write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, -->
<!--  Boston, MA 02111-1307, USA. -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>nscd.conf</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">voir aussi</a>
<br /><a class="summaryIndent0" href="#L3">auteur</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
/etc/nscd.conf - Fichier de configuration du dmon NSCD.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Le fichier
<b>/etc/nscd.conf</b> <b></b>  est lu au dmarrage de
<b>nscd (8).</b>
Chaque ligne indique soit un attribut et une valeur, soit un attribut,
un service et une valeur. Les champs sont spars par des espaces ou
des tabulations. Un dise (#) indique un dbut de commentaire, les
caractres ultrieurs seront ignors jusqu' la fin de
la ligne.<br/><br/>

Les services valides sont passwd, group, et hosts.<br/><br/>
<b>logfile</b> <b></b>  <i>nom-fchier</i> .RS
Indique le nom du fchier o les donnes de dbogage seront crites.
<br/><br/>
<b>debug-level</b> <b></b>  <i>valeur</i> .RS
Indique le niveau dsir de dbogage.
<br/><br/>
<b>threads</b> <b></b>  <i>nombre</i> .RS
Il s'agit du nombre de threads en attente de requtes. 
Au moins cinq threads seront toujours crs.
<br/><br/>
<b>server-user</b> <b></b>  <i>utilisateur</i> .RS
Si cette option est active, nscd prendra l'idendit de l'utilisateur et
non celle de root. Si un cache distinct est utilis pour chaque utilisateur
(paramtre -S), cette option est ignore.
<br/><br/>
<b>enable-cache</b> <b></b>  <i>service</i> <i>&lt;yes|no&gt;</i> .RS
Active ou inhibe le cache du
<i>service</i> indiqu.
<br/><br/>
<b>positive-time-to-live</b> <b></b>  <i>service</i> <i>valeur</i> .RS
Indique la dure TTL (time-to-live) pour les entres positive (requtes
russies) dans le cache spcifi pour le
<i>service .</i>
<i>valeur</i> est indique en secondes. Les valeurs importantes amliorent les temps
de rponse mais augmentent les problmes dus  la cohrence du cache.
<br/><br/>
<b>negative-time-to-live</b> <b></b>  <i>service</i> <i>valeur</i> .RS
Fice la dure TTL (time-to-live) des entres ngatives (requtes choues)
dans le cache spcifie pour le
<i>service .</i>
<i>valeur</i> est en secondes. Peut amliorer les performances, si il y a plusieurs
fichiers appartenant  des UIDs hors des bases de donnes systme (par
exemple les sources du noyau Linux d-tar-res par root), doit rester
faible pour rduire les problme de cohrence du cache.
<br/><br/>
<b>suggested-size</b> <b></b>  <i>service</i> <i>valeur</i> .RS
C'est la taille de la table de hachage interne,
<i>value</i> doit tre un nombre premier pour une efficacit optimale.
<br/><br/>
<b>check-files</b> <b></b>  <i>service</i> <i>&lt;yes|no&gt;</i> .RS
Active ou inhibe la vrification des changements dans les fichiers du
<i>service</i> indiqu. Les fichiers sont
<i>/etc/passwd ,</i>
<i>/etc/group ,</i>
et
<i>/etc/hosts .</i>
<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">voir aussi</h1>
<div class="paragraph">
<b>nscd (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">auteur</h1>
<div class="paragraph">
<b>nscd</b> <b></b>  a t crit par Thorsten Kukuk et Ulrich Drepper.
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
