<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1998 Thorsten Kukuk (kukuk@vt.uni-paderborn.de) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  This manual page based on the GNU C Library info pages. -->
<!--  -->
<!--  Traduction 18/05/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  (LDP-man-pages-1.19) -->
<!--  -->
<br/><h1>NSSWITCH.CONF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">fichiers</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
nsswitch.conf - Configuration des bases de donnes systmes et des services de noms.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Plusieurs fonctions de la bibliothque C doivent tre configures pour
fonctionner correctement dans l'environnement local. Traditionnellement,
cette configuration tait tablie par l'intermdiaire de fichiers
(comme `/etc/passwd'), mais de nouveaux services de rsolution de noms
(comme le Network Information Service, NIS, ou le Domain Name Service DNS)
sont apparus, et ont t implments dans la bibliothque C avec un ordre
de recherche fix.<br/><br/>
La bibliothque libc5 de Linux implmentant NYS et la bibliothque C GNU (libc.so.6)
fournissent une solution plus propre  ce problme. Elle a t construite  partir
d'une ide de Sun Microsystems, utilise dans la bibliothque C de Solaris 2. On a
conserv leur dnomination, et ce schma est appel "Name Service Switch" (NSS).
Les sources des bases de donnes, et leur ordre de recherche sont spcifis dans
le fichier
<b>/etc/nsswitch.conf .<br/><br/></b>
Les bases de donnes suivantes sont disponibles dans le NSS&nbsp;:
<br/><br/>

<b>aliases</b> <b></b>  Les alias pour le courrier, utiliss par
<b>sendmail (8).</b>
Ignors de nos jours.
<br/><br/>

<b>ethers</b> <b></b>  Les numros Ethernet.
<br/><br/>

<b>group</b> <b></b>  Les groupes d'utilisateur, servant aux fonctions
comme
<b>getgrent (3).</b>
<br/><br/>

<b>hosts</b> <b></b>  Les noms d'htes et leurs adresses, utiliss par les fonctions
du type
<b>gethostbyname (3).</b>
<br/><br/>

<b>netgroup</b> <b></b>  Une liste d'hte et d'utilisateur servant aux rgles d'accs.
Les bibliothques C avant la GlibC 2.1 ne supportait ces groupes qu'avec NIS.
<br/><br/>

<b>network</b> <b></b>  Les noms et les masques des rseaux, utiliss par les fonctions
comme
<b>getnetent (3).</b>
<br/><br/>

<b>passwd</b> <b></b>  Les mots de passe des utilisateurs, utiliss par les
fonctions
<b>getpwent (3).</b>
<br/><br/>

<b>protocols</b> <b></b>  Les protocoles rseau, utiliss
par
<b>getprotoent (3).</b>
<br/><br/>

<b>publickey</b> <b></b>  Les cls publiques et prives des secure_rpc, utilises par NIS+ et NFS.
<br/><br/>

<b>rpc</b> <b></b>  Les noms des procdures appeles  distance (RPC), utiliss par les fonctions
comme
<b>getrpcbyname (3).</b>
<br/><br/>

<b>services</b> <b></b>  Les services rseau, utiliss par les
fonctions
<b>getservent (3).</b>
<br/><br/>

<b>shadow</b> <b></b>  Le fichier de dissimulation des mots de passe des utilisateurs, utilis par
<b>getspnam (3).<br/><br/></b>
Un exemple de fichier
<b>/etc/nsswitch.conf</b> <b></b>  pourrait tre le suivant (ce sont les valeurs par dfaut si
<b>/etc/nsswitch.conf</b> <b></b>  manque)&nbsp;:
<br/><br/>
 1n<br/><br/>D 0
<br/><br/>
 16
passwd:
compat
<br/><br/>

group:
compat
<br/><br/>

shadow:
compat
<br/><br/>
 1n
<br/><br/>

hosts:
dns [!UNAVAIL=return] files
<br/><br/>

networks:
nis [NOTFOUND=return] files
<br/><br/>

ethers:
nis [NOTFOUND=return] files
<br/><br/>

protocols:
nis [NOTFOUND=return] files
<br/><br/>

rpc:
nis [NOTFOUND=return] files
<br/><br/>

services:
nis [NOTFOUND=return] files<br/><br/>D<br/><br/>
La premire colonne, comme vous vous en doutez, correspond  la base de donnes
concerne, issue de la table indique plus haut.
Le reste de la ligne indique la mthode de recherche de cette base.
On peut indiquer une mthode diffrente pour chaque base de donnes.<br/><br/>
La configuration de chaque base contient deux lments diffrents:<br/><br/>D 0
<br/><br/>

* L'indication du service, comme `files', `db' ou `nis'.
<br/><br/>

* Le comportement  adopter pour la recherche, comme `[NOTFOUND=return]'.<br/><br/>D<br/><br/>
Pour la bibliothque libc5 avec NYS, les spcifications possibles pour le
service sont `files', `nis' et `nisplus'.
Pour les noms d'htes, vous pouvez ajouter un service supplmentaire `dns', et
pour les mots de passe et les groupes (mais pas pour la base de donnes shadow) vous
pouvez employer le service `compat'.<br/><br/>
La bibliothque C GNU ncessite un fichier appel
/lib/libnss_SERVICE.so. X
pour chaque SERVICE utilis.
Avec une installation standard, vous pouvez utiliser `files', `db', `nis' et `nisplus'.
Pour les noms d'htes, vous pouvez indiquer `dns' comme service supplmentaire. Les mots
de passe, les groupes et la base de donnes shadow acceptent le service `compat'.
Ces services ne sont pas utiliss par la libC5 avec NYS. Le numro de version
<i>X</i> est 1 pour la GlibC 2.0 et 2 pour la GlibC 2.1.<br/><br/>
Le second lment de la configuration fournit un contrle plus fin sur la mthode de recherche.
Des actions sont indiques, entre crochets, entre deux noms de services. La forme gnrale est la
suivante :<br/><br/>
`[' ( `!'? STATUS `=' ACTION )+ `]'<br/><br/>
avec
<br/><br/>
 1n<br/><br/>D 0
<br/><br/>

STATUS =&gt; success | notfound | unavail | tryagain
<br/><br/>

ACTION =&gt; return | continue<br/><br/>D<br/><br/>
Il n'y a pas de distinction majuscule/minuscule dans les mots-cls. Les valeurs
de STATUS correspondent au rsultat d'une fonction de recherche pour un service particulier.
Ces mots-cls signifient :
<br/><br/>

<b>success</b> <b></b>  Aucune erreur ne s'est produite, et la donne recherche a t trouve. L'action par
dfaut est `return'.
<br/><br/>

<b>notfound</b> <b></b>  La mthode de recherche a bien fonctionn, mais la valeurs dsire n'a pas t trouve.
L'action par dfaut est `continue'.
<br/><br/>

<b>unavail</b> <b></b>  Le service est indisponible, et ce de manire permanente. Ceci peut indiquer que le fichier
ncessaire n'existe pas, ou, pour les DNS, que le serveur n'accepte pas les requtes.
L'action par dfaut est `continue'.
<br/><br/>

<b>tryagain</b> <b></b>  Le service considr est temporairement indisponible. Ceci signifie qu'un fichier est 
verrouill, et qu'un serveur ne peut pas accepter de connexion supplmentaire. L'action
par dfaut est `continue'.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L6">Interactions avec la syntaxe +/- (mode compat)</h2>
<div class="paragraph">
La bibliothque libc5 Linux sans NYS n'accepte pas le service de rsolution de noms, mais
permet un contrle d'accs.
Dans le fichier
<b>/etc/passwd ,</b>
vous pouvez trouver des entres de la forme +utilisateur ou +@groupe_reseau
(inclure l'utilisateur indiqu depuis le fichier NIS passwd), -utilisateur
ou -@groupe_rseau (exclure ces utilisateurs) et + (inclure tous les
utilisateurs depuis le fichier NIS passwd sauf les ventuels exclus explicites).
Comme la plupart des gens placent un +  la fin de
<b>/etc/passwd</b> <b></b>  pour tout inclure depuis NIS, il est possible d'utiliser une mthode plus rapide
(`passwd: files nis') ne ncessitant pas d'entre + dans
<b>/etc/passwd ,</b>
<b>/etc/group</b> <b></b>  et
<b>/etc/shadow .</b>
Si ceci ne suffit pas, le service NSS `compat' autorise la smantique +/- complte.
Par dfaut, la source est `nis', mais on peut la surcharger en indiquant
`nisplus' comme source des pseudo-bases de donnes
<b>passwd_compat,</b>
<b>group_compat</b> <b></b>  et
<b>shadow_compat.</b>
Ces pseudo-bases de donnes ne sont disponibles que dans la bibliothque C GNU.
</div><br/><br /><h1 class="TitreSection0" id="L3">fichiers</h1>
<div class="paragraph">
Un service appel SERVICE est implment par une bibliothque objet partage nomme
libnss_SERVICE.so. X
se trouvant dans
<i>/lib .</i>
<br/><br/>
 25<br/><br/>D 0
<b>/etc/nsswitch.conf</b> <b></b>  fichier de configuration
<br/><br/>

/lib/libnss_compat.so. X
la source `compat' pour la bibliothque GlibC 2&nbsp;;
<br/><br/>

/lib/libnss_db.so. X
la source `db' pour la bibliothque GlibC 2&nbsp;;
<br/><br/>

/lib/libnss_dns.so. X
la source `dns' pour la bibliothque GlibC 2&nbsp;;
<br/><br/>

/lib/libnss_files.so. X
la source `files' pour la bibliothque GlibC 2&nbsp;;
<br/><br/>

/lib/libnss_hesoid.so. X
la source `hesoid' pour la bibliothque GlibC 2&nbsp;;
<br/><br/>

/lib/libnss_nis.so. X
la source `nis' pour la bibliothque GlibC 2&nbsp;;
<br/><br/>

/lib/libnss_nisplus.so. X
la source `nisplus' pour la bibliothque GlibC 2.
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Au sein de chaque processus qui utilise nsswitch.conf, la lecture
du fichier entier n'a lieu qu'une seule fois. Si le fichier est
modifi par la suite, le processus continuera  utiliser l'ancienne
configuration.<br/><br/>
Avec Solaris il n'est pas possible de lier statiquement des programmes
utilisant les services NSS. Avec Linux cela ne pose aucun problme.
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
