<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de), Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Sun Jul 25 10:46:28 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Aug 21 18:12:27 1994 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Jun 18 01:53:57 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Traduction 17/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 18/05/1998 (LDP-man-pages-1.19) -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>PASSWD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">notes</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
passwd - Fichier des mots de passe.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
<b>passwd</b> <b></b>  est un fichier de texte qui contient la liste des comptes sur le systme,
ainsi que des informations utiles sur ces comptes, comme l'identification
de l'utilisateur, du groupe, le rpertoire personnel, le shell, etc.
Souvent, ce fichier contient galement le mot de pass chiffr de l'utilisateur.
Le fichier des mots
de passe doit permettre la lecture par tout le monde (de nombreux
utilitaires comme
<i>ls (1)</i>
l'utilisent pour convertir les UID en noms d'utilisateur).
Par contre seul le Super-User doit disposer de droits d'criture sur
le fichier.<br/><br/>
Au bon vieux temps, aucun problme de scurit ne se posait avec ce
droit de lecture gnral. Chacun pouvait consulter les mots de passe
crypts, mais le matriel tait trop lent pour pouvoir dcrypter un
mot de passe bien choisi. De plus le principe de base d'Unix reposait
sur une communaut soude d'utilisateurs sans intentions nfastes.
Actuellement, il est de plus en plus recommand d'utiliser des
systmes de masquage des mots de passe, comme 
<b>shadow</b>
avec lequel le fichier
<i>/etc/passwd</i> contient des *  la place des mots de passe, et o ces derniers sont
stocks sous forme crypte dans
<i>/etc/shadow</i> qui n'est lisible que par le Super-utilisateur.<br/><br/>
Que le masquage des mots de passe soit utilis ou non, de nombreux
administrateurs systmes utilisent un astrisque dans le champ
'mot de passe' pour s'assurer que l'utilisateur en question ne
pourra pas se connecter (Voir le paragraphe Notes plus bas).<br/><br/>
Si vous devez crer un nouvel utilisateur, placez un astrisque dans le champ
'mot de passe', puis utilisez la commande
passwd (1)
pour le mettre  jour.<br/><br/>
Il doit y avoir, dans le fichier des mots de passe, une ligne par utilisateur,
avec le format suivant&nbsp;:
<br/><br/>

.RS
account:passwd:UID:GID:GECOS:directory:shell

<br/><br/>

Les divers champs sont les suivants :
<br/><br/>

.RS
<br/><br/>
 1.0in
<i>account</i> Le nom que l'utilisateur utilisera pour se connecter, il ne devrait normalement
pas contenir de majuscules
<br/><br/>

<i>password</i> La reprsentation encrypte (optionnelle) du mot de passe.
<br/><br/>

<i>UID</i> L'ID numrique de l'utilisateur.
<br/><br/>

<i>GID</i> L'ID numrique du groupe principal de l'utilisateur.
<br/><br/>

<i>GECOS</i> Ce champ est optionnel et n'a qu'un rle informatif. Il contient gnralement
le nom complet de l'utilisateur. GECOS signifie "General Electric Comprehensive
Operating System", qui fut renomm GCOS quand la division "gros systmes" de
General Electric a t vendue a Honeywell. Dennis Ritchie raconte&nbsp;:
"Il arrivait que l'on envoie des sorties d'impression ou des rsultats de
traitements diffrs vers une machine GCOS. Le champ GCOS du fichier password
tait un endroit classique pour glisser des informations dans la carte
$IDENT. Pas trs lgant..."
<br/><br/>

<i>directory</i> Le rpertoire de connexion de l'utilisateur (variable d'
<i>environnement (5)</i>
$HOME).
<br/><br/>

<i>shell</i> Le programme  excuter aprs la phase de connexion (par dfaut 
<i>/bin/sh ).</i>
Si ce fichier n'existe pas, l'utilisateur ne pourra pas se connecter avec
<b>login (1).</b>

</div><br/><br /><h1 class="TitreSection0" id="L3">notes</h1>
<div class="paragraph">
Si vous dsirez crer des groupes d'utilisateurs, leurs champs GIDs doivent
tre identiques, et il doit y avoir une entre correspondante dans le fichier
<i>/etc/group .<br/><br/></i>
Si le mot de passe crypt est rempli avec un astrisque, l'utilisateur ne
pourra pas se connecter avec
<b>login (1),</b>
mais pourra toujours le faire avec
<b>rlogin (1),</b>
lancer des processus en utilisant
<b>rsh (1),</b>
<b>cront (1),</b>
<b>at (1),</b>
ou des filtres de courrier, etc...
La modification du champ "Shell" a gnralement les mmes effets, et autorise
toujours l'utilisation de
<b>su (1).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
<i>/etc/passwd</i> </div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>passwd (1),</b>
<b>login (1),</b>
<b>su (1),</b>
<b>group (5),</b>
<b>shadow (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
