<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1994, 1995 by Daniel Quinlan (quinlan@yggdrasil.com) -->
<!--  with networking additions from Alan Cox (A.Cox@swansea.ac.uk) -->
<!--  and scsi additions from Michael Neuffer (neuffer@mail.uni-mainz.de) -->
<!--  and sysctl additions from Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Wed May 17 15:26:04 1995: faith@cs.unc.edu, updated BUGS section -->
<!--  Minor changes by aeb and Marty Leisner (leisner@sdsp.mc.xerox.com). -->
<!--  Sat Apr 13 02:32:45 1996: aeb@cwi.nl, added sys, various fixes. -->
<!--  Mon Jul 22 17:14:44 1996: aeb@cwi.nl, minor fix. -->
<!--  -->
<!--  -->
<!--  Traduction 02/06/1999 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages 1.23 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/10/2002 - LDP-man-pages-1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>PROC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">voir aussi</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">reerciements</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
proc - Pseudo-systme de fichiers d'informations sur les processus.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
/proc est un pseudo-systme de fichiers qui est utilis comme interface
avec les structures de donnes du noyau pour viter d'avoir  interprter
/dev/kmem.
La plupart des fichiers sont en lecture seule, mais quelques uns permettent
la modification de variables du noyau.<br/><br/>
La description suivante fournit un aperu de la hirarchie /proc.<br/><br/>
<!--  .na -->
<!--  .nh --><br/><br/>D 1
<br/><br/>

<i>[nombre]</i> Il existe un sous-rpertoire pour chaque processus en cours. Le sous-rpertoire
prend comme nom le PID du processus. Chaque sous-rpertoire contient les
pseudo-fichiers et pseudo-rpertoires suivants.
.RS
<br/><br/>

<i>cmdline</i> Ce fichier contient la ligne de commande complte du processus, sauf si le
processus a t swapp, ou s'il s'agit d'un zombie. Dans ces deux derniers
cas il n'y a rien dans le fichier : une lecture reviendra aprs avoir
lu 0 caractres. 
Les arguments de la ligne de commande apparassent comme un ensemble de
chanes spares de caractres NUL, avec un octet NUL supplmentaire aprs le dernier argument.
<br/><br/>

<i>cwd</i> (Current Working Directory) il s'agit d'un lien sur le rpertoire de travail
courant du processus. Pour obtenir le cwd du processus 20 par exemple, vous
pouvez-faire ceci&nbsp;: 
<br/>

.ft CW
cd /proc/20/cwd; /bin/pwd


.ft<br/><br/>
Notez que la commande directe <b>pwd</b> est souvent une commande interne du
shell, et qu'elle risque de ne pas fonctionner correctement. Avec Bash, utilisez pwd -P.
<br/><br/>

<i>environ</i> Ce fichier contient l'environnement du processus. Les entres sont spares
par des caractres nuls, et il devrait y en avoir un  la fin du fichier.
Ainsi, pour afficher l'environnement du processus numro 1, utilisez&nbsp;:
<br/>

.ft CW
(cat /proc/1/environ; echo) | tr "\\000" "\\n"


.ft P<br/><br/>
(Pour savoir  quoi cela peut bien servir, voyez
<b>lilo (8).)</b>
<br/><br/>

<i>exe</i> Sous Linux 2.2 et 2.4
<i>exe</i> est un lien symbolique reprsentant le chemin rel de la commande en cours d'excution.
Le lien
<i>exe</i> peut tre drfrenc normalement, en ouvrant
<i>exe</i> on ouvrira le fichier excutable. Vous pouvez mme taper
<i>/proc/[pid]/exe</i> pour lancer une copie du mme processus que celui du pid indiqu.
Sous Linux 2.0 et prcdents,
<i>exe</i> tait un pointeur sur le fichier binaire excut, qui apparassait sous forme
de lien symbolique.
Un appel-systme
<i>readlink (2)</i>
sur le fichier spcial 
<i>exe</i> renvoyait une chane de la forme:<br/><br/>
[priphrique]:inoeud<br/><br/>
Par exemple, [0301]:1502 correspond  l'i-noeud 1502 sur le priphrique
de numro majeur 03 (disque IDE, MFM, etc.) et mineur 01 (premire partition du premier disque).
On peut utiliser
<b>find (1)</b>
avec l'option -inum pour retrouver le fichier excutable  partir du numro d'i-noeud.
<br/><br/>

<i>fd</i> Il s'agit d'un sous-rpertoire contenant une entre pour chaque fichier
que le processus a ouvert. Chaque entre a le descripteur du fichier
pour nom, et est reprsente par un lien symbolique sur le vrai fichier
(de la mme manire que l'entre exe). Ainsi, 0 correspond  l'entre
standard, 1  la sortie standard, 2  la sortie d'erreur, etc... <br/><br/>
Les programmes qui prennent un nom de fichier d'entre mais qui ne lisent
pas l'entre standard, ou qui crivent dans un fichier sans crire
sur la sortie standard peuvent tre tromps ainsi (on suppose que
l'option -e indique le nom du fichier d'entre et l'option -s le
nom du fichier de sortie)&nbsp;:
<br/>

\f(CWfoobar -e /proc/self/fd/0 -s /proc/self/fd/1 ...\fR 


<br/>
Ceci transforme le programme en filtre. Toutefois cela ne fonctionne
pas avec les programmes qui effectuent des positionnements (avec
<i>lseek (2))</i>
dans leurs fichiers. On ne peut pas faire de positionnement sur
les fichiers du rpertoire fd.<br/><br/>
/proc/self/fd/N est approximativement la mme chose que /dev/fd/N
dans certains systmes UNIX et pseudo-UNIX. D'ailleurs la plupart des scripts
MAKEDEV de Linux lient symboliquement /dev/fd sur [..]/proc/self/fd.
<br/><br/>

<i>maps</i> Un fichier contenant les rgions mmoire actuellement projetes et
leurs autorisations d'accs.
Le format est&nbsp;:

.ft CW
.in +3n
adresses          perm. dcalage priph i-noeud  chemin d'accs
08048000-08056000 r-xp 00000000 03:0c 64593      /usr/sbin/gpm
08056000-08058000 rw-p 0000d000 03:0c 64593      /usr/sbin/gpm
08058000-0805b000 rwxp 00000000 00:00 0
40000000-40013000 r-xp 00000000 03:0c 4165       /lib/ld-2.2.4.so
40013000-40015000 rw-p 00012000 03:0c 4165       /lib/ld-2.2.4.so
4001f000-40135000 r-xp 00000000 03:0c 45494      /lib/libc-2.2.4.so
40135000-4013e000 rw-p 00115000 03:0c 45494      /lib/libc-2.2.4.so
4013e000-40142000 rw-p 00000000 00:00 0
bffff000-c0000000 rwxp 00000000 00:00 0
.ft


.in
O <i>adresses</i> correspond  l'espace d'adressage du processus qui l'occupe,
<i>perm</i> est un ensemble d'autorisations&nbsp;:

.in +5
r = lecture
w = criture
x = excution
s = partage
p = priv (copie si criture)


.in<br/><br/>
Le <i>dcalage</i> se mesure dans le fichier, <i>priph</i> correspond
 la paire (majeur:mineur), et l'<i>i-noeud</i> se trouve sur ce priphrique.
0 signifie qu'aucun i-noeud n'est associ avec cette zone mmoire, comme
c'est le cas avec bss. <br/><br/>
Sous Linux 2.0, il n'y a pas de champ indiquant le chemin d'accs.
<br/><br/>

Par l'intermdiaire du fichier
<i>mem ,</i>
on peut accder  la mmoire d'un processus, au travers des appels
<b>open (2),</b>
<b>read (2),</b>
 et
<b>fseek(3).</b>
<br/><br/>

<i>root</i> Linux, et Unix en gnral, supporte une notion de racine du systme de fichiers pour
chaque processus, configurable avec l'appel systme
<i>chroot (2).</i>
Le fichier root pointe sur la racine du systme de fichiers, et se comporte comme exe, fd/*...
<br/><br/>

<i>stat</i> Informations sur l'tat du processus. Ceci est utilis par
<b>ps (1).</b>
La dfinition se trouve dans
<i>/usr/src/linux/fs/proc/array.c </i>.<i><br/><br/></i>
Les champs sont, dans l'ordre, et avec leurs formats de type
<i>scanf </i>(3) :<i></i>
.RS
<br/><br/>

<i>pid</i> %d
L'ID du processus
<br/><br/>

<i>comm</i> %s
Le nom du fichier excutable entre parenthses, que l'excutable soit swapp ou non.
<br/><br/>

<i>state</i> %c
Un caractre parmi "RSDZTW" indiquant si le processus est en cours d'excution (R running),
endormi dans un tat interruptible (S sleeping), endormi de manire ininterruptible (D), zombie (Z), suivi pour dbogage ou arrt par un signal (T traced) ou swapp (W).
<br/><br/>

<i>ppid</i> %d
Le PID du processus parent.
<br/><br/>

<i>pgrp</i> %d
L'ID du groupe de processus.
<br/><br/>

<i>session</i> %d
L'ID de session du processus.
<br/><br/>

<!--   -->
<i>tty_nr</i> %d
Le tty que le processus utilise.
<br/><br/>

<i>tpgid</i> %d
L'ID de groupe du processus contrlant le terminal auquel le processus
est connect.
<br/><br/>

<i>flags</i> %u
Attributs du processus. 
Le bit math est 4 (dcimal), et le bit de suivi est 10 (dcimal) [NDT ?]
<br/><br/>

<i>minflt</i> %u
Le nombre de fautes mineures que le processus a dclenches - celles qui n'ont
pas ncessit de chargement de page depuis le disque.
<br/><br/>

<i>cminflt</i> %u
Le nombre de fautes mineures commises par le processus et ses descendants.
<br/><br/>

<i>majflt</i> %u
Le nombre de fautes majeures que le processus a dclenches - celles qui ont
ncessit un chargement de page depuis le disque.
<br/><br/>

<i>cmajflt</i> %u
Le nombre de fautes majeures commises par le processus et ses descendants.
<br/><br/>

<i>utime</i> %d
Le temps pass (nombre de jiffies) en mode utilisateur par le processus.
<br/><br/>

<i>stime</i> %d
Le temps pass en mode noyau par le processus.
<br/><br/>

<i>cutime</i> %d
Le temps pass en mode utilisateur par le processus et ses descendants.
<br/><br/>

<i>cstime</i> %d
Le temps pass en mode noyau par le processus et ses descendants.
<br/><br/>

<i>priority</i> %d
La valeur de courtoisie standard&nbsp;; jamais ngative
dans le noyau.
<br/><br/>

<i>nice</i> %ld
La valeur de courtoisie dans l'intervalle 19 (courtois)  -19 (agressif).
<br/><br/>

<!--  -->
<!--  -->
<!--  -->
<!--  -->
<!--  -->
<!--  -->
<!--  -->
<!--  -->
<i>0</i> %ld
La valeur zro code en dur remplace un champ supprim ici.
<br/><br/>

<i>itrealvalue</i> %u
La dure (en nombre de jiffies) avant le prochain signal SIGALRM envoy
au processus par un timer.
<br/><br/>

<i>starttime</i> %d
Temps (en jiffies) auquel le processus a dmarr depuis le boot du systme.
<br/><br/>

<i>vsize</i> %u
Taille de la mmoire virtuelle en octets.
<br/><br/>

<i>rss</i> %u
RSS. Taille de l'ensemble rsident : nombre de pages dont le processus dispose en
mmoire relle, moins 3 pour des raisons administratives. Il s'agit juste
des pages contenant les espaces de code, donne et pile. Ceci n'inclue ni
les pages en attente de chargement ni celles qui ont t swappes.
<br/><br/>

<i>rlim</i> %u
Limite actuelle en octets du RSS du processus (classiquement
2,147,483,647).
<br/><br/>

<i>startcode</i> %u
Adresse au-dessus de laquelle le code du programme peut s'excuter.
<br/><br/>

<i>endcode</i> %u
Adresse en-dessous de laquelle le code du programme peut s'excuter.
<br/><br/>

<i>startstack</i> %u
Adresse de dbut de la pile.
<br/><br/>

<i>kstkesp</i> %u
Valeur actuelle du pointeur de pile 32 bits ESP, telle qu'on la trouve
dans la page de pile du noyau pour ce processus.
<br/><br/>

<i>kstkeip</i> %u
EIP actuel (Pointeur d'instructions 32 bits).
<br/><br/>

<i>signal</i> %d
Masque des signaux en attente (habituellement 0).
<br/><br/>

<i>blocked</i> %d
Masque des signaux bloqus (souvent 0, 2 pour certains shells).
<br/><br/>

<i>sigignore</i> %d
Masque des signaux ignors.
<br/><br/>

<i>sigcatch</i> %d
Masque des signaux intercepts.
<br/><br/>

<i>wchan</i> %u
Il s'agit du "canal" sur lequel le processus attend. C'est l'adresse
d'un appel systme, dont on peut retrouver le nom dans une table si
besoin (il faut avoir un fichier /etc/psdatabase  jour, et essayer
<i>ps -l</i> pour voir le champs WCHAN).
<br/><br/>

<i>nswap</i> %lu
Nom de pages swappe (non maintenu).
<br/><br/>

<i>cnswap</i> %lu
Champ <i>nswap</i> cumul avec les processus enfants.
<br/><br/>

<i>exit_signal</i> %d
Signal  envoyer au parent lors de la mort du processus.
<br/><br/>

<i>processor</i> %d
Numro du processeur utilis lors de la dernire excution.

<br/><br/>

<i>statm</i> Founit des informations sur l'tat des pages mmoire. Les colonnes sont&nbsp;:
 size       taille totale du programme
 resident   taille rsidant en mmoire
 share      pages partages
 trs        taille du code (segment text)
 drs        donnes et pile
 lrs        bibliothques
 dt         pages touches (marques dirty)
<br/><br/>

<i>status</i> Fournit l'essentiel des informations de
<i>stat</i> et
<i>statm</i> dans un format plus facile  lire pour les humains.

<br/><br/>

<i>apm</i> La version du systme de gestion de puissance APM et les informations sur l'tat de
la batterie si la constante CONFIG_APM tait dfinie  la compilation du noyau.
<br/><br/>

<i>bus</i> Contient des sous-rpertoires pour les bus installs.
.RS
<br/><br/>

<i>pccard</i> Rpoertoire pour les priphriques Pcmcia si la constante CONFIG_PCMCIA tait
dfinie  la compilation du noyau.
.RS
<br/><br/>

<i>drivers</i> 

.RS
<br/><br/>

<i>pci</i> Contient divers sous-rpertoires de bus, et des pseudo-fichiers
reclant des informations sur les bus pci, les priphriques installs
et leurs pilotes. Certains de ces fichiers ne sont pas en Ascii pur.
.RS
<br/><br/>

<i>devices</i> Informations sur les priphriques pci. Peut-tre consult grce 
<b>lspci (8)</b>
et
<b>setpci (8).</b>


<br/><br/>

<i>cmdline</i> Arguments passs au noyau Linux lors du boot. Gnralement par
l'intermdiaire d'un gestionnaire de boot comme
<b>lilo (1).</b>
<br/><br/>

<i>cpuinfo</i> Il s'agit d'informations dpendantes de l'architecture et du processeur
utilis. Les deux seules entres toujours prsentes sont <i>processor</i>
qui donne le nombre de processeurs et <i>bogomips</i>, une constante systme
calcule pendant l'initialisation du noyau. Les machines SMP ont une
ligne d'information pour chaque processeur.
<br/><br/>

<i>devices</i> Liste littrale des groupes de priphriques et des numros majeurs. Ceci
peut servir dans les scripts MAKEDEV pour rester cohrent avec le noyau.
<br/><br/>

<i>dma</i> Il s'agit d'une liste des canaux DMA (Direct Memory Acess) <i>ISA</i>
en cours d'utilisation.
<br/><br/>

<i>driver</i> Rpertoire vide
<br/><br/>

<i>execdomains</i> Liste des domaines d'excution (personnalits).
<br/><br/>

<i>fb</i> Information sur la mmoire d'cran Frame Buffer, lorsque la constante
CONFIG_FB a t dfinie lors de la compilation du noyau.
<br/><br/>

<i>filesystems</i> Une liste des systmes de fichiers qui ont t compils dans le noyau.
Par exemple ceci sert 
<i>mount(1)</i>  essayer les diffrents systmes de fichiers si on ne lui prcise rien.
<br/><br/>

<i>fs</i> Sous-rpertoire vide.
<br/><br/>

<i>ide</i> Le rpertoire
<i>ide</i> existe sur les systmes ayant un bus ide. Il y a des sous-rpertoires pour
chaque canal ide et les priphriques attachs. Les fichiers contiennent&nbsp;:

cache              taille du buffer en ko
capacity           nombre de secteurs
driver             version du pilote
geometry           gomtries physique et logique
identify           identification en hexadcimal
media              type de support
model              numro de fabricant
settings           configuration du pilote
smart_thresholds   seuils en hexadcimal
smart_values       paramtres in hexadcimal

<br/><br/>
L'utilitaire
<b>hdparm (8)</b>
fournit un accs convivial  ces informations.
<br/><br/>

<i>interrupts</i> Il s'agit du nombre d'interruptions reues pour chaque IRQ sur les
architectures i386 (au moins). Format facile  lire, en Ascii
<br/><br/>

<i>iomem</i> projection des entres-sorties en mmoire, depuis Linux 2.4.
<br/><br/>

<i>ioports</i> Il s'agit d'une liste des rgions d'entre-sortie en cours d'utilisation.
<br/><br/>

<i>kcore</i> Ce fichier reprsente la mmoire physique du systme sous forme de fichier ELF core.
A l'aide de ce pseudo-fichier et d'un binaire du noyau non <i>strip</i>
(/usr/src/linux/vmlinux), GDB peut servir  inspecter l'tat de n'importe
quelle structure de donnes du noyau.<br/><br/>
La longueur totale de ce fichier est la taille de la mmoire RAM physique
plus 4 Ko.
<br/><br/>

<i>kmsg</i> Ce fichier peut tre utilis  la place de l'appel-systme
<b>syslog (2)</b>
pour journaliser les messages du noyau. Un processus doit avoir les
privilges Super-Utilisateur pour lire ce fichier, et un seul processus
 la fois peut le lire. On NE DOIT PAS lire ce fichier si un processus
syslogd tourne et utilise l'appel-systme
<b>syslog (2)</b>
pour journaliser les messages du noyau.<br/><br/>
Les informations de ce fichier sont consults par le programme
<b>dmesg (8).</b>
<br/><br/>

<i>ksyms</i> Ce fichier contient les symboles exports par le noyau et
utiliss par les outils des
<i>modules (X)</i>
pour assurer l'dition dynamique des liens des modules chargeables. 
<br/><br/>

<i>loadavg</i> Ce fichier indique les charges systme (nombre de jobs en attente
d'excution) moyennes sur 1, 5, et 15 minutes.
Suivent le nombre d'utilisateurs connects spar par un slash
du nombre de processus en cours. On trouve enfin le nombre de processus
s'tant excuts depuis le dmarrage du systme.
Il s'agit des informations fournies par exemple par le programme
<i>uptime (1).</i>
<br/><br/>

<i>locks</i> Ce fichier montre les verrouillages actuels des fichiers.
( flock <b>(2) et  </b> fcntl (2)).</b>
<br/><br/>

<i>malloc</i> Ce fichier n'est prsent que si CONFIGDEBUGMALLOC a t dfini lors de
la compilation du noyau.
<br/><br/>

<i>meminfo</i> Sert au programme
<b>free (1)</b>
pour indiquer les quantits de mmoires (physique et swap) libres
et utilises, ainsi que la mmoire partage et les buffers utiliss
par le noyau. <br/><br/>
Ce fichier se prsente sous la mme forme que
<b>free (1)</b>
mais en octets et non pas en Ko.
<br/><br/>

<i>mounts</i> Il s'agit d'une liste de tous les systmes de fichiers actuellement monts
sur le systme. Le format de ce fichier est document dans
<i>fstab (5).</i>
<br/><br/>

<i>modules</i> Une liste littrale des modules qui ont t chargs par le systme.
Voir
<b>lsmod</b> <b></b>  <b>(8).</b> <b></b>  <br/><br/>

<i>mtrr</i> Memory Type Range Registers.
Voir
<i>/usr/src/linux/Documentation/mtrr.txt</i> pour des dtails.
<br/><br/>

<i>net</i> Ce rpertoire regroupe divers pseudo-fichiers relatifs aux
fonctionnalits rseau. Chaque fichier fournit des informations
concernant une couche particulire.
Ces fichiers sont en ASCII et sont donc lisible grce 
<i>cat (1),</i>
mais le programme standard
<b>netstat (8)</b>
fournit un accs plus propre  ces donnes.
.RS
<br/><br/>

<i>arp</i> Ce fichier contient un affichage ASCII lisible des tables ARP du
noyau servant  la rsolution d'adresse. Il indique  la fois
les entres apprises dynamiquement et celles pr-programmes.
Le format est le suivant :

.ft CW
.in 8n
Adresse IP    Matriel  Attribut   Adresse matrieuue Masque  Priph.
192.168.0.50   0x1       0x2       00:50:BF:25:68:F3   *      eth0
192.168.0.250  0x1       0xc       00:00:00:00:00:00   *      eth0
.ft


.in<br/><br/>
O l'adresse IPv4 est celle de la machine, le type de matriel est issu
de la RFC 826. L'attribut est le champs <i>arp_flags</i> interne de la
structure ARP (dfinie dans /usr/include/linux/if_arp.h) et l'adresse
matrielle est celle de la couche physique de l'adaptateur correspondant
 l'adresse IP (si elle est connue).
<br/><br/>

<i>dev</i> Ce pseudo-fichier contient des informations d'tat sur les priphriques
rseau. On y trouve les nombres de paquets mis et reus, le nombre d'erreurs
et de collisions, ainsi que d'autres donnes statistiques. Ce fichier est
utilis par le programme
ifconfig (8).</b>
Le format est le suivant&nbsp;:

.ft CW
.in 1n
Inter-|   Receive                                                |  Transmit
 face |bytes    packets errs drop fifo frame compressed multicast|bytes    packets errs drop fifo colls carrier compressed
    lo: 2776770   11307    0    0    0     0          0         0  2776770   11307    0    0    0     0       0          0
  eth0: 1215645    2751    0    0    0     0          0         0  1782404    4324    0    0    0   427       0          0
  ppp0: 1622270    5552    1    0    0     0          0         0   354130    5669    0    0    0     0       0          0
  tap0:    7714      81    0    0    0     0          0         0     7714      81    0    0    0     0       0          0
.in
.ft


<!--  <br/><br/>
 -->
<!--  <i>ipx --></i> <!--  No information. -->
<!--  <br/><br/>
 -->
<!--  <i>ipx_route --></i> <!--  No information. -->
<br/><br/>

<i>dev_mcast</i> Dfinie dans
<i>/usr/src/linux/net/core/dev_mcast.c </i> :<i></i>
 
.in +5
indx ifterface_name  dmi_u dmi_g dmi_address
2    eth0            1     0     01005e000001
3    eth1            1     0     01005e000001
4    eth2            1     0     01005e000001
.in  


<br/><br/>

<i>igmp</i> Protocole Internet Group Management Protocol.  Dfini dans
<i>/usr/src/linux/net/core/igmp.c .<br/><br/></i>
<br/><br/>

<i>rarp</i> Ce fichier emploie le mme format que le fichier
<i>arp ,</i>
et contient la projection inverse de la base de donnes utilise
pour fournir les services de recherche inverse de
<b>rarp (8).</b>
Si RARP n'est pas configur dans le noyau, ce fichier est absent.
<br/><br/>

<i>raw</i> Fournit une copie de la table des sockets RAW (brutes). La plupart des informations
ne sert que pour le dbogage. La valeur "sl" est l'emplacement de la socket
dans la table de hachage du noyau. Le champ "local_address" contient l'adresse locale
ainsi que le numro du protocole utilis. "St" est l'tat interne de la socket.
Les "tx_queue" et "rx_queue" reprsentent les files d'attente en mission et en
rception, en terme d'utilisation mmoire par le noyau. Les champs "tr", "tr-&gt;when"
et "rexmits" ne sont pas utiliss par RAW. Le champ uid contient l'identificateur
EUID du crateur de la socket.
<!--  <br/><br/>
 -->
<!--  <i>route --></i> <!--  No information, but looks similar to -->
<!--  <b>route (8). --></b>
<br/><br/>

<i>snmp</i> Ce fichier contient les donnes ASCII ncessaires pour les bases d'information
d'un agent SNMP pour la gestion de IP, ICMP, TCP et UDP.
<br/><br/>

<i>tcp</i> Contient une copie de la table des socket TCP. La plupart des informations
ne sert que pour le dbogage. La valeur "sl" est l'emplacement de la socket
dans la table de hachage du noyau. Le champ "local_address" contient l'adresse locale
ainsi que le numro de port. Le champ "remote_address" contient l'adresse distante
et le numro de port (si la socket est connecte). "St" est l'tat interne de la socket.
Les "tx_queue" et "rx_queue" reprsentent les files d'attente en mission et en
rception, en terme d'utilisation mmoire par le noyau. Les champs "tr", "tr-&gt;when"
et "rexmits" contiennent des donnes internes au noyau ne servant qu'au dbogage.
Le champ uid contient l'identificateur EUID du crateur de la socket.
<br/><br/>

<i>udp</i> Contient une copie de la table des socket UDP. La plupart des informations
ne sert que pour le dbogage. La valeur "sl" est l'emplacement de la socket
dans la table de hachage du noyau. Le champ "local_address" contient l'adresse locale
ainsi que le numro de port. Le champ 'remote_address' contient l'adresse distante
et le numro de port (si la socket est connecte). "St" est l'tat interne de la socket.
Les "tx_queue" et "rx_queue" reprsentent les files d'attente en mission et en
rception, en terme d'utilisation mmoire par le noyau. Les champs "tr", "tr-&gt;when"
et "rexmits" ne sont pas utiliss par UDP. 
Le champ uid contient l'identificateur EUID du crateur de la socket.
Le format est&nbsp;:

.ft CW
.if n .in 0
sl  local_address rem_address   st tx_queue rx_queue tr rexmits  tm-&gt;when uid
 1: 01642C89:0201 0C642C89:03FF 01 00000000:00000001 01:000071BA 00000000 0
 1: 00000000:0801 00000000:0000 0A 00000000:00000000 00:00000000 6F000100 0
 1: 00000000:0201 00000000:0000 0A 00000000:00000000 00:00000000 00000000 0
.if n .in
.ft


<br/><br/>

<i>unix</i> Liste des sockets dans le domaine UNIX prsentes sur le systme, et
leurs tats. Le format est :

<br/><br/>
 .5
.ft CW
Num RefCount Protocol Flags    Type St Path
 0: 00000002 00000000 00000000 0001 03
 1: 00000001 00000000 00010000 0001 01 /dev/printer
.ft
<br/><br/>
 .5

<br/><br/>
O 'Num' est l'emplacement dans la table du noyau. 'Refcount' est le nombre
d'utilisateurs de la socket. 'Protocol' est toujours 0 pour le moment. 'Flags' reprsente
un attribut interne du noyau correspondant  l'tat
de la socket. Le type est toujours 1 pour le moment (Les sockets de datagrammes
dans le domaine Unix ne sont pas encore support par le noyau). 'St' est
un tat interne de la socket, et Path correspond  l'ventuel chemin d'accs de
la socket.

<br/><br/>

<i>partitions</i> Contient les numros majeur et mineur de chaque partition, ainsi que le nombre de
blocs et le nom de la partition.
<br/><br/>

<i>pci</i> Il s'agit d'une liste de tous les priphriques PCI dtects pendant
l'initialisation ainsi que leur configuration.
<br/><br/>

<i>scsi</i> Un rpertoire regroupant les pseudo-fichiers du niveau SCSI intermdiaire, et
divers sous-rpertoires pour les pilotes SCSI bas-niveau, qui contiennent
un fichier pour chaque hte SCSI du systme. Tout cet ensemble fournit une
partie de l'tat du sous-systme d'entre/sortie SCSI.
Les fichiers contiennent des structures sous forme ASCII, et sont donc
lisibles avec <b>cat</b>(1).<br/><br/>
On peut galement crire dans certains fichiers pour reconfigurer le sous-systme
SCSI, ou activer/dsactiver certaines fonctionnalits.
.RS
<br/><br/>

<i>scsi</i> Il s'agit d'une liste de tous les priphriques SCSI reconnus par le noyau.
Cette liste est la mme que celle affiche durant le dmarrage.
Le sous-systme SCSI n'accepte pour le moment que la commande <i>add-single-device</i>
qui permet au Super-Utilisateur d'ajouter un priphrique branch  chaud 
la liste des priphriques connus.<br/><br/>
Un
<b>echo</b> <b></b>  <b>'scsi</b> <b></b>  <b>add-single-device</b> <b></b>  <b>1</b> <b></b>  <b>0</b> <b></b>  <b>5</b> <b></b>  <b>0'</b> <b></b>  <b>&gt;</b> <b></b>  <b>/proc/scsi/scsi</b> <b></b>  <b></b>  fera examiner le canal SCSI 0 par l'hte scsi1,  la recherche d'un priphrique
identifi ID 5 LUN 0. S'il y a dj un priphrique  cette adresse ou si
l'adresse est inconnue, une erreur sera renvoye.
<br/><br/>

<i>nom_de_driver</i> Le <i>nom_de_driver</i> peut tre actuellement : NCR53c7xx, aha152x, aha1542, aha1740, 
aic7xxx, buslogic, eata_dma, eata_pio, fdomain, in2000, pas16, qlogic, 
scsi_debug, seagate, t128, u15-24f, ultrastore ou wd7000. 
Ces rpertoires correspondent  chaque drivers qui pilotent au moins un HBA SCSI.
Chaque rpertoire contient un fichier par hte enregistr. Chaque fichier hte est
baptis avec le numro assign  l'hte durant l'initialisation.<br/><br/>
La lecture de ces fichiers montrera en gnral la configuration de l'hte et du
pilote, des statistiques, etc.<br/><br/>
L'criture dans ces fichiers permettra diffrentes choses suivant les htes. Par
exemple, avec les commandes <i>latency</i> et <i>nolatency</i>, le Super-utilisateur
peut activer ou inhiber le code de mesure de latence des commandes dans le driver
eata_dma. Avec les commandes <i>lockup</i> et <i>unlock</i>, il peut contrler
les verrouillages de bus simuls par le driver scsi_debug.

<br/><br/>

<i>self</i> Ce rpertoire se rapporte au processus accdant au systme de fichier /proc,
et est identique au sous-rpertoire de /proc ayant pour nom le PID du
processus appelant.
<br/><br/>

<i>slabinfo</i> Informations a propose des mmoires caches du noyau. Les colonnes sont&nbsp;:

nom-du-cache
nombre-d'objets-actifs
nombre-total-d'objets
taille-d-'objet
nombre-de-buffers-actifs
nombre-total-de-buffers
nombre-de-pages-par-buffer


Voir
<b>slabinfo (5)</b>
pour des dtails.
<br/><br/>

<i>stat</i> Statistiques du noyau, et du systme. Varie avec l'architecture, les entres
communes sont&nbsp;:
.RS
<br/><br/>

<i>cpu  3357 0 4313 1362393</i>
Le nombre de jiffies (centimes de seconde) que le systme a pass en
mode utilisateur, en mode utilisateur avec une priorit basse (gentil), en
mode systme, et le temps d'inactivit. La dernire valeur devrait correspondre
 100 fois la deuxime entre du pseudo-fichier uptime.
<br/><br/>

<i>page 5741 1808</i>
Le nombre de pages que le systme a pagin en entre et en sortie.
<br/><br/>

<i>swap 1 0</i>
Le nombre de pages de swap que le systme a chang en entre et en sortie.
<br/><br/>

<i>intr 1462898</i>
Le nombre d'interruption reues depuis le dmarrage du systme.
<br/><br/>

<i>disk_io: (2,0):(31,30,5764,1,2) (3,0):</i>...
(majeur,mineur):(noinfo, read_io_ops, blks_read, write_io_ops, blks_written)
<br/><br/>

<i>ctxt 115315</i>
Le nombre de changements de contexte effectus par le systme.
<br/><br/>

<i>btime 769041601</i>
La date de dmarrage du systme en secondes coules depuis le 1er Janvier 1970.
<br/><br/>

<i>processes 23664</i>
Le nombre de processus excuts sur le systme depuis le dmarrage.
 
<br/><br/>

<i>swap</i> Les zones de swap utilises. Voir aussi
<b>swapon (8).</b>
<br/><br/>

<i>sys</i> Ce rpertoire (prsent depuis le noyau 1.3.57) contient un ensemble de
fichiers et de sous-rpertoires correspondant  des variables internes
du noyau. Celles-ci peuvent tre lues et parfois modifies en utilisant
le pseudo-systme de fichiers <i>proc</i>, et en utilisant l'appel-systme
<i>sysctl (2).</i>
Actuellement, il existe les sous-rpertoires
<i>abi </i>, <i> debug </i>, <i> dev </i>, <i> fs </i>, <i> kernel </i>, <i> net </i>, <i> proc </i>, <i> sunrpc </i> et <i> vm</i>
qui contiennent chacun des fichiers et d'autres sous-rpertoires.
.RS
<br/><br/>

<i>abi</i> Ce rpertoire peut tre vide. Sur certains systmes, il est mme absent.
<br/><br/>

<i>debug</i> Ce rpertoire peut tre vide.
<br/><br/>

<i>dev</i> Ce rpertoire contient des informations spcifiques sur les priphriques (par ex. dev/cdrom/info). Sur
certains systmes, il peut tre vide.
<br/><br/>

<i>fs</i> Ici se trouvent le sous-rpertoire
<i>binfmt_misc</i>
et les fichiers
<i>dentry-state </i>, <i> dir-notify-enable </i>, <i> dquot-nr </i>, <i> file-max </i>, <i> </i>
<i>file-nr </i>, <i> inode-max </i>, <i> inode-nr </i>, <i> inode-state </i>, <i> </i>
<i>lease-break-time </i>, <i> leases-enable </i>, <i> overflowgid </i>, <i> overflowuid</i>
<i>super-max </i> et <i> super-nr</i>
dont les noms sont assez explicites.<br/><br/>
La documentation des fichiers dans
<i>/proc/sys/binfmt_misc</i> se trouve dans les sources du noyau, dans
<i>Documentation/binfmt_misc.txt .<br/><br/></i>
Le fichier
<i>dentry-state</i> contient sis nombres
<i>nr_dentry </i>, <i> nr_unused </i>, <i> age_limit </i> (age en secondes), <i> want_pages</i>
(pages rclammes par le systme) et deux valeurs inutiles.
nr_dentry semble tre toujours  zro.
nr_unused semble tre le nombre d'entres de rpertoire libres.
age_limit est l'ge en seconde aprs lequel les entres dcache peuvent tre
rclames quand la mmoire libre diminue et que want_page est non-nul.<br/><br/>
Le fichier
<i>dir-notify-enable</i> peut tre utilis pour activer ou inhiber l'interface
<i>dnotify</i> dcrite dans
<b>fcntl (2)</b>
au niveau systme
Une valeur nulle inhibe cette interface, et
la valeur 1 l'active.<br/><br/>
Le fichier
<i>dquot-max</i> montre le nombre maximal d'entre de quota de disque en cache.
Sur certains systmes (2.4), il est absent. 
Si le nombre de quotas de disque libres est trs bas, et si vous
avez un nombre important d'utilisateurs simultans, vous pouvez augmenter
cette valeur.<br/><br/>
Le fichier
<i>dquot-nr</i> montre le nombre d'entres de quota de disque alloues et le nombre d'entres libres.<br/><br/>
Le fichier
<i>file-max</i> est la limite systme du nombre de fichiers ouverts par un processus.
(Voir aussi
<b>setrlimit (2)</b>
qui peut servir  fixer la limite par processus,
<b>RLIMIT_NOFILE ).</b>
Si vous avez beaucoup de messages d'erreurs indiquant un manque de descripteurs de fichiers,
essayez d'augmenter cette valeur.
<br/><br/><br/>
<br/>

.ft CW
echo 100000 &gt; /proc/sys/fs/file-max


.ft<br/><br/>
La constante
<i>NR_OPEN</i> du noyau impose une limite suprieure  la valeur que l'on peut placer dans
<i>file-max .<br/><br/></i>
Si vous augmentez
<i>file-max ,</i>
assurez-vous d'augmenter
<i>inode-max</i> jusqu' 3  4 fois la nouvelle valeur de
<i>file-max ,</i>
ou vous serez  court d'i-noeuds.<br/><br/>
Le fichier
<i>file-nr</i> (en lecture seule) donne le nombre de fichiers actuellement ouverts.
Il contient trois nombres : les descripteurs de fichiers alloues, les
descripteurs de fichiers libres, et le maximum de descripteurs de fichiers.
Le noyau alloue les descripteurs dynamiquement, mais il ne les libre pas.
Si le nombre de descripteurs allous est proche du maximum, vous pouvez
envisager d'augmenter le maximum.
Quand le nombre de descripteurs libres est trs grand, vous avez rencontr
dans le pass un pic d'utilisation et n'avez probablement pas besoin d'augmenter le maximum.<br/><br/>
Le fichier
<i>inode-max </i> contient le nombre maximal d'i-noeuds en mmoire. Sur certains systmes (2.4)
il peut tre absent. Cette valeur devrait tre 3  4 fois plus grande que le
nombre file-max, car les descripteurs stdin, stdout, et les socket rseau
ncessitent aussi un i-noeud. Lorsque vous manquez rgulirement d'i-noeud,
augmentez cette valeur.<br/><br/>
Le fichier
<i>inode-nr</i> contient les deux premires valeurs de inode-state.<br/><br/>
Le fichier
<i>inode-state</i> contient sept nombres&nbsp;: nr_inodes, nr_free_inodes, preshrink et quatre valeurs inutiles.
nr_inodes est le nombre d'i-noeuds allous par le systme. Il peut tre lgrement plus grand
que inode-max, car Linux les alloue par page complte.
nr_free_inodes reprsente le nombre d'i-noeuds libres.
preshrink est non-nulle quand nr_inodes &gt; inode-max et que le systme doit purger la liste d'i-noeuds
plutt qu'en allouer plus.<br/><br/>
Le fichier
<i>lease-break-time</i> indique le dlai de grce que le noyau accorde  un processus
dtenant un blocage de fichier (file lease, voir
<b>fcntl (2))</b>
aprs qu'il lui a envoy un signal indiquant qu'un autre processus
attend pour ouvrir le fichier.
Si, durant le dlai de grce, le dtenteur du blocage ne le supprime
pas, en n'en diminue pas la porte, le noyau liminera de force le blocage.<br/><br/>
Le fichier
<i>leases-enable</i> permet d'activer ou d'inhiber les blocages de fichiers (file lease, voir
<b>fcntl (2))</b>
pour tout le systme.
Si ce fichier contient la valeur 0, les blocages sont dsactivs, une valeur
non-nulle les active.<br/><br/>
Les fichiers
<i>overflowgid </i> et <i></i>
<i>overflowuid</i> contiennent des valeurs de GID et UID de dbordement, par dfaut 65534.
Certains systmes de fichiers ne supportent que des UID et GID sur 16 bits, bien que le noyau
Linux les gre sur 32 bits. Lorsque l'un de ces systmes de fichiers est mont en lecture-criture,
tout UID ou GID dpassant 65535 est remplac par la valeur de dbordement avant l'criture sur le disque.<br/><br/>
Le fichier
<i>super-max </i> indique le nombre maximal de superblocs, et donc le nombre maximal de systmes de fichiers que
le noyau peut monter. Vous n'avez besoin d'augmenter cette valeur que si vous dsirez monter plus
de systmes de fichiers que le maximal actuel.<br/><br/>
Le fichier
<i>super-nr</i> contient le nombre de systmes de fichiers monts actuellement.
<br/><br/>

<i>kernel</i> On y trouve les fichiers
<i>acct </i>, <i> cad_pid </i>, <i> cap-bound  </i>, <i></i>
<i>core_pattern </i>, <i> core_uses_pid  </i>, <i></i>
<i>ctrl-alt-del </i>, <i> dentry-state </i>, <i> domainname </i>, <i></i>
<i>hotplug </i>, <i> hostname </i>, <i> </i>
<i>htab-reclaim </i> (PowerPC), <i></i>
<i>java-appletviewer </i> (binfmt_java, obsolte), <i></i>
<i>java-interpreter </i> (binfmt_java, obsolte), <i> l2cr </i> (PowerPC), <i></i>
<i>modprobe </i>, <i> msgmax </i>, <i> msgmnb </i>, <i> </i>
<i>msgmni </i>, <i> osrelease </i>, <i> ostype </i>, <i> overflowgid </i>, <i> overflowuid </i>, <i> </i>
<i>panic </i>, <i> panic_on_oops </i>, <i> pid_max </i>, <i></i>
<i>powersave-nap </i> (PowerPC seulement), <i> printk </i>, <i> random </i>, <i></i>
<i>real-root-dev </i>, <i> reboot-cmd </i> (SPARC seulement), <i> rtsig-max </i>, <i> </i>
<i>rtsig-nr </i>, <i> sem </i>, <i> sg-big-buff </i>, <i></i>
<i>shmall </i>, <i> shmmax </i>, <i> shmmni </i>, <i> sysrq </i>, <i> tainted </i>, <i> threads-max </i>, <i></i>
<i>version </i> et <i> zero-paged </i> (PowerPC seulement) <i></i>
dont les noms sont assez explicites.<br/><br/>
Le fichier
<i>acct</i> contient trois nombres : un seuil haut, un seuil bas et une priode.
Si la comptabilit des processus  la manire BSD est active, ses valeurs dtermine son comportement.
Si l'espace disque sur le systme de fichiers accueillant les statistiques descend sous le seuil bas,
(en pourcentage), la comptabilit est suspendue. Si l'espace remonte au-dessus du seuil haut, elle reprend.
La priode (en seconde) est celle avec laquelle le noyau vrifie l'espace disque disponible.
Les valeurs par dfaut sont 4, 2 et 30. Cela signifie que la comptabilit est suspendue en-dessous
de 2% d'espace libre, elle reprend  4% et la vrification a lieu toutes les 30 secondes.<br/><br/>
Le fichier
<i>cap-bound</i> conserve la valeur de 
<i>l'ensemble des capacits limites</i></i>
du noyau (exprime comme un nombre dcimal sign).
Cet ensemble est filtr par un ET binaire avec les capacit du processus
lors d'un exec.<br/><br/>
Le fichier
<i>core_pattern</i> (nouveaut Linux 2.5) fournit un contrle sur le nom employ pour
les fichiers core, plus fin que le fichier
<i>core_uses_pid</i>
obsolte dcrit plus bas.
Le nom d'un fichier core est contrl par un motif dfini dans
<i>core_pattern .</i>
Le motif peut contenir des inficateurs % qui sont remplacs par les
valeurs suivantes lors de la cration d'un fichier core&nbsp;:
<br/><br/>
  %%  Un caractre %
  %p  Le PID du processus
  %u  L'UID rel du processus
  %g  Le GID rel du processus
  %s  Le numro du signal provoquant le core
  %t  L'heure (secs depuis 01/01/1970, 00:00)
  %h  Le nom d'hte ('nodename' de <b>uname</b>(2))
  %e  Nom du fichier excutable<br/><br/>


Un % seul  la fin du motif est limin du nom du fichier,
comme un % suivi d'un autre caractre que ceux de
la liste ci-dessus.
Tous les autres caractres dans le motif gardent leur
valeur littrale dans le nom du fichier core.
La taille maximal du nom est de 64 octets.
La valeur par dfaut de ce fichier est "core".
Pour assurer une compatibilit ascendante, si
<i>core_pattern</i> ne contient pas "%p" et si
<i>core_uses_pid</i> est non-nul, alors .PID est ajout au nom de fichier core.<br/><br/>
Le fichier
<i>core_uses_pid</i> permet de configurer le nom des fichiers core sous Linux 2.4. Si ce fichier
contient la valeur zro, l'image mmoire crite sur le disque est simplement nomme
<i>core .</i>
S'il contient une valeur non-nulle, le fichier core contient galement le numro du
PID du processus, avec la forme
<i>core.PID .<br/><br/></i>
Le fichier
<i>ctrl-alt-del</i> contrle la gestion de la squence Ctrl-Alt-Suppr du clavier.
S'il contient la valeur zro, Ctrl-Alt-Del est captur et envoy au
programme 
<b>init (1)</b>
pour relancer le systme correctement.
Si la valeur est suprieure  zro, la raction de Linux  ce
Coup-de-pied Au C.. est un redmarrage immdiat, sans mme crire
le contenu des buffers en attente.
Note : lorsqu'un programme (comme dosemu) utilise le clavier en mode 'raw' (brut),
la squence ctl-alt-suppr est intercept par le programma avant mme d'atteindre
le gestionnaire de console du noyau, et c'est  ce programme de dcider qu'en faire.<br/><br/>
Le fichier
<i>hotplug </i> contient le chemin de l'agent du mcanisme de branchement  chaud.
La valeur par dfaut est "/sbin/hotplug".<br/><br/>
Les fichiers
<i>domainname </i> et <i></i>
<i>hostname</i> servent  indiquer les noms NIS/YP de domaine et d'hte, exactement de la mme
manire que les commandes domainname et hostname. Par exemple&nbsp;:
<br/><br/><br/>
<br/>
# echo "darkstar" &gt; /proc/sys/kernel/hostname
<br/>
# echo "mydomain" &gt; /proc/sys/kernel/domainname
<br/><br/><br/>
<br/>
a exactement le mme effet que
<br/><br/><br/>
<br/>
# hostname "darkstar"
<br/>
# domainname "mydomain"
<br/><br/><br/>
<br/>
Notez toutefois, que le classique darkstar.frop.org a le nom d'hte
darkstar et de le nom de domaine DNS (Internet Domain Name Server)
"frop.org",  ne pas confondre ave le nom de domains NIS (Network
Information Service) ou YP (Yellow Pages). Ces noms de domaines sont
gnralement diffrents. Pour plus de dtail, voyez la page
<b>hostname (1).</b>
LP
Si le fichier
<i>htab-reclaim</i> (PowerPC seulement) contient une valeur non-nulle,
la htab du PowerPC
(voir le fichier Documentation/powerpc/ppc_htab.txt du noyau) est parcourue
chaque fois que le systme atteint la boucle d'inactivit.<br/><br/>
Le fichier
<i>l2cr</i> (PowerPC seulement) contient un indicateur commandant le cache L2 des cartes processeurs G3.
Le cache est dsactiv si la valeur est nulle, activ sinon.<br/><br/>
Le fichier
<i>modprobe</i> est dcrit dans le fichier des sources du noyau Documentation/kmod.txt.<br/><br/>
Le fichier
<i>msgmax</i> est une limite pour l'ensemble du systme prcisant le nombre maximal d'octets par message
crit dans une file de message Systme V.<br/><br/>
Le fichier
<i>msgmni</i> dfinit la limite pour le systme du nombre d'identificateurs de files de messages.
(Ce fichier n'existe que depuis Linux 2.4).<br/><br/>
Le fichier
<i>msgmnb</i> est un paramtre au niveau du systme pour initialiser la valeur
<i>msg_qbytes</i> lors de la cration ultrieure de files de messages.
La valeur
<i>msg_qbytes</i> indique le nombre maximal d'octets que peut contenir une file de messages.<br/><br/>
Les fichiers
<i>ostype</i> et 
<i>osrelease</i> donnent des sous-chanes de
<i>/proc/version .<br/><br/></i>
Les fichiers
<i>overflowgid</i> et
<i>overflowuid</i> remplissent le mme rle que
<i>/proc/sys/fs/overflowgid</i> et
<i>/proc/sys/fs/overflowuid .<br/><br/></i>
Le fichier
<i>panic</i> donne un accs en lecture et criture  la variable
<i>panic_timeout</i> du noyau. Si elle vaut zro, le noyau se mettra en boucle en cas de
panique, sinon elle contient le nombre de secondes aprs lequel le
noyau devra redmarrer. Si vous utilisez le pilote de surveillance watchdog logiciel, la
valeur recommande est 60.<br/><br/>
Le fichier
<i>panic_on_oops</i> (nouveaut Linux 2.5) contrle le comportement du noyaj lorsqu'un Oops (dfaut)
ou un bogue est rencontr. Si ce fichier contient 0, alors le systme tente
de continuer  travailler. S'il contient 1, alors le systme attend quelques
secondes (pour laisser  klogd le temps d'enregistrer la sortie du Oops)
puis dclenche une panique.
Si le fichier
<i>panic</i> est galement non nulle alors la machine redmarrera.<br/><br/>
Le fichier
<i>pid_max</i> (nouveaut Linux 2.5)
indique la valeur  partir de laquelle les PIDs vont reprendre au dbut.
(la valeur dans ce fichier est celle du PID maximum plus un).
La valeur par dfaut est 32768,
ce qui correspond  la mme plage de PIDs que sur les noyaux antrieurs.
La valeur peut tre augmente jusqu' 2^22
(PID_MAX_LIMIT, approximativement 4 millions).<br/><br/>
Le fichier
<i>powersave-nap </i> (PowerPC seulement)<i></i>
contient un indicateur. S'il est non-nul, Linux-PPC utilisera le mode 'nap' d'conomie d'nergie,
sinon il utilisera le mode 'doze'.<br/><br/>
Les quatre valeurs dans le fichier
<i>printk</i> sont nommes console_loglevel, default_message_loglevel, minimum_console_level et
default_console_loglevel.
Ces valeurs influencent le comportement de printk() lors de l'affichage ou de la journalisation de
message d'erreurs. Voir
<b>syslog (2)</b>
pour plus d'information sur les diffrents niveaux.
Les messages avec une priorit plus leve que 
console_loglevel seront affichs sur la console.
Les messages sans priorit explicite utiliseront la
priorit default_message_level.
minimum_console_loglevel est la valeur maximale  laquelle
console_loglevel puisse tre levdefault_console_loglevel est la valeur par dfaut pour console_loglevel.<br/><br/>
Le rpertoire
<i>random</i> contient divers paramtre contrlant le fonctionnement du fichier
<i>/dev/random .<br/><br/></i>
Le fichier
<i>real-root-dev</i> est document dans le fichier Documentation/initrd.txt des sources du noyau.<br/><br/>
Le fichier
<i>reboot-cmd </i> (Sparc seulement) <i></i>
permet apparement de fournir un argument au chargeur de boot ROM/Flash Sparc.
Peut-tre indique-t-il que faire aprs redmarage ?<br/><br/>
Le fichier
<i>rtsig-max</i> permet d'indiquer le nombre maximal de signaux Posix temps-rel en attente
sur le systme.<br/><br/>
Le fichier
<i>rtsig-nr</i> donne le nombre de signaux POSIX temps-rel actuellement en attente.<br/><br/>
Le fichier
<i>sem</i> (disponible depuis Linux 2.4)
contient 4 limites pour les smaphores Systme V.
Ces valeurs sont respectivement&nbsp;:
</div><div class="paragraph">SEMMSL<br/>
Le nombre maximal de smaphores par ensemble.
</div><div class="paragraph">SEMMNS<br/>
Une limite gnrale au systme pour le noombre de smaphore dans tous
les ensembles.
</div><div class="paragraph">SEMOPM<br/>
Le nombre maximal d'opration que l'on peut indiquer dans un appel
<b>semop (2).</b>
</div><div class="paragraph">SEMNI<br/>
Une limite gnrale sur le nombre maximal d'identifiants de smaphores.<br/><br/>
Le fichier
<i>sg-big-buff</i> montre la taille du buffer pour le pilote SCSI gnrique (sg).
Vous ne pourrez pas y crire pour le moment, mais vous pouvez
changer sa valeur  la compilation en ditant include/scsi/sg.h et
en modifiant SG_BIG_BUFF. Toutefois, il ne devrait y avoir aucune
raison de le modifier.<br/><br/>
Le fichier
<i>shmall</i> contient le nombre maximal de pages de mmoire partages (IPC systme
V) au niveau du systme.<br/><br/>
Le fichier
<i>shmmax</i> permet de lire ou modifier la taille maximale des segments de mmoire
partage (IPC Systme V) que l'on peut crer.
Les segments de mmoire jusqu' 1Go sont  prsents autoriss par le
noyau. La valeur par dfaut est SHMMAX.<br/><br/>
Le fichier
<i>shmmni</i> (disponible depuis Linux 2.4)
indique le nombre maximal de segment de mmoire partage que l'on
peut crer.<br/><br/>
Le fichier
<i>version</i> contient une chane du type&nbsp;:
<br/><br/><br/>
<br/>
#5 Wed Feb 25 21:49:24 MET 1998<br/><br/>

<br/><br/><br/>
<br/>
Le champ '#5' indique que c'est la cinquime compilation du noyau
depuis ces sources, et la date correspond  celle de la compilation.<br/><br/>
Le fichier
<i>zero-paged </i> (PowerPC seulement) <i></i>
contient un drapeau. S'il est activ (non-nul), Linux-PPC effacera
les pages dans sa boucle d'inactivit, acclrant ventuellement
dd
<br/><br/>

 net
Ce rpertoire contient des informations concernant le rseau.
<br/><br/>

<i>proc</i> Ce rpertoire peut tre vide.
<br/><br/>

<i>sunrpc</i> Ce rpertoire correspond aux appels de procdures  distance (RPC)
sur un systme de fichiers NFS. Sur certains systme, il est absent.
<br/><br/>

<i>vm</i> Ce rpertoire contient des fichiers de paramtrage de la gestion
de mmoire, des buffers, et du cache.

<br/><br/>

<i>sysvipc</i> Sous-rpertoire contenant les pseudo-fichiers
<i>msg </i>, <i>  sem </i> and <i>  shm </i>.<i></i>
Ces fichiers listent les objets d'IPC Systme V (respectivement les
files de messages, les smaphores, et la mmoire partage) existant
sur le systme. Les informations sont les mmes que celles fournies
par la commande
<b>ipcs (1).</b>
Ces fichiers ont un en-tte, et sont formats pour tre lus facilement.
La page
<b>ipc (5)</b>
explique certaines informations fournies par ces fichiers.
<br/><br/>

<i>tty</i> Sous-rpertoire contenant les pseudo-fichiers et sous-rpertoires pour
les pilotes de tty et la gestion de la ligne.
<br/><br/>

<i>uptime</i> 
Ce fichier contient deux valeurs : la dure de fonctionnement (uptime) en
secondes, et le temps coul  ne rien faire (idle), en secondes galement.
<br/><br/>

<i>version</i> Cette chane identifie la version du noyau en cours d'excution.
Elle inclue le contenu de /proc/sys/ostype, /proc/sys/osrelease et
/proc/sys/version. Par exemple&nbsp;:

.in -2
.ft CW
Linux version 2.4.19 (ccb@venux) (gcc version 2.96 20000731 (Red Hat Linux 7.3 2.96-110)) #13 sam nov 9 09:04:36 CET 2002
.ft
.in +2

<br/><br/>


</div><br/><br /><h1 class="TitreSection0" id="L3">voir aussi</h1>
<div class="paragraph">
<b>cat (1), </b>
<b>find (1), </b>
<b>free (1), </b>
<b>mount(1), </b>
<b>ps(1), </b>
<b>tr(1), </b>
<b>uptime(1), </b>
<b>chroot (2),</b>
<b>mmap(2), </b>
<b>readlink(2),</b>
<b>syslog(2), </b>
<b>slabinfo (5),</b>
<b>hier(7), </b>
<b>arp(8), </b>
<b>dmesg(8), </b>
<b>hdparm (8),</b>
<b>ifconfig (8),</b>
<b>lsmod (8),</b>
<b>lspci (8),</b>
<b>netstat(8),</b>
<b>procinfo(8),</b>
<b>route(8)</b>
<b>/usr/src/linux/Documentation/filesystems/proc.txt</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
A peu prs conforme au noyau 2.4.17.
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Remarquez que certaines chanes (de l'environnement et de la ligne de commande)
sont parfois affiches dans un format interne, termines par un caractre nul.
Il est parfois plus lisible d'utiliser
<i>od -c</i> ou <i>tr "\\000" "\\n"</i> pour les lire.
Autrement <i>echo `cat &lt;file&gt;`</i> marche bien.<br/><br/>
Cette page de manuel est incomplte, incertaine, et devrait tre mise  jour
trs souvent.
</div><br/><br /><h1 class="TitreSection0" id="L6">reerciements</h1>
<div class="paragraph">
La documentation de /proc/sys/fs et /proc/sys/kernel est largement construite
 partir des fichiers de documentation du noyau crits par Rik van Riel.
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
