<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1995 Martin Schulze &lt;joey@infodrom.north.de&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Wed Oct 18 20:23:54 MET 1995  Martin Schulze  &lt;joey@infodrom.north.de&gt; -->
<!-- 	* first released -->
<!--  -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>PROTOCOLS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">exemple</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
protocols - Fichier de dfinition des protocoles.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
<b>/etc/protocols</b> <b></b>  est un fichier de texte ASCII, dcrivant les diffrents protocoles internet 
DARPA qui sont disponibles avec le sous-systme TCP/IP. Il faut consulter
ce fichier pour connatre les valeurs utilises sur le systme plutt que
d'utiliser les nombres donns dans les fichiers d'en-tte ARPA, ou encore pire,
d'essayer de deviner les valeurs.
Ces numros se trouvent dans le champ protocole des en-ttes IP.<br/><br/>
vitez de modifier ce fichier, sinon le sous-systme IP ne fonctionnerait
plus correctement. Les valeurs et les noms des protocoles sont spcifis
par le DDN Network Information Center.<br/><br/>
Chaque ligne a le format suivant&nbsp;:<br/><br/>
.RS
<i>protocole numro alias ...</i> <br/><br/>
o les champs sont spars par des espaces ou des tabulations. 
Les lignes vides sont ignores.
Le caractre # dbute un commentaire qui se poursuit jusqu' la fin de la ligne.<br/><br/>
La description des champs est la suivante&nbsp;:<br/><br/>
<br/><br/>

<i>protocole</i> Le nom original du protocole, par exemple
<i>ip </i>, <i> tcp </i>, ou <i> udp .</i>
<br/><br/>

<i>numro</i> Le numro officiel du protocole, tel qu'il apparatra dans l'en-tte IP.
<br/><br/>

<i>alias</i> Des synonymes ventuels pour le nom du protocole.<br/><br/><br/><br/>
Ce fichier peut tre diffus sur le rseau, en utilisant un service
d'information comme 
<b>Yellow</b> <b></b>  <b>Pages/NIS</b> <b></b>  <b></b>  ou 
<b>BIND/Hesiod .<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L3">exemple</h1>
<div class="paragraph">

$ ls -l /etc/protocols 
-rw-r--r--   1 root     root      715 Jan  1  1980 /etc/protocols
$ cat /etc/protocols
ip      0       IP      # Protocole internet
icmp    1       ICMP    # Protocole internet pour messages de contrle
igmp    2       IGMP    # Protocole internet pour multi-cast.
ggp     3       GGP     # Protocole passerelle/passerelle
tcp     6       TCP     # Protocole de contrle de transmission
pup     12      PUP     # Protocole universel PARC
udp     17      UDP     # Protocole pour Datagrammes
raw     255     RAW     # Interface IP directe.
$


</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
<br/><br/>

<i>/etc/protocols</i> Le fichier de dfinition des protocoles.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>getprotoent (3)<br/><br/></b>
Guide to Yellow Pages Service<br/><br/>
Guide to BIND/Hesiod Service<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
