<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1986 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms are permitted -->
<!--  provided that the above copyright notice and this paragraph are -->
<!--  duplicated in all such forms and that any documentation, -->
<!--  advertising materials, and other materials related to such -->
<!--  distribution and use acknowledge that the software was developed -->
<!--  by the University of California, Berkeley.  The name of the -->
<!--  University may not be used to endorse or promote products derived -->
<!--  from this software without specific prior written permission. -->
<!--  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR -->
<!--  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED -->
<!--  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. -->
<!--  -->
<!-- 	@(#)resolver.5	5.9 (Berkeley) 12/14/89 -->
<!-- 	$Id: resolver.5,v 8.3 1995/12/06 20:34:35 vixie Exp $ -->
<!--  -->
<!--  Traduction 06/09/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Correction 26/07/2002 -->
<!--  LDP 1.31 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>RESOLVER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">nom</a>
<br /><a class="summaryIndent0" href="#L2">synopsis</a>
<br /><a class="summaryIndent0" href="#L3">description</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
.UC 4
</div><br/><br /><h1 class="TitreSection0" id="L2">nom</h1>
<div class="paragraph">
resolver - Fichier de configuration de la rsolution de noms.
</div><br/><br /><h1 class="TitreSection0" id="L3">synopsis</h1>
<div class="paragraph">
/etc/resolv.conf
</div><br/><br /><h1 class="TitreSection0" id="L4">description</h1>
<div class="paragraph"><br/><br/>
La bibliothque
<i>resolver</i> est un ensemble de routines de la bibliothque C
qui fournit un accs au systme DNS Internet.
Le fichier de configuration de la rsolution de noms contient des informations qui sont lues
par les routines de rsolution la premire fois qu'elles sont invoques par un processus.
Le fichier est prvu pour tre lisible par des humains et contient une liste de mots-cls
avec des valeurs.<br/><br/>
Sur un systme configur normalement, ce fichier ne devrait pas tre ncessaire.
Le seul serveur de noms interrog sera celui rsidant sur la machine locale,
le nom de domaine est dtermin  partir du nom d'hte,
et le chemin de recherche du domaine est construit  partir du nom de domaine.<br/><br/>
Les diffrentes options de configuration sont&nbsp;:
<br/><br/>

<b>nameserver</b>
Adresse Internet (en notation pointe) du serveur de noms
que la bibliothque <i>resolver</i> interrogera.
Jusqu' MAXNS (actuellement 3) serveurs de noms peuvent tre
mentionns sur des lignes indpendantes.
Si il y a de multiples serveurs, la bibliothque de
rsolution les interrogera dans l'ordre indiqu.
Si aucune entre <b>nameserver</b> n'est prsente, le fonctionnement par dfaut
est d'utiliser le serveur de noms se trouvant sur la machine.
(L'algorithme consiste  interroger un serveur de noms, et si la requte dpasse le temps maximum,
 essayer le suivant, jusqu' la fin de la liste, et  recommencer jusqu' un nombre maximal de
tentatives).
<br/><br/>

<b>domain</b>
Nom du domaine local.
La plupart des requtes au sein de ce domaine peuvent tre rduites
 des raccourcis relatifs au domaine local.
Si aucune entre <b>domain</b> n'est prsente, le domaine local est dtermin
 partir du nom local de l'hte renvoy par
<i>gethostname</i>\|();
la partie domaine est extraite en considrant tout ce qui se trouve aprs le premier `.'.
Finalement si le nom d'hte ne contient pas de portion de domaine, on suppose tre
dans le domaine racine.
<br/><br/>

<b>search</b>
Liste de recherche pour les noms d'hte.
La liste de recherche est normalement dtermine  partir du nom de domaine local.
Par dfaut, elle ne contient que le domaine local.
On peut la modifier en listant les chemins de recherche des domaines dsirs
 la suite du mot-cl <i>search</i> avec des espaces ou des tabulations sparant
les noms.
La plupart des recherches seront menes en essayant chaque composant des
chemins de recherche l'un aprs l'autre jusqu' obtenir une rponse.
Notez que ce processus peut tre lent et engendrer un trafic rseau important
si les serveurs pour les domaines lists ne sont pas locaux,
et que les requtes dpassent le dlai accord car aucun serveur n'est disponible
pour un des domaines.
.IP
La liste de recherche est actuellement limite  six domaines,
avec un maximum de 256 caractres.
<br/><br/>

<b>sortlist</b>
Cette option permet aux adresses renvoyes par <b>gethostbyname</b>() d'tre ordonnes.
Une liste de tri est indique par des paires d'adresses IP et de masques rseau. Le masque rseau
est optionnel et prend par dfaut la valeur du masque naturel du rseau. L'adresse IP et le masque
rseau optionnel sont spars par des slashes. Jusqu' 10 paires peuvent
tre mentionnes.
.IP
ex : sortlist 130.155.160.0/255.255.240.0 130.155.0.0
<br/><br/>

<b>options</b>
Les options permettent de modifier certaines variables internes de la bibliothque <i>resolver</i>.
La syntaxe est
.IP
<b>options</b> <i>opt</i> <i>...</i>
.IP
o <i>opt</i> est une des options suivantes :
.IP
<b>debug</b> \(em crit RES_DEBUG dans _res.options.
.IP
<b>ndots:</b><i>n</i> \(em fixe un seuil pour le nombre de points qui doivent
apparatre dans un nom fourni  <b>res_query</b> (voir <i>resolver</i>(3))
avant qu'une <i>requte absolue initiale</i> soit entreprise. La valeur par dfaut pour
<i>n</i> est ``1'', ce qui signifie que ds qu'un point apparat dans le nom, il sera
d'abord essay en tant que nom absolu avant d'ajouter tout lment de
la liste de rechercher <i>search</i>.<br/><br/>
Les mots-cls <i>domain</i> et <i>search</i> sont mutuellement exclusifs.
Si les deux apparaissent dans le fichier,
le dernier gagne.<br/><br/>
Le mot-cl <i>search</i> du fichier <i>resolv.conf</i> du systme peut tre
surcharg indpendamment pour chaque processus en remplissant la variable d'environnement
``\s-1LOCALDOMAIN\s+1'' avec une liste de domaines de recherche spars par des espaces.<br/><br/>
Le mot-cl <i>options</i> du fichier <i>resolv.conf</i> du systme peut tre
surcharg indpendamment pour chaque processus en remplissant la variable d'environnement
``\s-1RES_OPTIONS\s+1'' en une liste d'options de la bibliothque <i>resolver</i> (spares par
des espaces), comme indiqu  la rubrique <b>options</b> plus haut.<br/><br/>
Le mot-cl et la valeur doivent apparatre sur une ligne isole, le mot-cl
(ex: <b>nameserver</b>) doit apparatre en dbut de ligne
et il doit tre spar de la valeur par des espaces.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">
<i>/etc/resolv.conf</i> </div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>gethostbyname (3),</b>
<b>hostname (7),</b>
<b>named (8),</b>
<br/>
Name Server Operations Guide for BIND
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
