<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1996 Austin Donnelly &lt;and1000@cam.ac.uk&gt;, -->
<!--   with additional material (c) 1995 Martin Schulze &lt;joey@infodrom.north.de&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--    This manpage was made by merging two independently written manpages, -->
<!--    one written by Martin Schulze (18 Oct 95), the other written by -->
<!--    Austin Donnelly, (9 Jan 96). -->
<!--  -->
<!--  Thu Jan 11 12:14:41 1996 Austin Donnelly  &lt;and1000@cam.ac.uk&gt; -->
<!--    * Merged two services(5) manpages -->
<!--  -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ LDP 1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>SERVICES</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">exemple</a>
<br /><a class="summaryIndent0" href="#L3">bogues</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
services - Liste des services internet.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
<b>services</b> <b></b>  est un fichier de texte ASCII fournissant une correspondance entre un nom 
intelligible dcrivant un service internet et l'ensemble 
numro de port / protocole utilis.
Chaque programme rseau devrait consulter ce fichier pour obtenir le numro de 
port et le protocole sous-jacent au service qu'il fournit.
Les fonctions de la bibliothque C
<b>getservent (3),</b>
<b>getservbyname (3),</b>
<b>getservbyport (3),</b>
<b>setservent (3),</b>
et
<b>endservent (3)</b>
permettent d'interroger ce fichier depuis un programme.<br/><br/>

Les numros de ports sont affects par le IANA (Internet Assigned Numbers
Authority), et leur politique actuelle consiste  assigner  la fois les
protocoles TCP et UDP  chaque numro de port.
Ainsi la plupart des services auront deux entres, mme si elles n'utilisent
que le protocole TCP.<br/><br/>
Les numros de ports en-dessous de 1024 ne peuvent tre assigns  une
socket que par un programme Super-User (voir
<b>bind (2),</b>
<b>tcp (7),</b>
et
<b>udp (7).</b>
C'est ainsi que les clients se connectant sur ces ports de petits numros
peuvent tre srs que le service correspondant est une implmentation
standard et non pas le bricolage d'un utilisateur.
Normalement les ports biens connus (well-known) affects par le IANA se
situent dans cet espace rserv au Super-User.<br/><br/>
La prsence d'une ligne indiquant un service dans le fichier
<b>services</b> <b></b>  ne signifie pas ncessairement que le service en question est disponible
sur la machine. Voir
<b>inetd.conf (5)</b>
pour la configuration des services Internet offerts. Notez que tous les
services rseau ne sont pas obligatoirement lancs par
<b>inetd (8),</b>
et n'apparatront donc pas toujours dans
<b>inetd.conf (5).</b>
En particulier les serveurs de News (NNTP) et de courrier (SMTP) sont souvent
initialiss par le systme dans les scripts de dmarrage.<br/><br/>
L'emplacement du fichier
<b>services</b> <b></b>  est dfini par la constante
<b>_PATH_SERVICES</b> <b></b>  dans
<i>/usr/include/netdb.h </i>.<i></i>
C'est gnralement
<i>/etc/services .<br/><br/></i>
Chaque ligne dcrivant un service est de la forme
.IP
\f2service-name&nbsp;&nbsp;&nbsp;port\f3/\f2protocole&nbsp;&nbsp;&nbsp;\f1[\f2alias ...\f1]
<br/><br/>

o :
<br/><br/>
 10
<i>service-name</i> est le nom intelligible du service. La diffrence majuscule/minuscule est
importante. Souvent le programme client possde un nom rappelant celui du
service.
<br/><br/>

<i>port</i> est le numro de port (en dcimal) utilis pour ce service.
<br/><br/>

<i>protocol</i> est le type de protocole utilis, il doit s'agir d'un nom dclar dans le 
fichier
<b>protocols (5).</b>
Les protocoles les plus courants sont
<b>tcp</b> <b></b>  et
<b>udp .</b>
<br/><br/>

<i>alias</i> est une liste ventuelle d'autres noms se rfrant au mme service, spars par
des espaces ou des tabulations (voir section BOGUES plus bas).
Encore une fois, la diffrence majuscule/minuscule est importante.<br/><br/><br/><br/>
Les diffrents champs sont spars par des espaces ou des tabulations.<br/><br/>
Un signe # dbute un commentaire, qui s'tendra jusqu' la fin de la ligne.
Les lignes blanches sont ignores.<br/><br/>
Le champ
<i>service-name</i> doit dbuter  la premire colonne du fichier, car les espaces en tte de ligne
ne sont pas limins.
<i>service-name</i> peut contenir n'importe quel caractre imprimable, sauf espace et tabulation.
Il est nanmoins dconseille d'utiliser d'autres caractres que a-z, 0-9, et
le tiret (-).<br/><br/>
Les lignes ne se conformant pas  ce format sont ignores silencieusement par
<b>getservent (3),</b>
<b>getservbyname (3),</b>
et
<b>getservbyport (3),</b>
mais ce comportement peut changer.<br/><br/>
A titre de compatibilit avec les versions prcdentes, le slash (/) entre le
numro de
<i>port</i> et le nom du
<i>protocole</i> peut tre galement remplac par une virgule, mais c'est dconseill.<br/><br/>
Ce fichier peut tre diffus sur le rseau en utilisant des services comme
<b>Yellow</b> <b></b>  <b>Pages/NIS"</b> <b></b>  ou
<b>BIND/Hesiod .<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L3">exemple</h1>
<div class="paragraph">

$ ls -l /etc/services
-rw-r--r--   1 root   root   3432 Feb 16  1996 /etc/services
$ cat /etc/services
   ...
netstat         15/tcp
qotd            17/tcp          quote
msp             18/tcp          # message send protocol
msp             18/udp          # message send protocol
chargen         19/tcp          ttytst source
chargen         19/udp          ttytst source
ftp             21/tcp
# 22 - unassigned
telnet          23/tcp
   ...
$


</div><br/><br /><h1 class="TitreSection0" id="L4">bogues</h1>
<div class="paragraph">
Il y a un maximum de 35 alias par service  cause des limitations de
<b>getservent (3).<br/><br/></b>
Les lignes plus longues que
<b>BUFSIZ</b> <b></b>  (actuellement 1024) sont ignores par
<b>getservent (3),</b>
<b>getservbyname (3),</b>
et
<b>getservbyport (3).</b>
De plus la ligne suivante sera mal interprte.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">
<br/><br/>

<i>/etc/services</i> La liste des services internet.
<br/><br/>

<i>/usr/include/netdb.h</i> Dfinition de 
<b>_PATH_SERVICES .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>getservent (3),</b>
<b>getservbyname (3),</b>
<b>getservbyport (3),</b>
<b>setservent (3),</b>
<b>endservent (3),</b>
<b>protocols (5),</b>
<b>listen (2),</b>
<b>inetd.conf (5),</b>
<b>inetd (8)<br/><br/></b>
RFC "Assigned Numbers", actuellement RFC 1700, (AKA STD0002)<br/><br/>
Guide to Yellow Pages Service<br/><br/>
Guide to BIND/Hesiod Service<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
