<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 2001 Andreas Dilger (adilger@turbolinux.com) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--  -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--  -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>SLABINFO</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">disponibilit</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
/proc/slabinfo - Statistiques sur les donnes noyaux alloues.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>cat</b> <b></b>  <b>/proc/slabinfo</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les objets frquemment utiliss dans le noyaux Linux (ttes de buffer,
i-noeuds, entres de rpertoire...) ont leur propres caches.
Le fichier
<i>/proc/slabinfo</i> fourni des statistiques. Par exemple&nbsp;:<br/><br/>
.RS

$ cat /proc/slabinfo
slabinfo - version: 1.1
kmem_cache            60     78    100    2    2    1
blkdev_requests     5120   5120     96  128  128    1
mnt_cache             20     40     96    1    1    1
inode_cache         7005  14792    480 1598 1849    1
dentry_cache        5469   5880    128  183  196    1
filp                 726    760     96   19   19    1
buffer_head        67131  71240     96 1776 1781    1
vm_area_struct      1204   1652     64   23   28    1
...
size-8192              1     17   8192    1   17    2
size-4096             41     73   4096   41   73    1
...


<br/><br/>
Il fournit pour chaque lment, le nom du cache, le nombre d'objet
actuellement actifs, le nombre total d'objets disponibles, la taille
de l'objet en octets, le nombre de pages avec au moins un objet
actif, le nombre total de pages alloues, et le nombre
de page par lment.<br/><br/>
Notez qu' cause de l'alignement des objets et du surcot d au cache,
les objets ne sont pas accols dans les pages. Les pages avec
un seul objet en utilisation sont considres comme utilises et ne
peuvent pas tre libres.<br/><br/>
Les noyaux compils avec les statistiques d'utilisation du cache affichent
"(statistics") dans la premire ligne, et proposent cinq colonnes
supplmentaires&nbsp;: la limite suprieure d'objets actifs, le nombre
de fois que les objets ont t allous, le nombre de fois o le
cache a grandit (nouvelles pages ajoutes au cache), le nombre de fois
o le cache a t rduit (pages inutilises retires), 
et le nombre d'erreur d'allocation de nouvelles pages dans le
cache. Si les statistiques ne sont pas valide dans le
noyau, ces colonnes ne sont pas affiches.<br/><br/>
Les systmes SMP ont galement "(SMP)" dans la premire ligne de sortie,
et deux colonnes supplmentaires, indiquant la politique d'allication
pour le cache local ay CPU (pour rduire le besoin de synchronisation
entre CPU lors d'allocation d'objet depuis le cache). La premire colonne
est la limite par CPU&nbsp;: le nombre maximal
d'objets mis dans le cache pour chaque CPU.
La seconde colonne est un compte global&nbsp;:
le nombre maximum d'objets libres dans le cache global qui seront
transfrs au cache par CPU s'il est vide, ou le nombre d'objets qui
set renvoy dans le cache global si le cache par CPU est
plein.<br/><br/>
Si les statistiques et le SMP sont dfinis simultanment, il y aura
quatre colonnes suppplmentaires, indiquant les statistiques du 
cache par CPU. Les deux premires comptent les russites et checs des
allocations dans le cache par CPU&nbsp;: le nombre de fois o un objet tait
ou n'tait pas disponible pour allocation depuis le cache par CPU.
Les deux suivantes sont les russites et checs des librations vers
le cache par CPU&nbsp;: le nomnbre de fois o un objet libr a pu ou non
tenir dans les limites du cache par CPU, avant
de renvoyer les objets vers le cache global.<br/><br/>
Il est possible d'ajuster les limites du cache par CPU et du transfert
vers le cache global avec&nbsp;:<br/><br/>

echo "<i>nom_cache limite batchcount</i>" &gt; /proc/slabinfo

<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">disponibilit</h1>
<div class="paragraph">
<i>/proc/slabinfo</i> existe depuis Linux 2.1.23.
Les caches SMP par CPU existent depuis Linux 2.4.0-test3.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">
<i>&lt;linux/slab.h&gt;<br/><br/></i> </div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
