<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Michael Haardt (michael@cantor.informatik.rwth-aachen.de), Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--   -->
<!--  Modified Sun Jul 25 10:44:50 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Thu Feb 26 16:08:49 MET 1995 by Michael Haardt -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 18/05/1998 (LDP-man-pages-1.19) -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>UTMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">restrictions</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
utmp, wtmp - Enregistrements de connexion.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
#include &lt;utmp.h&gt;
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Le fichier
<i>utmp</i> permet de voir qui est connect sur le systme. Tous les programmes n'utilisant
pas les enregistrement utmp, il se peut qu'il y ait plus d'utilisateurs que
ceux affichs.<br/><br/>
<b>Attention </b> :<b></b>
<i>utmp</i> ne doit pas tre accessible en criture car de nombreux programmes systmes
dpendent (malheureusement) de son intgrit. En laissant
<i>utmp </i> accessible en criture pour les utilisateurs, vous prenez le risque d'avoir de
mauvais fichiers de journalisation, et des modifications de fichiers systme.<br/><br/>
Le fichier est une suite d'enregistrements avec la structure suivante
(remarquez que les dtails d'implmentation dpendent d'une version  l'autre
de la bibliothque C):
.RS

<br/><br/>

.ta 3i
#define UT_UNKNOWN	0
#define RUN_LVL		1
#define BOOT_TIME	2
#define NEW_TIME	3
#define OLD_TIME	4
#define INIT_PROCESS	5
#define LOGIN_PROCESS	6
#define USER_PROCESS	7
#define DEAD_PROCESS	8
#define ACCOUNTING	9<br/><br/>
#define UT_LINESIZE	12
#define UT_NAMESIZE	32
#define UT_HOSTSIZE	256<br/><br/>
struct exit_status {
  short int e_termination;    /* Code de fin du processus   */
  short int e_exit;           /* Valeur de fin du processus */
};<br/><br/>
struct utmp {
  short ut_type;              /* type de login              */
  pid_t ut_pid;               /* pid du processus           */
  char ut_line[UT_LINESIZE];  /* priphrique tty - "/dev/" */
  char ut_id[4];              /* ID tty initial             */
  char ut_user[UT_NAMESIZE];  /* nom utilisateur            */
  char ut_host[UT_HOSTSIZE];  /* nom hte si login distant  */
  struct exit_status ut_exit; /* Code de fin d'un processus */
                              /* dj marqu DEAD_PROCESS.  */
  long ut_session;            /* ID de session              */
  struct timeval ut_tv;       /* Horodatage                 */
  int32_t ut_addr_v6[4];      /* Adresse IP hte distant    */
  char pad[20];               /* Remplissage, rserv...    */
};<br/><br/>
/* Bidouille pour compatibilit ascendante  */
#define ut_name ut_user
#ifndef _NO_UT_TIME
  #define ut_time ut_tv.tv_sec
#endif
#define ut_xtime ut_tv.tv_sec
#define ut_addr ut_addr_v6[0]
<br/><br/>




Cette structure donne le nom du fichier spcial associ au terminal de 
l'utilisateur, le nom d'utilisateur, l'heure de connexion sous la forme
<i>time (2).</i>
Les chanes de caractres se terminent par <b>'\e0'</b> si elles sont plus
courtes que les longueurs dfinies dans la structure.<br/><br/>
Le premier enregistrement cr est le  traitement de
<b>inittab (5)</b>
par
<b>init (8). </b>
Nanmoins, avant a, 
<b>init (8)</b>
positionne le champ <b>ut_type</b>  <b>DEAD_PROCESS</b>,
et efface <b>ut_user</b>, <b>ut_host</b> et <b>ut_time</b> (remplis avec
des octets nul) de tous les enregistrement dont l'<b>ut_type</b> 
n'est ni <b>DEAD_PROCESS</b> ni <b>RUN_LVL</b>, et si aucun processus
de PID <b>ut_pid</b> n'existe. Si aucun enregistrement vide n'est trouv avec
le <b>ut_id</b> correct, init en cre un nouveau. Il positionne <b>ut_id</b> en
s'aidant de l'inittab, <b>ut_pid</b> et <b>ut_time</b> avec les valeurs actuelles et
<b>ut_type</b>  <b>INIT_PROCESS</b>.<br/><br/>
<b>getty (8)</b>
rcupre l'entre correspondant  son PID, modifie <b>ut_type</b>
 la valeur <b>LOGIN_PROCESS</b>, modifie <b>ut_time</b>, positionne <b>ut_line</b>
et attend une connexion.
Une fois qu'un utilisateur est authentifi,
<b>login (8)</b>
modifie <b>ut_type</b>  <b>USER_PROCESS</b>, modifie <b>ut_time</b> 
et positionne <b>ut_host</b> et <b>ut_addr</b>.  En fonction du 
<b>getty (8)</b>
et
<b>login (8)</b>
utiliss, les enregistrements sont parfois identifis par <b>ut_line</b>
plutt que <b>ut_pid</b> qui est toutefois prfrable.<br/><br/>
Quand
<b>init (8)</b>
s'aperoit qu'un processus est termin, il identifie son
enregistrement utmp grce au champ <b>ut_pid</b>, positionne <b>ut_type</b> a
<b>DEAD_PROCESS</b> et efface <b>ut_user</b>, <b>ut_host</b> et <b>ut_time</b>
avec des octets nuls.<br/><br/>
<b>xterm (1)</b>
(comme les autres mulateurs de terminaux) cre directement un
enregistrement <b>USER_PROCESS</b>, engendrant <b>ut_id</b> grce aux deux
dernires lettres de <b>/dev/ttyp</b><i>%c</i> ou en utilisant <b>p</b><i>%d</i>
pour <b>/dev/pts/</b><i>%d</i>.
S'il trouve un <b>DEAD_PROCESS</b> pour cet ID, il le recycle, sinon il en cre
un nouveau. Si possible, il marque l'enregistrement avec <b>DEAD_PROCESS</b>
 la sortie. Il est recommande qu'il efface galement <b>ut_line</b>,
<b>ut_time</b>, <b>ut_user</b> et <b>ut_host</b>.<br/><br/>
<i>xdm</i>(8) ne doit pas crer d'enregistrement car il n'y a pas de
terminal associ. Le forcer  en crer peut dclencher des problmes, tels
que l'impossibilit de faire fonctionner finger. Par contre <i>xdm</i> peut
trs bien crer des entres wtmp tout comme
<b>ftpd (8).<br/><br/></b>
<b>telnetd (8)</b>
construit un enregistrement <b>LOGIN_PROCESS</b>
et laisse le reste du travail 
<b>login (8).</b>
Une fois que la session telnet est termine,
<b>telnetd (8)</b>
efface l'utmp de la manire dcrite plus haut.<br/><br/>
Le fichier <b>wtmp</b> enregistre les connexions et dconnexions. Son
format est exactement le mme que <b>utmp</b> excepte qu'un utilisateur nul
indique une dconnexion sur le terminal associ. De plus un nom de terminal
<b>"~"</b>, associe  un nom d'utilisateur <b>"shutdown"</b> ou <b>"reboot"</b>
indique un arrt ou un redmarrage du systme. Une paire d'enregistrements avec
les noms de terminaux  <b>"|"</b> / <b>"}"</b> indique une modification de
l'heure systme avec
<b>date (1).</b>
Le fichier <b>wtmp</b> est maintenu par 
<b>login (1),</b>
<b>init (1) </b>
et quelques un des
<b>getty (1).</b>
Aucun de ces programmes ne cre le fichier, aussi si on le supprime, les
enregistrements de connexions sont arrts.
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
/var/run/utmp
<br/>
/var/run/wtmp
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Les enregistrements utmp de Linux ne se conforment ni  v7/BSD ni  SYSV.
Ils sont en ralit un mlange des deux.
v7/BSD dispose de moins de champs, par exemple pas de <b>ut_type</b>, 
ce qui conduit les programmes pour v7/BSD  afficher des entres invalides
de login.
Sous Linux (comme sous SYS V), le champ <b>ut_id</b> d'un enregistrement ne
sera jamais modifi aprs son initialisation. L'effacement de <b>ut_id</b>
peut engendrer des conditions de concurrence menant  l'endommagement
des enregistrements utmp.<br/><br/>
SYSV n'utilise le champ <b>ut_type</b> que pour noter et horodater des messages
informatifs comme par exemple <b>"new time"</b>.
<b>UT_UNKNOWN</b> semble tre une innovation de Linux.
SYSV n'a pas de champs <b>ut_host</b> ni <b>ut_addr_v6</b>.<br/><br/>
Contrairement  d'autres systmes, sur lesquels l'effacement du fichier
arrte la journalisation, le fichier utmp doit toujours exister sous
Linux. Si vous dsirez dsactiver <i>who</i>(1) alors laissez le fichier
utmp en place, mais ne le laissez pas lisible par tout le monde.<br/><br/>
Notez que l'implmentation de la structure utmp a chang entre les bibliothques
C libc5 et libc6. A cause de ceci, les fichiers excutables utilisant l'ancien
format libc5 risquent d'endommager les fichiers
<i>/var/run/utmp </i> et/ou <i> /var/log/wtmp .</i>
Les distributions Debian utilisent une version modifie de libc5 proposant le
nouveau format. Nanmoins, le problme persiste car wtmp est accd directement
dans la libc5.
</div><br/><br /><h1 class="TitreSection0" id="L6">restrictions</h1>
<div class="paragraph">
Le format de ces fichiers dpend de la machine, et il est recommand de 
ne les utiliser que sur la machine o ils ont t crs.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Cette page de manuel est base sur la libc5, et les choses fonctionnent
peut-tre diffremment  prsent.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>ac (1),</b>
<b>date (1),</b>
<b>last (1),</b>
<b>login (1),</b>
<b>who (1),</b>
<b>getutent (3),</b>
<b>updwtmp (3),</b>
<b>init (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
