<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This man page is Copyright (C) 1998 Alan Cox. -->
<!--  Permission is granted to distribute possibly modified copies -->
<!--  of this page provided the header is included verbatim, -->
<!--  and in case of nontrivial modification author and date -->
<!--  of the modification is added to the header. -->
<!--  $Id: ddp.7,v 1.3 1999/05/13 11:33:22 freitag Exp $ -->
<!--  Traduction 04/01/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man_pages 1.28 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>DDP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description </a>
<br /><a class="summaryIndent0" href="#L3">format d'adresse</a>
<br /><a class="summaryIndent0" href="#L4">options des sockets</a>
<br /><a class="summaryIndent0" href="#L5">sysctls</a>
<br /><a class="summaryIndent0" href="#L6">ioctls</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">versions</a>
<br /><a class="summaryIndent0" href="#L9">erreurs</a>
<br /><a class="summaryIndent0" href="#L10">compatibilit</a>
<br /><a class="summaryIndent0" href="#L11">bogues</a>
<br /><a class="summaryIndent0" href="#L12">voir aussi</a>
<br /><a class="summaryIndent0" href="#L13">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ddp - Implmentation Linux du protocole AppleTalk.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;netatalk/at.h&gt;</b> <b></b>  <b></b>  <br/><br/>

ddp_socket <i> = socket(PF_APPLETALK, SOCK_DGRAM, 0);</i>
<br/> 
raw_socket <i> = socket(PF_APPLETALK, SOCK_RAW, </i> protocole <b>);</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description </h1>
<div class="paragraph">
Linux implmente le protocole AppleTalk dcrit dans le document
<i>Inside Appletalk</i> .</i>
Seuls le niveau DDP et l'AARP sont prsents dans le noyau, ils sont
conus pour tre utiliss via les bibliothques du protocole
<b>netatalk .</b>
Cette page documente
l'interface pour ceux qui ont envie (ou besoin)
d'utiliser directement le niveau DDP.<br/><br/>
La communication entre Appletalk et le programme utilisateur fonctionne
en utilisant une interface compatible avec les sockets BSD. Voir
<b>socket (7). <br/><br/></b>
Une socket AppleTalk est cre en appelant la fonction
<b>socket (2) </b>
avec un argument 
<b>PF_APPLETALK</b> <b></b>  en famille de socket. Les types valides sont
<b>SOCK_DGRAM</b> <b></b>  pour ouvrir une socket
<b>ddp</b> <b></b>  <b></b>  ou 
<b>SOCK_RAW</b> <b></b>  pour ouvrir une socket
<b>raw . </b>
<i>protocol</i> est le protocole Appletalk pour envoyer ou recevoir des donnes.
Pour le type
<b>SOCK_RAW</b> <b></b>  <b></b>  il faut indiquer
<b>ATPROTO_DDP .<br/><br/></b>
Les sockets Raw peuvent seulement tre ouvertes par un processus ayant UID effectif nul ou
ayant la capacit
<b>CAP_NET_RAW .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">format d'adresse</h1>
<div class="paragraph">
Une socket AppleTalk est dfinie comme la combinaison d'un numro de rseau, d'un
numro de noeud et d'un numro de port.<br/><br/>
.RS

.ta 4n 20n 32n
struct at_addr {
    u_short    s_net;
    u_char     s_node;
};<br/><br/>
struct sockaddr_atalk {
    sa_family_t     sat_family; /* Famille d'adresse */
    u_char          sat_port;   /* Port              */
    struct at_addr  sat_addr;   /* noeud / rseau    */
};
.ta


 <br/><br/>
<i>sat_family</i> doit toujours tre rempli avec
<b>AF_APPLETALK.</b> <b></b>  <b></b>  <i>sat_port</i> contient le numro de port. Les numros infrieurs  129 sont
rservs. Seuls les processus ayant un UID effectif nul ou
la capacit
<b>CAP_NET_BIND_SERVICE</b> <b></b>  <b></b>  peut appeler
<b>bind (2)</b>
sur ces sockets.
<i>sat_addr </i> est l'adresse de l'hte.
Le membre
<i>net</i> de la structure
<b>at_addr</b> <b></b>  contient le numro de rseau dans l'ordre des octets du rseau.
La valeur
<b>AT_ANYNET</b> <b></b>  <b></b>  est gnrique et correspond aussi 
\(lqce rseau\(rq.
Le membre
<i>node</i> de la structure
<b>at_addr</b> <b></b>  contient le numro d'hte. La valeur
<b>AT_ANYNODE</b> <b></b>  <b></b>  est gnrique, et correspond aussi 
\(lqcet hte\(rq. La valeur
<b>ATADDR_BCAST</b> <b></b>  <b></b>  est une adresse broadcast locale.
<!--  XXX this doesn't make sense [johnl] -->
</div><br/><br /><h1 class="TitreSection0" id="L5">options des sockets</h1>
<div class="paragraph">
Il n'y a pas d'options spcifiques au protocole sur les sockets.
</div><br/><br /><h1 class="TitreSection0" id="L6">sysctls</h1>
<div class="paragraph">
Il y a une interface sysctls pour configurer certains paramtres AppleTalk globaux.<br/><br/>
On peut y accder en lisant ou crivant les fichiers
<b>/proc/sys/net/atalk/*</b> <b></b>  <b></b>  ou en utilisant l'appel-systme
<b>sysctl (2).</b>
<br/><br/>

<b>aarp-expiry-time</b> <b></b>  L'intervalle de temps (en secondes) avant qu'une entre du cache AARP expire.
<br/><br/>

<b>aarp-resolve-time</b> <b></b>  L'intervalle de temps (en secondes) avant qu'une entre du cache AARP soit rsolue.
<br/><br/>

<b>aarp-retransmit-limit</b> <b></b>  Le nombre de retransmissions d'une demande AARP avant de dclarer le noeud mort.
<br/><br/>

<b>aarp-tick-time</b> <b></b>  La priode (en secondes) de la temporisation dirigeant l'AARP.<br/><br/>
Les valeurs par dfaut correspondent aux spcifications et ne doivent
normalement pas tre modifies.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">ioctls</h1>
<div class="paragraph">
Toutes les ioctls dcrites dans la page
<b>socket (7) </b>
s'appliquent au ddp.<br/><br/>
<!--  XXX Add a chapter about multicasting --><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
Soyez trs prudents avec l'option
<b>SO_BROADCAST ,</b>
elle n'est pas privilgie sous Linux. Il est facile de surcharger le rseau
en crivant sans faire attention vers des adresses broadcast.
</div><br/><br /><h1 class="TitreSection0" id="L9">versions</h1>
<div class="paragraph">
Appletalk est support par Linux 2.0 et ultrieurs. L'interface
<b>sysctl</b> <b></b>  <b></b>  est nouvelle dans Linux 2.2.
</div><br/><br /><h1 class="TitreSection0" id="L10">erreurs</h1>
<div class="paragraph">
<!--  XXX document all errors. We should really fix the kernels to give more uniform -->
<!--      error returns (ENOMEM vs ENOBUFS, EPERM vs EACCES etc.)   -->
<br/><br/>

<b>ENOTCONN</b> <b></b>  L'opration n'est dfinie que sur une socket connecte et ce n'tait pas le cas.
<br/><br/>

<b>EINVAL</b> <b></b>  Argument invalide.
<br/><br/>

<b>EMSGSIZE</b> <b></b>  <b></b>  Le datagramme est plus grand que le MTU DDP.
<br/><br/>

<b>EACCES</b> <b></b>  L'utilisateur a essay d'excuter une opration sans avoir les permissions adquates.
Ceci inclut l'envoi vers une adresse broadcast sans avoir l'attribut correspondant,
ou la tentative d'utilisation de port rserv sans UID effectif nul et sans la
capacit
<b>CAP_NET_BIND_SERVICE . </b>
<br/><br/>

<b>EADDRINUSE</b> <b></b>  L'adresse est dj utilise.
<br/><br/>

<b>ENOMEM </b> et <b> ENOBUFS</b>
Pas assez de mmoire
<br/><br/>

<b>ENOPROTOOPT </b>  <b> EOPNOTSUPP</b>
Option invalide.
<br/><br/>

<b>EPERM</b> <b></b>  L'utilisateur n'a pas les permissions ncessaires.
<br/><br/>

<b>EADDRNOTAVAIL</b> <b></b>  On a demand une interface inexistante, ou l'adresse d'mission rclame
n'est pas locale.
<br/><br/>

<b>EAGAIN</b> <b></b>  L'opration bloquerait alors que la socket est non-bloquante.
<br/><br/>

<b>ESOCKTNOSUPPORT</b> <b></b>  La socket n'est pas configure ou on a demand un type inconnu.
<br/><br/>

<b>EISCONN</b> <b></b>  On appelle
<b>connect (2)</b>
sur une socket dj connecte.
<br/><br/>

<b>EALREADY</b> <b></b>  Une connexion est dj en cours sur la socket non-bloquante.
<br/><br/>

<b>ECONNABORTED</b> <b></b>  Une connexion a t referme pendant la dure de
<b>accept (2). </b>
<br/><br/>

<b>EPIPE</b> <b></b>  La connexion a t ferme par l'interlocuteur.
<br/><br/>

<b>ENOENT</b> <b></b>  <b>SIOCGSTAMP</b> <b></b>  <b></b>  a t appele sur une socket o aucun paquet n'est arriv.
<br/><br/>

<b>EHOSTUNREACH</b> <b></b>  Aucune entre dans la table de routage ne correspond  l'adresse
de destination.
<br/><br/>

<b>ENODEV</b> <b></b>  <b></b>  Priphrique rseau non disponible ou incapable d'envoyer en IP.
<br/><br/>

<b>ENOPKG</b> <b></b>  <b></b>  Un sous-systme du noyau n'est pas configur.
</div><br/><br /><h1 class="TitreSection0" id="L11">compatibilit</h1>
<div class="paragraph">
L'interface socket AppleTalk de base est compatible avec
<b>netatalk</b> <b></b>  <b></b>  sur les systmes drivs de BSD. Plusieurs systmes BSD peuvent
chouer  vrifier
<b>SO_BROADCAST</b> <b></b>  lorsqu'ils envoient des trames broadcast. Ceci peut poser des
problmes de compatibilit.<br/><br/>
Le mode socket
<b>raw</b> <b></b>  est spcifique  Linux et existe pour supporter le paquetage
CAP et les outils de supervision AppleTalk plus facilement.
</div><br/><br /><h1 class="TitreSection0" id="L12">bogues</h1>
<div class="paragraph">
Il y a trop de valeurs d'erreurs incohrentes.<br/><br/>
Les ioctls utilises pour configurer les tables de routage, les priphriques,
et les tables AARP ne sont pas dcrites encore.
</div><br/><br /><h1 class="TitreSection0" id="L13">voir aussi</h1>
<div class="paragraph">
<b>sendmsg (2), </b>
<b>recvmsg (2), </b>
<b>socket (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L14">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.<br/><br/>

								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
