<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
'\" t
<!--  Don't change the first line, it tells man that we need tbl. -->
<!--  This man page is Copyright (C) 1999 Andi Kleen &lt;ak@muc.de&gt;. -->
<!--  Permission is granted to distribute possibly modified copies -->
<!--  of this page provided the header is included verbatim, -->
<!--  and in case of nontrivial modification author and date -->
<!--  of the modification is added to the header. -->
<!--  Please send bug reports, corrections and suggestions for improvements to  -->
<!--  &lt;ak@muc.de&gt; -->
<!--  $Id: raw.7,v 1.6 1999/06/05 10:32:08 freitag Exp $ -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  07/06/2001 - LDP-man-pages 1.37 -->
<!--  MJ LDP-man-pages 1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>RAW</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">format d'adresse</a>
<br /><a class="summaryIndent0" href="#L4">options des sockets</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">gestion d'erreur</a>
<br /><a class="summaryIndent0" href="#L7">erreurs</a>
<br /><a class="summaryIndent0" href="#L8">versions</a>
<br /><a class="summaryIndent0" href="#L9">bogues</a>
<br /><a class="summaryIndent0" href="#L10">auteurs</a>
<br /><a class="summaryIndent0" href="#L11">voir aussi</a>
<br /><a class="summaryIndent0" href="#L12">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
raw, SOCK_RAW - Sockets brutes (raw) IPv4 sous Linux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;netinet/in.h&gt;</b> <b></b>  <br/>
<b>raw_socket = socket(PF_INET, SOCK_RAW, int </b> protocol ); <br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les sockets brutes (raw) permettent d'implmenter des protocoles IPv4 dans l'espace
utilisateur. Une socket raw reoit ou envoie des datagrammes sans les en-ttes
de la couche de liaison.<br/><br/>
La couche IPv4 gnre des en-ttes IP lorsqu'elle envoie un paquet  moins que l'option
<b>IP_HDRINCL</b> <b></b>  soit active sur la socket.
Lorsqu'elle est active, la socket doit contenir l'en-tte IP.
Pour la rception, l'en-tte IP est toujours inclus dans le paquet.<br/><br/>
Seuls les processus avec un UID effectif nul ou une capacit
<b>CAP_NET_RAW</b> <b></b>  <b></b>  sont autoriss  ouvrir des sockets raw.<br/><br/>
Tous les paquets ou les erreurs correspondant au numro de
<i>protocole</i> spcifi pour la
socket raw sont transmis  cette socket. Pour voir une liste des
protocoles autoriss, consulter les numros assigns dans la RFC 1700 et
<b>getprotobyname (3).<br/><br/></b>
Un protocole
<b>IPPROTO_RAW</b> <b></b>  implique l'activation de
<b>IP_HDRINCL</b> <b></b>  <b></b>  et autorise l'mission suivant n'importe quel protocole IP indique dans
l'en-tte. La rception de tous les protocoles IP avec
<b>IPPROTO_RAW</b> <b></b>  n'est pas possible avec les sockets raw.<br/><br/>
.TS
tab(:) allbox;
c s
l l.
IP Champs d'en-tte modifis en mission par IP_HDRINCL
Checksum IP:Toujours rempli.
Adresse source:Rempli si contient des zros.
ID Paquet:Rempli si contient des zros.
Longueur totale:Toujours rempli.
.TE<br/><br/><br/><br/>
Si
<b>IP_HDRINCL</b> <b></b>  est spcifi et si l'en-tte IP  une adresse non-nulle, alors l'adresse 
destination de la socket est utilise pour router le paquet. Quand
<b>MSG_DONTROUTE</b> <b></b>  est spcifi, l'adresse de destination devrait toujours viser une interface locale
sinon un examen de la table de routage a quand mme lieu, mais les routes avec
une passerelle sont ignores.<br/><br/>
Si
<b>IP_HDRINCL</b> <b></b>  n'est pas spcifi, alors les options d'en-tte IP peuvent tre fixes sur les
sockets raw avec
<b>setsockopt (2);</b>
voir
<b>ip (7) </b>
pour plus d'informations.<br/><br/>
Dans Linux 2.2 tous les champs d'en-tte et les options peuvent tre fixs en
utilisant les options IP. Ceci signifie que les sockets raw ne servent en gnral
que pour les nouveaux protocoles ou les protocoles sans interface utilisateur (comme ICMP).<br/><br/>
Lorsqu'un paquet est reu, il est pass  toutes les sockets raw qui ont t attaches
 son protocole avant d'tre transmis aux gestionnaires des autres protocoles (par exemple
les modules des protocoles du noyau).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">format d'adresse</h1>
<div class="paragraph"><br/><br/>
Les sockets raw utilisent la structure d'adresse
<b>sockaddr_in</b> <b></b>  <b></b>  standard, dfinie dans
<b>ip (7).<br/><br/></b>
Le champ
<b>sin_port</b> <b></b>  peut tre utilis pour spcifier un numro de protocole IP, mais il est ignor pour
l'mission dans Linux 2.2 et devrait tre toujours mis 
zro (voir paragraphe BOGUES).
Pour les paquets entrants
<b>sin_port</b> <b></b>  <b></b>  est rempli avec le protocole du paquet.
Voir le fichier d'en-tte
<b>&lt;netinet/in.h&gt;</b> <b></b>  pour les protocoles IP valides.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">options des sockets</h1>
<div class="paragraph">
Les options des sockets raw peuvent tre crites avec
<b>setsockopt (2)</b>
et lues avec
<b>getsockopt (2)</b>
en passant l'attribut de
famille
<i>SOL_RAW .<br/><br/></i>
<br/><br/>

<b>ICMP_FILTER</b> <b></b>  Active un filtre spcial sur les sockets raw attaches au protocole
<b>IPPROTO_ICMP .</b>
La valeur a un bit pour chaque type de message ICMP qui doit tre
rejet. La valeur par dfaut est de ne filtrer aucun messages ICMP.<br/><br/><br/><br/>
De plus, toutes les options
<b>SOL_IP </b> de<b></b>
<b>ip (7)</b>
valides pour les sockets datagrammes sont supportes.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les sockets raw fragmentent un paquet lorsque sa longueur totale dpasse le
MTU de l'interface (voir toutefois le paragraphe BOGUES).
Une alternative plus rapide et prfrable pour le rseau est d'implmenter la recherche
du MTU des chemins comme dcrit dans la section
<b>IP_PMTU_DISCOVER</b> <b></b>  <b></b>  de
<b>ip (7).<br/><br/></b>
Une socket raw peut tre attache  une adresse locale spcifique en utilisant l'appel
<b>bind (2).</b>
Si elle n'est pas attache, tous les paquets du protocole IP spcifi sont reus.
De plus une socket raw peut tre attache  un priphrique rseau particulier avec
<b>SO_BINDTODEVICE </b> ;<b></b>
voir
<b>socket (7).<br/><br/></b>
Une socket
<b>IPPROTO_RAW</b> <b></b>  ne fonctionne qu'en mission.
Si vous dsirez vraiment recevoir tous les paquets IP, utilisez une socket
<b>packet (7)</b>
avec le protocole
<b>ETH_P_IP .</b>
Notez que les sockets packet ne rassemblent pas les fragments IP contrairement aux sockets raw.<br/><br/>
Si vous voulez recevoir tous les paquets ICMP pour une socket datagramme, il est souvent
prfrable d'utiliser
<b>IP_RECVERR</b> <b></b>  sur cette socket particulire, voir
<b>ip (7).<br/><br/></b>
Les sockets raw peuvent capturer tous les protocoles sous Linux, mme les protocoles comme
ICMP ou TCP qui ont un module dans le noyau. Dans ce cas, le paquet est pass simultanment
au module du noyau et  la socket raw. Ce comportement n'est pas portable, de nombreuses
autres implmentations des sockets BSD ont des limitations ici.<br/><br/>
Linux ne modifie jamais les en-ttes fournis par l'utilisateur (sauf pour remplir les
champs ne contenant que des zros comme cela est dcrit pour
<b>IP_HDRINCL ).</b>
Ceci diffre de nombreuses autres implmentations des sockets raw.<br/><br/>
Les sockets raw sont en gnral peu portables et devrait tre vites dans les
programmes conus pour tre adapts sur d'autres systmes<br/><br/>
L'mission sur les sockets raw devrait employer le protocole dans
<b>sin_port </b> ;<b></b>
ceci a t perdu dans Linux 2.2. Un remde est d'utiliser
<b>IP_HDRINCL.<br/><br/></b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L7">gestion d'erreur</h1>
<div class="paragraph">
Les erreurs provenant du rseau ne sont transmise  l'utilisateur que lorsque la socket
est connecte ou si le drapeau
<b>IP_RECVERR</b> <b></b>  est actif. Pour les sockets connectes, seules
<b>EMSGSIZE</b> <b></b>  <b></b>  <b></b>  <b></b>  et
<b>EPROTO</b> <b></b>  <b></b>  sont transmises, pour compatibilit. Avec
<b>IP_RECVERR</b> <b></b>  toutes les erreurs rseau sont sauvegardes dans la file d'erreurs.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EMSGSIZE</b> <b></b>  Paquet trop grand. Soit la recherche du MTU des chemins est active (voir l'attribut
<b>IP_PMTU_DISCOVER</b> <b></b>  de socket) soit la taille du paquet dpasse le maximum autoris par IPv4
(64 Ko).
<br/><br/>

<b>EACCES</b> <b></b>  L'utilisateur essaye d'envoyer sur une adresse broadcast sans avoir le
drapeau broadcast sur la socket.
<br/><br/>

<b>EPROTO</b> <b></b>  Une erreur ICMP est arriv, indiquant un problme de paramtrage.
<br/><br/>

<b>EFAULT</b> <b></b>  Une adresse mmoire invalide a t fournie.
<br/><br/>

<b>EOPNOTSUPP</b> <b></b>  Un attribut invalide a t transmis  un appel sur la socket (comme
<b>MSG_OOB ).</b>
<br/><br/>

<b>EINVAL</b> <b></b>  Argument invalide.
<br/><br/>

<b>EPERM</b> <b></b>  L'utilisateur n'a pas la permission d'ouvrir des sockets raw. Seuls les
processus avec un UID effectif nul ou la capacit
<b>CAP_NET_RAW</b> <b></b>  <b></b>  peuvent le faire.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">versions</h1>
<div class="paragraph">
<b>IP_RECVERR</b> <b></b>  <b></b>  et
<b>ICMP_FILTER</b> <b></b>  <b></b>  sont nouveaux dans Linux 2.2. Ce sont des extensions Linux et ne doivent pas tre
employs dans des programmes portables.<br/><br/>
Linux 2.0 assurait une compatibilit bogue--bogue avec le code des sockets raw de
BSD lorsque l'attribut SO_BSDCOMPAT tait utilis. Ceci a t supprim dans 2.2.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">bogues</h1>
<div class="paragraph">
Les extensions de Proxy transparent ne sont pas dcrites.<br/><br/>
Lorsque l'option
<b>IP_HDRINCL</b> <b></b>  est active, les datagrammes ne seront pas fragments et sont limits au MTU de l'interface.
C'est une limitation de Linux 2.2.<br/><br/>
Utiliser en mission le protocole IP indiqu dans
<b>sin_port</b> <b></b>  a t supprim dans Linux 2.2. On utilise toujours le protocole auquel la socket a t attache
avec <b>bind</b>(2) ou celui de l'appel 
<b>socket (2)</b>
initial.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L11">auteurs</h1>
<div class="paragraph">
Cette page de manuel a t crite par Andi Kleen. <br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L12">voir aussi</h1>
<div class="paragraph">
<b>ip (7),</b>
<b>socket (7),</b>
<b>recvmsg (2),</b>
<b>sendmsg (2).<br/><br/></b>
<b>RFC1191</b> <b></b>  <b></b>  pour la recherche du MTU par chemin.<br/><br/>
<b>RFC791</b> <b></b>  <b></b>  et le fichier d'en-tte
<b>&lt;linux/ip.h&gt;</b> <b></b>  pour le protocole IP.
</div><br/><br /><h1 class="TitreSection0" id="L13">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2001-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
