<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  From Henry Spencer's regex package (as found in the apache -->
<!--  distribution). The package carries the following copyright: -->
<!--  -->
<!--   Copyright 1992, 1993, 1994 Henry Spencer.  All rights reserved. -->
<!--   This software is not subject to any license of the American Telephone -->
<!--   and Telegraph Company or of the Regents of the University of California. -->
<!--    -->
<!--   Permission is granted to anyone to use this software for any purpose -->
<!--   on any computer system, and to alter it and redistribute it, subject -->
<!--   to the following restrictions: -->
<!--    -->
<!--   1. The author is not responsible for the consequences of use of this -->
<!--      software, no matter how awful, even if they arise from flaws in it. -->
<!--    -->
<!--   2. The origin of this software must not be misrepresented, either by -->
<!--      explicit claim or by omission.  Since few users ever read sources, -->
<!--      credits must appear in the documentation. -->
<!--    -->
<!--   3. Altered versions must be plainly marked as such, and must not be -->
<!--      misrepresented as being the original software.  Since few users -->
<!--      ever read sources, credits must appear in the documentation. -->
<!--    -->
<!--   4. This notice may not be removed or altered. -->
<!--   -->
<!--  In order to comply with `credits must appear in the documentation' -->
<!--  I added an AUTHOR paragraph below - aeb. -->
<!--  -->
<!--  In the default nroff environment there is no dagger \(dg. -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
.ie t .ds dg \(dg
.el .ds dg (!)
<br/><h1>REGEX</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">voir aussi</a>
<br /><a class="summaryIndent0" href="#L3">bogues</a>
<br /><a class="summaryIndent0" href="#L4">auteur</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
regex - Expressions rationnelles POSIX 1003.2.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Les expressions rationnelles (``ER''), dfinies par Posix 1003.2&nbsp;
existent sous deux formes&nbsp;:
les ER modernes (en gros celles de
<i>egrep </i> ;<i></i>
que Posix 1OO3.2 appelle expressions rationnelles "tendues"), et
les ER obsoltes (en gros celles de
<b>ed </b>(1) ;<b></b>
les ER basiques pour Posix 1003.2).<br/><br/>
[NDT&nbsp;: Le terme "officiel" pour la traduction de "Regular expression" est
"expression rationnelle", et c'est celui que j'emploierai. Toutefois, on
utilise couramment le terme "expression rgulire", mme s'il s'agit d'un
lger abus de langage.]<br/><br/>
Les ER obsoltes existent surtout  titre de compatibilit avec d'anciens
programmes&nbsp;; on en parlera plus bas.
Posix 1003.2 laisse de ct certains aspects syntaxiques et smantiques des
ER&nbsp;; un signe `\*(dg' indique une interprtation qui peut ne pas tre
totalement portable sur d'autres implmentation de 1003.2.<br/><br/>
Une ER (moderne) est une\*(dg ou plusieurs <i>branches</i> non-vides\*(dg,
spares par '|'.
Elle correspond  tout ce qui correspond  l'une des branches.<br/><br/>
Une branche est une\*(dg ou plusieurs <i>pices</i> concatnes. Elle
correspond  ce qui correspond  la premire pice, suivi de ce qui
correspond  la seconde, et ainsi de suite.<br/><br/>
Une pice est un <i>atome</i> suivi ventuellement d'un unique\*(dg `*',
`+', `?', ou d'un encadrement.
Un atome suivi de `*' correspond  une squence de 0 ou plusieurs
correspondances pour l'atome. Un atome suivi d'un `+' correspond  une
squence de 1 ou plusieurs correspondances pour l'atome. Un atome suivi
d'un `?' correspond  ue squence de zro ou une correspondance pour
l'atome.<br/><br/>
Un encadrement est un `{' suivi d'un entier dcimal non-sign, suivis
ventuellement d'une virgule, suivis ventuellement d'un entier
dcimal non-sign, toujours suivis d'un `}'. Les entiers doivent tre
entre 0 et RE_DUP_MAX (255\*(dg) compris, et s'il y en a deux, le second
ne doit pas tre plus petit que le premier. Un atome suivi d'un encadrement
contenant un entier <i>i</i> et pas de virgule, correspond  une squence
de <i>i</i> correspondances pour l'atome exactement.
Un atome suivi d'un encadrement contenant un entier <i>i</i> et une virgule
correspond  une squence d'au moins <i>i</i> correspondances pour l'atome.
Un atome suivi d'un encadrement contenant deux entiers <i>i</i> et <i>j</i>
correspond  une squence de <i>i</i>  <i>j</i> (compris) correspondances
pour l'atome.<br/><br/>
Un atome est une expression rationnelle encadre par des parenthses
(correspondant  ce qui correspond  l'expression rationnelle), un
ensemble vide `()' (correspond  une chane nulle)\*(dg, une
<i>expression entre crochets</i> (voir plus bas), 
An atom is a regular expression enclosed in `()' (matching a match for the
regular expression), un point `.' (correspondant  n'importe quel
caractre), un accent `^' (correspondant  une chane vide en dbut de
ligne), `$' (correspondant  une chane vide en fin de ligne), un
`\e' suivi d'un des caractres
`^.[$()|*+?{\e'
(correspondant au caractre littral - sans signification particulire),
un `\e' suivi de n'importe quel autre caractre\*(dg
(correspondant au caractre pris sous forme littrale, comme si
le `\e' tait absent\*(dg),
ou un caractre simple sans signification particulire (correspondant 
ce caractre/
Un `{' suivi d'un caractre autre qu'un chiffre est considr sous
sa forme littrale, pas un encadrement \*(dg.
Il est illgal de terminer une ER avec un `\e' seul.<br/><br/>
Une <i>expression entre crochets</i> est une liste de caractres encadrs par
`[]'. Elle correspond normalement  n'importe quel caractre de la liste.
Si la liste dbute par `^',
elle correspond  n'importe quel caractre
<i>sauf</i> ceux de la liste.
Si deux caractres de la liste sont spars par un `-', ils reprsentent
tout <i>l'intervalle</i> de caractres entre-eux (compris).
Par exemple [0-9@ en Ascii reprsente n'importe quel chiffre dcimal.
Il est illgal\*(dg d'utiliser la mme limite dans deux
intervalles, comme `a-c-e'.
Les intervalles dpendent beaucoup de l'ordre de classement des caractres,
et les programmes portables doivent viter de les utiliser.<br/><br/>
Pour insrer un `]' littral dans la liste, il faut le mettre en premire
position (ou aprs un ventuel `^'). Pour inclure un `-' littral, il
faut le placer en premire, dernire position, ou en seconde borne
d'un intervalle. Pour utiliser un - en premire borne d'intervalle,
encadrez-le entre `[.' et `.]' pour en faire une fusion (plus bas).<br/><br/>
 l'exception de ces lments, et de quelques combinaisons avec des
crochets (voir plus bas), tous les autres caractres spciaux, y compris
le `\e', perdent leurs significations spciales dans une expression entre
crochets.<br/><br/>
Dans une expression entre crochet, une fusion (un seul caractre,
ou une squence de caractres qui se comporte comme un seul, ou un
nom de fusion) entre `[.' et `.]' correspond  la
squence des caractres de la fusion. Une squence est un lment
unique de l'expression entre crochets. Ainsi, un expression entre crochets
contenant une fusion multi-caractres peut correspondre  plus
d'un caractre. Par exemple si la squence inclue la fusion `ch',
alors l'ER `[[.ch.]]*c' correspond aux cinq premiers caractres de
`chchcc'.<br/><br/>
Dans une expression entre crochets, une squence encadre par `[=' et
`=]' est une classe d'quivalence, correspondant  la squence des
caractres de tous les lments quivalents  celui-ci, y compris lui-mme.
(S'il ny a pas d'autre lments quivalents, le fonctionnement est le mme
que si l'encadrement tait `[.' et `.]').
Par exemple, si o et \o'o^' sont membres d'une classe quivalence, alors
`[[=o=]]', `[[=\o'o^'=]]', et `[o\o'o^']' sont tous synonymes.
Une classe d'quivalence ne doit\*(dg pas tre une borne d'intervalle.<br/><br/>
Dans une expression entre crochet, le nom d'une <i>classe de caractres</i>
encadr par `[:' et `:]' correspond  la liste de tous les caractres de la
classe.
Les noms des classes standards sont&nbsp;:<br/><br/>
.RS

.ta 3c 6c 9c
alnum	digit	punct
alpha	graph	space
blank	lower	upper
cntrl	print	xdigit


<br/><br/>
Cela correspond aux classes des caractres dfinis pour
<b>wctype (3).</b>
Une localisation peut en fournir d'autres.
Une classe de caractres ne doit pas tre utilis comme borne d'intervalle.<br/><br/>
Il existe deux cas spciaux\*(dg d'expressions entre crochets&nbsp;:
les expressions `[[:&lt;:]]' et `[[:&gt;:]]' correspondent  une chane vide en
dbut et en fin de mot, respectivement. Un mot
est dfini comme une squence de caractres
de mot, qui n'est suivie ni prcde
de caractres
de mot.
Un caractre de mot est un caractre
<i>alnum</i> (comme dfini par
<b>wctype (3))</b>
ou un soulign.
C'est une extension, compatible mais
non spcifie par POSIX 1003.2,
et doit tre utilise avec prcaution dans les
logiciels destins  tre ports vers d'autres systmes.<br/><br/>
Dans le cas o une ER peut correspondre  plusieurs sous-chanes d'une
chane donne, elle correspond  celle qui commence le plus tt dans la
chane. 
Si l'ER peut correspondre  plusieurs sous-chanes dbutant au mme point,
elle correspond  la plus longue sous-chane.
Les sous-expressions correspondent aussi  la plus longue sous-chane
possible,  condition que la correspondance complte soit la plus longue
possible, les sous-expressions dbutant le plus tt dans l'ER ayant
priorit sur celles dbutant plus loin.
Notez que les sous-expressions de haut-niveau ont donc priorit sur
les sous-expressions de bas-niveau les composant.<br/><br/>
La longueur des correspondances est mesure en caractres, pas en lments
fusionns. Une chane vide est considre comme plus longueur qu'aucune
correspondance. Par exemple `bb*' correspond au trois caractres du milieu
de `abbbc', `(wee|week)(knights|nights)' correspond aux dix caractres de
`weeknights', quand `(.*).*' est mis en correspondance avec `abc', la
sous-expression entre parenthses correspond aux trois caractres, et si
`(a*)*' est mis en correspondance avec `bc' l'ER entire et la sous-ER entre
parenthses correspondent toutes deux avec une chane nulle.<br/><br/>
Si une correspondance sans distinction de casse est demande, toutes les
diffrences entre majuscules et minuscules disparaissent de l'alphabet.
Un symbole alphabtique apparaissant hors d'une expression entre crochets
est remplac par une expression contenant les deux casses (par exemple
`x' devient `[xX]'). Lorsqu'il apparait dans une expression entre crochets,
tous ses quivalents sont ajouts (`[x]' devient `[xX]' et `[^x]' devient
`[^xX]').<br/><br/>
Aucune limite particulire n'est impose sur la longueur est ER\*(dg.
Les programmes destins  tre portables devrait limiter leurs ER 
256 octets, car une implmentation compatible POSIX peut refuser les
expressions plus longues.<br/><br/>
Les expressions rationnelles obsoltes (basiques) diffrent sur plusieurs
points. `|', `+', et `?' sont des caractres normaux sans quivalents.
Les dlimiteurs d'encadrements sont `\e{' et `\e}',
car `{' et `{' sont des caractres ordinaires.
Les parenthses pour les sous-expressions sont `\e(' et `\e)',
car `(' et `)' sont des caractres ordinaires.
`^' est un caractre ordinaire sauf au dbut d'une ER
ou au\*(dg dbut d'une sous-expression entre parenthses,
`$' est un caractre ordinaire sauf  la fin d'une ER
ou \*(dg la fin d'une sous-expressions entre parenthses,
et `*' est un caractre ordinaire s'il apparat au dbut d'une ER
ou au dbut d'une sous-expression entre parenthses
(aprs un ventuel `^').
Enfin, il existe un nouveau type d'atome, la <i>rfrence arrire</i>&nbsp;:
`\e' suivi d'un chiffre dcimal non-nul <i>n</i>
correspond  la mme squence de caractres que ceux mis en correspondance
avec la <i>n</i>-ime sous-expression entre parenthses.
(les sous-expressions sont numrotes par leurs parenthses ouvrantes, de
gauche  droite),
ainsi `\e([bc]\e)\e1' correspond  `bb' ou `cc' mais pas  `bc'.
</div><br/><br /><h1 class="TitreSection0" id="L3">voir aussi</h1>
<div class="paragraph">
<b>regex (3)<br/><br/></b>
POSIX 1003.2, section 2.8 (Regular Expression Notation).
</div><br/><br /><h1 class="TitreSection0" id="L4">bogues</h1>
<div class="paragraph">
Avoir deux sortes d'ER est un calvaire.<br/><br/>
Les spcifications 1003.2 disent que `)' est un caractre ordinaire en
l'absence de la `(' correspondante. C'est d  une erreur d'interprtation
et changera probablement.
Evitez d'en tenir compte.<br/><br/>
Les rfrences arrires sont un vrai calvaire, et posent de gros problmes
d'efficacit pour l'implmentation. Elles sont de plus
assez mal dfinies
(est-ce que
`a\e(\e(b\e)*\e2\e)*d' correspond  `abbbd'&nbsp;?).
Evitez-les.<br/><br/>
Les spcifications 1003.2 sur les correspondances sans distinction de
casse sont assez vagues. La description donne plus haut
est le consensus actuel parmi les implmenteurs.<br/><br/>
La syntaxe concernant les limites de mot est incroyablement laide.
</div><br/><br /><h1 class="TitreSection0" id="L5">auteur</h1>
<div class="paragraph">
Cette page provient du paquetage regex de Henry Spencer.
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
