<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
'\"
<!--  (C) Copyright 1999-2000 David A. Wheeler (dwheeler@dwheeler.com) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one. -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Fragments of this document are directly derived from IETF standards. -->
<!--  For those fragments which are directly derived from such standards, -->
<!--  the following notice applies, which is the standard copyright and -->
<!--  rights announcement of The Internet Society: -->
<!--  -->
<!--  Copyright (C) The Internet Society (1998).  All Rights Reserved. -->
<!--  This document and translations of it may be copied and furnished to -->
<!--  others, and derivative works that comment on or otherwise explain it -->
<!--  or assist in its implementation may be prepared, copied, published -->
<!--  and distributed, in whole or in part, without restriction of any -->
<!--  kind, provided that the above copyright notice and this paragraph are -->
<!--  included on all such copies and derivative works.  However, this -->
<!--  document itself may not be modified in any way, such as by removing -->
<!--  the copyright notice or references to the Internet Society or other -->
<!--  Internet organizations, except as needed for the purpose of -->
<!--  developing Internet standards in which case the procedures for -->
<!--  copyrights defined in the Internet Standards process must be -->
<!--  followed, or as required to translate it into languages other than English. -->
<!--  -->
<!--  Modified Fri Jul 25 23:00:00 1999 by David A. Wheeler (dwheeler@dwheeler.com) -->
<!--  Modified Fri Aug 21 23:00:00 1999 by David A. Wheeler (dwheeler@dwheeler.com) -->
<!--  Modified Tue Mar 14 2000 by David A. Wheeler (dwheeler@dwheeler.com) -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>URI</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">usage</a>
<br /><a class="summaryIndent0" href="#L4">codage des caractres</a>
<br /><a class="summaryIndent0" href="#L5">crire un uri</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">securit</a>
<br /><a class="summaryIndent0" href="#L8">conformit</a>
<br /><a class="summaryIndent0" href="#L9">bogues</a>
<br /><a class="summaryIndent0" href="#L10">auteur</a>
<br /><a class="summaryIndent0" href="#L11">voir aussi</a>
<br /><a class="summaryIndent0" href="#L12">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
uri, url, urn - Identificateur de ressource uniforme (URI), comprenant URL ou URN
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

.HP 0.2i
URI = [ URI_absolu | URI_relatif ] [ "#" fragment ]
.HP
URI_absolu = mcanisme ":" ( partie_hirarchique | partie_opaque )
.HP
URI_relatif = ( chemin_rseau | chemin_absolu | chemin_relatif ) [ "?" requte
<br/><br/>

.HP
mcanisme = "http" | "ftp" | "gopher" | "mailto" | "news" | "telnet" | "file" | "man" | "info" | "whatis" | "ldap" | "wais" | ...
.HP
partie_hierarchique = ( chemin_rseau | chemin_absolu ) [ "?" requte ]
<br/><br/>

.HP
chemin_rseau = "//" autorit [ chemin_absolu ]
.HP
chemin_absolu = "/"  segments_chemin
.HP
chemin_relatif = segment_relatif [ chemin_relatif ]


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/>
Un Identificateur de Ressource Uniforme (URI) est une courte chane de
caractres identifiant une ressource physique ou abstraite (par exemple
une page web). Une Localisation de Ressource Uniforme (URL) est un URI
qui identifie une ressource  travers son moyen d'accs (sa "position"
rseau par exemple), plutt que par son
nom ou un autre attribut de la ressource.
Un Nom de Ressource Uniforme (URN) est un URI qui doit
rester globalement unique, et persister mme si la ressource
cesse d'exister ou devient indisponible.<br/><br/>
Les URI constituent le mcanisme standard pour nommer les destinations des
liens hypertextes pour les outils comme les navigateurs web.
La chane "http://www.kernelnotes.org" est une URL (et donc un URI).
Beaucoup de gens utilisent le terme URL comme vague synonyme de URI
(bien que techniquement les URL soient un sous-ensemble des URI).<br/><br/>
Les URI peuvent tre absolus ou relatifs.
Un identificateur absolu rfrence une ressource indpendamment du contexte,
alors qu'un identificateur relatif rfrence une ressource
en dcrivant la diffrence par rapport
au contexte courant.
Dans les rfrences de chemins relatifs, les segments complets "." et ".."
ont des significations particulires&nbsp;: "le niveau actuel dans la
hirarchie" et "le niveau au-dessus dans la hirarchie", respectivement
tout comme dans les systmes type Unix.
Un segment de chemin qui contient un caractre deux-points ne peut pas tre
utilis comme premier segment du chemin d'un URI (par exemple
"ceci:cela"), car on le confondrait avec le mcanisme. Prcdez un
tel segment avec ./ (par exemple "./ceci:cela"). Notez que les
descendants de Ms-Dos (par ex. Windows) remplacent le deux-points du nom de
priphrique par une barre verticale dans les URI, ainsi "C:" devient "C|".<br/><br/>
Un identificateur de fragment, s'il est prsent, rfrence une portion
particulire de la ressource&nbsp;; le texte aprs le '#' identifie le fragment.
Un URI commenant par '#' rfrence le fragment dans la ressource courante.
</div><br/><br /><h1 class="TitreSection0" id="L4">usage</h1>
<div class="paragraph">
Il y a plusieurs schmas d'URI diffrents, chacun ajoutant des rgles
et des significations spcifiques, mais ils sont volontairement rendus
le plus ressemblants possible.
Par exemple, plusieurs schmas d'URL permettent le format suivant pour
dcrire l'autorit d'un chemin rseau, que l'on appellera
<i>serveur_ip</i> (les crochets encadrent les parties optionnelles)&nbsp;:
.HP
<i>serveur_ip = </i> [ user <i> [ : </i> password <i> ] @ ] </i> hte <i> [ : </i> port ]<br/><br/></i>
Ce format permet d'insrer ventuellement un nom d'utilisateur, suivi
ventuellement d'un mot de passe, et/ou un numro de port.
La partie
<i>hte</i> est le nom de l'ordinateur, soit son nom dtermin par le DNS, soit son
adresse IP (numros spars par des points).
Ainsi l'URI
&lt;http://fred:fredpassword@xyz.com:8080/&gt;
se connecte dans le serveur web sur l'ordinateur xyz.com avec l'identit
fred (et le mot de passe fredpassword) en utilisant le port 8080.
Evitez d'utiliser les mots de passe dans les URI  cause des risques
lis  la scurit sitt que l'on crit un mot de passe.
Si l'URL indique un nom d'utilisateur et pas de mot de passe, et si le
serveur distant rclame un mot de passe, alors le programme interprtant
l'URL peut en demander un  l'utilisateur.<br/><br/>
Voici les mcanismes les plus courants utiliss sur les systmes type Unix,
compris par de nombreux outils.
Notez que beaucoup d'outils grant les URI ont aussi des mcanismes internes
ou spcialiss&nbsp;; voyez la documentation de ces outils pour plus de dtails.
</div><br/><h2 class="TitreSection1" id="L14">http - Serveur Web (HTTP)</h2>
<div class="paragraph">
http:// serveur_ip / chemin</i>
<br/>
http:// serveur_ip / chemin ? requte<br/><br/></i>
Il s'agit d'une URL accdant  un serveur web (HTTP).
Le port par dfaut est 80.
Si le chemin rfrence un rpertoire, le serveur choisira ce qu'il renverra.
Habituellement, si un fichier nomm "index.html" ou "index.htm" est prsent,
son contenu est renvoy. Sinon, il cre et renvoie une liste des fichiers
dans le rpertoire en cours avec les liens appropris.
Un exemple&nbsp;: &lt;http://lwn.net&gt;.<br/><br/>
Une requte peut tre formule dans le format archaque "isindex",
consistant en mot ou phrase sans signe gal (=).
Une requte peut aussi tre dans le format "GET" plus long, qui a une ou
plusieurs entres de requtes de la forme
<i>cl = valeur</i>
sparares par un caractre "et commercial" (&).
Notez que la
<i>cl</i> peut tre rpte plusieurs fois, et c'est au serveur web et ses programmes
applicatifs de dterminer s'il y a une signification pour cela.
Il y a une interaction malheureuse avec HTML/XML/SGML et le format de
requte GET. Quand une telle requte avec plusieurs cls est incluse dans
un document SGML/XML (y compris HTML), le "et commercial" (&) doit tre
rcrit sous forme "&amp;".
Notez que toutes les requtes n'utilisent pas ce format&nbsp;; elles peuvent
tre trop longues pour tre stocke en URL et utilisent un mcanisme
d'interaction diffrent (appel POST) sans inclure les donnes dans l'URI.
Voir la spcification Common Gateway Interface (CGI)  l'adresse
&lt;http://www.w3.org/CGI&gt; pour plus de dtails.
</div><br/><h2 class="TitreSection1" id="L14">ftp - File Transfer Protocol (FTP)</h2>
<div class="paragraph">
ftp:// serveur_ip / chemin<br/><br/></i>
Cette URL accde  un fichier  travers le protocole FTP.
Le port par dfaut (pour les commandes) est 21.
Si aucun nom d'utilisateur n'est inclus, l'utilisateur "anonymous" est 
employ, et dans ce cas de nombreux clients fournissent l'adresse email
du requrant en guise de mot de passe.
Un exemple est
&lt;ftp://ftp.is.co.za/rfc/rfc1808.txt&gt;.
</div><br/><h2 class="TitreSection1" id="L14">gopher - Serveur Gopher</h2>
<div class="paragraph">
gopher:// serveur_ip / <i>type_gopher slecteur</i></i>
<br/>
gopher:// serveur_ip / <i>type_gopher slecteur</i> %09 recherche</i>
<br/>
gopher:// serveur_ip / <i>type_gopher slecteur</i> %09 recherche %09 chaine_gopher+</i>
<br/><br/><br/>
Le port gopher par dfaut est 70. Le
<i>type_gopher</i> est un champ compos d'un unique caractre indiquant le type de ressource
Gopher  laquelle l'URL fait rfrence.
Le chemin entier paut aussi tre vide, auquel cas
le dlimiteur "/" est aussi optionnel et le type_gopher prend la valeur
par dfaut "1".<br/><br/>
<i>selecteur</i> est une chane de slecteur Gopher. Dans le protocole Gopher, la chane
de slecteur est une squence d'octets pouvant contenir tous les octets
sauf 09 hexadcimal (HT Ascii ou Tabulation), 0A hexadcimal
(LF Ascii), et 0D (CR Ascii).
</div><br/><h2 class="TitreSection1" id="L14">mailto - Adresse Email</h2>
<div class="paragraph">
mailto: adresse-email<br/><br/></i>
Il s'agit d'une adresse email, en principe de la forme
<i>nom @ nom_hte .</i>
Voir
<b>mailaddr (7)</b>
pour plus d'informations sur le format correct d'une adresse email.
Notez que les caractres % doivent tre transforms en %25.
Un exemple&nbsp;: &lt;mailto:dwheeler@dwheeler.com&gt;.
</div><br/><h2 class="TitreSection1" id="L14">news - Groupe ou message des news</h2>
<div class="paragraph">
news: nom-groupe-news</i>
<br/>
news: id-message<br/><br/></i>
Un 
<i>nom-groupe-news</i> est un nom hirarchique dlimit par des points, comme
"comp.infosystems.www.misc".
Si nom-groupe-news est "*" (comme dans &lt;news:*&gt;), l'URL rfrence
tous les groupes news disponibles.
Un exemple&nbsp;: &lt;news:comp.lang.ada&gt;.<br/><br/>
Un 
<i>id-message</i> correspond au champ identificateur Message-ID de 
la RFC 1036 de l'IETF
.UR http://www.ietf.org/rfc/rfc1036.txt ,
.UE
sans les chevrons "&lt;"
et "&gt;"&nbsp;; il prend la forme
<i>unique @ nom-domaine-complet .</i>
Un identificateur de message peut tre distingu d'un nom de groupe de news
par la prsence du caractre "@".
</div><br/><h2 class="TitreSection1" id="L14">telnet - connexion Telnet</h2>
<div class="paragraph">
telnet:// serveur_ip /<br/><br/></i>
Le mcanisme d'URL Telnet est utilis pour afficher un service interactif
accessible par le protocole Telnet. Le caractre "/" final peut tre omis.
Le port par dfaut est 23.
Un exemple&nbsp;: &lt;telnet://melvyl.ucop.edu/&gt;.
</div><br/><h2 class="TitreSection1" id="L14">file - Fichier normal</h2>
<div class="paragraph">
file:// serveur_ip / segments_chemins</i>
<br/>
file: segments_chemins<br/><br/></i>
Ceci reprsente un fichier ou un rpertoire accessible localement.
En particulier,
<i>hte</i> peut tre la chane "localhost" ou une chane vide&nbsp;;
elle est interprte comme "la machine sur laquelle l'URL est en
cours d'interprtation".
Si le chemin conduit  un rpertoire, le navigateur devrait afficher le 
contenu du rpertoire avec des liens pour chaque lment.
Tous les navigateurs ne le font pas encore.
KDE supporte les fichiers gnrs par l'URL &lt;file:/cgi-bin&gt;.
Si le fichier n'est pas trouv, l'analyseur du navigateur peut essayer
de dvelopper le nom du fichier
(voir
<b>glob (7)</b>
et
<b>glob (3)).<br/><br/></b>
Le second format (par ex. &lt;file:/etc/passwd&gt;) est le format
correct pour rfrencer un fichier local.
Toutefois les anciens standards ne le permettaient pas, et
certains programmes ne le reconnaissent pas comme URI.
Une syntaxe plus portable est d'utiliser une chane vide en guise de nom de
serveur &lt;file:///etc/passwd&gt;&nbsp;; cette forme  le mme effet et est reconnue
facilement comme un URI par les analyseurs des anciens programmes.
Notez que si vous dsirez vraiment crire "dbuter de l'emplacement actuel",
n'indiquez pas de mcanisme&nbsp;; utilisez une adresse relative comme
&lt;../test.txt&gt;, qui est indpendante du mcanisme.
Un exemple de ce mcanisme est &lt;file:///etc/passwd&gt;.
</div><br/><h2 class="TitreSection1" id="L14">man - Pages de manuel</h2>
<div class="paragraph">
man: nom-commande</i>
<br/>
man: nom_commande ( section )<br/><br/></i>
Ceci rfrence les pages de documentation en-ligne (man) locales.
Le nom de la commande peut tre suivi ventuellement de parenthses et
d'un numro de section. Voir
<b>man (7)</b>
pour plus de renseignements sur la signification du numro de section.
Ce mcanisme d'URI est unique aux systmes Unix (comme Linux) et n'est
pas encore enregistr par l'IETF.
Un exemple&nbsp;: &lt;man:ls(1)&gt;.
</div><br/><h2 class="TitreSection1" id="L14">info - Page de documentation Info</h2>
<div class="paragraph">
info: nom-de-fichier-virtuel</i>
<br/>
info: nom-de-fichier-virtuel # nom-de-noeud</i>
<br/>
info:( nom-de-fichier-virtuel )</i>
<br/>
info:( nom-de-fichier-virtuel ) nom-de-noeud<br/><br/></i>
Ce mcanisme rfrence les pages de documentation en-ligne info (cres par
les fichiers texinfo), un format utilis par les outils GNU.
Ce mcanimse est spcifique aux systmes Unix (comme Linux) et n'est pas
encore enregistr par l'IETF.
Actuellement, Gnome et Kde divergent dans la syntaxe d'URI et chacun rejete
la syntaxe de l'autre.
Les deux premiers formats sont ceux de Gnome&nbsp;; dans le nom de noeud, tous
les espaces sont remplacs par des souligns.
Les deux formats suivants sont ceux de Kde&nbsp;; les espaces doivent rester
tels quels, mme si c'est interdit dans les standards d'URI.
On peut esprer que dans l'avenir la plupart des outils comprendront les
deux formats et accepteront des souligns en remplacement des espaces.
Dans tous les cas, le format sans nom de noeud est suppos viser le
noeud "Top".
Exemples de format Gnome&nbsp;: &lt;info:gcc&gt; et &lt;info:gcc#G++_and_GCC&gt;.
Exemples de format Kde&nbsp;: &lt;info:(gcc)&gt; et &lt;info:(gcc)G++ and GCC&gt;.
</div><br/><h2 class="TitreSection1" id="L14">whatis - Recherche de documentation</h2>
<div class="paragraph">
whatis: chane<br/><br/></i>
Ce mcanisme parcourt une base de donnes de courtes (une ligne) descriptions
des commandes et renvoie une liste des descriptions contenant la chane.
Seules les correspondances de mots complets sont renvoyes.
Voir
<b>whatis (1).</b>
Ce mcanisme est unique aux systmes Unix (comme Linux) et n'est pas
encore enregistr par l'IETF.
</div><br/><h2 class="TitreSection1" id="L14">ghelp - Documentation d'aide Gnome</h2>
<div class="paragraph">
ghelp: nom-application<br/><br/></i>
Ceci charge la documentation d'aide Gnome pour l'application indique.
Notez qu'il n'y a pas encore beaucoup de documentation dans ce format.
</div><br/><h2 class="TitreSection1" id="L14">ldap - Lightweight Directory Access Protocol</h2>
<div class="paragraph">
ldap:// hostport</i>
<br/>
ldap:// hostport /</i>
<br/>
ldap:// hostport / dn</i>
<br/>
ldap:// hostport / dn ? attributs</i>
<br/>
ldap:// hostport / dn ? attributs ? porte</i>
<br/>
ldap:// hostport / dn ? attributs ? porte ? filtre</i>
<br/>
ldap:// hostport / dn ? attributs ? porte ? filtre ? extensions<br/><br/></i>
Ce mcanisme supporte les requtes utilisant le protocole
Lightweight Directory Access Protocol (LDAP), pour interroger un
ensemble de serveurs  propos d'informations organises hirarchiquement
(comme des gens ou des ressources de calcul).
Des informations supplmentaires sur les mcanismes d'URL LDAP sont
disponibles dans la RFC 2255&nbsp;:
.UR http://www.ietf.org/rfc/rfc2255.txt .
.UE
Les composants de l'URL sont&nbsp;:
</div><div class="paragraph">hostport<br/>
le serveur LDAP  interroger, crit comme un nom d'hte suivi ventuellement
par un deux-points et un numro de port.
Le port TCP pour le LDAP est 389. 
Si le nom est vide, le client dtermine le serveur LDAP  utiliser.
.IP dn
Le nom complet (Distinguished Name) LDAP, qui identifie l'objet de
base de la recherche LDAP (voir
.UR http://www.ietf.org/rfc/rfc2253.txt
RFC 2253
.UE
section 3).
.IP attributs
une liste d'attributs spars par des virgule  renvoyer&nbsp;;
voir la RFC 2251 section 4.1.5. Par dfaut tous les attributs sont renvoys..
.IP porte
indique la porte de la recherche qui peut tre
"base" (recherche d'objet de base), "one" (recherche sur un niveau),
ou "sub" (recherche dans un sous-arbre). Par dfaut, on considre "base".
.IP filtre
indique le filtre de recherche (sous-ensemble des entres  renvoyer).
Par dfaut, toutes les entres sont renvoyes.
Voir
.UR http://www.ietf.org/rfc/rfc2254.txt
RFC 2254
.UE
section 4.
.IP extensions
une liste de paires type=valeur spares par des virgules,
o la portion =valeur peut tre omise pour les options ne la ncessitant
pas. Une extension prfixe par un '!' est critique (doit tre supporte
pour tre valide), sinon elle est non-critique (facultative).<br/><br/>
Les requtes LDAP sont plus faciles  comprendre par l'exemple. Voici
une requte demandant  ldap.itd.umich.edu des informations  propos
de l'Universit du Michigan aux U.S.&nbsp;:
.RS
ldap://ldap.itd.umich.edu/o=University%20of%20Michigan,c=US
<br/><br/>
Pour n'obtenir que l'attribut Adresse Postale, on demanderait&nbsp;:
.RS
ldap://ldap.itd.umich.edu/o=University%20of%20Michigan,c=US?postalAddress
<br/><br/>
Pour demander  host.com, sur le port 6666 des informations sur la personne
de nom courant (cn) "Babs Jensen"  l'University du Michigan, demandez&nbsp;:
.RS
ldap://host.com:6666/o=University%20of%20Michigan,c=US??sub?(cn=Babs%20Jensen)

</div><br/><h2 class="TitreSection1" id="L14">wais - Wide Area Information Servers</h2>
<div class="paragraph">
wais:// hostport / base</i>
<br/>
wais:// hostport / base ? recherche</i>
<br/>
wais:// hostport / base / wtype / wpath<br/><br/></i>
Ce mcanisme dsigne une base de donnes WAIS, une recherche ou un document
(voir
.UR http://www.ietf.org/rfc/rfc1625.txt
IETF RFC 1625
.UE
pour plus de renseignements sur WAIS).
Hostport est le nom d'hte, suivi ventuellement d'un deux-points et d'un
numro de port (par dfaut 210).<br/><br/>
La premire forme dsigne une base de donnes WAIS pour les recherches.
La seconde dsigne une recherche particulire dans la base WAIS
indique.
La troisime forme dsigne un document particulier  retrouver dans la
base de donnes WAIS.
<i>wtype</i> est la dsignation WAIS du type d'objet et
<i>wpath</i> est l'identificateur WAIS du document.
</div><br/><h2 class="TitreSection1" id="L14">Autres mcanismes</h2>
<div class="paragraph">
Il existe d'autres mcanismes URI. La plupart des outils traitant les
URI acceptent un jeu d'URI internes (par exemple Mozilla a un mcanisme
about: pour les informations internes, et le navigateur d'aide
Gnome a un mcanisme toc: pour diverses oprations).
Il y a de nombreux mcanismes qui ont t dfinis mais pas trs
utiliss pour l'instant
(par exemple, prospero).
Le mcanisme nntp: est dconseill en faveur de celui news:.
Les URN seront supports par le mcanisme urn: avec des espaces de noms
hierarchique (ex&nbsp;: urn:ietf:... pour les documents IETF). Pour le moment,
les URN ne sont pas trs largement implments.
Touts les outils ne supportent pas tous les mcanismes.
</div><br/><br /><h1 class="TitreSection0" id="L5">codage des caractres</h1>
<div class="paragraph"><br/><br/>
Les URI utilisent un nombre limit de caractres afin d'tre saisis et
utiliss dans de nombreuses situations.<br/><br/>
Les caractres suivants sont rservs&nbsp;; ils peuvent appararatre dans un
URI, mais leurs usages est limits aux fonctionnalits rserves
(les donnes conflictuelles doivent tre protges avant de former l'URI)&nbsp;:
.IP
   ; / ? : @ & = + $ ,<br/><br/>
Les caractres non-rservs peuvent tre inclus dans un URI.
Les caractres non-rservs incluent les majuscules et minuscules anglaises,
les chiffres dcimaux, et l'ensemble suivant de
signes de ponctuation et de symboles&nbsp;:
.IP
 - _ . ! ~ * ' ( )<br/><br/>
Tous les autres caractres doivent tre protgs.
Un octet protg est encod sous forme d'un triplet de caractres, consistant
en un signe pourcent "%" suivi de deux chiffres hexadcimaux reprsentant
le code de l'octet (les lettres hexadcimales peuvent tre en majuscules
ou en minuscules). Par exemple un espace blanc doit tre protg sous forme
"%20", une tabulation "%09" et le "&" en "%26".
Comme le caractre "%" a toujours un rle rserv pour potger les autres
caractres, il faut le protger sous forme "%25".
Il est courant de protger le caractre espace en symbole plus (+) dans les
requtes. Cette pratique n'est pas dfini uniformment dans les RFC
correspondantes (qui recommandent %20 plutt) mais tous les outils acceptant
les URI avec des requtes prpares ainsi.
Une URI est toujours montre dans sa forme protge.<br/><br/>
Les caractres non-rservs peuvent tre protgs sans modifier la smantique
de l'URI, mais il faut l'viter sauf si l'URI est utilis dans un contexte
qui ne permet pas l'utilisation du caractre non protg. Par exemple
"%7E" est parfois utilis  la place de "~" dans les URL HTTP mais les
deux sont en ralit quivalents dans ce contexte.<br/><br/>
Pour les URI qui doivent manipuler des caractres hors du jeu Ascii, les
spcifications HTML 4.01 (section B.2) et la RFC 2718 (section 2.2.5)
prconisent l'approche suivante&nbsp;:
</div><div class="paragraph">1.<br/>
traduire le caractre en squence UTF-8 (RFC 2279) - voir
<b>utf-8 (7)</b>
-  puis
.IP 2.
utiliser le mcanisme d'chappement d'URI, c'est--dire, utiliser
les %HH pour coder les octets non-srs.
</div><br/><br /><h1 class="TitreSection0" id="L6">crire un uri</h1>
<div class="paragraph">
Lorsqu'il est crit, un URI doit tre plac entre guillemets
("http://www.kernelnotes.org"),
encadr par des chevronss (&lt;http://lwn.net&gt;),
ou plac sur une ligne indpendante.
Un avertissement  propos des guillemets&nbsp;: Ne
<b>jamais</b> <b></b>  introduire une ponctuation supplmentaire (comme le point final d'une
phrase ou la virgule sparant les lments d'une liste)  l'intrieur de
l'URI, car cela modifierait sa valeur. [NDT&nbsp;: cet avertissement vaut
surtout pour les anglo-saxons&nbsp;; en franais l'usage veut que les lments
de ponctuations restent  l'extrieur des guillemets.]
On peut utiliser les chevrons  la place, ou basculer sur un systme
de notation qui n'incopore aucun caractre supplmentaire  l'intrieur
des marques de citation. Ce systme [NDT&nbsp;: le ntre&nbsp;!], appel
"nouveau" ou "logique" par les "Hart's Rules" et le "Oxford Dictionnary
for Writes and Editors", est la pratique prfre des hackers dans
le monde entier. Voir la section sur le style d'criture dans le Jargon File
.UR http://www.fwi.uva.nl/~mes/jargon/h/HackerWritingStyle.html
.UE
pour plus de dtails.
Les documentations anciennes suggrent d'insrer le prfixe "URL:" juste
avant un URI, mais cette forme n'a jamais t utilise rellement.<br/><br/>
La syntaxe des URI a t conue pour viter les ambiguts. Toutefois,
comme les URI sont devenus de plus en plus rpandus, les mdias traditionnels
tlvision, radio, journaux et magazines...) ont utilis de manire
croissante des abrviations d'URI, consistant en la seule partie
autorit et segments de chemin de la ressource
(par exemple &lt;www.w3.org/Addressing&gt;).
De tels rfrences sont surtout prvues pour une interprtation humaine,
avec la supposition que la comprhension du contexte permet de complter
l'URI (par exemple les noms d'htes commenant par "www' se prfixent
avec "http://" et les noms commenant par "ftp" doivent se prfixer
avec "ftp://").
De nombreux clents rsolvent ces rfrences avec de telles heuristiques.
Elle peuvent toutefois voluer, particulirement quand de nouveaux
mcanismes sont introduits. Comme les URI abrgs ont la mme syntaxe
qu'un chemin d'URL relative, les rfrences abrges ne sont pas utilisables
lorsque des URI relatifs sont autoriss.
N'utilisez pas d'URI abrgs comme liens hypertexte dans un document&nbsp;;
utilisez le format standard dcrit ici.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Un outil acceptant les URI (par exemple un navigateur web) sur un systme
Linux devrait tre capable de traiter (directement ou indirectement) tous les
mcanismes dcrits ici, y compris man: et info:. Sous-traiter ces lments
 un autre programme est tout  fait acceptable, et mme encourag.<br/><br/>
Techniquement, la notation d'un fragment ne fait pas partie de l'URI.<br/><br/>
Pour savoir comment incorporer des URI (y compris des URL) dans un format de
donnes, voir la documentation sur ce format. 
HTML utilise le format &lt;A HREF="<i>uri</i>"&gt;
<i>text</i> &lt;/A&gt;.
Les fichiers texinfo utilisent le format @uref{<i>uri</i>}.
Man et mdoc ont une macro UR rcemment ajoute, ou incluent juste l'URI
dans le texte (les visualiseurs doivent dtecter le :// comme portion d'URI).<br/><br/>
Les environnements Gnome et Kde divergent actuellement sur les URI qu'ils
acceptent, en particulier dans leurs systmes d'aide.
Pour lister les pages de manuel, Gnome utilise &lt;toc:man&gt; alors que Kde
utilise &lt;man:(index)&gt;. Pour lister les pages info, Gnome emploie &lt;toc:info&gt;
et Kde &lt;info:(dir)&gt; (l'auteur de cette page prfre l'approche Kde, bien
qu'un format plus rgulier serait encore meilleur).
En gnral, Kde utilise &lt;file:/cgi-bin/&gt; comme prfixe pour les fichiers
gnrs. Kde prfre la documentation en Html, accessible avec
&lt;file:/cgi-bin/helpindex&gt;.
Gnome prfre le mcanisme ghelp pour stocker et retrouver la documentation.
Aucun navigateur ne ge les rfrences file: vers un rpertoire  l'heure
o j'cris ces lignes, ce qui rend difficile de se rfrer  un rpertoire
avec un URI navigable.
Comme indiqu plus haut, ces environnements diffrent sur la gestion du
mcanisme info:, probablement leur plus importante divergence.
On espre que Gnome et Kde vont converger vers des formats d'URI communs,
et la future version de cette page dcrira le rsultat de cette convergence.
</div><br/><br /><h1 class="TitreSection0" id="L8">securit</h1>
<div class="paragraph"><br/><br/>
Un URI ne pose pas de problme de scurit par lui-mme. Il n'y a aucune
garantie qu'une URL, qui localise une ressource  un moment donn
contiuera de le faire. Pas plus qu'il n'y a de garantie qu'une URL ne
localisera pas une ressource diffrente  un autre moment. Les seules
garanties peuvent tre fournies par les personnes qui gre l'espace de noms
de la ressource en question.<br/><br/>
Il est parfois possible de construire une URL de manire qu'une tentative
de raliser une opration apparement bnigne, comme accder  la
ressource associe, va en ralit produire une action ventuellement
dommageable pour le correspondant. Les URL non sres sont typiquement
construites en indiquant un numro de port diffrents de ceux rservs
pour les protocoles en question. Le client, croyant contacter un site,
va en ralit engager un autre protocole. Le contenu de l'URL contient
des instructions, qui interprtes par l'autre protocole, produisent des
rsultats inattendus. Un exemple a t l'emploi d'une URL Gopher pour
envoyer un message falsifi et indsir sur un serveur SMTP.<br/><br/>
Il faut tre prudent en utilisant une URL qui indique un numro de port
diffrent de celui du protocole, particulirement si ce numro est
dans l'espace rserv.<br/><br/>
Il faut s'assurer que lorsque l'URI contient des dlimiteurs
protgs pour un protocole donn (par exemple CR et LF pour le protocole
telnet) qu'ils ne soient pas "d-protgs" avant la transmission. Ceci 
peut violer le protocole, mais vite le risque que ces caractres servent
 simuler une opration dans ce protocole, ce qui peut conduire  des
actions distantes ventuellement nocives.<br/><br/>
Il est clairement draisonnable d'utiliser un URI qui contient un mot de
passe cens tre secret. En particulier, l'utilisation du mot de passe
dans la partie "info utilisateur" de l'URI est fortement dconseill, sauf
s'il s'agit d'un de ces cas rares o le mot de passe est vraiment public.
</div><br/><br /><h1 class="TitreSection0" id="L9">conformit</h1>
<div class="paragraph"><br/><br/>
.UR http://www.ietf.org/rfc/rfc2396.txt
IETF RFC 2396,
.UE
.UR http://www.w3.org/TR/REC-html40
HTML 4.0.
.UE
</div><br/><br /><h1 class="TitreSection0" id="L10">bogues</h1>
<div class="paragraph"><br/><br/>
La documentation peut se trouver dans un grand nombre d'endroit, ainsi il
n'y a pas encore de bon mcanisme d'URI pour la documentation gnrale
en-ligne, dans des formats arbitraires.
Les rfrence de la forme
&lt;file:///usr/doc/ZZZ&gt; ne fonctionnent pas, car diffrentes distributions et
installations locales peuvent placer les fichiers dans divers rpertoires
(cela peut tre /usr/doc, ou /usr/local/doc, ou /usr/share, ou autre part).
De mme, le rpertoire ZZZ change en principe avec le numro de version (bien
que le dveloppement des noms de fichiers puisse partiellement couvrir ce
problme). Finalement, l'utilisation du mcanisme file: n'est pas recommande
pour les gens qui consultent la documentation dynamiquement depuis Internet
plutt que de la tlcharger sur leur systme de fichiers local.
Un mcanisme d'URI sera peut tre ajout dans l'avenir (ex: "userdoc:") pour
permettre aux programme d'inclure des rfrences vers de la documentation
plus dtailles sans avoir  connatre l'emplacement exact de celle-ci.
Autrement, une version future des spcifications du systme de fichiers peut
dcrire les emplacements de manire suffisament prcise pour que le mcanisme
file: soit capable de situer la documentation.<br/><br/>
De nombreux programmes et formats de fichiers n'incluent aucune manire
d'incorporer ou l'implmenter des liens utilisant les URI.<br/><br/>
Beaucoup de programmes ne traitent pas tous les formats URI diffrents&nbsp;;
il devrait y avoir un mcanisme standard pour charger un URI quelconque
qui dtecte automatiquement l'environnement utilisateur (ex : texte ou
graphique, environnement graphique, localisation, outils disponibles) et
invoque le bon outil quelque soit l'URI.
</div><br/><br /><h1 class="TitreSection0" id="L11">auteur</h1>
<div class="paragraph">
David A. Wheeler (dwheeler@dwheeler.com) a crit cette page de manuel.
</div><br/><br /><h1 class="TitreSection0" id="L12">voir aussi</h1>
<div class="paragraph">
<b>lynx (1),</b>
<b>mailaddr (7),</b>
<b>utf-8 (7),</b>
<b>man2html (1),</b>
.UR http://www.ietf.org/rfc/rfc2255.txt
IETF RFC 2255.
.UE
</div><br/><br /><h1 class="TitreSection0" id="L13">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
