<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1994, 1995 Jacques Gelinas (jacques@solucorp.qc.ca) -->
<!--  Copyright (c) 1995, 1999 Bjorn Ekwall (bj0rn@blox.se) -->
<!--  Ce programme est distribu en accord avec la Licence Publique Gnrale Gnu. -->
<!--  Voir le fichier COPYING dans le rpertoire des sources du noyau. -->
<!--  MJ 30/07/21 modutils-2.4.22 -->
<br/><h1>MODPROBE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">options</a>
<br /><a class="summaryIndent0" href="#L3">description</a>
<br /><a class="summaryIndent0" href="#L4">configuration</a>
<br /><a class="summaryIndent0" href="#L5">stratgie</a>
<br /><a class="summaryIndent0" href="#L6">exemples</a>
<br /><a class="summaryIndent0" href="#L7">fichiers</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">mode de scurit renforce</a>
<br /><a class="summaryIndent0" href="#L10">commandes de journalisation</a>
<br /><a class="summaryIndent0" href="#L11">utilitaires ncessaires</a>
<br /><a class="summaryIndent0" href="#L12">notes</a>
<br /><a class="summaryIndent0" href="#L13">auteurs</a>
<br /><a class="summaryIndent0" href="#L14">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
modprobe - Manipulations haut niveau de modules chargeables.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.hy 0
<b>modprobe</b> <b></b>  [-adnqv]&nbsp;[-C&nbsp;<i>config</i>]&nbsp;module&nbsp;[symbole=valeur&nbsp;... ]
<br/>
<b>modprobe</b> <b></b>  [-adnqv] [-C&nbsp;<i>config</i>] [-t&nbsp;<i>type</i>] pattern
<br/>
<b>modprobe</b> <b></b>  -l [-C&nbsp;<i>config</i>] [-t&nbsp;<i>type</i>] pattern
<br/>
<b>modprobe</b> <b></b>  -c [-C&nbsp;<i>config</i>]
<br/>
<b>modprobe</b> <b></b>  -r [-dnv ] [-C&nbsp;<i>config</i>] [ module ...]
<br/>
<b>modprobe</b> <b></b>  -Vh
</div><br/><br /><h1 class="TitreSection0" id="L3">options</h1>
<div class="paragraph">
<br/><br/>

<b>-a </b>, <b> --all</b>
Charge <b>tous</b>
les modules au lieu de s'arrter aprs le premier chargement russi.
<br/><br/>

<b>-c </b>, <b> --showconfig</b>
Affiche la configuration courante.
<br/><br/>

<b>-C</b>,&nbsp;<b>--config</b>&nbsp;<i>config</i>
Utilise le fichier de configuration <i>configfile</i> plutt que (le facultatif)
<i>/etc/modules.conf</i> pour le paramtrage.
La variable d'environnement <b>MODULECONF</b> peut tre aussi utilise pour
slectionner (et surcharger) un fichier de configuration diffrent du fichier
par dfaut <i>/etc/modules.conf</i>, ou 
<i>/etc/conf.modules</i> ( viter).<br/><br/>
Quand la variable d'environnement
<b>UNAME_MACHINE</b> <b></b>  est remplie, modutils l'utilisera  la place du champ "machine" de
l'appel-systme uname(). Ceci est surtout utile si vous compilez des modules
64 bits dans un espace utilisateur 32 bits ou
inversement&nbsp;; remplissez
<b>UNAME_MACHINE</b> <b></b>  avec le type de modules construits.
La version actuelle de modutils ne supporte pas la construction croise complte
de modules, elle est limite au choix entre 32 et 64 bits de l'architecture
hte.
<br/><br/>

<b>-d </b>, <b> --debug</b>
Affiche des informations sur la reprsentationt interne de la pile de modules.
<br/><br/>

<b>-h </b>, <b> --help</b>
Affiche une page d'aide et se termine.
<br/><br/>

<b>-k </b>, <b> --autoclean</b>
Marque les modules pour auto-nettoyage. Utilis par le noyau quand il appelle
<b>modprobe</b> <b></b>  pour satisfaire les dpendances manquantes.
L'option <b>-q</b> est implique par <b>-k</b>.
Ces options seront directement transmises  <b>insmod</b>.
<br/><br/>

<b>-l </b>, <b> --list</b>
Affiche les modules chargeables. 
<br/><br/>

<b>-n </b>, <b> --show</b>
Ne rien faire en ralit, indiquer juste ce qui serait fait.
<br/><br/>

<b>-q </b>, <b> --quiet</b>
Ne se plaint pas si <b>insmod</b> choue au chargement d'un module. Continue
en silence  essayer d'autres possibilits.
Cette option sera directement transmise  <b>insmod</b>.
<br/><br/>

<b>-r </b>, <b> --remove</b>
Enlve le module (ou la pile) ou excute un auto-nettoyage suivant s'il 
y a des modules indiqus ou non sur la ligne de commande.
<br/><br/>

<b>-s </b>, <b> --syslog</b>
Envoyer les messages  syslog plutt que sur la sortie d'erreur.
Cette option sera directement transmise  <b>insmod</b>.
<br/><br/>

<b>-t</b>&nbsp;<i>moduletype</i>;&nbsp;<b>--type</b>&nbsp;<i>moduletype</i>
Ne considre que les modules du type indiqu. modprobe ne s'occupera que des
modules dont le rpertoire inclut exactement "<i>/moduletype/</i>". Il peut
contenir plusieurs noms&nbsp;; par exemple  "<b>-t</b>&nbsp;<i>drivers/net</i>" listera
tous les modules dans <i>xxx/drivers/net/</i> et ses sous-rpertoires.
<br/><br/>

<b>-v </b>, <b> --verbose</b>
Affiche les commandes au fur et  mesure qu'elles sont excutes.
<br/><br/>

<b>-V, --version</b></b>
Affiche le numro de version de modprobe.
<br/><br/>

<b>Note\</b> <b></b>  <b>:</b> <b></b>  Les noms de modules ne contenir ni chemin d'accs (pas de '/'), ni de suffixe
'.o'. Par example, lp est un nom correct pour
<b>modprobe ,</b>
/lib/modules/2.4.21/kernel/char/lp ou lp.o sont invalides. Ceci concerne la
ligne de commande et les entres dans les fichiers de configuration.
</div><br/><br /><h1 class="TitreSection0" id="L4">description</h1>
<div class="paragraph">
Les utilitaires <b>modprobe</b> et <b>depmod</b> rendent un noyau Linux modulaire
plus facilement grable pour tous les utilisateurs, administrateurs et les
dveloppeurs de distribution.<br/><br/>
<b>modprobe</b> utilise un fichier de type "Makefile" pour les dpendances,
cr par <b>depmod</b>, pour charger automatiquement les modules corrects depuis
l'ensemble des modules disponibles dans les rpertoires prdfinis.<br/><br/>
<b>modprobe</b> sert  charger un seul module, la pile de modules dpendants, ou
tous les modules marqus par une tiquette spcifique.<br/><br/>
<b>modprobe</b> <b></b>  chargera automatiquement la base de modules ncessaire  un ensemble, comme dcrit dans le fichier de dpendances modules.dep.
Si un chargement choue, la totalit des modules chargs par la commande sera dcharge automatiquement.<br/><br/>
<b>modprobe</b> <b></b>  a deux faons pour charger des modules. La premire (le mode d'essai) essaiera de charger un module de la liste (dfinie par
<i>pattern ).</i>
<b>modprobe</b> <b></b>  arrte le chargement ds qu'un modules est charg avec succs.
Cela peut tre utilis pour charger automatiquement un pilote de carte ethernet parmi d'autres.
<br/>
Sinon,
<b>modprobe</b> <b></b>  peut charger
<b>tous</b> <b></b>  les modules d'une liste.
Voir les
<b>EXEMPLES</b> <b></b>  ci dessous.<br/><br/>
Avec l'option
<b>-r</b> <b></b> ,<b></b>  modprobe dchargera automatiquement l'ensemble des modules, de la mme faon qu'en utilisant
<b>rmmod -r</b> .</b>
On peut noter que
<b>modprobe</b> <b></b>  <b>-r"</b> <b></b>  seul fera le mnage parmi les modules inutiliss et lancera les commandes de pr- et de post-enlvement
dans le fichier de configuration /etc/modules.conf.<br/><br/>
Avec l'option
<i>-l</i> combine avec l'option
<i>-t</i> une liste de tous les modules disponibles d'un type donn sera affiche.<br/><br/>
L'option
<i>-c</i> affichera la configuration courante (par dfaut et le fichier de configuration).
</div><br/><br /><h1 class="TitreSection0" id="L5">configuration</h1>
<div class="paragraph">
Le comportement de 
<b>modprobe</b> <b></b>  (et de
<b>depmod )</b>
peut tre modifi par le fichier (optionnel) de configuration
<b>/etc/modules.conf .</b>
<br/>
Pour une description plus dtaille de ce que peut contenir ce fichier,
ainsi que la configuration par dfaut de
<b>depmod</b> <b></b>  et de
<b>modprobe</b> <b></b> ,<b></b>  voir
<i> modules.conf (5).<br/><br/></i>
Note : les commandes de pr- et de post-enlvement ne seront <b>pas</b> excutes si un module
est dcharg (car ce module est marqu 'autoclean') par kerneld&nbsp;!
Voir plutt le support des donnes persistantes.
<br/>
Si vous voulez utiliser les caractristiques de pr et de post-installation, vous devez enlever
l'option 'autoclean' pour kerneld et plutt mettre une commande dans votre "crontab"
(c'est utilis par les systmes kmod); pour effectuer un rafrachissement toutes les deux minutes&nbsp;:
<br/>
 */2 * * * * test -f /proc/modules && /sbin/modprobe -r
</div><br/><br /><h1 class="TitreSection0" id="L6">stratgie</h1>
<div class="paragraph">
L'ide est que
<b>modprobe</b> <b></b>  regardera en premier dans le rpertoire contenant les modules compils pour la version spcifique du noyau en cours d'excution
(/lib/modules/2.2.12-20/ par exemple).
Si le module n'est pas trouv ici,
<b>modprobe</b> <b></b>  ira dans le rpertoire commun de la version du noyau (ex. 2.0, 2.2).<br/><br/>
Quand vous installez un nouveau noyau, les modules sont dplacs dans le rpertoire relatif  la version spcifique
(et  la version gnrale) du noyau que vous installez.
Alors vous devez crer un lien symbolique de ce rpertoire vers le rpertoire par dfaut.<br/><br/>
Chaque fois que vous compilez un nouveau noyau, la commande
<b>make</b> <b></b>  <b>modules_install"</b> <b></b>  crera un nouveau rpertoire, mais ne change pas le lien par dfaut.<br/><br/>
Quand vous avez un module non reli  la distribution du noyau vous devez le mettre dans un 
des rpertoires indpendants de la version sous /lib/modules.<br/><br/>
C'est la stratgie par dfaut. On peut passer outre avec /etc/modules.conf.
</div><br/><br /><h1 class="TitreSection0" id="L7">exemples</h1>
<div class="paragraph">
<br/><br/>

modprobe -t net
Charge un des modules qui sont stocks dans le rpertoire tiquet "net".
Chaque module est essay jusqu' russite.
<br/><br/>

modprobe -a -t boot
Tous les modules qui sont dans les rpertoires tiquets
<b>boot"</b> <b></b>  seront chargs.
<br/><br/>

modprobe slip
Cela tentera de charger le module slhc.o si il n'a pas dj t charg,
car le module slip a besoin de fonctionnalits du module slhc.
Cette dpendance est dcrite dans le fichier "modules.dep" qui est cr automatiquement par
<b>depmod</b> <b></b>  <br/><br/>

modprobe -r slip
dchargera le module slip.
Il enlvera aussi le module slhc automatiquement,
s'il n'est pas utilis par d'autres modules bien sr (comme ppp).
</div><br/><br /><h1 class="TitreSection0" id="L8">fichiers</h1>
<div class="paragraph">

/etc/modules.conf, (aussi mais  viter: /etc/conf.modules)
/lib/modules/*/modules.dep,
/lib/modules/*


</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>depmod (8),</b>
<b>lsmod (8),</b>
<b>kerneld (8),</b>
<b>ksyms (8),</b>
<b>rmmod (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">mode de scurit renforce</h1>
<div class="paragraph">
Si l'UID effectif n'est pas gal  l'UID rel, alors <b>modprobe</b> traite ses
entres avec suspicion. Le dernier paramtre est toujours considr comme un
nom de module, mme s'il dbute par '-'. Il ne peut y avoir qu'un nom de module,
et les options de la type "variable=valeur" sont interdites. Le nom de
module est toujours trait comme une chane, et aucun dveloppement n'est
ralis en mode de scurit renforc. Toutefois les dveloppements sont toujours
appliqus aux donnes lues dans le fichier de configuration.<br/><br/>
L'UID effectif peut tre diffrent de l'UID quand modprobe est invoqu par le
noyau, depuis le 2.4.0-test11. Dans un monde idal, <b>modprobe</b> pourrait
faire confiance au noyau pour ne lui fournir que des paramtres valides.
Malheureusement, il y a eu au moins une attaque base sur le passage de
paramtres non-vrifis par du code de haut-niveau du noyau.
Depuis modprobe ne fait plus confiance au noyau.<br/><br/>
.ne 8
<b>modprobe</b> bascule automatiquement en mode de scurit renforc quand
l'environnement n'est constitu que de ces chanes&nbsp;:

 HOME=/
 TERM=linux
 PATH=/sbin:/usr/sbin:/bin:/usr/bin


Ceci correspond  l'excution de modprobe par le noyau depuis le 2.2 jusqu'au
2.4.0-test11, mme si UID == E-UID, ce qui se produisait sur les noyaux
anciens.
</div><br/><br /><h1 class="TitreSection0" id="L11">commandes de journalisation</h1>
<div class="paragraph">
Si le rpertoire <i>/var/log/ksymoops</i> existe et si <b>modprobe</b> est lanc
avec un option de chargement ou dchargement de module, alors modprobe 
journalisera ses actions et codes de retour dans
<i>/var/log/ksymoops/`date&nbsp;+%Y%m%d.log`</i>.
Il n'y a pas d'option pour dsactiver cet enregistrement automatique. Si vous
voulez l'viter, ne crez pas <i>/var/log/ksymoops</i>. Lorsque ce rpertoire
existe, il doit appartenir  root, avoir le mode 644 ou 600 et il faudrait
lancer le script <b>insmod_ksymoops_clean</b> quotidiennement.
</div><br/><br /><h1 class="TitreSection0" id="L12">utilitaires ncessaires</h1>
<div class="paragraph">
<b>depmod (8),</b>
<b>insmod (8).</b>
</div><br/><br /><h1 class="TitreSection0" id="L13">notes</h1>
<div class="paragraph">
Le motif
<i>pattern</i> fourni  modprobe aura souvent besoin d'tre protg pour s'assurer qu'il
sera correctement interprt.
</div><br/><br /><h1 class="TitreSection0" id="L14">auteurs</h1>
<div class="paragraph">
Jacques Gelinas (jack@solucorp.qc.ca)
<br/>
Bjorn Ekwall (bj0rn@blox.se)
</div><br/><br /><h1 class="TitreSection0" id="L15">traduction</h1>
<div class="paragraph">
Jrome Signouret, 2000.
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
