<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -*- nroff -*- -->
<!--  Copyright 1999 SuSE GmbH Nuernberg, Germany -->
<!--  Author: Thorsten Kukuk &lt;kukuk@suse.de&gt; -->
<!--  -->
<!--  This program is free software; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of the -->
<!--  License, or (at your option) any later version. -->
<!--  -->
<!--  This program is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU -->
<!--  General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this program; see the file COPYING.  If not, -->
<!--  write to the Free Software Foundation, Inc., 59 Temple Place - Suite 330, -->
<!--  Boston, MA 02111-1307, USA. -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>NSCD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">options</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
/usr/sbin/nscd - Dmon cache des services de noms.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Nscd est un dmon qui fournit un cache pour les requtes aux services des
noms les plus courants.
Le fichier de configuration,
<i>/etc/nscd.conf ,</i>
dtermine le comportement du dmon de cache. Voir
<b>nscd.conf (5).<br/><br/></b>
Nscd fournit un cache pour les bases de donnes
<b>passwd (5),</b>
<b>group (5),</b>
et
<b>hosts(5)</b>
 travers les interfaces standards de la bibliothque C, comme
<b>getpwnam (3),</b>
<b>getpwuid (3),</b>
<b>getgrnam (3),</b>
<b>getgrgid (3),</b>
<b>gethostbyname (3),</b>
et autres. Chaque cache a une dure TTL (time-to-live) pour ses donnes&nbsp;;
la modification de la base de donnes locale
( /etc/passwd ,</i>
et les autres) invalide le cache dans les quinze secondes.
Notez que le fichier shadow est volontairement non mis en cache. Les appels
<b>getspnam (3)</b>
ne sont donc pas cachs.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">options</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  vous affiche une liste des options et leurs significations.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Nscd ne sait rien des protocoles sous-jacents pour un service.
Ceci signifie que si vous modifiez
<i>/etc/resolv.conf</i> pour les requtes DNS, nscd continuera a utiliser l'ancien DNS si on a
configur
<i>/etc/nsswitch.conf</i> pour qu'il emploie le DNS pour les recherches d'htes. Dans ce cas, il
faudra redmarrer nscd.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>nscd.conf (5),</b>
<b>nsswitch.conf (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
<b>nscd</b> <b></b>  a t crit par Thorsten Kukuk et Ulrich Drepper.
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
