<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1996 Free Software Foundation, Inc. -->
<!--  This program is distributed according to the Gnu General Public License. -->
<!--  See the file COPYING in the kernel source directory -->
<!--  $Id: rmmod.1,v 1.1 1997/09/10 22:18:33 rth Exp $ -->
<!--  MJ 30/07/2003 modutils-2.4.22 -->
<br/><h1>RMMOD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">donnes persistantes</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">histoire</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
rmmod - Dcharger un module.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>rmmod</b> <b></b>  [ -aehrsvV] module ...
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>rmmod</b> <b></b>  dcharge de la mmoire les modules chargs dans le noyau en cours d'excution.<br/><br/>
<b>rmmod</b> <b></b>  essaye d'enlever un ensemble de modules du noyau,  condition qu'ils ne
soient ni en cours d'utilisation, ni ncessaires  d'autres modules.<br/><br/>
S'il y a plus d'un module sur la ligne de commande, ils sont
retirs dans l'ordre indiqu. Ceci permet le dchargement de modules
empils.<br/><br/>
Avec l'option '<b>-r</b>', une suppression rcursive est tente.
Ceci signifie que si un module au sommet de la pile est indiqu sur la
ligne de commande, tous les modules qu'il utilise seront supprims si
possible, et ainsi de suite.
</div><br/><h2 class="TitreSection1" id="L9">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<b>-a </b>, <b> --all</b>
Raliser l'auto-nettoyage&nbsp;: marquer les module non utiliss comme "
nettoyer" et supprimer ceux dj marqus. Ces derniers n'ont pas t utiliss
depuis le dernier auto-nettoyage.
La suppression en deux passes viter de dcharger des modules temporairement
inutiliss.
<br/><br/>

<b>-e </b>, <b> --persist</b>
Sauver les donnes persistantes pour les modules indiqus, sans en dcharger
aucun. Si aucun module n'est indiqu, alors la sauvegarde a lieu pour tous
les modules qui ont des donnes persistantes. Les donnes sont sauvegardes
seulement si le noyau et modutils supportent les donnes persistantes et
si <i>/proc/ksyms</i> contient une entre
<br/>
__insmod_<i>modulename</i>_P<i>persistent_filename</i>
<br/><br/>

<b>-h </b>, <b> --help</b>
Affiche une page d'aide et se termine.
<br/><br/>

<b>-r </b>, <b> --stacks</b>
Supprime une pile de module.
<br/><br/>

<b>-s</b>
Affiche tout via <b>syslog</b>(3) plutt que sur le terminal.
<br/><br/>

<b>-v </b>, <b> --verbose</b>
Mode volubile.
<br/><br/>

<b>-V </b>, <b> --version</b>
Affiche le numro de version de <b>modutils</b>.
</div><br/><br /><h1 class="TitreSection0" id="L4">donnes persistantes</h1>
<div class="paragraph">
Si un module contient des donnes persistantes (voir
<b>insmod (8)</b>
et
<b>modules.conf (5))</b>
alors la suppression de ce module crit toujours ces donnes dans le fichier
dans l'entre __insmod _P symbol. On peut aussi sauvegarder les donnes
persistantes  tout moment par <b>rmmod&nbsp;-e</b>, sans dcharger aucun
module.<br/><br/>
Quand les donnes persistantes sont crites dans le fichier, elles sont
prcdes par une ligne de commentaire
<br/>
#% <i>version_noyau horodatage</i>
<br/>
Les lignes de commentaires gnres automatiquement commencent par '#%',
elles sont toutes supprimes du fichier existant, mais les autres
commentaires sont prservs. Les valeurs des donnes sont crites, en
conservant l'ordre des commentaires et affectations. Les nouvelles valeurs
sont ajoutes  la fin du fichier. Si le fichier contient des valeurs
absentes du module, elles sont prserves mais prcdes d'un commentaire
d'avertissement. Ceci permet  un utilisateur de changer de versions de
noyau sans perdre de donnes persistantes et sans message d'erreur.<br/><br/>
<b>Note\</b> <b></b>  <b>:</b> <b></b>  Pour les commentaires, le premier caractre non-blanc de la ligne doit tre
'#'. Toute ligne non-blanche ne commenant pas par '#' est une option de
module. Les espaces en dbut de ligne sont ignors, mais tout le reste est
transmis tel quel en option  insmod.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>insmod </b>(8), <b> lsmod </b>(8), <b> ksyms </b>(8), <b> modprobe </b>(8).<b></b>
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
<b>rmmod</b> [<b>-V</b>&nbsp;|&nbsp;<b>--version</b>] devrait afficher la version
et se terminer immdiatement. Au lieu de cela, il affiche la version et se
cmporte comme si aucun option n'tait fournie.
</div><br/><br /><h1 class="TitreSection0" id="L7">histoire</h1>
<div class="paragraph">
Le support des modules a t conu initialement par Illustre Anonyme.
<br/>
La version initiale pour Linux par Bas Laarhoven &lt;bas@vimec.nl&gt;
<br/>
Version 0.99.14 par Jon Tombs &lt;jon@gtex02.us.es&gt;
<br/>
tendu par Bjorn Ekwall &lt;bj0rn@blox.se&gt;
<br/>
Mis  jour pour Linux 2.1.17 par Richard Henderson &lt;rth@tamu.edu&gt;
<br/>
Mis  jour Linux 2.2.2 par Bjorn Ekwall &lt;bj0rn@blox.se&gt;
<br/>
Mis  jour modutils 2.3.20 par Keith Owens &lt;kaos@ocs.com.au&gt;
<br/>
Donnes persistantes modutils 2.3.22 par Keith Owens &lt;kaos@ocs.com.au&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2000</i></i>
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
