<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 15/08/2000 par Frdric Delanoy (delanoy_f@yahoo.com) -->
<!--  (util-linux v2.11m) -->
<!--  Mise  jour 22/06/2002 (util-linux-v2.11n [sfdisk v3.07]) -->
<!--  Mise  jour 16/12/2002 (sfdisk v2.11r) -->
<!--  -->
<!--  Copyright 1995 Andries E. Brouwer (aeb@cwi.nl) -->
<!--  May be distributed under the GNU General Public License -->
<!--  The `DOS 6.x Warning' was taken from the old fdisk.8, which says -->
<!--  -- Copyright 1992, 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  -- May be distributed under the GNU General Public License -->
<!--  The `DRDOS Warning' was taken from a net post by Stephen Tweedie. -->
<!--  -->
<!--  MJ 30/07/2003 util-linux-2.11y -->
<br/><h1>SFDISK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">thorie</a>
<br /><a class="summaryIndent0" href="#L5">format d'entre</a>
<br /><a class="summaryIndent0" href="#L6">exemple</a>
<br /><a class="summaryIndent0" href="#L7">avertissement dos 6.x</a>
<br /><a class="summaryIndent0" href="#L8">avertissements drdos</a>
<br /><a class="summaryIndent0" href="#L9">bogues</a>
<br /><a class="summaryIndent0" href="#L10">auteur</a>
<br /><a class="summaryIndent0" href="#L11">voir aussi</a>
<br /><a class="summaryIndent0" href="#L12">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sfdisk - Manipulateur de tables de partitions pour Linux
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>sfdisk </b> [options] priphrique<b></b>
<br/>
<b>sfdisk -s </b> [partition]</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>sfdisk</b> <b></b>  a quatre (principales) utilisations&nbsp;: donner la taille d'une
partition, lister les partitions d'un priphrique, vrifier les
partitions d'un priphrique et&nbsp;-&nbsp;trs dangereux&nbsp;-&nbsp;repartitionner
un priphrique.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L14">Lister les tailles</h2>
<div class="paragraph">
<b>sfdisk -s </b> partition
donne la taille de la
<i>partition</i> en blocs. Ceci peut tre utile avec des programmes comme
<b>mkswap</b> <b></b>  ou d'autres du mme genre. Ici,
<i>partition</i> est en gnral quelque chose du style
<i>/dev/hda1</i> ou
<i>/dev/sdb12 ,</i>
mais peut galement tre un disque entier, comme
<i>/dev/xda .</i>
<br/>
.RS

.if t .ft CW<br/><br/>
% sfdisk -s /dev/hda9
81599
%<br/><br/>
.if t .ft R



Si l'argument partition est omis,
<b>sfdisk</b> <b></b>  listera la taille de tous les disques, et le total&nbsp;:
<br/>
.RS

.if t .ft CW<br/><br/>
% sfdisk -s
/dev/hda: 208896
/dev/hdb: 1025136
/dev/hdc: 1031063
/dev/sda: 8877895
/dev/sdb: 1758927
total&nbsp;: 12901917 blocs
%
.if t .ft R


<br/><br/>
</div><br/><h2 class="TitreSection1" id="L14">Lister les partitions</h2>
<div class="paragraph">
Le deuxime type d'invocation&nbsp;:
<b>sfdisk -l </b> <i>[options] priphrique</i>
listera les partitions de ce priphrique. Si l'argument priphrique est
omis, les partitions de tous les disques durs sont listes.
<br/>

.if t .ft CW<br/><br/>
% sfdisk -l /dev/hdc<br/><br/>
Disque /dev/hdc: 16 ttes, 63 secteurs, 2045 cylindres
Units = cylindres de 516096 octets, blocs de 1024 octets,  partir de 0<br/><br/>
Priph.   Boot.  Dbut   Fin    #cyls    #blocs    Id  Systme
/dev/hdc1          0+    406     407-    205096+   83  Linux natif
/dev/hdc2        407     813     407     205128    83  Linux natif
/dev/hdc3        814    2044    1231     620424    83  Linux natif
/dev/hdc4          0      -        0          0     0  Vide
%
.if t .ft R

<br/><br/>
Les signes - et + de queue indiquent qu'un arrondi a t effectu, et
que la valeur relle est lgrement plus petite (grande). Pour voir
les valeurs exactes, demandez un listing avec des secteurs comme unit.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L14">Vrifier les partitions</h2>
<div class="paragraph">
Le troisime type d'invocation&nbsp;:
<b>sfdisk -V </b> priphrique
effectuera diffrents tests de cohrence sur la table des partitions du
<i>priphrique .</i>
Il affichera &nbsp;OK&nbsp; ou se plaindra. L'option -V peut tre utilise
avec -l. Dans un script shell, on peut utiliser
<b>sfdisk -V -q </b> priphrique
qui renvoie uniquement une valeur de retour (de statut).<br/><br/>
</div><br/><h2 class="TitreSection1" id="L14">Crer des partitions</h2>
<div class="paragraph">
Le quatrime type d'invocation&nbsp;:
<b>sfdisk </b> priphrique
fera lire par
<b>sfdisk</b> <b></b>  les spcifications du partitionnement dsir de
<i> priphrique</i>  partir de son entre standard, et lui fera ensuite modifier la table
des partitions sur ce disque. Ainsi, il est possible d'utiliser
<b>sfdisk</b> <b></b>   partir d'un script shell. Quand
<b>sfdisk</b> <b></b>  dtermine que son entre standard est un terminal, il sera
interactif&nbsp;; sinon, il avortera pour n'importe quelle erreur.<br/><br/>
SOYEZ EXTRMEMENT PRUDENT. UNE FAUTE DE FRAPPE ET TOUTES VOS DONNES
PEUVENT TRE PERDUES !<br/><br/>
Comme mesure de prcaution, vous pouvez sauvegarder les secteurs modifis
par
<b>sfdisk </b>&nbsp;:<b></b>
.RS

.if t .ft CW<br/><br/>
% sfdisk /dev/hdd -O hdd-partition-sectors.save
...
%
.if t .ft R


<br/><br/>
Ensuite, si vous dcouvrez que vous avez fait quelque chose de stupide
(avant d'avoir crit quoi que ce soit d'autre sur disque), il peut tre
possible de retrouver l'ancienne situation avec
.RS

.if t .ft CW<br/><br/>
% sfdisk /dev/hdd -I hdd-partition-sectors.save
%
.if t .ft R


<br/><br/>
(Ce n'est pas la mme chose que de sauvegarder l'ancienne table des
partitions&nbsp;: une version lisible de l'ancienne table des partitions
peut tre sauve avec l'option -d. Nanmoins, si vous crez des
partitions logiques, les secteurs les dcrivant sont situs quelque
part sur le disque, ventuellement sur des secteurs qui ne faisaient
pas partie de l'ancienne table des partitions. Par consquent,
les informations sauves par l'option -O ne sont pas une version
binaire de la sortie de&nbsp;-d).<br/><br/>
Il y a beaucoup d'options.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

<b>-v </b> ou <b> --version</b>
Afficher le numro de version de
<b>sfdisk</b> <b></b>  et se terminer immdiatement.
<br/><br/>

<b>-? </b> ou <b> --help</b>
Afficher un message d'utilisation et se terminer immdiatement.
<br/><br/>

<b>-T </b> ou <b> --list-types</b>
Afficher les types de systmes de fichiers reconnus (les identificateurs).
<br/><br/>

<b>-s </b> ou <b> --show-size</b>
Afficher la taille d'une partition.
<br/><br/>

<b>-g </b> ou <b> --show-geometry</b>
Afficher la faon dont le noyau conoit la gomtrie du(des) disque(s)
indiqu(s).
<br/><br/>

<b>-l </b> ou <b> --list</b>
Lister les partitions d'un priphrique.
<br/><br/>

<b>-d</b>
Produire les partitions d'un priphrique dans un format convenant
comme entre pour <b>sfdisk</b>.
<br/>
Exemple&nbsp;:
<br/><br/>

<br/>

.if t .ft CW
    % sfdisk -d /dev/hda &gt; hda.out
    % sfdisk /dev/hda &lt; hda.out
.if t .ft R


<br/><br/>

corrigera la dernire mauvaise partition tendue que le fdisk OS/2 a cr.
<br/><br/>

<b>-V </b> ou <b> --verify</b>
Tester si les partitions semblent correctes. (Voyez au dessus.)
<br/><br/>

<b>-i </b> ou <b> --increment</b>
Numroter les cylindres (etc.) en commenant  partir de 1 au lieu de 0.
<br/><br/>

-N <b> numro</b>
Ne modifier que la seule partition indique par <i>numro</i>.
<br/>
Exemple&nbsp;:
<br/><br/>

<br/>

.if t .ft CW
    % sfdisk /dev/hdb -N5
    ,,,*
    %
.if t .ft R


<br/><br/>

rendra la cinquime partition de /dev/hdb amorable (&nbsp;active&nbsp;) et
ne changera rien d'autre. (Celle-ci sera probablement appele
/dev/hdb5, mais vous tes libre de l'appeler autrement, comme
p.ex. &nbsp;/mon_quipement/disques/2/5&nbsp; ou quelque chose du genre).
<br/><br/>

-A <b>numro(s)</b>
Rend la(les) partition(s) indique(s) active(s), et toutes les autres
inactives.
<br/><br/>

-c <b>\fR ou </b> --id <i> numro [Id]</i>
Si aucun argument ID n'est donn, afficher l'identificateur de
partition de la partition indique. S'il est prsent, remplacer le
type (Id) de la partition indique par la valeur fournie. Cette option
a galement les deux formes longues --print-id et --change-id.
Exemple&nbsp;:
<br/><br/>

<br/>

.if t .ft CW
    % sfdisk --print-id /dev/hdb 5
    6
    % sfdisk --change-id /dev/hdb 5 83
    OK
.if t .ft R


<br/><br/>

dit d'abord que /dev/hdb5 possde l'Id 6, et le remplace ensuite par 83.
<br/><br/>

<b>-uS </b> ou <b> -uB </b> ou <b> -uC </b> ou <b> -uM</b>
Accepte ou rapporte en units de secteurs (blocs, cylindres,
mgaoctets respectivement). L'unit par dfaut est le cylindre, du
moins quand la gomtrie est connue.
<br/><br/>

<b>-x </b> ou <b> --show-extended</b>
Lister galement les partitions tendues non primaires en sortie, ou
en attendre des descripteurs en entre.
<br/><br/>

-C <b> cylindres</b>
Spcifier le nombre de cylindres, en le substituant  l'avis du noyau.
<br/><br/>

-H <b> ttes</b>
Spcifier le nombre de ttes, en le substituant  l'avis du noyau.
<br/><br/>

-S <b> secteurs</b>
Spcifier le nombre de secteurs, en le substituant  l'avis du noyau.
<br/><br/>

<b>-f </b> ou <b> --force</b>
Faire ce que vous dites, mme si c'est stupide.
<br/><br/>

<b>-q </b> ou <b> --quiet</b>
Supprimer les messages d'avertissement.
<br/><br/>

<b>-L </b> ou <b> --Linux</b>
Ne pas se plaindre de choses non pertinentes pour Linux.
<br/><br/>

<b>-D </b> ou <b> --DOS</b>
Pour la compatibilit DOS&nbsp;: gaspiller un petit espace. (Plus
prcisment&nbsp;: si une partition ne peut contenir le secteur 0,
p.ex. parce qu'il est occup par le MBR (Master Boot Record, secteur
d'amorage principal) du priphrique, ou si elle contient la table
des partitions d'une partition tendue, alors
<b>sfdisk</b> <b></b>  la fera dbuter au secteur suivant. Nanmoins, quand cette option est
fournie, il passe toute la piste courante pour dbuter  la piste
suivante, en gaspillant p.ex. 33 secteurs (s'il y a 34 secteurs/piste),
comme le font certaines versions de DOS). 
Certains Gestionnaires de Disque et chargeurs de dmarrage (comme
OSBS, mais pas comme LILO ou le Gestionnaire d'Amorage OS/2) vivent
galement dans cet espace vide, et vous pourriez donc avoir besoin
d'utiliser cette option si vous utilisez l'un d'entre eux.
<br/><br/>

<b>-E </b> ou <b> --DOS-extended</b>
Considrer que les numros des secteurs de dmarrage des partitions
tendues &nbsp;internes&nbsp; sont relatifs  la limite du cylindre dbutant
la partition externe, (comme le font certaines versions du DOS),
plutt que relatifs au secteur de dmarrage (comme le fait Linux). (Le
fait qu'il y ait ici une diffrence signifie qu'il faudrait toujours
laisser les partitions tendues dbuter sur une limite de cylindre si
DOS et Linux doivent interprter la table des partitions de la mme
manire. Bien sr, on ne peut savoir o se situent les limites de
cylindres que lorsque l'on sait quelle gomtrie DOS utilisera pour ce
disque.)
<br/><br/>

<b>--IBM </b> ou <b> --leave-last</b>
Certains programmes IBM de diagnostic supposent qu'ils peuvent
utiliser le dernier cylindre d'un disque  des fins de tests de
disque. Si vous pensez devoir utiliser de tels programmes, utilisez
cette option pour dire 
<b>sfdisk</b> <b></b>  qu'il ne devrait pas allouer le dernier cylindre. Parfois, le dernier
cylindre contient une table des secteurs dfectueux.
<br/><br/>

<b>-n</b> <b></b>  Effectuer tout ce qu'il y a  faire, mais ne pas rellement crire sur
le disque.
<br/><br/>

<b>-R</b> <b></b>  Excuter uniquement l'ioctl BLKRRPART (pour faire relire au noyau la
tables des partitions). Ceci peut tre utile pour vrifier  l'avance
que le BLKRRPART final se terminera avec succs, et galement quand
vous modifiez la table des partitions &nbsp; la main&nbsp; (p.ex. en
utilisant dd  partir d'une sauvegarde). Si le noyau se
plaint (&nbsp;priphrique occup pour la revalidation
(utilisation = 2)&nbsp;), alors quelque chose utilise encore ce
priphrique, et vous devrez dmonter certains systmes de fichiers,
ou dsactiver certaines partitions d'change.
<br/><br/>

<b>--no-reread</b> <b></b>  Au dbut du repartitionnement d'un disque, sfdisk vrifie que ce
disque n'est pas mont, ou n'est pas utilis en tant que priphrique
d'change, et refuse de continuer si c'est le cas. Cette option
supprime le test. (D'un autre ct, l'option -f forcerait
<b>sfdisk</b>  continuer mme si ce test a chou)
<br/><br/>

-O <b> fichier</b>
Juste avant d'crire la nouvelle partition, sauvegarder les secteurs
qui vont tre crass dans
<i>fichier</i> (il vaut mieux que
<i>fichier</i> rside sur un autre disque, ou sur une disquette).
<br/><br/>

-I <b> fichier</b>
Aprs avoir dtruit vos systmes de fichiers par une commande
<b>sfdisk</b> <b></b>  malheureuse, vous ne pourrez restaurer l'ancienne situation que si
vous l'avez prserve au pralable en utilisant le drapeau -O.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">thorie</h1>
<div class="paragraph">
Le bloc 0 d'un disque (le Master Boot Record) contient entre autres
choses quatre descripteurs de partition. Les partitions dcrites ici
sont appeles partitions
<i>primaires .<br/><br/></i>
Un descripteur de partition comporte 6 champs&nbsp;:
<br/>

.RS
struct partition {
    unsigned char bootable;		/* 0 ou 0x80 */
    hsc begin_hsc;
    unsigned char id;
    hsc end_hsc;
    unsigned int starting_sector;
    unsigned int nr_of_sectors;
}


<br/><br/>
Les deux champs hsc indiquent la tte, le secteur et le cylindre du
dbut et de la fin de la partition. Puisque chaque champ hsc ne prend
que 3 octets, seuls 24 bits sont disponibles, ce qui ne suffit pas
pour les gros disques (disons &gt; 8 Go). En fait,  cause du gaspillage
dans la reprsentation (qui utilise un octet pour le nombre de ttes,
alors qu'il est typiquement de 16), les problmes commencent dj 
partir de 0.5 Go. Nanmoins, Linux n'utilise pas ces champs, et les
problmes ne peuvent survenir qu'au moment de l'amorage, avant que
Linux ait t dmarr. Pour plus de dtails, consultez la
documentation de
<b>lilo .<br/><br/></b>
Chaque partition a un type, c.--d. son &nbsp;Id&nbsp;, et si ce type est
5 ou&nbsp;f (&nbsp;<i>partition tendue</i>&nbsp;), le secteur de dbut de la partition
contient galement 4 descripteurs de partition. MSDOS n'utilise que
les deux premires&nbsp;: la premire comme partition des donnes relles,
et la seconde comme partition tendue (ou vide). De cette faon, on
obtient une chane de partitions tendues. D'autres systmes
d'exploitation obissent  des conventions lgrement diffrentes. Linux
accepte galement le type 85 comme tant quivalent  5&nbsp;-&nbsp;ceci peut
tre utile si vous voulez avoir des partitions tendues sous Linux
aprs la limite des 1024 cylindres, sans plantage du FDISK de DOS. (
moins d'avoir une bonne raison, vous devriez utiliser 5, qui est
compris par les autres systmes).<br/><br/>
Les partitions qui ne sont ni primaires ni tendues sont appeles
<i>logiques .</i>
Souvent, on ne peut amorcer  partir de partitions logiques (car leur
processus de recherche est plus compliqu que de simplement regarder le
MBR). Notez que sur une partition tendue, seuls l'Id et le dbut sont
utiliss. Il y a diffrentes conventions concernant ce qu'il y a lieu
d'crire dans les autres champs. On ne devrait pas essayer d'utiliser
des partitions tendues pour le stockage de donnes ou pour une
partition d'change.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">format d'entre</h1>
<div class="paragraph">
<b>sfdisk</b> <b></b>  lit des lignes de la forme
<br/><br/>

<br/>
.RS
&lt;dbut&gt; &lt;taille&gt; &lt;id&gt; &lt;bootable&gt; &lt;c,t,s&gt; &lt;c,t,s&gt;
<br/><br/>


o chaque ligne correspond  un descripteur de partition.<br/><br/>
Les champs sont spars par des caractres d'espacement, des virgules ou
des points-virgules ventuellement suivis par des caractres
d'espacement&nbsp;; les caractres d'espacement initiaux et finals sont
ignors. Les nombres peuvent tre octaux, dcimaux ou hexadcimaux
(reprsentation dcimale par dfaut). Quand un champ est absent ou vide,
une valeur par dfaut est utilise.<br/><br/>
Les parties &lt;c,t,s&gt; peuvent (et probablement devraient) tre omises car
<b>sfdisk</b> <b></b>  les calcule  partir de &lt;dbut&gt; et &lt;taille&gt;, et la gomtrie du disque
est donne par le noyau ou est spcifie par les drapeaux -H, -S et
-C.<br/><br/>
Bootable (amorable) est spcifi par [*|-] (non bootable par
dfaut). La valeur de ce champ n'a pas d'importance pour
Linux - quand Linux tourne, il a dj t amorc&nbsp;- mais pourrait
jouer un rle pour certains gestionnaires de dmarrage ou pour
d'autres systmes d'exploitation. Par exemple, quand il y a plusieurs
partitions DOS primaires, DOS affecte C:  la premire d'entre elles
qui est bootable.<br/><br/>
Id est donn en hexadcimal, sans le prfixe 0x, ou sous la forme
[E|S|L|X], o L (LINUX_NATIVE (83)) est utilis par dfaut, S est
LINUX_SWAP (82) (partition d'change Linux), E est EXTENDED_PARTITION
(5) (partition tendue), et X est LINUX_EXTENDED (85).<br/><br/>
La valeur par dfaut de dbut est le premier secteur/cylindre/... non
affect.<br/><br/>
La valeur par dfaut de taille est aussi grande que possible (jusqu'
la partition suivante ou la fin du disque).<br/><br/>
Nanmoins, pour les quatre partitions  l'intrieur d'une partition
tendue, l'occupation par dfaut est&nbsp;: partition Linux, partition
tendue, vide, vide.<br/><br/>
Mais quand l'option -N est fournie (modifier uniquement une
partition), la valeur par dfaut pour chaque champ est sa valeur prcdente.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">exemple</h1>
<div class="paragraph">
La commande
.RS

.if t .ft CW
<br/><br/>

sfdisk /dev/hdc &lt;&lt; EOF
0,407
,407
;
;
EOF
.if t .ft R


<br/><br/>


partitionnera /dev/hdc comme indiqu ci-dessus.<br/><br/>
Avec l'option -x, le nombre de lignes d'entre doit tre un multiple
de&nbsp;4&nbsp;: vous devez lister les deux partitions vides que vous ne voulez
pas en utilisant deux lignes vides. Sans l'option -x, vous donnez une
ligne pour les partitions  l'intrieur d'une partition tendue, au
lieu de quatre, et vous terminez par un caractre de fin de fichier
(Ctrl-D). (Et
<b>sfdisk</b> <b></b>  supposera que votre ligne d'entre reprsente la premire des quatre,
que la deuxime est tendue, et que les troisime et quatrime sont vides.)<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">avertissement dos 6.x</h1>
<div class="paragraph"><br/><br/>
La commande DOS 6.x FORMAT recherche certaines informations sur le
premier secteur de la zone de donnes de la partition, et suppose
qu'elles sont plus fiables que celles contenues dans la table des
partitions. Le FORMAT DOS suppose que FDISK DOS efface les 512 premiers
octets de la zone de donnes de la partition  chaque fois qu'un
changement de taille se produit. FORMAT DOS regardera cette information
additionnelle mme si le drapeau /U est fourni -- nous considrons que
c'est un bogue dans les FORMAT et FDISK DOS.<br/><br/>
Si vous utilisez sfdisk pour modifier la taille d'une entre DOS de la
table des partitions, alors vous devrez galement utiliser
<b>dd</b> <b></b>  pour mettre  zro les 512 premiers octets de cette partition avant
d'utiliser FORMAT DOS pour formater cette partition. Par exemple, si
vous avez utilis sfdisk pour crer une entre DOS dans la table des
partitions pour /dev/hda1, alors (aprs la sortie de sfdisk et
aprs avoir redmarr Linux afin que les informations sur la
table des partitions soient valides) vous devriez utiliser la commande
&nbsp;dd if=/dev/zero of=/dev/hda1 bs=512 count=1&nbsp; pour mettre  zro
les 512 premiers octets de la partition.
<b>SOYEZ</b> <b></b>  <b>EXTRMEMENT</b> <b></b>  <b>PRUDENT</b> <b></b>  <b></b>  si vous utilisez la commande
<b>dd ,</b>
car une petite faute de frappe peut rendre toutes les donnes de
votre disque inutilisables.<br/><br/>
Pour obtenir les meilleurs rsultats, vous devriez toujours utiliser
un programme de partitionnement spcifique au systme
d'exploitation. Par exemple, vous devriez crer des partitions DOS
avec le programme FDISK DOS, et des partitions Linux avec le
programme Linux sfdisk.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">avertissements drdos</h1>
<div class="paragraph"><br/><br/>
Stephen Tweedie rapporta (15/05/1993)&nbsp;: &nbsp;La plupart des rapports de
corruption de superbloc s'avrent tre ds  un mauvais
partitionnement, o un systme de fichiers crase le dbut du
suivant et corrompt son superbloc. J'ai mme eu ce problme avec le
prtendument fiable DRDOS. C'tait probablement d  la commande FDISK du
DRDOS-6.0. &nbsp;moins de crer une piste ou un cylindre vide entre la
partition DRDOS et celle la suivant immdiatement, DRDOS crase
joyeusement le dbut de la partition suivante. Remarquez qu'aussi
longtemps que je garde un petit espace disque vide aprs toute
partition DRDOS, je n'ai aucun autre problme de coexistence entre les
deux partitions sur le mme disque.&nbsp;<br/><br/>
A. V. Le Blanc a crit dans README.efdisk: &nbsp;On a rapport des
problmes de coopration entre Dr. DOS 5.0 et 6.0 et Linux, et avec
cette version de efdisk
en particulier. Ce efdisk fixe le type de systme de fichiers  81
(hexadcimal). Dr. DOS semble le confondre avec le 1 hexadcimal, un
code DOS. Si vous utilisez Dr. DOS, utilisez la commande &nbsp;t&nbsp; de
efdisk pour remplacer le code de systme de fichiers de toute
partition Linux en un nombre plus petit que 80 en hexadcimal. Je
suggre 41 et 42 pour le moment.&nbsp;<br/><br/>
A. V. Le Blanc a crit dans README.fdisk: &nbsp;DR-DOS 5.0 et 6.0 ont
certaines difficults avec les codes d'ID de partition de 80 ou
plus. Le fdisk Linux fixe habituellement le type des nouvelles
partitions  81 en hexadcimal. DR-DOS semble le confondre avec le 1
hexadcimal, un code DOS. Les valeurs 82 pour la partition d'change
et 83 pour les systmes de fichiers ne devraient pas causer de
problmes avec DR-DOS. S'il y en a, vous pouvez utiliser la commande
&nbsp;t&nbsp; du fdisk Linux pour modifier le code du systme de fichiers de
toute partition Linux en un nombre plus petit que 80 en
hexadcimal. Je suggre 42 et 43 pour le moment.&nbsp;<br/><br/>
En fait, il semble que seuls 4 bits soient significatifs pour le FDISK
de DRDOS. Ainsi, par exemple, 11 et 21 sont lists comme tant DOS
2.0. Nanmoins, DRDOS lui-mme semble utiliser l'octet complet. Je
n'ai pas t capable de reproduire une corruption avec DRDOS ou avec
son fdisk.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">bogues</h1>
<div class="paragraph">
Une interface interactive correspondant 
<b>cfdisk</b> <b></b>  (avec une interface curses) manque toujours.<br/><br/>
Il y a trop d'options.<br/><br/>
Il n'y a pas de support pour les types de partitions non-DOS.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L11">auteur</h1>
<div class="paragraph">
A. E. Brouwer (aeb@cwi.nl)<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L12">voir aussi</h1>
<div class="paragraph">
<b>cfdisk (8),</b>
<b>fdisk (8),</b>
<b>parted (8)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L13">traduction</h1>
<div class="paragraph">
Frdric Delanoy &lt;<i>delanoy_f at yahoo.com</i>&gt;, 2002.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
