<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Reboot/halt and Linux information extracted from Rick Faith's original -->
<!--  sync(8) manpage, dating back to the Linux 0.99 days.  The Linux-specific -->
<!--  information is attributed to Linus Torvalds -->
<!--  Copyright 1992, 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  May be distributed under the GNU General Public License -->
<!--  Traduction 09/01/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages 1.28 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>SYNC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsys</a>
<br /><a class="summaryIndent0" href="#L2">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L3">environnement</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sync - Synchroniser les donnes en mmoire et celles sur disque.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsys</h1>
<div class="paragraph">
<b>sync</b> <b></b>  <b>[--help]</b> <b></b>  <b>[--version]"</b> <b></b>  .SH
DESCRIPTION
La commande
<b>sync</b> <b></b>  crit sur le disque toutes les donnes dans les buffers en mmoire.
Ceci peut inclure les superblocs modifis, les i-noeuds modifis,
et les critures diffres. Ceci est implment dans le noyau, le
programme
<b>sync</b> <b></b>  ne fait rien d'autre que d'invoquer l'appel-systme
<b>sync (2).<br/><br/></b>
Le noyau garde des donnes en mmoire pour viter d'avoir  faire trop de lectures
et critures (relativement lentes) sur le disque. Ceci amliore sensiblement les
performances, mais si l'ordinateur se plante, des donnes peuvent tre perdues, ou
le systme de fichiers peut tre endommag.
L'application
<b>sync</b> <b></b>  garantit que le contenu des buffers en mmoire soit crit sur le disque.<br/><br/>
Normalement,
<b>sync</b> <b></b>  devrait tre invoqu avant que le processeurs soit arrt de manire
anomale (par exemple avant de dclencher une panique du noyau lors
du dbogage d'un nouveau module du noyau). En gnral, la machine
doit tre arrte en employant les commandes
<b>shutdown (8),</b>
<b>reboot (8),</b>
ou
<b>halt (8),</b>
qui tentent de mettre le systme dans un tat calme, avant d'appeler
<b>sync (2).</b>
(Il existe plusieurs implmentations de ces commandes, consultez la
documentation de votre distribution, car sur certains systmes il ne
faut pas appeler
<b>reboot (8)</b>
ou
<b>halt (8)</b>
directement.)
</div><br/><br /><h1 class="TitreSection0" id="L3">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard et terminer normalement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher le numro de version sur la sortie standard et terminer normalement.
<br/><br/>

<b>--"</b> <b></b>  Terminer la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L4">environnement</h1>
<div class="paragraph">
Les variables d'environnement LANG, LC_ALL, LC_CTYPE et LC_MESSAGES
ont leur significations habituelles.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
POSIX 1003.2
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Sous Linux,
<b>sync</b> <b></b>  garantit seulement que l'criture des blocs modifis est programme. Il
peut y avoir un petit retard entre le retour de l'appel-systme et l'criture
effective. Les commandes
<b>reboot (8)</b>
et
<b>halt (8)</b>
grent ceci en dormant quelques secondes aprs l'invocation de
<b>sync (2).<br/><br/></b>
Cette page dcrit la commande
<b>sync</b> <b></b>  telle qu'elle est fournie dans le paquetage fileutils-4.0. D'autres
versions peuvent tre lgrement diffrentes.
Les rapports de bogue peuvent tre envoys  fileutils-bugs@gnu.ai.mit.edu.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>sync (2),</b>
<b>halt (8),</b>
<b>reboot (8),</b>
<b>update (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
