<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1996 Andries Brouwer -->
<!--  This page is somewhat derived from a page that was -->
<!--  (c) 1980, 1989, 1991 The Regents of the University of California -->
<!--  and had been heavily modified by Rik Faith and myself. -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Traduction 24/08/2000 par Frdric Delanoy (delanoy_f@yahoo.com) -->
<!--  Correspond  mount-v2.11n -->
<!--  MJ 30/07/2003 mount-2.11y - ccb -->
<br/><h1>UMOUNT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">le priphrique loop</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
umount - Dmonter des systmes de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>umount [-hV]</b><br/><br/>
<b>umount -a [-dflnrv] [-t </b> typesf <i>] [-O </i> options ]
<br/>
<b>umount [-dflnrv] </b> <i>rp </i> | <b> priphrique </b> [...]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La commande
<b>umount</b> <b></b>  dtache le(s) systme(s) de fichiers mentionn(s) de la hirarchie des
fichiers. Un systme de fichiers est spcifi en donnant le nom du
rpertoire dans lequel il a t mont. Fournir le priphrique spcial
sur lequel rside le systme de fichiers peut galement fonctionner,
mais est obsolte, principalement parce cela chouera si ce priphrique
a t mont dans plus d'un rpertoire.<br/><br/>
Notez qu'un systme de fichiers ne peut tre dmont quand il est &nbsp;occup&nbsp;,
par exemple quand il y a des fichiers ouverts dessus, quand certains
processus y ont leur rpertoire de travail, ou quand un fichier d'change
y est utilis. L'un de ces processus &nbsp;rcalcitrants&nbsp; pourrait mme tre
<b>umount</b> <b></b>  lui-mme&nbsp;: il ouvre la libc, qui peut ouvrir  son tour des fichiers
locaux. Un dmontage paresseux vite ce problme.<br/><br/>
Options de la commande
<b>umount </b>&nbsp;:<b></b>
<br/><br/>

<b>-V</b> <b></b>  Afficher le numro de version et se terminer.
<br/><br/>

<b>-h</b> <b></b>  Afficher un message d'aide et se terminer.
<br/><br/>

<b>-v</b> <b></b>  Activer le mode verbeux.
<br/><br/>

<b>-n</b> <b></b>  Dmonter sans crire dans
<i>/etc/mtab .</i>
<br/><br/>

<b>-r</b> <b></b>  Si le dmontage choue, essayer de remonter en lecture seule.
<br/><br/>

<b>-d</b> <b></b>  Dans le cas d'un montage via un priphrique boucle (loop), alors librer
aussi ce priphrique.
<br/><br/>

<b>-a</b> <b></b>  Dmonter tous les systmes de fichiers dcrits dans
<i>/etc/mtab .</i>
(Avec
<b>umount</b> <b></b>  versions 2.7 et ultrieures, le systme de fichiers
<i>proc</i> n'est pas dmont.)
<br/><br/>

-t <b> typesf</b>
Indiquer que les actions devraient uniquement tre entreprises sur les
systmes de fichiers du type spcifi. Plusieurs types peuvent tre
spcifis dans une liste, en les sparant par des virgules.
La liste des types de systmes de fichiers peut tre prfixe par
<b>no</b> <b></b>  pour spcifier les systmes de fichiers pour lesquels aucune action ne
doit tre mene.
<br/><br/>

-O <b> options</b>
Indiquer que les actions ne devraient tres entreprises que sur les
systmes de fichiers dont les <i>options</i> sont spcifies dans
<i>/etc/fstab .</i>
Plusieurs options peuvent tre spcifies dans une liste, en les sparant par
des virgules. Chaque option peut tre prfixe par
<b>no</b> <b></b>  pour spcifier les options pour lesquelles aucune action ne doit tre mene.
<br/><br/>

<b>-f</b> <b></b>  Forcer le dmontage (dans le cas d'un systme NFS inaccessible).
Requiert un noyau 2.1.116 ou ultrieur.
<br/><br/>

<b>-l</b> <b></b>  Dmontage paresseux. Dtacher maintenant le systme de fichiers de la 
hirarchie de systmes de fichiers, et nettoyer toutes les rfrences vers le 
systme de fichiers ds qu'il n'est plus occup. (Requiert un noyau 2.4.11 ou 
ultrieur.)<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">le priphrique loop</h1>
<div class="paragraph">
La commande
<b>umount</b> <b></b>  librera le priphrique loop (boucle) associ au mount (s'il existe),
au cas o il trouve l'option &nbsp;loop=...&nbsp; dans
<i>/etc/mtab ,</i>
ou si l'option -d est indique.
Tous les priphriques loop restants peuvent tre librs en utilisant la
commande &nbsp;losetup -d&nbsp;&nbsp;; voyez
<b>losetup (8).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">
<i>/etc/mtab</i> table des systmes de fichiers monts<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>umount (2),</b>
<b>mount (8),</b>
<b>losetup (8).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph">
Une commande
<b>umount</b> <b></b>  est apparue dans la Version 6 du UNIX AT&T.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Frdric Delanoy &lt;<i>delanoy_f@yahoo.com</i>&gt;, 2002.
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
