<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 11/05/1999 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages 1.23 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.37 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>ZIC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
zic - Compilation des informations de fuseau horaire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>zic</b> <b></b>  [
<b>-v</b> <b></b>  ] [
<b>-d</b> <b></b>  <i>rpertoire</i> ] [
<b>-l</b> <b></b>  <i>heure_locale</i> ] [
<b>-p</b> <b></b>  <i>rgles_posix</i> ] [
<b>-L</b> <b></b>  <i>fichier_secondes_rattrapages</i> ] [
<b>-s</b> <b></b>  ] [
<b>-y</b> <b></b>  <i>commande</i> ] [
<i>fichier</i> ... ]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
.if t .ds lq ``
.if t .ds rq ''
.if n .ds lq "\"
.if n .ds rq "\"
.de q
\\$3\*(lq\\$1\*(rq\\$2
..
<i>Zic</i> lit le texte dans les fichiers indiqus sur la ligne de commande et
cre les fichiers d'information pour les conversions horaires indiqus
dans son entre.
Si un nom de
<i>fichier</i> est
<b>- ,</b>
on lit l'entre standard  sa place.<br/><br/>
Les options disponibles sont&nbsp;:
<br/><br/>

<b>-d </b> rpertoire
Cre les fichiers d'informations pour les conversions horaires dans
le rpertoire indiqu plutt que dans le rpertoire standard
indiqu plus bas.
<br/><br/>

<b>-l </b> fuseau_horaire
Utiliser le fuseau horaire indiqu comme heure locale.
<i>Zic</i> agira comme si l'entre contenait une ligne de lien de la forme
<br/><br/>

.ti +.5i
Link	<i>fuseau_horaire</i>		heure_locale
<br/><br/>

<b>-p </b> fuseau_horaire
Utiliser les rgles de conversion horaire du fuseau indiqu lors
de la gestion des variables d'environnement horaires POSIX.
<i>Zic</i> agira comme si l'entre contenait une ligne de lien de la forme
<br/><br/>

.ti +.5i
Link	<i>fuseau_horaire</i>		rgles_posix
<br/><br/>

<b>-L </b> fichier_secondes_rattrapage
Lire les informations concernant les secondes supplmentaires
de rattrapage priodique  partir du fichier indiqu.
Si cette option n'est pas indique, aucune seconde de rattrapage
ne sera prise en compte dans les fichiers de sortie.
<br/><br/>

<b>-v</b> <b></b>  Refuser qu'une anne indique dans le fichier de donnes soit en
dehors de l'intervalle reprsentable par les valeurs de
<i>time (2).</i>
<br/><br/>

<b>-s</b> <b></b>  Limiter les valeurs de temps stockes dans les fichiers de sortie aux valeurs
qui sont identiques en stockage sign et non-sign. Cette option permet
d'engendrer des fichiers compatibles SVVS.
<br/><br/>

<b>-y </b> commande
Utiliser la
<i>commande</i> plutt que
<b>yearistype</b> <b></b>  pour vrifier les types d'annes (voir plus bas).<br/><br/>
Les lignes d'entres sont composes de champs, spars les uns des autres
par un nombre quelconque de caractres blancs. Les espaces en dbut et
fin de ligne sont ignores.
Un caractre dise (#) non protg en entre introduit un commentaire qui
s'tend jusqu' la fin de la ligne o il apparat.
Les caractres blancs et les dises peuvent tre inclus entre guillemets (")
lorsqu'ils doivent faire partie d'un champ.
Toute ligne vide (aprs suppression des commentaires) est ignore.
Les lignes non-vides peuvent tre de trois types :
les lignes de rgle, de zone, et de lien.<br/><br/>
Une ligne de rgle a la forme&nbsp;:

.ti +.5i
.ta \w'Rule\0\0'u +\w'NAME\0\0'u +\w'FROM\0\0'u +\w'1973\0\0'u +\w'TYPE\0\0'u +\w'Apr\0\0'u +\w'lastSun\0\0'u +\w'2:00\0\0'u +\w'SAVE\0\0'u
<br/><br/>

Rule	NAME	FROM	TO	TYPE	IN	ON	AT	SAVE	LETTER/S
<br/><br/>

Par exemple&nbsp;:
.ti +.5i
<br/><br/>

Rule	US	1967	1973	-	Apr	lastSun	2:00	1:00	D
<br/><br/>



Les champs composant une ligne de rgle sont&nbsp;:
<br/><br/>
 "\w'LETTER/S'u"
<b>NAME</b> <b></b>  Indiquer le nom (arbitraire) du jeu de rgles dont celle-ci fait partie.
<br/><br/>

<b>FROM</b> <b></b>  Donne la premire anne o la rgle s'applique.
Tout nombre entier correspondant  une anne peut tre utilis. On suppose
qu'il s'agit du calendrier grgorien. Le mot
<b>minimum</b> <b></b>  (ou une abrviation) correspond  la plus petite anne reprsentable par
un entier. Le mot
<b>maximum</b> <b></b>  (ou une abrviation) correspond  la plus grande anne reprsentable par
un entier.
Les rgles peuvent dcrire des dates qui ne soient pas reprsentables par
des valeurs de type <i>time</i>. Ceci permet aux rgles d'tre gnrales
quels que soient les types de donnes employes par la machine hte.
<br/><br/>

<b>TO</b> <b></b>  Indique l'anne finale o la rgle s'applique.
En plus des symboles
<b>minimum</b> <b></b>  et
<b>maximum</b> <b></b>  (comme prcdemment), le mot
<b>only</b> <b></b>  (ou une abrviation) permet de r-utiliser
la valeur du champ
<b>FROM</b> <b></b>  sans avoir  la rpter.
<br/><br/>

<b>TYPE</b> <b></b>  Indique le type des annes o la rgle s'applique.
Si le
<b>TYPE</b> <b></b>  est
<b>-</b> <b></b>  alors la rgle s'applique pour toutes les annes entre
<b>FROM</b> <b></b>  et
<b>TO</b> <b></b>  comprises.
Si le
<b>TYPE</b> <b></b>  a une autre valeur, alors
<i>zic</i> excute la commande
.ti +.5i
<b>yearistype</b> <i>anne</i> <i>type</i>
<br/>
pour vrifier le type de l'anne :
un code de sortie nul indique l'anne indique est du type considr, un
code de sortie valant 1 signifie que l'anne n'est pas de ce type.
<br/><br/>

<b>IN</b> <b></b>  Indique le mois o la rgle prend effet. Les noms de mois peuvent tre
abrgs.
<br/><br/>

<b>ON</b> <b></b>  Indique le jour o la rgle s'applique. Les formes acceptes comprennent :

.in +.5i
<br/><br/>

.ta \w'Sun&lt;=25\0\0'u
5	Le 5 du mois
lastSun	le dernier Dimanche du mois
lastMon	le dernier Lundi du mois
Sun&gt;=8	Le premier Dimanche aprs le 8
Sun&lt;=25	Le dernier Dimanche avant le 25


.in -.5i
<br/><br/>

Les noms des jours de semaine peuvent tre abrgs.
Il ne doit pas y avoir d'espace au sein du champ
<b>ON .</b>
<br/><br/>

<b>AT</b> <b></b>  Indique l'heure  laquelle la rgle s'applique. Diverses
formes sont possibles :

.in +.5i
<br/><br/>

.ta \w'1:28:13\0\0'u
2	L'heure
2:00	L'heure et les minutes
15:00	Un format sur 24 heures
1:28:14	Heure, minutes, et secondes
-      quivalent  0


.in -.5i
<br/><br/>

l'heure peut valoir 0  minuit au dbut de la journe, ou 24
 minuit  la fin de la journe. N'importe quelle forme ci-dessus
peut tre suivie des lettres
<b>w</b> <b></b>  si l'heure est locale
("wall clock" = "horloge sur le mur"),
<b>s</b> <b></b>  s'il s'agit de l'heure locale standard,
<b>u</b> <b></b>  (ou
<b>g</b> <b></b>  ou
<b>z )</b>
s'il s'agit de l'heure universelle. Sans indicateur
on suppose que c'est l'heure locale (w).
<br/><br/>

<b>SAVE</b> <b></b>  Indique la quantit horaire  ajouter  l'heure locale lorsque la rgle agit.
Ce champ a le mme format que le champ
<b>AT</b> <b></b>  (sauf que les suffixes
<b>w</b> <b></b>  et
<b>s</b> <b></b>  ne sont videmment pas utiliss).
<br/><br/>

<b>LETTER/S</b> <b></b>  Indique la
.q "partie variable"
de l'abrviation du fuseau horaire
(par exemple,
.q S
ou
.q D
dans
.q EST
ou
.q EDT )
lorsque la rgle est en fonction.
Si ce champ vaut
<b>- ,</b>
la partie variable est nulle.<br/><br/>
Une ligne de zone a la forme
<br/><br/>


.ti +.5i
.ta \w'Zone\0\0'u +\w'Australia/Adelaide\0\0'u +\w'GMTOFF\0\0'u +\w'RULES/SAVE\0\0'u +\w'FORMAT\0\0'u
Zone	NAME	GMTOFF	RULES/SAVE	FORMAT	[UNTIL]
<br/><br/>

Par exemple:
<br/><br/>

.ti +.5i
Zone	Australia/Adelaide	9:30	Aus	CST	1971 Oct 31 2:00
<br/><br/>



Les champs constituant une ligne de zone sont les suivants&nbsp;:
<br/><br/>
 "\w'GMTOFF'u"
<b>NAME</b> <b></b>  Le nom du fuseau horaire.
Il s'agit du nom utilis pour la cration du fichier de donnes de conversions
temporelles pour cette zone.
<br/><br/>

<b>GMTOFF</b> <b></b>  La quantit de temps  ajouter au temps universel UTC pour obtenir l'heure
standard dans la zone. Ce champ a le mme format que les champs
<b>AT</b> <b></b>  et
<b>SAVE</b> <b></b>  des lignes de rgles. On peut commencer le champ avec un signe moins (-) si
la quantit doit tre soustraite de l'UTC.
<br/><br/>

<b>RULES/SAVE</b> <b></b>  Les noms des rgles qui s'appliquent dans cette zone, ou bien
la quantit horaire  ajouter au temps local standard de la zone.
Si ce champ est
<b>-</b> <b></b>  alors l'heure standard s'applique toujours dans cette zone.
<br/><br/>

<b>FORMAT</b> <b></b>  Le format pour l'abrviation du fuseau horaire dans cette zone.
Les deux caractres
<b>%s</b> <b></b>  servent  indiquer o placer la
.q "partie variable"
de l'abrviation du fuseau.
ventuellement, un slash (/) peut sparer les abrviations
standard et d'heure d't.
<br/><br/>

<b>UNTIL</b> <b></b>  Le moment o change le dcalage par rapport  l'UTC. 
Ce moment est indiqu sous la forme d'une anne, un mois, un jour, et
une heure. S'il est spcifi, les informations pour le fuseau horaire
seront cres  partir de la rgle, ou du dcalage UTC jusqu'au moment
indiqu. Les valeurs doivent avoir le mme format que pour les colonnes
IN, ON, et AT d'une rgle. Les colonnes suivantes peuvent tre omises.
.IP
La ligne suivante doit tre une ligne de
.q continuation
qui a la mme forme qu'une ligne de zone, sauf que la chane
.q Zone
et le nom sont absents. Cette ligne de continuation va placer les informations
commenant au moment prcis dans le champ
<b>UNTIL</b> <b></b>  de la ligne prcdente dans le fichier utilis par cette dernire.
Les lignes de continuation peuvent avoir un champ
<b>UNTIL ,</b>
comme les lignes de zones, pour montrer que la ligne suivant est galement
une future continuation.<br/><br/>
Une ligne de lien a la forme&nbsp;:
<br/><br/>


.ti +.5i
.ta \w'Link\0\0'u +\w'Europe/Istanbul\0\0'u
Link	LINK-FROM	LINK-TO
<br/><br/>

Par exemple:
<br/><br/>

.ti +.5i
Link	Europe/Istanbul	Asia/Istanbul
<br/><br/>



Le champ
<b>LINK-FROM</b> <b></b>  doit exister sous forme de champ
.B 								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
