<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -->
<!--  Traduction 12/12/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 25/07/2003  -->
<br/><h1>C</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">auteur</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
c - Distributeur gnrique de boissons (caf, coca...)
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>c</b> <b></b>  <b>[-s[nombre]]</b> <b></b>  <b></b>  <b>[-m[type]]</b> <b></b>  <b></b>  <b>[-e]</b> <b></b>  <b></b>  <b>[-g]</b> <b></b>  <b></b>  <b>[-T]</b> <b></b>  <b></b>  <b>[-q</b> <b></b>  <b>quantit]</b> <b></b>  <b>[--other=boisson]</b> <b></b>  <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page documente la version GNU de
<b>c.</b> <b></b>  <b><br/><br/></b> <b></b>  <b>c</b> <b></b>  est un distributeur gnrique de boisson permettant de fournir sur la
sortie standard un flux du breuvage dsir. Par dfaut, <b>c</b> distribue
du caf au lait, sans sucre. Il s'agit d'un choix historique bas sur les
prfrences de l'auteur original.<br/><br/>
Le comportement du distributeur est contrl par des options, et une large
palette d'autres boissons est disponible.<br/><br/>
Notez bien que toutes les combinaisons des options ne sont pas toujours
heureuses en terme de got, mais la vrification effectue par <b>c</b>
n'a qu'une porte syntaxique. Vous tes seul responsable de vos exprimentations.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

<b>-s[nombre]</b> <b></b>  Indique le nombre de sucres dsirs. Par dfaut, aucun sucre
n'est inclus.<br/><br/>
Des valeurs excessivement grandes peuvent engendrer des effets de
bord dplaisants, comme des caries et des surcharges pondrales.<br/><br/>
Si on n'indique pas de <i>nombre</i>, la valeur par dfaut est
un sucre.
<br/><br/>

<b>-m[type]</b> <b></b>  Dtermine si l'on doit inclure du lait. Le comportement par
dfaut correspond  l'option 'cold'.<br/><br/>
<i>cold</i> - Lait froid normal.<br/><br/>
<i>hot</i> - Lait chaud normal.<br/><br/>
<i>frth</i> - Crme. (Voir option -e pour le capuccino)<br/><br/>
<i>none</i> - Pas de lait. Recommand pour ceux qui suivent un rgime.<br/><br/>
<i>goat </i> (chvre)<i></i>
- Faites preuve d'imagination.<br/><br/>
<br/><br/>

<b>-e</b> <b></b>  Option Expresso. Un flux  haute pression est envoy de force
sur des grains fin noirs afin d'avoir un breuvage plus fort.
Utilisez l'option -q avec modration pour viter les tremblements
et les palpitations (voir BOGUES)
<br/><br/>

<b>-g</b> <b></b>  Caf glac. Pas besoin d'explication.
<br/><br/>

<b>-T</b> <b></b>  Caf turc. Le seul type de caf que l'on fasse volontairement
bouillir. Utilisez conjointement -s2 ou plus pour viter les grimaces.
<br/><br/>

<b>-q</b> <b></b>  <b>[quantit]"</b> <b></b>  Taille de la 'tasse virtuelle'  remplir. L'chelle couverte est
relativement arbitraire mais devrait rpondre  l'essentiel des
besoins...<br/><br/>
<i>1</i> d  coudre.<br/><br/>
<i>2</i> tasse  expresso.<br/><br/>
<i>3</i> tasse  caf normale.<br/><br/>
<i>4</i> chope.<br/><br/>
<i>5</i> chope d'administrateur systme.<br/><br/>
<i>6</i> seau.<br/><br/>
L'utilisation de -q 6 est contre-indique avec <b>n</b>(1) 
cause de dommages possibles des cloisons nasales, et un risque
de noyade. La valeur par dfaut est 4, sauf si une version bta
du systme d'exploitation est en test, auquel cas la valeur
par dfaut passe  5. Sur Digital Unix, la valeur par dfaut
est 6. Et vous en aurez besoin...
<br/><br/>

<b>--other=boisson</b> <b></b>  Indiquer une autre boisson que le caf. L'utilisation conjointe
avec les autres options n'est pas recommande, le comportement
est indfini.
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
Une surdose de cafine peut se produire avec des combinaisons
inadquates de certaines options (par exemple -e et de grandes
valeurs pour -q). Si vous ressentez une acclration du rythme
cardiaque, des difficults d'accommodation visuelle, des 
tremblements des mains, ou un essoufflement prolong, il est
souhaitable d'arrter d'employer ces options.<br/><br/>
Une version -d (dcafin) tait incluse dans les versions
prcdentes, mais a t supprim  cause de menaces de poursuites
judiciaires suite  une srie de plaisanteries stupides.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
n(1)
</div><br/><br /><h1 class="TitreSection0" id="L7">auteur</h1>
<div class="paragraph">
Nick Williams, New College, Oxford University.
nickw@iname.com.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1999-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
