<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 14/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 15/12/1998 - LDP man-pages 1.22 -->
<!--  mj 30/05/2001 - LDP man-pages 1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>CHOWN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">spcificits gnu</a>
<br /><a class="summaryIndent0" href="#L4">options posix</a>
<br /><a class="summaryIndent0" href="#L5">options gnu</a>
<br /><a class="summaryIndent0" href="#L6">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L7">environnement</a>
<br /><a class="summaryIndent0" href="#L8">conformit</a>
<br /><a class="summaryIndent0" href="#L9">notes</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
chown - Modifier le propritaire et le groupe d'un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>chown [</b> options <i>] </i> propritaire <b>[:</b> groupe <i>] </i> fichier...
<br/><br/>

Options POSIX :
<b>[-R]</b> <b></b>  <b>[--]"</b> <b></b>  <br/><br/>

Options GNU (forme courte):
<b>[-cfhvR]</b> <b></b>  <b>[--dereference]"</b> <b></b>  [--reference= rfile ]
<b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
([NDT] <b>chown</b> = Change Owner).<br/><br/>
<b>chown</b> <b></b>  modifie l'utilisateur et/ou le groupe propritaire de chacun des
fichiers indiqus, en fonction du premier argument rencontr sur
la ligne de commande, et qui ne soit pas
une option.<br/><br/>
Si l'on indique uniquement un nom d'utilisateur (ou un UID numrique),
celui-ci devient le propritaire des fichiers donns, mais les
groupes de ces fichiers ne sont pas modifis.<br/><br/>
Si le nom d'utilisateur est suivi d'un deux-points, et d'un
nom de groupe (ou d'un GID numrique), les fichiers changent galement
de groupe.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">spcificits gnu</h1>
<div class="paragraph">
La version GNU de
<b>chown</b> <b></b>  accepte galement un point pour sparer le nom d'utilisateur de celui du groupe.
Posix rclame un double-point car il autorise l'utilisation du point comme
caractre d'un nom d'utilisateur.<br/><br/>
Si le nom d'utilisateur est suivi d'un double-point,
sans nom de groupe, les fichiers appartiendront au groupe de l'utilisateur
mentionn.<br/><br/>
Si l'on fournit un nom de groupe, prcd d'un double-point, mais
sans prciser de nom d'utilisateur, seul l'appartenance au groupe est modifie.<br/><br/>
<b>chown</b> <b></b>  a les mmes effets que
<b>chgrp .</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">options posix</h1>
<div class="paragraph">
<br/><br/>

<b>-R"</b> <b></b>  Modifier rcursivement l'appartenance des rpertoires et de leurs contenus.
<br/><br/>

<b>--"</b> <b></b>  Indique la fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L6">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>-c</b> <b></b> ,<b></b>  <b>--changes"</b> <b></b>  Ne dcrire que les fichiers dont l'appartenance est modifie.
<br/><br/>

<b>-f</b> <b></b> ,<b></b>  <b>--silent</b> <b></b> ,<b></b>  <b>--quiet"</b> <b></b>  Ne pas afficher de message d'erreur concernant les fichiers dont
l'appartenance n'a pas pu tre modifie.
<br/><br/>

<b>-h</b> <b></b> ,<b></b>  <b>--no-dereference"</b> <b></b>  Agir sur un lien symbolique lui-mme et non pas sur la cible vers laquelle
il pointe. Ceci n'est possible que si l'appel systme
<b>lchown</b> <b></b>  est disponible dans le noyau.
<br/><br/>

<b>-v</b> <b></b> ,<b></b>  <b>--verbose"</b> <b></b>  Dcrire les changements de proprits.
<br/><br/>

<b>-R</b> <b></b> ,<b></b>  <b>--recursive"</b> <b></b>  Modifier rcursivement l'appartenance des rpertoires et de leurs contenus.
I<br/><br/>

<b>--dereference</b> <b></b>  Changer l'appartenant de la cible d'un lien symbolique plutt que du
lien symbolique lui-mme
(Nouveaute file\%utils-4.0).
<br/><br/>

<b>--reference=</b> <i>rfile</i>
(Nouveaut file\%utils 4.0.)
Changer l'appartenance des fichiers
de manire identique 
<i>rfile .</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et terminer normalement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher le numro de version sur la sortie standard, et terminer normalement.
<br/><br/>

<b>--"</b> <b></b>  Termine la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L8">environnement</h1>
<div class="paragraph">
LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">conformit</h1>
<div class="paragraph">
POSIX 1003.2 n'autorise pas l'utilisation du point comme sparateur de
nom d'utilisateur et de groupe.
</div><br/><br /><h1 class="TitreSection0" id="L10">notes</h1>
<div class="paragraph">
Cette page dcrit
<b>chown</b> <b></b>  tel qu'on le rencontre dans le paquetage fileutils-4.0&nbsp;;
d'autre versions peuvent se comporter lgrement diffrement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
