<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  Michael Rendell. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)col.1	6.8 (Berkeley) 6/17/91 -->
<!--  -->
<!--  Traduction le 19/05/1997 par Michel Quercia (quercia@cal.enst.fr) -->
<!--  Pb: la table des caracteres de controle ne passe pas avec xman -->
<!--  -->
<!--  MJ 30/07/2003 util-linux-2.11y -->
<br/><h1>COL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">historique</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
col - Eliminer les sauts de ligne arrire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>col</b> [<b>-bfpx</b>] [<b>-l</b> <i>num</i>]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>Col</b>
limine les sauts (et demi-sauts) de ligne arrire
de son entre de sorte que les lignes de la sortie soient dans
le bon ordre avec seulement des sauts et demi-sauts de ligne avant,
et remplace les espaces par des tabulations partout o c'est possible.
Ceci peut tre utile pour traiter la sortie de nroff(1) et tbl(1).<br/><br/>
<b>Col</b> lit sur son entre standard et crit sur sa sortie standard.<br/><br/>
Les options sont les suivantes&nbsp;:
.SS
<br/><br/>

<b>-b</b>
Ne pas mettre de backspaces et imprimer uniquement le dernier
caractre crit pour chaque colonne.
<br/><br/>

<b>-f</b>
Les demi-sauts de ligne avant sont autoriss (mode ``fine'').
Normalement, les caractres positionns entre deux lignes sont
imprims sur la ligne suivante.
<br/><br/>

<b>-p</b>
Laisser inchanges les squences de contrle non reconnues.
<br/><br/>

<b>-x</b>
met des espaces multiples au lieu de tabulations.
<br/><br/>

<b>-l</b> <i>num</i>
Stocke au moins <i>num</i> lignes en mmoire.
Par dfaut, 128 lignes sont stockes.<br/><br/>
Les squences de contrle que <b>col</b> comprend
et leurs quivalents en dcimal sont dcrits dans la table suivante :<br/><br/>
.TS
l l .
ESC-7	saut de ligne arrire (escape puis 7)
ESC-8	demi-saut de ligne arrire (escape puis 8)
ESC-9	demi-saut de ligne avant (escape puis 9)
backspace	recule d'une colonne (8); ignor en premire colonne
retour-chariot	(13)
newline	avance d'une ligne (10)
	effectue aussi un retour-chariot
shift in	passe au jeu de caractres normal (15)
shift out	passe au jeu de caractres auxiliaire (14)
espace	avance d'une colonne (32)
tabulation	avance au prochain taquet de tabulation (9)
vertical tab	saut de ligne arrire (11)
.TE<br/><br/>
Tous les caractres de contrle et squences d'chappement non
reconnus sont limins.<br/><br/>
<b>Col</b>
tient  jour le jeu de caractres au fur et  mesure de la lecture
de son entre et fait en sorte que le jeu de caractres soit correct
dans la sortie.<br/><br/>
Si l'entre tente de revenir en arrire sur la dernire ligne mise,
<b>col</b> affiche un message d'avertissement.
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
expand(1) ,
nroff(1) ,
tbl(1)
</div><br/><br /><h1 class="TitreSection0" id="L5">historique</h1>
<div class="paragraph">
La commande
<b>col</b> <b></b>  est conforme aux spcifications Single Unix v2. L'option
<i>l</i> est une extension.<br/><br/>
Une commande
<b>col</b> <b></b>  est apparue dans la version 6 de AT&T UNIX.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Michel Quercia, 1997.
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
