<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 14/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 15/12/1998 - LDP man-pages 1.22 -->
<!--  mj 05/06/1999 - LDP man-pages 1.23 -->
<!--  mj 30/05/2001 - LDP man-pages 1.36 -->
<!--  mj 16/01/2002 - LDP man-pages 1.47 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>CP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options posix</a>
<br /><a class="summaryIndent0" href="#L4">spcificit gnu</a>
<br /><a class="summaryIndent0" href="#L5">options gnu</a>
<br /><a class="summaryIndent0" href="#L6">options de sauvegarde gnu</a>
<br /><a class="summaryIndent0" href="#L7">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L8">environnement</a>
<br /><a class="summaryIndent0" href="#L9">conformit</a>
<br /><a class="summaryIndent0" href="#L10">notes</a>
<br /><a class="summaryIndent0" href="#L11">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
cp - Copier des fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>cp [</b> <i>options</i> <b>] </b> <i>fichier chemin</i>
<br/>
<b>cp [</b> <i>options</i> <b>] </b> <i>fichier... rpertoire</i>
<br/><br/>

Options POSIX :
<b>[-fipRr]</b> <b></b>  <b>[--]"</b> <b></b>  <br/><br/>

Options GNU (forme courte) :
<b>[-abdfilprsuvxPR]</b> <b></b>  <b>[-S </b> SUFFIXE ]
<b>[-V</b> <b></b>  <b>{numbered</b> <b></b> ,<b>existing</b> <b></b> ,<b>simple}]"</b> <b></b>  [--backup= CONTROL ]
[--sparse= WHEN ]
<b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]"<br/><br/></b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>cp</b> <b></b>  sert  copier des fichiers (et ventuellement des rpertoires).
On peut aussi bien copier un fichier donn vers une destination prcise
que copier un ensemble de fichiers dans un rpertoire.<br/><br/>
Si le dernier argument correspond  un nom de rpertoire,
<b>cp</b> <b></b>  copie dans ce rpertoire chaque fichier indiqu en conservant le mme nom.<br/><br/>
Sinon, s'il n'y a que deux fichiers indiqus, il copie le premier sur
le second. <br/><br/>
Une erreur se produit si le dernier argument n'est pas un rpertoire,
et si plus de deux fichiers sont indiqus. Par dfaut, on n'effectue pas la
copie de rpertoires.<br/><br/>
Ainsi, si /a est un rpertoire, alors `cp -r /a /b' copiera /a dans /b/a et
/a/x dans /b/a/x au cas
o /b existe dj, mais il copiera /a sur /b et /a/x dans /b/x si /b
n'existait pas encore. Enfin si /b tait un fichier ordinaire la copie
chouera.<br/><br/>
Les autorisations d'accs des fichiers et des rpertoires crs seront
les mmes que celles des fichiers d'origine masques avec un ET binaire
avec 0777, et modifies par le umask de l'utilisateur (sauf si l'on invoque
l'option -p).<br/><br/>
Pendant la copie rcursive de rpertoires, les nouveaux rpertoires verront
leur masque temporairement tendu par un OU binaire avec S_IRWXU (0700), afin
d'autoriser le processus d'y lire, crire et vrifier le contenu.<br/><br/>
<b>cp</b> <b></b>  ne fait rien lorsque l'on tente de copier un fichier sur lui-mme (sauf
ventuellement afficher un message d'erreur).<br/><br/>
Lorsque la copie se fait sur un fichier existant, celui-ci est ouvert
en utilisant `open(chemin, O_WRONLY | O_TRUNC)'.
Lorsque la copie a lieu dans un nouveau fichier, 
on invoque `open(chemin, O_WRONLY | O_CREAT, mode)'.
Si l'ouverture d'un fichier existant choue, et si l'option -f a t
invoque, 
<b>cp</b> <b></b>  essaye de supprimer, avec
<b>unlink (2),</b>
le fichier existant, puis de recrer un nouveau fichier.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">options posix</h1>
<div class="paragraph">
Posix dfini quatre options et demi :
<br/><br/>

<b>-f"</b> <b></b>  Effacer les fichiers cibles existants (voir ci-dessus).
<br/><br/>

<b>-i"</b> <b></b>  Interroger l'utilisateur avant d'craser des fichiers rguliers existants.
La question est affiche sur stderr, et la rponse lue depuis stdin.
<br/><br/>

<b>-p"</b> <b></b>  Conserver le propritaire, le groupe, les permissions d'accs et les
horodatages du fichier original. Si la conservation du propritaire ou
du groupe est impossible, les bits Set-UID et Set-GID sont effacs.
L'horodatage sera quand mme lgrement diffrent entre l'original et
la copie car l'opration de copie ncessite un accs en lecture
au fichier source.
<br/><br/>

<b>-R"</b> <b></b>  Copier rcursivement les rpertoires, et grer correctement les copies
des fichiers spciaux ou des FIFOs.
<br/><br/>

<b>-r</b> <b></b>  Copier rcursivement les rpertoires mais la gestion des fichiers spciaux
n'est pas dfinie. En fait l'option -r est autorise, et mme encourage
 se comporter comme l'option -R, toutefois le comportement (stupide) de
la version GNU n'est pas interdit.
<br/><br/>

<b>--"</b> <b></b>  Indique la fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L5">spcificit gnu</h1>
<div class="paragraph">
En gnral les fichiers sont crits immdiatement aprs lecture de l'original,
sauf si l'on utilise l'option
<b>--sparse</b> <b></b>  dcrite plus bas.<br/><br/>
Par dfaut,
<b>cp</b> <b></b>  ne copie pas les rpertoires (voir l'option&nbsp;<b>-r</b>).<br/><br/>
<b>cp</b> <b></b>  refuse gnralement de copier un fichier sur lui-mme, avec l'exception
suivante :
si les options
<b>--force </b> et <b> --backup</b>
sont indiques, et si les fichiers
<i>origine </i> et <i> copie</i>
sont identiques et se rapportent  un fichier rgulier,
<b>cp</b> <b></b>  effectuera une copie de sauvegarde (voir plus bas).
Ceci peut servir  faire une sauvegarde d'un fichier avant de le modifier.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>-a</b> <b></b> ,<b></b>  <b>--archive"</b> <b></b>  Prserver autant que possible la structure et les attributs du fichier
original lors de la copie. Cette option est quivalente 
<i>-dpR .</i>
<br/><br/>

<b>-b</b> <b></b> ,<b></b>  <b>--backup"</b> <b></b>  Effectuer une copie de sauvegarde des fichiers crass ou supprims.
<br/><br/>

<b>-d</b> <b></b> ,<b></b>  <b>--no-dereference"</b> <b></b>  Copier les liens symboliques en tant que tels plutt que de copier les
fichiers vers lesquels ils pointent. Prserver galement les liens matriels
entre les fichiers sources durant la copie.
<br/><br/>

<b>-f</b> <b></b> ,<b></b>  <b>--force"</b> <b></b>  Effacer les fichiers cibles existants.
<br/><br/>

<b>-i</b> <b></b> ,<b></b>  <b>--interactive"</b> <b></b>  Interroger l'utilisateur avant d'craser des fichiers rguliers existants.
<br/><br/>

<b>-l</b> <b></b> ,<b></b>  <b>--link"</b> <b></b>  Effectuer des liens matriels plutt que des copies des fichiers rguliers.
<br/><br/>

<b>-P</b> <b></b> ,<b></b>  <b>--parents"</b> <b></b>  Construire le nom de chaque fichier destination en ajoutant au rpertoire
cible un slash et le nom du fichier source indiqu. Le dernier argument
de
<b>cp</b> <b></b>  doit tre un rpertoire existant. Par exemple, la commande
`cp --parents a/b/c rp_existant' copie le fichier
<i>a/b/c</i> en
<i>rp_existant/a/b/c,</i> tout en crant les sous-rpertoires intermdiaires manquants.
<br/><br/>

<b>-p</b> <b></b> ,<b></b>  <b>--preserve"</b> <b></b>  Conserver le propritaire, le groupe, les permissions d'accs et les
horodatages du fichier original.
<br/><br/>

<b>-r</b> <b></b>  Copier rcursivement les rpertoires, les sous-rpertoires, 
et les fichiers rguliers qu'ils contiennent. Les fichiers spciaux
et les FIFOs sont considrs comme des fichiers normaux, desquels on
essayera de lire des donnes pour les crire dans le fichier destination.
Ainsi `cp' risque de bloquer indfiniment durant la lecture d'une FIFO
ou d'un fichier spcial /dev/tty. Il faut considrer ceci comme un bug.
Cela signifie qu'il faut viter l'option -r, et la remplacer par -R.
N'oublions pas que l'ouverture d'un fichier spcial inconnu, par exemple
un scanner peut avoir des effets indsirables sur le matriel.
<br/><br/>

<b>-R</b> <b></b>  Copier rcursivement les rpertoires, les sous-rpertoires, 
en prservant tous les types de fichiers rencontrs (voir option
-r ci-dessus).
<br/><br/>

<b>--sparse=</b> <i>QUAND</i>
[NDT : sparse = clairsem] Un fichier  trous (sparse file) contient des
squences d'octets nuls n'occupant pas de place sur le disque. L'appel
systme `read' lit ces donnes comme des zros. Non seulement cela permet
d'conomiser de la place sur le disque, mais on gagne galement de la
vitesse de lecture. De nombreux fichiers binaires (excutables par exemple)
contiennent des squences importantes de zros. Par dfaut,
<b>cp</b> <b></b>  dtecte les trous dans les fichiers en utilisant une heuristique grossire et
restituera les trous dans les fichiers de sortie.
.RS<br/><br/>
L'argument <i>QUAND</i> peut prendre l'une des valeurs suivantes :
<br/><br/>

<b>auto</b> <b></b>  Le comportement par dfaut, le fichier de sortie est trou si des trous sont
dtects dans le fichier d'entre.
<br/><br/>

<b>always</b> <b></b>  Toujours trouer les fichiers de sortie. Cette option sert lorsque les
fichiers d'entre se trouvent sur un systme de fichiers n'acceptant
pas les trous, et que les fichiers de sortie se trouveront sur
un systme les acceptant.
<br/><br/>

<b>never</b> <b></b>  Ne jamais essayer de faire de trous dans les fichiers de sortie. Si vous
trouvez une utilit  cette option, faites-le nous savoir...

<br/><br/>

<b>-s</b> <b></b> ,<b></b>  <b>--symbolic-link"</b> <b></b>  Crer des liens symboliques plutt que des copies des fichiers rguliers.
Tous les noms de fichiers sources doivent tre absolus (commenant par '/')
 moins que les fichiers destinations rsident dans le rpertoire en cours.
Cette option affiche un message d'erreur pour les systmes de fichiers ne
supportant pas les liens symboliques.
<br/><br/>

<b>-u</b> <b></b> ,<b></b>  <b>--update"</b> <b></b>  Ne pas effectuer la copie si le fichier destination 
existant (autre qu'un rpertoire) a une date de modification gale ou
plus rcente que celle du fichier source.
<br/><br/>

<b>-v</b> <b></b> ,<b></b>  <b>--verbose"</b> <b></b>  Afficher le nom de chaque fichier avant de le copier. 
<br/><br/>

<b>-x</b> <b></b> ,<b></b>  <b>--one-file-system"</b> <b></b>  Ignorer les sous-rpertoires se trouvant sur un systme de fichiers
diffrent de celui du dpart de la copie.
</div><br/><br /><h1 class="TitreSection0" id="L7">options de sauvegarde gnu</h1>
<div class="paragraph">
Les versions GNU des programmes comme
<b>cp ,</b>
<b>mv ,</b>
<b>ln ,</b>
<b>install</b> <b></b>  et
<b>patch</b> <b></b>  creront au besoin une copie de sauvegarde des fichiers  craser,
 modifier ou  dtruire.
On demande une copie de sauvegarde  l'aide de l'option -b,
on indique la nomenclature  adopter avec l'option -V, et si
la sauvegarde se fait avec un suffixe, celui-ci est prcis avec l'option -S.
<br/><br/>

<b>-b</b> <b></b> ,<b></b>  <b>--backup"</b> <b></b>  Crer une copie de sauvegarde des fichiers  craser ou  dtruire.
<br/><br/>

--backup= CONTROL
(Depuis fileutils-4.1.)
<br/><br/>

<b>-S </b> SUFFIXE <i>, --suffix=</i> SUFFIXE
Ajouter le
<i>SUFFIXE</i> indiqu  chaque fichier de sauvegarde cr.
Si cette option n'est pas indique, on utilisera la valeur de la variable
d'environnement
<b>SIMPLE_BACKUP_SUFFIX .</b>
Si la variable
<b>SIMPLE_BACKUP_SUFFIX</b> <b></b>  n'existe pas, la valeur par dfaut est `~'.
<br/><br/>

<b>-V </b> MTHODE <i>, --version-control=</i> MTHODE
.RS
Prciser la nomenclature des fichiers de sauvegarde
La
<i>MTHODE</i> indique peut tre `numbered' (`t'), `existing' (`nil'), ou `never' (`simple').
Si cette option n'est pas indique, la valeur de la variable
d'environnement
<b>VERSION_CONTROL</b> <b></b>  est utilise, et si la variable
<b>VERSION_CONTROL</b> <b></b>  n'existe pas, la valeur par dfaut est `existing'.<br/><br/>
Cette option correspond  la variable `version-control' sous Emacs.
Les
<i>MTHODES</i>
valides (les abrviations non ambigus sont acceptes) sont&nbsp;:
<br/><br/>

<b>t </b>, <b> numbered</b>
Toujours faire une sauvegarde numrote.
<br/><br/>

<b>nil </b>, <b> existing</b>
Faire une sauvegarde numrote des fichiers en ayant dj une prcdente, et
une sauvegarde simple pour les autres.
<br/><br/>

<b>never </b>, <b> simple</b>
Faire toujours une sauvegarde simple.

</div><br/><br /><h1 class="TitreSection0" id="L8">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer correctement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard, et se terminer correctement.
<br/><br/>

<b>--"</b> <b></b>  Fin de la liste d'options.
</div><br/><br /><h1 class="TitreSection0" id="L9">environnement</h1>
<div class="paragraph">
Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES
ont leurs significations habituelles.
Pour la version GNU, les variables SIMPLE_BACKUP_SUFFIX et VERSION_CONTROL
configurent la nomenclature adopte pour les sauvegardes de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L10">conformit</h1>
<div class="paragraph">
POSIX 1003.2.
</div><br/><br /><h1 class="TitreSection0" id="L11">notes</h1>
<div class="paragraph">
Cette page dcrit
<b>cp</b> <b></b>  tel qu'on le trouve dans le paquetage fileutils-4.0&nbsp;; d'autres
versions peuvent diffrer lgrement.
</div><br/><br /><h1 class="TitreSection0" id="L12">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
