<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 09/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>CSPLIT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
csplit - Dcouper un fichier en sections dtermines par des lignes de contexte.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>csplit</b> <b></b>  [-sqkz] [-f prfixe] [-b suffixe] [-n longueur] [--prefix=prfixe]
[--suffix-format=suffixe] [--digits=longueur] [--quiet] [--silent]
[--keep-files] [--elide-empty-files] [--help] [--version]
fichier motif...
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>csplit .<br/><br/></b>
<b>csplit</b> <b></b>  cre plusieurs fichiers de sortie contenant diffrentes sections du <i>fichier</i>
d'entre indiqu, ou de l'entre standard si le nom `-' est fourni.<br/><br/>
Par dfaut,
<b>csplit</b> <b></b>  affiche le nombre d'octets crits dans chaque fichier de sortie aprs
l'avoir cr.<br/><br/><br/><br/>
Le contenu des fichiers de sortie est dtermin par les arguments
<i>motif .</i>
Une erreur est dclenche si un motif ne correspond  aucune ligne
du fichier d'entre, par exemple si aucune ligne restante ne
se rapporte  une expression rationnelle donne.<br/><br/>
Aprs avoir trouv des lignes correspondantes pour chaque motif donn,
le reste du fichier est copi dans un dernier fichier de sortie.<br/><br/>
Les types d'argument <i>motif</i> sont :
.RS
<br/><br/>

<i>nombre</i> <br/>
Cre un fichier de sortie contenant la ligne en cours, et les suivantes
jusqu' la ligne <i>nombre</i> (un entier positif) non-incluse.
Si cet argument est suivi d'un nombre de rptitions, un autre fichier
de sortie contenant <i>nombre</i> lignes est cr pour chaque itration.
<br/><br/>

/<i>regexp</i>/[<i>dcalage</i>]
<br/>
Crer un fichier de sortie commenant  la ligne en cours, jusqu' 
la prochaine ligne du fichier d'entre correspondant  l'expression
rationnelle <i>regexp</i>. Cette ligne n'est pas incluse. Le <i>dcalage</i>
ventuel est un nombre entier positif ou ngatif. S'il est mentionn,
le fichier de sortie ira jusqu' la ligne prcdant ou suivant de la
valeur <i>dcalage</i> celle correspondant  l'expression rationnelle.
La ligne suivante dbutera alors la prochaine section.
<br/><br/>

%<i>regexp</i>%[<i>offset</i>]
<br/>
Comme le type prcdent,  la diffrence que le rsultat n'est pas
crit dans un fichier de sortie, la section est ainsi ignore.
<br/><br/>

{<i>nombre</i>}
<br/>
Rpter <i>nombre</i> fois supplmentaires le motif prcdent. <i>nombre</i>
doit tre un entier positif. Un astrisque  la place de <i>nombre</i>
indique une rptition indfinie, jusqu' la fin du fichier d'entre.
<br/><br/>
Les noms des fichiers de sortie consistent en un <i>prfixe</i> suivi
d'un <i>suffixe</i>. Par dfaut, le suffixe est un nombre de deux chiffres,
dans l'intervalle croissant 00  99. Nanmoins ceci peut tre modifi
par les options
<i>--digits</i> ou
<i>--suffix-format .</i>
(Voir plus bas.) <br/><br/>
Dans tous les cas, la concatnation des fichiers
rsultats dans l'ordre croissant des noms de fichiers redonne le
fichier original.
Le prfixe par dfaut des fichiers de sortie est `xx'.<br/><br/>
Par dfaut, lorsque
<b>csplit</b> <b></b>  rencontre une erreur, ou reoit un signal Hangup, Interrupt, Quit ou Terminate,
il efface tous les fichiers rsultats qu'il avait crs.
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>-b, --suffix-format=suffixe</i> Utiliser le
<i>suffixe</i> pour crer les noms de fichiers de sortie. Quand cette option est
mentionne, la chane <i>suffixe</i> doit contenir exactement une
spcification de format compatible avec <b>printf</b>(3) 
(comme %d, avec ventuellement des attributs de largeur, de prcision, ou
tout autre modificateur). La spcification doit permettre la conversion
d'un argument entier binaire en forme lisible. Ainsi seuls les
indicateurs de format `d', 'i', `u', `o', `x', et `X' sont autoriss.
La chane <i>suffixe</i> complte (avec le numro de fichier de sortie)
est transmise  <b>sprintf</b>(3) pour crer le suffixe du nom de
chaque fichier individuellement.
Quand cette option est utilise, l'argument
<i>--digits</i> est ignor.
<br/><br/>

<i>-f, --prefix=prfixe</i> Utiliser le
<i>prfixe</i> indiqu pour crer les noms de fichiers de sortie.
<br/><br/>

<i>-k, --keep-files</i> Ne pas effacer les fichiers rsultats lorsque des erreurs se produisent.
<br/><br/>

<i>-n, --digits=longueur</i> Utiliser des noms de fichiers contenant des nombres de la <i>longueur</i>
indique. (Par dfaut 2).
<br/><br/>

<i>-s, -q, --silent, --quiet</i> Ne pas afficher les tailles des fichiers de sortie.
<br/><br/>

<i>-z, --elide-empty-files</i> viter la cration de fichiers de sortie vides (Dans le cas o un
identificateur indique la premire ligne de chaque section, le premier
fichier rsultat sera gnralement vide si l'on n'utilise pas cette
option). Remarquez que la squence des numros de fichiers de sortie
sera toujours continue, commenant  0, mme si des sections vides
sont limines.
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et terminer normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
