<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 22/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>DATE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">exemples</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
date - Afficher ou configurer la date et l'heure du systme.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>date</b> <b></b>  [-d chane_date] [-f fichier] [-r fichier] [-R] [-s chane_date] [-u]
[--date=chane_date] [--file=fichier] [--reference=fichier] [--rfc-822] [--set=chane_date] [--utc] [--universal]
[--help] [--version]
[+FORMAT] [MMJJhhmm[[SS]AA][.ss]]<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>date .<br/><br/></b>
<b>date</b> <b></b>  sans argument affiche la date et l'heure actuelles (avec le format
indiqu par la directive `%c' dcrite plus-bas).<br/><br/>
Si un argument commenant par un `+' est indiqu, la date et l'heure
sont affiches avec un format contrl par cet argument. La structure
de la chane prcisant le format est semblable  celle utilise avec
la fonction <b>strftime</b>(3).<br/><br/>
Les caractres prsents dans cette chane sont affichs tels quels, sauf
les directives, commenant toutes par '%'.<br/><br/>
Ces directives sont les suivantes :
.IP %
un caractre % littral.
.IP n
saut de ligne
.IP t
tabulation horizontale<br/><br/>
Champs horaires :
.IP %H
heure (00..23)
.IP %I
heure (01..12)
.IP %k
heure ( 0..23)
.IP %l
heure ( 1..12)
.IP %M
minute (00..59)
.IP %p
notation locale pour AM ou PM.
.IP %r
heure actuelle (sur 12 heures) (hh:mm:ss [AP]M)
.IP %s
secondes coules depuis le 01-01-1970  00:00:00 T.U (extension non standard)
.IP %S
secondes (00..61)
.IP %T
heure actuelle, (sur 24 heures) (hh:mm:ss)
.IP %X
reprsentation locale de l'heure (%H:%M:%S)
.IP %Z
fuseau horaire (par ex. MET), ou rien si le fuseau horaire n'est pas dtermin<br/><br/>
Champs de date :
.IP %a
abrviation locale du jour de la semaine (Dim .. Sam)
.IP %A
nom local du jour de la semaine (Dimanche .. Samedi)
.IP %b
abrviation locale du nom du mois (Jan..Dec)
.IP %B
nom local du mois (Janvier .. Dcembre)
.IP %c
date et heure locales (Sat Nov 04 12:02:33 EST 1989)
.IP %d
jour du mois (01..31)
.IP %D
date (mm/jj/aa)
.IP %h
comme %b
.IP %j
jour de l'anne (001..366)
.IP %m
mois (01..12)
.IP %U
numro de semaine dans l'anne (00..53). La semaine commence le Dimanche.
.IP %w
Jour de la semaine (0..6). Le 0 correspond au Dimanche.
.IP %W
numro de semaine dans l'anne (00..53). La semaine commence le Lundi.
.IP %x
reprsentation locale de la date (mm/jj/aa)
.IP %y
deux derniers chiffres de l'anne (00..99)
.IP %Y
anne (1970...)<br/><br/>
Par dfaut,
<b>date</b>
complte les champs numriques avec des zros.
La version GNU de
<b>date</b>
dispose des options non standards suivantes :
.IP -
(tiret) ne pas complter le champ
.IP _
(souligne) remplir le champ avec des espaces<br/><br/>
Si l'on fournit un argument ne commenant pas par `+',
<b>date</b> <b></b>  le considre comme une heure  utiliser pour configurer l'horloge systme.
Cet argument doit tre constitu uniquement de chiffres, ayant la
signification suivante :
.IP MM
mois
.IP JJ
jour du mois
.IP hh
heure
.IP mm
minute
.IP SS
Deux premiers chiffres de l'anne (facultatif)
.IP AA
Deux derniers chiffres de l'anne (facultatif)
.IP ss
secondes (facultatif)<br/><br/>
Seul le Super-Utilisateur peut configurer l'horloge du systme.
</div><br/><h2 class="TitreSection1" id="L6">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>-d chane_date, --date=chane_date</i> Afficher la date et l'heure indiques par la chane
<i>chane_date .</i>
L'affichage est fait avec le format par dfaut,  moins qu'un argument
commenant par un `+' ne fournisse un autre format
<br/><br/>

<i>-f fichier, --file=fichier</i> Comme -d mais en utilisant successivement toutes les dates indiques
dans le fichier.
<br/><br/>

<i>-r fichier, --reference=fichier</i> Afficher la date de dernire modification du fichier.
<br/><br/>

<i>-R, --rfc-822</i> Afficher la date dans un format conforme  la RFC 822.
<br/><br/>

<i>-s chane_date, --set=chane_date</i> Configurer l'horloge systme avec la date et l'heure indiques par
<i>chane_date ,</i>
qui peut contenir ventuellement des noms littraux de mois, de fuseau
horaire, `am' ou `pm', etc...
<br/><br/>

<i>-u, --utc, --universal</i> Afficher ou configurer l'heure en utilisant le Temps Universel (heure du 
mridien de Greenwich) plutt que le temps local.
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard, et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard, et se terminer
normalement.
</div><br/><br /><h1 class="TitreSection0" id="L4">exemples</h1>
<div class="paragraph"><br/><br/>
Pour afficher la date de l'avant-veille :
.IP
date --date '2 days ago'<br/><br/>
Pour afficher la date du jour  venir dans 3 mois plus un jour :
.IP
date --date '3 months 1 day'<br/><br/>
Pour afficher le numro du jour de Nol de l'anne en cours :
.IP
date --date '25 Dec' +%j<br/><br/>
Pour afficher la date actuelle dans un format incluant le jour du mois
suivi du nom complet du mois :
.IP
date '+%d %B'<br/><br/>
Il est parfois indsirable que les 9 premiers jours du mois
soient complts par un zro. l'argument `%d' est responsable de
ce complment sur deux chiffres. Par exemple `date -d 1-may '+%d %B'' 
donnera `01 May'.<br/><br/>
Pour afficher la mme chose sans le zro de complment, on peut
utiliser l'option non standard `-'.
.IP
date -d 1-may '+%-d %B'<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
