<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 19/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 15/12/1998 - LDP man-pages 1.22 -->
<!--  mj 30/05/2001 - LDP man-pages 1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>DD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L5">environnement</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">exemple</a>
<br /><a class="summaryIndent0" href="#L8">bogues</a>
<br /><a class="summaryIndent0" href="#L9">notes</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
dd - Convertir et copier un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>dd</b> <b></b>  <b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  [if= fichier ]
[of= fichier ]
[ibs= octets ]
[obs= octets ]
[bs= octets ]
[cbs= octets ]
[skip= blocs ]
[seek= blocs ]
[count= blocs ]
<b>[conv={ascii</b> <b></b> ,<b>ebcdic</b> <b></b> ,<b>ibm</b> <b></b> ,<b>block</b> <b></b> ,<b>unblock</b> <b></b> ,<b>lcase</b> <b></b> ,<b>ucase</b> <b></b> ,<b>swab</b> <b></b> ,<b>noerror</b> <b></b> ,<b>notrunc</b> <b></b> ,<b>sync}]"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>dd</b> <b></b>  copie un fichier (par dfaut, depuis l'entre standard vers la sortie
standard) en permettant de slectionner la taille de bloc, et d'effectuer
des conversions.<br/><br/>
Il lit son entre bloc par bloc, en utilisant la taille des blocs d'entre
mentionne (par dfaut 512 octets).
Si l'option
bs= octets
est prsente, et si aucune autre conversion que
<b>sync </b>, <b> noerror </b> ou <b> notrunc</b>
n'est indique, il crit la quantit de donnes lues (qui peut tre plus petite
que celle demande) dans un bloc de sortie indpendant. Ce bloc a exactement
la mme taille que les donnes lues, sauf si la conversion
<b>sync</b> <b></b>  a t rclame, auquel cas les donnes sont compltes avec des octets nuls,
ou des espaces (voir plus bas).<br/><br/>
Sinon, l'entre, lue un bloc  la fois, est traite et les rsultats sont
regroups et crits par blocs de la taille indique. La taille finale des
blocs de sortie peut tre infrieure  celle des blocs d'entre.<br/><br/>
Les options prenant une valeur numrique peuvent tre suivies d'un
multiplicateur : `k'=1024, `b'=512, `w'=2, `c'=1. `w' et `c' sont des
extensions GNU, et `w' ne devrait jamais tre utilis car il signifie 2
sur le Systme V et 4 sur 4.2BSD).
Deux expressions numriques, ou plus, peuvent tre multiplies en insrant
un `x' entre elles.
La version GNU fileutils-4.0 accepte galement les multiplicateurs suivants
dans les tailles de blocs (bs=, cbs=, ibs=, obs=) :
M=1048576, G=1073741824, et ainsi de suite avec T, P, E, Z, et Y.
Un suffixe `D' arrondit ces multiplicateurs en dcimal :
kD=1000, MD=1000000, GD=1000000000, etc.
(Notez que pour les commandes ls, df, du, la taille des M, G, etc. est
dtermine par l'environnement, mais qu'elle est fixe pour dd).
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

if= fichier
Lire les donnes depuis le
<i>fichier</i> indiqu plutt que depuis l'entre standard.
<br/><br/>

of= fichier
crire les donnes dans le
<i>fichier</i> mentionn, et non pas sur la sortie standard.
Si
<b>conv=notrunc</b> <b></b>  n'est pas indiqu, le
<i>fichier</i> est initialement tronqu  la taille spcifie par
<b>seek=</b> <b></b>  (0 octets si
<b>seek=</b> <b></b>  n'est pas fourni).
<br/><br/>

ibs= nombre
Lire le
<i>nombre</i> indiqu d'octets en une fois. Par dfaut 512.
<br/><br/>

obs= nombre
crire le
<i>nombre</i> indiqu d'octets en une fois. Par dfaut 512.
<br/><br/>

bs= nombre
Lire et crire le
<i>nombre</i> indiqu d'octets en une fois. A priorit sur ibs et obs.
(et indiquer
<b>bs</b> <b></b>  n'est pas quivalent  indiquer la mme valeur pour
<b>ibs</b> <b></b>  et
<b>obs</b> <b></b>  du moins lorsqu'aucune autre conversion que
<b>sync,</b>
<b>noerror</b> <b></b>  et
<b>notrunc</b> <b></b>  n'est indique, car cela indique que chaque bloc d'entre doit tre
copi dans un bloc de sortie indpendant, sans regrouper les blocs plus
courts).
<br/><br/>

cbs= nombre
Indique la taille des blocs pour les conversion
<b>block</b> <b></b>  et 
<b>unblock .</b>
<br/><br/>

skip= nombre
Ignorer le
<i>nombre</i> indiqu de blocs (dont la taille est fournie par ibs) au dbut de la lecture.
<br/><br/>

seek= nombre
Ignorer le
<i>nombre</i> indiqu de blocs (dont la taille est fournie par ibs) au dbut de l'criture.
<br/><br/>

count= nombre
Copier seulement le
<i>nombre</i> indiqu de blocs (dont la taille est fournie par ibs), et non pas tout jusqu'
la fin du fichier.
<br/><br/>

conv= conversion [, conversion ]...
Modifier le fichier comme indiqu par l'argument
<i>conversion , </i>
qui peut prendre les valeurs suivantes (pas d'espace autour des virgules
lorsque plusieurs arguments sont fournis) :
.RS<br/><br/>
<br/><br/>

<b>ascii</b> <b></b>  Convertir l'EBCDIC en ASCII.
<br/><br/>

<b>ebcdic</b> <b></b>  Convertir l'ASCII en EBCDIC.
<br/><br/>

<b>ibm</b> <b></b>  Convertir l'ASCII en EBCDIC IBM.
<br/><br/>

<b>block</b> <b></b>  Complter les blocs se terminant par un saut de ligne avec des espaces,
jusqu' atteindre la taille mentionne par cbs.
<br/><br/>

<b>unblock</b> <b></b>  Remplacer les espaces en fin de blocs (de taille cbs) par un saut de ligne.
<br/><br/>

<b>lcase</b> <b></b>  Transformer les majuscules en minuscules.
<br/><br/>

<b>ucase</b> <b></b>  Transformer les minuscules en majuscules.
<br/><br/>

<b>swab</b> <b></b>  changer par paire les octets lus en entre. Contrairement  la commande
dd d'Unix, la version GNU fonctionne galement lorsqu'on copie un nombre impair
d'octets. Dans ce cas, le dernier octet est tout simplement copi.
[POSIX 1003.2b, interprtations PASC 1003.2 #3 and #4]
<br/><br/>

<b>noerror</b> <b></b>  Continuer mme aprs des erreurs de lecture.
<br/><br/>

<b>notrunc</b> <b></b>  Ne pas limiter la taille du fichier de sortie.
<br/><br/>

<b>sync</b> <b></b>  Complter chaque bloc lu avec des NULs pour atteindre la taille
<b>ibs .</b>

</div><br/><br /><h1 class="TitreSection0" id="L5">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer correctement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard, et se terminer
correctement.
<br/><br/>

<b>--"</b> <b></b>  Fin de la liste d'options.
</div><br/><br /><h1 class="TitreSection0" id="L6">environnement</h1>
<div class="paragraph">
Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES
ont leurs significations habituelles.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
POSIX 1003.2.
</div><br/><br /><h1 class="TitreSection0" id="L8">exemple</h1>
<div class="paragraph">
Souvent, un lecteur de bandes n'accepte pas des blocs de tailles arbitraires,
et
<b>dd</b> <b></b>  recevra une erreur d'entre/sortie pour le dernier morceau de donnes qui
ne rentre pas intgralement dans un bloc. Utilisez `dd if=mon_fic  of=/dev/ma_bande conv=sync' pour que tout soit crit sur la bande. Bien sr, la lecture
fournira un fichier lgrement plus grand, avec des octets nuls ajouts  la
fin.
</div><br/><br /><h1 class="TitreSection0" id="L9">bogues</h1>
<div class="paragraph">
Les commandes du type `dd if=mon_fic of=/dev/fd0 bs=1k seek=172' chouent
sur certains systmes car
<b>dd</b> <b></b>  essaye de tronquer le fichier de sortie, mais cela n'est pas possible sur
un priphrique de type bloc. Dans ce cas, utilisez l'option `conv=notrunc'.
</div><br/><br /><h1 class="TitreSection0" id="L10">notes</h1>
<div class="paragraph">
Cette page de manuel documente la version de
<b>dd</b> <b></b>  se trouvant dans le paquetage fileutils-4.0. D'autres versions peuvent
varier lgrement.
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
