<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright Andries Brouwer, Ragnar Hojland Espinosa and A. Wik, 1998. -->
<!--  -->
<!--  This file may be copied under the conditions described -->
<!--  in the LDP GENERAL PUBLIC LICENSE, Version 1, September 1998 -->
<!--  that should have been distributed together with this file. -->
<!--  -->
<!--  Traduction 14/12/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 05/06/99 - LDP-man-pages-1.23 -->
<!--  Mise  jour 30/05/01 - LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>DF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">prcisions posix</a>
<br /><a class="summaryIndent0" href="#L4">prcisions gnu</a>
<br /><a class="summaryIndent0" href="#L5">options posix</a>
<br /><a class="summaryIndent0" href="#L6">options gnu</a>
<br /><a class="summaryIndent0" href="#L7">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L8">environnement</a>
<br /><a class="summaryIndent0" href="#L9">conformit</a>
<br /><a class="summaryIndent0" href="#L10">voir aussi</a>
<br /><a class="summaryIndent0" href="#L11">notes</a>
<br /><a class="summaryIndent0" href="#L12">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
df - Fournit la quantit d'espace occup des systmes de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>df [</b> options <i>] [</i> fichier... ]
<br/><br/>

Options POSIX :
<b>[-kP]</b> <b></b>  <b>[--]"</b> <b></b>  <br/><br/>

Options GNU (versions courtes) :
<b>[-ahikmPv]</b> <b></b>  <b>[-t </b> type_fs ]
<b>[-x </b> type_fs ]
<b>[--print-type]</b> <b></b>  <b>[--no-sync]</b> <b></b>  <b>[--sync]</b> <b></b>  <b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>df</b> <b></b>  indique les quantits d'espaces disques utilises et disponibles sur les
systmes de fichiers.<br/><br/>
Sans argument,
<b>df</b> <b></b>  indiquera les quantits correspondant  tous les systmes de fichiers
monts, quels que soient leurs types.
Sinon, 
<b>df</b> <b></b>  affichera les donnes correspondant aux systmes contenant chaque
<i>fichier</i>
fournit en argument.
</div><br/><br /><h1 class="TitreSection0" id="L4">prcisions posix</h1>
<div class="paragraph">
Les valeurs sont indiques en units de 512 octets par dfaut, mais
si l'option -k est utilise, l'unit est 1024 octets.
Le format de sortie n'est pas dfini si l'option -P n'est pas utilise.
Si le
<i>fichier</i> n'est pas un fichier rgulier, un rpertoire, ou une FIFO, le rsultat
est imprvisible.
</div><br/><br /><h1 class="TitreSection0" id="L5">prcisions gnu</h1>
<div class="paragraph">
Les valeurs sont fournies en units de 1024 octets par dfaut, sauf si la
variable d'environnement 
<b>POSIXLY_CORRECT</b> <b></b>  existe, auquel cas le comportement POSIX est adopt.<br/><br/>
Si un
<i>fichier</i> indiqu en argument est un priphrique disque contenant un systme de
fichiers mont, 
<b>df</b> <b></b>  affichera l'espace disponible sur ce systme de fichiers plutt que sur
celui contenant le noeud du priphrique.
</div><br/><br /><h1 class="TitreSection0" id="L6">options posix</h1>
<div class="paragraph">
<br/><br/>

<b>-k"</b> <b></b>  Utiliser des units de 1024 octets plutt que les units de 512 octets par dfaut.
<br/><br/>

<b>-P"</b> <b></b>  Affichage sur six colonnes, prcdes de l'en-tte
`Filesystem N-blocks Used Available Capacity Mounted on'
(avec N=512, ou N=1024 si l'option -k est utilise).
<br/><br/>

<b>--"</b> <b></b>  Fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L7">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>-a</b> <b></b> ,<b></b>  <b>--all"</b> <b></b>  Inclure dans le listing les systmes de fichiers ayant une taille
de 0 blocs, et qui sont omis par dfaut. Il s'agit typiquement
de pseudo-systmes de fichiers particuliers comme les entres d'un
auto-monteur. De mme les systmes de type "ignore" ou "auto" utiliss
par certains systmes d'exploitation ne sont inclus qu'avec cette option.
<br/><br/>

<b>--block-size=</b> nb
Afficher les tailles en blocs de 
<i>nb</i> octets. (Nouveau dans fileutils-4.0, mais erron).
<br/><br/>

<b>-h</b> <b></b> ,<b></b>  <b>--human-readable"</b> <b></b>  Ajouter  chaque valeur une lettre comme
<b>M</b> <b></b>  pour Mga-octet, afin d'amliorer la lisibilit.
<br/><br/>

<b>-H</b> <b></b> ,<b></b>  <b>--si"</b> <b></b>  Comme
<b>-h ,</b>
en utilisant les units SI officielles (puissances de 1000 plutt que 1024,
ainsi M signifie 1000000 et non 1048576).
(Nouveaut fileutils-4.0.)
<br/><br/>

<b>-i</b> <b></b> ,<b></b>  <b>--inodes"</b> <b></b>  Afficher les informations sur l'utilisation des i-noeuds plutt que
les blocs. Un i-noeud (noeud d'index) contient des informations sur
un fichier comme son propritaire, ses dates d'accs et sa position
sur le disque.
<br/><br/>

<b>-k</b> <b></b> ,<b></b>  <b>--kilobytes"</b> <b></b>  Afficher les valeurs avec des units de 1024 octets.
<br/><br/>

<b>-l</b> <b></b> ,<b></b>  <b>--local"</b> <b></b>  Ne traiter que les systmes de fichiers locaux
(Nouveaut fileutils-4.0).
<br/><br/>

<b>-m</b> <b></b> ,<b></b>  <b>--megabytes"</b> <b></b>  Afficher les valeurs avec des units de 1 048 576 octets (un mga-octet).
Notez que les options -h, -H, -k, -m sont mutuellement exclusives, et
seule la dernire indique est effective&nbsp;; par exemple si on indique
simultanment --si et -m, la sortie ne se fera PAS en blocs de
1000000 octets. [La taille des blocs est galement influence
par la variable d'environnement BLOCK_SIZE, mais ceci ne fonctionne
pas dans fileutiles-4.0.]
<br/><br/>

<b>--no-sync"</b> <b></b>  Ne pas invoquer l'appel systme
<b>sync</b> <b></b>  avant d'obtenir les informations sur l'utilisation du disque.
Ceci peut permettre 
<b>df</b> <b></b>  de s'excuter sensiblement plus vite, mais sur certains systmes
(notamment SunOS) les rsultats peuvent tre fortement dpasss.
Il s'agit du comportement par dfaut.
<br/><br/>

<b>-P</b> <b></b> ,<b></b>  <b>--portability"</b> <b></b>  Utiliser le format d'affichage
.SM POSIX.
Par rapport  l'affichage par dfaut, les informations sur un systme
de fichiers sont toujours affiches sur une ligne exactement. Ceci signifie
que si un systme de fichiers mont a plus de 20 caractres de long (par exemple
un montage  travers le rseau), les colonnes sont mal alignes.
<br/><br/>

<b>--sync"</b> <b></b>  Invoquer l'appel-systme
<b>sync</b> <b></b>  avant d'obtenir les informations sur l'utilisation du disque.
Sur certains systmes (notamment SunOS) ceci fournit des
rsultats beaucoup plus  jour, mais 
<b>df</b> <b></b>  s'excute parfois beaucoup plus lentement, surtout si des systmes
de fichiers sont trs utiliss.
<br/><br/>

<b>-t </b> <i>type, </i> <b>--type=</b> <i>type</i>
Limiter la liste aux systmes de fichiers du
<i>type</i> indiqu.
On peut fournir plusieurs types de systmes en utilisant plusieurs
options
<b>-t .</b>
Par dfaut, rien n'est omis.
<br/><br/>

<b>-T</b> <b></b> ,<b></b>  <b>--print-type"</b> <b></b>  Afficher le type de chaque systme de fichiers.
Les types affichs sont indiqus par le systme (de manire spcifique,
par exemple en lisant
<i>/etc/mtab ).</i>
Voir galement
<b>mount (8).</b>
<br/><br/>

<b>-x </b> <i>type, </i> <b>--exclude-type=</b> <i>type</i>
Limiter l'affichage aux systmes n'ayant PAS le
<i>type</i> indiqu.
Plusieurs types de systmes de fichiers peuvent tre limins en
utilisant plusieurs options
<b>-x</b> .</b>
Par dfaut, rien n'est omis.
<br/><br/>

<b>-v"</b> <b></b>  Ignor. Pour compatibilit avec System V.
<b>df.</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L8">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer correctement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard, et se terminer
correctement.
<br/><br/>

<b>--"</b> <b></b>  Fin de la liste d'options.
</div><br/><br /><h1 class="TitreSection0" id="L9">environnement</h1>
<div class="paragraph">
La variable POSIXLY_CORRECT dtermine le choix des units.
Si elle n'existe pas, et si la variable BLOCKSIZE a une valeur
commenant par HUMAN alors, le comportement est celui de
l'option -h ( moins qu'il soit surcharg par une option -k ou -m).
Les variables
LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.
</div><br/><br /><h1 class="TitreSection0" id="L10">conformit</h1>
<div class="paragraph">
POSIX 1003.2
</div><br/><br /><h1 class="TitreSection0" id="L11">voir aussi</h1>
<div class="paragraph">
<b>mount (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L12">notes</h1>
<div class="paragraph">
Cette page dcrit la version de
<b>df</b> <b></b>  se trouvant dans le paquetage fileutils-3.16.
D'autres versions peuvent diffrer lgrement.
</div><br/><br /><h1 class="TitreSection0" id="L13">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
