<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright Andries Brouwer, Ragnar Hojland Espinosa and A. Wik, 1998. -->
<!--  -->
<!--  This file may be copied under the conditions described -->
<!--  in the LDP GENERAL PUBLIC LICENSE, Version 1, September 1998 -->
<!--  that should have been distributed together with this file. -->
<!--  -->
<!--  -->
<!--  Traduction 14/12/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj le 30/05/2001 LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>DIRCOLORS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L5">environnement</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">fichiers</a>
<br /><a class="summaryIndent0" href="#L9">notes</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
dircolors - Configuration des couleurs pour `ls'.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>dircolors</b> <b></b>  <b>[-b]</b> <b></b>  <b>[--sh]</b> <b></b>  <b>[--bourne-shell]</b> <b></b>  <b>[-c]</b> <b></b>  <b>[--csh]</b> <b></b>  <b>[--c-shell]</b> <b></b>  <b>[-p]</b> <b></b>  <b>[--print-database]</b> <b></b>  <b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  [ FICHIER ]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>dircolors</b> <b></b>  affiche une liste de commandes shell permettant de dfinir les couleurs
d'affichage de
<b>ls</b> <b></b>  (et
<b>dir ,</b>
etc...).
<br/>
Utilisation typique&nbsp;:
<br/>
.RS
eval `dircolors [OPTION]... [FICHIER]`
<br/><br/>
Si un
<i>FICHIER</i> est indiqu,
<b>dircolors</b> <b></b>  le lira pour dterminer les couleurs  utiliser pour chaque type de
fichiers. Sinon, une base de donnes prcompiles est utilise.
Pour des dtails sur le format du fichier, invoquez
`dircolors -p'.<br/><br/>
La sortie est une commande shell permettant de configurer la
variable d'environnement
<b>LS_COLORS .</b>
Vous pouvez indiquer, sur la ligne de commande, la syntaxe shell  employer
ou 
<b>dircolors</b> <b></b>  essayera de la dterminer  partir de la variable d'environnement
<b>SHELL .<br/><br/></b>
Aprs excution de cette commande, `ls --color' (que l'on peut fournir
comme alias de ls)
affichera les fichiers avec les couleurs dsires.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

<b>-b</b> <b></b> ,<b></b>  <b>--sh</b> <b></b> ,<b></b>  <b>--bourne-shell"</b> <b></b>  Fournir des commandes pour un shell Bourne. C'est le comportement par dfaut
si la variable d'environnement
<b>SHELL</b> <b></b>  existe, et ne se termine pas par
<i>csh</i> ou
<i>tcsh .</i>
<br/><br/>

<b>-c</b> <b></b> ,<b></b>  <b>--csh</b> <b></b> ,<b></b>  <b>--c-shell"</b> <b></b>  Fournir des commandes pour un shell C. C'est le comportement par dfaut
si la variable d'environnement
<b>SHELL</b> <b></b>  se termine par
<i>csh</i> ou
<i>csh .</i>
<br/><br/>

<b>-p</b> <b></b> ,<b></b>  <b>--print-database"</b> <b></b>  Afficher la base de donnes des couleurs par dfaut (fixe  la compilation).
Cette sortie est elle-mme un fichier de configuration valide, et est
assez explicite concernant l'ensemble des possibilits.
</div><br/><br /><h1 class="TitreSection0" id="L5">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et terminer correctement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard, et terminer correctement.
<br/><br/>

<b>--"</b> <b></b>  Fin de la liste d'options.
</div><br/><br /><h1 class="TitreSection0" id="L6">environnement</h1>
<div class="paragraph">
Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.
Les variables SHELL et TERM sont utilises pour dterminer la syntaxe
de la commande shell.
La variable LS_COLORS sert  fournir les informations pour
<b>ls .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
La sortie colore de
<b>ls (1)</b>
est une extension GNU.
Cette implmentation n'est pas tout  fait compatible avec le paquetage
<b>dircolors / color-ls</b>
original de la distribution Linux Slackware. En particulier, les supports
spcifiques des shells Z et Korn en sont absents. Les utilisateurs de ces
shells devraient employer le mode Bourne shell (-b).
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>dir_colors (5),</b>
<b>ls (1)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">fichiers</h1>
<div class="paragraph">
Le programme
<b>dircolors</b> <b></b>  lui-mme n'utilise pas de fichier de configuration. Nanmoins, les scripts
d'initialisation du shell invoquent, pour le personnaliser,
<b>dircolors</b> <b></b>  avec l'un des fichiers suivants :
<br/><br/>

<i>/etc/DIR_COLORS</i> Fichier de configuration global pour le systme.
<br/><br/>

<i>~/.dir_colors</i> Fichier de configuration personnel pour un utilisateur.
</div><br/><br /><h1 class="TitreSection0" id="L10">notes</h1>
<div class="paragraph">
Cette page dcrit la version de
<b>dircolors</b> <b></b>  se trouvant dans le paquetage fileutils-4.0.
D'autres versions peuvent diffrer lgrement.
Signalez les bogues dans le programme  fileutils-bugs@gnu.ai.mit.edu.
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
