<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 30/07/2003 psmisc-21.2 -->
<br/><h1>FUSER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">exemples</a>
<br /><a class="summaryIndent0" href="#L6">restrictions</a>
<br /><a class="summaryIndent0" href="#L7">auteur</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fuser - Identifier les processus qui utilisent un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>fuser</b> <b></b>  [ -a | -s ]</b>
[-4 | -6]</b>
[ -n&nbsp;\fIespace ]</b>
[ -<i>signal</i> ]</b>
[ -kmuv ]</b>
<i>nom ...</i> <br/>
<b>fuser</b> <b></b>  -l</b>
<br/>
<b>fuser</b> <b></b>  <b></b>  -V</b>
.ad b
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>fuser</b> <b></b>  affiche les PIDs des processus qui utilisent les fichiers ou les systmes
de fichiers indiqus.
Par dfaut, il affiche les PIDs suivis d'une lettre indiquant
le type d'accs.
.RS
.IP <b>c</b>
rpertoire courant.
.IP <b>e</b>
programme en cours d'excution.
.IP <b>f</b>
fichier ouvert. <b>f</b> est omis par dfaut.
.IP <b>r</b>
rpertoire racine
.IP <b>m</b>
fichier projet en mmoire, ou bibliothque partage.
<br/><br/>
<b>fuser</b> renvoie un code de retour non nul si aucun des fichiers
mentionns n'est utilis, ou en cas d'erreur fatale. Si au moins
un accs est dtect pour l'un des fichiers mentionns, <b>fuser</b>
renvoie zro.<br/><br/>
Pour rechercher les processus utilisant les sockets UDP ou TCP, l'espace de
nom correspondant doit tre slectionn avec l'option <b>-n</b>. Par dfaut
<b>fuser</b> recherchera les socket IPv4 et IPv6. Pour modifier ceci, utilisez
les options <b>-4</b> ou <b>-6</b>. Les sockets peuvent tre spcifies par
leurs port local ou distant et l'adresse distante. Tous les champs sont
facultatifs, mais il faut une virgule aprs un champ absent&nbsp;:<br/><br/>
<b>[</b><i>port_lcl</i><b>][</b>,<b>[</b><i>hte_dst</i><b>][</b>,<b>[<i>port_dst</i></b>]]]<br/><br/></b>
Pour les adresses IP et numros de port, on peut utiliser des numros ou
des noms symboliques.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
.IP <b>-a</b>
Montrer tous les fichiers mentionns sur la ligne de commande. Par dfaut seuls
les fichiers utiliss par un processus au moins seront affichs.
.IP <b>-k</b>
Envoyer un signal aux processus utilisant les fichiers. Si le modificateur
<b>-</b><i>signal</i>, n'est pas mentionn, c'est le signal SIGKILL qui est
envoy. Un processus <b>fuser</b> ne se tue jamais lui-mme, mais il peut
tuer d'autres processus <b>fuser</b>.
L'UID effectif du processus excutant <b>fuser</b> est remplac par
son UID rel avant l'mission du signal.
.IP <b>-l</b>
Afficher la liste des noms de signaux disponibles.
.IP <b>-m</b>
<i>fichier</i> se trouve sur un systme de fichiers mont, ou est un
priphrique bloc mont.
Tous les processus accdant aux fichiers sur ce systme seront affichs.
Si le nom d'un rpertoire est mentionn, il est automatiquement
remplac par <i>fichier</i>/. pour inclure tous les systmes de fichiers
pouvant tre monts en dessous de lui.
</div><div class="paragraph">\fB-n&nbsp;<i>espace</i><br/>
Slectionner un espace de noms diffrent. Sont supports&nbsp;: <b>file</b> (les
noms de fichiers, par dfaut), <b>udp</b> et <b>tcp</b> pour les ports locaux.
Pour les ports on peut indiquer un numro ou un nom de service. S'il n'y a
pas d'ambigut, le raccourci <i>nom</i>/<i>espace</i> est accept.
.IP <b>-s</b>
Agir en silence. Les options <b>-a</b>, <b>-u</b> et <b>-v</b> sont alors
ignores.
.IP \fB-<i>signal</i>
Envoyer le signal indiqu plutt que SIGKILL. On peut mentionner soit le
nom du signal (ex : <b>-HUP</b>), soit son numro (ex : <b>-1</b>).
.IP <b>-u</b>
Ajouter  chaque PID le nom d'utilisateur de son propritaire.
.IP <b>-v</b>
Mode volubile. Les processus sont prsents  la manire de <b>ps</b>.
Les champs PID, USER et COMMAND sont similaires  ceux de <b>ps</b>.
ACCESS indique le type d'utilisation du fichier.
.IP <b>-V</b>
Afficher le numro de version.
.IP <b>-4</b>
Ne chercher que des sopckets IPv4. Cette option ne peut pas tre utilise
avec <b>-6</b> et n'a d'effet que sur les espaces de nom tcp et udp.
.IP <b>-6</b>
Ne chercher que des sopckets IPv6. Cette option ne peut pas tre utilise
avec <b>-4</b> et n'a d'effet que sur les espaces de nom tcp et udp.
.IP <b>-</b>
Remettre toutes les options  leurs valeurs par dfaut, et le signal  SIGKILL.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">

/proc	Emplacement du systme de fichiers proc


</div><br/><br /><h1 class="TitreSection0" id="L6">exemples</h1>
<div class="paragraph">
<b>fuser -km /home</b> tue tous les processus accdant de quelque manire que ce
soit au systme de fichiers /home.<br/><br/>
<b>if fuser -s /dev/ttyS1; then :; else <i>qqchose</i>; fi</b> appelle
<i>qqchose</i> si aucun autre processus n'utilise /dev/ttyS1.<br/><br/>
<b>fuser telnet/tcp</b> affiche tous les processus du port (local) TELNET.
</div><br/><br /><h1 class="TitreSection0" id="L7">restrictions</h1>
<div class="paragraph">
Les processus accdant plusieurs fois au mme fichier, ou au mme systme
de fichiers ne sont affichs qu'une fois.<br/><br/>
Si le mme objet est spcifi plusieurs fois sur la ligne de commande,
certaines occurrences peuvent tre ignores.<br/><br/>
<b>fuser</b> ne dispose de toutes les informations que s'il est excut
avec les privilges de root. Ainsi, des fichiers ouverts par des processus
appartenant  d'autres utilisateurs n'apparatront peut-tre pas, et des
excutables peuvent n'tre vus qu'en tant que projection en mmoire.<br/><br/>
L'installation de <b>fuser</b> en tant que SUID root vite les problmes
d'informations incompltes, mais peut tre gnant pour des raisons de
scurit et de discrtion.<br/><br/>
Les espaces de nom <b>udp</b> et <b>tcp</b>, et les sockets du domaine UNIX
ne fonctionnent pas avec les noyaux antrieurs au 1.3.78.<br/><br/> 
<b>udp</b> et <b>tcp</b> fonctionnent avec IPv6 et IPv4, mais les adresses
sont uniquement du type IPv4.<br/><br/>
Les accs par le noyau ne sont affichs qu'avec l'option <b>-v</b>.<br/><br/>
L'option <b>-k</b> ne fonctionne que sur les processus. Si l'utilisateur est
le noyau, <b>fuser</b> affichera un message mais ne fera rien de plus.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">auteur</h1>
<div class="paragraph">
Werner Almesberger &lt;werner.almesberger@lrc.di.epfl.ch&gt;
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>kill (1),</b>
<b>killall (1),</b>
<b>lsof (8),</b>
<b>ps (1),</b>
<b>kill (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
