<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 15/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 09/03/2003 par Denis Barbier    (barbier@linuxfr.org) -->
<!--  grep-2.5.1 -->
<br/><h1>GREP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">expressions rationnelles</a>
<br /><a class="summaryIndent0" href="#L5">variables d'environnement</a>
<br /><a class="summaryIndent0" href="#L6">diagnostics</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
grep, egrep, fgrep - Afficher les lignes correspondant  un motif donn.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>grep</b> <b></b>  [ options ]</i>
<i>MOTIF</i> [ FICHIER .\|.\|.]</i>
<br/>
<b>grep</b> <b></b>  [ options ]</i>
[ -e</b>
<i>MOTIF</i> |
<b>-f</b> <b></b>  <i>FICHIER ]</i>
[ FICHIER .\|.\|.]</i>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/>
<b>Grep</b> <b></b>  recherche dans les
<i>FICHIER s</i>
indiqus (ou depuis l'entre standard si aucun fichier n'est fourni, ou
si le nom
<b>-"</b> <b></b>  est mentionn) les lignes correspondant  un certain
<i>MOTIF .</i>
Par dfaut,
<b>grep</b> <b></b>  affiche les lignes qui correspondent au motif.<br/><br/>
De plus, il existe deux variantes du programme&nbsp;:
<b>egrep</b> <b></b>  et
<b>fgrep .</b>
<b>Egrep</b> <b></b>  est identique 
<b>grep&nbsp;-E</b> .</b>
<b>Fgrep</b> <b></b>  est identique 
<b>grep&nbsp;-F</b> .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

-A <b> NOMBRE</b> <i>\fR,\fP -\^-after-context=</i> NOMBRE
Afficher
<i>NOMBRE</i> lignes de contexte supplmentaires aprs les lignes qui concordent.
Une ligne contenant
<b>-\</b> <b></b> ^<b>-</b> <b></b>  est mise entre les groupes contigus de correspondances.
<br/><br/>

<b>-a </b>, <b> -\^-text</b>
Traiter un fichier binaire comme s'il s'agissait de texte&nbsp;; cette option
est quivalente  l'option
<b>-\^-binary-files=text .</b>
<br/><br/>

-B <b> NOMBRE</b> <i>\fR,\fP -\^-before-context=</i> NOMBRE
Afficher
<i>NOMBRE</i> lignes de contexte supplmentaires avant les lignes qui concordent.
Une ligne contenant
<b>-\</b> <b></b> ^<b>-</b> <b></b>  est mise entre les groupes contigus de correspondances.
<br/><br/>

-C <b> NOMBRE</b> <i>\fR,\fP -\^-context=</i> NOMBRE
Afficher
<i>NOMBRE</i> lignes de contexte.
Une ligne contenant
<b>-\</b> <b></b> ^<b>-</b> <b></b>  est mise entre les groupes contigus de correspondances.
<br/><br/>

<b>-b </b>, <b> -\^-byte-offset</b>
Avant chaque ligne, afficher sa position relative (en octets) au sein du
fichier.
<br/><br/>

-\^-binary-files= TYPE
Si les premiers octets d'un fichier indiquent qu'il contient des donnes
binaires, supposer que le fichier est de type
<i>TYPE .</i>
Par dfaut,
<i>TYPE</i> est
<b>binary</b> <b></b>  (binaire), et soit
<b>grep</b> <b></b>  affiche un message d'une ligne disant que le fichier binaire concorde,
soit il n'affiche rien s'il n'y a pas concordance.
Si
<i>TYPE</i> est
<b>without-match</b> <b></b>  (sans concordance),
<b>grep</b> <b></b>  suppose qu'un fichier binaire ne concorde jamais. C'est quivalent 
l'option
<b>-I .</b>
Si
<i>TYPE</i> est
<b>text</b> <b></b>  (texte),
<b>grep</b> <b></b>  traite un fichier binaire comme du texte. C'est quivalent  l'option
<b>-a .</b>
<i>Attention&nbsp;:</i>
<b>grep</b> <b></b>  <b>-\</b> <b></b> ^<b>-binary-files=text"</b> <b></b>  peut afficher des donnes binaires indsirables, qui peuvent avoir des
consquences fcheuses si la sortie est envoye vers un terminal, et si
le pilote de celui-ci interprte cet affichage comme tant des commandes.
<br/><br/>

-\^-colour[=<i>QUAND</i>] <b>, </b> -\^-color[=<i>QUAND</i>]
Entourer la chane correspondante avec les marqueurs trouvs dans la
variable d'environnement
<b>GREP_COLOR .</b>
Les valeurs possibles de
<i>QUAND</i> sont
<b>never </b> (jamais), <b> always </b> (toujours) ou <b> auto </b> (automatique).<b></b>
<br/><br/>

<b>-c </b>, <b> -\^-count</b>
Ne pas afficher les rsultats normaux.  la place, afficher un dcompte
des lignes correspondantes pour chaque fichier.
Avec l'option
<b>-v </b>, <b> -\^-invert-match</b>
(voir plus bas), afficher le nombre de lignes ne correspondant pas au
motif.
<br/><br/>

-D <b> ACTION</b> <i>\fR,\fP -\^-devices=</i> ACTION
Si le fichier est un priphrique, une FIFO ou une socket, utiliser
<i>ACTION</i> dessus. Par dfaut,
<i>ACTION</i> est
<b>read</b> <b></b>  (lecture), ce qui signifie que les priphriques sont lus comme des
fichiers normaux. Si
<i>ACTION</i> est
<b>skip</b> <b></b>  (escamotage), les priphriques ne sont pas pris en compte et aucun
message n'est affich.
<br/><br/>

-d <b> ACTION</b> <i>\fR,\fP -\^-directories=</i> ACTION
Si le fichier est un rpertoire, utiliser
<i>ACTION .</i>
Par dfaut,
<i>ACTION</i> est
<b>read</b> <b></b>  (lecture), ce qui signifie que les rpertoires sont lus comme des
fichiers normaux. Si
<i>ACTION</i> est
<b>skip</b> <b></b>  (escamotage), les rpertoires ne sont pas pris en compte et aucun message
n'est affich.
Si
<i>ACTION</i> est
<b>recurse</b> <b></b>  (rcursivit),
<b>grep</b> <b></b>  lit tous les fichiers prsents dans chaque rpertoire, rcursivement.
C'est quivalent  l'option
<b>-r .</b>
<br/><br/>

<b>-E </b>, <b> -\^-extended-regexp</b>
Interprter le
<i>MOTIF</i> comme une expression rationnelle tendue (voir plus bas).
<br/><br/>

-e <b> MOTIF</b> <i>\fR,\fP -\^-regexp=</i> MOTIF
Utiliser le
<i>MOTIF</i> indiqu. Ceci permet de protger les motifs commenant par
<b>-</b> .</b>
<br/><br/>

<b>-F </b>, <b> -\^-fixed-strings</b>
Interprter le
<i>MOTIF</i> comme une liste de chanes de caractres, spares par des sauts de
ligne. Chacune d'entre elles doit tre recherche. 
<br/><br/>

<b>-P </b>, <b> -\^-perl-regexp</b>
Interprter le
<i>MOTIF</i> comme tant une expression rationnelle de Perl.
<br/><br/>

-f <b> FICHIER</b> <i>\fR,\fP -\^-file=</i> FICHIER
Lire les motifs dans le
<i>FICHIER</i> indiqu, un motif par ligne.
Un fichier vide ne contient aucun motif, si bien qu'aucune
concordance n'est trouve.
<br/><br/>

<b>-G </b>, <b> -\^-basic-regexp</b>
Interprter le
<i>MOTIF</i> comme une expression rationnelle simple (voir plus bas). C'est le
comportement par dfaut.
<br/><br/>

<b>-H </b>, <b> -\^-with-filename</b>
Afficher le nom du fichier pour chaque concordance.
<br/><br/>

<b>-h </b>, <b> -\^-no-filename</b>
Ne pas afficher le nom des fichiers dans les rsultats lorsque plusieurs
fichiers sont parcourus.
<br/><br/>

<b>-\</b> <b></b> ^<b>-help</b> <b></b>  Afficher un court message d'aide.
<br/><br/>

<b>-I</b> <b></b>  Traiter un fichier binaire comme s'il ne contenait aucune concordance&nbsp;;
c'est quivalent  l'option
<b>-\^-binary-files=without-match .</b>
<br/><br/>

<b>-i </b>, <b> -\^-ignore-case</b>
Ignorer les diffrences majuscules/minuscules aussi bien dans le
<i>MOTIF</i> que dans les fichiers.
<br/><br/>

<b>-L </b>, <b> -\^-files-without-match</b>
Ne pas afficher les rsultats normaux.  la place, indiquer le nom
des fichiers pour lesquels aucun rsultat n'aurait t affich.
La recherche  l'intrieur de chaque fichier s'arrte ds la premire
concordance.
<br/><br/>

<b>-l </b>, <b> -\^-files-with-matches</b>
Ne pas afficher les rsultats normaux.  la place, indiquer le nom
des fichiers pour lesquels des rsultats auraient t affichs.
La recherche  l'intrieur de chaque fichier s'arrte ds la premire
concordance.
<br/><br/>

-m <b> NOMBRE</b> <i>\fR,\fP -\^-max-count=</i> NOMBRE
Arrter de lire un fichier aprs avoir lu
<i>NOMBRE</i> lignes qui correspondent. Si l'entre est l'entre standard prise depuis
un fichier normal, et si
<i>NOMBRE</i> lignes qui correspondent sont affiches,
<b>grep</b> <b></b>  s'assure avant de s'arrter que l'entre standard est positionne juste
aprs la dernire ligne qui concorde, mme s'il y a des lignes de contexte
supplmentaires qui viennent ensuite.
Ceci permet au processus d'appel de redmarrer une recherche. Quand
<b>grep</b> <b></b>  s'arrte aprs
<i>NOMBRE</i> lignes de concordance, il affiche ventuellement des lignes de
contexte. Quand l'option
<b>-c</b> <b></b>  ou
<b>-\</b> <b></b> ^<b>-count</b> <b></b>  est utilise,
<b>grep</b> <b></b>  n'affiche pas plus que
<i>NOMBRE</i> lignes. Quand l'option
<b>-v</b> <b></b>  ou
<b>-\</b> <b></b> ^<b>-invert-match</b> <b></b>  est aussi utilise,
<b>grep</b> <b></b>  s'arrte aprs avoir affich
<i>NOMBRE</i> lignes qui ne concordent pas.
<br/><br/>

<b>-\</b> <b></b> ^<b>-mmap</b> <b></b>  Si possible, utiliser la fonction systme
<b>mmap (2)</b>
pour lire les donnes,  la place de la fonction systme
<b>read (2)</b>
utilise par dfaut. Dans certaines circonstances,
<b>-\</b> <b></b> ^<b>-mmap</b> <b></b>  permet de meilleures performances. Cependant,
<b>-\</b> <b></b> ^<b>-mmap</b> <b></b>  peut avoir un comportement indfini (y compris la gnration d'un
<i>core dump</i> )</i>
si un fichier voit sa taille rduite pendant que
<b>grep</b> <b></b>  le lit, ou si une erreur d'entre-sortie survient.
<br/><br/>

<b>-n </b>, <b> -\^-line-number</b>
Ajouter  chaque ligne de sortie un prfixe contenant son numro
dans le fichier.
<br/><br/>

<b>-o </b>, <b> -\^-only-matching</b>
N'afficher que la partie d'une ligne qui correspond au
<i>MOTIF .</i>
<br/><br/>

-\^-label= TIQUETTE
Afficher les donnes provenant de l'entre standard comme si elles
provenaient du fichier
<i>TIQUETTE .</i>
C'est particulirement utile pour des outils comme zgrep, par
exemple, qui font&nbsp;:
<br/>
<b>gzip</b> <b></b>  <b>-cd</b> <b></b>  <b>foo.gz</b> <b></b>  <b>|grep</b> <b></b>  <b>--label=truc</b> <b></b>  <b>quelquechose"</b> <b></b>  <br/><br/>

<b>-\^-line-buffered</b>
Vider la sortie aprs chaque ligne. Ceci peut dtriorer les performances.
<br/><br/>

<b>-q </b>, <b> -\^-quiet </b>, <b> -\^-silent</b>
Ne pas afficher les rsultats normaux.
Sortir immdiatement avec un code de retour gal  zro si aucune
concordance n'est trouve, et mme si une erreur est dtecte.
Voyez aussi l'option
<b>-s</b> <b></b>  ou
<b>-\^-no-messages .</b>
<br/><br/>

<b>-R </b>, <b> -r </b>, <b> -\^-recursive</b>
Lire tous les fichiers  l'intrieur de chaque rpertoire,
rcursivement. C'est quivalent  l'option
<b>-d recurse</b> .</b>
<br/><br/>

<b>\fR \fP -\^-include=</b> MOTIF
Procder rcursivement dans les rpertoires, pour les fichiers qui
correspondent au
<i>MOTIF .</i>
<br/><br/>

<b>\fR \fP -\^-exclude=</b> MOTIF
Procder rcursivement dans les rpertoires, pour les fichiers qui
ne correspondent pas au
<i>MOTIF .</i>
<br/><br/>

<b>-s </b>, <b> -\^-no-messages</b>
Ne pas afficher les messages d'erreur concernant les fichiers
inexistants ou illisibles. Note de portabilit&nbsp;:  la diffrence
de \s-1GNU\s0
<b>grep ,</b>
le
<b>grep</b> <b></b>  traditionnel n'est pas conforme au standard \s-1POSIX.2\s0, car le
<b>grep</b> <b></b>  traditionnel n'a pas d'option
<b>-q</b> <b></b>  et son option
<b>-s</b> <b></b>  agit comme l'option
<b>-q</b> <b></b>  du
<b>grep</b> <b></b>  de \s-1GNU\s0.
Les scripts shell destins  tre utiliss avec ces diffrentes versions
devraient viter d'utiliser les options
<b>-q</b> <b></b>  et
<b>-s ,</b>
et devraient plutt rediriger la sortie vers /dev/null.
<br/><br/>

<b>-U </b>, <b> -\^-binary</b>
Traiter les fichiers comme s'ils taient des fichiers binaires. Par dfaut,
sous MS-DOS et MS-Windows,
<b>grep</b> <b></b>  dtermine le type de fichier en regardant le contenu des 32 premiers
kilo-octets. Si
<b>grep</b> <b></b>  dcide que le fichier est un fichier de texte, il enlve les retours
chariot (CR) du contenu du fichier original (afin que les expressions
avec
<b></b> ^<b></b>  et
<b>$</b> <b></b>  fonctionnent correctement). L'option
<b>-U</b> <b></b>  modifie ce comportement, tous les fichiers sont alors lus et traits tels
quels. Si le fichier est un fichier de texte avec des paires CR-LF en
fin de ligne, certaines expressions rationnelles peuvent chouer.
Cette option n'a aucun effet sur des plates-formes autres que MS-DOS et
MS-Windows.
<br/><br/>

<b>-u </b>, <b> -\^-unix-byte-offsets</b>
Afficher la position relative en octets dans le style Unix. Avec cette option,
<b>grep</b> <b></b>  affiche la position relative en octets comme si le fichier tait un fichier de
texte de type Unix, c'est--dire avec les caractres CR supprims.
Ceci permet d'avoir un rsultat identique  celui retourn par
<b>grep</b> <b></b>  sur une machine Unix. Cette option n'a d'effet que si elle est utilise
conjointement avec l'option
<b>-b ,</b>
et sur une machine MS-DOS ou MS-Windows.
<br/><br/>

<b>-V </b>, <b> -\^-version</b>
Afficher le numro de version de
<b>grep</b> <b></b>  sur la sortie d'erreur standard. Ce numro de version
devra tre inclus dans tous les rapports de bogues (voir plus bas).
<br/><br/>

<b>-v </b>, <b> -\^-invert-match</b>
Inverser la mise en concordance, pour slectionner les lignes ne
correspondant pas au motif.
<br/><br/>

<b>-w </b>, <b> -\^-word-regexp</b>
Ne slectionner que les lignes contenant une concordance formant un mot
complet.
La sous-chane correspondante doit donc tre soit au dbut de la ligne,
soit tre prcde d'un caractre ne pouvant entrer dans la constitution d'un 
mot. De mme elle doit se trouver soit  la fin de la ligne, soit tre
suivie par un caractre ne pouvant entrer dans la constitution d'un mot.
Les caractres composant les mots sont les lettres, les chiffres
et le soulign (&nbsp;_&nbsp;).
<br/><br/>

<b>-x </b>, <b> -\^-line-regexp</b>
Ne slectionner que les concordances qui occupent une ligne entire.
<br/><br/>

<b>-y</b> <b></b>  Synonyme obsolte pour
<b>-i .</b>
<br/><br/>

<b>-Z </b>, <b> -\^-null</b>
Afficher un octet nul (le caractre \s-1ASCII\s0
<b>NUL )</b>
 la place du caractre qui suit d'ordinaire le nom du fichier.
Par exemple,
<b>grep</b> <b></b>  <b>-lZ"</b> <b></b>  affiche un octet nul aprs chaque nom de fichier,  la place du saut de
ligne. Cette option permet de rendre la sortie non ambigu, mme quand
les noms de fichiers contiennent des caractres inhabituels, comme des
sauts de ligne. Cette option peut tre utilise avec des commandes
telles que
<b>find -print0</b> ,</b>
<b>perl -0</b> ,</b>
<b>sort -z</b> ,</b>
et
<b>xargs</b> <b></b>  <b>-0"</b> <b></b>  pour traiter des fichiers avec des noms quelconques, mme ceux contenant
des sauts de ligne.
</div><br/><br /><h1 class="TitreSection0" id="L5">expressions rationnelles</h1>
<div class="paragraph"><br/><br/>
Une expression rationnelle
( <i>regular expression</i> )</i>
est un motif qui permet de dcrire un ensemble
de chanes. Les expressions rationnelles sont construites comme des
oprations arithmtiques&nbsp;; elles utilisent diffrents oprateurs pour
combiner des expressions plus petites.<br/><br/>
<b>Grep</b> <b></b>  comprend deux versions diffrentes pour la syntaxe des expressions
rationnelles&nbsp;:
&nbsp;simple&nbsp;
( basic )</i>
et &nbsp;tendue&nbsp;
( extended ).</i>
Dans la version \s-1GNU\s0 de
<b>grep ,</b>
il n'y a pas de diffrence dans les fonctionnalits disponibles, quelle que
soit la syntaxe utilise.
Dans d'autres implantations, les expressions rationnelles simples sont
moins puissantes. La description ci-dessous correspond aux expressions
tendues, les diffrences avec les expressions simples tant rsumes
ensuite.<br/><br/>
Les briques lmentaires sont les expressions rationnelles correspondant
 un seul caractre. La plupart des caractres, y compris les lettres et les 
chiffres, sont des expressions rationnelles qui
concordent avec eux-mmes. Tout mta-caractre ayant une signification
spciale doit tre protg en le faisant prcder d'une contre-oblique
( backslash ).<br/><br/></i>
Une liste de caractres, encadre par
<b>[</b> <b></b>  et
<b>]</b> <b></b>  peut tre mise en correspondance avec n'importe quel caractre
appartenant  la liste.
Si le premier caractre de la liste est l'accent circonflexe
<b></b> ^<b></b>  alors la mise en correspondance se fait avec n'importe quel caractre
<i>absent</i> de la liste.
Par exemple, l'expression rationnelle
<b>[0123456789]</b> <b></b>  concorde avec n'importe quel chiffre.<br/><br/>
Entre ces crochets, un intervalle de caractres peut tre indiqu en
donnant le premier et le dernier caractre, spars par un tiret.
Il correspond  n'importe quel caractre compris entre le premier et le
dernier caractre (ceux-ci inclus), l'ordre des caractres dpendant des
paramtres rgionaux 
( locale ,</i>
en anglais) en cours. Ainsi avec la valeur par dfaut (appele
&nbsp;C&nbsp;),
<b>[a-d]</b> <b></b>  est quivalent 
<b>[abcd] .</b>
Avec beaucoup de paramtres rgionaux, les caractres sont tris en suivant
l'ordre des dictionnaires, et
<b>[a-d]</b> <b></b>  n'est alors pas quivalent 
<b>[abcd] ,</b>
mais 
<b>[aBbCcDd] ,</b>
par exemple.
Pour que ces listes aient le comportement usuel de C, vous pouvez positionner
la variable d'environnement
<b>LC_ALL</b> <b></b>   la valeur
<b>C .<br/><br/></b>
Enfin, il existe certaines classes de caractres prdfinies.
Leurs noms sont assez explicites&nbsp;:
<b>[:alnum:] ,</b>
<b>[:alpha:] ,</b>
<b>[:cntrl:] ,</b>
<b>[:digit:]</b> <b></b>  (chiffres),
<b>[:graph:] ,</b>
<b>[:lower:]</b>
(minuscules),
<b>[:print:]</b>
(affichables),
<b>[:punct:]</b> <b></b>  (ponctuation),
<b>[:space:]</b> <b></b>  (espace),
<b>[:upper:]</b>
(majuscules),
et
<b>[:xdigit:]</b> <b></b>  (chiffres hexadcimaux).
Par exemple,
<b>[[:alnum:]]</b> <b></b>  correspond 
<b>[0-9A-Za-z] ,</b>
 la diffrence prs que le dernier dpend des paramtres rgionaux C et du
codage de caractres \s-1ASCII\s0, alors que le premier est plus
portable.
Remarquez que les crochets dans les noms de classes font partie intgrante
du nom symbolique, et qu'ils doivent donc tre inclus en plus des
crochets encadrant la liste.
La plupart des mta-caractres perdent leur signification spciale
au sein des listes.
Pour inclure un caractre
<b>] ,</b>
mettez-le en premier dans la liste.
De mme, pour inclure un caractre
<b>^ ,</b>
placez-le n'importe o sauf au dbut de la liste.
Enfin, pour inclure un
<b>-</b> ,</b>
placez-le en dernier.<br/><br/>
Le point
<b>.</b> <b></b>  correspond  n'importe quel caractre.
Le symbole
<b>\ew</b> <b></b>  est un synonyme de
<b>[[:alnum:]]</b> <b></b>  et
<b>\eW</b> <b></b>  un synonyme de
<b>[^[:alnum]] .<br/><br/></b>
L'accent circonflexe
<b></b> ^<b></b>  et le symbole dollar
<b>$</b> <b></b>  sont des mta-caractres correspondant respectivement  une chane vide
au dbut et en fin de ligne.
Les symboles
<b>\e&lt;</b> <b></b>  et
<b>\e&gt;</b> <b></b>  correspondent respectivement  une chane vide en dbut et en fin de mot.
Le symbole
<b>\eb</b> <b></b>  correspond  une chane vide  l'extrmit d'un mot, et
<b>\eB</b> <b></b>  correspond  une chane vide ne se trouvant
<i>pas</i>  une extrmit de mot.<br/><br/>
Une expression rationnelle correspondant  un caractre unique peut
tre suivie par l'un des oprateurs de rptition suivants&nbsp;:<br/><br/>D 0
<br/><br/>

<b>?</b> <b></b>  L'lment prcdent est facultatif et peut tre rencontr au plus une fois.
<br/><br/>

<b>*</b> <b></b>  L'lment prcdent peut tre rencontr zro ou plusieurs fois.
<br/><br/>

<b>+</b> <b></b>  L'lment prcdent peut tre rencontr une ou plusieurs fois.
<br/><br/>

{ n }
L'lment prcdent doit tre cherch exactement
<i>n</i> fois.
<br/><br/>

{ n ,}
L'lment prcdent doit tre cherch
<i>n</i> fois ou plus.
<br/><br/>

{ n , m }
L'lment prcdent doit tre cherch au moins
<i>n</i> fois, mais au plus
<i>m</i> fois.<br/><br/>D<br/><br/>
Deux expressions rationnelles peuvent tre juxtaposes&nbsp;; l'expression
rsultante correspondra  toute chane forme par la juxtaposition de
deux sous-chanes correspondant respectivement aux deux expressions.<br/><br/>
Deux expressions rationnelles peuvent tre relies par l'oprateur infixe
<b>| </b>&nbsp;;<b></b>
l'expression rsultante correspondra  toute chane concordant avec l'une
ou l'autre des deux expressions.<br/><br/>
Les rptitions ont priorit sur les juxtapositions, qui  leur tour ont
priorit sur les alternatives. Une sous-expression peut tre entoure par
des parenthses pour modifier ces rgles de priorit.<br/><br/>
La rfrence inverse
\e n\c
, o
<i>n</i> est un chiffre unique, correspond  la sous-chane dj mise en correspondance
avec la
<i>n -ime</i>
sous-expression rationnelle entre parenthses.<br/><br/>
Dans les expressions rationnelles simples, les mta-caractres
<b>? ,</b>
<b>+ ,</b>
<b>{ ,</b>
<b>| ,</b>
<b>( ,</b>
et
<b>)</b>
perdent leur signification spciale, il faut utiliser  la place
leurs versions avec la contre-oblique
<b>\e? ,</b>
<b>\e+ ,</b>
<b>\e{ ,</b>
<b>\e| ,</b>
<b>\e( ,</b>
et
<b>\e) .<br/><br/></b>
La version traditionnelle
d' egrep</b>
ne connat pas le mta-caractre
<b>{ ,</b>
et certaines implantations
d' egrep</b>
utilisent
<b>\e{</b> <b></b>   la place, si bien que des scripts shell portables devraient viter
<b>{</b> <b></b>  dans les motifs
d' egrep</b>
et utiliser
<b>[{]</b> <b></b>  pour dsigner un caractre
<b>{ .<br/><br/></b>
\s-1GNU\s0
<b>egrep</b> <b></b>  essaie d'muler l'usage traditionnel en supposant que
<b>{</b> <b></b>  n'est pas spcial au cas o il rendrait invalide l'expression qu'il commence. 
Par exemple, la commande shell
<b>egrep</b> <b></b>  <b>'{1'"</b> <b></b>  recherche la chane compose des deux caractres
<b>{1</b> <b></b>  au lieu de signaler une erreur de syntaxe dans l'expression rationnelle.
\s-1POSIX.2\s0 permet ce comportement comme une extension  la norme,
mais les scripts portables devraient l'viter.
</div><br/><br /><h1 class="TitreSection0" id="L6">variables d'environnement</h1>
<div class="paragraph">
Le comportement de grep est modifi par les variables d'environnement
suivantes&nbsp;:
<b>LC_ALL ,</b>
<b>LC_<i>truc</i></b> <b></b>  et
<b>LANG ,</b>
dans cet ordre. La variable positionne en premier dtermine le choix
des paramtres rgionaux. Par exemple, si
<b>LC_ALL</b> <b></b>  n'est pas positionne, mais
<b>LC_MESSAGES</b> <b></b>  vaut
<b>fr_FR ,</b>
alors le franais est utilis pour l'affichage des messages.
Le dfaut C est utilis si aucune variable d'environnement n'est
trouve, ou si le catalogue des paramtres rgionaux n'est pas install,
ou bien si
<b>grep</b> <b></b>  a t compil sans le support pour les langues nationales (\s-1NLS\s0).
<br/><br/>

<b>GREP_OPTIONS</b> <b></b>  Cette variable dfinit des options qui seront ajoutes avant les options
de la ligne de commande. Par exemple, si
<b>GREP_OPTIONS</b> <b></b>  vaut
<b>&nbsp;-\^-binary-files=without-match -\^-directories=skip&nbsp;</b> ,</b>
<b>grep</b> <b></b>  se comporte comme si les deux options
<b>-\</b> <b></b> ^<b>-binary-files=without-match</b> <b></b>  et
<b>-\</b> <b></b> ^<b>-directories=skip</b> <b></b>  avaient t spcifies avant les options explicites.
Diffrentes options peuvent tre spares par des espaces, et une
contre-oblique supprime la signification spciale du caractre suivant,
ce qui permet de spcifier une option contenant un espace ou une
contre-oblique.
<br/><br/>

<b>GREP_COLOR</b> <b></b>  Spcifie les marqueurs pour la mise en relief.
<br/><br/>

<b>LC_ALL</b>, <b>LC_COLLATE</b>, <b>LANG</b>
Ces variables spcifient le choix des paramtres rgionaux pour
<b>LC_COLLATE ,</b>
qui dtermine l'ordre des caractres utilis dans des intervalles tels
que
<b>[a-z] .</b>
<br/><br/>

<b>LC_ALL</b>, <b>LC_CTYPE</b>, <b>LANG</b>
Ces variables spcifient le choix des paramtres rgionaux pour
<b>LC_CTYPE ,</b>
qui dtermine le codage de caractres utilis, par exemple pour indiquer
quels caractres sont considrs comme tant des espaces.
<br/><br/>

<b>LC_ALL</b>, <b>LC_MESSAGES</b>, <b>LANG</b>
Ces variables spcifient le choix des paramtres rgionaux pour
<b>LC_MESSAGES ,</b>
qui dtermine la langue utilise par
<b>grep</b> <b></b>  pour ses messages. Avec le dfaut C, les messages sont en amricain.
<br/><br/>

<b>POSIXLY_CORRECT</b> <b></b>  Si cette variable est positionne,
<b>grep</b> <b></b>  se comporte comme indiqu dans la norme \s-1POSIX.2\s0. Sinon,
<b>grep</b> <b></b>  se comporte plus comme les autres programmes \s-1GNU\s0.
\s-1POSIX.2\s0 requiert que les options qui suivent des noms de fichiers
soient considres aussi comme des noms de fichiers. Par
dfaut, ces options sont dplaces avant la liste des oprandes et sont
traites comme des options.
\s-1POSIX.2\s0 requiert aussi que les options non reconnues soient considres
comme &nbsp;illgales&nbsp;&nbsp;; mais comme elles n'enfreignent pas vraiment la loi,
elles sont rapportes comme tant &nbsp;invalides&nbsp; par dfaut.
<b>POSIXLY_CORRECT</b> <b></b>  dsactive aussi l'option <b>_</b><i>N</i><b>_GNU_nonoption_argv_flags_</b>, qui 
est dcrite plus bas.
<br/><br/>

<b>_</b><i>N</i><b>_GNU_nonoption_argv_flags_</b>
(ici,
<i>N</i> est l'identifiant numrique du processus de
<b>grep ).</b>
Si le
<i>i -ime</i>
caractre de la valeur de cette variable d'environnement vaut
<b>1 ,</b>
le
<i>i -ime</i>
oprande de
<b>grep</b> <b></b>  n'est pas considr comme tant une option, mme s'il semble l'tre.
Un shell peut placer cette variable dans l'environnement de chaque
commande lance, pour spcifier quels oprandes sont le rsultat
du remplacement de mta-caractres et ne doivent donc pas tre considrs
comme des options.
Ce comportement n'est prsent qu'avec la bibliothque C de \s-1GNU\s0,
et seulement si
<b>POSIXLY_CORRECT</b> <b></b>  n'est pas positionne.
</div><br/><br /><h1 class="TitreSection0" id="L7">diagnostics</h1>
<div class="paragraph"><br/><br/>
Normalement, le code de retour est 0 si des concordances ont t
trouves, et 1 si aucune concordances n'a t faite.
Mais le code est 2 si une erreur est survenue,  moins que les options
<b>-q ,</b>
<b>-\</b> <b></b> ^<b>-quiet</b> <b></b>  ou
<b>-\</b> <b></b> ^<b>-silent</b> <b></b>  ne soient utilises et qu'une ligne ne soit trouve.
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph"><br/><br/>
Envoyez les rapports de bogue ([ndt] en anglais&nbsp;!) 
<b>bug-gnu-utils@gnu.org .</b>
Assurez-vous d'inclure le mot &nbsp;grep&nbsp; quelque part dans le
sujet du message.<br/><br/>
Dans les constructions
{ m , n }
de grandes valeurs de rptition peuvent pousser grep 
utiliser beaucoup de mmoire.
De plus, certaines autres expressions rationnelles tordues
peuvent prendre un temps trs long, et mener  un
manque de mmoire.<br/><br/>
Les rfrences inverses sont trs lentes et peuvent demander un
temps trs long.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997.
<br/>
Denis Barbier, 2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
