<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1994 Salvatore Valente (svalente@mit.edu) -->
<!--  Traduction 08/06/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 30/07/2003 util-linux-2.11y -->
<br/><h1>KILL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
kill - Envoyer un signal  un processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>kill</b> <b> [ -s signal | -p ] </b> <b> [ -a ] [ -- ] </b> <b>pid ...</b></b>
<br/>
<b>kill</b> <b></b>  <b>-l</b> <b></b>  <b>[</b> <b></b>  <b>signal</b> <b></b>  <b>]"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La commande
<b>kill</b> <b></b>  envoie le signal indiqu aux processus mentionns. Si on ne prcise pas de
signal, TERM est envoy. Ce dernier tuera les processus qui ne l'interceptent
pas. Pour les autres processus, il peut tre ncessaire d'envoyer le
signal KILL (9), qui ne peut pas tre
intercept.<br/><br/>
La plupart des shells modernes ont une commande <b>kill</b> intgre avec un
fonctionnement  peu prs identique. Les options `-a' et `-p', et la possibilit
de prciser les processus par le nom de commande sont des extensions.
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

<b>pid ...</b>
Indique la liste des PID auxquels
<b>kill</b> <b></b>  doit envoyer un signal.  Chaque
<i>pid</i> peut prendre l'une des cinq formes suivantes&nbsp;:<br/><br/>
.RS
<br/><br/>

<i>n</i> avec
<i>n</i> suprieur  0.  Le processus de PID
<i>n</i> recevra le signal.
<br/><br/>

<b>0</b> <b></b>  Tous les processus du groupe de processus de l'appelant seront viss.
<br/><br/>

<b>-1</b> <b></b>  Tous les processus avec un PID suprieur  1 recevront le signal.
<br/><br/>

- n
o
<i>n</i> est suprieur  1.
Tous les processus du goupe
<i>n</i> sont viss. Quand on utilise un argument de la forme `-n', pour
indiquer un groupe de processus, il faut soit avoir indiqu un
signal au pralable, soit faire prcder l'argument de l'option `--'.
Sinon il sera considr comme le numro du signal  envoyer.
<br/><br/>

<i>nom_commande</i> Tous les processus invoqus en utilisant cette commande recevront le signal.

<br/><br/>

<b>-s</b>
Indique le signal  envoyer. Celui-ci peut tre spcifi par son nom
ou par son numro.
<br/><br/>

<b>-l</b>
Affiche une liste des noms de signaux connus. Ceux-ci sont fournis dans
<i>/usr/include/linux/signal.h</i> <br/><br/>

<b>-a</b> <b></b>  Ne pas restreindre la conversion nom_commande en PID aux seuls processus
ayant le mme UID que l'appelant.
<br/><br/>

<b>-p</b>
Indique que
<b>kill</b> <b></b>  doit simplement afficher le PID du processus dont le nom
est fourni, sans lui envoyer de signal.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>bash (1),</b>
<b>tcsh (1),</b>
<b>kill (2),</b>
<b>sigvec (2),</b>
<b>signal (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
Inspir de BSD 4.4.  La possibilit de traduire le nom du processus
en PID a t ajoute par Salvatore Valente &lt;svalente@mit.edu&gt;.
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
