<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright Andries Brouwer, Ragnar Hojland Espinosa and A. Wik, 1998. -->
<!--  -->
<!--  This file may be copied under the conditions described -->
<!--  in the LDP GENERAL PUBLIC LICENSE, Version 1, September 1998 -->
<!--  that should have been distributed together with this file. -->
<!--  -->
<!--  Traduction 24/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 30/05/2001 LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>LN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options posix</a>
<br /><a class="summaryIndent0" href="#L4">options gnu</a>
<br /><a class="summaryIndent0" href="#L5">options de sauvegarde gnu</a>
<br /><a class="summaryIndent0" href="#L6">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L7">environnement</a>
<br /><a class="summaryIndent0" href="#L8">conformit</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">notes</a>
<br /><a class="summaryIndent0" href="#L11">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ln - Crer des liens entre fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>ln</b> <b></b>  <b>[options]</b> <b></b>  source <i> [</i> dest ]
<br/>
<b>ln</b> <b></b>  <b>[options]</b> <b></b>  <i>source... rpertoire</i> <br/><br/>

Options POSIX :
<b>[-f]</b> <b></b>  <b>[--]"</b> <b></b>  <br/><br/>

Options GNU (forme abrge):
<b>[-bdfinsvF]</b> <b></b>  <b>[-S </b> suffixe ]
<b>[-V</b> <b></b>  <b>{numbered</b> <b></b> ,<b>existing</b> <b></b> ,<b>simple}]"</b> <b></b>  <b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Sous Unix, il existe deux types de `liens' entre fichiers, que l'on
nomme gnralement liens matriels (ou physiques) et liens symboliques
(ou logiques).<br/><br/>
Un lien matriel est simplement une manire de nommer
un fichier. Un fichier peut avoir plusieurs noms. Un fichier n'est effac
rellement que lorsque son dernier nom est supprim. Le nombre de noms
d'un fichier est indiqu par la commande
<b>ls (1).</b>
Il n'y a pas de notion de nom `original' : tous les noms d'un fichier ont
exactement la mme importance. Tous les noms d'un fichier se trouvent
gnralement - mais ce n'est pas obligatoire - dans le systme de fichiers
contenant les donnes du fichier.<br/><br/>
Un lien symbolique est d'un tout autre genre. Il s'agit d'un petit fichier
spcial, qui contient un chemin d'accs. Ainsi un lien symbolique peut
pointer vers un systme de fichier diffrent de celui qui l'accueille.
Il peut galement pointer, grce  NFS, vers un systme de fichiers
appartenant  une autre machine. Enfin, un lien symbolique ne pointe
pas ncessairement vers un fichier existant.
Lorsque l'on accde  un lien symbolique (avec les appels systmes
<b>open (2)</b>
ou
<b>stat (2)),</b>
le nom du lien symbolique est remplac, par le noyau Unix, par une
rfrence au fichier vers lequel le lien pointe.
Toutefois, avec les appels
<b>rm (1)</b>
et
<b>unlink (2)</b>
le lien lui-mme est supprim, et non pas le fichier vis.
Il existe des appels systmes spciaux
<b>lstat (2)</b>
et
<b>readlink (2)</b>
qui renvoient le statut du lien symbolique, et le nom du fichier vers
lequel il pointe. Pour de nombreux autres appels-systmes, il existe
une frange d'incertitudes et de variations entre les diffrents systmes
pour savoir si la fonction s'applique au lien symbolique lui-mme, ou au
fichier cible.<br/><br/>
<b>ln</b> <b></b>  cre des liens entre fichiers. Par dfaut il s'agit de liens matriels.
Si l'on utilise l'option 
<b>-s</b> ,</b>
les liens seront symboliques (logiques).<br/><br/>
Si l'on n'indique qu'un seul nom de fichier, un lien vers ce fichier
est cr dans le rpertoire courant. Le nom de ce lien sera le mme
que celui du fichier vis (il s'agit l d'une extension GNU).
Sinon, si le dernier argument indique un rpertoire existant,
<b>ln</b> <b></b>  crera des liens sur chacun des fichiers
<i>source</i> indiqus dans ce rpertoire. Les noms seront gaux  ceux des fichiers
<i>source</i> viss. (Consultez toutefois l'option
<b>--no-dereference"</b> <b></b>  plus bas).
Si l'on indique seulement deux noms de fichiers, un lien sera cr avec
le nom
<i>dest</i> pointant vers le fichier
<i>source .</i>
Il est interdit d'indiquer plus de deux arguments si le dernier nom n'est
pas un rpertoire.<br/><br/>
Par dfaut,
<b>ln</b> <b></b>  ne supprime pas les fichiers ni les liens symboliques existants.
(Ainsi on peut l'utiliser  des fins de verrouillage, il chouera
si 
<i>dest</i> existe dj).
On peut toutefois forcer l'crasement avec l'option -f.<br/><br/>
Avec les implmentations existant actuellement, seul le Super-User peut
crer un lien matriel sur un rpertoire, et encore, c'est souvent totalement
impossible. POSIX interdit aux appels systme
<b>link (2)</b>
et  l'utilitaire
<b>ln</b> <b></b>  de crer des liens physique sur un rpertoire (mais n'interdit pas les liens
matriels entre diffrents systmes de fichiers).
</div><br/><br /><h1 class="TitreSection0" id="L4">options posix</h1>
<div class="paragraph">
<br/><br/>

<b>-f"</b> <b></b>  Forcer l'crasement du fichier destination s'il existe.
<br/><br/>

<b>--"</b> <b></b>  Fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L5">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>-d</b> <b></b> ,<b></b>  <b>-F</b> <b></b> ,<b></b>  <b>--directory"</b> <b></b>  Autoriser le Super-User  crer un lien physique sur un rpertoire.
<br/><br/>

<b>-f</b> <b></b> ,<b></b>  <b>--force"</b> <b></b>  Forcer l'crasement du fichier destination s'il existe.
<br/><br/>

<b>-i</b> <b></b> ,<b></b>  <b>--interactive"</b> <b></b>  Demander confirmation avant de supprimer les fichiers destination.
<br/><br/>

<b>-n</b> <b></b> ,<b></b>  <b>--no-dereference"</b> <b></b>  Lorsque l'on fournit une destination explicite qui se trouve tre
un rpertoire, la considrer comme un fichier normal.
<br/>
Lorsque la destination est un rpertoire rel (et non pas un
lien symbolique sur un rpertoire), il n'y a pas d'ambigut. Le lien
est cr dans ce rpertoire. Mais lorsque la destination est un lien
symbolique vers un rpertoire, il y a deux possibilits pour traiter
la demande.
<b>ln</b> <b></b>  peut considrer la destination comme un rpertoire normal,
et crer le lien dans celui-ci. D'un autre ct, la destination peut
galement tre considre comme le lien symbolique lui-mme  crer.
Dans ce cas,
<b>ln</b> <b></b>  doit dtruire, ou archiver, le lien existant avant de crer le nouveau lien.
Le comportement par dfaut est de considrer la destination comme un
rpertoire  part entire.
<br/><br/>

<b>-s</b> <b></b> ,<b></b>  <b>--symbolic"</b> <b></b>  Crer des liens symboliques  la place des liens physiques. Cette option
produit souvent des messages d'erreurs sur les systmes qui ne supportent
pas les liens symboliques.
<br/><br/>

<b>-v</b> <b></b> ,<b></b>  <b>--verbose"</b> <b></b>  Afficher le nom de chaque fichier avant de le lier.
</div><br/><br /><h1 class="TitreSection0" id="L6">options de sauvegarde gnu</h1>
<div class="paragraph">
Les versions GNU des programmes comme 
<b>cp ,</b>
<b>mv ,</b>
<b>ln ,</b>
<b>install</b> <b></b>  et
<b>patch</b> <b></b>  <b></b>  creront au besoin une copie de sauvegarde des fichiers  craser,
 modifier ou  dtruire.
On demande une copie de sauvegarde  l'aide de l'option -b,
on indique la nomenclature  adopter avec l'option -V, et si
la sauvegarde se fait avec un suffixe, celui-ci est prcis avec l'option -S.
<br/><br/>

<b>-b</b> <b></b> ,<b></b>  <b>--backup"</b> <b></b>  Crer une copie de sauvegarde des fichiers  craser ou  dtruire.
<br/><br/>

<b>-S </b> SUFFIXE <i>, --suffix=</i> SUFFIXE
Ajouter le
<i>SUFFIXE</i> indiqu  chaque fichier de sauvegarde cr.
Si cette option n'est pas indique, on utilisera la valeur de la variable
d'environnement
<b>SIMPLE_BACKUP_SUFFIX .</b>
Si la variable
<b>SIMPLE_BACKUP_SUFFIX</b> <b></b>  n'existe pas, la valeur par dfaut est `~'.
<br/><br/>

<b>-V </b> MTHODE <i>, --version-control=</i> MTHODE
.RS
Prciser la nomenclature des fichiers de sauvegarde
La
<i>MTHODE</i> indique peut tre `numbered' (`t'), `existing' (`nil'), ou `never' (`simple').
Si cette option n'est pas indique, la valeur de la variable
d'environnement
<b>VERSION_CONTROL</b> <b></b>  est utilise, et si la variable
<b>VERSION_CONTROL</b> <b></b>  n'existe pas, la valeur par dfaut est `existing'.<br/><br/>
Cette option correspond  la variable `version-control' sous Emacs.
Les 
<i>MTHODES</i>
valides (les abrviations non-ambigus sont acceptes) sont :
<br/><br/>

<b>t </b>, <b> numbered</b>
Toujours faire une sauvegarde numrote.
<br/><br/>

<b>nil </b>, <b> existing</b>
Faire une sauvegarde numrote des fichiers en ayant dj une prcdente, et
une sauvegarde simple pour les autres.
<br/><br/>

<b>never </b>, <b> simple</b>
Faire toujours une sauvegarde simple.

</div><br/><br /><h1 class="TitreSection0" id="L7">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer correctement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard, et se terminer correctement.
<br/><br/>

<b>--"</b> <b></b>  Fin de la liste d'options.
</div><br/><br /><h1 class="TitreSection0" id="L8">environnement</h1>
<div class="paragraph">
Les variables LANG, LC_ALL, LC_CTYPE et LC_MESSAGES
ont leurs significations habituelles.
</div><br/><br /><h1 class="TitreSection0" id="L9">conformit</h1>
<div class="paragraph">
POSIX 1003.2. Toutefois, POSIX 1003.2 (1996) ne parle pas des liens symboliques.
Ceux-ci ont t introduits par BSD, et n'existent pas dans System V release 3
et antrieurs.
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
<b>ls (1),</b>
<b>rm (1),</b>
<b>link (2),</b>
<b>lstat (2),</b>
<b>open (2),</b>
<b>readlink (2),</b>
<b>stat (2),</b>
<b>unlink (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L11">notes</h1>
<div class="paragraph">
Cette page dcrit la version de
<b>ln</b> <b></b>  se trouvant dans le paquetage fileutils-4.0.
D'autres versions peuvent diffrer lgrement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L12">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
