<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 20/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 30/05/2001 LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>MKDIR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L5">environnement</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mkdir - Crer des rpertoires.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>mkdir [</b> options <i>] </i> repertoire...
<br/><br/>

Options POSIX :
<b>[-p] [-m </b> mode <i>] [--]</i>
<br/><br/>

Options GNU (versions courtes) :
<b>[-p] [-m </b> mode <i>] [--verbose]</i>
<b>[--help] [--version] [--]</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>mkdir</b> <b></b>  cre un rpertoire correspondant  chacun des noms mentionns.<br/><br/>
Par dfaut, les rpertoires sont crs avec les permissions d'accs 0777
moins les bits positionns dans le umask.
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

<b>-m </b> mode <i>, --mode=</i> mode
Crer les rpertoires avec le
<i>mode</i> d'accs indiqu. Celui-ci est donn sous forme symbolique, comme dans
<b>chmod</b> <b></b>  <b>(1)</b> <b></b>  en utilisant le mode par dfaut comme valeur de dpart.
<br/><br/>

<b>-p</b> <b></b> ,<b></b>  <b>--parents"</b> <b></b>  Crer les rpertoires parents s'ils manquent.
Ils sont crs avec l'autorisation d'accs umask modifie
par `u+wx'. Ne pas considrer les rpertoires dj existants comme des erreurs.
Ainsi, si le rpertoire /a existe, alors `mkdir /a' est une erreur, mais
`mkdir -p /a' n'en est pas une.
<br/><br/>

<b>--verbose"</b> <b></b>  Afficher un message pour chaque rpertoire cr. Ceci est essentiellement
utile en conjonction avec l'option
<b>--parents</b> .</b>
<br/><br/>
 
<b>--"</b> <b></b>  Fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L5">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard, et se terminer normalement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard, et se terminer
normalement.
</div><br/><br /><h1 class="TitreSection0" id="L6">environnement</h1>
<div class="paragraph">
Les variables d'environnement LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont
leur signification habituelle.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
POSIX 1003.2
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
Cette page dcrit la version de
<b>mkdir</b> <b></b>  rencontre dans le paquetage fileutils-4.0.
D'autres versions peuvent varier lgrement.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
