<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 13/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>OD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
od - Afficher le contenu d'un fichier en octal ou sous d'autres formats.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>od</b> <b></b>  [-abcdfhiloxv] [-s[longueur]] [-w[largeur]] [-A base] [-j nb_octets]
[-N nb_octets] [-t type] [--skip-bytes=nb_octets] [--address-radix=base]
[--read-bytes=nb_octets] [--format=type] [--output-duplicates]
[--strings[=longueur]] [--width[=largeur]] [--traditional]
[--help] [--version] [file...]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>od</b> <b></b>  ([NDT] <b>od</b> = Octal Dump).<br/><br/>
<b>od</b> <b></b>  affiche sur la sortie standard le contenu des fichiers indiqus. Si aucun
fichier n'est fourni, ou si le nom `-' est mentionn, c'est le contenu
de l'entre standard qui est affich.<br/><br/>
Chaque ligne de sortie est constitue d'une colonne reprsentant le dcalage
par rapport au dbut du fichier, suivi d'une ou plusieurs colonnes de
donnes, dans un format contrl par les options.<br/><br/>
Par dfaut
<b>od</b> <b></b>  affiche les dcalages en octal, et les donnes contenues dans le fichier
sous forme de nombres en octal de deux octets.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>-A, --address-radix=base</i> Slectionner la
<i>base</i> dans laquelle les dcalages sont affiches.
<i>base</i> peut prendre l'une des valeurs suivantes :
.RS
.IP d
dcimale
.IP o
octale
.IP x
hexadcimale
.IP n
aucune (ne pas afficher les dcalages)

<br/><br/>

La base par dfaut est octale.
<br/><br/>

<i>-j, --skip-bytes=n</i> Sauter
<i>n</i> octets en entre avant la mise en forme et l'affichage. Si
<i>n</i> commence par `0x' ou `0X', il est interprt en hexadcimal. Autrement,
il est interprt en octal s'il commence par `0', et en dcimal sinon.
En ajoutant `b', la valeur est multiplie par 512, en ajoutant `k' par
1024 et en ajoutant `m' par 1048576.
<br/><br/>

<i>-N, --read-bytes=n</i> Afficher au maximum
<i>n</i> octets de chaque fichier d'entre. Les prfixes et suffixes de
<b>n</b> <b></b>  sont interprts comme ceux de l'option
<i>-j .</i>
<br/><br/>

<i>-t, --format=type</i> Slectionner le format d'affichage des rsultats.
<i>type</i> est une chane compose d'un ou plusieurs indicateurs de type
dcrits ci-dessous. Si plusieurs indicateurs sont indiqus, ou
si cette option est rpte plusieurs fois,
<b>od</b> <b></b>  affichera une copie de chaque ligne de sortie en utilisant chacun
des types spcifis, dans l'ordre des arguments.
.RS
.IP a
caractres littraux
.IP c
caractres ASCII ou squences d'chappement prfixes par BackSlash
.IP d
valeurs dcimales signes
.IP f
valeurs en virgule flottante
.IP o
valeurs octales
.IP u
valeurs dcimales non signes
.IP x
valeurs hexadcimales

<br/><br/>

Pour tous les types, sauf `a' et `c', vous pouvez prciser le nombre
d'octets  utiliser pour interprter chaque nombre dans le format
indiqu. Pour cela, on fait suivre la lettre indiquant le type d'un
nombre entier dcimal. On peut galement utiliser l'un des types
gnriques des compilateurs C en ajoutant une des lettres suivantes aprs le type.
Pour les valeurs entires (d, o, u, x):
.RS
.IP C
char
.IP S
short
.IP I
int
.IP L
long

<br/><br/>

Pour les rels en virgule flottante (f):
.RS
.IP F
float
.IP D
double
.IP L
long double

<br/><br/>

<i>-v, --output-duplicates</i> Afficher les lignes identiques conscutives. Par dfaut, lorsque
deux (ou plus) lignes successives de rsultat sont identiques,
<b>od</b> <b></b>  n'affiche que la premire, et imprime un astrisque sur les lignes
suivantes.
<br/><br/>

<i>-s, --strings[=n]</i> Plutt que l'affichage normal, ne prsenter que les chanes
de caractres trouves dans les lignes d'entre, et s'tendant
sur au moins
<i>n</i> caractres ASCII graphiques (ou de mise en page), termines par
un caractre NUL. Si
<i>n</i> est omis, la valeur 3 est utilise par dfaut.
<br/><br/>

<i>-w, --width[=n]</i> Afficher
<i>n</i> octets d'entre par ligne. Cette valeur doit tre un multiple commun aux
tailles des types de sortie spcifis.
Si
<i>n</i> est omis, la valeur par dfaut est 32 octets. Si cette option n'est pas
mentionne, la valeur par dfaut est 16.
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.<br/><br/>
Les options suivantes sont d'anciennes spcifications, antrieures  POSIX,
quivalentes aux nouvelles options POSIX.
La version GNU de
<b>od</b> <b></b>  accepte toutes les combinaisons d'options correspondant  l'ancien et
au nouveau style. Les spcifications de format s'ajoutent.
<br/><br/>

<i>-a</i> Afficher des caractres littraux, quivalent 
<i>-t&nbsp;a</i> .</i>
<br/><br/>

<i>-b</i> Afficher des valeurs octales, quivalent 
<i>-t oC</i> .</i>
<br/><br/>

<i>-c</i> Afficher des caractres ASCII ou des squences prfixes par BackSlash,
quivalent 
<i>-t c</i> .</i>
<br/><br/>

<i>-d</i> Afficher des entiers courts en dcimal non sign, quivalent 
<i>-t u2</i> .</i>
<br/><br/>

<i>-f</i> Afficher des valeurs relles, quivalent 
<i>-t fF</i> .</i>
<br/><br/>

<i>-h</i> Afficher des entiers courts en hexadcimal, quivalent 
<i>-t x2</i> .</i>
<br/><br/>

<i>-i</i> Afficher des entiers courts en dcimal, quivalent 
<i>-t d2</i> .</i>
<br/><br/>

<i>-l</i> Afficher des entiers longs en dcimal, quivalent 
<i>-t d4</i> .</i>
<br/><br/>

<i>-o</i> Afficher des entiers courts en octal, quivalent 
<i>-t o2</i> .</i>
<br/><br/>

<i>-x</i> Afficher des entiers courts en hexadcimal, quivalent 
<i>-t x2</i> .</i>
<br/><br/>

<i>--traditional</i> Reconnatre les arguments antrieurs  POSIX que supportaient d'anciennes
version de <b>od</b>. La syntaxe suivante :
<br/>
<b>od</b> <b></b>  --traditional [file] [[+]dcalage[.][b] [[+]tiquette[.][b]]]
<br/>
peut tre utilise pour indiquer au plus un fichier, et des arguments
supplmentaires indiquant un <i>dcalage</i> et une adresse de dpart, 
<i>tiquette.</i></i>
par dfaut
<i>dcalage</i></i>
est interprt comme un nombre octal prcisant combien d'octets d'entre
doivent tre ignors avant de dmarrer la mise en forme. Le point dcimal
optionnel permet de forcer l'interprtation de
<i>dcalage</i></i>
en tant que nombre dcimal.
Si le point est absent, et si le dcalage dbute par `0x' ou `0x', il est
interprt comme nombre hexadcimal. S'il y a un suffixe `b', le nombre
d'octets est multipli par 512.
L'tiquette est interprte comme le dcalage, mais elle indique une
pseudo-adresse de dpart. Les pseudo-adresses obtenues sont affiches
entre parenthses aprs les adresses normales.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
