<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 09/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>PATHCHK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pathchk - Vrifier la validit et la portabilit d'un nom de fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>pathchk</b> <b></b>  [-p] [--portability] [--help] [--version] nom_de_fichier...
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>pathchk</b> <b></b>  ([NDT <b>pathchk</b> = Path Check - Vrification de chemin).<br/><br/>
Pour chaque
<i>nom_de_fichier</i> indiqu sur la ligne de commande,
<b>pathchk</b> <b></b>  affiche un message si l'une des conditions suivantes n'est pas vrifie&nbsp;:<br/><br/>
<br/>
\(bu tous les rpertoires existants dans le chemin du
<i>nom_de_fichier</i> disposent de l'autorisation de parcours (excution)
<br/>
\(bu la longueur du
<i>nom_de_fichier</i> n'est pas suprieure  la limite impose par le systme de fichiers
<br/>
\(bu la longueur de chacun des composants du
<i>nom_de_fichier</i> correspondant  un rpertoire existant n'est pas suprieur  la taille
maximale d'un nom de fichier.<br/><br/>
Le code de retour vaut :<br/><br/>

0 si tous les fichiers ont russi tous les tests,
1 sinon.


</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>-p, --portability</i> Plutt que d'utiliser les tailles limites imposes par le systme de fichiers
pour vrifier les longueurs, utiliser les valeurs minimales dclares dans
la norme POSIX.1 pour assurer la portabilit. Vrifier galement que les
noms de fichiers ne comportent que des caractres appartenant  un
ensemble portable.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
