<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 27/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 04/01/1999 - LDP man-pages 1.22 -->
<!--  mj 30/05/2001 - LDP man-pages 1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>RMDIR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options posix</a>
<br /><a class="summaryIndent0" href="#L4">options gnu</a>
<br /><a class="summaryIndent0" href="#L5">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L6">environnement</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">exemples</a>
<br /><a class="summaryIndent0" href="#L9">notes</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
rmdir - Supprimer des rpertoires vides.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>rmdir [</b> options <i>] [</i> rpertoire... ]
<br/><br/>

Options POSIX :
<b>[-p]</b> <b></b>  <b>[--]"</b> <b></b>  <br/><br/>

Options GNU (forme courte):
<b>[-p]</b> <b></b>  <b>[--ignore-fail-on-non-empty]</b> <b></b>  <b>[--help]</b> <b></b>  <b>[--version]</b> <b></b>  <b>[--]"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>rmdir</b> <b></b>  supprime chaque rpertoire vide indiqu. 
([NDT] <b>rmdir</b> = Remove Directory).<br/><br/>
Tout argument (autre que
les options) ne se rapportant pas  un rpertoire vide est considr
comme une erreur.
</div><br/><br /><h1 class="TitreSection0" id="L4">options posix</h1>
<div class="paragraph">
<br/><br/>

<b>-p"</b> <b></b>  Effacer les rpertoires parents s'ils deviennent vides aprs
la suppression des rpertoires mentionns en argument. Ainsi `rmdir -p
a/b/c' est quivalent  `rmdir a/b/c; rmdir a/b; rmdir a'.
<br/><br/>

<b>--"</b> <b></b>  Fin explicite de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L5">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--ignore-fail-on-non-empty"</b> <b></b>  Normalement, 
<b>rmdir</b> <b></b>  refusera de supprimer un rpertoire non-vide. Cette option empchera
<b>rmdir</b> <b></b>  d'chouer en supprimant un rpertoire, si cet chec est d au fait que
le rpertoire n'est pas vide.
(Nouveaut de fileutils-4.0).
<br/><br/>

<b>-p</b> <b></b> ,<b></b>  <b>--parents"</b> <b></b>  Comme dcrit ci-dessus.
</div><br/><br /><h1 class="TitreSection0" id="L6">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard et se terminer correctement.
<br/><br/>

<b>--version"</b> <b></b>  Afficher le numro de version sur la sortie standard et se terminer
correctement.
<br/><br/>

<b>--"</b> <b></b>  Fin des options.
</div><br/><br /><h1 class="TitreSection0" id="L7">environnement</h1>
<div class="paragraph">
Les variables
LANG, LC_ALL, LC_CTYPE et LC_MESSAGES ont leurs significations habituelles.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
POSIX 1003.2
</div><br/><br /><h1 class="TitreSection0" id="L9">exemples</h1>
<div class="paragraph">
La commande `<i>rmdir foo</i>' n'effacera le rpertoire
<i>foo ,</i>
que s'il est vide. Si on dsire effacer galement les rpertoires
non-vides, il faut utiliser `<i>rm -r foo</i>'.
</div><br/><br /><h1 class="TitreSection0" id="L10">notes</h1>
<div class="paragraph">
Cette page dcrit la version de <b>rmdir</b> fournie dans le
paquetage fileutils-4.0. D'autres versions peuvent diffrer lgrement.
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
