<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 07/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>SU</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">pourquoi gnu su ne gre-t-il pas le groupe `wheel' (par richard stallman)</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
su - Executer un shell avec un User-ID et un Group-ID diffrents.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>su</b> <b></b>  [-flmp] [-c commande] [-s shell] [--login] [--fast]
[--preserve-environment] [--command=commande] [--shell=shell] [-]
[--help] [--version] [utilisateur [arg...]]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>su .<br/><br/></b>
<b>su</b> <b></b>  permet  un utilisateur de se transformer temporairement en un autre
utilisateur. <br/><br/>
Un shell est excute avec les UID, GID effectifs et
rels, ainsi que les groupes supplmentaires de l'<i>utilisateur</i>
indiqu. <br/><br/>
Si aucun nom d'<i>utilisateur</i> n'est mentionn, le nom
<b>root</b>, le Super-Utilisateur, est utilis par dfaut.<br/><br/>
Le shell excut est celui mentionn dans l'enregistrement correspondant
 l'<i>utilisateur</i> dans le fichier /etc/passwd. Si aucun shell n'y est
indiqu, /bin/sh est excut par dfaut.<br/><br/>
Si l'<i>utilisateur</i> dispose d'un mot de passe, 
<b>su</b> <b></b>  le rclame,  moins qu'il n'ait t invoque avec un UID rel valant 0 (celui
du Super-Utilisateur).<br/><br/>
Par dfaut,
<b>su</b> <b></b>  ne change pas de rpertoire. Il positionne les variables d'environnement
`HOME' et `SHELL'  partir des valeurs lues dans le fichier des mots
de passe, et si l'<i>utilisateur</i> demand n'est pas root, renseigne
les variables `USER' et `LOGNAME'.  Par dfaut le shell excut
n'est pas un shell de connexion.<br/><br/>
Si un ou plusieurs arguments sont fournis, ils sont transmis comme
arguments supplmentaires au shell.<br/><br/>
<b>su</b> <b></b>  ne gre pas spcifiquement /bin/sh ou tout autre shell
(en positionnant argv[0] a "-su", en transmettant la commande -c 
seulement  certains shells, etc...)<br/><br/>
Sur les systmes disposant de la journalisation syslog,
<b>su</b> <b></b>  peut tre compil afin de fournir des rapports d'chec, et ventuellement
de russite des tentatives d'utilisation de
<b>su .<br/><br/></b>
Ce programme ne gre pas le "groupe wheel" utilis pour restreindre
l'accs par 
<b>su</b> <b></b>  au compte Super-Utilisateur, car il pourrait aider des administrateurs
systme fascistes  disposer d'un pouvoir incontrl
sur les autres utilisateurs.
</div><br/><h2 class="TitreSection1" id="L6">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<i>-c COMMANDE, --command=COMMANDE</i> Transmet la COMMANDE (sur une seule ligne) au shell avec l'option
<i>-c</i> plutt que dmarrer un shell interactif.
<br/><br/>

<i>-f, --fast</i> Transmet l'argument
<i>-f</i> au shell.  Ceci n'a probablement de signification que pour
<b>csh</b> <b></b>  et
<b>tcsh ,</b>
pour lesquels l'option
<i>-f</i> vite la lecture du fichier de dmarrage (.cshrc). Avec les shells de
type Bourne, l'option
<i>-f</i> dsactive le dveloppement des motifs gnriques dans les noms de fichiers,
ce qui n'est gnralement pas le but recherch.
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>-, -l, --login</i> Appelle le shell sous forme de shell de connexion. Voici ce que cela
signifie : Invalider toutes les variables d'environnement sauf `TERM',
`HOME', et `SHELL' (qui sont renseignes comme dcrit ci-dessus), ainsi
que `USER' et `LOGNAME' (qui sont alors remplies mme pour le Super-Utilisateur).
Remplir `PATH' avec une valeur par dfaut donne lors de la compilation.
Se dplacer dans le rpertoire HOME de l'utilisateur. Ajouter
"-" au nom du shell, pour que celui-ci lise son ou ses fichiers de dmarrage.
<br/><br/>

<i>-m, -p, --preserve-environment</i> Ne pas changer les variables d'environnement `HOME', `USER', `LOGNAME', et
`SHELL'. Excuter le shell correspondant  la variable d'environnement
`SHELL' plutt que celui prsent dans l'enregistrement
/etc/passwd de l'utilisateur,  moins que ce dernier ait un shell
restreint, et que l'appelant ne soit pas le Super-Utilisateur.
Un shell est restreint s'il n'est pas dans la liste
/etc/shells, ou dans une liste fournie lors de la compilation si
ce dernier fichier n'existe pas.
Le comportement de cette option peut tre partiellement modifie avec
les options
<i>--login</i> et
<i>--shell .</i>
<br/><br/>

<i>-s, --shell shell</i> Excute le shell indiqu plutt que celui prsent dans
l'enregistrement /etc/passwd de l'utilisateur,  moins que 
ce dernier ait un shell
restreint, et que l'appelant ne soit pas le Super-Utilisateur.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">pourquoi gnu su ne gre-t-il pas le groupe `wheel' (par richard stallman)</h1>
<div class="paragraph">
Il peut arriver qu'un petit groupe d'utilisateurs essayent de s'approprier
l'ensemble du systme. Par exemple, en 1984, quelques utilisateurs du
laboratoire d'I.A du MIT ont tents de prendre le pouvoir en modifiant
le mot de passe de l'oprateur sur le systme Twenex, et en
gardant ce mot de passe secret. (J'ai pu les en empcher en modifiant le noyau, et
restaurer ainsi les autres accs, mais je ne saurais pas en faire autant
sous Unix).<br/><br/>
Nanmoins, il arrive parfois que les chefs fournissent le mot
de passe de root  un utilisateur ordinaire.
Avec le mcanisme habituel de <b>su</b>,
une fois que quelqu'un connat ce mot de passe, il peut le transmettre
 ses amis. Le principe du "groupe wheel" rend ce partage impossible,
ce qui renforce la puissance des chefs.<br/><br/>
Je me situe du cote du peuple, pas du ct des chefs. Si vous avez l'habitude
de soutenir les patrons et les administrateurs systmes quoi qu'ils fassent,
cette ide peut vous paratre trange au premier abord.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
