<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 14/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  MJ 30/07/2003 coreutils-4.5.3 -->
<br/><h1>TAIL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
tail - Afficher la dernire partie d'un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>tail</b> <b></b>  [-c [+]N[bkm]] [-n [+]N] [-fqv] [--bytes=[+]N[bkm]] [--lines=[+]N]
[--follow] [--quiet] [--silent] [--verbose] [--help] [--version]
[fichier...]<br/><br/>
<b>tail</b> <b></b>  [{-,+}Nbcfklmqv] [fichier...]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente la version GNU de
<b>tail</b> <b></b>  ([NDT] <b>tail</b> = queue).<br/><br/>
<b>tail</b> <b></b>  affiche la dernire partie (par dfaut : 10 lignes) de chacun des fichiers
indiqus. <br/><br/>
Si aucun fichier n'est fourni, ou si le nom `-' est mentionn,
la lecture se fera depuis l'entre standard.<br/><br/>
Si plusieurs fichiers sont fournis, un en-tte est affich avant chaque
fichier contenant son nom encadr par `==&gt;' et `&lt;=='.<br/><br/>
La version GNU de
<b>tail</b> <b></b>  peut afficher n'importe quelle quantit de donnes, contrairement
 la version UNIX qui utilise un buffer de taille fixe.<br/><br/>
Elle ne dispose pas
pas d'option
<i>-r</i> (afficher  l'envers). Imprimer un fichier  l'envers est un travail n'ayant
rien  voir avec l'affichage de sa fin. La version BSD de
<b>tail</b> <b></b>  ne peut imprimer  l'envers que des fichiers tenant dans son buffer, qui
 gnralement la taille de 32 Ko. Une manire beaucoup plus fiable et
souple d'inverser un fichier est d'utiliser la commande GNU
<b>tac .</b>
</div><br/><h2 class="TitreSection1" id="L5">OPTIONS</h2>
<div class="paragraph"><br/><br/>
<b>tail</b> <b></b>  accepte deux formats d'options diffrents. Le nouveau format dans
lequel les nombres sont des arguments prcds par les lettres reprsentant
des options, et l'ancien format dans lequel un `+' ou un  `-'
est suivi d'un nombre puis d'une lettre d'option.<br/><br/>
Si un nombre (`N') est prcd de `+',
<b>tail</b> <b></b>  commence l'affichage  partir du Nime lment en partant du
dbut du fichier (au lieu de la fin).
<br/><br/>

<i>-c N, --bytes N</i> Afficher N octets. N est un entier non nul, ventuellement suivi d'un
caractre indiquant une unit diffrente :
.RS
.IP b
blocs de 512 octets.
.IP k
blocs de 1 Ko.
.IP m
blocs de 1 Mo.

<br/><br/>

<i>-f, --follow</i> Boucler indfiniment, en essayant de lire de plus en plus de caractres
 la fin du fichier, celui-ci devant grandir. Cette option est ignore
si la lecture se fait depuis un tube (pipe). Si plusieurs fichiers
d'entre sont indiqus
<b>tail</b> <b></b>  affiche un en-tte ds qu'un fichier est modifi, pour montrer celui qui
est imprim.
<br/><br/>

<i>-l, -n N, --lines N</i> Afficher N lignes.
<i>-l</i> n'est reconnu que dans l'ancien format d'options.
<br/><br/>

<i>-q, --quiet, --silent</i> Ne jamais afficher l'en-tte avec le nom du fichier
<br/><br/>

<i>-v, --verbose</i> Toujours afficher l'en-tte avec le nom du fichier
<br/><br/>

<i>--help</i> Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<i>--version</i> Afficher un numro de version sur la sortie standard et se terminer normalement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
