<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright Andries Brouwer, 2000 -->
<!--  -->
<!--  Traduction 30/05/2001 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>TIME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">environnement</a>
<br /><a class="summaryIndent0" href="#L5">code renvoy</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">version gnu</a>
<br /><a class="summaryIndent0" href="#L8">options gnu</a>
<br /><a class="summaryIndent0" href="#L9">options standards gnu</a>
<br /><a class="summaryIndent0" href="#L10">bogues</a>
<br /><a class="summaryIndent0" href="#L11">voir aussi</a>
<br /><a class="summaryIndent0" href="#L12">auteurs</a>
<br /><a class="summaryIndent0" href="#L13">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
time - Chronomtrer ou valuer les ressources employes par une commande simple.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>time [</b> options <i>] </i> commande <b> [</b> arguments... <i>] </i>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>time</b> <b></b>  lance le programme reprsent par la
<i>commande</i> indique, avec les
<i>arguments</i> fournis. Lorsque la
<i>commande</i> se termine,
<b>time</b> <b></b>  affiche un message sur la sortie standard contenant des statistiques sur
l'excution du programme.
Ces statistiques contiennent (i) le temps coul entre l'invocation
et la fin de la commande, (ii) le temps CPU coul en mode utilisateur
(la somme des valeurs
<i>tms_utime</i> et
<i>tms_cutime</i> de la structure
<i>struct tms</i> fournie par l'appel systme
<b>times (2)),</b>
et (iii) le temps CPU pass en mode systme (la somme des champs
<i> tms_stime</i> et
<i>tms_cstime</i> de la 
<i>struct tms</i> fournie par l'appel systme
<b>times (2)).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

<b>-p</b> <b></b>  Dans la localisation POSIX, utiliser le format traditionnel
<br/>
.in +5
"real %f\enuser %f\ensys %f\en"
.in -5
<br/>
(avec des nombres exprims en secondes)
o le nombre de dcimales dans le format %f n'est pas prcis, mais
suffisant pour exprimer le top d'horloge prcisment.
</div><br/><br /><h1 class="TitreSection0" id="L5">environnement</h1>
<div class="paragraph">
Les variables LANG, LC_ALL, LC_CTYPE, LC_MESSAGES, LC_NUMERIC,
NLSPATH et PATH sont utilises. La dernire sert  rechercher la
<i>commande .</i>
Les autres servent au formatage du texte et de la sortie.
</div><br/><br /><h1 class="TitreSection0" id="L6">code renvoy</h1>
<div class="paragraph">
Si la
<i>commande</i> a t invoque, le code de sortie est celui de la
<i>commande .</i>
Sinon, il s'agit de 127 si la 
<i>commande</i> n'a pas t trouve, 126 si elle a t trouve mais n'a pas pu tre invoque,
et une autre valeur non-nulle (1-125) si quelque chose d'autre a chou.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>times (2),</b>
<br/><br/>
 2
</div><br/><br /><h1 class="TitreSection0" id="L8">version gnu</h1>
<div class="paragraph">
Suit une description de la version GNU 1.7 de 
<b>time .</b>
Contrairement au nom de cet utilitaire, GNU ajoute un grand nombre d'informations
utiles, concernant non seulement le temps coul, mais galement d'autres ressources,
comme la mmoire, les entres-sorties ou les communications IPC (si disponibles).
La sortie est formate en utilisant une chane qui peut tre transmise avec l'option
-f ou en utilisant la variable d'environnement TIME.<br/><br/>
La chane de format par dfaut est
<br/>
.in +3
%Uuser %Ssystem %Eelapsed %PCPU (%Xtext+%Ddata %Mmax)k
<br/>
%Iinputs+%Ooutputs (%Fmajor+%Rminor)pagefaults %Wswaps
<br/>
.in -3<br/><br/>
Lorsque l'option -p est fournie, le format de sortie (portable)
<br/>
.in +3
real %e
<br/>
user %U
<br/>
sys %S
<br/>
.in -3
est utilis.
</div><br/><h2 class="TitreSection1" id="L15">Chane de format</h2>
<div class="paragraph">
Le format est interprt comme d'habitude  la manire de 
<b>printf (3).</b>
Les caractres ordinaires sont copis directement, les tabulations
sauts de lignes et baskslashes sont protgs par \et, \en et \e\e.
Un signe pourcent est reprsent par %%, sinon % indique une conversion.
Le programme
<b>time</b> <b></b>  ajoutera toujours un saut de ligne  la fin de la sortie.
Les conversions se trouvent ci-dessous. Toutes celles utilises par
<b>tcsh (1)</b>
sont disponibles.<br/><br/>
<b>Temps"</b> <b></b>  <br/><br/>

<b>%E</b> <b></b>  Temps rel coul (en [heures:]minutes:secondes).
<br/><br/>

<b>%e</b> <b></b>  (pas avec tcsh.) Temps rel coul (en secondes).
<br/><br/>

<b>%S</b> <b></b>  Nombre total de secondes-CPU pass par le processus en mode noyau.
<br/><br/>

<b>%U</b> <b></b>  Nombre total de secondes-CPU pass par le processus en mode utilisateur.
<br/><br/>

<b>%P</b> <b></b>  Pourcentage de CPU obtenu par ce job, calcul comme (%U + %S) / %E.<br/><br/>
<b>Mmoire"</b> <b></b>  <br/><br/>

<b>%M</b> <b></b>  Taille maximale du processus en mmoire physique durant son excution, en kilo-octets.
<br/><br/>

<b>%t</b> <b></b>  (pas avec tcsh) Taille moyenne du processus en mmoire physique durant son excution, en kilo-octets.
<br/><br/>

<b>%K</b> <b></b>  Mmoire moyenne (donne + pile + code) utilise par le processus, en kilo-octets.
<br/><br/>

<b>%D</b> <b></b>  Taille moyenne des donnes non-partages du processus, en kilo-octets.
<br/><br/>

<b>%p</b> <b></b>  (pas avec tcsh.) Taille moyenne de la pile non-partage du processus, en kilo-octets.
<br/><br/>

<b>%X</b> <b></b>  Taille moyenne du code partag du processus, en kilo-octets.
<br/><br/>

<b>%Z</b> <b></b>  (pas avec tcsh.) Taille de page du systme, en octets. Ceci est une constante sur un systme,
mais varie de systme en systme.
<br/><br/>

<b>%F</b> <b></b>  Nombre de fautes de pages majeures durant l'excution. Ce sont les fautes o des pages ont d
tre recharges depuis le disque.
<br/><br/>

<b>%R</b> <b></b>  Nombre de fautes de pages mineures durant l'excution. Ce sont les fautes o des pages ne sont
plus valides, mais n'ont pas encore t rutilises. Les donnes y sont encore prsentes et
seules les tables systme doivent tre mises  jour.
<br/><br/>

<b>%W</b> <b></b>  Nombre de fois o le processus a t envoy sur la mmoire de swap.
<br/><br/>

<b>%c</b> <b></b>  Nombre de fois o le processus a t prempt involontairement (sa
tranche de temps ayant expir).
<br/><br/>

<b>%w</b> <b></b>  Nombre de fois o le processus a t commut volontairement, en passant
en attente par exemple de la fin d'une entre-sortie.<br/><br/>
<b>Entres/Sorties"</b> <b></b>  <br/><br/>

<b>%I</b> <b></b>  Nombre de lecture depuis un fichier
<br/><br/>

<b>%O</b> <b></b>  Nombre d'criture dans un fichier
<br/><br/>

<b>%r</b> <b></b>  Nombre de messages reus par le processus sur une socket.
<br/><br/>

<b>%s</b> <b></b>  Nombre de messages envoys par le processus sur une socket.
<br/><br/>

<b>%k</b> <b></b>  Nombre de signaux dlivrs au processus.
<br/><br/>

<b>%C</b> <b></b>  (pas avec tcsh.) Nom de la commande examine avec ses arguments.
<br/><br/>

<b>%x</b> <b></b>  (pas avec tcsh.) Code de retour de la commande.
</div><br/><br /><h1 class="TitreSection0" id="L9">options gnu</h1>
<div class="paragraph">
<br/><br/>

<b>-f </b> FORMAT <i>, --format=</i> FORMAT
Prciser le format de sortie, en crasant celui mentionn ventuellement
dans la variable d'environnement TIME.
<br/><br/>

<b>-p</b> <b></b> ,<b></b>  <b>--portability"</b> <b></b>  Utilise le format de sortie portable.
<br/><br/>

<b>-o </b> FICHIER <i>, --output=</i> FICHIER
Ne pas envoyer les rsultats sur la sortie d'erreur standard, mais craser
le fichier indiqu.
<br/><br/>

<b>-a</b> <b></b> ,<b></b>  <b>--append"</b> <b></b>  En conjonction avec -o, ne pas craser le fichier, mais ajouter les rsultats
 la fin.
<br/><br/>

<b>-v</b> <b></b> ,<b></b>  <b>--verbose"</b> <b></b>  Afficher des informations concernant le programme.
</div><br/><br /><h1 class="TitreSection0" id="L10">options standards gnu</h1>
<div class="paragraph">
<br/><br/>

<b>--help"</b> <b></b>  Afficher un message d'aide sur la sortie standard et se terminer normalement.
<br/><br/>

<b>-V</b> <b></b> ,<b></b>  <b>--version"</b> <b></b>  Afficher un numro de version sur la sortie standard et se terminer normalement.
<br/><br/>

<b>--"</b> <b></b>  Fin de la liste des options.
</div><br/><br /><h1 class="TitreSection0" id="L11">bogues</h1>
<div class="paragraph">
Toutes les ressources ne sont pas disponibles avec toutes les versions d'Unix,
ainsi certaines valeurs peuvent tre toujours  zro.
La slection propose a t essentiellement inspire des donnes disponibles
sur systme 4.2 ou 4.3BSD.<br/><br/>
La version 1.7 GNU de time ne supporte pas encore la localisation.<br/><br/>
Le choix de la variable d'environnement TIME est une erreur. Il n'est pas rare
que des systmes comme autoconf ou make emploient une variable avec le nom d'un
utilitaire pour remplacer l'invocation directe. L'utilisation de noms de variables
comme MORE ou TIME au lieu des noms de programme conduit parfois  des problmes.<br/><br/>
Il est plutt malheureux que -o crase le fichier plutt que d'y ajouter ses
informations (le comportement de -a devrait tre celui par dfaut).<br/><br/>
Envoyez vos rapports de bogues et suggestions pour la version GNU de
<b>time</b> <b></b>  
<br/>
<i>bug-utils@prep.ai.mit.edu</i> <br/>
Indiquez bien la version de
<b>time</b> <b></b>  <b></b> ,<b></b>  que vous employez, en invoquant
<br/>
<i>time --version</i> <br/>
ainsi que le systme d'exploitation et le compilateur C utiliss.
</div><br/><br /><h1 class="TitreSection0" id="L12">voir aussi</h1>
<div class="paragraph">
<b>tcsh (1),</b>
<b>times (2),</b>
<b>wait3 (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L13">auteurs</h1>
<div class="paragraph">
<br/><br/>

</div><div class="paragraph">David<br/>
Version originale.
</div><div class="paragraph">David<br/>
POSIX, autoconf, GNU getopt, documentation, corrections de bogues
et amliorations.
</div><div class="paragraph">Arne Henrik<br/>
Aide  la portabilit.
</div><div class="paragraph">Franois<br/>
Aide  la portabilit.
</div><br/><br /><h1 class="TitreSection0" id="L14">traduction</h1>
<div class="paragraph">
Christophe BLAESS, 2001-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
