<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1980, 1990 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!--      This product includes software developed by the University of -->
<!--      California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--  @(#)whereis.1 from UCB 4.2 -->
<!--  Traduction le 09/06/1997 par Michel Quercia (quercia@cal.enst.fr) -->
<!--  -->
<!--  MJ 30/07/2003 util-linux-2.11y -->
<br/><h1>WHEREIS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">exemple</a>
<br /><a class="summaryIndent0" href="#L5">fichiers</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
whereis - Rechercher les fichiers excutables, les sources et les pages de manuel d'une commande.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>whereis</b> [<b>-bmsu</b>] [<b>-BMS</b> <i>rpertoire</i> ... <b>-f</b>]
<i>nom</i> ...
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>whereis</b> recherche les fichiers excutables, les sources et les pages
de manuel des fichiers spcifis.
Les noms des fichiers sont obtenus en supprimant le chemin d'accs et les
extensions ventuelles de la forme <i>.ext</i>, par exemple <b>.c</b>.
Les prfixes de la forme <b>s.</b> utiliss pour la gestion du code source
sont galement pris en charge.
<b>whereis</b> recherche alors le programme demand dans une liste de
rpertoires standards sous Linux.
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

\fB-b
Recherche seulement les excutables.
<br/><br/>

<b>-m</b> <b></b>  Recherche seulement les pages de manuel.
<br/><br/>

<b>-s</b> <b></b>  Recherche seulement les fichiers source.
<br/><br/>

<b>-u</b> <b></b>  Recherche les fichiers anormaux. Un fichier est anormal s'il manque
l'excutable ou le fichier source ou la page de manuel. Par exemple,
` <b>whereis&nbsp;&nbsp;-m&nbsp;&nbsp;-u&nbsp;&nbsp;*</b> '</b>
recherche les fichiers du rpertoire courant qui n'ont pas de page de
manuel.
<br/><br/>

<b>-B</b> <b></b>  Modifie ou limite les rpertoires o <b>whereis</b> cherche les excutables.
<br/><br/>

<b>-M</b> <b></b>  Modifie ou limite les rpertoires o <b>whereis</b> cherche les page de manuel.
<br/><br/>

<b>-S</b> <b></b>  Modifie ou limite les rpertoires o <b>whereis</b> cherche les fichiers source.
<br/><br/>

<b>-f</b> <b></b>  Marque la fin de la liste des rpertoires et le dbut des noms de fichiers.
L'usage de cette option est obligatoire quand l'une des options
<b>-B ,</b>
<b>-M ,</b>
ou
<b>-S</b> <b></b>  est utilise.
</div><br/><br /><h1 class="TitreSection0" id="L5">exemple</h1>
<div class="paragraph">
Trouver tous les fichiers dans
<b>/usr/bin</b> <b></b>  non documents dans
<b>/usr/man/man1</b> <b></b>  et ayant leur source dans
<b>/usr/src </b> :<b></b>
.IP

.ft B
example% cd /usr/bin
example% whereis -u -M /usr/man/man1 -S /usr/src -f *


.ft R
</div><br/><br /><h1 class="TitreSection0" id="L6">fichiers</h1>
<div class="paragraph"><br/><br/>D 0
<br/><br/>
 20
<b>/{bin</b> <b></b> ,<b>sbin</b> <b></b> ,<b>etc}</b> <b></b>  <br/><br/>

<b>/usr/{lib</b> <b></b> ,<b>bin</b> <b></b> ,<b>old</b> <b></b> ,<b>new</b> <b></b> ,<b>local</b> <b></b> ,<b>games</b> <b></b> ,<b>include</b> <b></b> ,<b>etc</b> <b></b> ,<b>src</b> <b></b> ,<b>man</b> <b></b> ,<b>sbin</b> <b></b> ,<b></b>  <b>X386</b> <b></b> ,<b>TeX</b> <b></b> ,<b>g++-include}</b> <b></b>  <br/><br/>

<b>/usr/local/{X386</b> <b></b> ,<b>TeX</b> <b></b> ,<b>X11</b> <b></b> ,<b>include</b> <b></b> ,<b>lib</b> <b></b> ,<b>man</b> <b></b> ,<b>etc</b> <b></b> ,<b>bin</b> <b></b> ,<b>games</b> <b></b> ,<b></b>  <b>emacs}</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>chdir (2V)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Comme
<b>whereis</b> <b></b>  utilise
<b>chdir (2V)</b>
pour aller plus vite,les chemins donns avec
<b>-M ,</b>
<b>-S ,</b>
ou
<b>-B</b> <b></b>  doivent tre complets c'est--dire commencer par un
` / '.<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Michel Quercia, 1997.
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
