<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Wed Jul 21 19:42:57 1993, Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise  jour 30/08/2000 - LDP 1.31 -->
<!--  Mise  jour 18/07/2003 - LDP 1.56 -->
<br/><h1>ALARM</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
alarm - Programmer un rveil pour l'mission d'un signal.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>unsigned int alarm(unsigned int </b> nb_sec );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>alarm </b>
programme une temporisation pour qu'elle envoie un signal 
<b>SIGALRM</b>
au processus en cours dans
<i>nb_sec</i> secondes. Si le signal n'est pas bloqu ou intercept, sa
rception terminera le processus.<br/><br/>
Si
<i>nb_sec</i> vaut zro, aucune
<b>alarme</b> <b></b>  n'est planifie.<br/><br/>
Dans tous les cas, l'appel
<b>alarm</b> <b></b>  annule l'ventuelle programmation prcdente.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>alarm</b> <b></b>  renvoie le nombre de secondes qu'il restait de la programmation
prcdente (annule), ou zro si aucune  alarme n'avait t planifie
auparavant.
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Les fonctions
<b>alarm </b> et <b> setitimer</b>
partagent la mme temporisation, aussi l'appel de l'une interfre avec
l'utilisation de l'autre.<br/><br/>
<b>sleep()</b> <b></b>  peut tre implment en utilisant
<b>SIGALRM ,</b>
aussi il est dconseill de mlanger les appels
<b>alarm()</b> <b></b>  et
<b>sleep().<br/><br/></b>
Les dlais ds au multitche peuvent, comme toujours, retarder
le dclenchement d'une alarme d'une dure arbitraire.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, X/OPEN, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>setitimer (2),</b>
<b>signal (2),</b>
<b>sigaction (2),</b>
<b>gettimeofday (2),</b>
<b>select (2),</b>
<b>pause (2),</b>
<b>sleep (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
