<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 2003 Andries E. Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--     Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--     MJ  18/07/2003 - LDP 1.56 -->
<br/><h1>ALLOC_HUGEPAGES</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">fichiers</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
alloc_hugepages, free_hugepages - Allouer ou librer des pages immenses.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>void *alloc_hugepages(int </b> cle <i>, void *</i> adr <b>, size_t </b> lg <i>, int </i> prot <b>, int </b> attr );
<!--  asmlinkage unsigned long sys_alloc_hugepages(int key, unsigned long addr, -->
<!--  unsigned long len, int prot, int flag); -->
<br/><br/>

<b>int free_hugepages(void *</b> adr );
<!--  asmlinkage int sys_free_hugepages(unsigned long addr); -->
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les appels-systme
<b>alloc_hugepages</b> <b></b>  et
<b>free_hugepages</b> <b></b>  ont t introduits dans Linux 2.5.36 et retirs  nouveau dans le 2.5.54.
Ils n'existent que sur i386 et ia64 (compilation avec l'option CONFIG_HUGETLB_PAGE).
Dans Linux 2.4.20 le numro d'appel-systme existe, mais renvoie toujours ENOSYS.<br/><br/>
Sur un i386, le mcanisme matriel de gestion mmoire manipule des pages ordinaires (4 Ko) et des
pages immenses (2  4 Mo). De mme l'ia64 connat des pages immenses de diverses
tailles. Ces appels-systme servent  projeter ces pages immenses dans l'espace
mmoire du processus ou  les librer.
Les pages immenses sont verrouilles en mmoire et jamais swappes.<br/><br/>
Le paramtre
<i>cle</i> est un identificateur. Lorsqu'il vaut zro, les pages sont prives et non hrites
par les processus descendants.
Lorsqu'il est positif, les pages sont partages avec les autres applications utilisant la mme
<i>cle ,</i>
et hrites par les processus enfants.<br/><br/>
Le paramtre
<i>adr</i> de
<b>free_hugepages()</b> <b></b>  indique quelle page doit tre libre - il a t renvoy lors de
l'appel
<b>alloc_hugepages() .</b>
(La mmoire n'est vritablement libre que lorsque tous ses utilisateurs la relchent).
Le paramtre
<i>adr</i> de
<b>alloc_hugepages()</b> <b></b>  est un dsir que le noyau peut suivre ou non.
Les adresses doivent tre correctement alignes.<br/><br/>
Le paramtre
<i>lg</i> est la taille du segment dsir. Il doit s'agir d'un multiple
de la taille d'une page immense.<br/><br/>
Le paramtre
<i>prot</i> indique le type de protection du segment. Il s'agit
d'une association de PROT_READ, PROT_WRITE, PROT_EXEC.<br/><br/>
Le paramtre
<i>flag</i> est ignor, sauf si
<i>cle</i> est positive. Dans ce cas, si
<i>flag</i> vaut IPC_CREAT, alors un nouveau segment de page norme est cr si
aucun n'existe avec cette cl. Sinon, l'erreur ENOENT est renvoy
si aucun segment correspondant  la cl n'existe.
<i></i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'il russit
<b>alloc_hugepages</b> <b></b>  renvoie l'adresse du segment allou, et
<b>free_hugepages</b> <b></b>  renvoie zro. En cas d'erreur, ils renvoient -1 et remplissent
<i>errno</i> avec le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ENOSYS</b> <b></b>  L'appel-systme n'est pas support par ce noyau.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Ces appels n'existent que dans les noyaux Linux 2.5.36 - 2.5.54.
Ils sont spcifiques  Linux sur processeurs Intel, et ne doivent pas tre
employs sur des programmes conus pour tre protables. De plus, les numros
de ces appels-systme ont t marqus comme libres, et les programme les
utilisant risquent de se comporter de manire imprvisible dans l'avenir.
</div><br/><br /><h1 class="TitreSection0" id="L7">fichiers</h1>
<div class="paragraph">
<i>/proc/sys/vm/nr_hugepages</i> Nombre de pages normes configures.
Peut tre lu ou crit.<br/><br/>
<i>/proc/meminfo</i> Indique le nombre de pages normes configurs, et leurs tailles
dans les trois variables HugePages_Total, HugePages_Free, Hugepagesize.
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
Ces appels-systme ont disparu. Maintenant, le systme de fichiers hugetblfs peut
tre employ  leur place. La mmoire correspondant aux pages normes (si le
processeur les supportent) peut tre obtenue par un mmap() des fichiers de
ce systme de fichiers virtuel.<br/><br/>
Le nombre maximal de pages normes peut tre indiqu en utilisant l'argument
<b>hugepages=</b> <b></b>  au boot.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
