<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1995 Michael Chastain (mec@shell.portal.com), 15 April 1995. -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Traduction 16/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise a jour 18/07/2003 - LDP-1.56 -->
<br/><h1>BDFLUSH</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
bdflush - Dmarrer, vider, ajuster le dmon buffer-dirty-flush.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>int bdflush(int</b>  <i> func, </i> <b>long *</b> address);
<b>int bdflush(int</b>  <i> func, </i> <b>long </b> data);


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>bdflush</b> <b></b>  dmarre, vide ou ajuste le dmon bdflush (buffer-dirty-flush).
Seul le Super-User peut appeler
<b>bdflush .<br/><br/></b>
Si
<i>func</i> est ngatif ou nulle, et si aucun dmon n'a dmarr, alors
<b>bdflush</b> <b></b>  bascule en fonctionnement dmon, et ne revient pas.<br/><br/>
Si
<i>func</i> vaut 1,
les buffers remplis sont crits sur le disque.<br/><br/>
Si
<i>func</i> vaut 2 ou plus et est paire (bit poids faible  0), alors
<i>address</i> correspond  l'adresse d'un mot long et
le paramtre numro
<i>(</i> <i>func</i> <i>-2)/2</i></i>
est renvoy  cette adresse.<br/><br/>
Si
<i>func</i> vaut 3 ou plus et est impair (bit poids faible  1), alors
<i>data</i> est un mot long et le noyau
crit cette valeur dans
le paramtre numro
<i>(</i> <i>func</i> <i>-3)/2</i> .<br/><br/></i>
Le jeu de paramtres, leurs valeurs, et leurs intervalles
lgaux sont dfinis dans les sources du noyau, dans le fichier
<i>fs/buffer.c .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si
<i>func</i> est ngative ou nulle, et si le dmon dmarre correctement,
<b>bdflush</b> <b></b>  ne revient pas.
Autrement la valeur renvoye vaut 0 en russite et -1 en chec auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 
<b>EPERM</b> <b></b>  L'appelant n'est pas le Super-User.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>address</i> pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EBUSY</b> <b></b>  On tente d'excuter le code du dmon aprs qu'un autre
processus l'ait dj dmarr.
<br/><br/>

<b>EINVAL</b> <b></b>  Numro de paramtre invalide, ou criture d'une valeur
invalide dans le paramtre.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
<b>bdflush</b> est spcifique  Linux et ne doit pas tre
employ dans des programmes destins  tre portables.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>fsync (2),</b>
<b>sync (2),</b>
<b>update (8),</b>
<b>sync (8).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
