<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Wed Jul 21 22:18:17 1993 by  Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 21 Aug 1994 by Michael Chastain (mec@shell.portal.com): -->
<!--    Fixed typoes. -->
<!--  -->
<!--  Traduction 9/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  mj 30/05/2001 (LDP man-pages 1.36) -->
<!--  mj 18/07/2003 (LDP man-pages 1.56) -->
<br/><h1>CHROOT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
chroot - Modifier le rpertoire racine.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int chroot (const char *</b> path );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>chroot</b> <b></b>  remplace le rpertoire racine du processus en cours par celui 
spcifi par le chemin
<i>path .</i>
Ce rpertoire sera utilis comme origine des chemins commenant par /.  
Le rpertoire racine est hrit par tous les enfants du processus
ayant fait le changement.<br/><br/>
Seul le Super-User peut effectuer un changement de rpertoire racine.<br/><br/>
Notez que cet appel systme ne modifie pas le rpertoire de travail,
aussi `.' peut se retrouver en-dehors de l'arbre dont la racine
est `/'. En particulier, le Super-User peut s'vader d'un "pige chroot"
en faisant `mkdir foo; chroot foo; cd ..'.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>chroot</b>
renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Suivant le type de systme de fichiers, plusieurs erreurs peuvent tre
renvoyes. Les plus courantes sont les suivantes :<br/><br/>
<br/><br/>

<b>EPERM</b> <b></b>  L'UID effectif du processus n'est pas nul.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>path</i> pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>path</i> est trop long.
<br/><br/>

<b>ENOENT</b> <b></b>  Le fichier n'existe pas.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.      
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs n'est pas un rpertoire.
<br/><br/>

<b>EACCES</b> <b></b>  L'accs  un lment du chemin est interdit.                  
<br/><br/>

<b>ELOOP</b> <b></b>  <i>path</i> contient une rfrence circulaire ( travers un lien symbolique)
<b>EIO</b> <b></b>  Une erreur d'entre/sortie de bas-niveau s'est produite.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, SVID, 4.4BSD, X/OPEN. Cette fonction n'est pas dcrite dans POSIX.1
SVr4 indique des conditions d'erreurs supplmentaires EINTR, ENOLINK
et EMULTIHOP.
X/OPEN ne dcrit pas les erreurs EIO, ENOMEM, et EFAULT.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>chdir (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
