<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -->
<!--   epoll by Davide Libenzi ( efficient event notification retrieval ) -->
<!--   Copyright (C) 2003  Davide Libenzi -->
<!--  -->
<!--   This program is free software; you can redistribute it and/or modify -->
<!--   it under the terms of the GNU General Public License as published by -->
<!--   the Free Software Foundation; either version 2 of the License, or -->
<!--   (at your option) any later version. -->
<!--  -->
<!--   This program is distributed in the hope that it will be useful, -->
<!--   but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--   GNU General Public License for more details. -->
<!--  -->
<!--   You should have received a copy of the GNU General Public License -->
<!--   along with this program; if not, write to the Free Software -->
<!--  -->
<!--   Davide Libenzi &lt;davidel@xmailserver.org&gt; -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>EPOLL_CREATE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
epoll_create - Ouvrir un descripteur de fichier epoll.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/epoll.h&gt;</b> <b></b>  <br/><br/>

<b>int epoll_create(int </b> nb )</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ouvre un descripteur de fichier
<b>epoll</b> <b></b>  en demandant au noyau d'allouer une structure pour
surveiller les vnements pour
<i>nb</i> descripteurs. La valeur
<i>nb</i> n'est pas le nombre maximal absolu, mais juste un conseil pour 
le noyau, afin qu'il dimensionne ses structures internes.
Le descripteur de fichier renvoy sera utilis pour tous les appels
ultrieurs  l'interface
<b>epoll .</b>
Le descripteur devra 
tre ferm avec
<b>close (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Lorsqu'il russit, l'appel
<b>epoll_create (2)</b>
renvoie un entier positif identifiant le descripteur.
Si une erreur se produit,
<b>epoll_create (2)</b>
renvoie -1 et remplit
<i>errno</i> avec le code appropri.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ENOMEM</b> <b></b>  Il n'y a pas assez de mmoire pour que le noyau cre les objets ncessaires.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
<b>epoll_create (2)</b>
est une nouvelle API introduite dans Linux 2.5.44.
L'interface est stabilise depuis Linux 2.5.66.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>close (2),</b>
<b>epoll_ctl (2),</b>
<b>epoll_wait (2),</b>
<b>epoll (4)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
