<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -->
<!--   epoll by Davide Libenzi ( efficient event notification retrieval ) -->
<!--   Copyright (C) 2003  Davide Libenzi -->
<!--  -->
<!--   This program is free software; you can redistribute it and/or modify -->
<!--   it under the terms of the GNU General Public License as published by -->
<!--   the Free Software Foundation; either version 2 of the License, or -->
<!--   (at your option) any later version. -->
<!--  -->
<!--   This program is distributed in the hope that it will be useful, -->
<!--   but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--   GNU General Public License for more details. -->
<!--  -->
<!--   You should have received a copy of the GNU General Public License -->
<!--   along with this program; if not, write to the Free Software -->
<!--  -->
<!--   Davide Libenzi &lt;davidel@xmailserver.org&gt; -->
<!--   Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>EPOLL_WAIT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformiit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
epoll_wait - Attendre un vment sur un descripteur epoll.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/epoll.h&gt;</b> <b></b>  <br/><br/>

<b>int epoll_wait(int </b> epfd <b>, struct epoll_event * </b> events <b>, int </b> maxevents <b>, int </b> timeout)</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Attendre un vnement sur
le descripteur
<b>epoll</b> <b></b>  <i>epfd</i> pendant une dure maximale de
<i>timeout</i> millisecondes. La zone mmoire pointe par
<i>events</i> contiendra les vnements disponibles pour l'appelant.
Jusqu'
<i>maxevents</i> vnements sont renvoys par
<b>epoll_wait (2).</b>
Le paramtre
<i>maxevents</i> doit tre suprieur  zor. En spcifiant
-1 comme valeur de
<i>timeout ,</i>
<b>epoll_wait (2)</b>
attendra indfiniment, alors qu'un
<i>timeout</i> nul fera revenir
<b>epoll_wait (2)</b>
immdiatement, mme si aucun vnement n'est disponible (code de retour nul)
La
<b>struct</b> <b></b>  <b>epoll_event</b> <b></b>  est dfinie ainsi&nbsp;:
<br/><br/>

<br/><br/>
	typedef union epoll_data {
		void *ptr;
		int fd;
		__uint32_t u32;
		__uint64_t u64;
	} epoll_data_t;<br/><br/>
	struct epoll_event {
		__uint32_t events;	/* vnement epoll      */
		epoll_data_t data;	/* Variable utilisateur */
	};<br/><br/>

<br/><br/>
Le champ
<i>data</i> de la structure renvoye contiendra les mmes donnes que lors de l'appel
<b>epoll_ctl (2)</b>
<i>( EPOLL_CTL_ADD , EPOLL_CTL_MOD )</i>
tandis que le champ
<i>events</i> contiendra le masque de bit des vnements disponibles.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Lorrsqu'il russit, l'appel
<b>epoll_wait (2)</b>
renvoie le nombe de descritpeurs prts pour les E/S demandes, ou zro
si aucun descripteur n'est devenu prt pendant la dure
<i>timeout</i> millisecondes. Si une erreur se produit,
<b>epoll_wait (2)</b>
renvoie -1 et 
<i>errno</i> contient le code appropri.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <i>epfd</i> n'est pas un descripteur de fichier valide.
<br/><br/>

<b>EINVAL</b> <b></b>  Le descripteur
<i>epfd</i>
fourni n'est pas un descripteur
<b>epoll ,</b>
ou le paramtre
<i>maxevents</i> est infrieur ou gal  zro.
<br/><br/>

<b>EFAULT</b> <b></b>  La zone mmoire pointe par
<i>events</i> n'est pas accessible en criture.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformiit</h1>
<div class="paragraph">
<b>epoll_wait (2)	</b>
est une nouvelle API introduite dans Linux 2.5.44.
Son interface est stabilise depuis Linux 2.5.66.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>epoll_ctl (2),</b>
<b>epoll_create (2),</b>
<b>epoll (4)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
