<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Sat Jul 24 13:39:26 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Tue Sep 26 21:47:21 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--   -->
<!--  Traduction 11/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise  jour 21/09/1998 - LDP-man-pages-1.20 -->
<!--  Mise  jour 05/05/99 LDP-man-pages-1.23 -->
<!--  Mise  jour 30/05/01 LDP-man-pages-1.36 -->
<!--  mj 15/01/02 LDP-man-pages 1.47 -->
<!--  mj 30/07/03 LDP-man-pages 1.58 -->
<br/><h1>FCNTL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fcntl - Manipuler un descripteur de fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;fcntl.h&gt;</b> <b></b>  <br/><br/>

<b>int fcntl(int </b> fd <i>, int </i> cmd );
<b>int fcntl(int </b> fd <i>, int </i> cmd <b>, long </b> arg );
<b>int fcntl(int </b> fd <i>, int </i> cmd <b>, struct flock *</b> lock );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>fcntl</b> <b></b>  permet de se livrer  diverses oprations sur le descripteur de fichier
<i>fd .</i>
L'opration en question est dtermine par la valeur de l'argument
<i>cmd .</i>
</div><br/><h2 class="TitreSection1" id="L10">Manipulation de Close-on-exec</h2>
<div class="paragraph">
<br/><br/>
 
<b>F_DUPFD</b> <b></b>  Trouve le plus petit numro de descripteur libre suprieur
gal 
<i>arg</i> et le transforme en copie de
<i>fd .</i>
Ceci est diffrent de
<b>dup (2)</b>
qui utilise exactement le descripteur transmis.
<br/><br/>

Le nouveau et l'ancien descripteurs deviennent interchangeables. Ils partagent
les verrous, l'indicateur de position et les attributs. Si par exemple la
tte de lecture/criture est dplace en utilisant
<b>lseek</b> <b></b>  sur l'un des deux descripteurs, la position sera aussi modifie pour l'autre.
<br/><br/>

Les deux descripteurs ne partagent toutefois pas l'attribut Close-on-exec.
L'attribut Close-on-exec de la copie est dsactiv, ce qui signifie qu'il
ne sera pas ferm lors d'un exec().
<br/><br/>

En cas de russite, le nouveau descripteur est renvoy.
<br/><br/>

<b>F_GETFD</b> <b></b>  Retourne la valeur de l'attribut Close-on-exec. Si le bit 
<b>FD_CLOEXEC</b> <b></b>  est 0, le fichier restera ouvert mme au travers d'un
<b>exec ,</b>
autrement il sera ferm.
<br/><br/>

<b>F_SETFD</b> <b></b>  Positionne l'attribut Close-on-Exec avec la valeur prcise par le bit
<b>FD_CLOEXEC</b> <b></b>  de 
<i>arg .</i>
</div><br/><h2 class="TitreSection1" id="L10">Attribut d'tat du fichier</h2>
<div class="paragraph">
Un descripteur de fichier dispose de certains attributs, initialiss par
<b>open (2)<br/><br/></b>

et eventuellement modifis par
<b>fcnt (2).</b>
Les attributs sont partags entre les copies (obtenues avec
<b>dup (2),</b>
<b>fork(2),</b>
etc.) du mme descripteur de fichier.
<br/><br/>

Les attributs et leurs smantiques sont dcrits dans la page
<b>open (2).</b>
<br/><br/>

<b>F_GETFL</b> <b></b>  Renvoie l'attribut d'tat du descripteur.
<br/><br/>

<b>F_SETFL</b> <b></b>  Fixe les nouveaux attributs pour le descripteur de fichier  la valeur
indique par
<i>arg .</i>
Les bits restants (mode d'accs, attributs de cration) de
<i>arg</i> sont ignors.
Sous Linux, cette commande ne peut changer que O_APPEND, O_NONBLOCK, O_ASYNC,
et O_DIRECT.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L10">Verrouillages coopratifs</h2>
<div class="paragraph">
<b>F_GETLK </b>, <b> F_SETLK </b> et <b> F_SETLKW</b>
servent  grer les verrouillages d'enregistrements (de segments ou de
rgions de fichiers).
Le troisime argument
<i>lock</i> est un pointeur sur une structure qui a au moins les champs suivants
(dans un ordre non spcifi).
.in +2n

<br/><br/>

struct flock {
    ...
    short l_type;    /* Type de verrouillage : F_RDLCK,
                        F_WRLCK, F_UNLCK */
    short l_whence;  /* Interprtation de l_start:
                        SEEK_SET, SEEK_CUR, SEEK_END */
    off_t l_start;   /* Dcalage de dbut du verrouillage */
    off_t l_len;     /* Nombre d'octets du verrouillage */
    pid_t l_pid;     /* PID du processus bloquant notre verrou
                        (F_GETLK seulement) */
    ...
};

 
.in -2n<br/><br/>
Les champs
<i>l_whence </i>, <i> l_start </i>, et <i> l_len</i>
de cette structure indiquent l'intervalle  verrouiller.
<i>l_start</i> est le dcalage de dbut du verrouillage et s'interprte
par rapport&nbsp;:
au dbut du fichier (si
<i>l_whence</i> vaut
<b>SEEK_SET );</b>
 la position actuelle dans le fichier (si
<i>l_whence</i> vaut
<b>SEEK_CUR );</b>
ou la fin du fichier (si
<i>l_whence</i> vaut
<b>SEEK_END ).</b>
Dans les deux derniers cas,
<i>l_start</i> peut tre un nombe ngatif,  condition de ne
pas indiquer une position avant le dbut du fichier.
<i>l_len</i> est un entier non-ngatif (mais voir les NOTES plus bas) indiquant
le nombre d'octets  verrouiller.
On peut verrouiller des octets aprs la fin du fichier, mais
pas avant son dbut.
Fournir un 0 dans
<i>l_len</i> a un sens particulier&nbsp;: verrouiller tous les octets de la position indique
par
<i>l_whence </i> et <i> l_start</i>
jusqu' la fin du fichier, quelque soit sa taille.<br/><br/>
Le champ
<i>l_type </i> peut servir  placer un verrou en lecture
( F_RDLCK )</b>
ou en criture
( F_WDLCK )</b>
sur u fichier.
Un nombre quelconque de processus peuvent tenir un verrou en lecture (partag),
sur une rgion d'un fichier, mais un seul peut avoir un verrou en criture
 (exclusif). Un verrou en criture exclut tous les autres verrous, aussi bien
en lecture qu'en criture.
Un processus donn ne peut tenir qu'un seul verrou sur une rgion d'un fichier,
si un nouveau verrou y est appliqu, alors le verrou prcdent est
converti suivant le nouveau type.
Ceci peut entraner le dcoupage, la rduction ou l'extension du verrou
existant si le nombre d'octets du nouveau verrou ne coincide pas exactement 
avec celuin de l'ancien.
<br/><br/>

<b>F_SETLK</b> <b></b>  Acqurir (si
<b>l_type</b> <b></b>  vaut
<b>F_RDLCK</b> <b></b>  ou
<b>F_WRLCK )</b>
ou librer (si
<b>l_type</b> <b></b>  vaut
<b>F_UNLCK )</b>
le verrou sur les octets indiqus par les champs
<i>l_whence </i>, <i> l_start </i>, et <i> l_len</i>
de
<i>lock .</i>
Si un conflit avec un verrou tenu par un autre processus existe,
cet appel renvoie -1 et positionne
<i>errno</i> aux valeurs
<b>EACCES</b> <b></b>  ou
<b>EAGAIN .</b>
<br/><br/>

<b>F_SETLKW</b> <b></b>  Comme
<b>F_SETLK,</b>
mais attend la libration du verrou au lieu de retourner une
erreur.
Si un signal  intercepter est reu pendant l'attente,
l'appel est interrompu et renverra immdiatement (aprs retour du 
gestionnaire de signaux) la valeur -1.
<i>errno</i> sera remplie avec la valeur
<b>EINTR .</b>
<br/><br/>

<b>F_GETLK</b> <b></b>  En entre dans cette routine, 
<i>lock</i> dcrit un verrou que nous aimerions placer sur le fichier.
Si le verrouillage est possible,
<b>fcntl ()</b>
ne le fait pas, mais renvoie
<b>F_UNLCK</b> <b></b>  dans le champ
<i>l_type</i> de
<i>lock</i> et laisse les autres champs de la structure inchangs.
Si un ou plusieurs verrouillages incompatibles empcheraient l'action,
alors
<b>fcntl ()</b>
renvoie des informations sur l'un de ces verrous dans les champs
<i>l_type </i>, <i> l_whence </i>, <i> l_start </i>, et <i> l_len</i>
de
<i>lock</i> et remplit
<i>l_pid</i> avec le PID du processus tenant le verrou.<br/><br/>
Pour pouvoir placer un verrou en lecture,
<i>fd</i> doit tre ouvert en lecture au moins.
Pour placer un verrou en criture,
<i>fd</i> doit tre ouver en criture.
Pour placer les deux types de verrous, il faut une ouverture en lecture-criture.<br/><br/>
Outre la suppression par un 
<b>F_UNLCK</b> <b></b>  <b></b>  explicite, les verrous sont automatiquement librs lorsque le processus
se termine, ou s'il ferme
<i>l'un</i> des descripteurs se rfrant au fichier sur lequel le verrou est plac.
<!--  (Additional file descriptors referring to the same file -->
<!--  may have been obtained by calls to -->
<!--  <b>open </b>(2), <b> dup </b>(2), <b> dup2 </b>(2), or <b> fcntl (2).) --></b>
C'est dangereux&nbsp;: cela signifie qu'un processus peut perdre un verrou sur
un fichier comme
<i>/etc/passwd</i> ou
<i>/etc/mtab</i> si pour une raison quelconque une fonction de bibliothque dcide de l'uvrir
puis de le refermer.<br/><br/>
Les verrouillages d'enregistrements ne sont pas hrits par les enfants lors d'un
<b>fork (2),</b>
mais sont prservs au cours d'un
<b>execve (2).<br/><br/></b>
 cause des buffers grs par la bibliothque
<b>stdio (3),</b>
l'utilisation des verrous d'enregistrements avec les routines de celle-ci
est dconseill. Utilisez
<b>read </b>(2) et <b> write (2)</b>
plutt.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L10">Verrouillage obligatoire</h2>
<div class="paragraph">
(NON-POSIX)
Les verrouillages d'enregistrements ci-dessus peuvent tre coopratifs ou
impratifs (coopratifs par dfaut). Pour utiliser des verrous impratifs,
ce type de verrouillage doit tre activ sur le systme de fichiers
contenant le fichier  verrouiller 
(en utilisant l'option "-o mand" de
<b>mount (8))</b>
et valid pour le fichier lui-mme (en dsactivant la permission d'excution
du groupe et en activant le bit de permission
Set-GID).<br/><br/>
Les verrouillages coopratifs ne fonctionnent qu'entre processus qui les
utilisent. Les verrouillages impratifs fonctionnent avec
tous les processus.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L10">Gestion des signaux</h2>
<div class="paragraph">
<b>F_GETOWN </b>, <b> F_SETOWN </b>, <b> F_GETSIG </b> et <b> F_SETSIG</b>
servent  grer lies signaux de disponibilit d'entre/sortie :
<br/><br/>

F_GETOWN
obtient le PID ou l'ID du groupe de processus qui reoit les signaux
SIGIO et SIGURG pour les vnements concernant le descripteur de fichier
<i>fd .</i>
Les groupes de processus sont renvoys sous forme de valeurs ngatives.
<br/><br/>

F_SETOWN
fixe le PID ou l'ID du groupe de processus qui recevront les signaux
SIGIO et SIGURG pour les vnements concernant le descripteur
<i>fd .</i>
Les groupes de processus sont formuls en tant que valeurs ngatives.
( F_SETSIG</b>
peut servir  indiquer un autre signal que SIGIO).<br/><br/>
<!--  From glibc.info: -->
Si vous fixez l'attribut
<b>O_ASYNC</b> <b></b>  sur un descripteur de fichier (soit en utilisant ce drapeau lors de l'appel 
<i>open (2),</i>
soit en utilisant la commande 
<b>F_SETFL</b> <b></b>  de
<i>fcntl ),</i>
un signal SIGIO est envoy ds que l'entre ou la sortie sont possibles sur
ce descripteur.
<br/><br/>

Le processus, ou le groupe de processus, susceptibles de
recevoir le signal peut tre indiqu avec la commande
<b>F_SETOWN</b> <b></b>  <b></b>  de la fonction
<i>fcntl .</i>
Si le descripteur est une socket, ceci permet galement la rception de
signaux SIGURG lorsque des donnes hors-bande arrivent sur la socket.
(SIGURG est mis dans toutes les situations o l'appel
<b>select (2)</b>
aurait indiqu que la socket est dans une "situation exceptionnelle").
Si le descripteur de fichier correspond  un terminal, le signal SIGIO est
envoy au groupe de processus en avant-plan sur ce terminal.
<br/><br/>

<b>F_GETSIG</b> <b></b>  Renvoie le numro du signal mis lorsque l'entre ou la sortie deviennent possibles.
Une valeur nulle signifie l'mission de SIGIO. Toute autre valeur (y compris
SIGIO) prcise le signal mis, et des informations supplmentaires
seront disponibles pour le gestionnaire s'il est install avec SA_SIGINFO.
<br/><br/>

<b>F_SETSIG</b> <b></b>  Indique le signal  mettre lorsque l'entre ou la sortie deviennent possibles.
Une valeur nulle signifie l'mission de SIGIO. Toute autre valeur (y compris
SIGIO) prcise le signal  mettre, et des informations supplmentaires
seront disponibles pour le gestionnaire s'il est install avec SA_SIGINFO.
<br/><br/>

En utilisant F_SETDIG avec une valeur non-nulle, et en configurant SA_SIGINFO
pour le gestionnaire (voir
<b>sigaction (2)),</b>
des informations supplmentaires sur les vnements d'E/S sont fournies au
gestionnaire  travers une structure
<i>siginfo_t .</i>
Si le champ
<i>si_code</i> indique que la source est SI_SIGIO, le champ
<i>si_fd</i> fournit le descripteur du fichier concern par l'vnement. Sinon il n'y
a pas d'indication du descripteur en attente, et il faut utiliser
le mcanisme habituel
( select (2),</b>
<b>poll (2),</b>
<b>read (2)</b>
avec
<b>O_NONBLOCK</b> <b></b>  configur etc.) 
pour dterminer quels descripteurs sont disponibles pour les E/S.
<br/><br/>

En slectionnant un signal temps rel POSIX.1b (valeur &gt;= SIGRTMIN), de
multiples vnements d'E/S peuvent tre mmoriss avec le mme numro.
Des informations supplmentaires sont disponibles, comme ci-dessus, si
SA_SIGINFO est configur pour le gestionnaire.<br/><br/>
En utilisant ces mcanismes, un programme peut implmenter des E/S totalement
asynchrones, la plupart du temps sans avoir besoin d'invoquer
<b>select (2)</b>
ou
<b>poll (2).<br/><br/><br/><br/></b>
L'utilisation de 
<b>O_ASYNC , </b>
<b>F_GETOWN , </b>
.BB F_SETOWN 
est spcifique BSD et Linux.
<b>F_GETSIG</b> <b></b>  et
<b>F_SETSIG</b> <b></b>  sont spcifiques  Linux. POSIX disposent d'E/S asynchrones et de la structure
<i>aio_sigevent</i> pour effectuer la mme chose. Ceci est galement disponible sous
Linux dans la bibliothque GNU C (Glibc).<br/><br/>
</div><br/><h2 class="TitreSection1" id="L10">Bails</h2>
<div class="paragraph">
<b>F_SETLEASE</b> <b></b>  et
<b>F_GETLEASE</b> <b></b>  (depuis Linux 2.4) servent respectivement  tablir et consulter le paramtrage
du bail dont le processus appelant dispose sur le fichier indiqu par
<i>fd .</i>
[NDT&nbsp;: Je traduis "lease" par "bail", faute de terme plus techique.]
Le bail sur un fichier fournit un mcanisme par lequel un processus dtenteur du
bail est averti (par dlivrance d'un signal) lorsqu'un autre
processus (le concurrent) essaye d'appeler
<b>open (2)</b>
ou
<b>truncate (2)</b>
sur ce fichier.
<br/><br/>

<b>F_SETLEASE</b> <b></b>  Fixe ou supprime un bail de fichier en fonction de la valeur
fournie dans l'entier
<i>arg :<br/><br/></i>
.RS
<br/><br/>

<b>F_RDLCK</b> <b></b>  Prendre un bail en lecture.
Le processus sera prvenu lorsqu'un autre processus
ouvrira le fichier en criture ou le tronquera.
<br/><br/>

<b>F_WRLCK</b> <b></b>  Prendre un bail en criture.
Le processus sera prvenu lorsqu'un autre processus
ouvrira le fichier (en lecture ou criture) ou le tronquera.
Un bail en criture ne peut tre pris sur fichier que si aucun autre processus
ne l'a actuellement ouvert.
<br/><br/>

<b>F_UNLCK</b> <b></b>  Supprimer le bail sur un fichier.
<br/><br/> 
Un processus ne peut prendre qu'un seul type de bail sur un fichier.<br/><br/> 
Les bails ne peuvent tre pris que sur des fichiers normaux.
Un processus non-privilgi ne peut prendre un bail que sur un fichier dont
l'UID correspond au FS-UID du processus.
<br/><br/>

<b>F_GETLEASE</b> <b></b>  Indique le type de bail possd sur le fichier 
indiqu par
<i>fd</i> en renvoyant
<b>F_RDLCK </b>, <b> F_WRLCK </b>, ou <b> F_UNLCK,</b>
pour signifiquer respectivement que le processus appelant a un bail en
lecture, criture, ou pas de bail sur le fichier.
(Le troisime argument de
<b>fcntl () </b>
est omis).<br/><br/>
Quand le concurrent appelle
<b>open ()</b>
ou
<b>truncate ()</b>
en conflit avec un bail tabli par
<b>F_SETLEASE ,</b>
l'appel-systme est bloqu par le noyau (sauf si l'attribut
<b>O_NONBLOCK</b> <b></b>  est indiqu avec
<b>open (),</b>
auquel cas il revient tout de suite avec l'erreur
<b>EWOULDBLOCK ).</b>
Le noyau averti le processus tenant le bail par l'envoi d'un signal
(SIGIO par dfaut).
Le tenant du bail doit rpondre  ce signal en effectuant tout le
nettoyage ncessaire pour que le fichier soit accessible par un
autre processus (par ex. en vidant des buffers internes) et 
en supprimant le bail en appelant la commande
<b>F_SETLEASE</b> <b></b>  avec 
<i>arg</i> valant
<b>F_UNLCK . <br/><br/></b>
Si le dtenteur du bail n'arrive pas  le librer avant le nombre de secondes
indiqu dans
seconds specified in
<i>/proc/sys/fs/lease-break-time</i> et si l'appel-systme du concurrent reste bloqu
(il n'y avait pas d'option
<b>O_NONBLOCK</b> <b></b>  durant l'appel
<b>open (),</b>
et l'appel-systme n'a pas t interrompu par un gestionnaire de signal)
alors, le noyau va rompre de focre le bail du processus qui le tient.<br/><br/>
Ds que le bail a t, de gr ou de force, rsili et en supposant
que le concurrent n'a pas dbloqu son appel-systme,
le noyau permet  se dernier de se drouler.<br/><br/>
Le signal de notification par dfaut pour le tenant du bail est SIGIO,
mais on peut le modifier avec la commande
<b>F_SETSIG</b> <b></b>  de la fonction
<b>fcntl</b> <b></b>  <b>().</b> <b></b>  Si une commande
<b>F_SETSIG</b> <b></b>  est ralise (mme pour SIGIO), et si le gestionnaire de signal est install
avec SA_SIGINFO, alors il recevra une
structure
<i>siginfo_t</i> en second argument, et le champ
<i>si_fd</i> contiendra le descripteur de fichier du bail o il y a
eu une tentative d'accs par un autre processus.
(Ceci sert si le processus tient des bails sur plusieurs fichiers).
</div><br/><h2 class="TitreSection1" id="L10">Notification de modification de fichier et de rpertoire</h2>
<div class="paragraph">
<br/><br/>

<b>F_NOTIFY</b> <b></b>  (nouveaut Linux 2.4)
Fournit un avertissement lorsque le rpertoire correspondant 
<i>fd</i> ou l'un des fichiers qu'il contient est modifi.
Les vnements  notifier sont prcis dans
<i>arg ,</i>
sous forme de masque regroupant par un OU binaire zro, une ou
plusieurs des constantes suivantes&nbsp;:<br/><br/>
.TS
l l
----
lB l.
Bit	Description (evenement dans le rpertoire)
DN_ACCESS	Accs  un fichier (read, pread, readv)
DN_MODIFY	Modification d'unfichier (write, pwrite,
	writev, truncate, ftruncate)
DN_CREATE	Cration d'un fichier (open, creat, mknod,
	mkdir, link, symlink, rename)
DN_DELETE	Suppression d'un fichier (unlink, renommage
	dans un autre rpertoire, rmdir) 
DN_RENAME	Un fichier a t renomm dans le mme
	rpertoire (rename)
DN_ATTRIB	Les attributs d'un fichier ont t changs
	(chown, chmod, utime[s])
.TE 
<br/><br/>

(Afin d'obtenir ces dfinitions, la macro _GNU_SOURCE_ doit tre
dfinie avant l'inclusion de &lt;fcntl.h&gt;).
<br/><br/>

Les notifications de rpertoire sont habituellement uniques, et l'application
doit r-enregistrer une demande pour les notification ultrieures.
Inversement, si
<b>DN_MULTISHOT</b> <b></b>  est incluse dans
<i>arg ,</i>
les notifications resteront en effet jusqu' une demande explicite de suppression.
<!--  The following does seem a poor API-design choice... -->
Une srie de
<b>F_NOTIFY</b> <b></b>  sont cumuls, les vnements dcrits dans
<i>arg</i> tant ajouts  l'ensemble des vnements dj surveills.
Pour supprimer les notifications de tous les vnement, il faut invoquer
<b>F_NOTIFY</b> <b></b>  avec
<i>arg </i> valant 0.
<br/><br/>

La notification se produit par l'occurence d'un signal.
Le signal par dfaut est SIGIO, mais on peut le changer avec la commande
<b>F_SETSIG</b> <b></b>  de
<b>fcntl ().</b>
Dans ce cas, le gestionnaire de signal reoit une structure
<i>siginfo_t</i> en second argument (si le gestionnaire a t install
avec SA_SIGINFO) dont le champ
<i>si_fd</i> contient le descripteur du fichier qui a dclench la notification
(utile pour superviser plusieurs
rpertoires).
<br/><br/>

En outre, avec
<b>DN_MULTISHOT ,</b>
un signal temps-rel POSIX.1b devrait tre utilis pour la notification
pour pouvoir empiler les notifications successives.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La valeur renvoye par fcntl varie suivant le type d'opration :
<br/><br/>
 0.9i
F_DUPFD
renvoie le nouveau descripteur.
<br/><br/>

F_GETFD
renvoie l'attribut.
<br/><br/>

F_GETFL
renvoie les attributs.
<br/><br/>

F_GETOWN
renvoie le propritaire du descripteur fichier.
<br/><br/>

<b>F_GETSIG</b> <b></b>  Valeur du signal envoy lorsque la lecture ou l'criture deviennent possibles,
ou zro pour le comportement SIGIO traditionnel.
<br/><br/>

Toutes les autres commandes
renvoient zro.<br/><br/>
En cas d'chec -1 est renvoy, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EACCESS</b> <b></b>  <b></b> <b></b>  <b>ou</b> <b></b>  <b></b> <b></b>  <b>EAGAIN</b> <b></b>  L'opration est impossible  cause d'un verrou maintenu par un autre
processus. Ou l'opration est impossible  cause d'une projection en mmoire
effectue par un autre processus.
<br/><br/>

<b>EBADF</b> <b></b>  <i>fs</i> n'est pas un descripteur de fichier ouvert, ou la commande tait
<b>F_SETLK</b> <b></b>  ou
<b>F_SETLKW</b> <b></b>  et le mode d'ouverture du descripteur de fichier ne correspond pas  celui
du type de verrou demand.
<br/><br/>

<b>EDEADLK</b> <b></b>  Le verrouillage
<b>F_SETLKW</b> <b></b>  conduirait  un blocage.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>lock</i> se trouve en dehors de l'espace d'adressage.
<br/><br/>

<b>EINTR</b> <b></b>  Pour
<b>F_SETLKW ,</b>
la commande a t interrompue par un signal.
Pour
<b>F_GETLK </b> et <b> F_SETLK ,</b>
la commande a t interrompue par un signal avant la vrification ou
l'acquisition du verrou. Se produit surtout lors d'un verrouillage distant
(par exemple  travers NFS), mais peut galement arriver localement.
<br/><br/>

<b>EINVAL</b> <b></b>  Pour
<b>F_DUPFD ,</b>
<i>arg</i> est soit ngatif, soit trop grand. Pour
<b>F_SETSIG ,</b>
<i>arg</i> n'est pas un numro de signal correct.
<br/><br/>

<b>EMFILE</b> <b></b>  Pour
<b>F_DUPFD ,</b>
le processus a dj ouvert le nombre maximal de descripteurs de fichiers.
<br/><br/>

<b>ENOLCK</b> <b></b>  La table des verrous est pleine, ou le verrouillage distant
(par exemple via NFS) a chou.
<br/><br/>

<b>EPERM</b> <b></b>  Essai d'effacement de l'attribut
<b>O_APPEND</b> <b></b>  sur un fichier, mais il est considr comme en-ajout-seulement.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les erreurs renvoyes par
<b>dup2</b> <b></b>  ne sont pas les mmes que celles renvoyes par
<b>F_DUPFD .<br/><br/></b>
Depuis le noyau 2.0, il n'y a pas d'interaction entre les verrous
plac par
<b>flock (2)</b>
et ceux de
<b>fcntl (2).<br/><br/></b>
POSIX 1003.1-2001 permet 
<i>l_len</i> d'tre ngative (et si c'est le cas, l'intervalle dcrivant le verrou
couvre les octets
<i>l_start + l_len</i>
jusqu'
<i>l_start -1</i>
inclus). Toutefois pour les noyaux Linux actuels, l'appel-systme
renvoie EINVAL dans ce cas.<br/><br/>
Plusieurs systmes ont d'autres champs dans
<i>struct flock</i> comme, par exemple,
<i>l_sysid .</i>
Clairement,
<i>l_pid</i> seul ne sera pas trs utile si le processus tenant le verrou s'excute
sur une autre machine.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, X/OPEN, BSD 4.3. Seules les oprations F_DUPFD, 
F_GETFD, F_SETFD, F_GETFL, F_SETFL, F_GETLK, F_SETLK et F_SETLKW
sont spcifies dans POSIX.1. F_GETOWN et F_SETOWN sont des BSDismes
non supports par SVr4. F_GETSIG et F_SETSIG sont spcifiques  Linux.
<b>F_NOTIFY </b>, <b> F_GETLEASE </b>, et <b> F_SETLEASE</b>
sont spcifiques  Linux.
(Dfinissez la macro _GNU_SOURCE avant d'inclure &lt;fcntl.h&gt; pour avoir
ces dfinitions).
Les attributs autoriss pour F_GETFL/F_SETFL sont ceux supports par
<b>open (2)</b>
et peuvent tre diffrents suivant les systmes.
O_APPEND, O_NONBLOCK, O_RDONLY, et O_RDWR sont spcifis par POSIX.1.
SVr4 propose plusieurs autres options et attributs non documents ici.<br/><br/>
SVr4 indique des erreurs EIO, ENOLINK et EOVERFLOW supplmentaires.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>dup2 (2),</b>
<b>flock (2),</b>
<b>lockf (3),</b>
<b>open (2),</b>
<b>socket (2),<br/><br/></b>
Voir aussi les fichiers locks.txt, mandatory.txt et dnotify.txt dans
la documentation du noyau.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
