<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 1996 Andries Brouwer (aeb@cwi.nl) -->
<!--  Copyright (C) 1996 Markus Kuhn. -->
<!--  -->
<!--  [This version merged from two independently written pages - aeb] -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  1996-04-12  Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  1996-04-13  Markus Kuhn &lt;mskuhn@cip.informatik.uni-erlangen.de&gt; -->
<!--  Traduction Christophe Blaess -->
<!--  MJ 18/07/2003 LD-1.56 -->
<br/><h1>FDATASYNC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fdatasync - synchronise des donnes en mmoire avec un fichier sur disque.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>#ifdef</b> <b></b>  <b>_POSIX_SYNCHRONIZED_IO</b> <b></b>  <br/><br/>

<b>int fdatasync(int </b> fd );
<br/><br/>

<b>#endif</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>fdatasync</b> <b></b>  vide tous les buffers de donnes du fichier vers le disque (avant que l'appel
ne revienne). Il ressemble 
<b>fsync</b> <b></b>  mais ne met pas ncessaire  jour les mta-donnes comme l'heure d'accs.<br/><br/>
Les applications accdant  des bases de donnes ou des fichiers journaux
crivent souvent de petits fragments de donnes (une ligne de texte par exemple)
et appellent
<b>fsync</b> <b></b>  immdiatement pour tre sr du stockage sur disque. Malheureusement,
<b>fsync</b> <b></b>  va dclencher deux critures&nbsp;: une pour les donnes et une pour
mettre  jour la date de modification enregistre dans l'i-noeud.
Si la date de modification n'est pas importante pour l'application, 
alors
<b>fdatasync</b> <b></b>  peut tre invoque pour viter l'accs inutile  l'i-noeud.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
L'appel renvoie zro s'il russit et -1 s'il choue auquel cas
<i>errno</i> contient le code d'erreur
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  <i>fd</i> n'est pas un descripteur de fichier ouvert en criture.
<br/><br/>

<b>EROFS </b>, <b> EINVAL</b>
<i>fd</i> correspond  un fichier spcial ne supportant pas la synchronisation.
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie s'est produite.
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Actuellement (Linux 2.2)
<b>fdatasync</b> <b></b>  est quivalent 
<b>fsync .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
POSIX1b (anciennement POSIX.4)
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>fsync (2)<br/><br/></b>
B.O. Gallmeister, POSIX.4, O'Reilly, pp. 220-223 and 343.
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
