<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified 22 July 1995 by Michael Chastain (mec@duracef.shout.net): -->
<!--    'gethostname' is real system call on Linux/Alpha. -->
<!--   -->
<!--  Traduction  11/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 16/01/2002 LDP 1.47 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>GETHOSTNAME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
gethostname, sethostname - Lire / crire le nom d'hte.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int gethostname(char *</b> nom <i>, size_t </i> lg );
<br/>
<b>int sethostname(const char *</b> nom <i>, size_t </i> lg );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions sont utilises pour lire, ou changer le nom d'hte de
la machine utilise.
La fonction
<b>gethostname()</b> <b></b>  place le nom d'hte termin par un caractre NUL (prcdemment fix avec
<b>sethostname ())</b>
dans la table de caractres <i>nom</i> contenant au moins <i>lg</i> octets.
Si le nom d'hte suivi d'un NUL ne tient pas dans cette zone mmoire, il
est tronqu sans qu'aucune erreur ne soit signale. Il n'est pas prcis
si le nom d'hte tronqu est termin ou non par un NUL.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>gethostname </b> et <b> sethostname</b>
renvoient 0 s'ils russissent, ou -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  <i>len</i> est ngatif, ou pour
<b>sethostname ,</b>
<i>len</i> est plus grand que la longueur maximale autorise,
ou encore, pour
<b>gethostname</b>
sur Linux/i386,
<i>len</i> est plus petit que la taille ncessaire.
(Dans ce dernier cas, la GlibC 2.1 utilise ENAMETOOLONG).
<br/><br/>

<b>EPERM</b> <b></b>  Pour
<b>sethostname ,</b>
l'appelant n'est pas le Super-User.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>name</i> pointe en dehors de l'espace d'adressage accessible.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, 4.4BSD (Cette fonction est apparue en premier dans 4.2BSD).
POSIX.1003.1-2001 dfinit
<b>gethostname</b> <b></b>  mais pas
<b>sethostname .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Sur de nombreux systmes Linux / GlibC,
<b>gethostname</b> <b></b>  renverra une erreur au lieu de tronquer le nom d'hte.
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
SUSv2 garantit que les "noms d'htes sont limits  255 octets".
Posix 1003.1-2001 garantit que les "noms d'htes (non compris le
caractre NUL final) sont limits  HOST_NAME_MAX octets".
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>getdomainname (2),</b>
<b>setdomainname (2),</b>
<b>uname (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
