<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -->
<!--  Copyright (c) 1993 Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de), Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Tue Jul  6 12:42:46 MDT 1993 (dminer@nyx.cs.du.edu) -->
<!--  Added "Calling Directly" and supporting paragraphs -->
<!--  -->
<!--  Modified Sat Jul 24 15:19:12 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Modified 21 Aug 1994 by Michael Chastain (mec@shell.portal.com): -->
<!--    Added explanation of arg stacking when 6 or more args. -->
<!--  -->
<!--  Modified 10 June 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise  jour 21/09/1998 LDP-man-pages-1.20 -->
<!--  Mise  jour 18/07/2003 LDP-man-pages-1.56 -->
<br/><h1>INTRO</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">exemple</a>
<br /><a class="summaryIndent0" href="#L3">exemple d'excution</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">fichiers</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
intro - Introduction  la section des appels-systme.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Ce chapitre dcrit les appels-systme de Linux.
Pour avoir une liste des appels-systme disponibles dans Linux 2,
voyez la page syscalls(2). 
</div><br/><h2 class="TitreSection1" id="L10">Appel Direct</h2>
<div class="paragraph">
Dans la plupart des cas il n'est pas ncessaire d'invoquer directement
un appel-systme, mais il arrive parfois que la bibliothque C standard
n'implmente pas une fonction utile.
</div><br/><h2 class="TitreSection1" id="L10">Synopsis</h2>
<div class="paragraph">
#include &lt;linux/unistd.h&gt;<br/><br/>
une macro _syscall<br/><br/>
L'appel systme dsir<br/><br/>
</div><br/><h2 class="TitreSection1" id="L10">Setup</h2>
<div class="paragraph">
La chose la plus importante  connatre concernant un appel-systme est son
prototype. Vous devez connatre le nombre d'arguments, leurs types, et le type
de retour de la fonction. Il y a 6 macros simplifiant l'appel effectif au systme.
Elles ont la forme :
<br/><br/>

.RS
_syscall X ( type , name , type1 , arg1 , type2 , arg2 ,...)</i>
.RS
.HP
avec <i>X</i> dans l'intervalle 0\(en5, correspondant au nombre d'arguments
de l'appel-systme.
.HP
<i>type</i> est le type de la valeur renvoye par l'appel-systme.
.HP
<i>name</i> est le nom de l'appel-systme.
.HP
<i>typeN</i> est le type du Nime argument.
.HP
<i>argN</i> est le nom du Nime argument.


<br/><br/>

Ces macros crent une fonction appele <i>name</i> avec les arguments
spcifis. Une fois inclus le  _syscall() dans le fichier source,
on effectue l'appel-systme avec <i>name</i>.
</div><br/><br /><h1 class="TitreSection0" id="L3">exemple</h1>
<div class="paragraph">

<br/><br/>

#include &lt;stdio.h&gt;
#include &lt;linux/unistd.h&gt;	/* les macros _syscallX */
#include &lt;linux/kernel.h&gt;	/* pour struct sysinfo  */<br/><br/>
_syscall1(int, sysinfo, struct sysinfo *, info);<br/><br/>
/* 
 * Note : Si vous copiez directement depuis le source nroff
 * de cette page,  n'oubliez pas d'enlever les backslashes
 * supplmentaires dans les printf.
 */<br/><br/>
int main(void)
{
	struct sysinfo s_info;
	int error;<br/><br/>
	error = sysinfo(&s_info);
	printf("code d'erreur = %d\\n", error);
        printf("Uptime = %ds\\nCharge: 1 min %d / 5 min %d / 15 min %d\\n"
                "RAM: totale %d / libre %d / partagee %d\\n"
                "Mmoire dans buffers = %d\\nSwap: total %d / libre %d\\n"
                "Nombre de processus = %d\\n",
		s_info.uptime, s_info.loads[0],
		s_info.loads[1], s_info.loads[2],
		s_info.totalram, s_info.freeram,
		s_info.sharedram, s_info.bufferram,
		s_info.totalswap, s_info.freeswap,
		s_info.procs);
	return(0);
}


</div><br/><br /><h1 class="TitreSection0" id="L4">exemple d'excution</h1>
<div class="paragraph">

code d'erreur = 0
uptime = 502034s
Charge: 1 min 13376 / 5 min 5504 / 15 min 1152
RAM: totale 15343616 / libre 827392 / partagee 8237056
Mmoire dans buffers = 5066752
Swap: total 27881472 / libre 24698880
Nombre de processus = 40


</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
La macro _syscall() ne cre
<b>pas</b> <b></b>  de prototype. Il faut le fournir vous-mme, principalement en C++.
<br/><br/>

Les appels-systme ne renvoient pas ncessairement des code d'erreurs tous
positifs ou ngatifs. Vous devez lire les sources pour vrifier le retour en
erreur. Gnralement, ce sont des codes d'erreur ngatifs, par exemple
-<b>EPERM</b>. La macro _syscall() renverra le rsultat <i>r</i> de l'appel-systme
quand <i>r</i> est positif ou nul, mais renverra -1 sinon, en positionnant
<i>errno</i> a -<i>r</i> quand  <i>r</i> est ngatif.
Pour les codes d'erreur, voir
<b>errno (3).</b>
<br/><br/>

Certains appels-systme, comme
<b>mmap ,</b>
ncessitent plus de cinq arguments. Ceci est gr en plaant les
arguments sur la pile et en passant un pointeur sur le bloc d'arguments.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Dans ce paragraphe, des abrviations indiquent les variantes d'Unix,
ou des standards dont les appels-systme sont conformes  la description
donne dans ces pages de manuel. Il s'agit de :
<br/><br/>

SVr4
System V Release 4 Unix, comme indiqu dans "Programmer's Reference
Manual: Operating System API (Intel processors)" (Prentice-Hall
1992, ISBN 0-13-951294-2)
<br/><br/>

SVID
System V Interface Definition, comme dcrit dans "The System V Interface
Definition, Fourth Edition", disponible
ftp://ftp.fpk.novell.com/pub/unix-standards/svid sous forme de fichier Postscript.
<br/><br/>

POSIX.1
IEEE 1003.1-1990 part 1, connu galement sous le nom de
ISO/IEC 9945-1:1990s, ou le nom "IEEE Portable
Operating System Interface for Computing Environments", comme indiqu dans
Donald Lewine "POSIX Programmer's Guide" (O'Reilly & Associates,
Inc., 1991, ISBN 0-937175-73-0.
<br/><br/>

POSIX.1b
IEEE Std 1003.1b-1993 (POSIX.1b standard) dcrivant les options temps-rel
des systmes d'exploitations portables, aussi connu sous le nom de
ISO/IEC 9945-1:1996, indiqu dans
"Programming for the real world - POSIX.4"
de Bill O. Gallmeister (O'Reilly & Associates, Inc. ISBN 1-56592-074-0).
<br/><br/>

SUS, SUSv2
Single Unix Specification.
(Dveloppes par X/Open et l'Open Group. Voir
http://www.UNIX-systems.org/version2/ .)
<br/><br/>

4.3BSD/4.4BSD
Les distributions 4.3 et 4.4 de l'Unix Berkeley BSD tait compatible
avec 4.3.
<br/><br/>

V7
Version 7, l'Unix ancestral des Laboratoires Bell.
</div><br/><br /><h1 class="TitreSection0" id="L7">fichiers</h1>
<div class="paragraph">
<i>/usr/include/linux/unistd.h</i> </div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>errno (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
