<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1993 Michael Haardt -->
<!--  (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Fri Apr  2 11:32:09 MET DST 1993 -->
<!--   -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Sat Jul 24 15:12:05 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Tue Aug  1 16:27    1995 by Jochen Karrer  -->
<!--                               (cip307@cip.physik.uni-wuerzburg.de) -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 08/04/97 -->
<!--  Mise a jour 18/05/99 - LDP-man-pages-1.23 -->
<!--  Mise a jour 18/07/03 - LDP-man-pages-1.56 -->
<br/><h1>IOPERM</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ioperm - Positionner les autorisations d'entre/sortie sur les ports.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  /* pour libc5 */
<br/>
<b>#include</b> <b></b>  <b>&lt;sys/io.h&gt;</b> <b></b>  /* pour glibc */
<br/><br/>

<b>int ioperm(unsigned long </b> from <i>, unsigned long </i> num <b>, int </b> turn_on );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>Ioperm</b> positionne les bits de permission d'accs du processus
aux ports commenant  l'adresse <b>from</b> tals sur <i>num</i> 
octets  la valeur <b>turn_on</b>.  
L'utilisation de <b>ioperm</b> ncessite les privilges de Super-User.<br/><br/>
Seuls les 0x3ff premiers ports d'entre/sortie peuvent tre indiques de
cette manire. Pour d'autres ports, il faut utiliser la fonction
<b>iopl .<br/><br/></b>
Les permission ne sont pas hrites par le processus fils durant un fork, 
par contre elles le sont lors d'un exec.
Ceci permet de donner des autorisations d'accs  des tches non-privilgies.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>ioperm</b>
renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
<b>ioperm</b> est spcifique a Linux et ne doit pas tre utilis dans
des programmes conus pour tre portables.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Libc5 considre qu'il s'agit d'un appel-systme et fournit le prototype
dans
<i>&lt;unistd.h&gt; .</i>
Glibc1 n'offre pas de prototype. Glibc2 fournit un prototype  la fois dans
<i>&lt;sys/io.h&gt;</i> et dans
<i>&lt;sys/perm.h&gt; .</i>
vitez ce dernier, il n'est disponible que sur les i386.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>iopl (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
