<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  Portions extracted from linux/kernel/ioport.c (no copyright notice). -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Tue Aug  1 16:47    1995 by Jochen Karrer  -->
<!--                               (cip307@cip.physik.uni-wuerzburg.de) -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  maj 09/04/99 LDP-man-pages 1.22 -->
<!--  Mise a jour 18/05/99 - LDP-man-pages-1.23 -->
<!--  Mise a jour 18/07/03 - LDP-man-pages-1.56 -->
<br/><h1>IOPL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
iopl - Changer le niveau de privilge d'entre/sortie.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<br/>
<b>#include</b> <b></b>  <b>&lt;sys/io.h&gt;</b> <b></b>  <br/><br/>

<b>int iopl(int </b> level );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>iopl</b> <b></b>  change le niveau de privilge pour les entres/sorties du processus
courant, en utilisant la valeur spcifie dans
<i>level .<br/><br/></i>
Cette fonction est indispensable pour permettre aux serveurs X compatibles
8514 de fonctionner sous Linux. Comme ces serveurs X ont besoin de l'accs
aux 65536 ports d'entre/sortie, la fonction
<b>ioperm</b> <b></b>  ne serait pas suffisante.<br/><br/>
En plus de disposer d'un accs illimit aux ports d'entree/sortie, un processus
tournant  un niveau de privilge lev pourra galement inhiber les interruptions.
Ceci risque d'engendrer un plantage du systme, et est fortement dconseill.<br/><br/>
Les permissions sont hrites aussi bien par fork que par exec.<br/><br/>
Le niveau de privilge d'entre/sortie pour un utilisateur normal vaut 0.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>iopl</b>
renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  <i>level</i> est plus grand que 3.
<br/><br/>

<b>EPERM</b> <b></b>  L'utilisateur actuel n'est pas le Super-User.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
<b>iopl</b> est spcifique  Linux et ne doit pas tre utilis dans
des programmes conus pour tre portables.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Libc5 considre qu'il s'agit d'un appel-systme et fournit le prototype
dans
<i>&lt;unistd.h&gt; .</i>
Glibc1 n'offre pas de prototype. Glibc2 fournit un prototype  la fois dans
<i>&lt;sys/io.h&gt;</i> et dans
<i>&lt;sys/perm.h&gt; .</i>
vitez ce dernier, il n'est disponible que sur les i386.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>ioperm (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
