<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -->
<!--  Extended attributes system calls manual pages -->
<!--  -->
<!--  (C) Andreas Gruenbacher, February 2001 -->
<!--  (C) Silicon Graphics Inc, September 2001 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, -->
<!--  USA. -->
<!--  -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 18/07/2003 LDP-1.56 -->
<br/><h1>LISTXATTR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">exemples</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">auteurs</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
listxattr, llistxattr, flistxattr - Lister les noms des attributs tendus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.fam C

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;attr/xattr.h&gt;</b> <b></b>  <br/><br/>

<b>ssize_t listxattr (const char&nbsp;*</b> chemin <i>,
<b>\t\t\t\t char&nbsp;*</b> liste <i>, size_t </i> taill );
<b>ssize_t llistxattr (const char&nbsp;*</b> chemin <i>,
<b>\t\t\t\t char&nbsp;*</b> liste <i>, size_t </i> taille );
<b>ssize_t flistxattr (int </b> descripteur <i>,
<b>\t\t\t\t char&nbsp;*</b> liste <i>, size_t </i> taille );


.fam T
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les attributs tendus sont des paires
<i>nom :\c</i>
<i>valeur </i> associes aux i-noeuds (fichiers, rpertoires, liens symboliques, etc).
Ce sont des extensions des attributs normaux qui sont associs avec tous les
i-noeuds du systme (les informations renvoyes
par 
<b>stat (2).</b>
Une description complte des concepts d'attributs tendus est disponible dans
<b>attr (5).<br/><br/></b>
<b>listxattr</b> <b></b>  rcupre la
<i>liste</i> des attributs tendus associ avec le 
<i>chemin</i> indiqu du systme de fichier.
La liste est l'ensemble des noms (termins par NULL), l'un aprs l'autre.
Les noms des attributs tendus auxquels le processus appelant n'a pas
accs peuvent tre omis dans la liste.
La longueur de la
<i>liste</i> de noms d'attributs est renvoye.<br/><br/>
<b>llistxattr</b> <b></b>  est identique 
<b>listxattr ,</b>
sauf dans le cas d'un lien symbolique, o il renvoie la liste des noms des
attributs associs au lien lui-mme et non au fichier
auquel il se rfre.<br/><br/>
<b>flistxattr</b> <b></b>  est identique 
<b>listxattr ,</b>
sauf que le fichier ouvert associ au
<i>descripteur</i> (fourni par
<b>open (2))</b>
est interrog  la place du
<i>chemin .<br/><br/></i>
Le 
<i>nom</i> d'un attribut tendu est une simple chane termine par un caractre nul.
Le nom inclut un prfixe d'espace de noms - il peut y avoir plusieurs espaces
de noms disjoints associs avec un i-noeud donn.<br/><br/>
Un buffer vide, de
<i>taille</i> nulle peut tre transmis  ses appels, pour qu'ils renvoient la taille actuelle
de la liste des noms d''attributs tendus, pour estimer la taille de buffer
ncessaire pour contenir la liste des noms.
</div><br/><br /><h1 class="TitreSection0" id="L4">exemples</h1>
<div class="paragraph">
La
<i>liste</i> est noms est renvoye sous forme de table de chanes de caractres termines
par un caractre nul, sans ordre particuler, les noms des attributs tant
spars par un caractre NUL, ainsi&nbsp;:
.fam C
.RS

user.name1\\0system.name1\\0user.name2\\0



.fam T<br/><br/>
Les systmes comme ext2, ext3, et XFS qui implmentent les ACLs POSIX
en utilisant les attributs tendus peuvent renvoyer une
<i>liste</i> comme celle-ci&nbsp;:
.fam C
.RS

system.posix_acl_access\\0system.posix_acl_default\\0



.fam T
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
S'ils russissent, ces appels renvoient un nombre positif correspondant  la
taille de la liste de noms d'attributs.
En cas d'chec, ils renvoient -1 et remplissent
<i>errno</i> avec un code d'erreur.<br/><br/>
Si la
<i>taille</i> du buffer pour la
<i>liste</i> est trop petite pour contenir le rsultat,
<i>errno</i> sera rempli avec ERANGE.<br/><br/><br/><br/>
Si les attributs tendus ne sont pas suports par le systme de fichiers ou le noyau
<i>errno</i> contient ENOTSUP.<br/><br/>
Les erreurs documents pour l'appel-systme
<b>stat (2)</b>
sont galement applicables ici.
</div><br/><br /><h1 class="TitreSection0" id="L6">auteurs</h1>
<div class="paragraph">
Andreas Gruenbacher,
&lt; a.gruenbacher@computer.org &gt;</i>
et l'quipe de dveloppement SGI XFS,
&lt; linux-xfs@oss.sgi.com &gt;.</i>
Envoyez les rapports de bogues et les commentaires (en anglais)  ces adresses.
<b>getfattr (1),</b>
<b>setfattr (1),</b>
<b>open (2),</b>
<b>stat (2),</b>
<b>getxattr (2),</b>
<b>setxattr (2),</b>
<b>removexattr (2),</b>
<b>attr (5).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
