<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt -->
<!--                                1993,1994 Ian Jackson. -->
<!--  You may distribute it under the terms of the GNU General -->
<!--  Public Licence. It comes with NO WARRANTY. -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  mj 26/06/2000 (LDP man-pages 1.30) -->
<!--  Mise  jour 30/08/2000 LDP 1.31 -->
<!--  Mise  jour 18/07/2003 LDP 1.56 -->
<br/><h1>MKDIR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mkdir - Crer un rpertoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/stat.h&gt;</b> <b></b>  <!--  <b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <b>--></b> <b></b>  <br/><br/>

<b>int mkdir(const char *</b> pathname <i>, mode_t </i> mode );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>mkdir</b> <b></b>  cre un nouveau rpertoire nomm
<i>pathname .<br/><br/></i>
<i>mode</i> spcifie les permissions  appliquer au rpertoire. 
Cette valeur peut tre modifie par le
<b>umask</b>
du processus : les permissions du rpertoire effectivement cr 
vaudront
<b>(mode & ~umask)</b> .<br/><br/></b>
Le rpertoire nouvellement cr aura pour propritaire l'UID effectif
du processus. Si le rpertoire au-dessus du nouveau rpertoire a son
bit Set-GID  1, ou si le systme de fichier est mont avec une
smantique de groupe BSD, le nouveau rpertoire hritera de
l'appartenance au groupe de son parent. Sinon il appartiendra au
groupe correspondant au GID effectif du processus.<br/><br/>
Si le rpertoire parent a son bit Set-GID  1, le nouveau
rpertoire aura aussi son bit Set-GID  1.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>mkdir</b>
renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPERM</b> <b></b>  Le systme de fichiers contenant 
<i>pathname</i>
ne permet pas la cration de rpertoires.
<br/><br/>

<b>EEXIST</b> <b></b>  <i>pathname</i> existe dj (pas ncessairement un rpertoire).
Ceci inclut le cas o
<i>pathname</i> est un lien symbolique, pointant quelque part ou pas.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>pathname </i> pointe en-dehors de l'espace d'adressage accessible.<i></i>
<br/><br/>

<b>EACCES</b> <b></b>  Le rpertoire parent n'autorise pas l'criture au processus, ou l'un
des rpertoires de
<i>pathname</i>
n'autorise pas la consultation de son contenu.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>pathname </i> trop long.<i></i>
<br/><br/>

<b>ENOENT</b> <b></b>  Un rpertoire du chemin d'accs
<i>pathname</i> n'existe pas ou est un lien symbolique pointant nulle part.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment utilis dans le chemin
<i>pathname</i> n'est pas un rpertoire.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
<br/><br/>

<b>EROFS</b> <b></b>  <i>pathname</i> serait sur un systme de fichier en lecture seule.
<br/><br/>

<b>ELOOP</b> <b></b>  <i>pathname</i> contient une rfrence circulaire ( travers un lien symbolique).
<br/><br/>

<b>ENOSPC</b> <b></b>  Le priphrique contenant
<i>pathname</i> n'a pas assez de place pour le nouveau rpertoire. Cette erreur se
produit galement si
le quota de disque de l'utilisateur est dpass.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, POSIX, BSD, SYSV, X/OPEN, SVr4 indique des conditions d'erreur
supplmentaires EIO, EMULTIHOP, et ENOLINK. POSIX.1 omet ELOOP.<br/><br/>
Il y a de nombreux problmes avec le protocole sous-jacent  NFS, certains
d'entre-eux peuvent affecter
<b>mkdir .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>mkdir (1),</b>
<b>chmod (2),</b>
<b>mknod (2),</b>
<b>mount (2),</b>
<b>rmdir (2),</b>
<b>stat (2),</b>
<b>umask (2),</b>
<b>unlink (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
