<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1995 Michael Chastain (mec@duracef.shout.net), 22 July 1995. -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 8/04/97 -->
<!--  Mise a jour 18/07/2003 LDP-1.56 -->
<br/><h1>MODIFY_LDT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
modify_ldt - Lire / crire la LDT.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;linux/ldt.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;linux/unistd.h&gt;</b> <b></b>  <br/><br/>

<b>_syscall3(int, modify_ldt, int, </b> func <i>, void *, </i> ptr <b>, unsigned long, </b> bytecount )
<br/><br/>

<b>int modify_ldt(int </b> <i>func</i> <b>, void *</b> <i>ptr</i> <b>, unsigned long </b> <i>bytecount</i> );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>modify_ldt</b> <b></b>  lit ou crit la table des descripteurs locaux (Local Descriptor Table) du
processus. La LDT est une table de gestion mmoire par processus utilise par les
processeurs i386. Pour plus d'information sur cette table, se reporter
au manuel Intel 386.<br/><br/>
Quand
<i>func</i> vaut 0,
<b>modify_ldt</b> <b></b>  lit la LDT et la place dans la mmoire pointe par
<i>ptr .</i>
Le nombre d'octets lus est le minimum entre
<i>bytecount</i> et la vraie taille de la LDT.<br/><br/>
Quand
<i>func</i> vaut 1,
<b>modify_ldt</b> <b></b>  modifie une entre de la LDT.
<i>ptr</i> pointe sur une structure
<i>modify_ldt_ldt_s</i> et
<i>bytecount</i> doit tre gal  la taille de cette structure.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'il russit
<b>modify_ldt</b> <b></b>  renvoie soit le nombre d'octets lus soit
0 (criture).
En cas d'chec -1 est renvoy et
<i>errno</i>
contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ENOSYS</b> <b></b>  <i>func</i> n'est ni 0 ni 1.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>ptr</i> est nul, ou
<i>bytecount</i> n'est pas gal  la taille de la structure
<i>modify_ldt_ldt_s ,</i>
ou
la nouvelle entre de LDT a des valeurs illgales.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>ptr</i> pointe en dehors de l'espace d'adressage accessible.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Cet appel-systme est spcifique  Linux et ne doit pas tre employ
dans des programmes conus pour tre portables.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>vm86 (2)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
