<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 1996 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 18/07/2003 LDP-1.56 -->
<br/><h1>MSYNC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
msync - Synchroniser un fichier et une projection en mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/mman.h&gt;</b> <b></b>  <br/><br/>

<b>#ifdef</b> <b></b>  <b>_POSIX_MAPPED_FILES</b> <b></b>  <br/>
<b>#ifdef</b> <b></b>  <b>_POSIX_SYNCHRONIZED_IO</b> <b></b>  <br/><br/>

<b>int msync(const void *</b> start <i>, size_t </i> length <b>, int </b> flags );
<br/><br/>

<b>#endif</b> <b></b>  <br/>
<b>#endif</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>msync</b> <b></b>  crit sur le disque les modifications qui ont t effectues sur
la copie d'un fichier qui est projet en mmoire par
<b>mmap (2).</b>
Si l'on utilise pas cette fonction, rien ne garantit que les
changements soient crits avant la suppression de la projection  par
<b>munmap (2).</b>
Pour tre plus prcis, la portion du fichier correspondant 
la zone mmoire commenant en
<i>start</i> et ayant une longueur de 
<i>length</i> est mise a jour.
L'argument
<i>flags</i> comprend les bits MS_ASYNC, MS_SYNC et MS_INVALIDATE.
M_ASYNC et M_SYNC ne peuvent pas tre utiliss conjointement.
l'appel systme revient immdiatement.
MS_SYNC demande une mise  jour immdiate, et attend qu'elle
se termine avant de revenir.
MS_INVALIDATE demande la dsactivation de toutes les autres
projections du mme fichier, afin qu'elles soient toutes remises
 jour avec les nouvelles donnes crites.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>msync</b> <b></b>  renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b>
<i>start</i> n'est pas align sur une frontire de page, ou d'autres 
bits que MS_ASYNC | MS_INVALIDATE | MS_SYNC sont  1
dans
<i>flags.</i>
<br/><br/>

<b>EFAULT</b> <b></b>  La zone mmoire indique (ou une partie de cette zone) n'est
pas une projection.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX 1.b (anciennement POSIX.4).
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>mmap (2),</b>
B.O. Gallmeister, POSIX.4, O'Reilly, pp. 128-129 and 389-391.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
