<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  1995-11-26  Markus Kuhn &lt;mskuhn@cip.informatik.uni-erlangen.de&gt; -->
<!--       First version written -->
<!--  -->
<!--  Traduction  12/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 18/07/2003 LDP-1.56 -->
<br/><h1>MUNLOCK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
munlock - Rautorise la pagination d'une portion de mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/mman.h&gt;</b> <b></b>  <br/><br/>

\fBint munlock(const void *<i>addr</i>, size_t <i>len</i>);


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>munlock</b> <b></b>  revalide la pagination pour la zone de mmoire commenant
 l'adresse
<i>addr</i> et s'tendant sur
<i>len</i> octets. Toutes les pages contenant des octets de cette zone
peuvent tre  nouveau dplaces par le noyau sur le support
de swap aprs l'appel de
<b>munlock.<br/><br/></b> <b></b>  Il n'y a pas d'empilement des verrouillages mmoire, ce qui
signifie qu'une page verrouille plusieurs fois par
<b>mlock</b> <b></b>  ou
<b>mlockall</b> <b></b>  sera libre en un seul appel 
<b>munlock</b> <b></b>  pour la zone mmoire correspondante ou par un appel 
<b>munlockall.</b>
Les pages qui sont verrouilles par plusieurs zones, ou
par plusieurs processus restent en mmoire vive tant qu'il
y a au moins un processus ou une zone qui les verrouillent.<br/><br/>
Sur les systmes POSIX o
<b>mlock</b> <b></b>  et
<b>munlock</b> <b></b>  sont disponibles, la constante symbolique
<b>_POSIX_MEMLOCK_RANGE</b> <b></b>  est dfinie dans &lt;unistd.h&gt; et la valeur symbolique
<b>PAGESIZE</b> <b></b>  de &lt;limits.h&gt; indique le nombre d'octets par page.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>munlock</b> <b></b>  renvoie 0 si il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ENOMEM</b> <b></b>  La zone ne correspond pas  des pages contenues dans l'espace
d'adressage du processus.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>len</i> n'est pas un nombre positif
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX.1b, SVr4
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>mlock (2),</b>
<b>mlockall (2),</b>
<b>munlockall (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
