<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This text is in the public domain. -->
<!--  -->
<!--  Traduction 21/07/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mj 18/07/2003 LDP-1.56 -->
<br/><h1>NFSSERVCTL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
nfsservctl - Appel-systme d'interface pour le dmon NFS du noyau.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;linux/nfsd/syscall.h&gt;</b> <b></b>  <br/><br/>

<b>nfsservctl(int </b> cmd <i>, struct nfsctl_arg *</i> argp <b>, union nfsctl_res *</b> resp );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">

/*
 * Voici les commandes comprises par nfsctl().
 */
#define NFSCTL_SVC              0       /* Voici le processus serveur */
#define NFSCTL_ADDCLIENT        1       /* Ajouter un client NFS      */
#define NFSCTL_DELCLIENT        2       /* Supprimer un client NFS    */
#define NFSCTL_EXPORT           3       /* Exporter un systme de     *
                                        /* fichiers.                  */
#define NFSCTL_UNEXPORT         4       /* Arrter l'exportation d'un */
                                        /* systme de fichiers.       */
#define NFSCTL_UGIDUPDATE       5       /* Mise  jour de la table    */
                                        /* uid/gid du client.         */
#define NFSCTL_GETFH            6       /* obtenir un fh (utilis par */
                                        /* mountd).                   */<br/><br/>
struct nfsctl_arg {
        int                     ca_version;     /* garde-fou */
        union {
                struct nfsctl_svc       u_svc;
                struct nfsctl_client    u_client;
                struct nfsctl_export    u_export;
                struct nfsctl_uidmap    u_umap;
                struct nfsctl_fhparm    u_getfh;
                unsigned int            u_debug;
        } u;
}<br/><br/>
union nfsctl_res {
        struct knfs_fh          cr_getfh;
        unsigned int            cr_debug;
};


</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>nfsservctl</b> <b></b>  renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Cet appel-systme est spcifique  Linux.
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
