<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Sat Jul 24 14:51:55 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--   mj 17/01/2002 (LDP man-pages 1.38) -->
<!--  mj 19/01/2002 LDP 1.47 -->
<!--  mj 19/07/2003 LDP 1.53 -->
<br/><h1>NICE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
nice - Augmenter la courtoisie du processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int nice(int </b> inc );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>nice</b> <b></b>  ajoute
<i>inc</i>  la valeur de courtoisie processus appelant, le rendant donc moins 
prioritaire. 
Seul le Super-User peut spcifier
une valeur
<i>inc</i> ngative (ce qui rend le processus plus prioritaire).
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>nice</b>
renvoie 0 s'il russit, ou -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 
<b>EPERM</b> <b></b>  Tentative d'augmenter la priorit du processus
(en diminuant sa courtoisie) avec un
<i>inc</i>
ngatif sans tre Super-User.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, SVID EXT, AT&T, X/OPEN, BSD 4.3. Toutefois, la valeur de retour
sous Linux avec la GlibC (jusqu' Glibc 2.2.4) n'est pas standard, voir
ci-dessous. SVr4 documente un code d'erreur
supplmentaire EINVAL.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Notez que SUSv2 indique que cet appel-systme renvoie la nouvelle valeur
de courtoisie, tandis que l'appel-systme Linux et la routine de la GlibC
(jusqu' GlibC 2.2.4)
renvoient 0 en cas de russite. La nouvelle valeur de courtoisie peut tre
obtenue grce 
<b>getpriority (2).</b>
Remarquez galement que dans une implmentation o
<b>nice</b> <b></b>  renvoie la nouvelle valeur de courtoisie, un code de retour -1 est
tout  fait possible. Pour dtecter les erreurs, il faut mettre
<i>errno</i>  zro avant l'appel, et examiner sa valeur si
<b>nice</b> <b></b>  renvoie -1.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>nice (1),</b>
<b>getpriority (2),</b>
<b>setpriority (2), </b>
<b>fork (2),</b>
<b>renice (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
