<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is Copyright (C) 1992 Drew Eckhardt; -->
<!--                                1993 Michael Haardt, Ian Jackson. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Wed Jul 21 22:42:16 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Aug 21 18:18:14 1994: Michael Haardt's NFS diffs were -->
<!--           applied by hand (faith@cs.unc.edu). -->
<!--   -->
<!--  Traduction  10/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a jour 25/01/97 -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  mj 18/05/1999 (LDP man-pages 1.23) -->
<!--  mj 30/05/2001 (LDP man-pages 1.36) -->
<!--  mj 18/07/2003 (LDP man-pages 1.56) -->
<!--  MJ 25/07/2003 LDP-1.57 -->
<!--  MJ 30/07/2003 LDP-1.58 -->
<br/><h1>OPEN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">restrictions</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
open, creat - Ouvrir ou crer ventuellement un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/stat.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;fcntl.h&gt;</b> <b></b>  <br/><br/>

<b>int open(const char *</b> pathname <i>, int </i> flags );
<b>int open(const char *</b> pathname <i>, int </i> flags <b>, mode_t </b> mode );
<b>int creat(const char *</b> pathname <i>, mode_t </i> mode );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'appel-systme
<b>open()</b> <b></b>  sert  convertir un chemin d'accs en descripteur de fichier (un petit entier
non ngatif utilisable pour les oprations d'entres/sorties ultrieures telles
<b>read </b>, <b> write </b>, etc.).<b></b>
Lorsque l'appel-systme russit, le descripteur renvoy sera le plus petit
descripteur de fichier non encore ouvert pour le processus. Cet appel cre
un nouveau descripteur, non-partag avec les autres processus. Toutefois le
partage de fichiers ouverts peut se produire avec
l'appel-systme
<b>fork (2)).</b>
Le nouveau descripteur de fichier est configur pour rester ouvert au travers
des fonctions exec (voir
<b>fntl (2)).</b>
Le pointeur de position dans le fichier est place  son dbut.<br/><br/>
Le paramtre
<i>flags</i> est l'un des lments
<b>O_RDONLY </b>, <b> O_WRONLY </b> ou <b> O_RDWR</b>
qui rclament respectivement l'ouverture du fichier en lecture seule, 
criture seule, ou lecture/criture.
 cette valeur peut tre ajout un ou plusieurs attributs avec un
.I "OU binaire" " :"
<br/><br/>

<b>O_CREAT</b> <b></b>  Crer le fichier s'il n'existe pas.
Le possesseur (UID) du fichier est renseign avec l'UID effectif du processus.
Le groupe propritaire (GID) du fichier est le GID effectif du processus
ou le GID du rpertoire parent (ceci dpend du systme de
fichiers, des options de montage, du mode du rpertoire parent, etc.) Voir
par exemple les options de montage
<i>bsdgroups</i> et 
<i>sysvgroups</i> du systme de fichiers ext2, dcrites dans la page
<b>mount (8)).</b>
<br/><br/>

<b>O_EXCL</b> <b></b>  En conjonction avec
<b>O_CREAT ,</b>
dclenchera une erreur si le fichier existe, et
<b>open</b> <b></b>  chouera. On considre qu'un lien symbolique, quelque soit l'endroit o
il pointe.
<b>O_EXCL</b> <b></b>  ne fonctionne pas sur les systmes de fichiers NFS. Les programmes qui
ont besoin de cette fonctionnalit pour verrouiller des tches risquent
de rencontrer une concurrence critique (race condition). La solution consiste
 crer un fichier unique sur le mme systme de fichiers (par exemple avec le
PID et le nom de l'hte), utiliser
<b>link (2)</b>
pour crer un lien sur un fichier de verrouillage et d'utiliser
<b>stat (2)</b>
sur ce fichier unique pour vrifier si le nombre de liens a augment
jusqu' 2. Ne pas utiliser la valeur de retour de <b>link()</b>.
<br/><br/>

<b>O_NOCTTY</b> <b></b>  Si
<i>pathname</i> correspond  un priphrique de terminal \(em voir
<b>tty (4)</b>
\(em, il ne deviendra pas le terminal contrlant le processus
mme si celui-ci n'est attach  aucun autre terminal.
<br/><br/>

<b>O_TRUNC</b> <b></b>  Si le fichier existe, est un fichier rgulier, et est ouvert en criture
(O_RDWR ou O_WRONLY), il sera tronqu  une longueur nulle. Si le fichier
est une FIFO ou un priphrique terminal, l'attribut O_TRUNC est ignor.
Sinon, le comportement de O_TRUNC n'est pas prcis. Sur de nombreuses versions
de Linux, il sera ignor ; sur d'autres versions il dclenchera une erreur).
<br/><br/>

<b>O_APPEND</b> <b></b>  Le fichier est ouvert en mode "ajout". Initialement, et avant chaque
<b>write ,</b>
la tte de lecture/criture est place  la fin du fichier
comme avec
<b>lseek .</b>
Il y a un risque d'endommager le fichier lorsque
<b>O_APPEND</b> <b></b>  est utilis, sur un systme de fichiers NFS, si plusieurs processus
tentent d'ajouter des donnes simultanment au mme fichier.
Ceci est d au fait que NFS ne supporte pas l'opration d'ajout de donnes
dans un fichier, aussi le noyau client est oblig de la simuler, avec un
risque de concurrence des tches.
<br/><br/>

<b>O_NONBLOCK </b> ou <b> O_NDELAY</b>
Le fichier est ouvert en mode "non-bloquant". Ni la fonction
<b>open</b> <b></b>  ni aucune autre opration ultrieure sur ce fichier
ne laissera le processus appelant en attente. Pour la manipulation des
FIFO (tubes nomms), voir galement
<b>fifo (4).</b>
Ce mode n'a pas ncessairement d'effet sur autre chose que les FIFOs.
<br/><br/>

<b>O_SYNC</b> <b></b>  Le fichier est ouvert en criture synchronise. Chaque appel 
<b>write </b>
sur le fichier bloquera le processus appelant jusqu' ce que les
donnes aient t crites physiquement sur le support matriel
(voir la section RESTRICTIONS plus bas).
<br/><br/>

<b>O_NOFOLLOW</b> <b></b>  Si
<i>pathname</i> est un lien symbolique, l'ouverture choue. Ceci est une extension
FreeBSD, qui fut ajoute  Linux dans la version 2.1.126.
Les liens symboliques se trouvant dans le chemin d'accs proprement
dit seront suivis normalement. Les en-tte de glibc 2.0.100 et 
suivant contiennent une dfinition de cet attribut.
\fI Les noyaux antrieurs au 2.1.126 ignorent simplement cet attribut
si vous l'utilisez\fP.
<br/><br/>

<b>O_DIRECTORY</b> <b></b>  Si
<i>pathname</i> n'est pas un rpertoire, l'ouverture choue. Cet attribut est spcifique
 Linux et fut ajout dans la version 2.1.126 du noyau, pour viter
des problmes de dysfonctionnement si <i>opendir</i>(3) est invoqu
sur une FIFO ou un priphrique de bande. Cet attribut ne devrait
jamais tre utilis ailleurs que dans l'implmentation de <b>opendir</b>.
<br/><br/>

<b>O_DIRECT</b> <b></b>  Essayer de minimiser les effets du cache d'entre/sortie sur ce fichier.
Ceci dgradera en gnral les performances, mais est utilise dans des
situations spciales, lorsque les applications ont leur propres caches.
Les entres/sorties dans le fichier se font directement depuis l'espace
utilisateur, elles sont synchrones ( la fin de
<b>read (2)</b>
ou
<b>write (2),</b>
les donne ont obligatoirement t transfres). La taille des transferts,
l'alignement du buffer et la position dans le fichier doivent tre des
multiples de la taille de blocs logiques du systme de fichiers.
<!--  There may be coherency problems. -->
<br/>
Une interface  la smantique similaire pour les priphriques de type
bloc est dcrite  la page
<b>raw (8).</b>
<br/><br/>

<b>O_ASYNC</b> <b></b>  Dclencher un signal (SIGIO par dfaut, mais peut tre chang via
<b>fcntl (2))</b>
lorsque la lecture ou l'criture devienne possible sur ce descripteur.
Ceci n'est possible que pour les terminaux, pseudo-terminaux et sockets.
Voir
<b>fcntl (2)</b>
pour plus de dtails.
<br/><br/>

<b>O_LARGEFILE</b> <b></b>  Sur les systmes 32 bits qui supportent les Systmes de Fichiers Larges,
autoriser quand mme l'ouverture des fichiers dont la taille ne peut
pas tre reprsente sur 31 bits.<br/><br/>
Certains de ces attributs optionnels peuvent tre modifis
par la suite avec la fonction
<b>fcntl .<br/><br/></b>
L'argument
<i>mode</i> indique les permissions  utiliser si un nouveau fichier est cr.
Cette valeur est modifie par le
<b>umask</b>
du processus : la vritable valeur utilise est
<b>(mode & ~umask)</b> .</b>
Notez que ce mode ne s'applique qu'aux accs ultrieurs du fichier
nouvellement cr. L'appel
<b>open</b> <b></b>  qui cre un fichier dont le mode est en lecture seule fournira quand mme
un descripteur de fichier en lecture et criture.<br/><br/>
Les constantes symboliques suivantes sont disponibles pour
<i>mode :</i>
<br/><br/>

<b>S_IRWXU</b> <b></b>  00700 L'utilisateur (propritaire du fichier) a les 
autorisations de lecture, criture, excution.
<br/><br/>

<b>S_IRUSR</b> <b></b>  <b>(S_IREAD)</b> <b></b>  00400 L'utilisateur a l'autorisation de lecture.
<br/><br/>

<b>S_IWUSR</b> <b></b>  <b>(S_IWRITE)</b> <b></b>  00200 L'utilisateur a l'autorisation d'criture.
<br/><br/>

<b>S_IXUSR</b> <b></b>  <b>(S_IEXEC)</b> <b></b>  00100 L'utilisateur a l'autorisation d'excution.
<br/><br/>

<b>S_IRWXG</b> <b></b>  00070 Le groupe a les autorisations de lecture, criture, excution.
<br/><br/>

<b>S_IRGRP</b> <b></b>  00040 Le groupe a l'autorisation de lecture.
<br/><br/>

<b>S_IWGRP</b> <b></b>  00020 Le groupe a l'autorisation d'criture.
<br/><br/>

<b>S_IXGRP</b> <b></b>  00010 Le groupe a l'autorisation d'excution.
<br/><br/>

<b>S_IRWXO</b> <b></b>  00007 Tout le monde a les autorisations de lecture, criture, excution.
<br/><br/>

<b>S_IROTH</b> <b></b>  00004 Tout le monde a l'autorisation de lecture.
<br/><br/>

<b>S_IWOTH</b> <b></b>  00002 Tout le monde a l'autorisation d'criture.
<br/><br/>

<b>S_IXOTH</b> <b></b>  00001 Tout le monde a l'autorisation d'excution.<br/><br/>
Le
<i>mode</i> devrait toujours tre indiqu quand 
<b>O_CREAT</b> <b></b>  est dans les attributs
<i>flags ,</i>
(il est ignor dans les autres cas).<br/><br/>
<b>creat</b> <b></b>  est quivalent  
<b>open</b> <b></b>  avec l'attribut
<i>flags</i> gal 
<b>O_CREAT | O_WRONLY | O_TRUNC</b> .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>open </b> et <b> creat</b>
renvoient le nouveau descripteur de fichier s'ils russissent, 
ou -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
Notez que
<b>open</b> <b></b>  peut ouvrir des fichiers spciaux mais
<b>creat</b> <b></b>  ne peut pas en crer,
il faut utiliser
<b>mknod (2)</b>
 la place.<br/><br/>
Sur les systmes de fichiers NFS, o la correspondance d'UID est active,
<b>open</b> peut renvoyer un descripteur de fichier alors qu'une requte
<b>read</b>(2) par exemple sera refuse avec le code d'erreur <b>EACCES</b>.
En effet, c'est le client qui effectu <b>open</b> en vrifiant les
autorisations d'accs, mais la correspondance d'UID est calcule par
le serveur au moment des requtes de lecture ou d'criture.<br/><br/>
Si un fichiers est cr, ses horodatages atime, ctime, mtime sont fixs 
l'heure actuelle, ainsi que ctime et mtime du rpertoire parent.
Sinon, si le fichier est modifi  cause de l'attribut O_TRUNC, ses
champs ctime et mtime sont remplis avec l'heure actuelle.<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EEXIST</b> <b></b>  <i>pathname</i> existe dj et
<b>O_CREAT </b> et <b> O_EXCL</b>
ont t indiqus.
<br/><br/>

<b>EISDIR</b> <b></b>  On a demand une criture alors que
<i>pathname</i> correspond  un rpertoire (en fait,
<b>O_WRONLY</b> <b></b>  ou
<b>O_RDWR</b> <b></b>  ont t demands).
<br/><br/>

<b>EACCES</b> <b></b>  L'accs demand au fichier est interdit, ou l'un des rpertoires
du chemin
<i>pathname</i>
ne permet pas de consultation, ou le fichier n'existe pas mais
le rpertoire parent ne permet pas l'criture.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>pathname </i> est trop long.<i></i>
<br/><br/>

<b>ENOENT</b> <b></b>  O_CREAT est absent et le fichier n'existe pas.
Ou un rpertoire du chemin d'accs
<i>pathname</i> n'existe pas, ou est un lien symbolique pointant nulle part.
<br/><br/>

<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs
<i>pathname</i> n'est pas un rpertoire, ou l'attribut <b>O_DIRECTORY</b> est
utilis et
<i>pathname</i> n'est pas un rpertoire.
<br/><br/>

<b>ENXIO</b> <b></b>  O_NONBLOCK | O_WRONLY est indiqu, le fichier est une FIFO et le
processus n'a pas de fichier ouvert en lecture.
Ou le fichier est un noeud spcial et il n'y a pas de priphrique
correspondant.
<br/><br/>

<b>ENODEV</b> <b></b>  <i>pathname</i> correspond  un fichier spcial et il n'y a pas de priphrique correspondant.
<br/><br/>

<b>EROFS</b> <b></b>  Un accs en criture est demand alors que
<i>pathname</i> rside sur un systme de fichiers en lecture seule.
<br/><br/>

<b>ETXTBSY</b> <b></b>  On a demand une criture alors que
<i>pathname</i> correspond  un fichier excutable actuellement utilis.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>pathname </i> pointe en dehors de l'espace d'adressage accessible<i></i>
<br/><br/>

<b>ELOOP</b> <b></b>  <i>pathname</i> contient une rfrence circulaire ( travers un lien symbolique), ou
l'attribut <b>O_NOFOLLOW</b> est indiqu et
<i>pathname</i> est un lien symbolique.
<br/><br/>

<b>ENOSPC</b> <b></b>  <i>pathname</i> devrait tre cr mais le priphrique concern n'a plus assez de
place pour un nouveau fichier.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau
<br/><br/>

<b>EMFILE</b> <b></b>  Le processus a dj ouvert le nombre maximal de fichiers.
<br/><br/>

<b>ENFILE</b> <b></b>  La limite du nombre total de fichiers ouverts sur le systme est
atteinte.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, X/OPEN, BSD 4.3.
Les attributs
<b>O_NOFOLLOW</b> <b></b>  et
<b>O_DIRECTORY</b> <b></b>  sont spcifiques  Linux.
Il faut dfinir la constante symbolique
<b>_GNU_SOURCE</b> <b></b>  pour avoir leurs dfinitions.
L'effet (indfini) de
<b>O_RDONLY</b> <b></b>  <b>|</b> <b></b>  <b>O_TRUNC</b> <b></b>  varie suivant les implmentations. Sur de nombreux systmes, le ficier est
effectivement tronqu.<br/><br/>
L'attribut
<b>O_DIRECT</b> <b></b>  a t introduit par SGI IRIX, qui a des restritions d'alignement identiques 
Linux. IRIX a aussi un appel fcntl(2) pour obtenir les alignements et tailles
appropris. FreeBSD 4.x a introduit un attribut du mme nom, mais sans
les restrictions d'alignement. Le support a t ajout
dans Linux 2.4.10.
Les noyaux plus anciens ignorent simplement cet attribut.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
"Ce qui m'a toujours drang avec O_DIRECT est que toute l'interface est
stupide et a probablement t conue par un singe drang, sous l'influence
de substances psychotropes puissantes". -- Linus.
</div><br/><br /><h1 class="TitreSection0" id="L8">restrictions</h1>
<div class="paragraph">
Plusieurs problmes se posent avec le protocole NFS, concernant
entre autres
<b>O_SYNC </b>, et <b> O_NDELAY </b> .<br/><br/></b>
POSIX fournit trois variantes diffrentes des entres/sorties
synchronises correspondant aux attributs <b>O_SYNC</b>, 
<b>O_DSYNC</b> et <b>O_RSYNC</b>. 
Actuellement (2.1.130) elles sont toutes quivalentes sous Linux.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>read (2),</b>
<b>write (2),</b>
<b>fcntl (2),</b>
<b>close (2),</b>
<b>link (2),</b>
<b>mknod (2),</b>
<b>mount (2),</b>
<b>stat (2),</b>
<b>umask (2),</b>
<b>unlink (2),</b>
<b>socket (2),</b>
<b>fopen (3),</b>
<b>fifo (4)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
