<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 1998 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 28/04/98 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages-1.19 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>PRCTL</h1>
<br /><a class="summaryIndent0" href="#L0">nom </a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">disponibilit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom </h1>
<div class="paragraph">
prctl - Oprations sur un processus
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/prctl.h&gt;</b> <b></b>  <br/><br/>

<b>int prctl(int </b> option <i>, unsigned long </i> arg2 <b>, unsigned long </b> arg3
<b>, unsigned long </b> arg4 <i>, unsigned long </i> arg5 );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>prctl</b> <b></b>  est invoqu avec un premier argument indiquant ce qu'il faut faire,
(ses valeurs sont dfinies dans &lt;<i>linux/prctl.h</i>&gt;), et des
paramtres supplmentaires dont la signification dpend du premier
argument. Celui-ci peut tre&nbsp;:
<br/><br/>

<b>PR_SET_PDEATHSIG</b>
(Depuis Linux 2.1.57)
Configure le signal de mort du pre du processus en cours avec la valeur
<i>arg2</i> (qui peut tre un numro de signal dans
l'intervalle 1..maxsig, ou tre nul pour effacer le signal).
Il s'agit du numro du signal que le processus en cours recevra si son
pre se termine. Cette valeur est efface lors d'un <b>fork()</b>.
<br/><br/>

<b>PR_GET_PDEATHSIG</b> <b></b>  (Depuis Linux 2.3.15)
Lit la valeur actuelle du signal de mort du processus pre, et
l'inscrit dans l'argument (int *) <i>arg2</i>.
<br/><br/>

<b>PR_SET_DUMPABLE</b> <b></b>  (Depuis Linux 2.4)
Fixe l'attribut dterminant si un fichier core est produit lorsque le
processus reoit un signal dont le comportement par dfaut est de produire
un fichier core. (Nomalement cet attribut est valid pour un processus par
dfaut, mais est effac  l'excution d'un programme Set-UID ou Set-GID
ainsi que par divers appels-systme manipulant des UID et GID).
<i>arg2</i> doit valoir 0 (pas de fichier core) ou 1 (fichier core possible).
<br/><br/>

<b>PR_GET_DUMPABLE</b> <b></b>  (Depuis Linux 2.4)
Renvoie (en rsultat de fonction) l'tat actuel de l'attribut de cration de
fichier core du processus appelant.
<br/><br/>

<b>PR_SET_KEEPCAPS</b> <b></b>  Fixe l'tat de l'attribut de conservation des capacits, qui dtermine si
les ensembles de capacits effectives et disponibles sont effacs lorsqu'on
modifie les UIDs rel, effectif et sauv du processus de manire  ce que tous
soient non-nuls alors qu'auparavant l'un au moins tait nul.
(Par dfaut les ensembles sont effacs).
<i>arg2</i> doit valoir 0 (les capacits sont effaces) ou 1 (capacits conserves).
<br/><br/>

<b>PR_GET_KEEPCAPS</b> <b></b>  Renvoie (en rsultat de fonction) l'tat actuel de conservation des capacits
du processus appelant.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Les options
<b>PR_GET_DUMPABLE</b> <b></b>  et 
<b>PR_GET_KEEPCAPS</b> <b></b>  renvoient 0 ou 1.
Toutes les autres options renvoient zro en russite, et -1 en cas d'chec,
auquel cas
<i>errno</i> contient le code d'erreur appropri.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  La valeur de l'argument
<i>option</i> n'est pas reconnue, ou bien il s'agit de
<b>PR_SET_PDEATHSIG</b> <b></b>  et
<i>arg2</i> n'est pas un numro de signal ou un zro.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Cet appel-systme est spcifique  Linux.
IRIX dispose d'un appel systme prctl (galement introduit dans
Linux 2.1.44 sur l'architecture MIPS sous le nom irix_prctl),
dont le prototype est
<br/><br/>

<b>ptrdiff_t prctl(int </b> option <i>, int </i> arg2 <b>, int </b> arg3 );
<br/><br/>

et les options permettent de d'obtenir le nombre maximum de processus
par utilisateur, le nombre maximal de processeur utilisables par un
processus, vrifier si un processus est bloqu, lire ou fixer la
taille des piles, etc...<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">disponibilit</h1>
<div class="paragraph">
L'appel systme prctl() a t introduit dans Linux 2.1.57. Il n'y a pas
encore d'interface prctl() dans la bibliothque.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>signal (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
