<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) 1996 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 21/09/98 LDP-man-pages-1.20 -->
<!--  Mise a Jour 18/07/03 LDP-man-pages-1.56 -->
<br/><h1>QUOTACTL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
quotactl - Manipuler les quotas de disque.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/quota.h&gt;</b> <b></b>  <br/><br/>

<b>int quotactl (int </b> cmd <i>, const char * </i> special <b>, int </b> id ,
<b>caddr_t </b> addr );
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;linux/unistd.h&gt;</b> <b></b>  <br/><br/>

<b>_syscall4 (int </b> quotactl <i>, int </i> cmd <b>, const char * </b> special ,
<b>int </b> id <i>, caddr_t </i> addr );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Le systme de quotas permet de dfinir pour chaque utilisateur et/ou
groupe une limite souple et une limite imprative 
la quantit d'espace disque utilisable sur un systme de
fichiers donn.<br/><br/>
La limite imprative ne peut pas tre dpasse. La limite
souple peut tre dpasse, mais des avertissements
s'ensuivront. De plus l'utilisateur ne peut pas dpasser une
limite souple pendant plus d'une semaine (par dfaut)
d'affile. Une fois la semaine coule, la limite souple
devient une limite imprative.<br/><br/>
L'appel systme
<b>quotactl</b> <b></b>  manipule ces quotas. Son premier argument est de la forme
QCMD( subcmd , type )
ou
<i>type</i> vaut soit
<b>USRQUOTA</b> <b></b>  soit
<b>GRPQUOTA</b> <b></b>  (respectivement pour les quotas d'utilisateur et de groupe), 
et ou
<i>subcmd</i> est dcrit plus bas<br/><br/>
Le second argument
<i>special</i> est un priphrique par bloc auquel les quotas s'appliquent.
Il doit tre mont.<br/><br/>
Le troisime argument
<i>id</i> est l'identifiant de l'utilisateur ou du groupe auquel
s'appliquent les quotas.<br/><br/>
La quatrime argument
<i>addr</i> est l'adresse d'une structure de donnes dpendant de la
commande  utiliser.<br/><br/>
La commande
<i>subcmd</i> est dans la liste suivante :
<br/><br/>
 1.1i
<b>Q_QUOTAON</b> <b></b>  Valider les quotas. L'argument
<i>addr</i> est le chemin d'accs au fichier contenant les quotas pour le
systme de fichiers.
<br/><br/>

<b>Q_QUOTAOFF</b> <b></b>  Dsactiver les quotas.
<br/><br/>

<b>Q_GETQUOTA</b> <b></b>  Obtenir les limites actuelles et l'utilisation courante de
l'espace disque. L'argument
<i>addr</i> est un pointeur sur une structure dqblk (dfinie dans
<i>&lt;sys/quota.h&gt; ).</i>
<br/><br/>

<b>Q_SETQUOTA</b> <b></b>  Fixe la limite et l'utilisation actuelle.
<i>addr</i> est identique  
<b>Q_GETQUOTA</b> <b></b>  <br/><br/>

<b>Q_SETQLIM</b> <b></b>  Fixer les limites.
<i>addr</i> est identique  
<b>Q_GETQUOTA</b> <b></b>  <br/><br/>

<b>Q_SETUSE</b> <b></b>  Fixer l'utilisation.
<br/><br/>

<b>Q_SYNC</b> <b></b>  Synchroniser les quotas d'un systme de fichiers.
<br/><br/>

<b>Q_GETSTATS</b> <b></b>  Obtenir des statistiques<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>quotactl</b> <b></b>  renvoie 0 quand il russit.
En cas d'chec, -1 est renvoy et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 0.9i
<b>ENOPKG</b> <b></b>  Le noyau n'a pas t compil avec le support de quotas.
<br/><br/>

<b>EFAULT</b> <b></b>  Mauvaise valeur pour
<i>addr.</i> <br/><br/>

<b>EINVAL</b> <b></b>  <i>type</i> n'est pas un type de quota support. Ou bien
<i>special</i> n'a pas pu tre trouv.
<br/><br/>

<b>ENOTBLK</b> <b></b>  <i>special</i> n'est pas un priphrique bloc.
<br/><br/>

<b>ENODEV</b> <b></b>  <i>special</i> n'est pas dans la table de montage.
<br/><br/>

<b>EACCES</b> <b></b>  Le fichier de quotas n'est pas un fichier ordinaire.
<br/><br/>

<b>EIO</b> <b></b>  Impossible de lire ou d'crire le fichier de quotas.
<br/><br/>

<b>EMFILE</b> <b></b>  Trop de fichiers ouverts, impossible d'ouvrir le 
fichier des quotas
<br/><br/>

<b>EBUSY</b> <b></b>  <b>Q_QUOTAON</b> <b></b>  a t requis mais les quotas sont dj actifs.
<br/><br/>

<b>ESRCH</b> <b></b>  <b>Q_GETQUOTA</b> <b></b>  ou
<b>Q_SETQUOTA</b> <b></b>  ou
<b>Q_SETUSE</b> <b></b>  ou
<b>Q_SETQLIM</b> <b></b>  ont t requis sur  systme de fichiers n'ayant pas de
quotas actifs.
<br/><br/>

<b>EPERM</b> <b></b>  Le processus n'est pas root (pour le systme de fichiers)
et
<b>Q_GETQUOTA</b> <b></b>  a t requis pour un autre identifiant
<i>id</i> que celui du processus, ou une commande autre que
<b>Q_GETSTATS</b> <b></b>  ou
<b>Q_SYNC</b> <b></b>  a t rclame.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
BSD
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>quota (1),</b>
<b>getrlimit (2),</b>
<b>setrlimit (2),</b>
<b>ulimit (2),</b>
<b>quotacheck (8),</b>
<b>quotaon (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
