<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)readlink.2	6.8 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Sat Jul 24 00:10:21 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction  12/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 10/12/1997 (LDP man-pages 1.18) -->
<!--  mj 18/07/2003 (LDP man-pages 1.56) -->
<br/><h1>READLINK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
readlink - Lire le contenu d'un lien symbolique.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int readlink(const char *</b> path <i>, char *</i> buf <b>, size_t </b> bufsiz );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>readlink</b> <b></b>  place le contenu d'un lien symbolique
<i>path</i> dans le buffer
<i>buf ,</i>
lequel doit contenir au moins
<i>bufsiz </i> octets.
<b>readlink</b> <b></b>  n'ajoute pas de caractre
<b>NUL</b> <b></b>  dans le buffer
<i>buf .</i>
Il tronquera le contenu ( la longueur
<i>bufsiz )</i>
si le buffer est trop petit pour recevoir les donnes.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>readlink</b> <b></b>  renvoie le nombre de caractres lus, ou -1 s'il choue, 
auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 
<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs n'est pas un rpertoire
<br/><br/>

<b>EINVAL</b> <b></b>  <i>bufsiz</i> n'est pas positif.
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>path</i> ou l'un des composants de ce chemin d'accs est trop long.
<br/><br/>

<b>ENOENT</b> <b></b>  Le fichier indiqu n'existe pas
<br/><br/>

<b>EACCES</b> <b></b>  Un lment du chemin d'accs ne permet pas la recherche.
<br/><br/>

<b>ELOOP</b> <b></b>  <i>pathn</i> contient une rfrence circulaire ( travers un lien symbolique)
<br/><br/>

<b>EINVAL</b> <b></b>  Le fichier n'est pas un lien symbolique
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie s'est produite durant la lecture.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>Buf</i> pointe en-dehors de l'espace d'adressage accessible.
<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
X/OPEN, BSD 4.4 (la fonction
<b>readlink</b> <b></b>  est apparue dans BSD 4.2).
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>stat (2),</b>
<b>lstat (2),</b>
<b>symlink (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
