<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1996 Tom Bjorkholm &lt;tomb@mydata.se&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  1996-04-12 Tom Bjorkholm &lt;tomb@mydata.se&gt; -->
<!--             First version written -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 08/04/1997 -->
<!--  Mise a Jour 19/07/1997 -->
<!--  Mise a Jour 18/05/1999 - LDP-man-pages-1.23 -->
<!--  Mise a Jour 20/01/02 - LDP-man-pages-1.47 -->
<!--  Mise a Jour 18/07/03 - LDP-man-pages-1.56 -->
<br/><h1>READV</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
readv, writev - Lire ou crire dans plusieurs buffers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/uio.h&gt;</b> <b></b>  <br/><br/>

<b>int readv(int </b> fd <i>, const struct iovec * </i> vecteur <b>, int </b> nb );
<br/><br/>

<b>int writev(int </b> fd <i>, const struct iovec * </i> vecteur <b>, int </b> nb );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>readv ()</b>
lit
<i>nb</i> blocs depuis le descripteur de fichier
<i>fd</i> dans les multiples buffers dcrits par le
<i>vecteur .<br/><br/></i>
La fonction
<b>writev ()</b>
crit au plus
<i>nb</i> blocs dcrits par le
<i>vecteur</i>
dans le fichier associ au descripteur
<i>fd .<br/><br/></i>
Le
<i>vecteur</i> pointe sur une
<b>struct</b> <b></b>  <b>iovec"</b> <b></b>  dfinie dans
<b>&lt;sys/uio.h&gt;</b> <b></b>  ainsi&nbsp;:<br/><br/>
<br/>
 
.in 10 
struct iovec {
.in 14
void *iov_base;   /* Adresse de dbut */
size_t iov_len;   /* Nombre d'octets  */
.in 10
};

<br/><br/>
Les buffers sont traits dans l'ordre indiqu.<br/><br/>
La fonction
<b>readv ()</b>
travaille comme
<b>read (2)</b>
sauf que plusieurs buffers sont remplis.<br/><br/>
La fonction
<b>writev ()</b>
travaille comme
<b>write (2)</b>
sauf que plusieurs buffers sont crits.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'ils russissent
<b>readv</b>
renvoie le nombre d'octets lus et
<b>writev</b>
renvoie le nombre d'octets crits.
En cas d'chec -1 est renvoy, et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Les erreurs indiques pour
<b>read (2)</b>
et
<b>write (2</b>
sont susceptibles de se produire.
De plus il peut survenir&nbsp;:
<br/><br/>

<b>EINVAL</b> <b></b>  La somme des
<i>iov_len</i> valeurs dborde du type
<b>ssize_t ,</b>
ou le nombre
<i>nb</i> de vecteur est nul ou suprieur 
<b>MAX_IOVEC .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
BSD 4.4 (les fonctions
<b>readv</b>
et
<b>writev</b>
sont apparues dans BSD 4.2), Unix98. La libc5 de Linux utilisait
les types
<b>size_t</b> <b></b>  pour le paramtre
<i>count</i> et
<b>int</b> <b></b>  en retour de ces fonctions.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Il est dconseill de mlanger les appels
<b>readv ()</b>
ou
<b>writev ()</b>
qui agissent sur les descripteurs avec les fonctions de la bibliothque
stdio&nbsp;; les rsultats sont indfinis et probablement diffrents de ce que
l'on attend
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>read (2),</b>
<b>write (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
