<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) Tom Bjorkholm & Markus Kuhn, 1996 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  1996-04-01 Tom Bjorkholm &lt;tomb@mydata.se&gt; -->
<!--             First version written -->
<!--  1996-04-10 Markus Kuhn &lt;mskuhn@cip.informatik.uni-erlangen.de&gt; -->
<!--             revision -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 18/07/2003 - LDP-1.56 -->
<br/><h1>GET_PRIORITY_MAX</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sched_get_priority_max, sched_get_priority_min  - Obtenir l'intervalle de priorits statiques de l'ordonnanceur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sched.h&gt;</b> <b></b>  <br/><br/>

\fBint sched_get_priority_max(int <i>policy</i>);
<br/><br/>

\fBint sched_get_priority_min(int <i>policy</i>);


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>sched_get_priority_max</b> <b></b>  <b></b>  renvoie la valeur maximale de priorit qui puisse tre
utilise avec la politique d'ordonnancement identifie 
par <i>policy</i>.
<b>sched_get_priority_min</b> <b></b>  <b></b>  renvoie la valeur minimale de priorit qui puisse tre
utilise avec la politique d'ordonnancement identifie 
par <i>policy</i>.
Les valeurs de <i>policy</i> pour les politiques 
d'ordonnancement proposes sont :
<i>SCHED_FIFO , </i>
<i>SCHED_RR ,</i>
et
<i>SCHED_OTHER .<br/><br/></i>
Les processus ayant des valeurs de priorits hautes sont
slectionns avant les processus de basses priorits.
Ainsi la valeur renvoye par
<b>sched_get_priority_max</b> sera suprieure  celle renvoye
par <b>sched_get_priority_min</b>.<br/><br/>
Linux offre un intervalle de priorits statiques allant de
1  99 pour les politiques d'ordonnancements <i>SCHED_FIFO</i> 
et <i>SCHED_RR</i>
et une priorit statique 0 pour <i>SCHED_OTHER</i>. 
Les intervalles de priorits des diffrents algorithmes ne sont
pas modifiables.<br/><br/>
Les intervalles peuvent varier suivant les systmes POSIX, et
il est conseill pour une application portable d'utiliser
un intervalle de priorit virtuel, que l'on associera avec
l'intervalle donn par <b>sched_get_priority_max</b> et
<b>sched_get_priority_min</b>. 
POSIX.1b rclame une distance d'au moins 32 entre les valeurs
maximale et minimale des politiques <i>SCHED_FIFO</i> 
et <i>SCHED_RR</i>.<br/><br/>
Les systmes POSIX sur lesquels
<b>sched_get_priority_max</b> <b></b>  et
<b>sched_get_priority_min</b> <b></b>  sont disponibles dfinissent
<i>_POSIX_PRIORITY_SCHEDULING</i> dans &lt;unistd.h&gt;.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>sched_get_priority_max</b> <b></b>  et
<b>sched_get_priority_min</b> <b></b>  renvoient les valeurs de priorits maximale/minimale s'ils
russissent.
En cas d'chec -1 est renvoy, et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  le paramtre <i>policy</i> ne correspond pas  une
politique d'ordonnancement supporte.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX.1b (prcdemment POSIX.4)
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>sched_setaffinity (2),</b>
<b>sched_getaffinity (2),</b>
<b>sched_setscheduler (2),</b>
<b>sched_getscheduler (2),</b>
<b>sched_setparam (2),</b>
<b>sched_getparam (2)<br/><br/></b>
<b>sched_setscheduler (2) </b>
contient la description des politiques d'ordonnancement de
Linux.<br/><br/>
<i>Programming for the real world - POSIX.4</i> by Bill O. Gallmeister, O'Reilly & Associates, Inc., ISBN 1-56592-074-0
<br/>
<i>IEEE Std 1003.1b-1993</i> (standard POSIX.1b)
<br/>
<i>ISO/IEC 9945-1:1996</i> </div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
