<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) Tom Bjorkholm & Markus Kuhn, 1996 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  1996-04-01 Tom Bjorkholm &lt;tomb@mydata.se&gt; -->
<!--             First version written -->
<!--  1996-04-10 Markus Kuhn &lt;mskuhn@cip.informatik.uni-erlangen.de&gt; -->
<!--             revision -->
<!--  -->
<!--  Traduction 14/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 18/07/2003 -->
<br/><h1>SCHED_YIELD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sched_yield - Cder le processeur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sched.h&gt;</b> <b></b>  <br/><br/>

\fBint sched_yield(void);


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Un processus peut volontairement librer le processeur sans se bloquer
en appelant
<b>sched_yield .</b>
Le processus sera alors dplac  la fin de la liste des processus
prts de sa priorit, et un autre processus sera excut.<br/><br/>

Note: Si le processus est le seul avec une priorit leve, il continuera
son excution aprs un appel 
<b>sched_yield .<br/><br/></b>
Les systmes POSIX sur lesquels
<b>sched_yield</b> <b></b>  est disponible dfinissent
<i>_POSIX_PRIORITY_SCHEDULING</i> dans &lt;unistd.h&gt;.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>sched_yield</b> <b></b>  renvoie 0 s'il russit ou -1 s'il choue auquel cas
<i>errno</i> contient le code d'erreur.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
POSIX.1b (POSIX.4)
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>sched_setscheduler (2) </b>
pour une description de l'ordonnancement sous Linux<br/><br/>
<i>Programming for the real world - POSIX.4</i> by Bill O. Gallmeister, O'Reilly & Associates, Inc., ISBN 1-56592-074-0
<br/>
<i>IEEE Std 1003.1b-1993</i> (POSIX.1b standard)
<br/>
<i>ISO/IEC 9945-1:1996<br/><br/></i> </div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
