<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  This manpage is copyright (C) 1992 Drew Eckhardt, -->
<!--                  copyright (C) 1995 Michael Shields. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified 1993-07-24 by Rik Faith &lt;faith@cs.unc.edu&gt; -->
<!--  Modified 1995-05-18 by Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 04/06/2001 LDP-man-pages-1.35 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.37 -->
<!--  Mise a Jour 20/01/2002 - LDP-man-pages-1.47 -->
<!--  Mise a Jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>SELECT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">exemple</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">notes</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
select, pselect, FD_CLR, FD_ISSET, FD_SET, FD_ZERO - Multiplexage d'entres/sorties synchrones.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
/* D'aprs Posix 1003.1-2001 */
<br/>
<b>#include</b> <b></b>  <b>&lt;sys/select.h&gt;</b> <b></b>  <br/><br/>

/* D'aprs les standards prcdents */
<br/>
<b>#include</b> <b></b>  <b>&lt;sys/time.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

\fBint select(int <i>n</i>, fd_set *<i>readfds</i>,
fd_set *<i>writefds</i>, fd_set *<i>exceptfds</i>,
struct timeval *<i>timeout</i>);
<br/><br/>

\fBint pselect(int <i>n</i>, fd_set *<i>readfds</i>,
fd_set *<i>writefds</i>, fd_set *<i>exceptfds</i>,
const struct timespec *<i>timeout</i>, const sigset_t * <i>sigmask</i>);
<br/><br/>

<b>FD_CLR(int </b> fd <i>, fd_set *</i> set );
<br/>
<b>FD_ISSET(int </b> fd <i>, fd_set *</i> set );
<br/>
<b>FD_SET(int </b> fd <i>, fd_set *</i> set );
<br/>
<b>FD_ZERO(fd_set *</b> set );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions
<b>select</b> <b></b>  et
<b>pselect</b> <b></b>  attendent des changements d'tat sur plusieurs descripteurs de fichiers.<br/><br/>
Elles ont un comportement identique, avec trois diffrences :
<br/><br/>

(i)
La fonction
<b>select</b> <b></b>  utilise un dlai exprim avec une
<i>struct timeval</i> (secondes et microsecondes), alors que
<b>pselect</b> <b></b>  utilise une
<i>struct timespec</i> (secondes et nanosecondes).
<br/><br/>

(ii)
La fonction
<b>select</b> <b></b>  peut modifier le paramtre
<i>timeout</i> pour indiquer le temps restant. La fonction
<b>pselect</b> <b></b>  ne change pas ce paramtre.
<br/><br/>

(iii)
La fonction
<b>select</b> <b></b>  n'a pas de paramtre
<i>sigmask</i> et se comporte comme
<b>pselect</b> <b></b>  avec une valeur NULL pour
<i>sigmask<br/><br/></i>
Il y a trois ensembles indpendants de descripteurs surveills simultanment.
Ceux de l'ensemble
<i>readfds</i> seront surveills pour vrifier si des caractres deviennent disponibles
en lecture. Plus prcisment, on vrifie si un appel-systme de lecture
ne bloquera pas - en particulier un descripteur en fin-de-fichier sera
considr comme prt. Les descripteurs de l'ensemble
<i>writefds</i> seront surveills pour vrifier si une criture ne bloquera pas. Ceux de
<i>exceptfds</i> seront surveills pour l'occurrence de conditions exceptionnelles. 
En sortie, les ensembles sont modifis pour indiquer les descripteurs
qui ont chang de statut.<br/><br/>
Quatre macros sont disponibles pour la manipulation des ensembles
<b>FD_ZERO</b> <b></b>  efface un ensemble.
<b>FD_SET</b> <b></b>  et
<b>FD_CLR</b> <b></b>  ajoutent et suppriment un descripteur dans un ensemble.
<b>FD_ISSET</b> <b></b>  vrifie si un descripteur est contenu dans un ensemble, principalement
utile aprs le retour de
<b>select.<br/><br/></b> <b></b>  <i>n</i> est le numro du plus grand descripteur des 3 ensembles, plus 1.<br/><br/>
<i>timeout</i> est une limite suprieure au temps pass dans
<b>select</b> <b></b>  avant son retour.
Elle peut tre nulle, ce qui conduit 
<b>select</b> <b></b>  <b></b>   revenir immdiatement. (Ce qui sert pour des surveillance en
<i>polling ).</i>
Si le timeout est NULL (aucun),
<b>select</b> <b></b>  peut bloquer indfiniment.<br/><br/>
<i>sigmask</i> est un pointeur sur un masque de signaux (voir
<b>sigprocmask (2)).</b>
S'il n'est pas NULL, alors 
<b>pselect</b> <b></b>  remplace d'abord le masque de signaux en cours par celui indiqu dans
<i>sigmask ,</i>
puis invoque la fonction `select', et enfin restaure le masque
de signaux  nouveau.<br/><br/>
L'ide derrire
<b>pselect</b> <b></b>  est que pour l'attente d'un vnement, que ce soit un signal ou une condition
sur un descripteur, un test atomique est ncessaire pour viter les
situations de concurrence. (Supposons que le gestionnaire de signaux active
un drapeau global et revienne. Alors un test de ce drapeaux, suivi d'un appel
<b>select ()</b>
peut bloquer indfiniment si le signal arrive juste aprs le test mais avant
l'appel. A l'inverse,
<b>pselect</b> <b></b>  permet de bloquer le signal d'abord, traiter les signaux dj reus, puis
invoquer
<b>pselect ()</b>
avec le 
<i>sigmask ,</i>
dsir, en vitant la situation de blocage).
Comme Linux n'a pas encore d'appel-systme
<i>pselect (),</i>
la routine de la bibliothque GlibC 2 contient encore le dfaut.
</div><br/><h2 class="TitreSection1" id="L12">Dlai maximal</h2>
<div class="paragraph">
Les structures temporelles concernes sont dfinies dans
<i>&lt;sys/time.h&gt;</i> comme ceci&nbsp;:
.RS

struct timeval {
    long    tv_sec;         /* secondes      */
    long    tv_usec;        /* microsecondes */
};



 
et
 
.RS

struct timespec {
    long    tv_sec;         /* secondes     */
    long    tv_nsec;        /* nanosecondes */
};


<br/><br/>
(However, see below on the POSIX 1003.1-2001 versions.)<br/><br/>                                                                          
Certaines applications appellent
<b>select</b> <b></b>  nul, et un dlai
<i>timeout</i> non nul, afin d'endormir,
de manire portable,
le processus avec une prcision plus fine que la seconde.<br/><br/>
Sous Linux, la fonction
<b>select</b> <b></b>  modifie
<i>timeout</i> pour indiquer le temps restant mais la plupart des autres
implmentations ne le font pas.
Ceci pose des problmes  la fois pour porter sur d'autres systmes du 
code dvelopp sous Linux qui utilise cette valeur de 
<i>timeout</i> modifie, et pour porter sous Linux du code qui rutilise plusieurs
fois la structure timeval sans la rinitialiser.
La meilleure attitude  adopter est de considrer
<i>timeout</i> comme indfini aprs le retour de
<b>select.</b> <b></b>  <!--  .PP - it is rumoured that: -->
<!--  On BSD, when a timeout occurs, the file descriptor bits are not changed. -->
<!--  - it is certainly true that: -->
<!--  Linux follows SUSv2 and sets the bit masks to zero upon a timeout. -->
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de russite
<b>select</b> <b></b>  et
<b>pselect</b> <b></b>  renvoient le nombre de descripteurs dans les ensembles, qui peut tre nul
si le dlai de timeout a expir avant que quoi que ce soit d'intressant
ne se produise.
Ils retournent -1 s'ils chouent, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  Un descripteur de fichier (dans l'un des ensembles) est invalide.
<br/><br/>

<b>EINTR</b> <b></b>  <b></b>  Un signal a t intercept.
<br/><br/>

<b>EINVAL</b> <b></b>  <b></b>  <i>n</i> est ngatif
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
avec les trois ensembles vides, 
<b>n</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L7">exemple</h1>
<div class="paragraph">

#include &lt;stdio.h&gt;
#include &lt;sys/time.h&gt;
#include &lt;sys/types.h&gt;
#include &lt;unistd.h&gt;<br/><br/>
int
main(void)
{
    fd_set rfds;
    struct timeval tv;
    int retval;<br/><br/>
    /* Surveiller stdin (fd 0) en attente d'entres */
    FD_ZERO(&rfds);
    FD_SET(0, &rfds);
    /* Pendant 5 secondes maxi */
    tv.tv_sec = 5;
    tv.tv_usec = 0;<br/><br/>
    retval = select(1, &rfds, NULL, NULL, &tv);
    /* Considrer tv comme indfini maintenant ! */<br/><br/>
    if (retval)
        printf("Donnes disponibles maintenant\\n");
        /* FD_ISSET(0, &rfds) est vrai */
    else
        printf("Pas de donnes depuis 5 secondes\\n");<br/><br/>
    return (0);
}


</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
BSD 4.4 (la fonction
<b>select</b> <b></b>  est apparue dans BSD 4.2).  Gnralement portable depuis ou vers des
systmes non-BSD supportant des clones de la couche sockets BSD (y compris
les variantes du Systme V).
Nanmoins, sachez que les variantes du systme V fixent une variable de
timeout avant le retour alors que les variantes BSD ne le font pas.<br/><br/>
La fonction
<b>pselect</b> <b></b>  est dfinie dans IEEE Std 1003.1g-2000 (POSIX.1g) et pour partie dans
POSIX 1003.1-2001.
On la trouve dans GlibC 2.1 et ultrieure.
Glibc2.0 a une fonction de ce nom, mais sans le paramtre
<i>sigmask .</i>
</div><br/><br /><h1 class="TitreSection0" id="L9">notes</h1>
<div class="paragraph">
Un ensemble fd_set est un buffer de taille fixe. Excuter FD_CLR ou FD_SET avec
<i>fd</i> ngatif ou suprieur ou gal  FD_SETSIZE rsultera en un comportement
indfini. Plus encore, POSIX demande que
<i>fd</i> soit un descripteur de fichier valide.<br/><br/>
En ce qui concerne les types impliqus, la situation classique est que
les deux champs de la structure timeval soient des "long" (comme ci-dessous),
et que la structure soit dfinie dans
<i>&lt;sys/time.h&gt; .</i>
La situation avec POSIX 1003.1-2001 est
    
.RS 
 
struct timeval { 
    time_t         tv_sec;     /* seconds */
    suseconds_t    tv_usec;    /* microseconds */
};  


<br/><br/>
avec la structure dfinie dans
<i>&lt;sys/select.h&gt;</i> et les types de donnes time_t et suseconds_t dfinis dans
<i>&lt;sys/types.h&gt; .<br/><br/></i>
Concernant les prototypes, on demande classiquement l'inclusion
de
<i>&lt;time.h&gt;</i> pour
<b>select .</b>
Avec POSIX 1003.1-2001, on prfre inclure
<i>&lt;sys/select.h&gt;</i> pour
<b>select</b> <b></b>  et
<b>pselect .</b>
Les bibliothques libc4 et libc5 n'avaient pas d'en-tte
<i>&lt;sys/select.h&gt;</i> ,</i>
mais avec les GlibC 2.0 et suivantes le fichier existe.
Pour la GlibC 2.0, le prototype de 
<b>pselect</b>
est toujours erron. Avec la
GlibC 2.1-2.2.1 le prototype de
<b>pselect</b> <b></b>  est fourni si la constante
<b>_GNU_SOURCE</b> <b></b>  est dfinie avant l'inclusion. Avec GlibC 2.2.2-2.2.4,
il faut que la constante
<b>_XOPEN_SOURCE</b> <b></b>  soit dfinie avec une valeur suprieure ou gale  600.
Quoiqu'il en soit, depuis POSIX 1003.1-2001, le bon prototype devrait tre
dfini par dfaut.
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
Pour un tutoriel avec des exemples, voir
<b>select_tut (2).<br/><br/></b>
D'autres pages ayant un vague rapport&nbsp;:
<b>accept (2),</b>
<b>connect (2),</b>
<b>poll (2),</b>
<b>read (2),</b>
<b>recv (2),</b>
<b>send (2),</b>
<b>sigprocmask (2),</b>
<b>write (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
