<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This manpage is copyright (C) 2001 Paul Sheer. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  very minor changes, aeb -->
<!--  -->
<!--  Traduction 10/06/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 18/07/2003 LDP-1.56  (C.Blaess) -->
<br/><h1>SELECT_TUT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">arguments</a>
<br /><a class="summaryIndent0" href="#L4">combinaison d'vnements de signaux et de donnes</a>
<br /><a class="summaryIndent0" href="#L5">pratique</a>
<br /><a class="summaryIndent0" href="#L6">exemple de redirection de port</a>
<br /><a class="summaryIndent0" href="#L7">rgles de select </a>
<br /><a class="summaryIndent0" href="#L8">mulation de usleep</a>
<br /><a class="summaryIndent0" href="#L9">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L10">erreurs</a>
<br /><a class="summaryIndent0" href="#L11">notes</a>
<br /><a class="summaryIndent0" href="#L12">conformit</a>
<br /><a class="summaryIndent0" href="#L13">voir aussi</a>
<br /><a class="summaryIndent0" href="#L14">auteurs</a>
<br /><a class="summaryIndent0" href="#L15">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
select, pselect, FD_CLR, FD_ISSET, FD_SET, FD_ZERO - Multiplexage d'E/S synchrones
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/time.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int select(int </b><i>n</i><b>, fd_set *</b><i>readfds</i>\fB,
fd_set *\fP<i>writefds</i><b>, fd_set *</b><i>exceptfds</i>\fB,
struct timeval *\fP<i>utimeout</i><b>);</b>
<br/><br/>

<b>int pselect(int </b><i>n</i><b>, fd_set *</b><i>readfds</i>\fB,
fd_set *\fP<i>writefds</i><b>, fd_set *</b><i>exceptfds</i>\fB,
const struct timespec *\fP<i>ntimeout</i><b>, sigset_t *</b><i>sigmask</i><b>);</b>
<br/><br/>

<b>FD_CLR(int</b> <i>fd</i><b>, fd_set *</b><i>set</i><b>);</b>
<br/>
<b>FD_ISSET(int</b> <i>fd</i><b>, fd_set *</b><i>set</i><b>);</b>
<br/>
<b>FD_SET(int</b> <i>fd</i><b>, fd_set *</b><i>set</i><b>);</b>
<br/>
<b>FD_ZERO(fd_set *</b><i>set</i><b>);</b>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/>
<b>select</b> (ou <b>pselect</b>) est la fonction pivot de la plupart des
programmes en C qui grent simultanment et de faon efficace plusieurs 
descripteurs de fichiers (ou sockets). Ses principaux arguments sont 
trois tableaux de descripteurs de fichiers&nbsp;:
<i>readfds</i>, <i>writefds</i>, et  <i>exceptfds</i>. 
<b>select</b> est gnralement utilis de faon  bloquer en attendant 
un "changement d'tat" d'un ou plusieurs descripteurs de fichiers. Un 
"changement d'tat" est signal lorsque de nouveaux caractres sont mis
 disposition sur le descripteur de fichier; <i>ou bien</i> lorsque de l'espace 
devient disponible au niveau des tampons internes du noyau permettant de nouvelles
critures dans le descripteur de fichier, <i>ou bien</i> lorsqu'un descripteur de
fichier rencontre une erreur (dans le cas d'une socket ou d'un tube, une telle erreur
est leve lorsque l'autre extrmit de la connexion est ferme).<br/><br/>
Pour rsumer,  <b>select</b> surveille simplement de multiples  descripteurs 
de fichiers, et constitue l'appel Unix standard pour raliser cette tche.<br/><br/>
Les tableaux de descripteurs de fichier sont appels 
<i>ensembles de descripteurs de fichiers</i>.
Chaque ensemble est de type <b>fd_set</b>, et son contenu peut tre
modifi avec les macros <b>FD_CLR</b>, <b>FD_ISSET</b>, <b>FD_SET</b>, et
<b>FD_ZERO</b>. On commence gnralement par utiliser <b>FD_ZERO</b> sur un
ensemble venant d'tre cr. Ensuite, Les descripteurs de fichiers individuels
qui vous intressent peuvent tre ajouts un  un  l'aide de <b>FD_SET</b>.
<b>select</b> modifie le contenu de ces ensembles selon les rgles ci-dessous;
Aprs un appel   <b>select</b>,  vous pouvez vrifier si votre descripteur
de fichier est toujours prsent dans l'ensemble  l'aide de la macro <b>FD_ISSET</b>. 
<b>FD_ISSET</b> renvoie zro si le descripteur de fichier est absent et 
une valeur non nulle sinon. <b>FD_CLR</b> retire un descripteur de fichier de 
l'ensemble bien que je n'en vois pas l'utilit dans un programme propre.<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L4">arguments</h1>
<div class="paragraph">
<br/><br/>

<i>readfds</i>
Cet ensemble est examin afin de dterminer si des donnes sont disponibles
en lecture  partir d'un de ses descripteurs de fichiers. Suite  un appel 
<b>select</b>, <i>readfds</i> ne contient plus aucun de ses descripteurs de 
fichiers  l'exception de ceux qui sont immdiatement disponibles pour une 
lecture via un appel <b>recv()</b> (pour les sockets) ou <b>read()</b> 
(pour les tubes, fichiers et sockets).
<br/><br/>

<i>writefds</i>
Cet ensemble est examin afin de dterminer s'il y a de l'espace afin d'crire
des donnes dans un de ses descripteurs de fichiers. Suite  un appel 
<b>select</b>, <i>writefds</i> ne contient plus aucun de ses descripteurs de 
fichiers  l'exception de ceux qui sont immdiatement disponibles pour une criture
via un appel  <b>send()</b> (pour les sockets) ou <b>write()</b> 
(pour les tubes, fichiers et sockets).
<br/><br/>

<i>exceptfds</i>
Cet ensemble est examin pour les exception ou les erreurs survenues
sur les descripteurs de fichiers. Nanmoins, ceci n'est vritablement 
rien d'autre qu'une rumeur. <i>exceptfds</i> est en fait utilis afin
de dtecter l'occurence de donnes <i>hors-bande</i> (Out Of Band).
Les donnes hors bande sont celles qui sont envoyes sur une socket en 
utilisant le drapeau <b>MSG_OOB</b>, ainsi <i>exceptfds</i> s'applique en 
ralit uniquement aux sockets. Voir <b>recv</b>(2) et <b>send</b>(2)  ce sujet.
Suite  un appel  <b>select</b>, <i>exceptfds</i> ne contient plus aucun de
ses descripteurs de fichiers  l'exception de ceux qui sont disponibles pour
une lecture de donnes hors-bande. Cependant, vous pouvez presque toujours
 lire uniquement un octet de donnes hors bande ( l'aide de <b>recv()</b>), 
et l'criture de donnes hors bande (avec <b>send</b>) peut tre effectue 
 n'importe quel moment et n'est pas bloquante. Il n'y a donc pas de besoin 
d'un quatrime ensemble afin de vrifier si une socket est disponible pour
 une criture de donnes hors bande.
<br/><br/>

<i>n</i>
Il s'agit d'un entier valant un de plus que n'importe lequel des descripteurs 
de fichiers de tous les ensembles. En d'autres termes, lorsque 
vous ajoutez des descripteurs de fichiers  vos ensembles, vous devez
dterminer la valeur entire maximale de tous ces derniers, puis ajouter un
 cette valeur, et la passer en argument <i>n</i> 
<b>select</b>.
<br/><br/>

<i>utimeout</i>
.RS
Il s'agit du temps le plus long que <b>select</b> doit attendre avant de 
rendre la main, mme si rien d'intressant n'est arriv. Si cette valeur
est positionne  <b>NULL</b>, alors, <b>select</b> bloque indfiniment 
dans l'attente d'un vnement.
<i>utimeout</i> peut tre positionn  zro seconde, ce qui provoque le
retour immdiat de <b>select</b>. La structure <b>struct timeval</b> est
dfinie comme<br/><br/>

struct timeval {
    long tv_sec;    /* secondes */
    long tv_usec;   /* microsecondes */
};



<br/><br/>

<i>ntimeout</i>
.RS
Cet argument a la mme signification que <i>utimeout</i> mais 
<b>struct timespec</b> a une prcision  la nanoseconde comme 
explicit ci dessous :<br/><br/>

struct timespec {
    long tv_sec;    /* secondes */
    long tv_nsec;   /* nanosecondes */
};



<br/><br/>

<i>sigmask</i>
Cet argument renferme un ensemble de signaux non bloqus pendant un appel
<b>pselect</b> (voir <b>sigaddset</b>(3) et <b>sigprocmask</b>(2)). Il peut 
valoir NULL, et, dans ce cas, il ne modifie pas l'ensemble des signaux
non bloqus  l'entre et la sortie de la fonction. Il se comporte alors 
de faon identique  <b>select</b>.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">combinaison d'vnements de signaux et de donnes</h1>
<div class="paragraph">
<b>pselect</b> doit tre utilis si vous attendez tout aussi bien un
signal que des donnes d'un descripteur de fichier. Les programmes qui
reoivent les signaux comme des vnements utilisent gnralement le
gestionnaire de signal uniquement pour lever un drapeau global. Le drapeau
global indique que l'vnement doit tre traiter dans la boucle principale 
du programme. Un signal provoque l'arrt de l'appel <b>select</b> (ou 
<b>pselect</b>) avec <b>errno</b> positionne  <b>EINTR</b>. Ce comportement 
est essentiel afin que les signaux puissent tre traits dans la boucle 
principale du programme, sinon <b>select</b> bloquerait indfiniment.
Ceci tant, la boucle principale implante quelque part une condition
vrifiant le drapeau global. et l'on doit donc se demander : que se 
passe t il si un signal est lev aprs la condition mais avant l'appel
 <b>select</b> ? La rponse est que <b>select</b> bloquerait indfiniment,
mme si un signal est en fait en attente. Cette "race condition" est rsolue 
par l'appel <b>pselect</b>. Cet appel peut tre utilis afin de dbloquer 
des signaux qui ne sont pas censs tre reus si ce n'est durant l'appel
 <b>pselect</b>. Par exemple, disons que l'vnement en question est la 
fin d'un processus fils. Avant le dmarrage de la boucle principale, nous
bloquerions <b>SIGCHLD</b> en utilisant <b>sigprocmask</b>. Notre appel
 <b>pselect</b> dbloquerait <b>SIGCHLD</b> en utilisant le masque de signal
initial. Le programme ressemblerait  ceci:<br/><br/><br/><br/>

int child_events = 0;<br/><br/>
void child_sig_handler (int x) {
    child_events++;
    signal (SIGCHLD, child_sig_handler);
}<br/><br/>
int main (int argc, char **argv) {
    sigset_t sigmask, orig_sigmask;<br/><br/>
    sigemptyset (&sigmask);
    sigaddset (&sigmask, SIGCHLD);
    sigprocmask (SIG_BLOCK, &sigmask,
                                &orig_sigmask);<br/><br/>
    signal (SIGCHLD, child_sig_handler);<br/><br/>
    for (;;) { /* main loop */
        for (; child_events &gt; 0; child_events--) {
            /* do event work here */
        }
        r = pselect (n, &rd, &wr, &er, 0, &orig_sigmask);<br/><br/>
        /* corps principal du programme */
    }
}

<br/><br/>
Remarquez que l'appel <b>pselect</b> ci dessus peut tre remplac 
par :<br/><br/>

        sigprocmask (SIG_BLOCK, &orig_sigmask, 0);
        r = select (n, &rd, &wr, &er, 0);
        sigprocmask (SIG_BLOCK, &sigmask, 0);

<br/><br/>
mais il y a encore la possibilit qu'un signal 
arrive aprs le premier <b>sigprocmask</b> et
avant <b>select</b>. si vous faites ceci, il est prudent
de positionner tout au moins un timeout du dure finie
de sorte que le processus ne bloque pas. Pour l'instant,
la glibc fonctionne sans doute de cette manire, le 
noyau Linux n'ayant  pas d'appel systme natif <b>pselect</b>.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">pratique</h1>
<div class="paragraph"><br/><br/>
Quelle est donc la finalit de <b>select</b>? Ne puis-je pas simplement lire
et crire dans les descripteurs chaque fois que je le souhaite ? L'objet de 
select est de surveiller de multiples descripteurs simultanment et d'endormir
proprement le processus s'il n'y a pas d'activit. Il fait ceci tout en vous
permettant de grer de multiples tubes et sockets simultanment. Les 
programmeurs UNIX se retrouvent souvent dans une situation dans laquelle
ils doivent grer des E/S provenant de plus d'un descripteur de fichier et 
dans laquelle le flux de donnes est intermittent. Si vous deviez crer une 
squence d'appels <b>read</b> et <b>write</b>, vous vous retrouveriez 
potentiellement bloqu sur un de vos appels attendant pour lire ou crire des
donnes  partir/vers un descripteur de fichier, alors qu'un autre descripteur 
de fichier est inutilis bien qu'il soit disponible pour lire/crire des donnes.
<b>select</b> gre efficacement cette situation.<br/><br/>
Un exemple classique de <b>select</b> vient de la page de manuel
de  <b>select</b> :<br/><br/>

#include &lt;stdio.h&gt;
#include &lt;sys/time.h&gt;
#include &lt;sys/types.h&gt;
#include &lt;unistd.h&gt;<br/><br/>
int
main(void) {
    fd_set rfds;
    struct timeval tv;
    int retval;<br/><br/>
    /* Surveille stdin (fd 0) pour voir s'il a des donnes en entre */
    FD_ZERO(&rfds);
    FD_SET(0, &rfds);
    /* Attends jusqu' 5 secondes. */
    tv.tv_sec = 5;
    tv.tv_usec = 0;<br/><br/>
    retval = select(1, &rfds, NULL, NULL, &tv);
    /* Ne pas se fier  la valeur de tv maintenant ! */<br/><br/>
    if (retval)
        printf("Des donnes sont disponibles maintenant\\n");
        /* FD_ISSET(0, &rfds) est alors vrai. */
    else
        printf("Aucune donne durant les cinq secondes.\\n");<br/><br/>
    exit(0);
}

<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L7">exemple de redirection de port</h1>
<div class="paragraph"><br/><br/>
Voici un exemple qui montre mieux l'utilit relle de <b>select</b>.
Le code ci dessous consiste en un programme de "TCP forwarding" qui
redirige un port TCP vers un autre.<br/><br/>

#include &lt;stdlib.h&gt;
#include &lt;stdio.h&gt;
#include &lt;unistd.h&gt;
#include &lt;sys/time.h&gt;
#include &lt;sys/types.h&gt;
#include &lt;string.h&gt;
#include &lt;signal.h&gt;
#include &lt;sys/socket.h&gt;
#include &lt;netinet/in.h&gt;
#include &lt;arpa/inet.h&gt;
#include &lt;errno.h&gt;<br/><br/>
static int forward_port;<br/><br/>
#undef max
#define max(x,y) ((x) &gt; (y) ? (x) : (y))<br/><br/>
static int listen_socket (int listen_port) {
    struct sockaddr_in a;
    int s;
    int yes;
    if ((s = socket (AF_INET, SOCK_STREAM, 0)) &lt; 0) {
        perror ("socket");
        return -1;
    }
    yes = 1;
    if (setsockopt
        (s, SOL_SOCKET, SO_REUSEADDR,
         (char *) &yes, sizeof (yes)) &lt; 0) {
        perror ("setsockopt");
        close (s);
        return -1;
    }
    memset (&a, 0, sizeof (a));
    a.sin_port = htons (listen_port);
    a.sin_family = AF_INET;
    if (bind
        (s, (struct sockaddr *) &a, sizeof (a)) &lt; 0) {
        perror ("bind");
        close (s);
        return -1;
    }
    printf ("accepting connections on port %d\\n",
            (int) listen_port);
    listen (s, 10);
    return s;
}<br/><br/>
static int connect_socket (int connect_port,
                           char *address) {
    struct sockaddr_in a;
    int s;
    if ((s = socket (AF_INET, SOCK_STREAM, 0)) &lt; 0) {
        perror ("socket");
        close (s);
        return -1;
    }<br/><br/>
    memset (&a, 0, sizeof (a));
    a.sin_port = htons (connect_port);
    a.sin_family = AF_INET;<br/><br/>
    if (!inet_aton
        (address,
         (struct in_addr *) &a.sin_addr.s_addr)) {
        perror ("bad IP address format");
        close (s);
        return -1;
    }<br/><br/>
    if (connect
        (s, (struct sockaddr *) &a,
         sizeof (a)) &lt; 0) {
        perror ("connect()");
        shutdown (s, SHUT_RDWR);
        close (s);
        return -1;
    }
    return s;
}<br/><br/>
#define SHUT_FD1 {                      \\
        if (fd1 &gt;= 0) {                 \\
            shutdown (fd1, SHUT_RDWR);  \\
            close (fd1);                \\
            fd1 = -1;                   \\
        }                               \\
    }<br/><br/>
#define SHUT_FD2 {                      \\
        if (fd2 &gt;= 0) {                 \\
            shutdown (fd2, SHUT_RDWR);  \\
            close (fd2);                \\
            fd2 = -1;                   \\
        }                               \\
    }<br/><br/>
#define BUF_SIZE 1024<br/><br/>
int main (int argc, char **argv) {
    int h;
    int fd1 = -1, fd2 = -1;
    char buf1[BUF_SIZE], buf2[BUF_SIZE];
    int buf1_avail, buf1_written;
    int buf2_avail, buf2_written;<br/><br/>
    if (argc != 4) {
        fprintf (stderr,
                 "Utilisation\\n\\tfwd &lt;listen-port&gt; \\
&lt;forward-to-port&gt; &lt;forward-to-ip-address&gt;\\n");
        exit (1);
    }<br/><br/>
    signal (SIGPIPE, SIG_IGN);<br/><br/>
    forward_port = atoi (argv[2]);<br/><br/>
    h = listen_socket (atoi (argv[1]));
    if (h &lt; 0)
        exit (1);<br/><br/>
    for (;;) {
        int r, n = 0;
        fd_set rd, wr, er;
        FD_ZERO (&rd);
        FD_ZERO (&wr);
        FD_ZERO (&er);
        FD_SET (h, &rd);
        n = max (n, h);
        if (fd1 &gt; 0 && buf1_avail &lt; BUF_SIZE) {
            FD_SET (fd1, &rd);
            n = max (n, fd1);
        }
        if (fd2 &gt; 0 && buf2_avail &lt; BUF_SIZE) {
            FD_SET (fd2, &rd);
            n = max (n, fd2);
        }
        if (fd1 &gt; 0
            && buf2_avail - buf2_written &gt; 0) {
            FD_SET (fd1, &wr);
            n = max (n, fd1);
        }
        if (fd2 &gt; 0
            && buf1_avail - buf1_written &gt; 0) {
            FD_SET (fd2, &wr);
            n = max (n, fd2);
        }
        if (fd1 &gt; 0) {
            FD_SET (fd1, &er);
            n = max (n, fd1);
        }
        if (fd2 &gt; 0) {
            FD_SET (fd2, &er);
            n = max (n, fd2);
        }<br/><br/>
        r = select (n + 1, &rd, &wr, &er, NULL);<br/><br/>
        if (r == -1 && errno == EINTR)
            continue;
        if (r &lt; 0) {
            perror ("select()");
            exit (1);
        }
        if (FD_ISSET (h, &rd)) {
            unsigned int l;
            struct sockaddr_in client_address;
            memset (&client_address, 0, l =
                    sizeof (client_address));
            r = accept (h, (struct sockaddr *)
                        &client_address, &l);
            if (r &lt; 0) {
                perror ("accept()");
            } else {
                SHUT_FD1;
                SHUT_FD2;
                buf1_avail = buf1_written = 0;
                buf2_avail = buf2_written = 0;
                fd1 = r;
                fd2 =
                    connect_socket (forward_port,
                                    argv[3]);
                if (fd2 &lt; 0) {
                    SHUT_FD1;
                } else
                    printf ("connexion de %s\\n",
                            inet_ntoa
                            (client_address.sin_addr));
            }
        }
/* NB: lecture des donnes hors bande avant les lectures normales */
        if (fd1 &gt; 0)
            if (FD_ISSET (fd1, &er)) {
                char c;
                errno = 0;
                r = recv (fd1, &c, 1, MSG_OOB);
                if (r &lt; 1) {
                    SHUT_FD1;
                } else
                    send (fd2, &c, 1, MSG_OOB);
            }
        if (fd2 &gt; 0)
            if (FD_ISSET (fd2, &er)) {
                char c;
                errno = 0;
                r = recv (fd2, &c, 1, MSG_OOB);
                if (r &lt; 1) {
                    SHUT_FD1;
                } else
                    send (fd1, &c, 1, MSG_OOB);
            }
        if (fd1 &gt; 0)
            if (FD_ISSET (fd1, &rd)) {
                r =
                    read (fd1, buf1 + buf1_avail,
                          BUF_SIZE - buf1_avail);
                if (r &lt; 1) {
                    SHUT_FD1;
                } else
                    buf1_avail += r;
            }
        if (fd2 &gt; 0)
            if (FD_ISSET (fd2, &rd)) {
                r =
                    read (fd2, buf2 + buf2_avail,
                          BUF_SIZE - buf2_avail);
                if (r &lt; 1) {
                    SHUT_FD2;
                } else
                    buf2_avail += r;
            }
        if (fd1 &gt; 0)
            if (FD_ISSET (fd1, &wr)) {
                r =
                    write (fd1,
                           buf2 + buf2_written,
                           buf2_avail -
                           buf2_written);
                if (r &lt; 1) {
                    SHUT_FD1;
                } else
                    buf2_written += r;
            }
        if (fd2 &gt; 0)
            if (FD_ISSET (fd2, &wr)) {
                r =
                    write (fd2,
                           buf1 + buf1_written,
                           buf1_avail -
                           buf1_written);
                if (r &lt; 1) {
                    SHUT_FD2;
                } else
                    buf1_written += r;
            }
/* Vrifie si l'criture de donnes a provoqu la lecture  de donnes*/
        if (buf1_written == buf1_avail)
            buf1_written = buf1_avail = 0;
        if (buf2_written == buf2_avail)
            buf2_written = buf2_avail = 0;
/* une extrmit a ferm la connexion, continue 
  d'crire vers l'autre extrmit jusqu' ce que ce soit vide*/
        if (fd1 &lt; 0
            && buf1_avail - buf1_written == 0) {
            SHUT_FD2;
        }
        if (fd2 &lt; 0
            && buf2_avail - buf2_written == 0) {
            SHUT_FD1;
        }
    }
    return 0;
}

<br/><br/>
Le programme ci dessus redirige correctement la plupart des types de 
connexions TCP y compris les signaux de donnes hors bande OOB transmis
par les serveurs <b>telnet</b>. Il gre le problme pineux des flux de 
donnes bidirectionnels simultans. Vous pourriez penser qu'il est plus 
efficace d'utiliser un appel <b>fork()</b> et de ddier une tche  chaque 
flux. Cela devient alors plus dlicat que vous ne l'imaginez. Une autre 
ide est de configurer les E/S comme non bloquantes en utilisant un appel 
<b>ioctl()</b>. Cela pose galement problme parce que vous 
finissez par avoir des timeouts inefficaces.<br/><br/>
Le programme ne gre pas plus d'une connexion  la fois bien qu'il soit 
aisment extensible  une telle fonctionnalit en utilisant une liste chaine de buffers
- un pour chaque connexion. Pour l'instant, de nouvelles connexions
provoquent l'abandon de la connexion courante.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">rgles de select </h1>
<div class="paragraph"><br/><br/>
De nombreuses personnes qui essaient d'utiliser <b>select</b> obtiennent
un comportement difficile  comprendre et produisent des rsultats non
portables ou des effets de bord. Par exemple, le programme ci dessus est
crit avec prcaution afin de ne bloquer nulle part, mme s'il ne positionne
pas du tout ses descripteurs de fichiers en mode non bloquant (voir 
<b>ioctl</b>(2)). Il est facile d'introduire des erreurs subtiles qui 
annuleraient l'avantage de l'utilisation de <b>select</b>, aussi, vais je 
prsenter une liste de points essentiels  contrler lors de 
l'utilisation de l'appel <b>select</b>.<br/><br/>

<br/><br/>

<b>1.</b>
Vous devriez toujours essayer d'utiliser <b>select</b> sans timeout.
Votre programme ne devrait rien avoir  faire s'il n'y a pas de 
donnes disponibles. Le code dpendant de timeouts n'est en gnral
pas portable et difficile  dboguer.
<br/><br/>

<b>2.</b>
La valeur <i>n</i> doit tre calcule correctement pour des raisons
d'efficacit comme expliqu plus haut.
<br/><br/>

<b>3.</b>
Aucun descripteur de fichier ne doit tre ajout  un quelconque
ensemble si vous ne projetez pas de vrifier son tat aprs un
appel  <b>select</b>, et de ragir de faon adquate. Voir
la rgle suivante.
<br/><br/>

<b>4.</b>
Aprs qu'un appel <b>select</b> a rendu la main, tous les 
descripteurs de fichiers de tous les ensembles <i>doivent</i>
tre vrifis. Tout descripteur de fichier disponible pour 
l'criture <i>doit</i> tre aliment, et tout descripteur de 
fichier disponible pour la lecture <i>doit</i> tre lu, etc.
<br/><br/>

<b>5.</b>
Les fonctions <b>read()</b>, <b>recv()</b>, <b>write()</b>, et
 <b>send()</b> ne lisent ou n'crivent  <b>pas</b> forcment
la quantit totale de donnes spcifie. Si elles lisent/crivent
la quantit totale, c'est parce que vous avez une faible charge de
trafic et un flux rapide. Ce n'est pas toujours le cas. Vous devriez 
grer la cas o vos fonctions traitent seulement l'envoi ou 
la rception d'un unique octet.
<br/><br/>

<b>6.</b>
Ne lisez/N'crivez jamais seulement quelques octets  la fois  moins
que vous ne soyez absolument sr de n'avoir qu'une faible quantit de 
donnes  traiter. Il est parfaitement inefficace de ne pas lire/crire
autant de donnes que vous pouvez en stocker  chaque fois. Les tampons
de l'exemple ci dessus font 1024 octets bien qu'ils aient facilement
pu tre rendus aussi importants que la taille de paquet maximale sur 
votre rseau local.
<br/><br/>

<b>7.</b>
Les fonctions <b>read()</b>, <b>recv()</b>, <b>write()</b>, et
<b>send()</b> tout comme l'appel <b>select()</b> peuvent renvoyer
-1 avec errno positionn  <b>EINTR</b> ou <b>EAGAIN</b> (<b>EWOULDBLOCK</b>)
ce qui ne relve pas de l'erreur. Ces rsultats doivent tre 
correctement grs (cela n'est pas fait correctement ci dessus.)
Si votre programme n'est pas cens recevoir de signal, alors, il est 
hautement improbable que vous obteniez <b>EINTR</b>. Si votre programme
n'a pas configur les E/S en mode non bloquant, vous n'obtiendrez pas
de <b>EAGAIN</b>. Nanmoins, vous devriez tout de mme grer ces erreurs
dans un soucis de compltude.
<br/><br/>

<b>8.</b>
N'appelez jamais <b>read()</b>, <b>recv()</b>, <b>write()</b>, ou  <b>send()</b>
avec un buffer de taille nulle
<br/><br/>

<b>9.</b>
A l'exception des cas indiqus en <b>7.</b>, les fonctions 
<b>read()</b>, <b>recv()</b>, <b>write()</b>, et <b>send()</b>
n'ont jamais une valeur de retour infrieure  1 sauf si une 
erreur est survenue. Par exemple, un <b>read()</b> sur un 
tube dont l'extrmit est morte renvoie zro (de mme qu'une
erreur de fin de fichier), <i>mais</i> ne renvoie zro qu'une
seule fois. Dans le cas o l'une de ces fonctions renvoie 0 ou
-1, vous ne devriez <i>pas</i> utiliser ce descripteur  nouveau.
Dans l'exemple ci dessus, je ferme le descripteur immdiatement,
et ensuite, je le positionne  -1 afin qu'il ne soit pas inclus
dans un ensemble.
<br/><br/>

<b>10.</b>
La valeur de timeout doit tre initialise  chaque nouvel appel 
 <b>select</b>, puisque des systmes d'exploitation modifient la
structure. Cependant, <b>pselect</b> ne modifie pas sa structure
de timeout.
<br/><br/>

<b>11.</b>
J'ai entendu que le niveau socket Windows ne traite pas correctement
les donnes hors bande (OOB). Il ne gre pas non plus les appels <b>select</b>
lorsqu'aucun descripteur de fichier n'est positionn. N'avoir aucun descripteur
de fichier positionn est un moyen utile afin d'endormir le processus
avec une prcision infrieure  la seconde en utilisant le timeout.
(Voir plus loin.)<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">mulation de usleep</h1>
<div class="paragraph"><br/><br/>
Sur les systmes qui ne possdent pas la fonction <b>usleep</b>,
vous pouvez appeler <b>select</b>  avec un timeout  valeur finie 
et sans descripteur de fichier de la faon suivante :<br/><br/>

    struct timeval tv;
    tv.tv_sec = 0;
    tv.tv_usec = 200000;  /* 0.2 secondes */
    select (0, NULL, NULL, NULL, &tv);

<br/><br/>
Le fonctionnement n'est cependant garanti que sur les
systmes Unix.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">valeur renvoye</h1>
<div class="paragraph"><br/><br/>
En cas de succs, <b>select</b> renvoie le nombre total de descripteurs 
de fichiers encore prsents dans les ensembles de descripteurs de 
fichiers.<br/><br/>
En cas de timeout chu, alors les descripteurs de fichiers devraient tous
tre vides (mais peuvent ne pas l'tre sur certains systmes). par contre, 
la valeur renvoye est clairement zro.<br/><br/>
Une valeur de retour gale  -1 indique une erreur,
<b>errno</b> est alors positionn de faon adquate. En cas d'erreur,
les ensembles renvoys et le contenu de la  structure de timeout sont
indfinis et ne devraient pas tre exploits. <b>pselect</b> ne modifie
cependant jamais <i>ntimeout</i>.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L11">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b>
Un ensemble contenait un descripteur de fichier invalide. Cette erreur
se produit frquemment lorsque l'on ajoute  un ensemble un descripteur 
de fichier qui a dj t ferm avec un appel <b>close</b>, ou lorsque
ce descripteur de fichier a dj accus une erreur. Ainsi, devriez vous 
cesser d'ajouter aux ensembles tout descripteur de fichier qui renvoie
une erreur de lecture ou d'criture.
<br/><br/>

<b>EINTR</b>
Un signal interrompant l'appel a t intercept, par exemple un signal 
<b>SIGINT</b> ou <b>SIGCHLD</b> etc.
Dans un tel cas, vous devriez rtablir vos ensembles de descripteurs de
fichiers et ressayer.
<br/><br/>

<b>EINVAL</b>
Est renvoy si <i>n</i> a une valeur ngative.
<br/><br/>

<b>ENOMEM</b>
Echec d'allocation de mmoire interne.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L12">notes</h1>
<div class="paragraph">
De faon gnrale, tous les systmes d'exploitation qui grent les sockets,
implantent galement <b>select</b>. Certaines personnes considrent <b>select</b>
comme une fonction sotrique et rarement utilise. En fait, de nombreux 
types de programmes deviennent extrmement compliqus sans cette fonction.
<b>select</b> peut tre utilis pour rsoudre de faon portable et efficace
de nombreux problmes que des programmeurs nafs essaient de rsoudre 
avec des threads, des forks, des IPCs, des signaux, des mmoires partages
et d'autres mthodes peu lgantes. <b>pselect</b> est une fonction plus rcente
qui est moins rpandue.<br/><br/>
L'appel-systme
<b>poll (2)</b>
a les mmes fonctionnalits que <b>select</b>, avec un comportement un peu moins
subtil.Il est moins portable que <b>select</b>.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L13">conformit</h1>
<div class="paragraph">
BSD4.4(la fonction <b>select</b> est tout d'abord apparue dans BSD4.2).  
Gnralement portable de/vers des systmes non BSD possdant un quivalent
au niveau socket BSD (y compris les variantes systme V).
Nanmoins, notez bien que la variante systme V positionne typiquement
la variable timeout avant de rendre la main alors que la variante BSD 
ne le fait pas.<br/><br/>
La fonction <b>pselect</b> est dfinie dans le standard IEEE 1003.1g-2000
 (POSIX.1g).
On la trouve dans la glibc 2.1 et les versions suivantes. La Glibc 2.0
possde une fonction portant ce nom mais qui n'a pas de pas de
paramtre <i>sigmask</i> .<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L14">voir aussi</h1>
<div class="paragraph">
<b>accept (2),</b>
<b>connect (2),</b>
<b>ioctl (2),</b>
<b>poll (2),</b>
<b>read (2),</b>
<b>recv (2),</b>
<b>select (2),</b>
<b>send (2),</b>
<b>sigaddset (3),</b>
<b>sigdelset (3),</b>
<b>sigemptyset (3),</b>
<b>sigfillset (3),</b>
<b>sigismember (3),</b>
<b>sigprocmask (2),</b>
<b>write (2)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L15">auteurs</h1>
<div class="paragraph">
Cette page de manuel a t rdige par Paul Sheer.
</div><br/><br /><h1 class="TitreSection0" id="L16">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
