<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 Giorgio Ciucci (giorgio@crcc.it) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  Mise a Jour 04/06/2001 LDP-man-pages-1.36 -->
<!--  Mise a Jour 20/01/2002 - LDP-man-pages-1.47 -->
<!--  Mise a Jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>SEMCTL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
semctl - Oprations de contrle sur les smaphores.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/ipc.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/sem.h&gt;</b> <b></b>  <br/><br/>

<b>int semctl (int </b> semid <i>, int </i> semno <b>, int </b> cmd <i>, ...);</i>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette fonction effectue l'opration de contrle indique par
<i>cmd</i> sur l'ensemble de smaphores (ou sur le 
<i>semno-ime</i>
smaphore de l'ensemble) identifi par
<i>semid ,</i>
(les smaphores sont numrots  partir de zro).<br/><br/>
Cette fonction prend trois ou quatre arguments. Lorsqu'il y en a quatre,
l'appel est
semctl ( semid , semno , cmd , arg );
o l'argument
<i>arg</i> est de type
<b>union</b> <b></b>  <b>semun</b> <b></b>  dfini ainsi&nbsp;:<br/><br/>

#if defined(__GNU_LIBRARY__) && !defined(_SEM_SEMUN_UNDEFINED)
/* l'union semun est dfinie par l'inclusion de &lt;sys/sem.h&gt; */
#else
/* d'aprs X/OPEN il faut la dfinir nous-mmes */
union semun {
      int val;                  /* valeur pour SETVAL */
      struct semid_ds *buf;     /* buffer pour IPC_STAT, IPC_SET */
      unsigned short *array;    /* table  pour GETALL, SETALL */
                                /* Spcificit Linux : */
      struct seminfo *__buf;    /* buffer pour IPC_INFO */
};
#endif

<br/><br/>
Les valeurs autorises pour l'opration
<i>cmd</i> sont :
<br/><br/>
 12
<b>IPC_STAT</b> <b></b>  copier dans la structure pointe par
arg .buf
la structure de donnes concernant l'ensemble de smaphores.
L'argument
<i>semno</i> est alors ignor.
Le processus appelant doit avoir des privilges de lecture 
sur le jeu de smaphores
<br/><br/>

<b>IPC_SET</b> <b></b>  Fixer la valeur de certains champs de la structure
<b>semid_ds</b> <b></b>  pointe par
arg .buf
dans la structure de contrle de l'ensemble de smaphores, en mettant  jour
son membre
<b>sem_ctime.</b> <b></b>  Les champs de la structure
<b>struct</b> <b></b>  <b>semid_ds"</b> <b></b>  fournie dans 
arg .buf
et copis dans la structure de l'ensemble sont :

<br/><br/>

.ft B
	sem_perm.uid
	sem_perm.gid
	sem_perm.mode	\fR/* 9 bits poids faibles*/\fP


.ft R
<br/><br/>

L'UID effectif du processus appelant doit tre soit 
celui du Super-User
soit celui du crateur ou du propritaire 
du jeu de smaphores.
L'argument
<i>semno</i> est ignor.
<br/><br/>

<b>IPC_RMID</b> <b></b>  Supprimer immdiatement l'ensemble de smaphores en rveillant 
tous les processus  en attente. Ils obtiendront un code d'erreur, et
<b>errno</b> <b></b>  aura la valeur
<b>EIDRM.</b>
L'UID effectif du processus appelant doit tre soit celui 
du Super-User
soit celui du crateur ou du propritaire du jeu de smaphores.
L'argument
<i>semno</i> est ignor.
<br/><br/>

<b>GETALL</b> <b></b>  Renvoyer la valeur
<b>semval</b> <b></b>  de chaque smaphore de l'ensemble dans le tableau
arg .array \fR.
L'argument
<i>semno</i> est ignor.
Le processus appelant doit avoir des privilges de lecture 
sur le jeu de smaphores.
<br/><br/>

<b>GETNCNT</b> <b></b>  Renvoyer la valeur de
<b>semncnt</b> <b></b>  pour le
<i>semno-ime</i>
smaphore de l'ensemble
(i.e. le nombre de processus en attente d'une incrmentation du
champ 
<b>semval</b> <b></b>  du
<i>semno-ime</i>
smaphore).
Le processus appelant doit avoir des privilges de lecture 
sur le jeu de smaphores.
<br/><br/>

<b>GETPID</b> <b></b>  Renvoyer la valeur de 
<b>sempid</b> <b></b>  pour le
<i>semno-ime</i>
smaphore de l'ensemble
(i.e. le PID du processus ayant excute le dernier appel
systme
<b>semop</b> <b></b>  sur le
<i>semno-ime</i>
smaphore).
Le processus appelant doit avoir des privilges de lecture 
sur le jeu de smaphores.
<br/><br/>

<b>GETVAL</b> <b></b>  Renvoyer la valeur du champ
<b>semval</b> <b></b>  du
<i>semno-ime</i>
smaphore de l'ensemble
Le processus appelant doit avoir des privilges de lecture 
sur le jeu de smaphores.
<br/><br/>

<b>GETZCNT</b> <b></b>  Renvoyer la valeur du champ
<b>semzcnt</b> <b></b>  du
<i>semno-ime</i>
smaphore de l'ensemble.
(i.e. le nombre de processus attendant que le champ
<b>semval</b> <b></b>  du 
<i>semno-ime</i>
smaphore revienne  0).
Le processus appelant doit avoir des privilges de lecture 
sur le jeu de smaphores.
<br/><br/>

<b>SETALL</b> <b></b>  Positionner le champ
<b>semval</b> <b></b>  de tous les smaphores de l'ensemble en utilisant le tableau
arg .array
et en mettant  jour le champ
<b>sem_ctime</b> <b></b>  de la structure
<b>semid_ds</b> <b></b>  de contrle du jeu de smaphores.
Les processus en attente sont rveills si
<b>semval</b> <b></b>  devient 0 ou augmente.
L'argument
<i>semno</i> est ignor.
Le processus appelant doit avoir des privilges d'criture
sur le jeu de smaphores.
<br/><br/>

<b>SETVAL</b> <b></b>  Placer la valeur
arg .val
dans le champ
<b>semval</b> <b></b>  du
<i>semno-ime</i>
smaphore de l'ensemble en mettant  jour
le champ
<b>sem_ctime</b> <b></b>  dans la structure
<b>semid_ds</b> <b></b>  associe au jeu de smaphores.
Le processus appelant doit avoir des privilges d'criture
sur le jeu de smaphores
Les processus en attente sont rveills si
<b>semval</b> <b></b>  devient 0 ou augmente.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas d'chec, l'appel-systme renvoie
<b>-1</b> <b></b>  et
<b>errno</b> <b></b>  contient le code d'erreur.
Autrement, l'appel-systme renvoie une valeur non-ngative
dpendant de l'argument
<i>cmd :</i> <br/><br/>
 11
<b>GETNCNT</b> <b></b>  la valeur de
<b>semncnt .</b>
<br/><br/>

<b>GETPID</b> <b></b>  La valeur 
<b>sempid .</b>
<br/><br/>

<b>GETVAL</b> <b></b>  La valeur
<b>semval .</b>
<br/><br/>

<b>GETZCNT</b> <b></b>  La valeur
<b>semzcnt .<br/><br/></b>
Toutes les autres commandes
<i>cmd</i> renvoient zro en cas de russite.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<b>EACCES</b> <b></b>  Le processus appelant n'a pas les privilges ncessaires pour
excuter la commande
<i>cmd .</i>
<br/><br/>

<b>EFAULT</b> <b></b>  arg .buf
ou
arg .array
pointent en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EIDRM</b> <b></b>  L'ensemble de smaphores a t supprim.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>cmd</i> ou
<i>semid </i>
a une valeur illgale.
<br/><br/>

<b>EPERM</b> <b></b>  L'argument
<i>cmd</i> rclame les commandes
<b>IPC_SET</b> <b></b>  ou
<b>IPC_RMID</b> <b></b>  mais l'UID effectif du processus appelant n'a pas
les privilges adquats.
<br/><br/>

<b>ERANGE</b> <b></b>  l'argument
<i>cmd</i> rclame les commandes
<b>SETALL</b> <b></b>  ou
<b>SETVAL</b> <b></b>  et la valeur de
<b>semval</b> <b></b>  (pour l'ensemble ou pour certains smaphores) est infrieure
 0 ou suprieur  la valeur
<b>SEMVMX .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les appels-systme
<b>IPC_INFO ,</b>
<b>SEM_STAT</b>
et
<b>SEM_INFO</b> <b></b>  sont utiliss par le programme
<b>ipcs (8)</b>
pour fournir des informations sur les ressources alloues.
Ceci peut changer dans le futur, en utilisant l'interface
d'un systme de fichiers proc.<br/><br/>
Divers champs de la <i>struct semid_ds</i> taient des shorts sous Linux 2.2
et sont devenus longs sous Linux 2.4. Pour en tirer parti, une recompilation
sous GlibC 2.1.91 ou ultrieure doit suffire.
(Le noyau distingue les anciens et nouveaux appels par un drapeau IPC_64
dans
<i>cmd .) <br/><br/></i>
La limite suivante influe sur l'appel-systme
<b>semctl </b> :<b></b>
<br/><br/>
 11
<b>SEMVMX</b> <b></b>  Valeur maximale pour
<b>semval</b>
dpendant de l'implmentation (gnralement 32767).<br/><br/>
Pour amliorer la portabilit, il vaut mieux invoquer toujours
<b>semctl</b> <b></b>  avec quatre arguments.
Sous Linux, la fonction
<b>semctl</b> <b></b>  n'est pas un vritable appel-systme, mais est implmente au moyen de
l'appel-systme commun
<b>ipc (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, SVID.  SVr4 documente des conditions d'erreurs supplmentaires
EINVAL et EOVERFLOW.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>ipc (2),</b>
<b>semget (2),</b>
<b>semop (2),</b>
<b>ipc (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
