<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)send.2	6.9 (Berkeley) 5/1/91 -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 18/05/1999 (LDP man-pages 1.23) -->
<!--  mj 03/09/2000 (LDP man-pages 1.31) -->
<!--  mj 04/06/2001 (LDP man-pages 1.36) -->
<!--  mj 18/07/2003 (LDP man-pages 1.56) -->
<br/><h1>SEND</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">note</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
send, sendto, sendmsg - Envoyer un message sur une socket.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/><br/>

<b>int send(int </b> s <i>, const void *</i> msg <b>, size_t </b> len ,
<b>int </b> flags );
<br/><br/>

<b>int sendto(int </b> s <i>, const void *</i> msg <b>, size_t </b> len ,
<b>int </b> flags <i>, const struct sockaddr *</i> to <b>, socklen_t </b> tolen );
<br/><br/>

<b>int sendmsg(int </b> s <i>, const struct msghdr *</i> msg ,
<b>int </b> flags );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>Send ,</b>
<b>sendto ,</b>
et
<b>sendmsg</b> <b></b>  permettent de transmettre un message  destination d'une
autre socket.
<b>Send</b> <b></b>  ne peut tre utilis qu'avec les sockets
<i>connectes</i> alors que
<b>sendto</b> <b></b>  et
<b>sendmsg</b> <b></b>  peuvent tre utiliss tout le temps.<br/><br/>
L'adresse de la cible est donne par
<i>to</i> avec la longueur 
<i>tolen.</i> la longueur du message est indique dans
<i>len .</i>
Si le message est trop long pour tre transmis intgralement
au protocole sous-jacent, l'erreur
<b>EMSGSIZE</b> <b></b>  sera dclenche et rien ne sera mis.<br/><br/>
Aucune indication d'chec de distribution n'est
fournie par
<b>send .</b>
Seules les erreurs locales sont dtectes, et indiques
par une valeur de retour -1.<br/><br/>
Si la socket ne dispose pas de la place suffisante pour
le message, alors
<b>send</b> <b></b>  va bloquer,  moins que la socket ait t configure en mode
d'entres/sorties non-bloquantes auquel cas elle renverra
<b>EAGAIN .</b>
On peut utiliser l'appel systme
<b>select (2)</b>
pour vrifier s'il est possible d'mettre des donnes.<br/><br/>
Le paramtre
<i>flags</i> peut contenir une ou plusieurs des options suivantes
<br/><br/>

<b>MSG_OOB</b> <b></b>  est utilise pour mettre des donnes 
<i>hors-bande</i> sur une socket qui l'autorise (par ex :
<b>SOCK_STREAM ).</b>
Le protocole sous-jacent doit galement autoriser l'mission
de donnes
<i>hors-bande.</i> <br/><br/>

<b>MSG_DONTROUTE</b> <b></b>  est utilis pour empcher la transmission d'un paquet vers une passerelle,
n'envoyer de donnes que vers les htes directement connects au rseau.
Ceci n'est normalement employ que par les programmes de diagnostique
ou de routage. Cette option n'est dfinie que pour les familles de
protocoles employant le routage, pas les sockets par paquets.
<br/><br/>

<b>MSG_DONTWAIT</b> <b></b>  active le mode non-bloquant. Une opration qui devrait bloquer renverra
<b>EAGAIN</b> <b></b>   la place (Cela peut tre galement paramtr avec l'option
<b>O_NONBLOCK</b> <b></b>  de la fonction
<b>F_SETFL</b> <b></b>  de
<b>fcntl(2)).</b>
<br/><br/>

<b>MSG_NOSIGNAL</b> <b></b>  demande de ne pas envoyer de signal
<b>SIGPIPE</b> <b></b>  d'erreur sur les sockets connectes lorsque le correspondant coupe
la connexion. L'erreur
<b>EPIPE</b> <b></b>  est toutefois renvoye.
<br/><br/>

<b>MSG_CONFIRM </b> (Depuis Linux 2.3)</b>
Indiquer  la couche de liaison qu'une rponse correcte a t reue du
correspondant. Si la couche de liaison n'a pas cette confirmation, elle
va r-interroger rgulirement le voisinage (par exemple avec un ARP unicast).
Seulement valide pour les sockets
<b>SOCK_DGRAM</b> <b></b>  et
<b>SOCK_RAW</b> <b></b>  et uniquement implment pour IPv4 et IPv6. Voir
<b>arp (7)</b>
pour plus de dtails.<br/><br/>
La dfinition de la structure
<i>msghdr</i> se trouve ci-dessous. Voir
<b>recv (2)</b>
pour une description exacte de ses champs.
.IP
.RS

.ta 4n 17n 33n
struct msghdr {
        void    * msg_name;     /* optional address */
        socklen_t       msg_namelen;    /* size of address */
        struct iovec    * msg_iov;      /* scatter/gather array */
        size_t  msg_iovlen;     /* # elements in msg_iov */
        void    * msg_control;  /* ancillary data, see below */
        socklen_t       msg_controllen; /* ancillary data buffer len */
        int     msg_flags;      /* flags on received message */
};
.ta


<br/><br/>  
On peut transmettre des informations de service en employant les membres
<i>msg_control</i> et
<i>msg_controllen .</i>
La longueur maximale du buffer de service que le noyau peut grer est limit
par socket par la valeur
<b>net.core.optmem_max</b> <b></b>  de sysctl(). Voir
<b>socket (7).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Ces appels systmes renvoient le nombre de caractres
mis, ou -1 s'ils chouent, auquel cas 
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Voici les erreurs standards engendrs par la couche socket. Des erreurs
supplmentaires peuvent tre dclenches par les protocoles sous-jacents.
Voir leurs pages de manuel respectives.
<br/><br/>

<b>EBADF</b> <b></b>  Descripteur de socket invalide.
<br/><br/>

<b>ENOTSOCK</b> <b></b>  L'argument
<i>s</i> n'est pas une socket.
<br/><br/>

<b>EFAULT</b> <b></b>  Un paramtre pointe en dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EMSGSIZE</b> <b></b>  La socket ncessite une mission intgrale du message mais la taille
de celui-ci ne le permet pas.
<br/><br/>

<b>EAGAIN </b> ou <b> EWOULDBLOCK</b>
La socket est non-bloquante et l'opration demande bloquerait.
<br/><br/>

<b>ENOBUFS</b> <b></b>  La file d'mission de l'interface rseau est pleine. Ceci
indique gnralement une panne de l'interface rseau, mais
peut galement tre d  un engorgement passager. Ceci ne doit
pas se produire sous Linux, les paquets sont silencieusement limins.
<br/><br/>

<b>EINTR</b> <b></b>  Un signal a t reu.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
<br/><br/>

<b>EINVAL</b> <b></b>  Un argument invalide a t transmis.
<br/><br/>

<b>EPIPE</b> <b></b>  L'criture est impossible (correspondant absent). Dans ce cas le processus
recevra galement un signal
<b>SIGPIPE</b> <b></b>  sauf s'il a active l'option
<b>MSG_NOSIGNAL .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
BSD 4.4 (cet appel systme est apparu dans BSD 4.2), SVr4,
Draft POSIX 1003.1g.
<b>MSG_CONFIRM</b> <b></b>  est une extension Linux.
</div><br/><br /><h1 class="TitreSection0" id="L7">note</h1>
<div class="paragraph">
Les prototypes fournis plus haut suivent les Spcifications Single Unix,
tout comme glibc2. L'argument
<i>flags</i> tait un `int' dans BSD 4.*, mais `unsigned int' dans libc4 et libc5.
L'argument
<i>len</i> tait un  `int' dans BSD 4.* et libc4, mais un `size_t' dans libc5;
L'argument
<i>tolen</i> tait un `int' dans BSD 4.*, libc4 et libc5.
Voir aussi les notes accompagnant la page
<b>accept (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>fcntl (2),</b>
<b>recv (2),</b>
<b>select (2),</b>
<b>getsockopt (2),</b>
<b>sendfile (2),</b>
<b>socket (2),</b>
<b>write (2),</b>
<b>socket (7),</b>
<b>ip (7),</b>
<b>tcp (7),</b>
<b>udp (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
