<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This man page is Copyright (C) 1998 Pawel Krawczyk. -->
<!--  Permission is granted to distribute possibly modified copies -->
<!--  of this page provided the header is included verbatim, -->
<!--  and in case of nontrivial modification author and date -->
<!--  of the modification is added to the header. -->
.\
<!--  Traduction 04/01/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages 1.28 -->
<!--  mj 27/06/2000 LDP 1.30 -->
<!--  mj 04/06/2001 LDP-man-pages-1.36 -->
<!--  mj 18/07/2003 LDP-man-pages-1.56 -->
<br/><h1>SENDFILE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">erreurs</a>
<br /><a class="summaryIndent0" href="#L6">versions</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sendfile - Transfert de donnes entre descripteurs de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/sendfile.h&gt;</b> <b></b>  <br/><br/>

<b>size_t sendfile(int</b> <i> out_fd</i> <b>, int</b> <i> in_fd</i> <b>, off_t *</b> <i> offset</i> <b>, size_t</b> <i> count</i> );
<!--  The below is too ugly. Comments about glibc versions belong -->
<!--  in the notes, not in the header. -->
<!--  -->
<!--  <b>#include</b> <b></b>  <b>&lt;features.h&gt;</b> <b></b>  <b>--></b> <b></b>  <!--  <br/> -->
<!--  <b>#if</b> <b></b>  <b>(__GLIBC__==2</b> <b></b>  <b>&&</b> <b></b>  <b>__GLIBC_MINOR__&gt;=1)</b> <b></b>  <b>||</b> <b></b>  <b>__GLIBC__&gt;2</b> <b></b>  <b>--></b> <b></b>  <!--  <br/> -->
<!--  <b>#include</b> <b></b>  <b>&lt;sys/sendfile.h&gt;</b> <b></b>  <b>--></b> <b></b>  <!--  <br/> -->
<!--  #else -->
<!--  <br/> -->
<!--  <b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <b>--></b> <b></b>  <!--  <br/> -->
<!--  <b>/*</b> <b></b>  <b>No</b> <b></b>  <b>system</b> <b></b>  <b>prototype</b> <b></b>  <b>before</b> <b></b>  <b>glibc</b> <b></b>  <b>2.1.</b> <b></b>  <b>*/</b> <b></b>  <b>--></b> <b></b>  <!--  <br/> -->
<!--  <b>ssize_t sendfile(int</b> <i> out_fd</i> <b>, int</b> <i> in_fd</i> <b>, off_t *</b> offset <i>, -->
<!--  <br/> -->
<!--  <b>#endif</b> <b></b>  <b>--></b> <b></b>  <!--  -->
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cet appel-systme copie des donnes entre un descripteur de fichier et
un autre. L'un ou l'autre de ces descripteurs peuvent tre une socket
(voir plus bas). Le descripteur
<i>in_fd</i> doit tre ouvert en lecture, et
<i>out_fd</i> en criture.
Le pointeur
<i>offset</i> doit correspondre  une variable contenant la position dans le fichier
d'entre  partir de laquelle
<b>sendfile ()</b>
commencera la lecture. Lorsque la routine se termine, la variable est
remplie avec la position de l'octet immdiatement aprs le dernier octet
lu.
L'argument
<i>count</i> est le nombre d'octets  copier entre les descripteurs de fichiers.<br/><br/>
Comme la copie est assure  l'intrieur du noyau,
<b>sendfile ()</b>
ne perd pas de temps  transfrer des donnes entre l'espace noyau
et l'espace utilisateur.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
L'appel
<b>sendfile ()</b>
ne modifie pas la position courante dans le fichier
<i>in_fd ,</i>
mais modifie celle de
<i>out_fd .<br/><br/></i>
Si vous voulez utiliser <b>senbdfile</b>() pour envoyer un fichier au travers
d'une socket TCP, tout en le prcdant de donnes d'en-tte, voyez l'option
<b>TCP_CORK</b> <b></b>  <b></b>  de
<b>tcp (7)</b>
pour minimiser le nombre de paquets, et optimiser les performances.	<br/><br/>
Actuellement, le descripteur depuis lequel les donnes sont lues ne peut
pas tre une socket, il doit s'agir d'un fichier supportant les oprations
de type mmap().<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
Si le transfert a russi, le nombre d'octets crits dans
<i>out_fd</i> est renvoy. Sinon, <b>sendfile</b>() renvoie -1, et
<i>errno</i> est configur.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EBADF</b> <b></b>  Le fichier d'entre n'est pas ouvert en lecture, ou celui de sortie en criture.
<br/><br/>

<b>EINVAL</b> <b></b>  Le descripteur est invalide ou verrouill.
<br/><br/>

<b>ENOMEM</b> <b></b>  Mmoire insuffisante pour lire depuis
<i>in_fd .</i>
<br/><br/>

<b>EIO</b> <b></b>  Erreur d'entre-sortie pendant la lecture depuis
<i>in_fd .</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">versions</h1>
<div class="paragraph">
L'appel-systme
<b>sendfile ()</b>
est une nouveaut de Linux 2.2.	
Le fichier d'en-tte &lt;sys/sendfile.h&gt; est prsent depuis la GlibC 2.1.<br/><br/>
Les autres Unix implmentent <b>sendfile</b>() avec d'autres smantiques, et d'autres
prototypes. Il ne faut pas l'utiliser dans un programme portable.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>socket (2),</b>
<b>open (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
