<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2001 Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  [should really be seteuid.3] -->
<!--  Traduction 04/06/2001 par Christophe Blaess (ccb@club-internet.fr)  -->
<!--  (LDP man-pages 1.36) -->
<!--  MJ 18/07/2003  LD-1.56 -->
<br/><h1>SETEUID</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
seteuid, setegid - Fixer les UID et GID effectifs.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int seteuid(uid_t </b> euid );
<br/>
<b>int setegid(gid_t </b> egid );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>seteuid</b> <b></b>  Fixe l'UID effectif du processus en cours. Les processus non privilgis
peuvent uniquement fixer leur UID effectif  la valeur de leur UID rel,
de leur UID effectif ou de leur UID sauv.<br/><br/>
Ceci fonctionne exactement pareil avec
<b>setegid</b> <b></b>  en raisonnant en terme de groupe (GID) au lieu d'utilisateur (UID).<br/><br/>
<!--  When -->
<!--  <i>euid --></i> <!--  equals -1, nothing is changed. -->
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de russite, zro est renvoy, sinon -1 est renvoy et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<!--  <br/><br/>
 -->
<!--  <b>EINVAL</b> <b></b>  <b>--></b> <b></b>  <br/><br/>

<b>EPERM</b> <b></b>  Le processus en cours n'est pas Super-User, et l'argument
<i>euid</i> (resp.
<i>egid )</i>
n'est pas l'UID (GID) rel, effectif ou sauv.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Fixer l'UID (GID) effectif  la valeur de l'UID (GID) sauv est possible
depuis Linux 1.1.37 (1.1.38).
Sur un systme Unix inconnu, il faut vrifier la prsence de la constante
_POSIX_SAVED_IDS.<br/><br/>
Sous libC 4, libC 5, et GlibC 2.0, 
seteuid( euid )
est quivalent 
setreuid(-1, <b> euid</b> )
et modifie ainsi l'UID sauv.
Sous GlibC 2.1, c'est quivalent 
setresuid(-1, <b> euid</b> ,-1)
et ne modifie donc pas l'UID sauv.
Les mmes remarques sont valables pour
<b>setegid .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>geteuid (2),</b>
<b>setuid (2),</b>
<b>setreuid (2),</b>
<b>setresuid (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
