<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1991 Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)getpgrp.2	6.4 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Sat Jul 24 01:15:33 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 15 April 1995 by Michael Chastain (mec@shell.portal.com): -->
<!--    Added 'getpgid'. -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 8/04/97 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>SETPGID</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
setpgid, getpgid, setpgrp, getpgrp - Fixer / lire le groupe du processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int setpgid(pid_t </b> pid <i>, pid_t </i> pgid );
<br/>
<b>pid_t getpgid(pid_t </b> pid );
<br/>
<b>int</b> <b></b>  <b>setpgrp(void);</b> <b></b>  <br/>
<b>pid_t</b> <b></b>  <b>getpgrp(void);</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>setpgid</b> <b></b>  fixe 
<i>pgid</i> l'ID du groupe de processus auquel appartient le processus
mentionn par
<i>pid.</i>
Si
<i>pid</i> vaut zro, le PID du processus en cours est utilis. Si
<i>pgid</i> vaut zro, le PID du processus indiqu par 
<i>pid</i> est utilis. Si <b>setpgid</b> est utilis pour dplacer un processus d'un
groupe dans un autre (comme cela peut tre fait par certains shell pour les
pipelines), les deux groupes de processus doivent appartenir  la mme session.
Dans ce cas, <i>pgid</i> indique un groupe de processus existant  rejoindre
et l'ID de session de ce groupe doit tre celui du processus concern.
<b>getpgid</b> <b></b>  renvoie l'ID du groupe de processus auquel appartient le processus 
indiqu par
<i>pid .</i>
Si
<i>pid</i> vaut zro, le PID du processus en cours est utilis.<br/><br/>
L'appel
<b>setpgrp</b> <b></b>  <b>()</b> <b></b>  invoque simplement
<b>setpgid(0,0) .<br/><br/></b>
De mme
<b>getpgrp</b> <b></b>  est quivalent 
<b>getpgid(0) .</b>
Chaque groupe de processus est membre d'une session et chaque processus
est membre de cette session.<br/><br/>
Les groupes de processus sont utiliss pour la distribution de signaux,
et par les terminaux pour contrler les requtes de saisie.
Les processus appartenant au mme groupe que le terminal sont
en avant-plan, et peuvent y lire des donnes, alors que les autres sont
en arrire plan et seront bloqus s'ils tentent de lire des donnes.
Ces appels sont utiliss par des programmes comme
<b>csh (1)</b>
pour crer des groupes de processus afin d'implmenter le contrle de jobs.
Les appels
<b>TIOCGPGRP</b> <b></b>  et
<b>TIOCSPGRP</b> <b></b>  dcrits dans
<b>termios (3)</b>
servent  fixer/lire le groupe de processus du terminal de contrle.<br/><br/>
Si une session a un terminal de contrle, CLOCAL n'est pas actif, et une
deconnexion se produit, alors le leader de la session recevra SIGHUP. Si le
leader se termine, le signal SIGHUP sera envoy  tous les processus du
groupe en avant-plan sur le terminal de contrle.<br/><br/>
Si la fin du processus rend un groupe orphelin, et si l'un des membres de
ce groupe est arrt, alors un signal SIGHUP suivi de SIGCONT sera envoy
 tous les processus du groupe.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>setpgid </b> et <b> setpgrp</b>
renvoient zro s'ils russissent, ou -1 s'ils chouent, auquel
cas
<i>errno</i> contient le code d'erreur.<br/><br/>
<i>getpgid</i> renvoie le groupe du processus s'il russit
ou -1 s'il choue, et
<i>errno</i> contient le code d'erreur.<br/><br/>
<i>getpgrp</i> retourne toujours le groupe du processus courant.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  <i>pgid</i> est infrieur  0
(<b>setpgid</b>, <b>setpgrp</b>).
<br/><br/>

<b>EACCES</b> <b></b>  On a essay de changer le groupe de processus d'un enfant du processus
appelant, et ce fils a dj effectu
un <b>execve</b>
(<b>setpgid</b>, <b>setpgrp</b>).
<br/><br/>

<b>EPERM</b> <b></b>  On a essay de dplacer un processus dans un groupe d'une session diffrente,
ou de changer le groupe d'un fils du processus appelant qui se trouve
dans une autre session, ou de modifier le groupe d'un
leader de session
(<b>setpgid</b>, <b>setpgrp</b>).
<br/><br/>

<b>ESRCH</b> <b></b>  Pour
<b>getpgid </b> :<b></b>
<i>pid</i> ne corespond  aucun processus.
Pour
<b>setpgid </b> :<b></b>
<i>pid</i> n'est ni le processus appelant, ni l'un de ses enfants.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Les fonctions
<b>setpgid</b> <b></b>  et
<b>getpgid</b> <b></b>  sont conformes  POSIX.1.
La fonction
<b>setpgrp</b> <b></b>  provient de BSD 4.2, et
<b>getpgid</b> <b></b>  de SVr4.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
POSIX  dfini
<b>setpgid</b> <b></b>   partir de la fonction
<b>setpgrp</b> <b></b>  de BSD. Une fonction Systme V existe avec le mme nom, mais
fonctionnant comme
<b>setsid (2).<br/><br/></b>
Pour obtenir les prototypes avec la GlibC, dfinissez  la fois _XOPEN_SOURCE
et _XOPEN_SOURCE_EXTENDED ou utilisez un "#define _XOPEN_SOURCE <i>n</i>"
avec <i>n</i> suprieur ou gal  500.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>getuid (2), </b>
<b>setsid (2),</b>
<b>tcgetpgrp (3),</b>
<b>tcsetpgrp (3),</b>
<b>termios (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
