<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1983, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)setregid.2	6.4 (Berkeley) 3/10/91 -->
<!--  -->
<!--  Modified Sat Jul 24 09:08:49 1993 by Rik Faith &lt;faith@cs.unc.edu&gt; -->
<!--  Portions extracted from linux/kernel/sys.c: -->
<!--              Copyright (C) 1991, 1992  Linus Torvalds -->
<!--              May be distributed under the GNU General Public License -->
<!--  Changes: Fri Jul 29 10:56:01 BST 1994 by Wilf. &lt;G.Wilford@ee.surrey.ac.uk&gt; -->
<!--           Tue Aug  2 14:56:48 BST 1994 by Wilf due to change in kernel. -->
<!--  Traduction 04/06/2001 par Christophe Blaess (ccb@club-internet.fr)  -->
<!--  (LDP man-pages 1.36) -->
<!--  MJ 18/07/2003 - LDP-1.56 -->
<br/><h1>SETREUID</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
setreuid, setregid - Fixer les UID et GID effectifs et/ou rels.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int setreuid(uid_t </b> ruid <i>, uid_t </i> euid );
<br/>
<b>int setregid(gid_t </b> rgid <i>, gid_t </i> egid );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>setreuid</b> <b></b>  fixe les ID d'utilisateur effectifs et rels du processus appelant.
Les utilisateurs non privilgis peuvent seulement fixer leur UID rel 
la valeur de l'UID rel ou de l'UID effectif, et ne peuvent fixer leur UID
effectif qu' la valeur de l'UID rel, de l'UID effectif ou de l'UID sauv.<br/><br/>
Fournir une valeur -1 pour l'un des arguments demande au systme de ne
pas modifier l'ID correspondant<br/><br/>
Si l'UID rel est chang, ou si l'UID effectif est rempli avec une valeur
diffrente de l'UID rel prcdent, l'UID sauv sera galement rempli avec
la valeur du nouvel UID effectif.<br/><br/>
De manire analogue,
<b>setregid</b> <b></b>  fixe les ID de groupe du processus appelant, et toutes les remarques
prcdentes s'appliquent, en remplaant GID par UID.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de russite, zro est renvoy, sinon -1 est renvoy et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EPERM</b> <b></b>  Le processus n'est pas Super-User, des modifications ont t demandes autres
que (i) l'change de l'UID (resp. GID) effectif avec l'UID (GID) rel, 
(ii) la copie d'un UID (GID) dans un autre, ou (iii) le remplissage di
l'UID (GID) effectif avec la valeur de l'UID (GID) sauv.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Fixer l'UID (GID) sauv est possible de Linux 1.1.37 (1.1.38).
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
BSD 4.3 (Les fonctions
<b>setreuid</b> <b></b>  et
<b>setregid</b> <b></b>  sont apparues dans BSD 4.2).
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>getuid (2),</b>
<b>getgid (2),</b>
<b>setuid (2),</b>
<b>setgid (2),</b>
<b>seteuid (2),</b>
<b>setresuid (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
