<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Luigi P. Bai (lpb@softint.com) July 28, 1993 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Wed Jul 28 11:03:24 1993, Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Nov 28 16:43:30 1993, Rik Faith (faith@cs.unc.edu) -->
<!--           with material from Giorgio Ciucci (giorgio@crcc.it) -->
<!--  Portions Copyright 1993 Giorgio Ciucci (giorgio@crcc.it) -->
<!--  -->
<!--  Traduction 16/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  Mise a Jour 04/06/2001 LDP-man-pages-1.36 -->
<!--  Mise a Jour 18/07/2003 LDP-man-pages-1.56 -->
<br/><h1>SHMCTL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
shmctl - Contrler la mmoire partage.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l
<b>#include</b> <b></b>  <b>&lt;sys/ipc.h&gt;</b> <b></b>  <br/><br/>

<b>#include</b> <b></b>  <b>&lt;sys/shm.h&gt;</b> <b></b>  <br/><br/>

<b>int shmctl(int </b> shmid <i>, int </i> cmd <b>, struct shmid_ds *</b> buf );
.ad b
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>shmctl()</b>
permet  l'utilisateur d'obtenir des informations concernant un segment de mmoire
partage, ainsi que de fixer le propritaire le groupe et les permissions d'accs
 ce segment. Cette fonction permet galement de dtruire un segment.
Les informations concernant le segment identifi par
<i>shmid</i> sont renvoyes dans une structure <i>shmid_ds</i>&nbsp;:<br/><br/>
.in +4n

struct shmid_ds {
  struct          ipc_perm shm_perm; /* Permissions d'accs       */
  int             shm_segsz;         /* Taille segment en octets  */
  time_t          shm_atime;         /* Heure dernier attachement */
  time_t          shm_dtime;         /* Heure dernier dtachement */
  time_t          shm_ctime;         /* Heure dernier changement  */
  unsigned short  shm_cpid;          /* PID du crateur           */
  unsigned short  shm_lpid;          /* PID du dernier oprateur  */
  short           shm_nattch;        /* Nombre d'attachements     */
  ...
};


.in -4n<br/><br/>
Le champ <i>shm_perm</i> a la forme suivante :<br/><br/>
.in +4n

struct ipc_perm
{
  key_t  key;
  ushort uid;   /* UID et GID effectifs du propritaire    */
  ushort gid;
  ushort cuid;  /* UID et GID effectif du crateur         */
  ushort cgid;
  ushort mode;  /* Mode d'accs sur 9 bits de poids faible */
  ushort seq;   /* numro de squence                      */
};


.in -4n<br/><br/>
Les commandes <i>cmd</i> suivantes sont disponibles :
<br/>
<br/><br/>
 12
<b>IPC_STAT</b> <b></b>  permet de rcuprer dans le buffer <i>buf</i> les informations
concernant le segment de mmoire partage.
L'apellant doit avoir la permission d'accs en lecture sur
le segment.
<br/><br/>

<b>IPC_SET</b> <b></b>  sert  appliquer les changements que l'utilisateur a apports dans
les champs <i>uid</i>, <i>gid</i>,ou <i>mode</i> 
de la structure <i>shm_perms</i>.  Seuls les 9 bits de poids
faibles sont utiliss dans <i>mode</i>. Le membre
<i>shm_ctime</i> est aussi mis  jour.
L'appelant doit tre le crateur du segment, son propritaire, ou
le Super-User.
<br/><br/>

<b>IPC_RMID</b> <b></b>  permet de considrer un segment comme prt pour la destruction. Il sera dtruit
effectivement aprs le dernier dtachement (quand le membre
<i>shm_nattch</i> de la structure
<i>shmid_ds</i> associe vaudra zro.)  
L'appelant doit tre le crateur du segment, son propritaire, ou
le Super-User.<br/><br/>
Attention, mme aprs le dernier dtachement, le contenu du segment
n'est pas effac par le systme. Un processus ralisant  nouveau
un attachement recuprera son contenu. Il est  la charge du processus
l'utilisateur d'craser le contenu du segment s'il ne veut pas qu'il
persiste.<br/><br/>
De plus  le <b>Super-User</b> peut autoriser ou interdire le
swapping d'un segment avec les commandes suivantes 
(spcifique Linux) :
<br/>
<br/><br/>
 12
<b>SHM_LOCK</b> <b></b>  empche le swapping d'un segment de mmoire partage. L'appelant
doit consulter chaque page concerne aprs avoir effectu le
verrouillage pour s'assurer qu'elle est bien prsente en mmoire.
<br/><br/>

<b>SHM_UNLOCK</b> <b></b>  rautorise le swapping d'un segment. <br/><br/>
Les appels
<b>IPC_INFO ,</b>
<b>SHM_STAT</b>
et
<b>SHM_INFO</b> <b></b>  sont utiliss par le programme
<b>ipcs (8)</b>
afin d'obtenir des informations sur les ressources alloues. Dans le futur,
ceci peut changer, ou tre accessible via le pseudo systme de fichiers proc.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>shmctl</b> <b></b>  renvoie 0 s'il russit et -1 s'il choue, auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 12
<b>EACCES</b> <b></b>  on demande <b>IPC_STAT</b> mais
<i>shm_perm.modes</i> ne permet pas la lecture du segment
<i>shmid .</i>
<br/><br/>

<b>EFAULT</b> <b></b>  <i>cmd</i>  la valeur
<b>IPC_SET</b> <b></b>  ou
<b>IPC_STAT</b> <b></b>  mais
<i>buf</i> pointe en-dehors de l'espace d'adressage accessible.
<br/><br/>

<b>EINVAL</b> <b></b>  <i>shmid</i> n'est pas un identificateur de segment valide,
ou <i>cmd</i> n'est pas une commande reconnue.
<br/><br/>

<b>EIDRM</b> <b></b>  <i>shmid</i> pointe sur un segment dtruit.
<br/><br/>

<b>EPERM</b> <b></b>  On rclame <b>IPC_SET</b> ou <b>IPC_RMID</b> mais l'appelant n'est
ni le propritaire du segment, ni son crateur, ni le Super-User.
<br/><br/>

<b>EOVERFLOW</b> <b></b>  on demande <b>IPC_STAT</b> mais la valeur de GID ou d'UID est trop
grande pour tre stocke dans la structure pointe par
<i>buf .<br/><br/></i>
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Divers champs de la <i>struct shmid_ds</i> taient des shorts sous Linux 2.2
et sont devenus longs sous Linux 2.4. Pour en tirer parti, une recompilation
sous GlibC 2.1.91 ou ultrieure doit suffire.
(Le noyau distingue les anciens et nouveaux appels par un drapeau IPC_64
dans
<i>cmd .)</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, SVID. SVr4 mentionne des conditions d'erreur supplmentaires
ENOENT, ENOSPC, ENOMEM, EEXIST. Ni SVr4, ni SVID ne documentent la
condition d'erreur EIDRM.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>shmget (2),</b>
<b>shmop (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
