<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1989, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!-- 	@(#)statfs.2	6.5 (Berkeley) 7/23/91 -->
<!--  -->
<!--  Modified Sat Jul 24 11:27:31 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 13/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  mj 11/12/1997 (LDP man-pages 1.18) -->
<!--  mj 26/06/2000 (LDP man-pages 1.30) -->
<!--  mj 04/06/2001 (LDP man-pages 1.36) -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.37 -->
<!--  Mise  jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>STATFS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
statfs, fstatfs - Obtenir des statistiques sur le systme de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/vfs.h&gt;</b> <b></b>  <br/><br/>

<b>int statfs(const char *</b> path <i>, struct statfs *</i> buf );
<br/>
<b>int fstatfs(int </b> fd <i>, struct statfs *</i> buf );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>statfs</b> <b></b>  renvoie des informations  propos d'un systme de fichiers monts.
<i>path</i> est le nom d'un fichier quelconque dans le systme de fichiers.
<i>buf</i> est un pointeur sur une structure
<i>statfs</i> dfinie comme suit :<br/><br/>
.RS

struct statfs {
   long    f_type;     /* type de systme de fichier        */
   long    f_bsize;    /* Taille optimale de bloc           */
   long    f_blocks;   /* Nombre total de blocs             */
   long    f_bfree;    /* Blocs libres                      */
   long    f_bavail;   /* Blocs libres pour utilisateurs    */
   long    f_files;    /* Nombres de noeuds                 */
   long    f_ffree;    /* Nombre de noeuds libres           */
   fsid_t  f_fsid;     /* ID du systme de fichiers         */
   long    f_namelen;  /* Longueur maxi des noms de fichier */
   long    f_spare[6]; /* rserv pour usage ultrieur      */
};<br/><br/>
Types de systmes de fichiers :<br/><br/>
linux/affs_fs.h:
   AFFS_SUPER_MAGIC       0xADFF
linux/efs_fs.h:
   EFS_SUPER_MAGIC       0x00414A53
linux/ext_fs.h:
   EXT_SUPER_MAGIC        0x137D
linux/ext2_fs.h:
   EXT2_OLD_SUPER_MAGIC   0xEF51
   EXT2_SUPER_MAGIC       0xEF53
linux/hpfs_fs.h:
   HPFS_SUPER_MAGIC       0xF995E849
linux/iso_fs.h:
   ISOFS_SUPER_MAGIC      0x9660
linux/minix_fs.h:
   MINIX_SUPER_MAGIC      0x137F  /* Minix original   */
   MINIX_SUPER_MAGIC2     0x138F  /* Minix 30 caract. */
   MINIX2_SUPER_MAGIC     0x2468  /* Minix V2         */
   MINIX2_SUPER_MAGIC2    0x2478  /* Minix V2 30 car. */
linux/msdos_fs.h:
   MSDOS_SUPER_MAGIC      0x4d44
linux/ncp_fs.h:
   NCP_SUPER_MAGIC        0x564c
linux/nfs_fs.h:
   NFS_SUPER_MAGIC        0x6969
linux/proc_fs.h:
   PROC_SUPER_MAGIC       0x9fa0
linux/smb_fs.h:
   SMB_SUPER_MAGIC        0x517B
linux/sysv_fs.h:
   XENIX_SUPER_MAGIC      0x012FF7B4
   SYSV4_SUPER_MAGIC      0x012FF7B5
   SYSV2_SUPER_MAGIC      0x012FF7B6
   COH_SUPER_MAGIC        0x012FF7B7
linux/ufs_fs.h:
   UFS_MAGIC              0x00011954
linux/xfs_fs.h:
   XFS_SUPER_MAGIC       0x58465342
linux/xia_fs.h:
   _XIAFS_SUPER_MAGIC     0x012FD16D


<br/><br/>
Personne ne sait ce que
<i>f_fsid</i> est suppos contenir (voir plus loin).<br/><br/>
Les champs indfinis pour un systme de fichiers donn sont mis  0.
<b>fstatfs</b> <b></b>  renvoie les mmes informations concernant un fichier ouvert rfrenc par
<i>fd .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>statfs</b>
et
<b>fstatfs</b>
renvoient zro s'ils russissent.
En cas d'chec -1 est renvoy, et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Pour
<b>statfs&nbsp;:</b>
<br/><br/>
 
<b>ENOTDIR</b> <b></b>  Un lment du chemin d'accs
<i>path</i> n'est pas un rpertoire
<br/><br/>

<b>ENAMETOOLONG</b> <b></b>  <i>path</i> est trop long.
<br/><br/>

<b>ENOENT</b> <b></b>  Le fichier indiqu par
<i>path</i> n'existe pas.
<br/><br/>

<b>EACCES</b> <b></b>  Un lment du chemin d'accs
<i>path </i>
ne permet pas le parcours.
<br/><br/>

<b>ELOOP</b> <b></b>  <i>path</i>
contient une rfrence circulaire ( travers un lien symbolique).
<br/><br/>

<b>EFAULT</b> <b></b>  <i>buf</i> ou
<i>path</i> pointent en dehors de l'espace d'adressage accessible
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie s'est produite pendant la lecture
dans le systme de fichiers.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire pour le noyau.
<br/><br/>

<b>ENOSYS</b> <b></b>  Le systme de fichiers contenant
<i>path</i> ne supporte pas l'appel
<b>statfs .<br/><br/></b>
Pour
<b>fstatfs&nbsp;:</b>
<br/><br/>

<b>EBADF</b> <b></b>  <i>Fd</i> n'est pas un descripteur de fichier ouvert valide.
<br/><br/>

<b>EFAULT</b> <b></b>  <i>Buf</i> pointe en dehors de l'espace d'adressage accessible
<br/><br/>

<b>EIO</b> <b></b>  Une erreur d'entre/sortie s'est produite pendant la lecture
dans le systme de fichiers.
<b>ENOSYS</b> <b></b>  Le systme de fichiers contenant
<i>fd</i> ne supporte pas l'appel
<b>statfs .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
La routine
<b>statfs</b> <b></b>  de Linux a t inspire par celle de BSD 4.4, mais n'emploie pas
la mme structure.
</div><br/><h2 class="TitreSection1" id="L9">f_fsid</h2>
<div class="paragraph">
Solaris et POSIX 1003.1-2001 ont un appel-systme
<i>statvfs</i> qui renvoie une
<b>struct</b> <b></b>  <b>statvfs"</b> <b></b>  (dfinie dans
<i>&lt;sys/statvfs.h&gt;</i> )</i>
contenant un
<b>unsigned</b> <b></b>  <b>long"</b> <b></b>  <i>f_fsid .</i>
Linux, SunOS, HPUX, 4.4BSD ont un appel-systme
<i>statfs</i> qui renvoie une
<b>struct</b> <b></b>  <b>statfs"</b> <b></b>  (dfinie dans
<i>&lt;sys/vfs.h&gt;</i> )</i>
contenant un
<b>fsid_t</b> <b></b>  <i>f_fsid ,</i>
o
<i>fsid_t</i> est dfini comme une
<b>struct { int val[2]; }</b> .</b>
La mme chose vaut pour FreeBSD, sauf que le fichier d'en-tte est
<i>&lt;sys/mount.h&gt;</i> .<br/><br/></i>
L'ide gnrale est que
<i>f_fsid</i> contient quelque chose qui permette que la paire
( f_fsid , ino )</i>
identifie un fichier de manire unique.
Certains systmes utilisent (une variation sur) le numro de priphrique
combin au type de systme de fichiers.
Plusieurs systmes restreigne l'accs au champ
<i>f_fsid</i> pour le Super-user, (et indique zro pour les utilisateurs normaux), car ce champ
est utilis dans la manipulation du systme de fichiers lors d'exportation par
NFS, et sa valeur peut tre considre comme un lment de scurite.<br/><br/>
Sous certains systmes, le
<i>fsid</i> peut tre utilis en second paramtre de
l'appel-systme
<i>sysfs() .</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>stat (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
