<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Sat Jul 24 11:47:53 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 22 July 1995 by Michael Chastain (mec@duracef.shout.net): -->
<!--    Added 'swapflags' argument. -->
<!--  Added historical remark, aeb, 950723. -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  maj 09/04/99 - LDP-man-pages 1.22 -->
<!--  maj 18/07/03 - LDP-man-pages 1.56 -->
<br/><h1>SWAPON</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">priorit</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">erreurs</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
swapon, swapoff - Activer / dsactiver un fichier ou un pripherique de swap.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;asm/page.h&gt;</b> <b></b>  <b></b>  <b></b>  <b></b>  <b></b>  <b>/*</b> <b></b>  <b>pour</b> <b></b>  <b>avoir</b> <b></b>  <b>PAGE_SIZE</b> <b></b>  <b>*/</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/swap.h&gt;</b> <b></b>  <br/><br/>

<b>int swapon(const char *</b> path <i>, int </i> swapflags );
<br/>
<b>int swapoff(const char *</b> path );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>swapon</b> <b></b>  active le swap sur le fichier ou le priphrique en mode bloc indiqu dans
<i>path .</i>
<b>swapoff</b> <b></b>  arrte le swap sur le fichier ou le priphrique en mode bloc indiqu dans
<i>path .<br/><br/></i>
<b>swapon</b> <b></b>  utilise un argument
<i>swapflags .</i>
Si cet argument
a son bit
<i>SWAP_FLAG_PREFER</i>  1, la nouvelle zone de swap disposera d'une priorit plus
leve que la zone de swap par dfaut.
La priorit est code ainsi :
<br/>
<br/><br/>

<i>    (prio &lt;&lt; SWAP_FLAG_PRIO_SHIFT) & SWAP_FLAG_PRIO_MASK</i> <br/><br/><br/>
Cette fonction ne peut tre appele que par le Super-User.
</div><br/><br /><h1 class="TitreSection0" id="L4">priorit</h1>
<div class="paragraph">
Chaque zone de swap a une priorit, haute ou basse. La priorit
par defaut est basse.
Parmi les zones de basses priorits, les nouvelles zones
sont toujours affectes d'une priorit infrieure  celle
des zones prcdentes.<br/><br/>
Toutes les priorits fixes avec l'argument
<i>swapflags</i> sont plus leves que la priorit par dfaut.
Elles peuvent prendre n'importe quelle valeur positive ou 
nulle choisie par l'appelant.
Plus la valeur est haute, plus la priorit est leve.<br/><br/>
Les pages de swap sont alloues dans les zones par ordre dcroissant
de priorit. Pour des zones de priorit diffrentes, la plus haute
sera toujours remplie entirement avant d'utiliser la zone
de priorit plus faible.
Si deux ou plus de zones ont la mme priorite, et qu'il s'agit de
la plus haute priorit disponible, les pages sont alloues en
utilisant un algorithme Round-Robin entre elles.<br/><br/>
Sur linux 1.3.6, le noyau suit gnralement ces rgles, mais il
y a parfois des exceptions.
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
En cas de russite 0 est renvoy, sinon -1 est renvoy et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L6">erreurs</h1>
<div class="paragraph">
De nombreuses erreurs peuvent survenir si
<i>path</i> n'est pas valide.<br/><br/>
<br/><br/>

<b>EPERM</b> <b></b>  L'utilisateur n'est pas Super-User ou il y a plus de
<b>MAX_SWAPFILES</b> <b></b>  zones de swap actives (8 sous Linux 1.3.6).
<br/><br/>

<b>EINVAL</b> <b></b>  <i>path </i> existe mais n'est ni un chemin rgulier, ni un priphrique bloc.
<br/><br/>

<b>ENOENT</b> <b></b>  <i>path </i> n'existe pas.
<br/><br/>

<b>ENOMEM</b> <b></b>  <b></b>  Pas assez de mmoire pour dmarrer le swapping.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
Ces fonctions sont spcifiques  Linux et ne doivent pas tre employes
dans des programmes destins  tre portables.
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
La partition ou le fichier doivent tre prpars par 
<b>mkswap (8).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>mkswap (8),</b>
<b>swapon (8),</b>
<b>swapoff (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
