<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 2003 Abhijit Menon-Sen &lt;ams@wiw.org&gt; -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 18/07/2003 LDP-1.56 -->
<br/><h1>TKILL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
tkill - Envoyer un signal  un processus unique.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;linux/unistd.h&gt;</b> <b></b>  <br/><br/>

<b>_syscall2(int</b> <b></b> ,<b></b>  <b>tkill</b> <b></b> ,<b></b>  <b>pid_t</b> <b></b> ,<b></b>  <b>tid</b> <b></b> ,<b></b>  <b>int</b> <b></b> ,<b></b>  <b>sig)"</b> <b></b>  <br/><br/>

<b>int</b> <b></b>  <b>tkill(pid_t</b> <b></b>  <b>tid</b> <b></b> ,<b></b>  <b>int</b> <b></b>  <b>sig);</b> <b></b>  

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'appel-systme 
<b>tkill ()</b>
est analogue 
<b>kill (2),</b>
sauf si le processus en question est membre d'un groupe de threads
(cr en utilisant l'attribut CLONE_THREAD de l'appel-systme
<b>clone (2)).</b>
Comme tous les processus d'un groupe de threads ont le mme PID,
ils ne peuvent pas tre viss individuellement avec
<b>kill .</b>
Avec
<b>tkill</b> <b></b>  toutefois, on peut s'adresse  un processus donn grce  son
TID unique.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'il russit l'appel renvoie zro, sinon il renvoie -1 et remplit
<i>errno</i> avec le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Le TID ou le numro de signal sont invalides.
<br/><br/>

<b>ESRCH</b> <b></b>  Il n'y a pas de processus avec le TID indiqu.
<br/><br/>

<b>EPERM</b> <b></b>  L'appelant n'a pas la permission d'envoyer un signal au processus indiqu.
Pour qu'un processus ait le droit d'envoyer un signal, il doit avoir les
privilges root, ou son UID rel ou effectif doit tre gal  l'UID
rel ou sauv du processus rcepteur.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
<b>tkill</b> <b></b>  est spcifique  Linux et ne doit pas tre utilis dans un programme conu
pour tre portable.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>gettid (2),</b>
<b>kill (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
