<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Sat Jul 24 12:53:43 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 18/07/2003 LDP 1.56 -->
<br/><h1>UNAME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
uname - Obtenir des informations  propos du noyau.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/utsname.h&gt;</b> <b></b>  <br/><br/>

<b>int uname(struct utsname *</b> buf );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>uname</b> <b></b>  renvoient les informations dans le buffer
<i>buf .</i>
la structure 
<i>utsname </i> est dfinie dans
<i>&lt;sys/utsname.h&gt;</i> comme suit :
.RS

struct utsname {
.in +8
char sysname[];
char nodename[];
char release[];
char version[];
char machine[];
.in -8
#ifdef _GNU_SOURCE
.in +8
char domainname[];
.in -8
#endif
};



La longueur des chanes de la
<i>struct utsname</i> n'est pas spcifie, les champs se terminent par un caractre NUL.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>uname</b> <b></b>  renvoie 0 s'il russit ou -1 s'il choue auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EFAULT</b> <b></b>  <i>buf</i> pointe en dehors de l'espace d'adressage accessible
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVr4, SVID, POSIX, X/OPEN.
Il n'y a pas d'appel
<b>uname</b> <b></b>  dans BSD 4.3.<br/><br/>
Le champ
<i>domainname</i> (nom de domaine NIS ou YP) est une extension Gnu.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Ceci est un appel systme, et le systme d'exploitation est suppos connatre
son nom, et ses numros de version et de mise  jour. Il connat galement le matriel
sur lequel il tourne, ainsi les quatre premiers champs de la structures sont significatifs.
En revanche, le champ <i>nodename</i> n'est pas significatif&nbsp;:
il donne le nom de la machine dans un rseau non prcis, mais gnralement
les machines sont connectes  plusieurs rseaux et ont plusieurs noms.
De plus, le noyau n'a pas de moyen de connatre ces informations, et on doit
les lui fournir. Ceci est vrai aussi pour le champ supplmentaire
<i>domainname</i>.<br/><br/>
A cette fin, Linux utilise les appels systme
<b>sethostname (2)</b>
et
<b>setdomainname (2).</b>
Notez qu'aucun standard ne dit que le nom d'hte fix par
<b>sethostname (2)</b>
reprsente la mme chane que le champ <i>nodename</i> de la structure
renvoye par uname,
(de fait, certains systmes autorise un nom d'hte de 256 octets et un nom
de noeud sur 8 octets), mais c'est le cas sous Linux.
La mme chose est vraie pour
<b>setdomainname (2)</b>
et le champ <i>domainname</i>.<br/><br/>
La longueur des champs de la structure varie. Certains systmes d'exploitation
ou bibliothques utilise des valeurs en dur de 9, 33, 65, ou 257. D'autres systmes
utilisent SYS_NMLN, _SYS_NMLN, UTSLEN ou _UTSNAME_LENGTH.
Clairement, il faut viter d'utiliser ces constantes, employez plutt sizeof(...).
On choisit souvent la valeur 257 qui permet de stocker un nom d'hte Internet entier.<br/><br/>
Il y a eu trois appels systme <i>uname</i> sous Linux. Le premier utilisait
une longueur de 9, le second de 65 et le troisime utilise galement 65
mais ajoute le champ <i>domainname</i>.<br/><br/>
Une partie des informations utsname est aussi accessible par
<i>sysctl</i> et par
<i>/proc/sys/kernel/ { ostype ,</i>
<i>hostname ,</i>
<i>osrelease ,</i>
<i>version ,</i>
<i>domainname }.</i>
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>uname (1),</b>
<b>getdomainname (2),</b>
<b>gethostname (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
