<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Sat Jul 24 13:03:05 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 10 June 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  Mise a Jour 18/07/2003 LDP-1.56 -->
<br/><h1>UTIME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
utime, utimes - Changer la date d'accs ou de modification d'un i-noeud.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;utime.h&gt;</b> <b></b>  <br/><br/>

<b>int utime(const char *</b> filename <i>, struct utimbuf *</i> buf );
<br/><br/>
 2
<b>#include</b> <b></b>  <b>&lt;sys/time.h&gt;</b> <b></b>  <br/><br/>

<b>int utimes(char *</b> filename <i>, struct timeval *</i> tvp );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>utime</b> <b></b>  change les dates d'accs et de modification de l'i-noeud indiqu par
<i>filename</i> pour les valeurs contenues respectivement dans les champs
<i>actime </i> et <i> modtime</i>
de
<i>buf</i> Si
<i>buf</i> est
<b>NULL ,</b>
les dates d'accs et de modification sont mises  la date actuelle.
la structure
<i>utimbuf</i> est la suivante :<br/><br/>
.RS

struct utimbuf {
        time_t actime;  /* access time */
        time_t modtime; /* modification time */
};


<br/><br/>
Dans la bibliothque DLL Linux 4.4.1
<b>utimes</b> <b></b>  est juste un recouvrement de
<b>utime </b> :<b></b>
<i>tvp [0]. tv_sec</i>
est gal 
<i>actime ,</i>
et
<i>tvp [1]. tv_sec</i>
est gal 
<i>modtime .</i>
La structure
<i>timeval</i> est la suivante&nbsp;:<br/><br/>
.RS

struct timeval {
        long    tv_sec;         /* secondes      */
        long    tv_usec;        /* microsecondes */
};



</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>utime </b> et <b> utimes</b>
renvoient 0 s'ils russissent ou -1 s'ils chouent auquel cas
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Plusieurs erreurs peuvent se produire, les plus courantes tant&nbsp;:
<br/><br/>

<b>EACCES</b> <b></b>  L'accs en criture au fichier est interdit.
<br/><br/>

<b>ENOENT</b> <b></b>  <i>filename</i> n'existe pas.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
<b>utime </b> :<b></b>
SVr4, SVID, POSIX. SVr4 mentionne les conditions d'erreur supplmentaires
EFAULT, EINTR, ELOOP, EMULTIHOP, ENAMETOOLONG, ENOLINK, ENOTDIR, EPERM, EROFS.
<br/>
<b>utimes </b> :<b></b>
BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>stat (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
