<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1992 Drew Eckhardt (drew@cs.colorado.edu), March 28, 1992 -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified by Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Modified Sat Jul 24 13:22:07 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified 21 Aug 1994 by Michael Chastain (mec@shell.portal.com): -->
<!--    Referenced 'clone(2)'. -->
<!--  Modified 10 June 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--   -->
<!--  Traduction  9/10/1996 Christophe BLAESS (ccb@club-internet.fr) -->
<!--  Mise  jour 09/06/99 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 04/06/2001 LDP-man-pages-1.36 -->
<!--  mj 18/07/2003 LDP-man-pages-1.56 -->
<br/><h1>VFORK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description standard</a>
<br /><a class="summaryIndent0" href="#L3">erreurs</a>
<br /><a class="summaryIndent0" href="#L4">particularits linux</a>
<br /><a class="summaryIndent0" href="#L5">dtails historiques</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">historique</a>
<br /><a class="summaryIndent0" href="#L8">conformit</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
vfork - Crer un processus fils et bloquer le pre.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>pid_t</b> <b></b>  <b>vfork(void);</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description standard</h1>
<div class="paragraph">
(D'aprs XPG4 / SUSv2 / draft POSIX).
La routine
<i>vfork (),</i>
 le mme effet que
<i>fork (),</i>
sauf que le comportement est indfini si le processus cr par
<i>fork ()</i>
effectue l'une des actions suivantes avant d'appeler avec succs
<i>_exit ()</i>
ou une routine de la famille
<i>exec </i>() :<i><br/><br/></i>
modification d'une donne autre que la variable de type pid_t stockant le
retour de
<i>vfork (),<br/><br/></i>
revenir de la fonction dans laquelle
<i>vfork ()</i>
a t invoqu, <br/><br/>
appel d'une autre fonction.
</div><br/><br /><h1 class="TitreSection0" id="L4">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EAGAIN</b> <b></b>  Trop de processus en cours. Ressayer.
<br/><br/>

<b>ENOMEM</b> <b></b>  Pas assez de mmoire
</div><br/><br /><h1 class="TitreSection0" id="L5">particularits linux</h1>
<div class="paragraph">
<b>vfork (),</b>
tout comme
<b>fork (),</b>
cre un processus fils  partir du processus appelant. Pour plus de dtails
sur les valeurs renvoyes et les erreurs possibles, voir
<b>fork (2).<br/><br/></b>
<b>vfork ()</b>
est conu comme un cas particulier de
<b>clone (2).</b>
Il sert  crer un nouveau processus sans effectuer de copie de la table des pages
mmoire du processus pre. Ceci peut tre utile dans des applications ncessitant
une grande rapidit d'excution, si le fils doit invoquer immdiatement un
appel
<i>execve ().<br/><br/></i>
<b>vfork ()</b>
diffre aussi de
<b>fork ()</b>
car le processus pre reste suspendu jusqu' ce que le fils invoque
<b>execve (),</b>
ou
<b>_exit ().</b>
Le fils partage toute la mmoire avec son pre, y compris la pile. Le processus
fils ne doit donc pas revenir de la fonction en cours, ni invoquer une nouvelle
routine. Il ne doit pas appeler
<i>exit (),</i>
mais  la place
<i>_exit ().<br/><br/></i>
Les gestionnaires de signaux sont hrits mais pas partags. Les signaux pour le
processus pre sont dlivrs aprs que le fils se soit termin.
</div><br/><br /><h1 class="TitreSection0" id="L6">dtails historiques</h1>
<div class="paragraph">
Sous Linux,
<b>fork ()</b>
est implment en utilisant un mcanisme de copie en criture, ainsi ses seuls cots
sont le temps et la mmoire ncessaire pour dupliquer la table des pages mmoire
du processus pre, et crer une structure de tche pour le fils. Toutefois, jadis
<i>fork ()</i>
ncessitait malheureusement une copie complte de l'espace d'adresse du pre, souvent
inutile car un appel
<i>exec ()</i>
est souvent ralis immdiatement par le fils.
Pour amliorer les performances, BSD a introduit un appel-systme
<b>vfork ()</b>
qui ne copie pas l'espace d'adressage du pre, mais le partage avec le fils.
Le processus pre tait suspendu tant que le fils utilisait les ressources.
L'utilisation de
<b>vfork ()</b>
tait loin d'tre facile, car pour viter de modifier les donnes du processus
pre, il fallait tre capable de dterminer quelles variables se trouvaient dans
des registres du processeur.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Il est regrettable que Linux ait ressuscit ce spectre du pass. La page de manuel
de BSD indique que cet appel systme sera supprim, et qu'il ne faut pas
essayer de tirer profit du partage mmoire induit par 
<b>vfork ().<br/><br/></b>

En thorie, la description standard ne nous autorise pas  utiliser
<i>vfork (),</i>
car l'appel
<i>exec ()</i>
suivant peut chouer, et ce qui se produit ensuite est indfini.<br/><br/>

Les dtails de la gestion des signaux sont compliqus, et varient suivant
les systmes. <br/><br/>
Sous Linux (2.3.25)
<b>strace (1)</b>
ne peut pas suivre un appel
<i>vfork ()</i>
et ncessite un patch du noyau.
</div><br/><br /><h1 class="TitreSection0" id="L8">historique</h1>
<div class="paragraph">
L'appel-systme
<b>vfork()</b>
est apparu dans BSD 3.0. Dans BSD 4.4, il est devenu synonyme de
<i>fork (),</i>
mais NetBSD l'a rintroduit  nouveau.
Sous Linux, il fut l'quivalent de
<i>fork()</i>
jusqu'au noyau 2.2.0-pre-6. Depuis le 2.2.0-pre-9 il s'agit d'un
appel-systme indpendant. Le support dans la bibliothque a t
introduit dans la GlibC 2.0.112.
</div><br/><br /><h1 class="TitreSection0" id="L9">conformit</h1>
<div class="paragraph">
L'appel
<b>vfork ()</b>
est assez similaire aux appels du mme nom sous d'autres systmes d'exploitation.
Les contraintes que les standards apportent sur cet appel sont plus relches que
celles sur
<b>fork (),</b>
ainsi il est possible d'avoir une implmentation conforme o les deux appels sont
synonymes. En particulier, un programmeur ne doit pas s'appuyer sur le fait
que le pre reste bloqu jusqu' un appel
<i>execve (),</i>
ou
<i>_exit (),</i>
ni sur le comportement de la mmoire partage.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
<b>clone (2),</b>
<b>execve (2),</b>
<b>fork (2),</b>
<b>wait (2).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
