<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  -->
<!--  Modified Sat Jul 24 13:30:06 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Aug 21 17:42:42 1994 by Rik Faith (faith@cs.unc.edu) -->
<!--           (Thanks to koen@win.tue.nl (Koen Holtman)) -->
<!--  Modified Wed May 17 15:54:12 1995 by Rik Faith (faith@cs.unc.edu) -->
."           To remove *'s from status in macros (Thanks to Michael Shields).
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 15/04/97 -->
<!--  Mise a jour 19/07/97 -->
<!--  Mise  jour 09/04/99 - LDP-man-pages 1.22 -->
<!--  Mise  jour 30/08/2000 - LDP-man-pages 1.31 -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages 1.36 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.37 -->
<!--  Mise  jour 20/01/2002 - LDP-man-pages-1.47 -->
<!--  Mise  jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>WAIT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">spcificits linux</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wait, waitpid - Attendre la fin d'un processus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;sys/wait.h&gt;</b> <b></b>  <br/><br/>

<b>pid_t wait (int * </b> <i>status</i> );
<br/>
<b>pid_t waitpid (pid_t </b> pid <i>, int * </i> status <b>, int </b> options );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>wait</b> <b></b>  suspend l'excution du processus courant jusqu' ce qu'un enfant
se termine, ou jusqu' ce qu'un signal  intercepter arrive.
Si un processus fils s'est dj termin au moment de l'appel
(il est devenu "zombie"), la fonction revient immdiatement.
Toutes les ressources utilises par le fils sont libres.<br/><br/>
La fonction
<b>waitpid</b> <b></b>  suspend l'excution du processus courant jusqu' ce que le 
processus fils numro
<i>pid</i> se termine, ou jusqu' ce qu'un signal  intercepter arrive.
Si le fils mentionn par
<i>pid</i> s'est dj termin au moment de l'appel
(il est devenu "zombie"), la fonction revient immdiatement.
Toutes les ressources utilises par le fils sont libres.<br/><br/>
La valeur de
<i>pid</i> peut galement tre l'une des suivantes :
</div><div class="paragraph">&lt;<br/>
attendre la fin de n'importe quel processus fils
appartenant  un groupe de processus d'ID 
<i>pid .</i>
.IP -1
attendre la fin de n'importe quel fils. C'est le mme
comportement que
<b>wait.</b> <b></b>  .IP 0
attendre la fin de n'importe quel processus fils du mme groupe
que l'appelant.
</div><div class="paragraph">&gt;<br/>
attendre la fin du processus numro
<i>pid .<br/><br/></i>
La valeur de l'argument option
<i>options</i> est un 
<i>OU</i> binaire entre les constantes suivantes :
<br/><br/>

<b>WNOHANG</b> <b></b>  ne pas bloquer si aucun fils ne s'est termin.
<br/><br/>

<b>WUNTRACED</b> <b></b>  recevoir l'information concernant galement les fils bloqus (mais non suivis par
<b>trace (2))</b>
si on ne l'a pas encore reue. L'tat des fils suivis est fourni mme sans
cette option<br/><br/>
(Pour les options spcifiques  Linux, voir plus bas).<br/><br/>
Si
<i>status</i> est non
<b>NULL ,</b>
<b>wait</b> <b></b>  et
<b>waitpid</b> <b></b>  y stockent l'information sur la terminaison du fils.<br/><br/>
Cette information peut tre analyse avec les macros suivantes,
qui rclament en argument le buffer
<i>status</i> (un <b>int</b>, et non pas un pointeur sur ce buffer).
<br/><br/>

WIFEXITED( status )
non nul si le fils s'est termin normalement
<br/><br/>

WEXITSTATUS( status )
donne le code de retour tel qu'il a t mentionn dans l'appel
<b>exit()</b> <b></b>  ou dans le
<b>return</b> <b></b>  de la routine
<b>main.</b> <b></b>  Cette macro ne peut tre value que si 
<b>WIFEXITED</b> <b></b>  est non nul.
<br/><br/>

WIFSIGNALED( status )
indique que le fils s'est termin  cause d'un signal non
intercept.
<br/><br/>

WTERMSIG( status )
donne le numro du signal qui a caus la fin du fils. Cette
macro ne peut tre value que si
<b>WIFSIGNALED</b> <b></b>  est non nul.
<br/><br/>

WIFSTOPPED( status )
indique que le fils est actuellement arrt. Cette macro n'a de
sens que si l'on a effectu l'appel avec l'option
<b>WUNTRACED .</b>
<br/><br/>

WSTOPSIG( status )
donne le numro du signal qui a caus l'arrt du fils. Cette macro
ne peut tre value que si
<b>WIFSTOPPED</b> <b></b>  est non nul.<br/><br/>
Certaines versions d'Unix (Linux, Solaris, mais pas AIX ou SunOS) dfinissent
aussi une macro
WCOREDUMP( status )
Pour vrifier si le processus fils a cr un fichier core. N'utilisez ceci
qu'encadr par #ifdef WCOREDUMP ... #endif.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de russite, le PID du fils qui s'est termin est renvoy,
en cas d'chec -1 est renvoy et
<i>errno</i> contient le code d'erreur.
Si
<b>WNOHANG</b> <b></b>  a t employ et qu'aucun fils ne s'est termin, zro est renvoy.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ECHILD</b> <b></b>  Le processus indiqu par
<i>pid</i> n'existe pas, ou n'est pas un fils du processus appelant.
(Ceci peut arriver pour son propre fils si l'action de SIGCHLD est
plac sur SIG_IGN, voir galement le passage de la section NOTES concernant les threads).
<br/><br/>

<b>EINVAL</b> <b></b>  L'argument
<i>options</i> est invalide.
<br/><br/>

<b>EINTR</b> <b></b>  <b>WNOHANG</b> <b></b>  n'est pas indiqu, et un signal  intercepter ou
<b>SIGCHLD</b> <b></b>  a t reu.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les spcifications Single Unix dcrivent un attribut SA_NOCLDWAIT
(non supports sous Linux) permettant (lorsqu'il est positionn) aux
processus fils se terminant de ne pas devenir zombies, comme quand
l'action pour SIGCHLD est fixe  SIG_IGN. Un appel

<i>wait()</i> ou
<i>waitpid()</i> bloquera jusqu' ce qu'un fils se termine, puis chouera avec
<i>errno</i> contenant ECHILD.<br/><br/>
Le standard POSIX original laissait le comportement avec SIGCHLD 
SIG_IGN non spcifi.
Les standards ultrieurs, y compris SUSv2 et POSIX 1003.1-2001 spcifent
que le comportement dcrit ci-dessus est une option XSI.
Linux ne se conforme pas au second des deux points dcrits&nbsp;:
Si un appel
<b>wait </b>() ou <b> waitpid ()</b>
est fait alors que SIGCHLD est ignor, alors l'appel se comportera comme
si SIGCHLD n'tait pas ignor, c'est  dire qu'il bloquera jusqu' la
premire fin d'un fils et renverra le PID et l'tat du fils.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">spcificits linux</h1>
<div class="paragraph">
Dans le noyau Linux, un thread ordonnanc par le noyau n'est pas diffrent
d'un simple processus. En fait, un thread est juste un processus qui est cr
 l'aide de la routine - spcifique Linux - 
<b>clone (2).</b>
Les routines portables, comme
<b>pthread_create (3)</b>
sont implmentes en appelant
<b>clone (2).</b>
Avant Linux 2.4, un thread tait simplement un cas particulier de processus, et
en consquence un thread ne pouvait pas attendre les enfants d'un autre thread,
mme si ce dernier appartenait au mme groupe de threads.
Toutefois, POSIX rclame une telle fonctionnalit, et depuis Linux 2.4
un thread peut, par dfaut, attendre les enfants des autres threads
du mme groupe.<br/><br/>
Les 
<i>options</i> suivantes sont spcifiques  Linux, et 
servent pour les enfants crs avec
<b>clone (2).</b>
<br/><br/>

<b>__WCLONE</b> <b></b>  <!--  since 0.99pl10 -->
Attendre uniquement des enfants clones. Sinon, attendre uniquement les
enfants non-clones (un enfant "clone" est un enfant qui
n'envoie pas de signal, ou un autre signal que
<b>SIGCHLD</b> <b></b>   son pre  sa terminaison).
Cette option est ignore si
<b>__WALL</b> <b></b>  est aussi indiqu.
<br/><br/>

<b>__WALL</b> <b></b>  <!--  since patch-2.3.48 -->
(Depuis Linux 2.4) Attendre tous les enfants, quelques soient leurs
types (clone ou non-clone).
<br/><br/>

<b>__WNOTHREAD</b> <b></b>  <!--  since patch-2.4.0-test8 -->
(Depuis Linux 2.4) Ne pas attendre les enfants des autres threads du mme
groupe de threads. Ceci tait le cas par dfaut avant Linux 2.4.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
SVr4, POSIX.1
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>clone (2),</b>
<b>ptrace (2),</b>
<b>signal (2),</b>
<b>wait4 (2),</b>
<b>pthread_create (3),</b>
<b>signal (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
