<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  -->
<!--  Modified Sat Jul 24 13:32:44 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 15/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a Jour 15/04/97 -->
<!--  Mise a Jour 19/07/97 -->
<!--  Mise a Jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 20/01/2002 - LDP-man-pages-1.47 -->
<!--  Mise  jour 18/07/2003 - LDP-man-pages-1.56 -->
<br/><h1>WAIT4</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">note</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wait3, wait4 - Attendre la fin d'un processus - Style BSD.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/time.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/resource.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/wait.h&gt;</b> <b></b>  <br/><br/>
 2
<b>pid_t wait3(int *</b> <i>status</i> <b>, int </b> options ,
<b>      struct rusage *</b> rusage );
<br/><br/>

<b>pid_t wait4(pid_t </b> pid <i>, int *</i> status <b>, int </b> options ,
<b>      struct rusage *</b> rusage );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>wait3</b> <b></b>  suspend l'excution du processus courant jusqu' ce qu'un enfant
se termine, ou jusqu' ce qu'un signal  intercepter arrive.
Si un processus fils s'est dj termin au moment de l'appel
(il est devenu "zombie"), la fonction revient immdiatement.
Toutes les ressources utilises par le fils sont libres.<br/><br/>
La fonction
<b>wait4</b> <b></b>  suspend l'excution du processus courant jusqu' ce que le 
processus fils numro
<i>pid</i> se termine, ou jusqu' ce qu'un signal  intercepter arrive.
Si le fils mentionn par
<i>pid</i> s'est dj termin au moment de l'appel
(il est devenu "zombie"), la fonction revient immdiatement.
Toutes les ressources utilises par le fils sont libres.<br/><br/>
La valeur de
<i>pid</i> peut galement tre l'une des suivantes :
</div><div class="paragraph">&lt;<br/>
attendre la fin de n'importe quel processus fils
appartenant  un groupe de processus d'ID 
<i>pid .</i>
.IP -1
attendre la fin de n'importe quel fils. C'est le mme
comportement que
<b>wait3 .</b>
.IP 0
attendre la fin de n'importe quel processus fils du mme groupe
que l'appelant.
</div><div class="paragraph">&gt;<br/>
attendre la fin du processus numro
<i>pid .<br/><br/></i>
La valeur de l'argument option
<i>options</i> est un 
<i>OU</i> binaire entre les constantes suivantes :
<br/><br/>

<b>WNOHANG</b> <b></b>  ne pas bloquer si aucun fils ne s'est termin.
<br/><br/>

<b>WUNTRACED</b> <b></b>  recevoir l'information concernant galement les fils bloqus
si on ne l'a pas encore reue.<br/><br/>
Si
<i>status</i> est non
<b>NULL ,</b>
<b>wait3</b> <b></b>  et
<b>wait4</b> <b></b>  y stockent l'information sur la terminaison du fils.<br/><br/>
Cette information peut tre analyse avec les macros suivantes,
qui prennent en argument le buffer
<i>status</i> (un <b>int</b> et non pas un pointeur sur le buffer).
<br/><br/>
 
WIFEXITED( status )
non nul si le fils s'est termin normalement
<br/><br/>

WEXITSTATUS( status )
donne le code de retour tel qu'il a t mentionn dans l'appel
<b>exit()</b> <b></b>  ou dans le
<b>return</b> <b></b>  de la routine
<b>main.</b> <b></b>  Cette macro ne peut tre value que si 
<b>WIFEXITED</b> <b></b>  est non nul.
<br/><br/>

WIFSIGNALED( status )
indique que le fils s'est termin  cause d'un signal non
intercept.
<br/><br/>

WTERMSIG( status )
donne le numro du signal qui a caus la fin du fils. Cette
macro ne peut tre value que si
<b>WIFSIGNALED</b> <b></b>  est non nul.
<br/><br/>

WIFSTOPPED( status )
indique que le fils est actuellement arrt. Cette macro n'a de
sens que si l'on a effectu l'appel avec l'option
<b>WUNTRACED .</b>
<br/><br/>

WSTOPSIG( status )
donne le numro du signal qui a caus l'arrt du fils. Cette macro
ne peut tre value que si
<b>WIFSTOPPED</b> <b></b>  est non nul.<br/><br/>
Si
<i>rusage</i> n'est pas
<b>NULL ,</b>
La structure
<b>rusage</b> <b></b>  dfinie dans
<b>&lt;sys/resource.h&gt;</b> <b></b>  sera remplie avec les informations de comptabilit. Voir
<b>getrusage (2)</b>
Pour plus de dtails.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de russite, le PID du fils qui s'est termin est renvoy,
en cas d'chec -1 est renvoy et
<i>errno</i> contient le code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ECHILD</b> <b></b>  Le processus indiqu par
<i>pid</i> n'existe pas, ou n'est pas un fils du processus appelant.
<br/><br/>

<b>EINTR</b> <b></b>  <b>WNOHANG</b> <b></b>  n'est pas indiqu, et un signal  intercepter ou
<b>SIGCHLD</b> <b></b>  a t reu.
</div><br/><br /><h1 class="TitreSection0" id="L6">note</h1>
<div class="paragraph">
L'inclusion de
<i>&lt;sys/time.h&gt;</i> n'est plus obligatoire, mais amliore la portabilit.
(En fait,
<i>&lt;sys/resource.h&gt;</i> dfinit la structure
<i>rusage</i> qui contient des champs de type
<i>struct timeval</i> dfinis dans
<i>&lt;sys/time.h&gt; ).<br/><br/></i>
Les prototypes de ces fonctions ne sont disponibles que si la constante
<b>_BSD_SOURCE</b> <b></b>  est dfinie (soit explicitement, ou implicitement en ne dfinissant par
_POSIX_SOURCE ou en compilant avec l'option -ansi).
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
SVr4, POSIX.1
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>signal (2),</b>
<b>getrusage (2),</b>
<b>wait (2),</b>
<b>signal (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
