<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Written Sat Mar  8 10:35:08 MEZ 1997 by J. "MUFTI" Scheurich (mufti@csv.ica.uni-stuttgart.de) -->
<!--  Traduction 31/05/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages 1.19 -->
<!--  mj 26/06/2000 LDP 1.30 -->
<!--  mj 30/08/2000 LDP 1.31 -->
<!--  mj 21/07/2003 LDP 1.56 -->
<br/><h1>__SETFPUCW</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">exemple</a>
<br /><a class="summaryIndent0" href="#L4">disponibilit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
__setfpucw - Positionner le mot de contrle du FPU sur les machines i386 (obsolte).
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;i386/fpu_control.h&gt;</b> <b></b>  <br/><br/>

<b>void __setfpucw((unsigned short) </b> mot_de_controle );
<br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>__setfpucw</b> <b></b>  transfere le
<i>mot_de_controle</i> dans les registres du FPU (Floating Point Unit, unit de calcul en virgule
flottante), sur les machines reposant sur une architecture  base de i386.
Ceci permet de commander la prcision des calculs en virgule flottante, les
arrondis, et les exceptions mathmatiques.
</div><br/><br /><h1 class="TitreSection0" id="L4">exemple</h1>
<div class="paragraph"><br/><br/>
<b>__setfpucw(0x1372)<br/><br/></b>
Positionne le mot de contrle du FPU sur une machine i386 ainsi :
<br/>
     - Prcision tendue
<br/>     
     - Arrondi au plus proche
<br/>     
     - Exceptions si dbordement, division par zro, ou NaN (not a number)
<br/> 
</div><br/><br /><h1 class="TitreSection0" id="L5">disponibilit</h1>
<div class="paragraph">
Depuis la GlibC 2.1, cette fonction n'existe plus. Il y a quelques fonctions
nouvelles de l'ISO C9X, dont les prototypes se trouvent dans
<i>/usr/include/fenv.h ,</i>
permettant de commander le mode d'arrondi du FPU comme
<i>fegetround (),</i>
<i>fesetround (),</i>
l'environnement en virgule flottante comme
<i>fegetenv (),</i>
<i>feholdexcept (),</i>
<i>fesetenv (),</i>
<i>feupdateenv (),</i>
et la gestion des exception comme
<i>feclearexcept (),</i>
<i>fegetexceptflag (),</i>
<i>feraiseexcept (),</i>
<i>fesetexceptflag (),</i>
<i>fetestexcept ().<br/><br/></i>
Si l'accs direct au mot de commande du FPU est encore ncessaire, on peut
utiliser les macros _FPU_GETCW et _FPU_SETCW de
<i>/usr/include/fpu_control.h .</i>
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>feclearexcept (3)</b>
<br/>
<b>/usr/include/i386/fpu_control.h</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
