<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 walter harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL -->
<!--  -->
<!--  Corrected, aeb, 2002-05-30 -->
<!--  MJ 21/07/2003 LDP-1.56 C.Blaess -->
<br/><h1>A64L</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">conforme </a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
a64l, l64a - Conversion de long en base 64 et inversement.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>long a64l(char *</b> str64 );
<br/><br/>

<b>char *l64a(long </b> valeur );
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions assurent la conversion entre des entiers sur 32-bit
(entiers <b>long</b> du &nbsp;C&nbsp;) et des entiers reprsents en base 64
sur des chanes ASCII (dont la longueur peut aller de zro  six
caractres), dans l'ordre little-endian.
Si la chane passe en argument 
<b>a64l ()</b>
possde plus de six caractres, alors seuls les six premiers octets
sont utiliss.
Si les longs font plus de 32 bits, alors
<b>l64a ()</b>
n'utilise que les 32 bits de poids faible de
<i>valeur ,</i>
et
<b>a64l ()</b>
propage le bit de signe de son rsultat sur 32 bits.<br/><br/>
Les 64 chiffres du systme en base 64 sont&nbsp;:
.RS

'.'	reprsente a 0
'/'	reprsente a 1
0-9	representent  2-11
A-Z	representent 12-37
a-z	representent 38-63



<br/>
Exemple&nbsp;: 123 = 59*64^0 + 1*64^1 = "v/".
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Les valeurs renvoyes par
<b>a64l ()</b>
peuvent tre un pointeur sur un tampon statique, qui peut tre rcrit
par des appels successifs.<br/><br/>
Le comportement de
<b>l64a ()</b>
est indfini quand 
<i>valeur</i> est ngative. Si
<i>valeur</i> est zro, elle renvoie une chane vide.<br/><br/>
Ces fonctions n'taient pas fonctionnelles avant la version 2.2.5 de
la glibc (chiffres les plus significatifs en premier).
</div><br/><br /><h1 class="TitreSection0" id="L5">conforme </h1>
<div class="paragraph">
XPG 4.2, POSIX 1003.1-2001.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>uuencode (1),</b>
<b>itoa (3),</b>
<b>strtoul (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2002</i></i>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
