<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1980, 1991 Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)alloca.3	5.1 (Berkeley) 5/2/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 11:05:55 1993, faith@cs.unc.edu -->
<!--  -->
<!--  -->
<!--  Traduction 22/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36  -->
<!--  Mise  jour 21/01/2002 - LDP-man-pages-1.47  -->
<!--  Mise  jour 21/07/2003 - LDP-man-pages-1.56  -->
<br/><h1>ALLOCA</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">historique</a>
<br /><a class="summaryIndent0" href="#L5">notes sur la version gnu</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
alloca - Allocation mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>void *alloca (size_t </b> size );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>alloca</b> <b></b>  alloue
<i>size</i> octets dans l'espace de pile de l'appelant. Cet espace temporaire est
automatiquement libr lors du retour de la fonction ayant invoqu
<b>alloca .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>alloca</b> <b></b>  renvoie un pointeur sur le dbut de la zone alloue. Si l'allocation choue
elle renvoie un pointeur
<b>NULL .</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">historique</h1>
<div class="paragraph">
Il semble que 
<b>alloca</b> <b></b>  soit apparue dans 32v, pwb, pwb.2, 3BSD, et 4BSD.
Il y a une page de manuel la dcrivant dans BSD 4.3.
Linux utilise la version GNU.
Cette fonction n'est dcrite ni par POSIX ni par SUSv3.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes sur la version gnu</h1>
<div class="paragraph">
Normalement,
<b>gcc</b> <b></b>  traduit l'appel de
<b>alloca</b> <b></b>  par du code en-ligne. Ceci n'est pas le cas si l'option -ansi ou l'option
-fno-builtin est fournie. Attention&nbsp;! par dfaut la version
GlibC de
<i>&lt;stdlib.h&gt;</i> inclue
<i>&lt;alloca.h&gt;</i> qui contient la ligne
.RS
# define alloca(size)   __builtin_alloca (size)

avec toutes les consquences fcheuses que cela entrane si on a une fonction
personnelle de ce nom.<br/><br/>
Le fait que le code soit dvelopp en ligne signifie qu'il est impossible de
prendre l'adresse de la fonction ou de changer son comportement en utilisant
une bibliothque diffrente.<br/><br/>
Le code en ligne consiste souvent une une seule instruction qui ajuste le pointeur
de pile et ne vrifie pas le dbordement de pile. Il n'y a donc pas
de retour d'erreur NULL.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
La fonction
<b>alloca</b> <b></b>  dpend de la machine et du compilateur. Son usage est dconseill.<br/><br/>
Sur beaucoup de systmes
<b>alloca</b> <b></b>  ne doit pas tre utilise au sein de la liste des arguments d'un appel de fonction,
car l'espace de pile rserv par
<b>alloca</b> <b></b>  se trouverait alors au milieu de l'espace utilis par les arguments de
la fonction.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>brk (2),</b>
<b>pagesize (2),</b>
<b>calloc (3),</b>
<b>malloc (3),</b>
<b>realloc (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
