<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 walter harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL -->
<!--  based on the description in glibc source and infopages -->
<!--   -->
<!--  Corrections and additions, aeb -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 21/07/2003 - LDP-1.56 -->
<br/><h1>ARGZ_ADD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
argz_add, argz_add_sep, argz_append, argz_count, argz_create,
argz_create_sep, argz_delete, argz_extract, argz_insert,
argz_next, argz_replace, argz_stringify - functions to handle an argz list
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<br/><br/>

<b>#include</b> <b></b>  <b>&lt;argz.h&gt;"</b> <b></b>  <br/><br/>

<b>error_t</b>
<b>argz_add(char **</b> argz <i>, size_t *</i> argz_len <b>, const char *</b> str );
<br/><br/>

<b>error_t</b>
<b>argz_add_sep(char **</b> argz <i>, size_t *</i> argz_len ,
.ti 20n
<b>const char *</b> str <i>, int </i> delim );
<br/><br/>

<b>error_t</b>
<b>argz_append(char **</b> argz <i>, size_t *</i> argz_len ,
.ti 20n
<b>const char *</b> buf <i>, size_t </i> buf_len );
<br/><br/>

<b>size_t</b>
<b>argz_count(const char *</b> argz <i>, size_t </i> argz_len );
<br/><br/>

<b>error_t</b>
<b>argz_create(char * const </b> argv <i>[], char **</i> argz ,
.ti 20n
<b>size_t *</b> argz_len );
<br/><br/>

<b>error_t</b>
<b>argz_create_sep(const char *</b> str <i>, int </i> sep <b>, char **</b> argz ,
.ti 20n
<b>size_t *</b> argz_len );
<br/><br/>

<b>error_t</b>
<b>argz_delete(char **</b> argz <i>, size_t *</i> argz_len <b>, char *</b> entry );
<br/><br/>

<b>void</b>
<b>argz_extract(char *</b> argz <i>, size_t </i> argz_len <b>, char  **</b> argv );
<br/><br/>

<b>error_t</b>
<b>argz_insert (char **</b> argz <i>, size_t *</i> argz_len <b>, char *</b> before ,
.ti 20n
<b>const char *</b> entry );
<br/><br/>

<b>char *</b>
<b>argz_next(char *</b> argz <i>, size_t </i> argz_len <b>, const char *</b> entry );
<br/><br/>

<b>error_t</b>
<b>argz_replace(char **</b> argz <i>, size_t *</i> argz_len <b>, const char *</b> str ,
.ti 20n
<b>const char *</b> with <i>, unsigned int *</i> replace_count );
<br/><br/>

<b>void</b>
<b>argz_stringify(char *</b> argz <i>, size_t </i> len <b>, int </b> sep );
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions sont spcifiques  la GlibC.<br/><br/>
Un vecteur argz est un pointeur sur un buffer de caractres associ  une longueur.
L'inteprtation voulue pour le buffer de cartactres est un tableau de chanes,
ou les chanes sont spares par des octets nuls.
Si la longueur est non nulle, le dernier octet du buffer doit tre nul.<br/><br/>
Ces fonctions servent  manipuler les vecteurs argz. La paire (NULL, 0)
est un vecteur argz, et rciproquement les vecteurs argz de longueur
zro doivent avoir un pointeur NULL.
L'allocation de vecteurs argz non nuls est faite avec
<b>malloc (3),</b>
afin que
<b>free (3)</b>
puisse tre utilis pour les librer.<br/><br/>
<b>argz_add()</b> <b></b>  ajoute la chane
<i>str</i>  la fin de la table
* argz ,</i>
et met  jour
* argz</i>
et
* argz_len .<br/><br/></i>
<b>argz_add_sep()</b> <b></b>  est similaire, mais dcoupe la chane
<i>str</i> en sous-chanes spares par le dlimiteur
<i>delim .</i>
Par exemple, on peut l'utiliser sur la liste de recherche des chemins Unix avec le
dlimiteur ':'.<br/><br/>
<b>argz_append()</b> <b></b>  ajoute le vecteur argz
( buf , buf_len )</i>
 la fin de
(* argz ,* argz_len )</i>
et met  jour
* argz</i>
et
* argz_len .</i>
(Donc,
* argz_len</i>
sera augmente de
<i>buf_len ).<br/><br/></i>
<b>argz_count()</b> <b></b>  compte le nombre de chanes, c'est--dire de caractres nuls dans le vecteur
( argz , argz_len ).<br/><br/></i>
<b>argz_create()</b> <b></b>  convertit un vecteur de type argv Unix
<i>argv ,</i>
termin par (char *) 0, en un vecteur argz
(* argz ,* argz_len ).<br/><br/></i>
<b>argz_create_sep()</b> <b></b>  convertit la chane termine par un caractre nul
<i>str</i> en un vecteur argz
(* argz ,* argz_len )</i>
en la dcoupant  chaque occurrence du sparateur
<i>sep .<br/><br/></i>
<b>argz_delete()</b> <b></b>  retire la sous-chane pointe par
<i>entry</i> du vecteur argz
(* argz ,* argz_len )</i>
et met  jour
* argz</i>
et
* argz_len .<br/><br/></i>
<b>argz_extract()</b> <b></b>  est l'inverse de
<b>argz_create() .</b>
Elle prend le vecteur argz
( argz , argz_len )</i>
et remplit la table commenant 
<i>argv</i> avec des pointeurs sur les sous-chaines, et un NULL final
en crant un vecteur de type argv Unix.
La table
<i>argv</i> doit avoir assez de place pour
<i>argz_count ( argz , argz_len </i>) + 1<i></i>
pointeurs.<br/><br/>
<b>argz_insert()</b> <b></b>  est l'oppose de 
<b>argz_delete() .</b>
Elle insre l'argument
<i>entry</i>  la position
<i>before</i> dans le vecteur argz
(* argz ,* argz_len )</i>
et met  jour
* argz</i>
et
* argz_len .</i>
Si
<i>before</i> est NULL, alors
<i>entry</i> est insre  la fin.<br/><br/>
<b>argz_next()</b> <b></b>  est une fonction pour se dplacer dans le vecteur argz. Si
<i>entry</i> est NULL, elle renvoie la premire entre. Sinon, l'entre
suivante est renvoye. Elle renvoie NULL s'il n'y a pas d'entre suivante.<br/><br/>
<b>argz_replace()</b> <b></b>  remplace chaque occurrence de
<i>str</i> avec
<i>with ,</i>
en rallouant argz si ncessaire. Si
<i>replace_count</i> est non-NULL,
* replace_count</i>
sera incrment du nombre de remplacements.<br/><br/>
<b>argz_stringify()</b> <b></b>  est l'oppose de
<b>argz_create_sep() .</b>
Elle transforme le vecteur argz en une chane normale en remplaant tous
les caractres nuls sauf le dernier par
<i>sep .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Tout les fonctions argz qui font de l'allocation mmoire ont un type de retour
<i>error_t</i>, et renvoient <b>0</b> si elles russissent et <b>ENOMEM</b>
si l'allocation choue.
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
Les vecteurs argz sans caractre nul final conduisent une faute de segmentation.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Ces fonctions sont des extensions GNU,  utiliser avec prcaution.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>envz (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
