<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2002 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  This replaces an earlier man page written by Walter Harms -->
<!--  &lt;walter.harms@informatik.uni-oldenburg.de&gt;. -->
<!--  -->
<!--  MJ 21/07/2003 LDP-1.56 --><br/><br/>
<br/><h1>ASSERT_PERROR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conforme </a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
assert_perror - Vrifie un code d'erreur et arrte le programme.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;assert.h&gt;</b> <b></b>  <br/><br/>

<b>void assert_perror(int </b> code_erreur );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Si la macro
<b>NDEBUG</b> <b></b>  est dfinie lors de la dernire inclusion de
<b>&lt;assert.h&gt; ,</b>
la macro
<b>assert_perror()</b> <b></b>  ne gnre aucun code, et donc n'a aucun effet.
Sinon, la macro
<b>assert_perror()</b> <b></b>  affiche un message d'erreur sur la sortie standard et termine le
programme en apellant
<b>abort()</b> <b></b>  si
<i>code_erreur</i> est non nul. Le message contient le nom du fichier, le nom de la
fonction et le numro de ligne de l'appel de la macro, ainsi que le
rsultat de
<i>strerror(code_erreur) .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Aucune valeur n'est renvoye.
</div><br/><br /><h1 class="TitreSection0" id="L5">conforme </h1>
<div class="paragraph">
Ceci est une extension GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Le but des macros d'assertion est d'aider le programmeur  trouver les
bogues dans son application, bogues rsultant d'erreur de programmation.
Cependant, avec les fonctions ou les appels systme, la situation est
diffrente et un retour en erreur peut (et va), et doit donc tre test.
Non pas par une assertion dont le test disparaitrait quand NDEBUG est
dfinie, mais en crivant correctement un gestionnaire d'erreur.
N'utilisez jamais cette macro.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>exit (3),</b>
<b>abort (3),</b>
<b>assert (3),</b>
<b>strerror (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2002</i></i>
<br/>
Christophe Blaess, 2003
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
