<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Mon Apr 12 13:06:15 1993, David Metcalfe -->
<!--  Modified Sat Jul 24 21:30:40 1993, Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 22/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>BSTRING</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
bstring, bcmp, bcopy, bzero, memccpy, memchr, memcmp, memcpy, memfrob, memmem, memmove, memset - Oprations sur des blocs d'octets.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;string.h&gt;</b> <b></b>  <br/><br/>

<b>int bcmp (const void *</b> s1 <i>, const void *</i> s2 <b>, int </b> n );
<br/><br/>

<b>void bcopy (const void *</b> src <i>, void *</i> dest <b>, int </b> n );
<br/><br/>

<b>void bzero (void *</b> s <i>, int </i> n );
<br/><br/>

<b>void *memccpy (void *</b> dest <i>, const void *</i> src <b>, int </b> c <i>, size_t </i> n );
<br/><br/>

<b>void *memchr (const void *</b> s <i>, int </i> c <b>, size_t </b> n );
<br/><br/>

<b>int memcmp (const void *</b> s1 <i>, const void *</i> s2 <b>, size_t </b> n );
<br/><br/>

<b>void *memcpy (void *</b> dest <i>, const void *</i> src <b>, size_t </b> n );
<br/><br/>

<b>void *memfrob (void *</b> s <i>, size_t </i> n );
<br/><br/>

<b>void *memmem (const void *</b> needle <i>, size_t </i> needlelen ,
.RS
<b>const void *</b> haystack <i>, size_t </i> haystacklen );

<br/><br/>

<b>void *memmove (void *</b> dest <i>, const void *</i> src <b>, size_t </b> n );
<br/><br/>

<b>void *memset (void *</b> s <i>, int </i> c <b>, size_t </b> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions agissent sur des blocs d'octets qui ne se terminent pas
ncessairement par le caractre NULL, contrairement aux chanes de
caractres. Reportez-vous aux pages de manuel spcifiques pour chacune
de ces fonctions.
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>bcmp (3),</b>
<b>bcopy (3),</b>
<b>bzero (3),</b>
<b>memccpy (3),</b>
<b>memchr (3),</b>
<b>memcmp (3),</b>
<b>memcpy (3),</b>
<b>memfrob (3),</b>
<b>memmem (3),</b>
<b>memmove (3),</b>
<b>memset (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
