<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 Mitchum DSouza &lt;m.dsouza@mrc-applied-psychology.cambridge.ac.uk&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  -->
<!--  Traduction 22/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 21/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>CATOPEN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">environnement</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">notes pour libc4 et libc5</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
catopen, catclose - Ouverture/fermeture d'un catalogue de messages.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;nl_types.h&gt;</b> <b></b>  <br/><br/>

<b>nl_catd catopen (char *</b> name <i>, int </i> flag );
<br/><br/>

<b>int catclose (nl_catd </b> catalog <i>);</i>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>catopen()</b> <b></b>  ouvre un catalogue de message, et en retourne un descripteur.
Celui-ci reste valide jusqu' un appel catclose() ou exec().
Si un descripteur de fichier est utilis pour implmenter le descripteur de
catalogue, il disposera de l'attribut FD_CLOEXEC.<br/><br/>
L'argument
<i>name</i> indique le nom du catalogue  ouvrir.
Si
<i>name</i> indique un chemin d'accs absolu (contenant un '/' )
alors il est employ comme chemin d'accs au catalogue.
Sinon, la variable d'environnement
<b>NLSPATH</b> <b></b>  est utilise, aprs avoir substitu
<i>name</i>  son argument
<b>%N</b> <b></b>  (voir
<b>locale (7)).</b>
Lorsque le processus  des privilges root, l'emploi ventuel de
<b>NLSPATH</b> <b></b>  n'est pas garanti.
Si
<b>NLSPATH</b> <b></b>  n'est pas dfinie dans l'environnement, ou si le catalogue de messages ne
peut tre ouvert dans aucun des chemins qu'elle contient, alors un chemin
prdfini, dpendant de l'implmentation, est utilis.
Ce dernier peut dpendre de la catgorie de localisation 
<b>LC_MESSAGES</b> <b></b>  si l'argument
<i>flag</i> vaut NL_CAT_LOCALE
ou de la variable d'environnement
<b>LANG</b> <b></b>  si l'argument
<i>flag</i> vaut zro.
Changer la partie LC_MESSAGES de la localisation, peut rendre invalides les
descripteurs de catalogues dj ouverts.<br/><br/>
L'argument
<i>flag</i> de
<b>catopen()</b> <b></b>  indique l'origine du langage  utiliser.
S'il vaut
<b>NL_CAT_LOCALE</b> <b></b>  alors il utilisera la configuration de la localisation pour
<b>LC_MESSAGES.</b>
Sinon, il utilisera la variable d'environnement
<b>LANG .<br/><br/></b>
La fonction
<b>catclose()</b> <b></b>  Ferme le catalogue identifi par
<i>catalog .</i>
Ceci invalide toute rfrence ultrieure au catalogue par le descripteur
<i>catalog .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph"><br/><br/>
La fonction
<b>catopen()</b> <b></b>  renvoie un descripteur de catalogue de messages, du type
<i>nl_catd</i> si elle russit.
En cas d'chec elle renvoie (nl_catd) -1,
et remplit
<i>errno</i> avec le code d'erreur. Les erreurs possibles incluent toutes celles
que peut renvoyer
<i>open (2).<br/><br/></i>
La fonction
<b>catclose()</b> <b></b>  renvoie 0 si elle russit, ou -1 en cas d'chec.
</div><br/><br /><h1 class="TitreSection0" id="L5">environnement</h1>
<div class="paragraph">
<br/><br/>

<b>LC_MESSAGES</b> <b></b>  Peut servir  dterminer le langage
 utiliser, si
<i>flag</i> vaut
<b>NL_CAT_LOCALE .</b>
<br/><br/>

<b>LANG</b> <b></b>  Le langage  utiliser, si
<i>flag</i> vaut zro.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Tout ceci correspond  la description de POSIX 1003.1-2001. La valeur
de NL_CAT_LOCALE dans la GlibC est 1.
(Voir MCLoadAll plus bas).
Le chemin par dfaut varie, mais il inclut en gnral plusieurs emplacements sous
<i>/usr/share/locale .</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes pour libc4 et libc5</h1>
<div class="paragraph">
Ces fonctions sont disponibles sous Linux depuis la version 4.4.4.c de libc.so, et
ultrieures.
Dans le cas des libc4 et libc5, le descripteur de catalogue
<i>nl_catd</i> est en ralite une zone de mmoire de projection <b>mmap()</b> et non pas
un descripteur de fichier.
L'argument
<i>flag</i> de
<b>catopen()</b> <b></b>  devrait tre soit
<b>MCLoadBySet</b> <b></b>  (= 0) soit
<b>MCLoadAll</b> <b></b>  (= 1).
La premire valeur indique qu'un ensemble du catalogue doit tre charg
quand le besoin s'en fait sentir, alors que la seconde rclame le chargement
em mmoire ds l'appel
<b>catopen ()</b>
initial.
Le chemin par dfaut varie, mais il inclut en gnral plusieurs emplacements sous
<i>/etc/locale</i> et
<i>/usr/lib/locale .</i>
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
POSIX 1003.1-2001.
Dans XPG 1987, Vol. 3 , il est dit&nbsp;:
<i>L'argument flag de catopen est rserv pour un usage futur</i> <i>et doit tre mis  0</i> .</i>
L'origine des constantes MCLoadBySet et MCLoadAll est inconnue.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>catgets (3),</b>
<b>setlocale (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
