<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2000 Nicols Lichtmaier &lt;nick@debian.org&gt; -->
<!--  Created 2000-07-22 00:52-0300 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  Traduction 29/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>ENCRYPT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoyes</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">exemple</a>
<br /><a class="summaryIndent0" href="#L6">note</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
encrypt, setkey, encrypt_r, setkey_r - Crypter des messages de 64 bits.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#define</b> <b></b>  <b>_XOPEN_SOURCE</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>void encrypt(char </b> block <i>[64], int </i> edflag );
<br/><br/>

<b>#define</b> <b></b>  <b>_XOPEN_SOURCE</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>void setkey(const char *</b> key );
<br/><br/>

<b>#define</b> <b></b>  <b>_GNU_SOURCE</b> <b></b>  <br/>
<b>#include &lt;crypt.h&gt;</b>
<br/><br/>

<b>void setkey_r (const char *</b> key <i>, struct crypt_data *</i> data );
<br/> 
<b>void encrypt_r (char *</b> block <i>, int </i> edflag <b>, struct crypt_data *</b> data );
<br/><br/>

dition des liens avec
<b>-lcrypt .</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonction cryptent et dcryptent des messages de 64 bits. La fonction
<b>setkey ()</b>
permet de fournir la cl  utiliser pour
<b>encrypt ().</b>
Le paramtre
<i>key</i> est une table d'octets, chacun ayant la valeur 0 ou 1. L'octet
<i>key[n]</i> o n=8*q-1 est ignor, ce qui ramne la cl  56 bits effectifs.<br/><br/>
La fonction
<b>encrypt ()</b>
modifie le buffer transmis, en le cryptant si le paramtre
<i>edflag</i> vaut 0, et en le dcryptant s'il vaut 1. Le paramtre
<i>block</i> est, comme le paramtre
<i>key ,</i>
une reprsentation de la valeur  encoder sous forme de vecteur de bits.
Le rsultat est renvoy dans le mme vecteur.<br/><br/>
Ces fonctions ne sont pas rentrantes, c'est--dire que la cl est stocke
dans une zone de stockage statique. Les fonctions
<b>setkey_r</b> <b></b>  <b>()</b> <b></b>  et
<b>encrypt_r</b> <b></b>  <b>()</b> <b></b>  sont des versions rentrantes. Elles utilisent la structure suivante pour
contenir la cl&nbsp;:
.RS

struct crypt_data {
      char keysched[16 * 8];
      char sb0[32768];
      char sb1[32768];
      char sb2[32768];
      char sb3[32768];
      char crypt_3_buf[14];
      char current_salt[2];
      long int current_saltbits;
      int  direction, initialized;
};



</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoyes</h1>
<div class="paragraph">
Ces routines ne renvoient pas de valeur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Mettez
<i>errno</i>  zro avant d'appeler les routines ci-dessus. Si elles russissent, il
n'est pas modifi. Sinon, il peut valoir&nbsp;:
<br/><br/>

<b>ENOSYS</b>
La fonction n'est pas disponible. (Par exemple  cause des restrictions
amricaines sur l'exportation de routines cryptographiques...)
</div><br/><br /><h1 class="TitreSection0" id="L6">exemple</h1>
<div class="paragraph">
Avec la GlibC 2.2, il faudra lier cet exemple avec la bibliothque libcrypt.
Pour servir  quelque chose, les tables key[] et txt[] devraient tre
remplies avec des zones significatives. Notez que l'en-tte &lt;crypt.h&gt; donne
toujours les prototypes de setkey() et encrypt().
<br/><br/>


#include &lt;crypt.h&gt;<br/><br/>
main() {
  char key[64];      /* bit pattern for key */
  char txt[64];      /* bit pattern for messages */
  setkey(key);
  encrypt(txt, 0);   /* encode */
  encrypt(txt, 1);   /* decode */
}


</div><br/><br /><h1 class="TitreSection0" id="L7">note</h1>
<div class="paragraph">
Dans la GlibC 2.2, ces fonctions utilisent l'algorithme DES.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
Les fonctions
<b>encrypt ()</b>
et
<b>setkey ()</b>
sont conformes ) SVID, SUSv2, et POSIX 1003.1-2001.
Les fonctions
<b>encrypt_r ()</b>
et 
<b>setkey_r ()</b>
sont des extensions GNU.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>cbc_crypt (3)</b>
<b>crypt (3)</b>
<b>ecb_crypt (3)</b>
<b>fcrypt (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
