<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 walter harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL -->
<!--  based on the description in glibc source and infopages -->
<!--   -->
<!--  Corrections and additions, aeb -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>ENVZ_ADD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">exemple</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
envz_add, envz_entry, envz_get, envz_merge, envz_remove, envz_strip - Support des chanes d'environnement.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<br/><br/>

<b>#include</b> <b></b>  <b>&lt;envz.h&gt;"</b> <b></b>  <br/><br/>

<b>error_t</b>
<b>envz_add(char **</b> envz <i>, size_t *</i> envz_len ,
.ti 16n
<b>const char *</b> nom <i>, const char *</i> valeur );
<br/><br/>

<b>char *</b>
<b>envz_entry(const char *</b> envz <i>, size_t *</i> envz_len <b>, const char *</b> nom );
<br/><br/>

<b>char *</b>
<b>envz_get(const char *</b> envz <i>, size_t *</i> envz_len <b>, const char *</b> nom );
<br/><br/>

<b>error_t</b>
<b>envz_merge(char **</b> envz <i>, size_t *</i> envz_len ,
.ti 16n
<b>const char *</b> envz2 <i>, size_t </i> envz2_len <b>, int </b> override );
<br/><br/>

<b>void</b>
<b>envz_remove(char **</b> envz <i>, size_t *</i> envz_len <b>, const char *</b> nom );
<br/><br/>

<b>void</b>
<b>envz_strip(char **</b> envz <i>, size_t *</i> envz_len );
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions sont spcifiques  la GlibC.<br/><br/>
Un vecteur argz est un pointeur sur un buffer de caractre associ  une longueur,
voyez
<b>argz_add (3).</b>
Un vecteur envz est un vecteur argz spcial, plus prcisment un dont les chanes
ont la forme "nom=valeur". Tout ce qui suit le '=' est considr comme la valeur.
S'il n'y a pas de '=', la valeur correspondant est NULL
(tandis qu'un '=' en dernire position indique une chane valeur vide "").<br/><br/>
Ces fonctions permettent la manipulation des vecteurs envz.<br/><br/>
<b>envz_add()</b> <b></b>  ajoute la chane
<i> nom = valeur </i></i>
(si
<i>valeur</i> n'est pas NULL) ou
<i> nom </i></i>
(si la
<i>valeur</i> est NULL) au vecteur envz
(* envz ,* envz_len )</i>
et met  jour
* envz</i>
et
* envz_len .</i>
Si une entre avec le mme
<i>nom</i> existe, elle est supprime.<br/><br/>
<b>envz_entry()</b> <b></b>  recherche le
<i>nom</i> dans le vecteur envz
( envz , envz_len )</i>
et renvoie son entre si elle est trouve, ou NULL sinon.<br/><br/>
<b>envz_get()</b> <b></b>  recherche le
<i>name</i> dans le vecteur envz
( envz , envz_len )</i>
et renvoie sa valeur si elle est trouve, et NULL sinon.
(Notez que la valeur peut aussi tre NULL, lorsqu'il y a un
entre pour
<i>nom</i> sans le signe '=')<br/><br/>
<b>envz_merge()</b> <b></b>  ajoute les entres de
<i>envz2</i> dans
* envz ,</i>
comme avec
<b>envz_add() .</b>
Si
<i>override</i> est vrai, alors les valeurs de
<i>envz2</i> craseront celles avec le mme nom dans
* envz ,</i>
sinon elles seront ignores.<br/><br/>
<b>envz_remove()</b> <b></b>  supprime l'entre correspondant au
<i>nom</i> du vecteur
(* envz ,* envz_len )</i>
si elle s'y trouve.<br/><br/>
<b>envz_strip</b> <b></b>  supprime toutes les entres avec une valeur NULL.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Toutes les fonctions envz qui font une allocation mmoire ont un type de
retour <i>error_t</i>, et renvoient <b>0</b> si elles russissent et <b>ENOMEM</b>
si une erreur d'allocation se produit.
</div><br/><br /><h1 class="TitreSection0" id="L5">exemple</h1>
<div class="paragraph">
<br/><br/>


#include &lt;stdio.h&gt;
#include &lt;envz.h&gt;
int
main(int argc, char *argv[], char *envp[]) {
	int i, e_len = 0;
	char *str;<br/><br/>
	for (i=0; envp[i] != NULL; i++)
		e_len += strlen(envp[i]) + 1;<br/><br/>
	str = envz_entry(*envp, e_len, "HOME");
	printf("%s\en", str);
	str = envz_get(*envp, e_len, "HOME");
	printf("%s\en", str);
	return 0;
}


</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Ces fonctions sont des extensions GNU  traiter avec prcaution.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>argz (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
