<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FGETWC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fgetwc, getwc - Lire une chane de caractres larges dans un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>wint_t fgetwc (FILE * </b> flux <i>);
<b>wint_t getwc (FILE * </b> flux <i>);


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>fgetwc</b> est l'quivalent pour les caractres larges de la
fonction <b>fgetc</b>. Elle lit un caractre large depuis le <i>flux</i> et le
renvoie. Si la fin du fichier est rencontre, elle retourne WEOF. Si une erreur
se produit lors de la conversion du caractre large, <b>errno</b> est positionne
 <b>EILSEQ</b> et WEOF est retourn. <br/><br/>
La fonction<b>getwc</b> fonctionne de manire identique 
<b>fgetwc</b>. Elle peut tre implmente sous forme de macro, et peut valuer
ses arguments plus d'une fois. Il n'existe plus aucune raison de l'utiliser.<br/><br/>
Pour des versions de ces fonctions ignorant les verrouillages, voir
<b>unlocked_stdio (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>fgetwc</b> renvoie le caractre large suivant du flux ou
WEOF.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Hormis les erreurs habituelles, on peut rencontrer&nbsp;:
<br/><br/>

<b>EILSEQ</b> <b></b>  Les donnes lues depuis le flux d'entre ne forment pas des caractres
corrects.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>fgetwc</b> dpend de la catgorie LC_CTYPE de la localisation
courante.<br/><br/>
En l'absence d'informations supplmentaires passes  l'appel fopen, il est
normal de prsumer que <b>fgetwc</b> va lire une squence multi-caractres du
flux puis la convertir en une chane  caractres larges.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>fputwc (3),</b>
<b>fgetws (3),</b>
<b>ungetwc (3),</b>
<b>unlocked_stdio (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Thierry Vignaud, 1999
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
