<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sat Jul 24 19:35:54 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 09/04/99 - LDP-man-pages-1.22 -->
<!--  Mise  jour 04/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FNMATCH</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fnmatch - Correspondance de noms de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;fnmatch.h&gt;</b> <b></b>  <br/><br/>

<b>int fnmatch (const char *</b> <i>pattern</i> <b>, const char *</b> string <i>, int </i>flags );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>fnmatch ()</b>
vrifie si l'argument
<i>string</i> correspond avec le motif
<i>pattern ,</i>
qui peut contenir des caractres gnriques.<br/><br/>
L'argument 
<i>flags</i> modifie le comportement de la fonction. C'est un <i>OU</i> binaire entre
zro ou plus des arguments suivants :
<br/><br/>

<b>FNM_NOESCAPE</b> <b></b>  Traiter le backslash (\\) comme un caractre ordinaire, et non pas un
caractre d'chappement.
<br/><br/>

<b>FNM_PATHNAME</b> <b></b>  Ne faire correspondre un slash (/) dans
<i>string</i> qu'avec un slash dans
<i>pattern ,</i>
et pas par exemple avec une squence [] contenant un slash.
<br/><br/>

<b>FNM_PERIOD</b> <b></b>  Un point en tte de
<i>string</i> doit correspondre avec un point dans
<i>pattern .</i>
Un point est considr comme en-tte de chane, s'il est le premier
caractre de
<i>string ,</i>
ou si 
<b>FNM_PATHNAME</b> <b></b>  <b></b>  est choisi, et si le point suit immdiatement un slash.
<br/><br/>

<b>FNM_FILE_NAME</b> <b></b>  Il s'agit d'un synonyme GNU de <b>FNM_PATHNAME</b>.
<br/><br/>

<b>FNM_LEADING_DIR</b> <b></b>  (Extension GNU), la correspondance est considre comme correcte si
le motif correspond  un segment initial de la chaine suivi d'un slash.
Cette option est rserve pour un usage interne dans la GlibC, et
n'est pas toujours implmente.
<br/><br/>

<b>FNM_CASEFOLD</b> <b></b>  (Extension GNU) Mise en correspondance sans diffrenciation des majuscules
et minuscules.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Zro si la chane
<i>string</i> correspond au motif
<i>pattern ,</i>
<b>FNM_NOMATCH</b> <b></b>  s'il n'y a pas correspondance, et une autre valeur non-nulle s'il y a erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/IEC 9945-2: 1993 (POSIX.2).
Les attributs
<b>FNM_FILE_NAME </b>, <b> FNM_LEADING_DIR </b>, et <b> FNM_CASEFOLD</b>
sont des extensions GNU
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>sh (1), </b>
<b>glob (3), </b>
<b>glob (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
