<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Wed Jul 28 11:12:26 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 19/07/1997 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FPATHCONF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fpathconf, pathconf - Lire les valeurs de configuration concernant un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>long fpathconf (int </b> filedes <i>, int </i> name );
.nl
<b>long pathconf (char *</b> path <i>, int </i> name );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>fpathconf()</b> <b></b>  retourne la valeur de l'option de configuration
<i>name</i> concernant le descripteur de fichier ouvert
<i>filedes .<br/><br/></i>
La fonction
<b>pathconf()</b> <b></b>  retourne la valeur de l'option de configuration
<i>name</i> concernant le fichier nomm
<i>path .<br/><br/></i>
Les macros correspondantes dfinissent, dans
<b>&lt;unistd.h&gt; ,</b>
des valeurs minimales. Si une application dsire tirer parti des valeurs
qui peuvent voluer, l'appel de
<b>fpathconf()</b> <b></b>  ou
<b>pathconf()</b> <b></b>  renvoie des rsultats plus prcis.<br/><br/>
Il faut mettre dans
<i>name</i> une des constantes suivantes pour obtenir la valeur de l'option de
configuration correspondante :
<br/><br/>

<b>_PC_LINK_MAX</b> <b></b>  renvoie le nombre maximal de liens sur le fichier. Si
<i>filedes</i> ou
<i>path</i> correspondent  un rpertoire, la valeur s'applique  l'ensemble
du rpertoire.
La macro correspondante est
<b>_POSIX_LINK_MAX .</b>
<br/><br/>

<b>_PC_MAX_CANON</b> <b></b>  renvoie la longueur maximale des lignes de saisie formate,
<i>filedes</i> ou
<i>path</i> doivent correspondre  un terminal.
La macro correspondante est
<b>_POSIX_MAX_CANON .</b>
<br/><br/>

<b>_PC_MAX_INPUT</b> <b></b>  renvoie la longueur maximale d'une ligne de saisie,
<i>filedes</i> ou
<i>path</i> doivent correspondre  un terminal.
La macro correspondante est
<b>_POSIX_MAX_INPUT .</b>
<br/><br/>

<b>_PC_NAME_MAX</b> <b></b>  renvoie la longueur maximale du nom de fichier que le processus
a le droit de crer dans les rpertoires
<i>path</i> ou
<i>filedes .</i>
La macro correspondante est
<b>_POSIX_NAME_MAX_ .</b>
<br/><br/>

<b>_PC_PATH_MAX</b> <b></b>  renvoie la longueur maximale des chemins d'accs relatifs quand
<i>path</i> ou
<i>filedes</i> est le rpertoire courant.
La macro correspondante est
<b>_POSIX_PATH_MAX.</b>
<br/><br/>

<b>_PC_PIPE_BUF</b> <b></b>  renvoie la taille du buffer d'un tube, quand
<i>filedes</i> correspond  un tube ou une FIFO, ou quand
<i>path</i> correspond  une FIFO.
La macro correspondante est
<b>_POSIX_PIPE_BUF .</b>
<br/><br/>

<b>_PC_CHOWN_RESTRICTED</b> <b></b>  renvoie une valeur non nulle si
<b>chown (2)</b>
peut tre utilis sur le fichier. Si
<i>filedes</i> ou
<i>path</i> est un rpertoire, alors ceci s'applique  l'ensemble des fichiers
dans ce rpertoire.
La macro correspondante est
<b>_POSIX_CHOWN_RESTRICTED .</b>
<br/><br/>

<b>_PC_NO_TRUNC</b> <b></b>  renvoie une valeur non nulle si l'accs  un nom de fichier plus long que
<b>_POSIX_NAME_MAX</b> <b></b>  dclenche une erreur.
La macro correspondante est
<b>_POSIX_NO_TRUNC .</b>
<br/><br/>

<b>_PC_VDISABLE</b> <b></b>  renvoie une valeur non nulle si la gestion des caractres spciaux peut
tre dsactive.
<i>filedes</i> ou
<i>path</i> doit correspondre  un terminal.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La limite demande est renvoye si elle existe.
Si le systeme n'a pas de limite pour la ressource rclame, -1 est
renvoy et <i>errno</i> est inchang.
S'il se produit une erreur -1 est renvoy, et <i>errno</i> contient le
code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
POSIX.1
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Les fichiers dont la longueur du nom excde la valeur renvoye pour
<i>name</i> valant
<b>_PC_NAME_MAX</b> <b></b>  peuvent exister dans le rpertoire considr.<br/><br/>
Certaines valeurs renvoyes sont normes. Elles ne sont pas utilisables
pour faire une allocation mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>getconf (1),</b>
<b>statfs (2),</b>
<b>open (2),</b>
<b>sysconf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
