<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>FPUTWC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conforme a</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fputwc, putwc - crire un caractre large dans un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>wint_t fputwc (wchar_t </b> wc <i>, FILE * </i> fichier );
<b>wint_t putwc (wchar_t </b> wc <i>, FILE * </i> fichier );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>fputwc</b> est l'quivalent pour les caractres larges de la
fonction <b>fputc</b>. Elle crit le caractre large <i>wc</i> dans
<i>fichier</i>. Si <i>ferror(fichier)</i> devient vraie, WEOF est renvoy. Si
une erreur de conversion du caractre large se produit, <b>errno</b> est
positionne  <b>EILSEQ</b>  et WEOF est renvoy. Sinon <i>wc</i> est renvoy.<br/><br/>
la fonction <b>putwc</b> est identique  <b>fputwc</b>. Elle peut tre
implmente comme une macro et donc valuer plusieurs fois son argument. Il n'y
a plus aucune raison de l'utiliser.<br/><br/>
Pour des versions de ces fonctions ignorant les verrouillages, voir
<b>unlocked_stdio (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>fputwc</b> renvoie <i>wc</i> si aucune erreur ne s'est produite,
ou WEOF sinon.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
En plus des erreurs usuelles associes  fputc, on peut rencontrer&nbsp;:
<br/><br/>

<b>EILSEQ</b> <b></b>  La conversion de <i>wc</i> vers l'encodage du fichier a chou.
</div><br/><br /><h1 class="TitreSection0" id="L6">conforme a</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>fputwc</b> dpend de la valeur de la locale LC_CTYPE
courrante.<br/><br/>
En l'absence d'informations supplmentaires passes  l'appel fopen, il est
raisonnable de penser que <b>fputwc</b> crira en fait la squence multi-octets
correspondant au caractre large <i>wc</i>.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>fgetwc (3),</b>
<b>fputws (3),</b>
<b>unlocked_stdio (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2000</i></i>
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
