<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  Chris Torek and the American National Standards Committee X3, -->
<!--  on Information Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)fread.3	6.6 (Berkeley) 6/29/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 15:37:33 1993, faith@cs.unc.edu -->
<!--  Sun Feb 19 21:26:54 1995 by faith, return values -->
<!--  Modified Thu Apr 20 20:43:53 1995 by Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  Modified Fri May 17 10:21:51 1996 by Martin Schulze &lt;joey@infodrom.north.de&gt; -->
<!--  -->
<!--  -->
<!--  Traduction 23/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 11/12/1997 (LDP man-pages 1.18) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FREAD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fread, fwrite - Entres/sorties binaires sur un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>size_t fread (void *</b> ptr <i>, size_t </i> size <b>, size_t </b> nmemb ,
<b>FILE *</b> stream );
<br/><br/>

<b>size_t fwrite (const void *</b> ptr <i>, size_t </i> size <b>, size_t </b> nmemb ,
<b>FILE *</b> stream );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>fread</b> <b></b>  lit
<i>nmemb</i> lments de donnes, chacun d'eux reprsentant
<i>size</i> octets de long, depuis le flux point par
<i>stream ,</i>
et les stocke  l'emplacement point par
<i>ptr .<br/><br/></i>
La fonction
<b>fwrite</b> <b></b>  crit
<i>nmemb</i> lments de donnes, chacun d'eux reprsentant
<i>size</i> octet de long, dans le flux point par
<i>stream ,</i>
aprs les avoir lus depuis l'emplacement point par
<i>ptr .<br/><br/></i>
Pour des versions de ces fonctions ignorant les verrouillages, voir
<b>unlocked_stdio (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>fread</b> <b></b>  et
<b>fwrite</b> <b></b>  renvoient
le nombre d'lments correctement lus ou crits (et non pas le nombre d'octets).
Si une erreur se produit, ou si la fin du fichier est atteinte en lecture,
le nombre renvoy est plus petit que
<i>nmemb</i> et peut mme tre nul.<br/><br/>
<b>fread</b> <b></b>  traite la fin du fichier comme une erreur, et l'appelant devra appeler
<b>feof (3)</b>
ou
<b>ferror (3)</b>
pour distinguer ce cas.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Les fonctions
<b>fread</b> <b></b>  et
<b>fwrite</b> <b></b>  sont conformes  ANSI X3.159-1989 (``ANSI C'').
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>read (2),</b>
<b>write (2),</b>
<b>feof (3),</b>
<b>ferror (3),</b>
<b>unlocked_stdio (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
