<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (c) 1993 Michael Haardt -->
<!--  (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Sat Jul 24 14:23:14 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  -->
<!--  Traduction 26/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 19/07/1997 -->
<!--  Mise  jour 09/04/1999 - LDP man-pages 1.22 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FTIME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">historique</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ftime - Obtenir la date et l'heure.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/timeb.h&gt;"</b> <b></b>  <br/><br/>

<b>int ftime (struct timeb *</b> tp );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>ftime</b> mmorise la date et l'heure dans une structure
<i>tp ,</i>
dclare ainsi&nbsp;:
<br/><br/>

.in +1i

struct timeb {
	time_t   time;
	unsigned short millitm;
	short    timezone;
	short    dstflag;
};


.in -1i<br/><br/>
Ici, <i>time</i> est le temps coul en secondes depuis le 1er Janvier 1970
 0h00, <i>millitm</i> contient jusqu' 1000 millisecondes depuis <i>time</i>,
<i>timezone</i> est le fuseau horaire local (mesur en minutes de temps  l'Ouest de Greenwich)
et <i>dstflag</i> est un drapeau indiquant, s'il est non-nul que le dcallage horaire d't
s'applique.<br/><br/>
De nos jours, le contenu de <i>timezone</i> et <i>dstflag</i> est indfini.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Cette fonction renvoie toujours 0.
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
Cette fonction est obsolte. Ne l'utilisez pas. Si la prcision de la seconde
vous suffit, utilisez
<b>time (2).</b>
Sinon
<b>gettimeofday (2)</b>
fournit des microsecondes, et
<b>clock_gettime (3)</b>
des nanosecondes, mais n'est pas disponible partout.<br/><br/> 
Sous LibC 4 et LibC 5, le champ millitm est sans signification.
Les premires GlibC 2 taient bugges, et renvoyaient toujours 0 dans ce champ. La
GlibC 2.1.1 est correcte.
</div><br/><br /><h1 class="TitreSection0" id="L6">historique</h1>
<div class="paragraph">
La fonction
<b>ftime()</b> <b></b>  est apparue sur 4.2BSD.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
BSD 4.2, POSIX 1003.1-2001.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>gettimeofday (2),</b>
<b>time (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
