<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 Giorgio Ciucci (giorgio@crcc.it) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  -->
<!--  Traduction 26/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FTOK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ftok - Convertir un nom de fichier et un identificateur de projet en cl IPC systme V.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/ipc.h&gt;</b> <b></b>  

<br/><br/>

<b>key_t ftok (char * </b> pathname <i>, int </i> proj );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>ftok</b> <b></b>  utilise l'identit du fichier indiqu par
<i>pathname</i> (qui doit exister et tre accessible), et les huit bits de poids faible de
<i>proj</i> (qui doit tre non nul) pour crer une cl IPC Systme V de type
<b>key_t ,</b>
utilisable avec
<b>msgget (2),</b>
<b>semget (2),</b>
ou
<b>shmget (2).<br/><br/></b>
La valeur rsultante est la mme pour tous les chemins d'accs identifiant
le mme fichier, en utilisant une valeur identique pour
<i>proj .</i>
La valeur devrait tre diffrente lorsque des fichiers diffrents (existants
simultanment), ou des identificateur de projet diffrents sont employs.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si elle russit, la fonction <b>ftok</b> renvoie la valeur de type
<b>key_t </b>
cre, sinon elle renvoie -1, et <b>errno</b> contient un code d'erreur parmi
ceux de l'appel-systme
<b>stat (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
XPG4
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Avec les bibliothques libc4 et libc5 (et galement sous SunOS 4.x), le prototype
tait
.RS
<b>key_t ftok(char *</b> pathname <i>, char </i> proj );

De nos jours
<i>proj</i> est un
<b>int ,</b>
mais seuls huit bits en sont utiliss. L'habitude veut qu'on utilise un caractre
ASCII comme identifiant 
<i>proj ,</i>
ce qui explique pourquoi le comportement est indfini lorsque
<i>proj</i> vaut zro.<br/><br/>
Naturellement aucune garantie ne peut tre donn que la cl
<b>key_t</b> <b></b>  rsultante soit unique. En gnral on combine l'octet
<i>proj ,</i>
les seize bits de poids faibles du numro d'i-noeud, et les huit bits
de poids faibles du numro de priphrique pour obtenir un entier sur 32 bits.
Des collisions peuvent se produire facilement
(car on n'utilise pas le numro majeur de
priphrique), par exemple entre les fichiers se trouvant sur
<i>/dev/hda1</i> et ceux sur
<i>/dev/sda1 .</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>ipc (5),</b>
<b>msgget (2),</b>
<b>semget (2),</b>
<b>shmget (2),</b>
<b>stat (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
