<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!-- 	$NetBSD: fts.3,v 1.13.2.1 1997/11/14 02:09:32 mrg Exp $ -->
<!--  -->
<!--  Copyright (c) 1989, 1991, 1993, 1994 -->
<!-- 	The Regents of the University of California.  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)fts.3	8.5 (Berkeley) 4/16/94 -->
<!--  Traduction 01/09/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FTS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">fts_open</a>
<br /><a class="summaryIndent0" href="#L4">fts_read</a>
<br /><a class="summaryIndent0" href="#L5">fts_children</a>
<br /><a class="summaryIndent0" href="#L6">fts_set</a>
<br /><a class="summaryIndent0" href="#L7">fts_close</a>
<br /><a class="summaryIndent0" href="#L8">erreurs</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">conformit</a>
<br /><a class="summaryIndent0" href="#L11">disponibilit	</a>
<br /><a class="summaryIndent0" href="#L12">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fts, fts_open, fts_read, fts_children, fts_set, fts_close - Descente d'arborescence de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/types.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;sys/stat.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;fts.h&gt;</b> <b></b>  <br/><br/>

<b></b>  <b>FTS</b> <b></b>  <b>*</b> <b></b>  <b>fts_open (char * const</b> <i>*path_argv</i> <b>, int </b> <i>options</i> <b>, int</b>  <i>(*compar)(const FTSENT **, const FTSENT **)</i> <b>);</b>
<br/><br/>

<b></b>  <b>FTSENT</b> <b></b>  <b>*</b> <b></b>  <b>fts_read (FTS *</b> <i>ftsp</i> <b>);</b>
<br/><br/>

<b></b>  <b>FTSENT</b> <b></b>  <b>*</b> <b></b>  <b>fts_children (FTS *</b> <i>ftsp</i> <b>, int </b> <i>options</i> <b>);</b>
<br/><br/>

<b></b>  <b>int</b> <b></b>  <b>fts_set (FTS *</b> <i>ftsp</i> <b>, FTSENT *</b> <i>f</i> <b>, int </b> <i>options</i> <b>);</b>
<br/><br/>

<b></b>  <b>int</b> <b></b>  <b>fts_close (FTS *</b> <i>ftsp</i> <b>);</b>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions de la famille
<b></b>  <b>fts</b> <b></b>  servent  traverser des hirarchies de fichiers
<i>UNIX .<br/><br/></i>
Rapidement, disons que la fonction
<b></b>  <b>fts_open</b> <b></b>  renvoie une sorte de descripteur de la hirarchie de fichiers, que l'on fournit
ensuite aux autres fonctions de la famille
fts .<br/><br/>
La fonction
<b></b>  <b>fts_read</b> <b></b>  renvoie un pointeur sur une structure dcrivant l'un des fichiers de l'arborescence.<br/><br/>
La fonction
<b></b>  <b>fts_children</b> <b></b>  renvoie un pointeur sur une liste chane de structures, chacune dcrivant l'un des
fichiers contenu dans le rpertoire de la hirarchie.
En gnral, les rpertoires sont visits  deux reprises, distinctes. Un passage en ordre
<i>pre-order</i> avant d'avoir parcouru leurs descendants, et un passage en ordre
<i>post-order</i> aprs avoir visit tous les sous-rpertoires.
Les fichiers ne sont examins qu'une seule fois.
Il est possible de parcourir la hirarchie ``logiquement'' (en ignorant les liens symboliques) ou
``physiquement'' (en visitant les liens symboliques). On peut ordonner le parcours de la hirarchie,
ignorer ou visiter plusieurs fois certaines parties.<br/><br/>
Deux structures sont dfinies (par typedef) dans le fichier d'entte
<b>&lt;fts.h&gt; .</b>
La premire est
<b>FTS ,</b>
une structure reprsentant l'arborescence des fichiers elle-mme,
et la seconde est
<b>FTSENT ,</b>
une structure reprsentant un fichier dans la
hirarchie.
Normalement, une structure
<b></b>  <b>FTSENT</b> <b></b>  est renvoye pour chaque fichier 
rencontr dans la hirarchie.
Dans cette page de manuel, les termes ``fichier'' et structure
<b>FTSENT</b> <b></b>  sont gnralement
interchangeables.
La structure
<b></b>  <b>FTSENT</b> <b></b>  contient au moins les champs suivants, dcrits en dtail
plus bas :
<br/><br/>


<b></b>  <b>typedef</b> <b></b>  <b>struct</b> <b></b>  <b>_ftsent</b> <b></b>  <b>{"</b> <b></b>  <b>    u_short </b> <i>fts_info;          </i> <b>/* flags for FTSENT structure */</b>
<b>    char *  </b> <i>fts_accpath;       </i> <b>/* access path */</b>
<b>    char *  </b> <i>fts_path;          </i> <b>/* root path */</b>
<b>    short   </b> <i>fts_pathlen;       </i> <b>/* strlen(fts_path) */</b>
<b>    char *  </b> <i>fts_name;          </i> <b>/* file name */</b>
<b>    short   </b> <i>fts_namelen;       </i> <b>/* strlen(fts_name) */</b>
<b>    short   </b> <i>fts_level;         </i> <b>/* depth (-1 to N) */</b>
<b>    int     </b> <i>fts_errno;         </i> <b>/* file errno */</b>
<b>    long    </b> <i>fts_number;        </i> <b>/* local numeric value */</b>
<b>    void *  </b> <i>fts_pointer;       </i> <b>/* local address value */</b>
<b>    struct ftsent *</b> <i>fts_parent; </i> <b>/* parent directory */</b>
<b>    struct ftsent *</b> <i>fts_link;   </i> <b>/* next file structure */</b>
<b>    struct ftsent *</b> <i>fts_cycle;  </i> <b>/* cycle structure */</b>
<b>    struct stat *  </b> <i>fts_statp;  </i> <b>/* stat(2) information */</b>
<b></b>  <b>}</b> <b></b>  <b>FTSENT;"</b> <b></b>  
<br/><br/>
Les membres ont les significations suivantes :
<br/><br/>

<b>fts_info</b> <b></b>  L'un des attribut suivants, dcrivant la structure
<b>FTSENT</b> <b></b>  et le fichier
qu'elle reprsente.
Toutes ces entres sont terminales (sauf les rpertoires
<i>FTS_D</i> ne prsentant pas d'erreur), ce qui signifie
qu'elle ne seront visites qu'une seule fois, et que leur
ventuels descendants (cas des rpertoires en erreur) ne seront pas visits.
<br/><br/>

<i>FTS_D </i> :<i></i>
Un rpertoire visit en phase pr-order.
<br/><br/>

<i>FTS_DC </i> :<i></i>
Un rpertoire introduisant une boucle dans l'arborescence.
(Le champ
<b>fts_cycle</b> <b></b>  de la structure
<b>FTSENT</b> <b></b>  sera galement remplis).
<br/><br/>

<i>FTS_DEFAULT </i> :<i></i>
Toute structure
<b></b>  <b>FTSENT</b> <b></b>  reprsentant un type de fichier non dcrit explicitement par
l'une des autres valeurs de
<b>fts_info .</b>
<br/><br/>

<i>FTS_DNR </i> :<i></i>
Un rpertoire ne pouvant tre lu.
Ceci est considr comme une erreur, et le champ
<b>fts_errno</b> <b></b>  sera rempli avec une valeur dcrivant sa cause.
<br/><br/>

<i>FTS_DOT </i> :<i></i>
Un fichier nomm 
<b>.</b> <b> ou </b> <b>..</b></b>
qui n'a pas t indiqu explicitement comme argument de
<b></b>  <b>fts_open</b> <b></b>  (voir
<i>FTS_SEEDOT ). </i>
<br/><br/>

<i>FTS_DP </i> :<i></i>
Un rpertoire visit en phase post-order. Le contenu de la
structure
<b>FTSENT</b> <b></b>  ne sera pas diffrent de ce qu'il tait 
durant la phase pr-order. C'est  dire quand le champ
<b>fts_info</b> <b></b>  valait
<i>FTS_D .</i>
<br/><br/>

<i>FTS_ERR </i> :<i></i>
Il s'agit d'un retour d'erreur, le champ
<b>fts_errno</b> <b></b>  tant rempli pour indiquer la cause de l'erreur.
<br/><br/>

<i>FTS_F </i> :<i></i>
Fichier normal.
<br/><br/>

<i>FTS_NS </i> :<i></i>
Un fichier pour lequel aucune information provenant de
<b>stat (2)</b>
n'est disponible. Le contenu du champ
<b>fts_statp</b> <b></b>  est indfini. Il s'agit d'un cas d'erreur dont la cause est indique dans
<b>fts_errno .</b>
<br/><br/>

<i>FTS_NSOK </i> :<i></i>
Un fichier pour lequel aucune information provenant de
<b>stat (2)</b>
n'a t demande. Le contenu du champ
<b>fts_statp</b> <b></b>  est indfini.
<br/><br/>

<i>FTS_SL </i> :<i></i>
Un lien symbolique.
<br/><br/>

<i>FTS_SLNONE </i> :<i></i>
Un lien symbolique pointant dans le vide.
Le contenu du champ 
<b>fts_statp</b> <b></b>  contient les caractristiques du lien lui-mme.
<br/><br/>

<b>fts_accpath</b> <b></b>  Un chemin permettant d'accder au fichier depuis le rpertoire courrant.
<br/><br/>

<b>fts_path</b> <b></b>  Le chemin d'accs au fichier  partir du point de dpart du parcours.
Il contient en prfixe le chemin fourni lors de l'invocation de
<b>fts_open .</b>
<br/><br/>

<b>fts_pathlen</b> <b></b>  La longueur de la chane pointe par
<b>fts_path .</b>
<br/><br/>

<b>fts_name</b> <b></b>  Le nom du fichier.
<br/><br/>

<b>fts_namelen</b> <b></b>  La longueur de la chane pointe par
<b>fts_name .</b>
<br/><br/>

<b>fts_level</b> <b></b>  La profondeur o le fichier a t trouv dans l'arborescence, numrote de -1  N.
La structure 
<b>FTSENT</b> <b></b>  reprsentant le parent du point de dpart est numrote -1.
La structure
<b>FTSENT</b> <b></b>  reprsentant la racine de dpart elle-mme est numrote 0.
<br/><br/>

<b>fts_errno</b> <b></b>  Dans une structure
<b></b>  <b>FTSENT</b> <b></b>  renvoye par un appel
<b>fts_children ()</b>
ou
<b>fts_read (),</b>
dont le champ
<b>fts_info</b> <b></b>  contient
<i>FTS_DNR ,</i>
<i> FTS_ERR</i> ou
<i>FTS_NS ,</i>
le champ
<b></b>  <b>fts_errno</b> <b></b>  est rempli avec la valeur de la variable externe
<i> errno</i> indiquant la cause de l'erreur.
Dans les autres cas, le contenu du champ
<b>fts_errno</b> <b></b>  est indfini.
<br/><br/>

<b>fts_number</b> <b></b>  Ce champ est mis  la disposition des programmes applicatifs, et
n'est modifi par aucune fonction de la famille
<b>fts .</b>
Il est toutefois initialis  zro.
<br/><br/>

<b>fts_pointer</b> <b></b>  Ce champ est mis  la disposition des programmes applicatifs, et
n'est modifi par aucune fonction de la famille
<b>fts .</b>
Il est toutefois initialis  NULL.
<br/><br/>

<b>fts_parent</b> <b></b>  Un pointeur sur la structure
.Fa FTSENT
rfrenant le fichier dans la hirarchie imdiatement
au dessus du fichier en cours, c'est  dire le rpertoire auquel il appartient.
Une structure
<b>fts_parent</b> <b></b>  pour le point d'entre initial est galement fournie, mais seuls ses membres
<b>fts_level ,</b>
<b>fts_number</b> <b></b>  et
<b>fts_pointer</b>
sont garantis d'tre initialiss.
<br/><br/>

<b>fts_link</b> <b></b>  Au retour de la fonction
<b>fts_children (),</b>
le champ
<b></b>  <b>fts_link</b> <b></b>  pointe sur la structure suivante dans la liste chane des membres du rpertoires,
liste termine par un NULL.
Dans les autres situations, le contenu du champ
<b></b>  <b>fts_link</b> <b></b>  est indtermin.
<br/><br/>

<b>fts_cycle</b> <b></b>  Si un rpertoire introduit une boucle dans la hirarchie (voir
<i>FTS_DC ),</i>
soit  cause d'un lien physique entre deux rpertoires, soit  cause d'un lien
symbolique pointant vers un rpertoire, le champ
<b>fts_cycle</b> <b></b>  pointera vers la structure
<b></b>  <b>FTSENT</b> <b></b>  de la hirarchie qui rfrence le mme fichier que celui reprsent par la structure
<b>FTSENT .</b>
Sinon, le contenu du champ
<b></b>  <b>fts_cycle</b> <b></b>  est indfini.
<br/><br/>

<b>fts_statp</b> <b></b>  Un pointeur vers les informations fournies par
<b>stat (2)</b>
pour le fichier.<br/><br/>
Un unique buffer est utilis pour tous les chemins d'accs de tous les fichiers
de la hirarchie.
Ainsi, les champs
<b></b>  <b>fts_path</b> <b></b>  et
<b>fts_accpath</b> <b></b>  ne sont assurs d'tre termins par un caractre nul
<b>que</b> <b></b>  pour le dernier fichier renvoy par
<b>fts_read .</b>
<!--  To use these fields to reference any files represented by other -->
<!--  <b>FTSENT</b> <b></b>  <b>--></b> <b></b>  <!--  structures will require that the path buffer be modified using the -->
<!--  information contained in that -->
<!--  <b></b>  <b>FTSENT</b> <b></b>  <b>--></b> <b></b>  <!--  structure's -->
<!--  <b></b>  <b>fts_pathlen</b> <b></b>  <b>--></b> <b></b>  <!--  field. -->
<!--  Any such modifications should be undone before further calls to -->
<!--  <b></b>  <b>fts_read</b> <b></b>  <b>--></b> <b></b>  <!--  are attempted. -->
Le champ
<b>fts_name</b> <b></b>  est toujour termin par un caractre nul.
</div><br/><br /><h1 class="TitreSection0" id="L4">fts_open</h1>
<div class="paragraph">
La fonction
<b>fts_open</b> <b></b>  reoit un pointeur vers une table de chanes de caractres reprsentant
un ou plusieurs chemins dcrivant la hirarchie de fichiers  traverser.
Cette table doit se terminer par un pointeur
<b>NULL .<br/><br/></b>
Il existe un certain nombre d'options, dont au moins une est obligatoire 
( FTS_LOGICAL</b>
ou
<b>FTS_PHYSICAL ).</b>
Les options sont slectionnes par un
<b>OU</b> <b></b>  logique entre les valeurs suivantes :
<br/><br/>

<i>FTS_COMFOLLOW </i> :<i></i>
Tout lien symbolique spcifi comme racine du parcours sera immdiatement
suivi (drfrenc), que l'option
<i> FTS_LOGICAL</i> soit aussi indique ou non.
<br/><br/>

<i>FTS_LOGICAL </i> :<i></i>
Renvoyer des structures
<b></b>  <b>FTSENT</b> <b></b>  concernant les cibles des liens symboliques plutt que
les liens eux-mmes. Avec cette options, les seuls liens
symboliques pour lesquels une structure
<b></b>  <b>FTSENT</b> <b></b>  est renvoye sont ceux pointant dans le vide.
Il
<b>faut</b> <b></b>  prciser soit
<i> FTS_LOGICAL ,</i>
soit
<i> FTS_PHYSICAL .</i>
<br/><br/>

<i>FTS_NOCHDIR </i> :<i></i>
Pour optimiser les performances, les fonctions
<b></b>  <b>fts</b> <b></b>  changent de rpertoire au cours de la traverse de la hirarchie de fichiers.
En contrepartie l'application ne peut pas savoir  l'avance o elle se
trouve durant la traverse. L'option
<i> FTS_NOCHDIR</i> supprime cette optimisation et les fonctions
<b></b>  <b>fts</b> <b></b>  ne changeront pas de rpertoire de travail.
Remarquez que les applications ne doivent pas modifier elles-mme le rpertoire
de travail et essayer d'accder aux fichiers sans que l'option
<i> FTS_NOCHDIR</i> ne soit spcifie et que des chemins d'accs absolus soit transmis 
<b> fts_open .</b>
<br/><br/>

<i>FTS_NOSTAT </i> :<i></i>
Par dfaut, les structures
<b></b>  <b>FTSENT</b> <b></b>  renvoyes contiennent les caractristiques (voir le champ
<b>statp )</b>
de chaque fichier visit.
Cette option relche cette contrainte pour optimiser les performances,
en autorisant les fonctions 
<b></b>  <b>fts</b> <b></b>   remplir le champ
<b></b>  <b>fts_info</b> <b></b>  avec
<i> FTS_NSOK</i> et laisser le contenu du membre
<b></b>  <b>statp</b> <b></b>  indfini.
<br/><br/>

<i>FTS_PHYSICAL </i> :<i></i>
Les structures
<b></b>  <b>FTSENT</b> <b></b>  renvoyes concerneront les liens symboliques eux-mmes
et non pas leurs cibles.
Il
<b>faut</b> <b></b>  indiquer soit
<i>FTS_LOGICAL ,</i>
soit
<i> FTS_PHYSICAL</i>  la fonction
<b>fts_open .</b>
<br/><br/>

<i>FTS_SEEDOT </i> :<i></i>
Par dfaut,  moins d'tre fournis explicitement en argument 
<b></b>  <b>fts_open</b> <b></b>  <b></b> ,<b></b>  tout fichier nomm
<b>.</b> <b></b>  ou
<b></b>  <b>..</b> <b></b>  rencontr dans la hirarchie est ignor.
Avec cette option, les routines
<b></b>  <b>fts</b> <b></b>  renvoient des structures
<b></b>  <b>FTSENT</b> <b></b>  pour ces fichiers.
<br/><br/>

<i>FTS_XDEV </i> :<i></i>
Cette option empche
<b></b>  <b>fts</b> <b></b>  de descendre dans les rpertoires se trouvant sur un priphrique diffrent
de celui dans lequel le parcours a commenc.<br/><br/>
L'argument
<i> compar</i> spcifie une fonction dfinie par l'utilisateur pour ordonner la traverse de la hirarchie.
Elle prend en argument deux pointeurs sur des pointeurs sur des structures
<b> FTSENT ,</b>
et doit renvoyer une valeur ngative, nulle, ou positive pour indiquer que le fichier
reprsent par le premier argument doit venir avant,  n'importe quel moment, ou aprs
le fichier rfrenc par le second argument.
Les champs
<b>fts_accpath ,</b>
<b></b>  <b>fts_path</b> <b></b>  et
<b></b>  <b>fts_pathlen</b> <b></b>  des structures
<b></b>  <b>FTSENT</b> <b></b>  ne doivent
<b></b>  <b>jamais</b> <b></b>  tre utiliss dans cette comparaison.
Si le champ
<b></b>  <b>fts_info</b> <b></b>  contient
<i> FTS_NS</i> ou
<i>FTS_NSOK ,</i>
le membre
<b></b>  <b>fts_statp</b> <b></b>  ne doit pas tre utilis non plus.
Si l'argument
<i> compar</i> est
<i> NULL ,</i>
l'ordre de traverse des rpertoires est celui de l'argument
<b></b>  <b>path_argv</b> <b></b>  pour les racines, et l'ordre interne des rpertoires pour le reste.
</div><br/><br /><h1 class="TitreSection0" id="L5">fts_read</h1>
<div class="paragraph">
La fonction
<b></b>  <b>fts_read</b> <b></b>  renvoie un pointeur sur une structure
<b></b>  <b>FTSENT</b> <b></b>  dcrivant un fichier de la hirarchie.
Les rpertoires lisibles et ne causant pas de boucles sont parcourus au moins
deux foix, une fois en phase pr-order, et une en phase post-order.
Les autres fichiers ne sont examins qu'une seule fois.
Les liens physiques entre rpertoires qui ne causent pas de boucles, ou les liens
symboliques vers des liens symboliques peuvent entrainer des fichiers visits plus
d'une fois, ou des rpertoires plus de deux fois.<br/><br/>
Si tous les membres de la hirarchie ont t examins,
<b></b>  <b>fts_read</b> <b></b>  renvoie
<i> NULL</i> et remplit la variable externe
<i> errno</i> avec un 0.
Si une erreur sans rapport avec un fichier particulier se produit,
<b></b>  <b>fts_read</b> <b></b>  renvoie
<i> NULL</i> et remplit
<b></b>  <b>errno</b> <b></b>  en consquence.
Si une erreur concernant le fichier en cours se produit, un pointeur sur une structure
<b></b>  <b>FTSENT</b> <b></b>  est renvoy, et
<i> errno</i> peut ou non tre rempli (voir
<b></b>  <b>fts_info</b> <b></b>  <b>)</b> <b></b>  <b>.<br/><br/></b> <b></b>  Les structures
<b></b>  <b>FTSENT</b> <b></b>  renvoyes par
<b></b>  <b>fts_read</b> <b></b>  peuvent tre crases aprs un appel 
<b></b>  <b>fts_close</b> <b></b>  sur le mme descripteur de hirarchie ou aprs un appel 
<b></b>  <b>fts_read</b> <b></b>  sur la mme hirarchie, sauf si elles reprsentent un rpertoire, auquel cas
elles ne seront pas crases avant l'appel
<b></b>  <b>fts_read</b> <b></b>  renvoyant la structure
<b></b>  <b>FTSENT</b> <b></b>  du rpertoire en phase post-order.
</div><br/><br /><h1 class="TitreSection0" id="L6">fts_children</h1>
<div class="paragraph">
La fonction
<b></b>  <b>fts_children</b> <b></b>  renvoie un pointeur sur la structure
<b></b>  <b>FTSENT</b> <b></b>  dcrivant la premire entre d'un liste chane termine par un NULL et
reprsentant les fichiers se trouvant dans le rpertoire indiqu par la dernire structure
<b></b>  <b>FTSENT</b> <b></b>  renvoye par un appel
<b> fts_read .</b>
La liste est chane par le biais du membre
<b></b>  <b>fts_link</b> <b></b>  de la structure
<b>FTSEN ,</b>
et est ordonne suivant la routine de comparaison fournie par l'utilisateur, si elle existe.
Des appels rpts 
<b></b>  <b>fts_children</b> <b></b>  recreront la liste chane.<br/><br/>
Un cas particulier se prsente si
<b></b>  <b>fts_read</b> <b></b>  n'a pas encore t appel pour cette hirarchie. Alors,
<b></b>  <b>fts_children</b> <b></b>  renverra un pointeur sur les fichiers du rpertoire logique transmis
<b> fts_open ,</b>
c'est  dire les arguments fournis 
<b></b>  <b>fts_open</b> <b></b>  <b>.</b> <b></b>  Sinon, si la structure
<b></b>  <b>FTSENT</b> <b></b>  la plus rcemment renvoye par
<b></b>  <b>fts_read</b> <b></b>  n'est pas un rpertoire visit en phase pr-order, ou si le rpertoire
ne contient aucun fichier, 
<b></b>  <b>fts_children</b> <b></b>  renvoie
<i> NULL</i> et met la variable externe
<i> errno</i>  zro.
Si une erreur se produit,
<b></b>  <b>fts_children</b> <b></b>  renvoie
<i> NULL</i> et remplit
<i> errno</i> comme il se doit.<br/><br/>
Les structures
<b></b>  <b>FTSENT</b> <b></b>  renvoyes par 
<b></b>  <b>fts_children</b> <b></b>  peuvent tre crases aprs un appel
<b>fts_children ,</b>
<b></b>  <b>fts_close</b> <b></b>  ou
<b></b>  <b>fts_read</b> <b></b>  sur la mme hirarchie de fichiers.<br/><br/>
<i> Option</i> peut contenir l'une des valeurs suivantes&nbsp;:
<br/><br/>

<i>FTS_NAMEONLY </i> :<i></i>
Seuls les noms des fichiers sont ncessaires. Le contenu des membres
des structures de la liste chane est indfini sauf pour
<b></b>  <b>fts_name</b> <b></b>  et
<b> fts_namelen .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">fts_set</h1>
<div class="paragraph">
La fonction
<b></b>  <b>fts_set</b> <b></b>  permet  l'application de paramtrer le traitement  venir du fichier
<b></b>  <b>f</b> <b></b>  sur la hirarchie.
<b> ftsp .</b>
La fonction
<b></b>  <b>fts_set</b> <b></b>  renvoie 0 si elle russit, et -1 si une erreur se produit.
<i> Option</i> doit contenir l'une des valeurs suivantes&nbsp;:
<br/><br/>

<i>FTS_AGAIN </i> :<i></i>
Re-visiter  nouveau le fichier. N'importe quel type de fichier peut tre re-visit.
L'appel suivant de
<b></b>  <b>fts_read</b> <b></b>  renverra le fichier indiqu.
Les membres 
<b></b>  <b>fts_stat</b> <b></b>  et
<b></b>  <b>fts_info</b> <b></b>  de la structure seront rinitialiss  ce moment, mais aucun autre champ
ne sera modifi.
Cette option n'a de sens que pour le dernier fichier renvoy par
<b> fts_read .</b>
L'utilisation habituelle de cette possibilit concerne les rpertoires en
phase post-order, qui sont alors r-examins (aussi bien en phase pr-order
que post-order), ainsi que leurs descendants.
<br/><br/>

<i>FTS_FOLLOW </i> :<i></i>
Le fichier rfrenc doit tre un lien symbolique. Si ce fichier est le dernier renvoy par
<b></b>  <b>fts_read</b> <b></b>  <b></b> ,<b></b>  alors l'appel suivant de
<b></b>  <b>fts_read</b> <b></b>  renverra le fichier, avec les champs
<b></b>  <b>fts_info</b> <b></b>  et
<b></b>  <b>fts_statp</b> <b></b>  rinitialiss pour reprsenter la cible du lien symbolique plutt que le lien lui-mme.
Si le fichier est le dernier renvoy par
<b> fts_children ,</b>
alors les membres
<b></b>  <b>fts_info</b> <b></b>  et 
<b></b>  <b>fts_statp</b> <b></b>  de la structure, lorsqu'elle sera renvoye par
<b> fts_read ,</b>
reprsenteront la cible du lien symbolique plutt que le lien lui-mme.
Dans tous les cas, si la cible du lien symbolique n'existe pas, les membres
de la structure ne seront pas modifis, et le champ
<b></b>  <b>fts_info</b> <b></b>  contiendra
<i>FTS_SLNONE .</i>
Si la cible du lien est un rpertoire, il y aura un retour pr-order, suivi
d'un retour pour chaque descendant, suivi d'un retour post-order.
<br/><br/>

<i>FTS_SKIP </i> :<i></i>
Aucun descendant de ce fichier ne sera visit.
Le fichier doit tre le dernier renvoy par
<b></b>  <b>fts_children</b> <b></b>  ou
<b>fts_read .</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">fts_close</h1>
<div class="paragraph">
La fonction
<b></b>  <b>fts_close</b> <b></b>  ferme un descripteur
<i> fts</i> de hirarchie de fichier, et restitue le rpertoire de travail qui tait en vigueur lors de l'appel
<b> fts_open .</b>
La fonction
<b></b>  <b>fts_close</b> <b></b>  renvoie 0 si elle russit, et -1 en cas d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L9">erreurs</h1>
<div class="paragraph">
La fonction
<b></b>  <b>fts_open</b> <b></b>  peut chouer, et mettre dans 
<i> errno</i> l'une des erreurs indiques pour les fonctions
<b>open (2)</b>
et
<b>malloc (3).<br/><br/></b>
La fonction
<b></b>  <b>fts_close</b> <b></b>  peut chouer, et mettre dans 
<i> errno</i> l'une des erreurs indiques pour les fonctions
<b>chdir (2)</b>
et
<b>close (2).<br/><br/></b>
Les fonctions
<b></b>  <b>fts_read</b> <b></b>  et
<b></b>  <b>fts_children</b> <b></b>  peuvent chouer, et mettre dans 
<i> errno</i> l'une des erreurs indiques pour les fonctions
<b>chdir (2),</b>
<b>malloc (3),</b>
<b>opendir (3),</b>
<b>readdir (3)</b>
et
<b>stat (2).<br/><br/></b>
De plus
<b>fts_children ,</b>
<b></b>  <b>fts_open</b> <b></b>  et
<b></b>  <b>fts_set</b> <b></b>  peuvent chouer, et mettre dans 
<i> errno</i> l'une des erreurs suivantes&nbsp;:
<br/><br/>

<i>EINVAL</i>
Une option est invalide.
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
<b>find (1),</b>
<b>chdir (2),</b>
<b>stat (2),</b>
<b>qsort (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L11">conformit</h1>
<div class="paragraph">
BSD 4.4. La famille de fonctions
<b></b>  <b>fts</b> <b></b>  sera peut tre incluse dans une future mise  jour de 
<b>-p1003.1-88 .</b>
</div><br/><br /><h1 class="TitreSection0" id="L12">disponibilit	</h1>
<div class="paragraph">
Ces fonctions sont disponibles sous Linux depuis la bibliothque GlibC 2.
</div><br/><br /><h1 class="TitreSection0" id="L13">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.<br/><br/>

								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
