<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de), Sun Jul 18 17:47:18 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Sun Jul 25 11:02:22 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 26/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 11/12/1997 (LDP man-pages 1.18) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>FTW</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ftw, nftw - Parcours d'arborescence de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;ftw.h&gt;</b> <b></b>  <br/><br/>

<b>int ftw (const char *</b> directory <i>, int (*</i> funcptr <b>)</b>
<b>(const char *</b> file <i>, const struct stat *</i> sb <b>, int </b> flag <i>), int </i> depth );
<br/><br/>

<b>int nftw (const char *</b> directory <i>, int (*</i> funcptr <b>)</b>
<b>(const char *</b> file <i>, const struct stat *</i> sb <b>, int </b> flag ,
<b>struct FTW *</b> s ),
<b>int </b> depth <i>, int </i> flags );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>ftw</b>() parcourt la hirarchie de fichiers commenant au
rpertoire <i>directory</i>.
Pour chaque fichier rencontr, elle appelle <i>funcptr</i> avec le chemin
d'accs du fichier relativement  <i>directory</i>, un pointeur sur une
structure
<b>stat (2),</b>
et un entier <i>flag</i>, dont la valeur signifie&nbsp;:
<br/><br/>

<b>FTW_F</b> <b></b>  Fichier normal
<br/><br/>

<b>FTW_D</b> <b></b>  Rpertoire
<br/><br/>

<b>FTW_DNR</b> <b></b>  Rpertoire non lisible
<br/><br/>

<b>FTW_SL</b> <b></b>  Lien symbolique
<br/><br/>

<b>FTW_NS</b> <b></b>  Echec de stat sur cet lment<br/><br/>
S'il s'agit d'un lien symbolique et que stat choue, XPG4v2 prcise que
FTW_NS ou FTW_SL peuvent tre utiliss.<br/><br/>
<b>ftw</b>() s'appelle lui-mme recursivement pour parcourir tous les
rpertoires trouvs. Afin d'viter d'utiliser tous les descripteurs de
fichiers disponibles pour le programme, la profondeur <i>depth</i>
limite le nombre de rpertoires ouverts simultanment. Quand cette 
profondeur est atteinte, <b>ftw</b>() va ralentir, car des rpertoires
devront tre ferms puis rouverts.<br/><br/>
Pour arrter le parcours des fichiers, la fonction <i>funcptr</i> peut
renvoyer une valeur non-nulle, qui deviendra la valeur de retour de <b>ftw</b>().
Sinon, <b>ftw</b>() continuera jusqu' atteindre la fin du parcours de
l'arbre, et renverra zro, ou jusqu' ce que se produise une erreur comme
celles de 
<b>malloc (3)</b>
et renverra -1.<br/><br/>
Comme <b>ftw()</b> utilise des structures de donnes alloues dynamiquement,
la seule manire propre de sortir d'un parcours est de renvoyer une valeur
non nulle.
Pour traiter les interruptions, par exemple, notez le numro d'interruption
survenue et renvoyez une valeur non nulle. N'utilisez jamais
<b>longjmp (3)</b>
 moins que le programme ne soit prt  se terminer.<br/><br/>
La fonction <b>nftw</b>() fait exactement la mme chose que <b>ftw</b>(),
sauf qu'elle utilise un argument <i>flags</i> supplmentaire (et invoque
la fonction transmise avec un argument de plus).
L'argument <i>flags</i> est un OU regroupant zro ou certaines des constantes :
<br/><br/>

<b>FTW_CHDIR</b> <b></b>  Faire un
<i>chdir ()</i>
dans chaque rpertoire avant d'en traiter le contenu.
<br/><br/>

<b>FTW_DEPTH</b> <b></b>  Faire une recherche en profondeur d'abord, c'est--dire n'appeler la fonction
pour le rpertoire lui-mme qu'aprs en avoir trait tout le contenu, y
compris les sous-rpertoires.
<br/><br/>

<b>FTW_MOUNT</b> <b></b>  Rester uniquement dans le mme systme de fichiers.
<br/><br/>

<b>FTW_PHYS</b> <b></b>  Ne pas suivre les liens symboliques (C'est classiquement ce que l'on veut).
Sinon, les liens symboliques sont suivis, mais aucun fichier n'est trait
plus d'une fois.<br/><br/>
Si FTW_PHYS n'est pas demand, mais si FTW_DEPTH l'est, la fonction
. IR funcptr ()
n'est jamais appele sur un rpertoire que l'on retrouve dans ses descendants.<br/><br/>
La fonction
<i>funcptr ()</i>
est appele avec quatre arguments : le chemin de l'entre traite, un pointeur
sur une structure stat la concernant, un entier dcrivant son type, et un
pointeur sur une structure FTW. Le type sera FTW_F, FTW_D, FTW_DNR, FTW_SL,
ou FTW_NS (significations ci-dessus, FTW_SL uniquement si FTW_PHYS est
demand) ou
<br/><br/>

<b>FTW_DP</b> <b></b>  Rpertoire dont tous les descendants on t dj traits.
Ceci ne se produit qu'avec FTW_DEPTH.
<br/><br/>

<b>FTW_SLN</b> <b></b>  Lien symbolique pointant nulle part.
Ceci ne se produit qu'avec FTW_PHYS absent.<br/><br/>
La structure FTW pointe par le quatrime argument de
<i>funcptr ()</i>
contient au moins les champs
<i>base ,</i>
la position du nom de fichier dans le chemin fourni par le premier
argument de
<i>funcptr (),</i>
et
<i>level ,</i>
la profondeur de l'objet par rapport au point de dpart
(de profondeur 0).
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
La fonction
<i>nftw ()</i>
et l'usage de FTW_SL dans
<i>ftw ()</i>
ont t introduits dans XPG4v2.<br/><br/>
Sur certains systmes
<i>ftw ()</i>
n'utilise jamais FTW_SL, sur d'autres FTW_SL ne se prsente que
pour les liens symboliques pointant dans le vide,
sur d'autres encore
<i>ftw ()</i>
utilisera FTW_SL pour chaque lien symbolique. Pour un fonctionnement prvisible,
employez
<i>nftw ().<br/><br/></i>
Sous Linux, les LibC 4, LibC 5, et GlibC 2.0.6 utilisent FTW_F pour tous
les objets (fichiers, liens symboliques, fifos, etc.) ne permettant pas un
stat, mais autres que les rpertoires.
La fonction
<i>nftw ()</i>
est disponible depuis la GlibC 2.1.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
AES, SVID2, SVID3, XPG2, XPG3, XPG4, XPG4v2.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>stat (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
