<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1989, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)getpass.3	6.5 (Berkeley) 5/21/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 14:41:51 1993, faith@cs.unc.edu -->
<!--  -->
<!--  Traduction 03/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 21/07/1997 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GETPASS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">fichiers</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">historique</a>
<br /><a class="summaryIndent0" href="#L9">bogues</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getpass - Saisie d'un mot de passe (password).
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>char</b> <b></b>  <b>*getpass</b> <b></b>  <b>(const</b> <b></b>  <b>char</b> <b></b>  <b>*"</b> <b></b>  <b>prompt</b> <b></b>  <b>);</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette fonction est obsolte, ne l'utilisez pas !<br/><br/>
La fonction
<b>getpass</b> <b></b>  ouvre
<i>/dev/tty</i> (le terminal de contrle du processus)
affiche le message d'accueil 
<i>prompt ,</i>
teint l'cho local, lit une ligne (le mot de passe), puis restore l'tat de
<i>/dev/tty </i> et le referme.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>getpass</b> <b></b>  renvoie un pointeur sur une chane de caractres alloue statiquement
contenant (les PASS_MAX premiers caractre du) mot de passe sans le retour
chariot final, termin par un caractre nul.
Ce buffer peut tre cras par un autre appel.
En cas d'erreur, l'tat du terminal est restaur,
<i>errno</i> est rempli, et la fonction renvoie NULL.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
La fonction peut chouer dans les cas suivants :
<br/><br/>

<b>ENXIO</b> <b></b>  Le processus n'a pas de terminal de contrle.
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Dans les versions LibC4 et LibC5, le message n'est pas affich sur
<i>/dev/tty</i> mais sur
<i>stderr .</i>
De plus, si
<i>/dev/tty</i> ne peut tre ouvert, le mot de passe est lu depuis
<i>stdin .</i>
Le buffer statique a une longueur de 128 octets, aussi seulement 127
carctres du mot de passe sont renvoys. Durant la lecture, les signaux
(SIGINT, SIGQUIT, SIGSTOP) sont dsactivs et les caractres de contrle
correspondant (en gnral Ctrl-C, Ctrl-\e, Ctrl-Z et Ctrl-Y) sont transmis
comme part intgrante du mot de passe.
Depuis la LibC5.4.19, l'dition de ligne est galement dsactive, ainsi
les retours en arrires etc. seront prsents dans le mot de passe.<br/><br/>
Pour la GlibC 2, si
<i>/dev/tty</i> ne peut pas tre ouvert, le message est envoy sur
<i>stderr</i> et le mot de passe lu sur
<i>stdin .</i>
Il n'y a pas de limite  la longueur du mot de passe. L'dition de ligne
n'est pas dsactive.<br/><br/>
D'aprs SUSv2, la valeur de PASS_MAX doit tre dfinie dans
<i>&lt;limits.h&gt;</i> au cas o elle est infrieure  8, et doit tre toujours accessible avec
<i>sysconf(_SC_PASS_MAX) .</i>
Quoiqu'il en soit, POSIX.2 retire les constantes PASS_MAX et _SC_PASS_MAX,
ainsi que la fonction
<b>getpass</b> <b></b>  <b>().</b> <b></b>  LibC 4 et LibC5 n'ont jamais utilis PASS_MAX ou _SC_PASS_MAX. GlibC 2
accepte _SC_PASS_MAX et renvoie BUFSIZ (par exemple 8192).
</div><br/><br /><h1 class="TitreSection0" id="L7">fichiers</h1>
<div class="paragraph">
<i>/dev/tty</i> </div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>crypt (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">historique</h1>
<div class="paragraph">
Une fonction
<b>getpass</b> <b></b>  est apparue dans la Version 7 d'AT&T UNIX.
</div><br/><br /><h1 class="TitreSection0" id="L10">bogues</h1>
<div class="paragraph">
Le processus appelant doit effacer le mot de passe saisi aussi vite que
possible, afin d'viter d'en conserver une copie en texte clair dans
son espace d'adressage.
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
