<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  @(#)getrpcent.3n	2.2 88/08/02 4.0 RPCSRC; from 1.11 88/03/14 SMI -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GETRPCENT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">diagnostics</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getrpcent, getrpcbyname, getrpcbynumber, setrpcent, endrpcent - Lire une entre RPC.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

.ft B
#include &lt;netdb.h&gt;<br/><br/>
.ft B
struct rpcent *getrpcent()<br/><br/>
.ft B
struct rpcent *getrpcbyname(nom)
char *nom;<br/><br/>
.ft B
struct rpcent *getrpcbynumber(nombre)
int nombre;<br/><br/>
.ft B
setrpcent (stayopen)
int stayopen;<br/><br/>
.ft B
endrpcent ()


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/>
<b>getrpcent() ,</b>
<b>getrpcbyname() ,</b>
et
<b>getrpcbynumber()</b> <b></b>  renvoient chacune un pointeur sur un objet ayant la structure suivante et
contenant les champs d'une entre de la base de donnes des programmes RPC
<b>/etc/rpc .</b>
.RS<br/><br/>

.ft B
struct	rpcent {
	char	*r_nom;	/* nom du serveur pour ce programme RPC */
	char	**r_aliases;	/* liste d'alias */
	long	r_nombre;	/* numro de programme RPC */
};
.ft R


<br/><br/>
Les membres de cette structure sont:
.RS<br/><br/>D 0
<br/><br/>
 20
<b>r_nom</b> <b></b>  Le nom du serveur pour ce programme RPC.
<br/><br/>
 20
<b>r_aliases</b> <b></b>  Une liste d'alias (alias pour le programme RPC) termine par un zro.
<br/><br/>
  20
<b>r_nombre</b> <b></b>  Le numro de programme RPC pour ce service.<br/><br/>D
<br/><br/>
<b>getrpcent()</b> <b></b>  lit la ligne suivante du fichier, l'ouvrant si ncessaire.<br/><br/>
<b>getrpcent()</b> <b></b>  ouvre le fichier. Si le drapeau
<i>stayopen</i> est non-nul, la base de donnes restera ouverte entre les appels
<b>getrpcent()</b> <b></b>  (directs, ou indirects par l'un des autres appels
\*(lqgetrpc\*(rq).<br/><br/>
<b>endrpcent</b> <b></b>  ferme le fichier.<br/><br/>
<b>getrpcbyname()</b> <b></b>  et
<b>getrpcbynumber()</b> <b></b>  recherchent squentiellement depuis le dbut du fichier jusqu' ce qu'un
nom ou un numro de programme RPC faisant l'affaire soit trouv ou jusqu' la
fin du fichier.
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph"><br/><br/>D 0
<br/><br/>
 20
<b>/etc/rpc<br/><br/>D</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>rpc (5),</b>
<b>rpcinfo (8C),</b>
<b>ypserv (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">diagnostics</h1>
<div class="paragraph"><br/><br/>
Un pointeur
.SM NULL
est renvoy  la fin du fichier
.SM (EOF)
ou en cas d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph"><br/><br/>
Toutes les informations sont stockes dans une zone statique et doivent donc
tre copies si on dsire les conserver.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 1999</i></i>
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
