<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Wed Jul 28 11:12:07 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Fri Sep  8 15:48:13 1995 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Traduction 03/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 11/12/1997 (LDP man-pages 1.18) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GETS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
gets, fgetc, fgets, getc, getchar, ungetc - Saisie de caractres et de chanes.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int fgetc (FILE *</b> stream );
.nl
<b>char * fgets (char * </b> s <i>, int </i> size <b>, FILE * </b> stream );
.nl
<b>int getc (FILE * </b> stream );
.nl
 <b>int getchar (void);</b>
.nl
<b>char * gets (char * </b> s );
.nl
<b>int ungetc (int </b> c <i>, FILE * </i> stream );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>fgetc()</b> <b></b>  lit le caractre suivant depuis le flux
<i>stream </i> et le renvoie sous forme d'un
<b>unsigned char</b> ,</b>
transform en
<b>int ,</b>
ou
<b>EOF</b> <b></b>  en cas d'erreur ou de fin de fichier.<br/><br/>
<b>getc()</b> <b></b>  est quivalent 
<b>fgetc()</b> <b></b>  sauf qu'il peut tre implement sous forme de macro, qui value l'argument
<i>stream</i> plusieurs fois.<br/><br/>
<b>getchar()</b> <b></b>  est quivalent 
<b>getc(</b> stdin ).<br/><br/>
<b>gets()</b>
lit une ligne depuis
<i>stdin</i> et la place dans le buffer point par
<i>s</i> jusqu' atteindre un retour-chariot, ou
<b>EOF ,</b>
qu'il remplace par
<b>'\e0' .</b>
Il n'y a pas de vrification de dbordement de buffer (voir plus bas la section
<b>BOGUE</b>
plus bas).<br/><br/>
<b>fgets()</b> <b></b>  lit au plus 
<i>size - 1</i> caractres depuis
<i>stream</i> et les place dans le buffer point par
<i>s .</i>
La lecture s'arrte aprs
<b>EOF</b> <b></b>  ou un retour-chariot. Si un retour-chariot (newline) est lu, il est
plac dans le buffer. Un caractre nul
<b>'\e0'</b> <b></b>  est plac  la fin de la ligne.<br/><br/>
<b>ungetc()</b> <b></b>  replace le caractre
<i>c</i> dans le flux
<i>stream ,</i>
en le transformant en
<b>unsigned char</b> ,</b>
o il sera disponible pour une lecture ultrieure.
Les caractres replacs seront renvoys en ordre inverse.
Le fonctionnement n'est garantit que pour le replacement d'un seul
caractre.<br/><br/>
Les fonctions dcrites ci-dessus peuvent tre utilises conjointement,
ainsi qu'avec les autres fonctions de lecture de la bibliothque
<b>stdio .<br/><br/></b>
Pour les versions de ces fonctions ignorant les verrouillages, voir
<b>unlocked_stdio (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>fgetc() , </b> getc() <b> et </b> getchar()<b></b>
renvoie un caractre, lu comme un
<b>unsigned char</b> ,</b>
et transform en 
<b>int ,</b>
ou
<b>EOF</b> <b></b>   la fin du fichier, ou en cas d'erreur.<br/><br/>
<b>gets() </b> et <b> fgets()</b>
renvoient le pointeur
<i>s</i> si elles russissent, et
<b>NULL</b> <b></b>  en cas d'erreur, ou si la fin de fichier est atteinte avant d'avoir pu
lire au moins un caractre.<br/><br/>
<b>ungetc()</b> <b></b>  renvoie
<i>c</i> s'il reussit, ou
<b>EOF</b> <b></b>  en cas d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ANSI - C, POSIX.1
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
N'utilisez jamais
<b>gets ().</b>
Comme il est impossible de savoir  l'avance combien de caractres seront lus par
<b>gets() </b>, <b></b>
et comme celui-ci
crira tous les caractres lus, mme s'ils dbordent du buffer, cette fonction
est extrmement dangereuse  utiliser. On a dj utilis ce dysfonctionnement
pour crer des trous de scurit.
UTILISEZ TOUJOURS
<b>fgets()</b> <b></b>  A LA PLACE DE
<b>gets() .<br/><br/></b>
Il est fortement dconseill de mlanger les appels aux fonctions de lecture
de la bibliothque
<b>stdio</b> <b></b>  avec les appels aux fonctions de lecture bas-niveau
<b>read()</b> <b></b>  sur le descripteur de fichier associ au flux. Les rsultats sont indfinis,
et trs probablement indsirables.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>read (2),</b>
<b>write (2),</b>
<b>fopen (3),</b>
<b>fread (3),</b>
<b>scanf (3),</b>
<b>puts (3),</b>
<b>fseek (3),</b>
<b>ferror (3),</b>
<b>unlocked_stdio (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
