<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1995 Mark D. Roth (roth@uiuc.edu) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Solaris manpages -->
<!--  -->
<!--  Traduction 03/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>GETUTENT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">exemple</a>
<br /><a class="summaryIndent0" href="#L5">fichiers</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
getutent, getutid, getutline, pututline, setutent, endutent, utmpname - Accder aux enregistrements utmp.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;utmp.h&gt;</b> <b></b>  <br/><br/>

<b>struct</b> <b></b>  <b>utmp</b> <b></b>  <b>*getutent</b> <b></b>  <b>(void);</b> <b></b>  <br/>
<b>struct utmp *getutid (struct utmp *</b> ut );
<br/>
<b>struct utmp *getutline (struct utmp *</b> ut );
<br/><br/>

<b>void pututline (struct utmp *</b> ut );
<br/><br/>

<b>void</b> <b></b>  <b>setutent</b> <b></b>  <b>(void);</b> <b></b>  <br/>
<b>void</b> <b></b>  <b>endutent</b> <b></b>  <b>(void);</b> <b></b>  <br/><br/>

<b>void utmpname (const char *</b> file );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>utmpname()</b> indique le nom du fichier au format utmp  utiliser avec les
autres fonctions. Si <b>utmpname()</b> n'est pas appel avant les autres fonctions,
elles utiliseront le fichier <b>_PATH_UTMP</b>, dfini dans <i>&lt;paths.h&gt;</i>.<br/><br/>
<b>setutent()</b> ramne le pointeur au dbut du fichier utmp. Il est gnralement
conseill d'appeler cette fonction au dbut du programme.<br/><br/>
<b>endutent()</b> ferme le fichier utmp.  Ceci devrait tre appel une fois que le
programme a termin ses accs au fichier.<br/><br/>
<b>getutent()</b> lit une ligne du fichier utmp,  la position courante.
Elle renvoie un pointeur sur une structure contenant les divers champs
de la ligne.<br/><br/>
<b>getutid()</b> effectue une recherche dans le fichier utmp,  partir de la position
courante, en se basant sur <i>ut</i>.
Si <i>ut</i>-&gt;ut_type vaut <b>RUN_LVL</b>, <b>BOOT_TIME</b>,
<b>NEW_TIME</b>, ou <b>OLD_TIME</b>,
<b>getutid()</b> recherchera le premier enregistrement dont le champ
ut_type corresponde  <i>ut</i>-&gt;ut_type.<br/><br/>
Si <i>ut</i>-&gt;ut_type vaut <b>INIT_PROCESS</b>, <b>LOGIN_PROCESS</b>,
<b>USER_PROCESS</b>, ou <b>DEAD_PROCESS</b>,
<b>getutid()</b> recherchera le premier enregistrement dont le champ
ut_id corresponde  <i>ut</i>-&gt;ut_id.<br/><br/>
<b>getutline()</b> effectue une recherche dans le fichier utmp,  partir de la position
courante.
Elle examine les enregistrements dont le champ ut_type soit <b>USER_PROCESS</b>
ou <b>LOGIN_PROCESS</b> et renvoie le premier dont le champ <b>ut_line</b> corresponde
 <i>ut</i>-&gt;<b>ut_line</b>.<br/><br/>
<b>pututline()</b> crit la structure utmp <i>ut</i> dans le fichier utmp.  Elle
utilise <b>getutid()</b> pour rechercher l'emplacement ou insrer le nouvel
enregistrement.
Si elle ne trouve pas d'emplacement appropri <b>pututline()</b> ajoutera le
nouvel enregistrement  la fin du fichier.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>getutent</b>(), <b>getutid</b>(), <b>getutline</b>() et <b>pututline</b>()
renvoient un pointeur sur une
<b>struct utmp</b> statique, dfinie dans <i>&lt;utmp.h&gt;</i> comme ci-dessous,
ou NULL en cas d'erreur.<br/><br/>

struct utmp {
  short  ut_type;     /* Type de connexion         */
  pid_t  ut_pid;      /* PID de la connexion       */
  char   ut_line[12]; /* Priphrique de connexion */
  char   ut_id[4];    /* Nom de tty abrg         */
  time_t ut_time;     /* Heure de connexion        */
  char   ut_user[8];  /* Nom d'utilisateur         */
  char   ut_host[16]; /* Nom d'hte distant        */
  long   ut_addr;     /* Adresse IP d'hte distant */
};


</div><br/><br /><h1 class="TitreSection0" id="L5">exemple</h1>
<div class="paragraph">
L'exemple suivant ajoute et retire un enregistrement utmp, en supposant
qu'il est invoqu depuis un pseudo-terminal. Dans une vritable application,
il faudrait vrifier les valeurs renvoyes par <b>getpwuid</b>() et
<b>ttyname</b>().<br/><br/>

#include &lt;string.h&gt;
#include &lt;stdlib.h&gt;
#include &lt;pwd.h&gt;
#include &lt;unistd.h&gt;
#include &lt;utmp.h&gt;<br/><br/>
   int
main (int argc, char * argv [])
{
   struct utmp entry;<br/><br/>
   system ("echo Avant d ajouter un enregistrement :;who");<br/><br/>
   entry . ut_type = USER_PROCESS;
   entry . ut_pid  = getpid();
   
   strcpy (entry . ut_line, ttyname (0) + strlen ("/dev/"));<br/><br/>
   /* ne fonctionne qu'avec les pseudo tty /dev/tty[pqr][0-9a-z] */<br/><br/>
   strcpy (entry . ut_id, ttyname (0) + strlen ("/dev/tty"));<br/><br/>
   time (& entry.ut_time);
   strcpy (entry . ut_user, getpwuid (getuid ()) -&gt; pw_name);
   memset (entry . ut_host, 0, UT_HOSTSIZE);
   entry . ut_addr = 0;
   setutent ();
   pututline (& entry);<br/><br/>
   system ("echo Apres l ajout :;who");<br/><br/>
   entry . ut_type = DEAD_PROCESS;
   memset (entry.ut_line, 0, UT_LINESIZE);
   entry . ut_time = 0;
   memset (entry . ut_user, 0, UT_NAMESIZE);
   setutent ();
   pututline (& entry);<br/><br/>
   system ("echo Apres suppression de l enregistrement :;who");<br/><br/>
   endutent ();<br/><br/>
   return (0);
}


</div><br/><br /><h1 class="TitreSection0" id="L6">fichiers</h1>
<div class="paragraph">
/var/run/utmp - Base de donnes des utilisateurs connects.
<br/>
/var/log/wtmp - Base de donnes des connexions passes.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
XPG 2, SVID 2, Linux FSSTND 1.2<br/><br/>
Dans XPG2 et SVID2  la fonction <i>pututline()</i> est dcrite comme
de type void, et c'est les cas sur de nombreux systmes
(AIX, HPUX, Linux libc5).
HPUX introduit une nouvelle fonction <i>_pututline()</i> avec le prototype
fourni plus haut pour <i>pututline()</i> (comme avec la libc5 de Linux).<br/><br/>
Toutes ces fonctions sont obsoltes maintenant sur les systmes non-Linux.
POSIX 1003.1-2001, comme XPG4.2, ne propose aucune de ces fonctions,
mais utilise plutt
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;utmpx.h&gt;</b> <b></b>  <br/><br/>

<b>struct</b> <b></b>  <b>utmpx</b> <b></b>  <b>*getutxent(void);</b> <b></b>  <br/>
<b>struct</b> <b></b>  <b>utmpx</b> <b></b>  <b>*getutxid(const</b> <b></b>  <b>struct</b> <b></b>  <b>utmpx</b> <b></b>  <b>*);</b> <b></b>  <br/>
<b>struct</b> <b></b>  <b>utmpx</b> <b></b>  <b>*getutxline(const</b> <b></b>  <b>struct</b> <b></b>  <b>utmpx</b> <b></b>  <b>*);</b> <b></b>  <br/>
<b>struct</b> <b></b>  <b>utmpx</b> <b></b>  <b>*pututxline(const</b> <b></b>  <b>struct</b> <b></b>  <b>utmpx</b> <b></b>  <b>*);</b> <b></b>  <br/>
<b>void</b> <b></b>  <b>setutxent(void);</b> <b></b>  <br/>
<b>void</b> <b></b>  <b>endutxent(void);</b> <b></b>  <br/><br/>

La structure <i>utmpx</i> est un sur-ensemble de la structure <i>utmp</i>,
avec des champs supplmentaires, et une version plus large des champs existants.
Les fichiers correspondants sont souvent
<i>/var/*/utmpx</i> et
<i>/var/*/wtmpx .<br/><br/></i>
D'un autre ct, la GlibC sous Linux n'utilise pas <i>utmpx</i> car sa structure
<i>utmp</i> est dj assez grande. Les fonctions <i>getutxent</i>
etc. sont des alias pour <i>getutent</i> etc.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>utmp (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
