<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Wed Jul 28 11:12:17 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Mon May 13 23:08:50 1996 by Martin Schulze (joey@linux.de) -->
<!--  -->
<!--  -->
<!--  Traduction 03/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 14/12/1998 - LDP-man-pages-1.21 -->
<!--  Mise  jour 29/12/1998 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GLOB</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">exemples</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
glob, globfree - Rechercher un chemin d'accs correspondant  un motif.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;glob.h&gt;</b> <b></b>  <br/><br/>

<b>int glob (const char * </b> pattern <i>, int </i> flags ,
.nl
<b>         int </b> <i>(* errfunc)</i>  <b>(const char * </b> epath <i>, int </i> eerrno ),
.nl
<b>         glob_t </b> *pglob );
.nl
<b>void globfree (glob_t *</b> pglob );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>glob()</b> <b></b>  recherche tous les chemins d'accs correspondants au motif
<i>pattern</i> en utilisant les rgles du shell (voir
<b>glob (7)).</b>
Aucun remplacement de tilde ou substitution de paramtre n'est effectu.
Si vous avez besoin de ces fonctionnalits, voyez
<b>wordexp (3).<br/><br/></b>
La fonction
<b>globfree()</b> <b></b>  libre la mmoire alloue dynamiquement lors d'un appel prcdent 
<b>glob() .<br/><br/></b>
Les rsultats d'un appel 
<b>glob()</b> <b></b>  sont stocks dans une structure pointe par
<i>pglob ,</i>
qui est du type
<b>glob_t</b> <b></b>  dfini dans
<b>&lt;glob.h&gt;</b> <b></b>  en incluant les lments dfinis par POSIX.2 (il peut y en avoir
plus sous forme d'extension GNU) :<br/><br/>
<br/>

.in 10
typedef struct
{
.in 14
    int    gl_pathc;    /* Nombre de chemins correspondant     */
    char **gl_pathv;    /* Liste des chemins correspondant     */
    int    gl_offs;     /* Entres  rserver dans `gl_pathv'. */
.in 10
} glob_t;

<br/><br/>
Le paramtre
<i>flags</i> est constitu d'un OU binaire (|) entre zro ou plus des constantes
symboliques suivantes, modifiant le comportement de
<b>glob() :</b>
<br/><br/>

<b>GLOB_ERR</b> <b></b>  demande  <b>glob()</b> de se terminer ds qu'une erreur se produit (par
exemple un rpertoire non lisible).
<br/><br/>

<b>GLOB_MARK</b> <b></b>  Ajouter un slash final  chaque nom aboutissant  un rpertoire.
<br/><br/>

<b>GLOB_NOSORT</b> <b></b>  Ne pas trier les chemins d'accs renvoys (ils le sont par dfaut).
<br/><br/>

<b>GLOB_DOOFFS</b> <b></b>  signifie que
<i>pglob-&gt;gl_offs</i> points d'entre seront rservs au dbut de la liste de chanes dans
<i>pglob-&gt;pathv .</i>
<br/><br/>

<b>GLOB_NOCHECK</b> <b></b>  demande  <b>glob()</b> de renvoyer le motif original si aucune correspondance
n'est possible.
<br/><br/>

<b>GLOB_APPEND</b> <b></b>  ajoute les rsultats  ceux d'un appel prcdent. Ne pas indiquer cet
attribut lors du premier appel de
<b>glob() .</b>
<br/><br/>

<b>GLOB_NOESCAPE</b> <b></b>  Les mta-caractres ne peuvent pas tre dsactivs par un backslash.<br/><br/>
On peut galement utiliser les constantes suivantes, qui sont des
extensions GNU, non dfinies dans POSIX.2 :
<br/><br/>

<b>GLOB_PERIOD</b> <b></b>  Un point en tte de chemin peut correspondre  un mta-caractre.
<br/><br/>

<b>GLOB_ALTDIRFUNC</b> <b></b>  On utilisera comme alternatives aux fonctions normales de bibliothque
les fonctions
<i>pglob-&gt;gl_closedir ,</i>
<i>pglob-&gt;gl_readdir ,</i>
<i>pglob-&gt;gl_opendir ,</i>
<i>pglob-&gt;gl_lstat </i>, et<i></i>
<i>pglob-&gt;gl_stat .</i>
<br/><br/>

<b>GLOB_BRACE</b> <b></b>  Les expressions de type <b>{a,b}</b> sont dveloppes avec le style
<b>csh (1).</b>
<br/><br/>

<b>GLOB_NOMAGIC</b> <b></b>  Le motif est renvoy s'il ne contient pas de mta-caractres.
<br/><br/>

<b>GLOB_TILDE</b> <b></b>  L'expansion du tilde est prise en charge.
<br/><br/>

<b>GLOB_ONLYDIR</b> <b></b>  Seuls les rpertoires sont mis en correspondance.<br/><br/>
Si
<i>errfunc</i> n'est pas
<b>NULL ,</b>
elle sera appele en cas d'erreur, avec les arguments
<i>epath</i> un pointeur sur le chemin qui a chou, et
<i>eerrno</i>
la valeur de
<i>errno</i> telle qu'elle a t renvoye par un appel 
<b>opendir() </b>, <b> readdir() </b>, ou <b> stat() .</b>
Si
<i>errfunc</i> renvoie une valeur non nulle, ou si
<b>GLOB_ERR</b> <b></b>  est positionn,
<b>glob()</b> <b></b>  se terminera aprs l'appel de
<i>errfunc .<br/><br/></i>
Si <b>glob()</b> russit compltement,
<i>pglob-&gt;gl_pathc</i> contient le nombre de chemins d'accs correspondants et
<i>pglob-&gt;gl_pathv</i> est un pointeur sur une liste des chemins. Le premier pointeur
aprs le dernier chemin vaut
<b>NULL .<br/><br/></b>
Il est possible d'appeler
<b>glob()</b> <b></b>  plusieurs fois. Dans ce cas, l'attribut
<b>GLOB_APPEND</b> <b></b>  doit tre indiqu dans
<i>flags</i> durant le second appel et les suivants.<br/><br/>
En tant qu'extension GNU, le champ
<i>pglob-&gt;gl_flags</i> contient les attributs indiqus lis par un <b>OU</b> avec
<b>GLOB_MAGCHAR</b> <b></b>  si un mta-caractre a t trouv.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
S'il russit compltement
<b>glob()</b> <b></b>  renvoie zro.
Les autres valeurs renvoyes peuvent tre :
<br/><br/>

<b>GLOB_NOSPACE</b> <b></b>  pas assez de mmoire,
<br/><br/>

<b>GLOB_ABORTED</b> <b></b>  erreur de lecture,
<br/><br/>

<b>GLOB_NOMATCH</b> <b></b>  aucune correspondance trouve.
</div><br/><br /><h1 class="TitreSection0" id="L5">exemples</h1>
<div class="paragraph">
L'exemple d'utilisation suivant simule la frappe de
.nl
<b>ls</b> <b></b>  <b>-l</b> <b></b>  <b>*.c</b> <b></b>  <b>../*.c</b> <b></b>  .nl
dans un shell.

.in 10<br/><br/>
glob_t globbuf;<br/><br/>
globbuf.gl_offs = 2;
glob("*.c", GLOB_DOOFS, NULL, &globbuf);
glob("../*.c", GLOB_DOOFS | GLOB_APPEND, NULL, &globbuf);
globbuf.gl_pathv[0] = "ls";
globbuf.gl_pathv[1] = "-l";
execvp("ls", &globbuf.gl_pathv[0]);


</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX.2
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
La fonction
<b>glob()</b> <b></b>  peut chouer en cas d'erreur dans un appel de fonction sous-jacente, comme
<b>malloc() </b> ou <b> opendir() .</b>
Le code d'erreur sera alors stock dans
<i>errno .</i>
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
Les membres
<i>gl_pathc</i> et 
<i>gl_offs</i> de la structure glob_t
sont des
<b>size_t </b>
dans GlibC 2.1, comme indiqu dans POSIX.2, mais sont dclars sous forme de
<b>int</b> <b></b>  <b></b>  dans LibC 4, LibC 5 et GlibC 2.0.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>ls (1),</b>
<b>sh (1),</b>
<b>stat (2),</b>
<b>exec (3),</b>
<b>malloc (3),</b>
<b>opendir (3),</b>
<b>readdir (3),</b>
<b>wordexp (3),</b>
<b>glob (7)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
