<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2002 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  This replaces an earlier man page written by Walter Harms -->
<!--  &lt;walter.harms@informatik.uni-oldenburg.de&gt;. -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>GSIGNAL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
gsignal, ssignal - Gestion de signaux. 
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;signal.h&gt;</b> <b></b>  <br/><br/>

<b>typedef</b> <b></b>  <b>void</b> <b></b>  <b>(*sighandler_t)(int);</b> <b></b>  <br/><br/>

<b>int gsignal(</b> signum );
<br/><br/>

<b>sighandler_t ssignal(int </b> signum <i>, sighandler_t </i> action );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
N'utilisez pas ces fonctions sous Linux.
 cause d'une ancienne mprise, elles sont en ralit des synonymes de
<i>raise()</i> et
<i>signal() ,</i>
respectivement.<br/><br/>
Ailleurs, sur des systme SysV, ces fonctions implmentent un gestion des
signaux entirement indpendante des appels-systmes classiques
signal et kill. La fonction
<b>ssignal()</b> <b></b>  dfini l'action  entreprendre quand le signal
numro
<i>signum</i> et envoy au processus  l'aide de la fonction
<b>gsignal() ,</b>
et renvoie l'action prcdente, comme SIG_DFL.
La fonction
<b>gsignal()</b> <b></b>  agit ainsi&nbsp;: si aucune action (ou SIG_DFL) est indiqu pour
<i>signum ,</i>
alors elle ne fait rien et renvoie zro.
Si l'action SIG_IGN est indiqu pour
<i>signum ,</i>
alors elles ne fait rien et renvoie 1.
Sinon, elle replace l'action   SIG_DFL et appelle
le gestionnaire concern, avec l'argument
<i>signum ,</i>
et renvoie la valeur de retour de cette fonction.
L'intervalle de valeurs possibles pour
<i>signum</i> varie (souvent 1-15 ou 1-17).
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
SVID2, XPG2.
Ces fonctions sont disponibles sous AIX, DG-UX, HPUX, SCO, Solaris, Tru64.
Elles sont considrs obsoltes sur la plupart de ces systmes et sont
errones avec les bibliothques libc Linux et GlibC.
Certains systmes ont
<i>gsignal_r()</i> et
<i>ssignal_r() .</i>
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>kill (2),</b>
<b>signal (2),</b>
<b>raise (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
