<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--  -->
<!--  Traduction 31/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.31 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>ICONV_OPEN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit	</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
iconv_open - Allouer un descripteur pour une conversion de jeux de caractres.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;iconv.h&gt;</b> <b></b>  <br/><br/>

<b>iconv_t iconv_open (const char* </b> tocode <i>, const char* </i> fromcode );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>iconv_open</b> alloue un descripteur de conversion adapt  la transformation
d'une squence d'octets depuis le codage de caractres <i>fromcode</i> dans le codage
<i>tocode</i>.<br/><br/>
Les valeurs autorises pour <i>fromcode</i> et <i>tocode</i> et leurs combinaisons acceptes
dpendent du systme. Pour la bibliothque C GNU, les valeurs permises sont fournies par
la commande <b>iconv --list</b> et toutes les combinaisons de ces valeurs sont supportes.<br/><br/>
[NDT] Apparement ce n'est pas toujours vrai, puisque cette commande <b>iconv --list</b>
affiche le commentaire suivant :
La liste suivante contient tous les jeux des codes de caractres connus. Ceci
ne signifie pas ncessairement que toutes les combinaisons de ces noms peuvent
tre utilises dans les paramtres FROM et TO des commandes[...]<br/><br/>
Le descripteur de conversion fourni peut tre utilis autant de fois que voulu avec
<b>iconv</b>. Il reste valide jusqu' sa libration avec <b>iconv_close</b>.<br/><br/>
Un descripteur contient un tat de conversion. Lors de sa cration avec
<b>iconv_open</b>, il se trouve dans l'tat initial. L'utilisation de <b>iconv</b>
modifie l'tat du descripteur. On ne doit donc pas utiliser simultanment un descripteur
de conversion dans plusieurs threads. Pour revenir  l'tat initial, on peut employer
<b>iconv</b> avec un argument <i>inbuf</i> NULL.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>iconv_open</b> renvoie un nouveau descripteur de conversion. En cas d'erreur,
elle remplit <b>errno</b> et renvoie (iconv_t)(-1).
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Les erreurs suivantes peuvent - entre autres - se prsenter :
<br/><br/>

<b>EINVAL</b> <b></b>  La conversion depuis <i>fromcode</i> vers <i>tocode</i> n'est pas supporte par l'implmentation.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit	</h1>
<div class="paragraph">
UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>iconv (3), </b>
<b>iconv_close (3), </b>
<b>iconv (1)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
