<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  peter memishian -- meem@gnu.ai.mit.edu -->
<!--  $Id: insque.3,v 1.2 1996/10/30 21:03:39 meem Exp meem $ -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--    Linux libc source code (5.4.7) -->
<!--    Solaris 2.x, OSF/1, and HP-UX manpages -->
<!--    Curry's "UNIX Systems Programming for SVR4" (O'Reilly & Associates 1996) -->
<!--  -->
<!--  -->
<!--  -->
<!--  Traduction 22/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 01/11/1999 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>INSQUE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
insque, remque - Ajouter ou supprimer un lment d'une file.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;search.h&gt;</b> <b></b>  <br/><br/>

<b>void insque (struct qelem *</b> elem <i>, struct qelem *</i> prev );
<b>void remque (struct qelem *</b> elem );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions <b>insque()</b> et <b>remque()</b> permettent de manipuler une
file constitue d'une liste doublement chane. Chaque lment de cette liste
est du type <b>struct qelem</b><br/><br/>
La structure <b>qelem</b> est dfinie ainsi&nbsp;:<br/><br/>
.RS

struct qelem {
    struct    qelem *q_forw;
    struct    qelem *q_back;
    char      q_data[1];
};


<br/><br/>
<b>insque()</b> insre l'lment point par <i>elem</i> immdiatement
aprs l'lment point par <i>prev</i>, qui ne doit <b>JAMAIS</b> tre NULL.<br/><br/>
<b>remque()</b> supprime l'lment point par <i>elem</i> de la liste doublement
chane.
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
SVR4
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
Le champ  q_data peut parfois tre dfini comme un <b>char *</b>, et sous
solaris 2.x, il n'existe pas.<br/><br/>
L'emplacement des prototypes de ces fonctions varie suivant les diffrentes
versions d'Unix. Certains systmes les placent dans &lt;search.h&gt;, d'autres dans
&lt;string.h&gt;. La bibliothque GlibC les place dans &lt;search.h&gt;.<br/><br/>
Quelques versions d'UNIX (comme HP-UX 10.x) ne dfinissent pas une 
<b>struct qelem</b> mais utilisent  la place des arguments de
<b>insque()</b> et <b>remque()</b> du type <b>void *</b>.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
