<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  -->
<!--  Modified Sat Jul 24 19:10:00 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Aug 21 17:51:50 1994 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sat Sep  2 21:52:01 1995 by Jim Van Zandt &lt;jrv@vanzandt.mv.com&gt; -->
<!--  Modified Mon May 27 22:55:26 1996 by Martin Schulze (joey@linux.de) -->
<!--  -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>ISALPHA</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">note</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
isalpha, isalnum, isascii, isblank, iscntrl, isdigit, isgraph, islower, isprint, ispunct, isspace, isupper, isxdigit - Routines de classification de caractres.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;ctype.h&gt;</b> <b></b>  <br/><br/>

<b>int isalnum (int </b> c );
.nl
<b>int isalpha (int </b> c );
.nl
<b>int isascii (int </b> c );
.nl
<b>int isblank (int </b> c );
.nl
<b>int iscntrl (int </b> c );
.nl
<b>int isdigit (int </b> c );
.nl
<b>int isgraph (int </b> c );
.nl
<b>int islower (int </b> c );
.nl
<b>int isprint (int </b> c );
.nl
<b>int ispunct (int </b> c );
.nl
<b>int isspace (int </b> c );
.nl
<b>int isupper (int </b> c );
.nl
<b>int isxdigit (int </b> c );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions vrifient si le caractre
<i>c ,</i>
qui doit avoir la valeur d'un
<b>unsigned</b> <b></b>  <b>char</b> <b></b>  ou valoir
<b>EOF ,</b>
rentre dans une catgorie donne, en accord avec la localisation en cours.
<br/><br/>
 
<b>isalnum()"</b> <b></b>  vrifie si l'on a un caractre alphanumrique. C'est quivalent 
<b>(isalpha(</b> c <i>) || isdigit(</i> c <b>))</b> \fR.
<br/><br/>

<b>isalpha()"</b> <b></b>  vrifie si l'on a un caractre alphabtique. Dans la localisation <b>"C"</b> 
standard, c'est quivalent 
<b>(isupper(</b> c <i>) || islower(</i> c <b>))</b> \fR.
Dans certaines localisations, il peut y avoir des caractres supplmentaires
pour lesquels
<b></b>  <b>isalpha()</b> <b></b>  est vrai--des lettres qui ne sont ni majuscules ni minuscules.
<br/><br/>

<b>isascii()"</b> <b></b>  vrifie si <i>c</i> est un
<i>unsigned char</i> sur 7 bits, entrant dans le jeu de caractres ASCII. Cette fonction est
une extension BSD et SVID.
<br/><br/>

<b>isblank()"</b> <b></b>  vrifie si le caractre est blanc, c'est  dire un espace ou une tabulation.
C'est une extension GNU.
<br/><br/>

<b>iscntrl()"</b> <b></b>  vrifie si l'on a un caractre de contrle.
<br/><br/>

<b>isdigit()"</b> <b></b>  vrifie si l'on a un chiffre (0 a 9).
<br/><br/>

<b>isgraph()"</b> <b></b>  vrifie s'il s'agit d'un caractre imprimable,  l'exception de l'espace.
<br/><br/>

<b>islower()"</b> <b></b>  vrifie si l'on a un caractre minuscule.
<br/><br/>

<b>isprint()"</b> <b></b>  vrifie s'il s'agit d'un caractre imprimable, y compris l'espace.
<br/><br/>

<b>ispunct()"</b> <b></b>  vrifie s'il s'agit d'un caractre imprimable, qui ne soit ni un espace,
ni un caractere alphanumrique.
<br/><br/>

<b>isspace()"</b> <b></b>  vrifie si l'on a un caractre blanc, d'espacement. Dans les localisations
<b>""C"""</b> <b></b>  et
<b>""POSIX"""</b> <b></b>  il s'agit de: espace, saut de page (form-feed,
<b>'\ef' ),</b>
saut de ligne (newline,
<b>'\en' ),</b>
retour chariot (carriage return,
<b>'\er' ),</b>
tabulation horizontale
( '\et' ),</b>
et tabulation verticale
( '\ev' ).</b>
<br/><br/>

<b>isupper()"</b> <b></b>  vrifie si l'on a une lettre majuscule.
<br/><br/>

<b>isxdigit()"</b> <b></b>  vrifie s'il s'agit d'un chiffre hxadcimal, c'est  dire
.nl
<b>0 1 2 3 4 5 6 7 8 9 a b c d e f A B C D E F</b> .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Les valeurs renvoyes sont non nulles si le caractre
<i>c</i> entre dans la catgorie teste, et zro sinon
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
C ANSI, BSD 4.3.
<b>isascii()</b> est une extension BSD et SVID.
<b>isblank()</b> est une extension GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">note</h1>
<div class="paragraph">
L'appartenance d'un caractre  une catgorie dpend de la localisation en
cours. Par exemple
<b>islower()</b> <b></b>  ne reconnatra pas un e-accent-aigu comme une minuscule dans la localisation
<b>C"</b> <b></b>  par dfaut.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>tolower (3),</b>
<b>toupper (3),</b>
<b>setlocale (3),</b>
<b>ascii (7),</b>
<b>locale (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
