<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 Walter Harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL -->
<!--  2002-07-27 Walter Harms -->
<!--  this was done with the help of the glibc manual -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  30/07/2003 LDP-1.58 -->
<br/><h1>ISGREATER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">note</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
isgreater, isgreaterequal, isless, islessgreater, isunordered - macros vrifiant les relations d'ordre.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;math.h&gt;</b> <b></b>  <br/><br/>

<b>int isgreater(x,y);
<br/><br/>

<b>int isgreaterequal(x,y);
<br/><br/>

<b>int isless(x,y);
<br/><br/>

<b>int islessequal(x,y);
<br/><br/>

<b>int islessgreater(x,y);
<br/><br/>

<b>int isunordered(x,y);


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'oprateur normal de relation (comme &lt;) chouera si l'un des oprandes
est le non-nombre NaN. Ceci dclenche une exception. Pour l'citer, C99
dfinit ces macros. Elles garantissent de n'valuer leurs oprandes qu'une
seule fois. Ces oprandes peuvent tre n'importe quel type rel.
<br/><br/>

isgreater()
dtermine si (x) &gt; (y) sans erreur si x ou y vaut NaN.
<br/><br/>

isgreaterequal()
dtermine si (x) &gt;= (y) sans erreur si x ou y vaut NaN.
<br/><br/>
 
isless()
dtermine si (x) &lt; (y) sans erreur si x ou y vaut NaN.
<br/><br/>

islessequal()
dtermine si (x) &lt;= (y) sans erreur si x ou y vaut NaN.
<br/><br/>

islessgreater()
dtermine si (x) &lt; (y) || (x) &gt; (y) sans erreur si x ou y vaut NaN.
Cette macro n'est pas quivalente  x != y cette expression est vraie
si x ou y vaut NaN.
<br/><br/>

isunordered()
est vraie si x ou y vaut NaN et fausse sinon.
</div><br/><br /><h1 class="TitreSection0" id="L4">note</h1>
<div class="paragraph">
Tous les matriels ne supportent pas ces fonctions et lorsqu'ils ne le
font pas, elle sont mules par des macros. Cela diminue les performances.
Ne les utilisez pas si NaN ne vous concerne pas.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
C99
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>fpclassify (3),</b>
<b>isnan(3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
