<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--   Copyright 2002 walter harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--   Distributed under GPL -->
<!--   I had no way the check the functions out -->
<!--   be carefull -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>KEY_SETSECRET</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">note</a>
<br /><a class="summaryIndent0" href="#L4">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
key_decryptsession, key_encryptsession, key_setsecret, key_gendes, key_secretkey_is_set - Interface pour le dmon gnrateur de cl RPC.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<br/><br/>

<b>#include &lt;rpc/rpc.h&gt;</b></b>
<br/><br/>

<b>int key_decryptsession(const char *</b> nom_distant ,
<b>des_block *</b> cle_des );
<br/><br/>

<b>int key_encryptsession(const char *</b> nom_distant ,
<b>des_block *</b> cle_des );
<br/><br/>

<b>int key_gendes(des_block *</b> cle_des );
<br/><br/>

<b>int key_setsecret(const char *</b> cle );
<br/><br/>

<b>int</b> <b></b>  <b>key_secretkey_is_set(void);"</b> <b></b>  <br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions sont utilisrs dans le mcanisme d'authentification des
RPC scurises (AUTH_DES). Les programmes utilisateurs ne devraient
pas en avoir besoin.<br/><br/>
La fonction
<b> key_decryptsession ()</b>
utilise le nom du serveur (distant) et effectue un dcodage avec la
cl DES transmise. Elle utilise la cl publique du serveur et la cl prive
associe avec l'UID effectif du processus appelant.<br/><br/>
La fonction
<b>key_encryptsession ()</b>
est l'inverse de
<b>key_decryptsession ().</b>
Elle crypte les cls DES avec la cl publique du serveur et la cl secrte
associe  l'UID effectif du processus appelant.<br/><br/>
La fonction
<b>key_gendes () </b>
est utilise pour demander  un serveur une cl de session scurise.<br/><br/>
La fonction
<b>key_setsecret () </b>
fixe la cl associe  l'UID effectif du processus appelant. <br/><br/>
La fonction
<b>key_secretkey_is_set ()</b>
sert  savoir su une cl a t enregistre pour
l'UID effectif du processus appelant.   <br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">note</h1>
<div class="paragraph">
Notez bien qu'il y a deux types de cryptage ici&nbsp;: l'un est assymtrique, en
utilisant une cl publique et une cl secrte. L'autre est symtrique, avec
la cl DES 64-bits.
<br/>
Ces routines faisaient partie du project linux/doors,  prsent abandonn.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">valeur renvoye</h1>
<div class="paragraph">
Les fonctions renvoient 1 si elles russissent et zro si elles chouent.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>crypt (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
