<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Compiled from glibc.info, 2002 Martin Schulze &lt;joey@infodrom.org&gt; -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  30/07/2003 LDP-1.58 -->
<br/><h1>LOGIN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">note</a>
<br /><a class="summaryIndent0" href="#L5">fichiers</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
login, logout - Fonctions de comptabilit utilisateur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;utmp.h&gt;</b> <b></b>  <br/><br/>

<b>void login(const struct utmp *</b> entry );
<br/>
<b>int logout(const char *</b> ut_line );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>login ()</b>
insre une nouvelle entre dans la base de donnes de comptabilit
utilisateur (fichier utmp). L'lment
ut -&gt;ut_line
sera rempli avec le nom du terminal sur l'entre standard. Si ce n'est
pas un temrinal,
<b>login ()</b>
utilisera la sortie standard ou celle d'erreur pour dterminer le nom du
terminal. L'lment
ut -&gt;ut_type
<!--  (if there is one) -->
sera rempli avec
<b>USER_PROCESS ,</b>
et
ut -&gt;ut_pid
<!--  (if it exists) -->
contiendra le PID du processus appelant.
Tous les autres lments seront copis depuis
<i>entry .<br/><br/></i>
Une copie de l'entre
rsultante
sera crite dans le fichier de comptabilit.<br/><br/>
La fonction
<b>logout ()</b>
modifie la base de donnes de comptabilit pour indiquer que l'utilisateur
sur le terminal
<i>ut_line</i> s'est dconnect.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>logout ()</b>
renvoie 1 si l'entre a t correctement crite dans la base de donnes,
ou zro en cas d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">note</h1>
<div class="paragraph">
Ces fonctions sont dans la bibliothque libutil, il faut donc ajouter
<b>-lutil</b> <b></b>  sur la ligne de commande du compilateur.<br/><br/>
Notez que le
membre
<b>ut_user</b> <b></b>  de la struct utmp est appel
<b>ut_name</b> <b></b>  dans BSD. C'est pourquoi
<b>ut_name</b> <b></b>  est dfini comme un alias de
<b>ut_user</b> <b></b>  dans
<i>utmp.h .</i>
</div><br/><br /><h1 class="TitreSection0" id="L6">fichiers</h1>
<div class="paragraph">
<br/><br/>

<i>/var/run/utmp</i> base de donnes de comptabilit utilisateur, configure par _PATH_UTMP dans
<i>&lt;paths.h&gt;</i> </div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>utmp (5),</b>
<b>getutent (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
