<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sat Jul 24 19:00:59 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Clarification concerning realloc, iwj10@cus.cam.ac.uk (Ian Jackson), 950701 -->
<!--  -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 17/05/1998 (LDP-man-pages-1.19) -->
<!--  Mise a jour 09/04/1999 (LDP-man-pages-1.22) -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>MALLOC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
malloc, calloc, free, realloc - Allocation et libration dynamiques de mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>void * calloc (size_t </b> nmemb <i>, size_t </i> size );
.nl
<b>void * malloc (size_t </b> size );
.nl
<b>void free (void * </b> ptr );
.nl
<b>void * realloc (void * </b> ptr <i>, size_t </i>  size );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>calloc()</b> <b></b>  alloue la mmoire ncessaire pour un tableau de
<i>nmemb</i> lments, chacun d'eux reprsentant
<i>size</i> octets, et renvoie un pointeur vers la mmoire alloue.
Cette zone est remplie avec des zros.<br/><br/>
<b>malloc()</b> <b></b>  alloue
<i>size</i> octets, et renvoie un pointeur sur la mmoire alloue.
Le contenu de la zone de mmoire n'est pas initialis.<br/><br/>
<b>free()</b> <b></b>  libre l'espace mmoire point par
<i>ptr ,</i>
qui a t obtenu lors d'un appel antrieur 
<b>malloc() ,</b>
<b>calloc()</b> <b></b>  ou
<b>realloc() .</b>
Si le pointeur
<i>ptr</i> n'a pas t obtenu par l'un de ces appels, ou si il a dj t
libr avec
<b>free() ,</b>
le comportement est indtermin.
Si
<i>ptr</i> est
<b>NULL ,</b>
aucune tentative de libration n'a lieu.<br/><br/>
<b>realloc()</b> <b></b>  modifie la taille du bloc de mmoire point par
<i>ptr</i> pour l'amener  une taille de
<i>size</i> octets.
<b>realloc()</b> <b></b>  conserve le contenu de la zone mmoire minimum entre la nouvelle et l'ancienne
taille. Le contenu de la zone de mmoire nouvellement alloue n'est pas initialis.
Si
<i>ptr</i> est
<b>NULL ,</b>
l'appel de <b>realloc()</b> est quivalent 
<b>malloc(size) .</b>
Si <i>size</i> vaut zro, l'appel est quivalent 
<b>free(</b> <i>ptr</i> ) .
Si
<i>ptr</i> n'est pas
<b>NULL ,</b>
il doit avoir t obtenu par un appel antrieur 
<b>malloc() ,</b>
<b>calloc()</b>
ou
<b>realloc() .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Pour
<b>calloc() </b> et <b> malloc() ,</b>
la valeur renvoye est un pointeur sur la mmoire alloue, qui est
correctement aligne pour n'importe quel type de variable, ou
<b>NULL</b> <b></b>  si la demande choue.<br/><br/>
<b>free()</b> <b></b>  ne renvoie pas de valeur.<br/><br/>
<b>realloc()</b> <b></b>  renvoie un pointeur sur la mmoire nouvellement alloue, qui est
correctement aligne pour n'importe quel type de variable, et qui
peut tre diffrent de
<i>ptr ,</i>
ou
<b>NULL</b> <b></b>  si la demande choue. Si
<i>size</i> vaut zro, realloc renvoie NULL ou un pointeur acceptable pour
<i>free ().</i>
Si
<b>realloc()</b> <b></b>  choue, le bloc mmoire original reste intact, il n'est ni libr ni
dplac.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ANSI-C
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>brk (2),</b>
<b>posix_memalign (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le standard Unix98 rclame que
<b>malloc() ,</b>
<b>calloc() ,</b>
et
<b>realloc ()</b>
positionne
<i>errno</i>  ENOMEM en cas d'chec. La Glibc suppose qu'il en est ainsi
(et les versions glibc de cette routine le font). Si vous utilisez
une implmentation personnelle de malloc qui ne positionne pas
<i>errno ,</i>
certaines routines de bibliothques peuvent chouer sans
donner de raison dans
<i>errno .<br/><br/></i>
Lorsqu'un programme se plante durant un appel  
<b>malloc() ,</b>
<b>calloc()</b>
ou
<b>realloc() ,</b>
ceci est presque toujours le signe d'une corruption du tas (zone de mmoire
dans laquelle sont alloues les variables dynamiques).
Ceci survient gnralement en cas de dbordement d'un bloc mmoire allou,
ou en librant deux fois le mme pointeur.<br/><br/>
Les versions rcentes de la bibliothque C de Linux (libc postrieures 
5.4.23) et la bibliothque GNU libc 2.x incluent une implmentation de
<b>malloc()</b> <b></b>  dont on peut configurer le comportement  l'aide de variables d'environnement.
Quand la variable
<b>MALLOC_CHECK_</b> <b></b>  existe, les appels 
<b>malloc()</b> <b></b>  emploient une implmentation spciale, moins efficace mais plus tolrante
 l'encontre des bugs simples comme le double appel de
<b>free()</b> <b></b>  avec le mme argument, ou un dbordement de buffer d'un seul octet (bugs
de surpassement d'une unit, ou oubli d'un caractre nul final d'une chane).
Il n'est toutefois pas possible de pallier toutes les erreurs de ce type, 
et l'on risque de voir des fuites de mmoire se produire.<br/><br/>
Si la variable
<b>MALLOC_CHECK_</b> <b></b>  vaut zro, toutes les corruptions du tas dtectes sont ignores
silencieusement; Si elle vaut 1 un message de diagnostique est affich
sur <i>stderr</i>. Si cette variable vaut 2, la fonction <b>abort</b>()
est appele immdiatement. Ce comportement est particulirement utile car
un crash pourrait sinon se produire ultrieurement, et serait trs difficile
 diagnostiquer.<br/><br/>
Linux suit une stratgie d'allocation optimiste. Ceci signifie que lorsque
<b>malloc</b> <b></b>  <b>()</b> <b></b>  renvoie une valeur non-NULL, il n'y a aucune garantie que la mmoire soit
vritablement disponible. Dans le cas o le systme manque de mmoire, un ou
plusieurs processus seront tus par l'infme exterminateur de gestion
mmoire.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
