<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:59:02 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>MBSTOWCS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mbstowcs - Convertir une chane de caractres multi-octets en une chane de caractres tendus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>size_t mbstowcs (wchar_t *</b> pwcs <i>, const char *</i> s <b>, size_t </b> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Si
<i>dest</i> n'est pas un pointeur
<b>NULL ,</b>
la fonction
<b>mbstowcs ()</b>
convertit la chane multi-octets
<i>src</i> en chane de caractres larges
<i>dest .</i>
Elle crira au plus
<i>n</i> octets dans
<i>dest .</i>
L'tat de conversion est initialis. La conversion peut s'arrter pour l'une
des trois raisons suivantes&nbsp;:<br/><br/>
1. Une squence multi-octets invalide a t rencontre. Dans ce cas, elle
renvoie (size_t)(-1).<br/><br/>
2. <i>n</i> caractres larges non-nuls ont t stocks dans
<i>dest .</i>
Dans ce cas le nobre de caractres crits dans
<i>dest</i> est renvoy, mais l'tat de dcalage en ce point est perdu.<br/><br/>
2. La chane multi-octets a t compltement convertie, y compris le
caractre nul final. Dans ce cas, le nombre de caractres larges crits dans
<i>dest ,</i>
sans compter le caractre nul final, est renvoy.<br/><br/>
Le programmeur doit s'assurer qu'il y a assez de place pour au moins
<i>n</i> caractres larges dans
<i>dest .<br/><br/></i>
Si
<i>dest</i> est
<b>NULL ,</b>
<i>n</i> est ignor, et la conversion se prsente comme au-dessus, except que les
caractres larges ne sont pas cris en mmoire et qu'aucune limite de longueur
n'existe.<br/><br/>
Afin d'viter la situation numro 2 ci-dessus, le programmeur doit s'assurer que
<i>n</i> est suprieur ou gal a
<i>mbstowcs(NULL,src,0)+1</i> .<br/><br/></i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>mbstowcs ()</b>
renvoie le nombre de caractres larges qui constituent la partie convertie
de la chane, sans compter le caractre nul final. Si une squence multi-octets
invalide est rencontre, elle renvoie (size_t)(-1).
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>mbsrtowcs (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de
<b>mbstowcs</b>
dpend de la catgorie
<b>LC_CTYPE</b> <b></b>  de la localisation en cours.<br/><br/>
La fonction
<b>mbsrtowcs (2)</b>
fournit une meilleure interface pour la mme fonctionnalit.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
