<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:58:18 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 04/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>MBTOWC</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mbtowc - Convertir une squences multi-octets en caractres tendus.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>int mbtowc (wchar_t *</b> pwc <i>, const char *</i> s <b>, size_t </b> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
L'utilisation habituelle de cette fonction est avec
<i>s</i> et
<i>pwc</i> tous deux diffrents
<b>NULL .</b>
Dans ce cas, la fonction
<b>mbtowc</b> <b></b>  examine au plus
<i>n</i> octets de la chane multi-octets commenant  l'adresse
<i>s ,</i>
extrait le premier caractre multi-octets complet, le convertit en  caractre
large et le stocke dans
<i>*pwc .</i>
Elle met  jour l'tat interne de dcalage, connu d'elle seule. Si
<i>s</i> ne pointe pas sur un octet nul, elle renvoie le nombre d'octets qui ont t
consomms dans
<i>s ,</i>
sinon, elle renvoie zro.<br/><br/>
Si les
<i>n</i> octets dbutant en
<i>s</i> ne contiennent pas un caractre multi-octets complet, ou s'il s'agit d'une
squence invalide,
<b>mbtowc</b> <b></b>  renvoie -1. Ceci peut se produire mme si
<i>n</i> est suprieur ou gal 
<b>MB_CUR_MAX ,</b>
si la chane multi-octets contient des squences de dcalage redondantes.<br/><br/>
Un autre cas possible se prsent si
<i>s</i> est non
<b>NULL ,</b>
mais 
<i>pwc</i> est
<b>NULLL .</b>
Dans ce cas, la fonction
<b>mbtowc ()</b>
se comporte comme ci-dessus, mais ne stocke par le caractre large en mmoire.<br/><br/>
Un troisime cas est possible si
<i>s</i> est
<b>NULL .</b>
Alors,
<i>pwc</i> et
<i>n</i> sont ignors.
La fonction
<b>mbtowc ()</b>
rinitialise l'tat de dcalage, qu'elle seule connait, et renvoie une valeur
non-nulle si l'encodage  un tat de dcalage non trivial, ou zro si
l'encodage est sans tat.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si
<i>s</i> est non
<b>NULL ,</b>
la fonction
<b>mbtowc ()</b>
renvoie le nombre d'octets consomms  partir de
<i>s ,</i>
ou zro si
<i>s</i> pointe sur un octet nul, ou encore -1 en cas d'erreur.<br/><br/>
Si
<i>s</i> est
<b>NULL ,</b>
la fonction
<b>mbtowc ()</b>
renvoie une valeur non-nulle si l'encodage a un tat de dcalage non trivial,
ou zro si l'encodage est sans tat.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>mbrtowc (3),</b>
<b>mbstowcs (3),</b>
<b>MB_CUR_MAX (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de
<b>mbtowc ()</b>
dpend de la catgorie
<b>LC_CTYPE</b> <b></b>  de la localisation en cours.<br/><br/>
Cette fonction n'est pas sre en contexte multi-threads. La fonction
<b>mbrtowc ()</b>
fournit une meilleure interface pour la mme fonctionnalit.
SH TRADUCTION
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
