<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2001 John Levon &lt;moz@compsoc.man.ac.uk&gt; -->
<!--  Based on mkstemp(3), Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  and GNU libc documentation -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 14/05/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>MKDTEMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mkdtemp - Cration d'un rpertoire temporaire unique.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>char *mkdtemp(char *</b> template );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>mkdtemp()</b> cre un rpertoire temporaire au nom unique
 partir de <i>template</i>. Les six derniers caractres de <i>template</i>
doivent tre XXXXXX et ces derniers sont remplacs par une chane qui rend le 
<!--  FIXME: were the permissions 0700 in all glibc versions ? -->
nom du rpertoire unique. Le rpertoire est alors cr avec les 
permissions 0700.
Comme il est modifi,
<i>template</i> ne doit pas tre une chane constante, mais doit tre dclar en tant que 
tableau de caractres.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>mkdtemp()</b> renvoie un pointeur vers la chane template 
 modifie en cas de succs, et renvoie <b>NULL</b> en cas d'chec. Dans ce 
dernier cas,
<i>errno</i>
se voit renseigne de faon adquate.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  Les six derniers caractres de <i>template</i> ne sont pas XXXXXX.
<i>template</i> n'est pas modifie.<br/><br/>
<br/><br/>

Se reporter galement  <b>mkdir(2)</b> pour les autres valeurs possibles de <i>errno</i>.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Introduit par OpenBSD 2.2.
<!--  Also in NetBSD 1.4. -->
Disponible depuis la glibc 2.1.91.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>mkdir (2),</b>
<b>mkstemp (3),</b>
<b>mktemp (3),</b>
<b>tmpnam (3),</b>
<b>tempnam (3),</b>
<b>tmpfile (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
