<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 Walter Harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL -->
<!--  Based on glibc infopages -->
<!--  -->
<!--  Corrections by aeb -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1></h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conforme </a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
nan, nanf, nanl - Fonctions renvoyant &nbsp;Not a Number&nbsp;.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;math.h&gt;</b> <b></b>  <br/><br/>

<b>double nan(const char *</b> tagp );
<br/><br/>

<b>float nanf(const char *</b> tagp );
<br/><br/>

<b>long double nanl(const char *</b> tagp );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions renvoient une reprsentation (dtermine par
<i>tagp )</i>
d'un NaN (Not-A-Number, lment non-numrique indiquant un cas d'erreur dans
les routines mathmatiques).
 Si cette implementation ne supporte pas support les NaNs,
ces fonctions renvoient zro.<br/><br/>
L'appel
.I nan("char-sequence")
est quivalent 
<i>strtod (</i>NAN(char-sequence)<i>,NULL) </i> ;<i></i>
de mme
<i>nanf</i> et
<i>nanl</i> sont quivalentes aux appels analogues 
<i>strtof</i> et
<i>strtold .<br/><br/></i>
L'argument
<i>tagp</i> est utilis de manire non spcifie.  Sur les systmes IEEE 754, il
existe de nombreuses reprsentations de NaN, et
<i>tagp</i> en slectionne une.  Sur les autres systmes, il peut n'avoir aucun effet.
</div><br/><br /><h1 class="TitreSection0" id="L4">conforme </h1>
<div class="paragraph">
C99. Voir aussi IEC 559 et l'annexe sur les fonctions recommendes dans
 IEEE 754/IEEE 854.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>isnan (3),</b>
<b>strtod (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2002</i></i>
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
