<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This man page copyright 1998 by Andi Kleen. Subject to the GPL. -->
<!--  This manpage copyright 1998 by Andi Kleen. Subject to the GPL. -->
<!--  Based on the original comments from Alexey Kuznetsov -->
<!--  $Id: netlink.3,v 1.1 1999/05/14 17:17:24 freitag Exp $ -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>NETLINK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
netlink - Macros pour netlink.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<!--  XXX what will glibc2.1 use here? -->
<b>#include</b> <b></b>  <b>&lt;asm/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;linux/netlink.h&gt;</b> <b></b>  <b></b>  <br/>
<b>int NLMSG_ALIGN(size_t </b> taille );
<br/> 
<b>int NLMSG_LENGTH(size_t </b> taille );
<br/>
<b>int NLMSG_SPACE(size_t </b> taille );
<br/>
<b>void *NLMSG_DATA(struct nlmsghdr *</b> nlh );
<br/>
<b>struct nlmsghdr *NLMSG_NEXT(struct nlmsghdr *</b> nlh <i>, int </i> taille );
<br/>
<b>int NLMSG_OK(struct nlmsghdr *</b> nlh <i>, int </i> taille );
<br/>
<b>int NLMSG_PAYLOAD(struct nlmsghdr *</b> nlh <i>, int </i> taille );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<i>netlink.h </i> dfinit plusieurs macros standards pour accder ou crer un datagramme
netlink. Elles sont similaires dans leurs principes aux macros dfinies dans
<b>cmsg (3)</b>
pour les donnes auxiliaires. Le tampon pass  une socket netlink ne devrait
pas tre manipul autrement que par ces macros.
<br/><br/>

<br/><br/>

NLMSG_ALIGN
Arrondit la taille du message netlink pour avoir un alignement correct.
<br/><br/>

NLMSG_LENGTH
Prend la taille de message comme argument et retourne la taille aligne 
stocker dans le champs
<b>nlmsg_len</b> <b></b>  de
<i>nlmsghdr .<br/><br/></i>
<br/><br/>

NLMSG_SPACE
Renvoie le nombre d'octets qu'un message netlink occuperait pour la quantit
de donnes indique.
<br/><br/>

NLMSG_DATA
Retourne un pointeur sur l'objet associ au
<i>nlmsghdr</i>
pass.
<br/><br/>

<!--  XXX this is bizarre, maybe the interface should be fixed. -->
NLMSG_NEXT
Rcupre la structure
<i>nlmsghdr</i> suivante d'un message multiple. L'appellant doit vrifier que le nlmsghdr en cours
n'a pas l'attribut NLMSG_DONE positionn - cette fonction ne retourne pas NULL 
la fin. Le paramtre taille est une lvalue contenant la taille restante du
tampon du message. La macro diminue cette aille der celle de l'en-tte de message.
<br/><br/>

NLMSG_OK
Renvoie vrai si le message netlink n'est pas tronqu et prt  tre trait.
<br/><br/>

NLMSG_PAYLOAD
Retourne la taille des donnes associes 
<i>nlmsghdr .<br/><br/></i>
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Il vaut souvent mieux utiliser la bibliothque netlink via
<b>libnetlink</b> <b></b>  que par les interfaces de bas niveau du noyau.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>netlink (7)<br/><br/></b>
et ftp://ftp.inr.ac.ru/ip-routing/iproute2*  pour libnetlink.
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 1999</i></i>
<br/> 
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
