<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 2002 Walter Harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--  Distributed under GPL -->
<!--  Based on glibc infopages -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>NEXTAFTER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
nextafter, nexttoward - Manipulation de nombres en virgule flottante.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;math.h&gt;</b> <b></b>  <br/><br/>

<b>double nextafter(double </b> x <i>, double </i> y );
<br/>
<b>float nextafterf(float </b> x <i>, float </i> y );
<br/>
<b>long double nextafterl(long double </b> x <i>, long double </i> y );
<br/><br/>

<b>double nexttoward(double </b> x <i>, long double </i> y );
<br/>
<b>float nexttowardf(float </b> x <i>, long double </i> y );
<br/>
<b>long double nexttowardl(long double </b> x <i>, long double </i> y ); 
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction 
<b>nextafter()</b> <b></b>  renvoie le rel reprsentable le plus proche de
<i>x</i> dans la direction de
<i>y .</i>
L'intervalle entre
<i>x</i> et le rsultat dpend du type de donnes.
Si
<i>x = y ,</i>
alors la fonction renvoie simplement
<i>y .</i>
Si l'une des valeurs est
<i>NaN ,</i>
alors la fonction renvoie
<i>Nan .</i>
Autrement, une valeur correspondant au bit de poid le plus faible dans la
mantisse est ajout ou soustrait, suivant la direction.<br/><br/>
La fonction
<b>nexttoward()</b> <b></b>  ralise le mme travail que 
<b>nextafter()</b> <b></b>  sauf qu'elle a un second argument de type "long double".<br/><br/>
Ces fonctions signaleront le dbordement si le rsultat dpasse
les limites des nombres normaliss.
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
C99. Cette fonction est dfinie dans IEC 559 (et l'annexe avec les fonctions
recommandes de IEEE 754/IEEE 854).
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>nearbyint (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
