<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) OpenBSD Group -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--  Converted into a manpage again by Martin Schulze &lt;joey@infodrom.org&gt; -->
<!--  -->
<!--  -->
<!--  Traduction 15/05/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  MJ 30/07/2003 LDP-1.58 -->
<br/><h1>OPENPTY</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">note</a>
<br /><a class="summaryIndent0" href="#L6">fichiers</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">bogues</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
openpty, login_tty, forkpty - Fonctions utilitaires pour terminaux tty.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;pty.h&gt;</b> <b></b>  &nbsp;/* for openpty and forkpty */
<br/>
<b>#include</b> <b></b>  <b>&lt;utmp.h&gt;</b> <b></b>  /* for login_tty */
<br/><br/>

<b>int openpty(int *</b> amaster <i>, int *</i> aslave <b>, char *</b> name <i>, struct termios *</i> termp <b>, struct winsize * </b> winp );
<br/><br/>

<b>int login_tty(int </b> fd );
<br/><br/>

<b>pid_t forkpty(int *</b> amaster <i>, char *</i> name <b>, struct termios *</b> termp <i>, struct winsize *</i> winp );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction 
<b>openpty()</b> <b></b>  localise un pseudo terminal disponible et renvoie des descripteurs de fichiers
pour le matre et l'esclave dans 
<i>amaster</i> et
<i>aslave .</i>
Si la chane
<i>name</i> ne vaut pas NULL, le nom de fichier de l'esclave est renvoy dans
<i>name .</i>
Si
<i>termp</i> ne vaut pas NULL, les paramtres du terminal esclave seront affects conformment
aux valeurs spcifies dans
<i>termp .</i>
Si
<i>winp</i> ne vaut pas NULL, la taille de la fentre de l'esclave sera conditionne par 
les valeurs contenues dans 
<i>winp .<br/><br/></i>
La fonction 
<b>login_tty()</b> <b></b>  prpare une connexion sur le terminal 
<i>fd</i> (qui peut tre un vritable priphrique tty, ou bien l'esclave d'un pseudo 
terminal tel que celui renvoy par
<b>openpty() )</b>
en crant une nouvelle session, en faisant de 
<i>fd</i> le terminal de contrle pour le processus courant, en affectant 
<i>fd</i>  l'entre standard,  la sortie standard et aux flux d'erreur du processus
courant, et enfin, en fermant 
<i>fd .<br/><br/></i>
La fonction
<b>forkpty()</b> <b></b>  combine
<b>openpty() ,</b>
<b>fork() ,</b>
et
<b>login_tty()</b> <b></b>  afin de crer un nouveau processus oprant dans un pseudo terminal. Le descripteur 
de fichier de la partie matre du pseudo terminal est renvoy dans
<i>amaster ,</i>
et le nom de fichier de l'esclave dans
<i>name</i> s'il n'est pas NULL. Les paramtres
<i>termp</i> et
<i>winp</i> , s'ils ne valent pas NULL, 
dterminent les attributs du terminal et la taille de la fentre de
la partie esclave du pseudo terminal.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Lorsqu'un appel 
<b>openpty() ,</b>
<b>login_tty() ,</b>
ou
<b>forkpty()</b> <b></b>  choue, alors, on renvoie -1 et 
<i>errno</i> est positionne afin de prciser l'erreur. Sinon
<b>openpty() ,</b>
<b>login_tty() ,</b>
ainsi que le processus fils de
<b>forkpty()</b> <b></b>  renvoient 0 tandis que le processus pre de
<b>forkpty()</b> <b></b>  renvoie le PID du processus fils.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<b>openpty()</b> <b></b>  choue lorsque&nbsp;:
<br/><br/>

<b>ENOENT</b> <b></b>  Il n'y a plus de terminaux disponibles.<br/><br/>
<b>login_pty()</b> <b></b>  choue lorsque 
<b>ioctl()</b> <b></b>  ne parvient pas  affecter 
<i>fd</i> au terminal de contrle du processus courant.<br/><br/>
<b>forkpty()</b> <b></b>  choue en cas d'chec de
<b>openpty()</b> <b></b>  ou de
<b>fork().</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L6">note</h1>
<div class="paragraph">
Ces fonctions sont dans la bibliothque libutil, il faut donc ajouter
<b>-lutil</b> <b></b>  sur la ligne de commande du compilateur.
</div><br/><br /><h1 class="TitreSection0" id="L7">fichiers</h1>
<div class="paragraph">
<i>/dev/[pt]ty[pqrstuwxyzabcdePQRST][0123456789abcdef]</i> </div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
Il s'agit de fonctions BSD prsentes dans la libc5 et la glibc2.
</div><br/><br /><h1 class="TitreSection0" id="L9">bogues</h1>
<div class="paragraph">
Personne ne sait combien d'espace il faut rserver pour
<i>name ,</i>
ainsi les appels
<b>openpty()</b> <b></b>  et
<b>forkpty()</b> <b></b>  avec un argument
<i>name</i> non-nul peut poser un problme de scurit.
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
<b>fork (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002.
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
