<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  Chris Torek and the American National Standards Committee X3, -->
<!--  on Information Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  -->
<!--  -->
<!--  Traduction 10/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 25/04/98 (LDP man-pages 1.19) -->
<!--  mj 26/06/00 (LDP man-pages 1.30) -->
<!--  mj 30/08/2000 (LDP man-pages 1.31) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>PRINTF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">exemples</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">historique</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
printf, fprintf, sprintf, snprintf, vprintf, vfprintf, vsprintf, vsnprintf - Formatage des sorties.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>int printf (const char *</b> format <i>, ...);</i>
<br/>
<b>int fprintf (FILE *</b> stream <i>, const char *</i> format <b>, ...);</b>
<br/>
<b>int sprintf (char *</b> str <i>, const char *</i> format <b>, ...);</b>
<br/>
<b>int snprintf (char *</b> str <i>, size_t </i> size <b>, const char *</b> format <i>, ...);</i>
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;stdarg.h&gt;</b> <b></b>  <br/><br/>

<b>int vprintf (const char *</b> format <i>, va_list </i> ap );
<br/>
<b>int vfprintf (FILE *</b> stream <i>, const char *</i> format <b>, va_list </b> ap );
<br/>
<b>int vsprintf (char *</b> str <i>, const char *</i> format <b>, va_list </b> ap );
<br/>
<b>int vsnprintf (char *</b> str <i>, size_t </i> size <b>, const char *</b> format <i>, va_list </i> ap );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions de la famille
<b>printf</b> <b></b>  produisent des sorties en accord avec le
<i>format</i> dcrit plus bas. Les fonctions
<b>printf</b> <b></b>  et
<b>vprintf</b> <b></b>  crivent leur sortie sur
<i>stdout ,</i>
le flux de sortie standard.
<b>fprintf</b> <b></b>  et
<b>vfprintf</b> <b></b>  crivent sur le flux
<i>stream </i>indiqu.<i></i>
<b>sprintf ,</b>
<b>snprintf , </b>
<b>vsprintf</b> <b></b>  et
<b>vsnprintf</b> <b></b>  crivent leurs sorties dans la chane de caractres
<i> str .<br/><br/></i>
Les fontions
<b>vprintf ,</b>
<b>vfprintf ,</b>
<b>vsprintf ,</b>
<b>vsnprintf</b>
sont quivalentes aux fonctions
<b>printf ,</b>
<b>fprintf ,</b>
<b>sprintf ,</b>
<b>snprintf ,</b>
respectivement, mais elles emploient un tableau va_list  la place
d'un nombre variable d'arguments. Ces fonctions n'appellent pas la macro
<i>va_end ,</i>
aussi la valeur de
<i>ap</i> est-elle indfinie aprs l'appel. Les applications devraient invoquer
<i>va_end(ap)</i> elles-mmes  la suites de ces routines.<br/><br/>
Ces huit fonctions crent leurs sorties sous le contrle d'une chane de
<i>format</i> qui indique les conversions  apporter aux arguments suivants (ou
accessibles  travers les arguments de taille variable
de
<b>stdarg (3)).</b>
</div><br/><h2 class="TitreSection1" id="L11">VALEUR RENVOYE</h2>
<div class="paragraph">
Ces fonctions renvoient le nombre de caractres imprims, sans compter
le caractre nul `\e0' final dans les chanes.
Les fonctions
<b>snprintf </b> et <b> vsnprintf</b>
n'crivent pas plus de
<i>size</i> octets (y compris le '\e0' final).
Si la sortie a t tronque  cause de la limite, la valeur de retour
est le nombre de caractres (sans le '\e0' final) qui auraient t
crits dans la chane s'il y avait eu suffisament de place.
Ainsi une valeur de retour
<i>size</i> ou plus signifie que la sortie a t tronque. (Voir aussi la section
NOTES plus bas).
Si une erreur de sortie s'est produite, une valeur ngative est renvoye.
</div><br/><h2 class="TitreSection1" id="L11">CHANE DE FORMAT</h2>
<div class="paragraph">
Le format de conversion est indiqu par une chane de caractres, commenant
et se terminant dans son tat de dcalage initial.
La chane de format est compose d'indicateurs : les caractres
ordinaires (diffrents de
<b>% ),</b>
qui sont copis sans modification sur la sortie, et les spcifications
de conversion, qui sont mises en correspondances avec les arguments suivants.
Les spcifications de conversion sont introduites par le caractre
<b>% ,</b>
et se terminent par un
<i>indicateur de conversion</i> .</i>
Entre eux peuvent se trouver (dans l'ordre), zro ou plusieurs
<i>attributs ,</i>
une valeur optionnelle de
<i>largeur minimal de champ</i> ,</i>
une valeur optionnelle de
<i>prcision ,</i>
et un ventuel
<i>modificateur de longueur</i> .<br/><br/></i>
Les arguments doivent correspondre correctement (aprs les promotions
de types) avec les indicateurs de conversion. Par dfaut les arguments
sont pris dans l'ordre indiqu, o chaque '*' et chaque indicateur de
conversion rclament un nouvel argument (et o l'insuffisance en arguments
est une erreur. On peut aussi prciser explicitement quel argument
prendre, en crivant,  chaque conversion, `%m$' au lieu de `%', et
`*m$' au lieu de `*'. L'entier dcimal m indique la position dans la liste
d'arguments, l'indexation commenant  1.
Ainsi,
.RS

	printf ("%*d", width, num);



et
.RS

	printf ("%2$*1$d", width, num);



sont quivalents. La seconde notation permet de rpter plusieurs fois
le mme argument. Le standard C99 n'autorise pas le style utilisant `$',
qui provient des Spcifications Single Unix. Si le style avec `$' est utilis,
il faut l'employer pour toutes conversions prenant un argument, et pour tous
les arguments de largeur et de prcision, mais on peut le mlanger avec des
formats `%%' qui ne consomment pas d'arguments. Il ne doit pas y avoir de
sauts dans les numros des arguments spcifis avec `$'. Par exemple si
les arguments 1 et 3 sont spcifis, l'argument 2 doit aussi tre mentionn
quelque part dans la chane de format.<br/><br/>
Pour certaines conversions numriques, un caractre de sparation dcimale
(le point par dfaut) est utilis, ainsi qu'un caractre de regroupement par
milliers '. Les vritables caractres dpendent de la localisation LC_NUMERIC.
La localisation POSIX utilise `.' comme sparateur dcimal, et n'a pas de caractre de regroupement.
Ainsi,
.RS

	printf ("%'.2f", 1234567.89);



s'affichera comme 1234567.89 dans la localisation POSIX, 1234567,89 en
localisation fr_FR, et 1.234.567,89 en localisation da_DK.
</div><br/><h2 class="TitreSection1" id="L11">CARACTRE D'ATTRIBUT</h2>
<div class="paragraph">
Le caractre % peut tre ventuellement suivi par un ou plusieurs attributs suivants :
<br/><br/>

<b>#</b> <b></b>  indique que la valeur doit tre convertie en une autre forme.
Pour la conversion
<b>o</b>
le premier caractre de la chane de sortie vaudra zro
(en ajoutant un prfixe 0 si ce n'est pas dj un zro).
Pour les conversions
<b>x</b> <b></b>  et
<b>X</b> <b></b>  une valeur non nulle reoit le prfixe `0x' (ou `0X' pour l'indicateur
<b>X ).</b>
Pour les conversions
<b>a ,</b>
<b>A ,</b>
<b>e ,</b>
<b>E ,</b>
<b>f ,</b>
<b>g ,</b>
et
<b>G</b> <b></b>  le rsultat contiendra toujours un point dcimal mme si aucun chifre
ne le suit (normalement, un point dcimal n'est prsent avec ces conversions
que si des dcimales le suivent). Pour les conversions
<b>g</b> <b></b>  et
<b>G</b> <b></b>  les zros en tte ne sont pas limins, contrairement au comportement
habituel.
Pour les autres conversions, cet attribut n'a pas d'effet.
<br/><br/>

<b>0</b> <b></b>  indique le remplissage avec des zros. Pour les conversions
<b>d ,</b>
<b>i ,</b>
<b>o ,</b>
<b>u ,</b>
<b>x ,</b>
<b>X ,</b>
<b>a ,</b>
<b>A ,</b>
<b>e ,</b>
<b>E ,</b>
<b>f ,</b>
<b>F ,</b>
<b>g ,</b>
et
<b>G ,</b>
la valeur est complte  gauche avec des zros plutot qu'avec des
espaces.
Si les attributs
<b>0</b> <b></b>  et
<b>-</b> <b></b>  apparaissent ensemble, l'attribut
<b>0</b> <b></b>  est ignor.
Si une prcision est fournie avec une conversion numrique
<b></b> ( d ,</b>
<b>i ,</b>
<b>o ,</b>
<b>u ,</b>
<b>x ,</b>
et
<b>X ),</b>
l'attribut
<b>0</b> <b></b>  est ignor.
Pour les autres conversions, le comportement est indfini.
<br/><br/>

<b>-</b> <b></b>  indique que la valeur doit tre justifie sur la limite gauche du champ
(par dfaut elle l'est  droite). Sauf pour la conversion
<b>n ,</b>
les valeurs sont compltes  droite par des espaces, plutt
qu'a gauche par des zros ou des blancs. Un attribut
<b>-</b> <b></b>  surcharge un attribut
<b>0</b> <b></b>  si les deux sont fournis.
<br/><br/>

<b>'</b> <b></b>  <b>'</b> <b></b>  (un espace) indique qu'un espace doit tre laiss avant un nombre
positif (ou une chane vide) produit par une conversion signe
<br/><br/>

<b>+</b> <b></b>  indique que le signe doit toujours tre imprim avant un nombre produit
par une conversion signe. Un attribut
<b>+</b> <b></b>  surcharge un attribut 'espace' si les deux sont fournis.<br/><br/>
Les cinq caractres d'attributs ci-dessus sont dfinis dans le standard C,
les spcifications SUSv2 en ajoute un :
<br/><br/>
 
<b>'</b> <b></b>  Pour les conversions dcimales
<b></b> ( i ,</b>
<b>d ,</b>
<b>u ,</b>
<b>f ,</b>
<b>g ,</b>
<b>G )</b>
indique que les chiffres d'un argument numrique doivent tre groups par millier
en fonction de la localisation. Remarquez que de nombreuses versions de
<b>gcc</b> <b></b>  n'accepte pas cet attribut et dclencheront un avertissement (warning). 
SUSv2 n'inclue pas  %'F.<br/><br/>
La GlibC 2.2 ajoute un caractre d'attribut supplmentaire.
<br/><br/>

<b>I</b> <b></b>  Pour les conversions dcimales
<b></b> ( i ,</b>
<b>d ,</b>
<b>u )</b>
la sortie emploie les chiffres alternatifs de la localisation s'il y en a.
<!--  (for example, Arabic digits).  However, it does not include any locale -->
<!--  definitions with such -->
<!--  <b>outdigits</b> <b></b>  <b>--></b> <b></b>  <!--  defined. -->
<!--  See http://sources.redhat.com/ml/libc-alpha/2000-08/msg00230.html -->
</div><br/><h2 class="TitreSection1" id="L11">LARGEUR DE CHAMP</h2>
<div class="paragraph">
Un nombre optionnel ne commenant pas par un zro, peut indiquer une largeur
minimale de champ. Si la valeur convertie occupe moins de caractres que cette
largeur, elle sera complte par des espaces  gauche (ou  droite si l'attribut
d'alignement  gauche a t fourni).
 la place de la chane reprsentant le nombre dcimal, on peut crire `*' ou
`*m$' (m tant entier) pour indiquer que la largeur du champ est fournie
dans l'argument suivant, ou dans le m-ime argument, respectivement. 
L'argument fournissant la largeur doit tre de type
<i>int .</i>
Une largeur ngative est considr comme l'attribut `-' vu plus haut suivi
d'une largeur positive.
En aucun cas une largeur trop petite ne provoque la troncature du champ. Si
le rsultat de la conversion est plus grand que la largeur indique, le champ
est largi pour contenir le rsultat.
</div><br/><h2 class="TitreSection1" id="L11">PRCISION</h2>
<div class="paragraph">
Une prcision eventuelle, sous la forme d'un point (`.')  suivi par
un nombre.
 la place de la chane reprsentant le nombre dcimal, on peut crire `*' ou
`*m$' (m tant entier) pour indiquer que la prcision est fournie
dans l'argument suivant, ou dans le m-ime argument, respectivement. 
L'argument fournissant la prcision doit tre de type
<i>int .</i>
Si la prcision ne contient que le caractre `.', ou une valeur ngative,
elle est considre comme nulle.
Cette prcision indique un nombre minimum de chiffres  faire apparatre lors des conversions
<b>d ,</b>
<b>i ,</b>
<b>o ,</b>
<b>u ,</b>
<b>x ,</b>
et
<b>X ,</b>
le nombre de dcimales  faire apparatre pour les conversions
<b>a ,</b>
<b>A ,</b>
<b>e ,</b>
<b>E ,</b>
<b>f,</b>
et
<b>F ,</b>
le nombre maximum de chiffres significatifs pour
<b>g</b> <b></b>  et
<b>G ,</b>
et le nombre maximum de caractres  imprimer depuis une chane
pour les conversions
<b>S</b> <b></b>  et
<b>s .<br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L11">MODIFICATEUR DE LONGUEUR</h2>
<div class="paragraph">
Ici, une conversion entire correspond 
<b>d ,</b>
<b>i ,</b>
<b>o ,</b>
<b>u ,</b>
<b>x ,</b>
ou
<b>X .<br/><br/></b>
<br/><br/>

<b>hh</b> <b></b>  La conversion entire suivante correspond  un
<i>signed char</i> ou
<i>unsigned char</i> ,</i>
ou la conversion
<b>n</b> <b></b>  suivante correspond  un argument pointeur sur un
<i>signed char</i> .<br/><br/></i>
<br/><br/>

<b>h</b> <b></b>  La conversion entire suivante correspond  un
<i>short int</i> ou
<i>unsigned short int</i> ,</i>
ou la conversion
<b>n</b> <b></b>  suivante correspond  un argument pointeur sur un
<i>short int</i> .<br/><br/></i>
<br/><br/>

<b>l</b> <b></b>  (elle) La conversion entire suivante correspond  un
<i>long int</i> ou
<i>unsigned long int</i> ,</i>
ou la conversion
<b>n</b> <b></b>  suivante correspond  un pointeur sur un
<i>long int</i> ,</i>
ou la conversion
<b>c</b> <b></b>  suivante correspond  un argument
<i>wint_t ,</i>
ou encore la conversion
<b>s</b> <b></b>  suivante correspond  un pointeur sur un
<i>wchar_t .<br/><br/></i>
<br/><br/>

<b>ll</b> <b></b>  (elle-elle)
La conversion entire suivante correspond  un
<i>long long int</i> ,</i>
ou
<i>unsigned long long int</i> ,</i>
ou la conversion
<b>n</b> <b></b>  suivante correspond  un pointeur sur un
<i>long long int</i> .<br/><br/></i>
<br/><br/>

<b>L</b>
La conversion
<b>a ,</b>
<b>A ,</b>
<b>e ,</b>
<b>E ,</b>
<b>f ,</b>
<b>F ,</b>
<b>g ,</b>
ou
<b>G</b> <b></b>  suivante correspond  un argument
<i>long double</i> .</i>
(C99 autorise %LF
mais pas SUSv2).
<br/><br/>

<b>q </b>
(`quad' BSD 4.4 et Linux sous libc5 seulement, ne pas utiliser)
Il s'agit d'un synonyme pour
<b>ll .</b>
<br/><br/>

<b>j</b> <b></b>  La conversion entire suivante correspond  un argument
<i>intmax_t</i> ou
<i>uintmax_t .<br/><br/></i>
<br/><br/>

<b>z</b> <b></b>  La conversion entire suivante correspond  un argument
<i>size_t</i> ou
<i>ssize_t .</i>
(La bibliothque libc5 de Linux proposait l'argument
<b>Z</b> <b></b>  pour cela, ne pas utiliser).
<br/><br/>

<b>t</b> <b></b>  La conversion entire suivante correspond  un argument
<i>ptrdiff_t .<br/><br/><br/><br/></i>
Les spcifications SUSv2 ne mentionnent que les modificateurs de longueur
<b>h</b> <b></b>  (dans
<b>hd ,</b>
<b>hi ,</b>
<b>ho ,</b>
<b>hx ,</b>
<b>hX ,</b>
<b>hn ),<br/><br/></b>
<b>l</b> <b></b>  (dans
<b>ld ,</b>
<b>li ,</b>
<b>lo ,</b>
<b>lx ,</b>
<b>lX ,</b>
<b>ln ,</b>
<b>lc ,</b>
<b>ls )</b>
et
<b>L</b> <b></b>  (dans
<b>Le ,</b>
<b>LE ,</b>
<b>Lf ,</b>
<b>Lg ,</b>
<b>LG ).<br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L11">INDICATEUR DE CONVERSION</h2>
<div class="paragraph">
Un caractre indique le type de conversion  apporter. 
Les indicateurs de conversion, et leurs significations sont :
<br/><br/>

<b>d </b>, <b> i</b>
L'argument
<i>int</i> est convertie en un chiffre dcimal sign.
La prcision, si elle est mentionn, correspond au nombre minimal de chiffres
qui doivent apparatre. Si la conversion fournit moins de chiffres, le rsultat
est rempli  gauche avec des zros. Par dfaut la prcision vaut 1.
Lorsque 0 est converti avec une prcision valant 0, la sortie est vide.
<br/><br/>

<b>o </b>, <b> u </b>, <b> x </b>, <b> X</b>
L'argument 
<i>unsigned int</i> est converti en un chiffre octal non-sign
<b></b> ( o ),</b>
un chiffre dcimal non-sign
<b></b> ( u ),</b>
un chiffre hxadcimal non-sign 
<b></b> ( x</b>
et
<b>X ).</b>
Les lettres
<b>abcdef</b> <b></b>  sont utilises pour les conversions avec
<b>x ,</b>
les lettres
<b>ABCDEF</b> <b></b>  sont utilises pour les conversions avec
<b>X .</b>
La prcision, si elle est indique, donne un nombre minimal de
chiffres  faire apparatre. Si la valeur convertie ncessite moins
de chiffres, elle est complte  gauche avec des zros.  La prcision par dfaut vaut 1.
Lorsque 0 est converti avec une prcision valant 0, la sortie est vide.
<br/><br/>

<b>e</b> <b></b>  <b></b> <b></b> ,<b></b>  <b></b> <b></b>  <b>E</b> <b></b>  L'argument rel, de type
<i>double ,</i>
est arrondi et prsent avec la notation scientifique
.if \w'\*(Pm'=0 .ds Pm  
<b></b> [-]c . ccc e \\*(Pmcc</b>
dans lequel se trouve un chiffre avant le point, puis un nombre de dcimales
gal  la prcision demande. Si la prcision n'est pas indique, l'affichage
contiendra 6 dcimales. Si la prcision vaut zro, il n'y a pas de
point dcimal. Une conversion
<b>E</b> <b></b>  utilise la lettre
<b>E</b> <b></b>  (plutt que
<b>e )</b>
pour introduire l'exposant.  Celui-ci contient toujours au moins deux chiffres.
Si la valeur affiche est nulle, son exposant est 00.
<br/><br/>

<b>f </b>, <b> F</b>
L'argument rel, de type
<i>double ,</i>
est arrondi, et prsent avec la notation classique
<b></b> [-]ccc . ccc,</b>
o le nombre de dcimales est gal  la prcision rclame. Si la prcision
n'est pas indique, l'affichage se fera avec 6 dcimales. Si la prcision
vaut zro, aucun point n'est affich. Lorsque le point est affich, il y a
toujours au moins un chiffre devant.<br/><br/>
SUSv2 ne mentionne pas
<b>F</b> <b></b>  et dit qu'il existe une chane de caractres reprsentant l'infini ou NaN.
Le standard C99 prcise `[-]inf' ou `[-]infinity' pour les infinis, et
une chane commenant par `nan' pour NaN dans le cas d'une conversion
<b>f ,</b>
et les chanes `[-]INF' `[-]INFINITY' `NAN*' pour une conversion
<b>F .<br/><br/></b>
<br/><br/>

<b>g </b>, <b> G</b>
L'argument rel, de type
<i>double ,</i>
est converti en style
<b>f</b> <b></b>  ou
<b>e</b> <b></b>  (ou
<b>E</b> <b></b>  pour la conversion
<b>G )</b>
La prcision indique le nombre de dcimales significatives. Si la prcision
est absente, une valeur par dfaut de 6 est utilise. Si la prcision
vaut 0, elle est considre comme valant 1. La notation scientifique
<b>e</b> <b></b>  est utilise si l'exposant est infrieur  -4 ou suprieur ou gal  la
prcision dmande. Les zros en fin de partie dcimale sont supprims.
Un point decimal n'est affich que s'il est suivi
d'au moins un chiffre.
<br/><br/>

<b>a </b>, <b> A</b>
(C99 mais pas SUSv2). Pour la conversion
<b>a ,</b>
l'argument de type 
<i>double</i> est transform en notation hexadcimale (avec les lettres abcdef)
dans le style
<b></b> [-] 0x h . hhhh p \\*(Pmd;</b>
Pour la conversion
<b>A ,</b>
le prfixe
<b>0X ,</b>
les lettres ABCDEF et le sparateur d'exposant
<b>P</b> <b></b>  sont utiliss.
Il y a un chiffre hexadcimal avant la virgule, et le nombre de chiffres
ensuite est gal  la prcision. La prcision par dfaut suffit pour une
reprsentation exacte de la valeur, si une reprsentation exacte est possible
en base 2. Sinon elle est suffisament grande pour distinguer les valeurs de
type
<i>double .</i>
Le chiffre avant le point dcimal n'est pas spcifi pour les nombres
non-normaliss, et il non-nul pour les nombres normaliss.
<br/><br/>

<b>c</b> <b></b>  S'il n'y a pas de modificateur
<b>l ,</b>
l'argument entier, de type
<i>int ,</i>
est converti en un
<i>unsigned char</i> ,</i>
et le caractre correspondant est affich.
Si un modificateur
<b>l</b> <b></b>  est prsent, l'argument de type
<i>wint_t</i> (caractre large) est converti en squence multi-octet par un appel

<b>wctomb ,</b>
avec un tat de conversion dbutant dans l'tat initial. La chane
multi-octet rsultante est crite.
<br/><br/>

<b>s</b> <b></b>  S'il n'y a pas de modificateur
<b>l ,</b>
l'argument de type
<i>const char *</i> est suppos tre un pointeur sur un tableau de caractres (pointeur sur
une chane). Les caractres du tableau sont crits jusqu'au
caractre
<b>NUL</b> <b></b>  final, non compris. Si une prcision est indique, seul ce nombre de
caractres sont crits. Si une prcision est fournie, il n'y a pas
besoin de caractre nul. Si la prcision n'est pas donne, ou si elle
est suprieure  la longueur de la chane, le caractre 
<b>NUL</b> <b></b>  final est ncessaire.<br/><br/>
Si un modificateur
<b>l</b> <b></b>  est prsent, l'argument de type
<i>const wchar_t *</i> est suppos tre un pointeur sur un tableau de caractres larges.
Les caractres larges du tableau sont convertis en une squence
de caractres multi-octets (chacun par un appel de
<b>wctomb ,</b>
avec un tat de conversion dans l'tat initial avant le premier
caractre large), ceci jusqu'au caractre large nul final compris.
Les caractres multi-octets rsultants sont cris jusqu' l'octet
nul final (non compris). Si une prcision est fournie, il n'y a pas plus
d'octets crits que la prcision indique, mais aucun caractre
multi-octet n'est crit partiellement. Remarquez que la prcision
concerne le nombre
<i>d'octets</i> crits, et non pas le nombre de
<i>caractres larges</i> ou de
<i>positions d'crans</i> .</i>
La chane doit contenir un caractre large nul final, sauf si une prcision
est indique, suffisament petite pour que le nombre d'octets crits
la remplisse avant la fin de la chane.
<br/><br/>

<b>C</b> <b></b>  (dans SUSv2 mais pas dans C99)
Synonyme de
<b>lc .</b>
Ne pas utiliser.
<br/><br/>

<b>S</b> <b></b>  (dans SUSv2 mais pas dans C99)
Synonyme de
<b>ls .</b>
Ne pas utiliser.
<br/><br/>

<b>p</b> <b></b>  L'argument pointeur, du type
<i>void *</i> est affich en hxadcimal, comme avec
<b>%#x</b> <b></b>  ou
<b> %#lx .</b>
<br/><br/>

<b>n</b> <b></b>  Le nombre de caractres dj crits est stock dans l'entier indiqu par
l'argument pointeur de type
<i>int *</i> .</i>
Aucun argument n'est converti.
<br/><br/>

<b>%</b> <b></b>  Un caractre `%' est crit. Il n'y a pas de conversion. L'indicateur
complet est `%%'.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">exemples</h1>
<div class="paragraph">
<br/>
.if \w'\*(Pi'=0 .ds Pi pi
Pour afficher \*(Pi avec cinq dcimales :
.RS

#include &lt;math.h&gt;
#include &lt;stdio.h&gt;
fprintf (stdout, "pi = %.5f\en", 4 * atan (1.0));


<br/><br/>
Pour afficher une date et une heure sous la forme `Sunday, July 3, 23:15',
ou
<i>jour_semaine</i> et
<i>mois</i> sont des pointeurs sur des chanes :
.RS

#include &lt;stdio.h&gt;
fprintf (stdout, "%s, %s %d, %.2d:%.2d\en",
	 jour_semaine, mois, jour, heure, minute);


<br/><br/>
De nombreux pays utilisent un format de date diffrent, comme jour-mois_anne.
Une version internationale doit donc tre capable d'afficher
les arguments dans l'ordre indiqu par le format&nbsp;:
.RS

#include &lt;stdio.h&gt;
fprintf(stdout, format,
        jour_semaine, mois, day, hour, min);



o le
<i>format</i> dpend de la localisation et peut permuter les argument. Avec la valeur
.RS

"%1$s, %3$d. %2$s, %4$d:%5$.2d\en"



On peut obtenir `Dimanche, 3 Juillet, 23:15'.<br/><br/>
Pour allouer une chane de taille suffisante et crire dedans
(code correct aussi bien pour GlibC 2.0 que GlibC 2.1)&nbsp;:
.RS

#include &lt;stdio.h&gt;
#include &lt;stdlib.h&gt;
#include &lt;stdarg.h&gt;
char *
make_message(const char *fmt, ...) {
   /* Supposons que 100 octets suffisent. */
   int n, size = 100;
   char *p;
   va_list ap;
   if ((p = malloc (size)) == NULL)
      return NULL;
   while (1) {
      /* Essayons avec l'espace allou. */
      va_start(ap, fmt);
      n = vsnprintf (p, size, fmt, ap);
      va_end(ap);
      /* Si a marche, renvoyer la chane. */
      if (n &gt; -1 && n &lt; size)
         return p;
      /* Sinon ressayer avec plus de place */
      if (n &gt; -1)    /* GlibC 2.1 */
         size = n+1; /* ce qu'il fallait */
      else           /* GlibC 2.0 */
         size *= 2;  /* deux fois plus */
      if ((p = realloc (p, size)) == NULL) 
         return NULL;
   }
}


<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
L'implmentation des fonctions
<b>snprintf</b> <b></b>  et
<b>vsnprintf</b> <b></b>  de la GlibC se conforme au standard C99, et se comporte comme dcrit plus
haut depuis la GlibC 2.1. Jusqu' la GlibC 2.0.6, elles renvoyaient
-1 si la sortie avait t tronque.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Les fonctions
<b>fprintf ,</b>
<b>printf ,</b>
<b>sprintf ,</b>
<b>vprintf ,</b>
<b>vfprintf ,</b>
et
<b>vsprintf</b> <b></b>  sont conformes  ANSI X3.159-1989 (``ANSI C'') et ISO/IEC 9899:1999
(``ISO C99''). 
Les fonctions
<b>snprintf ,</b>
et
<b>vsnprintf </b>
sont conformes  ISO/IEC 9899:1999.<br/><br/>
En ce qui concerne la valeur de retour de
<b>snprintf ,</b>
SUSv2 et C99 sont en contradiction : lorsque
<b>snprintf</b> <b></b>  est appele avec un argument
<i>size = 0</i>
lors SUSv2 prcise une valeur de retour indtermine, autre que 1, alors
que C99 autorise
<i>str</i>  tre NULL dans ce cas, et rclame en valeur de retour (comme toujours)
le nombre de caractres qui auraient t crits si la chane de sortie avait
t assez grande.<br/><br/>
La bibliothque libc4 de Linux connaissait les 5 attributs standards du C.
Elle connaissait les modificateurs de longueur h, l, L et les conversions
cdeEfFgGinopsuxX, o F tait synonyme de f.
De plus elle acceptait D, O, U comme synonymes de ld, lo et lu.
(Ce qui causa de srieux bogues par la suite lorsque le support de
%D disparut). Il n'y avait pas de sparateur dcimal dpendant de la
localisation, pas de sparateur des milliers, par de NaN ou d'infinis, et
pas de %m$ ni *m$.<br/><br/>
La bibliothque libc5 de Linux connaissait les 5 attributs standards C, 
l'attribut ', la
localisation, %m$ et *m$. Elle connaissait les modificateurs de longueur
h, l, L, Z, q, mais acceptait L et q pour les "long double" et les
"long long integer" (ce qui est un bogue). Elle ne reconnaissait plus FDOU, mais ajoutait le caractre de conversion
<b>m ,</b>
qui affiche
<i>strerror (errno)</i> .<br/><br/></i>
La bibliothque GlibC 2.0 ajouta les caractres de conversion C et S.<br/><br/>
La bibliothque GlibC 2.1 ajouta les modificateurs de longueur hh, t, z, et les caractres de conversion a, A.<br/><br/>
La bibliothque GlibC 2.2. ajouta le caractre de conversion F avec la 
smantique C99, et le caractre d'attribut I.
</div><br/><br /><h1 class="TitreSection0" id="L7">historique</h1>
<div class="paragraph">
Unix V7 dfinissait les trois routines
<b>printf ,</b>
<b>fprintf ,</b>
<b>sprintf ,</b>
et l'attribut -, la largeur ou la prcision *, le modificateur de longueur l,
et les conversions doxfegcsu, ainsi que D, O, U, X comme synonymes de ld, lo, lu, lx.
Ceci est vrai pour BSD 2.9.1, mais BSD 2.10 avait les attributs
#, + et &lt;espace&gt; mais ne mentionnait plus D, O, U, X.
BSD 2.11 avait
<b>vprintf ,</b>
<b>vfprintf ,</b>
<b>vsprintf ,</b>
et signalait le problme de D, O, U, X.
BSD 4.3 Reno avait l'attribut 0, les modificateurs de longueur h et L,
ainsi que les conversions n, p, E, G, X (avec sa signification actuelle),
et dnonait D, O, U.
BSD 4.4 introduisit les fonctions
<b>snprintf</b> <b></b>  et 
<b>vsnprintf ,</b>
et le modificateur de longueur q.
FreeBSD avait aussi les fonctions
<i>asprintf</i> et
<i>vasprintf ,</i>
qui allouaient un buffer assez grand pour
<b>sprintf .</b>
Dans la GlibC, il existe des fonctions
<i>dprintf</i> et
<i>vdprintf</i> qui affichent leur rsultat sur un descripteur de fichier plutt qu'un flux.
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Comme
<b>sprintf</b> <b></b>  et
<b>vsprintf</b> <b></b>  ne font pas de suppositions sur la longueur des chanes, le programme appelant
doit s'assurer de ne pas dborder l'espace d'adressage. C'est souvent difficile.
Notez que la longueur des chanes peut varier avec la localisation et tre
difficilement prvisible. Il faut alors utiliser
<b>snprintf</b> <b></b>  ou
<b>vsnprintf</b> <b></b>   la place (ou encore
<b>asprintf</b> <b></b>  et
<b>vasprintf ).<br/><br/></b>
La libc4.[45] de Linux n'avait pas
<b>snprintf ,</b>
mais proposait une bibliothque libbsd qui contenait un
<b>snprintf</b> <b></b>  quivalent 
<b>sprintf ,</b>
c'est  dire qui ignorait l'argument
<i>size .</i>
Ainsi, l'utilisation de
<b>snprintf</b> <b></b>  avec les anciennes libc4 pouvait conduire  de srieux problmes de scurit.<br/><br/>
Un code tel que
printf( foo ); 
indique souvent un bogue, car
<i>foo</i> peut contenir un caractre %. Si
<i>foo</i> vient d'une saisie non scurise, il peut contenir %n, ce qui autorise
<b>printf</b> <b></b>   crire dans la mmoire, et cre une faille de scurit.
<!--  .PP -->
<!--  Certaines conversions de nombres rels, avec les anciennes libc4, pouvaient -->
<!--  provoquer des fuites de mmoire. -->
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>printf (1),</b>
<b>asprintf (3),</b>
<b>dprintf (3),</b>
<b>wcrtomb (3),</b>
<b>wprintf (3),</b>
<b>scanf (3),</b>
<b>locale (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
