<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Fri Jun 23 01:35:19 1995 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  (prompted by Bas V. de Bakker &lt;bas@phys.uva.nl&gt;) -->
<!--  Corrected (and moved to man3), 980612, aeb -->
<!--  Traduction 14/12/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP man-pages 1.21 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>PROFIL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
profil - Suivi du temps d'excution.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;unistd.h&gt;</b> <b></b>  <br/><br/>

<b>int profil(u_short *</b> buffer <i>, size_t </i> taille_buf <b>, size_t </b> offset <i>, u_int </i> echelle );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette routine fournit un moyen de dtecter les zones o votre programme
passe l'essentiel de son temps. L'argument
<i>buffer</i> pointe sur
<i>taille_buf</i> octets de mmoire. Toutes les 10 millisecondes virtuelles, le compteur
de programme (PC) est examin. On lui soustrait la valeur
<i>offset</i> et le rsultat est multipli par 
<i>echelle</i>
puis divis par 65536.
Si la valeur rsultant est infrieure a
<i>taille_buff ,</i>
alors l'lment correspondant du
<i>buffer</i> est incrment.
Si
<i>buffer</i> est NULL, Le suivi est dsactiv.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Cette routine renvoie toujours zro.
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
<b>profil</b> <b></b>  ne doit pas tre invoqu dans les programmes qui
utilisent des timers
<b>ITIMER_PROF .<br/><br/></b>
Un vrai suivi fourni par le noyau donnerait des rsultats plus prcis.
La bibliothque Libc 4.4 contenait un patch pour implmenter un
appel systme profil dans le noyau.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
Similaire  un appel de SVr4 (mais pas POSIX.1).
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>gprof (1),</b>
<b>setitimer (2),</b>
<b>signal (2),</b>
<b>sigaction (2).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
