<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<br/><h1>PTHREAD_CONDATTR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">auteur</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/>
<br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pthread_condattr_init, pthread_condattr_destroy - attributs de cration de conditions<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;pthread.h&gt;<br/><br/></b> <b></b>  <b>int pthread_condattr_init(pthread_condattr_t *</b> attr <i>);</i><br/><br/>
<b>int pthread_condattr_destroy(pthread_condattr_t *</b> attr <i>);</i><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les attributs de condition peuvent tre spcifis lors de la cration de ces
conditions, en passant un attribut de condition comme second argument 
<b>pthread_cond_init</b> (3).</b>
L'argument
<b>NULL"</b> <b></b>  est quivalent  passer un attribut de condition o tous les attributs sont
initialiss  leur valeurs par dfaut.<br/><br/>
L'implmentation LinuxThreads ne supporte aucun attribut pour les conditions.
Les fonctions relatives aux attributs de condition ne sont prsentes que pour
respecter le standard POSIX.<br/><br/>
<b>pthread_condattr_init"</b> <b></b>  initialise l'attribut de condition
<i>attr</i> et le remplit avec les valeurs par dfaut pour les attributs.
<b>pthread_condattr_destroy"</b> <b></b> ,<b></b>  <b>qui</b> <b></b>  <b>ne</b> <b></b>  <b>doit</b> <b></b>  <b>pas</b> <b></b>  <b>tre</b> <b></b>  <b>rutilis</b> <b></b>  <b>jusqu'</b> <b></b>  <b>ce</b> <b></b>  <b>qu'il</b> <b></b>  soit rinitialis. Ces deux fontions sont sans effet dans l'implmentation
LinuxThreads.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>pthread_condattr_init"</b> <b></b>  et 
<b>pthread_condattr_destroy"</b> <b></b>  retournent toujours 0.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">auteur</h1>
<div class="paragraph">
Xavier Leroy &lt;Xavier.Leroy@inria.fr&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>pthread_cond_init</b> (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2000</i><br/><br/></i>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
