<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<br/><h1>PTHREAD_CREATE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pthread_create - cre un nouveau thread<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;pthread.h&gt;<br/><br/></b> <b></b>  <b>int pthread_create(pthread_t * </b> thread <i>, pthread_attr_t * </i> attr <b>, void * (*</b> start_routine <i>)(void *), void * </i> arg <b>);</b><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>pthread_create"</b> <b></b>  cre un nouveau thread s'excutant simultanment avec le thread appelant. Le
nouveau thread excute la fonction
<i>start_routine</i> en lui passant
<i>arg</i> comme premier argument. Le nouveau thread s'achve soit explicitement en
appelant
<b>pthread_exit</b> (3),</b>
ou implicitement lorsque la fonction
<i>start_routine</i> s'achve. Ce dernier cas est quivalent  appeler
<b>pthread_exit</b> (3)</b>
avec la valeur renvoye par
<i>start_routine</i> comme code de sortie.<br/><br/>
L'argument
<i>attr</i> indique les attributs du nouveau thread. Voir
<b>pthread_attr_init</b> (3)</b>
pour une liste complte des attributs. L'argument
<i>attr</i> peut tre
<b>NULL</b> ,</b>
auquel cas, les attributs par dfaut sont utiliss&nbsp;: le thread cr est
joignable (non dtach) et utilise la politique d'ordonnancement normale (pas
temps-rel).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de succs, l'identifiant du nouveau thread est stock  l'emplacement
mmoire point par l'argument <i>thread</i>, et 0 est renvoy. En cas d'erreur,
un code d'errur non nul est renvoy.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EAGAIN"</b> <b></b>  pas assez de ressources systme pour crer un processus pour le nouveau thread.
<br/><br/>

<b>EAGAIN"</b> <b></b>  il y a dj plus de
<b>PTHREAD_THREADS_MAX"</b> <b></b>  threads actifs.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
Xavier Leroy &lt;Xavier.Leroy@inria.fr&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>pthread_exit</b> (3),</b>
<b>pthread_join</b> (3),</b>
<b>pthread_detach</b> (3),</b>
<b>pthread_attr_init</b> (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2000</i><br/><br/></i>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
