<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<br/><h1>PTHREAD_DETACH</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pthread_detach - place un thread en cours d'xcution dans l'tat dtach.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;pthread.h&gt;<br/><br/></b> <b></b>  <b>int pthread_detach(pthread_t </b> th <i>);</i><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>pthread_detach"</b> <b></b>  place le thread 
<i>th</i> dans l'tat dtach. Cela garantit que les ressources mmoire consommes par 
<i>th</i> seront immdiatement libres lorsque l'excution de
<i>th</i> s'achvera. Cependant, cela empche les autres threads de se synchroniser sur
la mort de
<i>th</i> en utilisant
<b>pthread_join</b> .<br/><br/></b>
Un thread peut tre cr initialement dans l'tat dtach, en utilisant
l'attribut
<b>detachstate"</b> <b></b>  dans l'appel de
<b>pthread_create</b> (3).</b>
Par opposition,
<b>pthread_detach"</b> <b></b>  ne s'applique qu'aux threads crs dans l'tat joignable, et ncessitant d'tre
mis dans l'tat dtach plus tard.<br/><br/>
Ds que
<b>pthread_detach"</b> <b></b>  rend la main, tout appel ultrieur 
<b>pthread_join"</b> <b></b>  sur
<i>th</i> chouera. Si un autre thread est dj en attente sur le thread
<i>th</i> lorsque 
<b>pthread_detach"</b> <b></b>  est appele,
<b>pthread_detach"</b> <b></b>  ne fait rien, et laisse 
<i>th</i> dans l'tat joignable.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
En cas de succs, 0 est renvoy. En cas d'errer, un code d'erreur non nul est
renvoy.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ESRCH"</b> <b></b>  Aucun thread ne correspond  celui indiqu par
<i>th</i> <br/><br/>

<b>EINVAL"</b> <b></b>  le thread 
<i>th</i> est dj dans l'tat dtach.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
Xavier Leroy &lt;Xavier.Leroy@inria.fr&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>pthread_create</b> (3),</b>
<b>pthread_join</b> (3),</b>
<b>pthread_attr_setdetachstate</b> (3)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2000</i></i>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
