<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<br/><h1>PTHREAD_KILL_OTHER_THREADS_NP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">auteur</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pthread_kill_other_threads_np - interrompt tous les autres threads du processus.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;pthread.h&gt;<br/><br/></b> <b></b>  <b>void pthread_kill_other_threads_np(void);</b><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>pthread_kill_other_threads_np"</b> <b></b>  est une extension non portable de LinuxThreads. Tous les threads du processus
sont immdiatement interrompus, except le thread appelant qui continue 
s'excuter. Cette fonction est fournie pour tre excute juste avant qu'un
thread appelle l'une des fonctions de la famille <b>exec</b>, par exemple,
<b>execve</b> (2).<br/><br/></b>
L'interruption des autres threads n'est pas ralise via
<b>pthread_cancel</b> (3)</b>
et n'excute pas les gestionnaires de nettoyage dans les threads dont
l'excution s'achve.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">auteur</h1>
<div class="paragraph">
Xavier Leroy &lt;Xavier.Leroy@inria.fr&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>execve</b> (2),</b>
<b>pthread_setcancelstate</b> (3),</b>
<b>pthread_setcanceltype</b> (3),</b>
<b>pthread_cancel</b> (3).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph"><br/><br/>
D'aprs POSIX 1003.1c, un appel couronn de succs 
<b>exec*"</b> <b></b>  dans l'un des threads devrait terminer automatiquement tous les autres threads
du processus. Ce comportement n'est pas encore implment dans LinuxThreads.
Appeler 
<b>pthread_kill_other_threads_np"</b> <b></b>  avant 
<b>exec*"</b> <b></b>  revient au mme, except que si
<b>exec*"</b> <b></b>  choue, alors tous les autres threads ont dj t interrompus.
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2000</i><br/><br/></i>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
