<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<br/><h1>PTHREAD_ONCE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
pthread_once - excution unique<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;pthread.h&gt;<br/><br/></b> <b></b>  <b>pthread_once_t </b> once_control <i> = PTHREAD_ONCE_INIT;</i><br/><br/>
<b>int pthread_once(pthread_once_t *</b> once_control <i>, void (*</i> init_routine <b>) (void));</b><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph"><br/><br/>
L'objectif de 
<b>pthread_once"</b> <b></b>  est de s'assurer qu'une squence d'initialisation n'est excute qu'une
seule fois. L'argument
<i>once_control</i> pointe sur une variable statique ou externe statiquement initialise 
<b>PTHREAD_ONCE_INIT</b> .<br/><br/></b>
La premire fois que
<b>pthread_once"</b> <b></b>  est appele avec un argument
<i>once_control</i> donn, elle appelle
<i>init_routine</i> sans aucun argument et modifie la valeur de la variable
<i>once_control</i> pour enregistrer le fait que l'initialisation a t ralise. Les appels
suivants 
<b>pthread_once"</b> <b></b>  avec le mme argument
<b>once_control"</b> <b></b>  ne feront rien.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
<b>pthread_once"</b> <b></b>  renvoi toujours 0.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
Aucune.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
Xavier Leroy &lt;Xavier.Leroy@inria.fr&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2000</i></i>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
