<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2002 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  This replaces an earlier man page written by Walter Harms -->
<!--  &lt;walter.harms@informatik.uni-oldenburg.de&gt;. -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>QECVT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">conforme </a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
qecvt, qfcvt, qgcvt - Conversion de nombres rels en chanes.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>char *qecvt(long double </b> nombre <i>, int </i> nb_chiffres <b>, int *</b> decpt ,
<b>int *</b> sign );
<br/><br/>

<b>char *qfcvt(long double </b> nombre <i>, int </i> nb_chiffres <b>, int *</b> decpt ,
<b>int *</b> sign );
<br/><br/>

<b>char *qgcvt(long double </b> nombre <i>, int </i> nb_chiffres <b>, char *</b> buf );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fonctions
<b>qecvt ,</b>
<b>qfcvt</b>
et
<b>qgcvt</b>
sont identiques 
<b>ecvt ,</b>
<b>fcvt</b>
et
<b>gcvt</b>
respectivement, except qu'elles prennent un nombre au format
<b>long</b> <b></b>  <b>double"</b> <b></b>  via l'argument
<i>nombre .</i>
Voir
<b>ecvt (3)</b>
et
<b>gcvt (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Ces fonctions sont obsoltes. L'utilisation de
<i>sprintf ()</i>
est recommande  la place de ces fonctions.
</div><br/><br /><h1 class="TitreSection0" id="L5">conforme </h1>
<div class="paragraph">
SysVr4.0.  Cees fonctions sont absentes de la majorite des
implmentations Unix,  l'exception notable de SunOS. Elle ne sont pas
supportes par libc4 et libc5 mais le sont par la glibc (aka libc6).
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>ecvt (3),</b>
<b>ecvt_r (3),</b>
<b>gcvt (3),</b>
<b>sprintf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
<i>Thierry Vignaud &lt;</i> tvignaud@mandrakesoft.com <i>&gt;, 2002</i></i>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
