<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1993 -->
<!-- 	The Regents of the University of California.  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!-- 	@(#)recno.3	8.5 (Berkeley) 8/18/94 -->
<!--  -->
<!--  Traduction 11/05/1999 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages-1.23 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>RECNO</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">erreurs</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/>.UC 7
<br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
recno - Mthodes d'accs aux bases de donnes avec enregistrements numrots.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

.ft B
#include &lt;sys/types.h&gt;
#include &lt;db.h&gt;
.ft R


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La routine
<i>dbopen</i>
est l'interface de bibliothque pour les fichiers de base de donnes.
L'un des formats de fichier supports est celui avec enregistrements
numrots.
La description gnrale des mthodes d'accs  une base de donnes
est fournie dans la page de manuel
<i>dbopen (3).</i>
La page prsente ne dcrit que les informations spcifiques aux enregistrements
numrots.<br/><br/>
La structure de cette base ds donnes est une srie d'enregistrements
de longueurs variables ou fixes, stocks dans un fichier linaire, et
auxquels on accde par les numros logiques d'enregistrement.
L'existence de l'enregistrement numro 5 implique l'existence des
enregistrements 1  4, et l'effacement du numro entrane la renumrotation
de l'enregistrement 5 en 4, ainsi que le dplacement d'un cran du curseur
s'il tait positionn aprs l'enregistrement 1.<br/><br/>
La structure de donnes spcifique pour l'accs aux enregistrements numrots,
et que l'on transmet 
<i>dbopen</i> est dfinie dans &lt;db.h&gt; ainsi :<br/><br/>
typedef struct {
.RS
u_long flags;
<br/>
u_int cachesize;
<br/>
u_int psize;
<br/>
int lorder;
<br/>
size_t reclen;
<br/>
u_char bval;
<br/>
char *bfname;

} RECNOINFO;<br/><br/>
Les lments de cette structure sont les suivants :
<br/><br/>

flags
La valeur de ce champ est calcul avec un
<i>OU</i>
binaire sur certaines des constantes suivantes :
.RS
<br/><br/>

R_FIXEDLEN
Les enregistrements ont une taille fixe, et non pas dlimits.
Le champ
<i>reclen</i> de la structure indique la longueur de l'enregistrement, et
le champ
<i>bval</i> contient le caractre  utiliser pour les remplissages ventuels.
Tout enregistrement, insr dans la base de donnes, ayant moins de
<i>reclen</i> octets de long sera automatiquement along.
<br/><br/>

R_NOKEY
Avec l'interface spcifie par
<i>dbopen ,</i>
le parcours squentiel renseigne  la fois la structure
<i>cl</i> de l'appelant, et la structure des
<i>donnes .</i>
Si l'argument R_NOKEY est utilis les routines de gestion du
<i>curseur</i> ne sont pas obliges de remplir la structure cl.
Ceci permet aux applications d'accder  des enregistrements en fin
de fichier sans avoir  relire tous les enregistrements prcdents.
<br/><br/>

R_SNAPSHOT
Ce drapeau demande qu'une image du fichier soit saisie lorsque
<i>dbopen</i> est ouvert, plutt que de lire tout enregistrement non modifi
dans le fichier original.

<br/><br/>

cachesize
Une taille maximale suggre de mmoire cache, en octets. Ceci n'a
qu'une valeur
<b>indicative ,</b>
et les mthodes d'accs alloueront plus de mmoire plutt que d'chouer.
Si
<i>cachesize</i> vaut  0 (pas de taille indique) on utilise une valeur par dfaut.
<br/><br/>

psize
La mthode d'accs recno stocke les copies en mmoire de ses enregistrements
dans un arbre B-tree.
Cette valeur est la taille (en octets) des pages  utiliser pour les
noeuds de cet arbre.
Si
<i>psize</i> vaut  0 (pas de taille indique) une taille de page est choisie en fonction
des tailles de blocs d'entre-sortie du systme de fichiers sous-jacent.
Voir
<i>btree (3)</i>
pour plus d'information.
<br/><br/>

lorder
L'ordre des octets pour les entiers stocks dans la base de donnes.
Ce nombre doit reprsenter l'ordre sous forme d'entier. Par exemple l'ordre
poids faible-poids fort (big endian) est reprsent par le nombre 4321.
Si
<i>lorder</i> vaut 0 (pas d'ordre indiqu), on utilise l'ordre des octets du systme hte.
<br/><br/>

reclen
La longueur des enregistrements de taille fixe.
<br/><br/>

bval
L'octet de marquage servant  dlimiter les enregistrements de longueurs
variables, et l'octet de remplissage pour les enregistrements de taille fixe.
Si aucune valeur n'est indique, le caractre fin-de-lignes (``\en'')
est utilis comma dlimiteur et les enregistrements de tailles fixes sont
complts avec des espaces.
<br/><br/>

bfname
La mthode d'accs recno stocke les copies en mmoire de ses enregistrements
dans un arbre B-tree.
Si bfname n'est pas NULL, il indique le nom du fichier B-tree.<br/><br/>
La partie ``donne'' des paires cls/donnees utilises par les mthodes
d'accs recno est la mme que pour les autres mthodes d'accs.
La cl est diffrente.
Le champ
<i>data</i> de la cl doit tre un pointeur sur un emplacement mmoire du type
<i>recno_t ,</i>
ainsi qu'il est dfini dans le fichier d'en-tte &lt;db.h&gt;.
Ce type est normalement le plus grand des types d'entiers non signs
disponibles pour l'implmentation.
Le champ
<i>size</i> doit contenir la longueur de ce type de donne.<br/><br/>
Comme il ne peut pas y avoir de mta-donnes associes aux fichiers
sous-jacent aux mthodes recno, tout changement par rapport aux valeurs
par dfaut (par exemple longueur des enregistrements fixes, ou caractre
sparateur) doit tre indiqu explicitement  chaque fois que le fichier est
ouvert.<br/><br/>
Avec l'interface indique par
<i>dbopen ,</i>
l'utilisation de la routine
<i>put</i> pour crer un nouvel enregistrement causera la cration de plusieurs
enregistrements vides si le numro d'enregistrement est suprieur de
plus d'une unit au plus grand numro dj prsent dans la base de donnes.
</div><br/><br /><h1 class="TitreSection0" id="L4">erreurs</h1>
<div class="paragraph">
Les routines des mthodes d'accs au
<i>enregistrements numrots</i> peuvent chouer et remplir
<i>errno</i> avec n'importe quelle erreur indique par la routine
<i>dbopen (3)</i>
ou la suivante :
<br/><br/>

[EINVAL]
On a essay d'ajouter un enregistrement trop grand dans une base de
donnes avec longueurs fixes.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<i>btree (3)</i>
<i>dbopen (3),</i>
<i>hash (3),</i>
<i>mpool (3),</i>
<br/><br/>

<i>Document Processing in a Relational Database System</i> ,</i>
Michael Stonebraker, Heidi Stettner, Joseph Kalash, Antonin Guttman,
Nadene Lynn, Memorandum No. UCB/ERL M82/32, May 1982.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Seuls les ordres d'octets big-endian et little-endian fonctionnent.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1999-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
