<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sun Jul 25 11:01:53 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 06/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>RESOLVER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
resolver, res_init, res_query, res_search, res_querydomain, res_mkquery, res_send, dn_comp, dn_expand - Routines de rsolution de noms.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;netinet/in.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;arpa/nameser.h&gt;</b> <b></b>  <b>#include</b> <b></b>  <b>&lt;resolv.h&gt;</b> <b></b>  <b>extern</b> <b></b>  <b>struct</b> <b></b>  <b>state</b> <b></b>  <b>_res;</b> <b></b>  <br/><br/>

<b>int</b> <b></b>  <b>res_init</b> <b></b>  <b>(void);</b> <b></b>  <br/><br/>

<b>int res_query (const char *</b> dname <i>, int </i> classe <b>, int </b> type ,
.RS
<b>unsigned char *</b> answer <i>, int </i> anslen );

<br/><br/>

<b>int res_search (const char *</b> dname <i>, int </i> classe <b>, int </b> type ,
.RS
<b>unsigned char *</b> answer <i>, int </i> anslen );

<br/><br/>

<b>int res_querydomain (const char *</b> name <i>, const char *</i> domain ,
.RS
<b>int </b> classe <i>, int </i> type <b>, unsigned char *</b> answer <i>, int </i> anslen );

<br/><br/>

<b>int res_mkquery (int </b> op <i>, const char *</i> dname <b>, int </b> classe <i>, int </i> type ,
.RS
<b>char *</b> data <i>, int </i> datalen <b>, struct rrec *</b> newrr <i>, char *</i> buf , 
<b>int </b> buflen );

<br/><br/>

<b>int res_send (const char *</b> msg <i>, int </i> msglen <b>, char *</b> answer , 
.RS
<b>int </b> anslen );

<br/><br/>

<b>int dn_comp (unsigned char *</b> exp_dn <i>, unsigned char *</i> comp_dn ,
.RS
<b>int </b> length <i>, unsigned char **</i> dnptrs <b>, unsigned char *</b> exp_dn ,
<b>unsigned char **</b> lastdnptr );

<br/><br/>

<b>int dn_expand (unsigned char *</b> msg <i>, unsigned char *</i> eomorig ,
.RS
<b>unsigned char *</b> comp_dn <i>, unsigned char *</i> exp_dn <b>, int </b> length );



</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions interrogent, et interprtent les rponses de serveurs de
noms Internet.<br/><br/>
La fonction <b>res_init()</b> lit les fichiers de configuration (voir
resolv+(8)) pour obtenir le nom de domaine par dfaut, l'ordre de recherche
et l'adresse du (des) serveur(s) de noms. 
Si aucun serveur n'est donn, on essaye de contacter l'hte local.
Si aucun domaine n'est donn, on utilise celui associ  l'hte local.
Ceci peut tre surcharg par la variable d'environnement LOCALDOMAIN.
<b>res_init()</b> est normalement excute lors du premier appel  l'une des
autres fonctions.<br/><br/>
La fonction <b>res_query()</b> interroge le serveur de noms pour le
nom de domaine pleinement qualifi <i>name</i> du <i>type</i> spcifi,
et de la <i>classe</i> donne. La rponse est place dans le buffer
<i>answer</i> de longueur <i>anslen</i> qui doit tre fourni par l'appelant.<br/><br/>
La fonction <b>res_search()</b> interroge un serveur, et attend la rponse,
comme <b>res_query()</b>, mais implmente de plus les rgles de recherche
et de valeurs par dfaut contrles par RES_DEFNAMES et RES_DNSRCH 
(Voir les options de <i>_res</i> plus bas).<br/><br/>
La fonction <b>res_querydomain()</b> interroge le serveur en appelant
<b>res_query()</b> avec la concatnation de <i>name</i> et <i>domain</i>.<br/><br/>
Les fonctions suivantes sont des routines bas-niveau utilises par
<b>res_query()</b>.<br/><br/>
La fonction <b>res_mkquery()</b> construit une requte dans <i>buf</i>
de longueur <i>buflen</i> concernant le nom de domaine <i>dname</i>.
Le type <i>op</i> de requte est gnralement QUERY, mais on peut galement
utiliser l'un des types dfinis dans <i>&lt;arpa/nameser.h&gt;</i>.
<i>newrr</i> ne sert  rien actuellemennt.<br/><br/>
La fonction <b>res_send()</b> envoie une requte prformate, situe dans
<i>msg</i> de longueur <i>msglen</i> et renvoie la rponse dans <i>answer</i>
qui est de longueur <i>anslen</i>.  Elle appellera <b>res_init()</b>, si a
n'a pas encore t fait.<br/><br/>
La fonction <b>dn_comp()</b> compresse le nom de domaine <i>exp_dn</i>
et le stocke dans le buffer <i>comp_dn</i> de longueur <i>length</i>.
La compression utilise une table de pointeurs <i>dnptrs</i> vers les
noms prcdemment compresss du message en cours. Le premier pointeur
vise le dbut du message, et la table se termine par NULL.
La limite de la table est indique par <i>lastdnptr</i>.
Si <i>dnptr</i> est NULL, les noms de domaines ne sont pas compresss.
Si <i>lastdnptr</i> est NULL, la liste d'tiquettes n'est pas mise  jour.<br/><br/>
La fonction \fPdn_expand()\fP dveloppe le nom de domaine compress
<i>comp_dn</i> en un nom de domaine complet, qui est ensuite plac dans le buffer
<i>exp_dn</i> de taille <i>length</i>.  Le nom compress est contenu dans une
requte, ou dans un message de rponse, et <i>msg</i> pointe sur le dbut du
message.<br/><br/>
Les routines de rsolution de noms utilisent une configuration globale
et des informations d'tat contenues dans la structure <i>_res</i>,
dfinie dans <i>&lt;resolv.h&gt;</i>.
Le seul champ habituellement manipul par l'utilisateur est <i>_res.options</i>.
Il contient un <i>OU binaire</i> entre les options suivantes :
<br/><br/>

<br/><br/>

<b>RES_INIT</b> <b></b>  Vrai si <b>res_init()</b> a t appel.
<br/><br/>

<b>RES_DEBUG</b> <b></b>  Afficher les messages de dbugging.
<br/><br/>

<b>RES_AAONLY</b> <b></b>  N'accepter que les rponses des serveurs autoritatifs ([NDT] "autoritatif" est
un barbarisme, voir "L'administration rseau sous Linux" chapitre 2.6.4
pour une justification de son emploi) <b>res_send()</b> continue jusqu' trouver
un serveur autoritatif, ou renvoie une erreur. Pas encore implment.
<br/><br/>

<b>RES_USEVC</b> <b></b>  Utiliser des connexions TCP pour les interrogations plutt que des datagrammes
UDP.
<br/><br/>

<b>RES_PRIMARY</b> <b></b>  N'interroger que le serveur de domaines primaire.
<br/><br/>

<b>RES_IGNTC</b> <b></b>  Ignorer les erreurs de troncature. Ne pas r-essayer avec TCP. Pas encore
implment.
<br/><br/>

<b>RES_RECURSE</b> <b></b>  Fixer dans les requtes le bit de rcursion. La rcursion est prise en
charge par le serveur de nom du domaine, et pas par <b>res_send()</b>.
[Active par dfaut].
<br/><br/>

<b>RES_DEFNAMES</b> <b></b>  <b>res_search()</b> ajoutera le nom de domaine par dfaut aux noms
simples, par exemple ceux ne contenant pas de point.
[Active par defaut].
<br/><br/>

<b>RES_STAYOPEN</b> <b></b>  Utilise avec RES_USEVC pour garder ouverte une connexion TCP entre les
interrogations successives.
<br/><br/>

<b>RES_DNSRCH</b> <b></b>  <b>res_search()</b> recherchera les noms d'htes dans le domaine courant,
et dans les domaines parents. Cette option est utilise par
<b>gethostbyname (3).</b>
[Active par dfaut].
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>res_init()</b> renvoie 0 si elle russit, ou -1 si une erreur
se produit.<br/><br/>
Les fonctions <b>res_query()</b>, <b>res_search()</b>, <b>res_querydomain()</b>,
<b>res_mkquery()</b> et <b>res_send()</b> renvoient la longueur de la rponse, ou
-1 si une erreur se produit.<br/><br/>
Les fonctions <b>dn_comp()</b> et <b>dn_expand()</b> renvoient la longueur du nom
compress, ou -1 si une erreur se produit.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">

/etc/resolv.conf   Configuration de la rsolution de noms.
/etc/host.conf     Configuration de la rsolution de noms.


</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>gethostbyname (3),</b>
<b>hostname (7),</b>
<b>named (8),</b>
<b>resolv+ (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
