<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1980, 1991 Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  the American National Standards Committee X3, on Information -->
<!--  Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!--      @(#)setbuf.3	6.10 (Berkeley) 6/29/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 14:55:24 1993, faith@cs.unc.edu -->
<!--  Added section to BUGS, Sun Mar 12 22:28:33 MET 1995, -->
<!--                    Thomas.Koenig@ciw.uni-karlsruhe.de -->
<!--  -->
<!--  -->
<!--  Traduction 07/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--   mj 16/01/2002 (LDP man-pages 1.38) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>SETBUF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
setbuf, setbuffer, setlinebuf, setvbuf - Agir sur les buffers d'un flux.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.na
<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>void setbuf (FILE *</b> stream <i>, char *</i> buf );
<br/>
<b>void setbuffer (FILE *</b> stream <i>, char *</i> buf <b>, size_t </b>  size );
<br/>
<b>void setlinebuf (FILE *</b> stream );
<br/>
<b>int setvbuf (FILE *</b> stream <i>, char *</i> buf <b>, int </b> mode
<b>, size_t </b> size );
.ad
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les trois types de buffers disponibles sont les suivants :
pas de buffers, buffers de blocs, et buffers de lignes.
Quand un flux de
sortie n'a pas de buffer, les donnes apparaissent dans le fichier destination,
ou sur le terminal, ds qu'elles sont crites.
Avec les buffers par blocs, une certaine quantit de donnes est conserve
avant d'tre crite en tant que bloc.
Avec les buffers de lignes, les
caractres sont conservs jusqu' ce qu'un saut de ligne soit transmis,
ou que l'on rclame une lecture sur un flux attach au terminal (typiquement
stdin).
La fonction
<b>fflush (3)</b>
peut tre utilise pour forcer l'criture  n'importe quel moment.
(Voir
<b>fclose (3).)<br/><br/></b>
Normalement tous les fichiers utilisent des buffers de blocs. Quand une premire
opration d'entre/sortie se droule sur un fichier,
<b>malloc (3)</b>
est appel, et un buffer est cr. Si le flux se rapporte  un terminal (comme
<i>stdout</i> habituellement) il s'agit d'un buffer de ligne.
Le flux standard de sortie d'erreur
<i>stderr</i> n'a jamais de buffer par dfaut.<br/><br/>
La fonction
<b>setvbuf</b> <b></b>  peut tre utilise sur n'importe quel flux ouvert pour modifier
son type de buffer.
La paramtre
<i>mode</i> doit correspondre  l'une des constantes symboliques suivantes :
.RS
<br/><br/>

<b>_IONBF</b> <b></b>  pas de buffer
<br/><br/>

<b>_IOLBF</b> <b></b>  buffer de ligne
<br/><br/>

<b>_IOFBF</b> <b></b>  buffer complet
<br/><br/>
A l'exception des fichiers sans buffers, l'argument
<i>buf</i> doit pointer sur un buffer contenant au moins
<i>size</i> octets. Ce nouveau buffer sera utilis  la place de l'ancien.  Si l'argument
<i>buf</i> est
<b>NULL ,</b>
seul le mode est affect. Un nouveau buffer sera allou automatiquement lors
de la prochaine opration de lecture ou d'criture.
La fonction
<b>setvbuf</b> <b></b>  ne peut tre utilise qu'aprs l'ouverture du flux, et avant toute opration
dessus.<br/><br/>
Les trois autres appels sont, en fait, simplement des alias pour l'appel de
<b>setvbuf .</b>
la fonction
<b>setbuf</b> <b></b>  est exactement quivalente <br/><br/>
.RS
setvbuf(stream, buf, buf ? _IOFBF : _IONBF, BUFSIZ);
<br/><br/>
La fonction
<b>setbuffer</b> <b></b>  est identique, sauf que la taille du buffer est indique par l'appelant plutt
que la valeur par dfaut
<b>BUFSIZ .</b>
La fonction
<b>setlinebuf</b> <b></b>  est exactement quivalente &nbsp;: <br/><br/>
.RS
setvbuf(stream, (char *)NULL, _IOLBF, 0);

</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction
<b>setvbuf</b> <b></b>  renvoie zro si elle russit.
Elle peut renvoyer n'importe quelle valeur en cas d'chec, mais toujours une valeur non-nulle si le
<i>mode</i> est invalide, ou si la requte ne peut pas tre honore. Elle peut remplir
<i>errno</i> en cas d'erreur.
Les autres fonctions ne renvoient rien.

</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Les fonctions
<b>setbuf</b> <b></b>  et
<b>setvbuf</b> <b></b>  sont conformes  ANSI X3.159-1989 (``ANSI C'').
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Les fonctions
<b>setbuffer</b> <b></b>  et
<b>setlinebuf</b> <b></b>  ne sont pas portables sur les systmes BSD antrieurs  4.2BSD, et sont
isponibles sous Linux depuis la LibC 4.5.21. Sur les systmes 4.2BSD et 4.3BSD,
<b>setbuf</b> <b></b>  utilise toujours une taille de buffer non-optimale, et doit tre vite.<br/><br/>
Il faut toujours s'assurer que
<i>buf</i> et son contenu existent encore au moment de la fermeture du flux
(qui se produit automatiquement  la fin du programme).<br/><br/>
Par exemple, ceci est INCORRECT&nbsp;:

<br/><br/>

#include &lt;stdio.h&gt;<br/><br/>
int 
main (void)
{
    char   buf [BUFSIZ];
    
    setbuf (stdin, buf);
    printf ("Hello, world!\\n");
    return (0);
}


<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>fclose (3),</b>
<b>fflush (3),</b>
<b>fopen (3),</b>
<b>fread (3),</b>
<b>malloc (3),</b>
<b>printf (3),</b>
<b>puts (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
