<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1990, 1991 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  This code is derived from software contributed to Berkeley by -->
<!--  the American National Standards Committee X3, on Information -->
<!--  Processing Systems. -->
<!--  -->
<!--  Redistribution and use in source and binary forms, with or without -->
<!--  modification, are permitted provided that the following conditions -->
<!--  are met: -->
<!--  1. Redistributions of source code must retain the above copyright -->
<!--     notice, this list of conditions and the following disclaimer. -->
<!--  2. Redistributions in binary form must reproduce the above copyright -->
<!--     notice, this list of conditions and the following disclaimer in the -->
<!--     documentation and/or other materials provided with the distribution. -->
<!--  3. All advertising materials mentioning features or use of this software -->
<!--     must display the following acknowledgement: -->
<!-- 	This product includes software developed by the University of -->
<!-- 	California, Berkeley and its contributors. -->
<!--  4. Neither the name of the University nor the names of its contributors -->
<!--     may be used to endorse or promote products derived from this software -->
<!--     without specific prior written permission. -->
<!--  -->
<!--  THIS SOFTWARE IS PROVIDED BY THE REGENTS AND CONTRIBUTORS ``AS IS'' AND -->
<!--  ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE -->
<!--  IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE -->
<!--  ARE DISCLAIMED.  IN NO EVENT SHALL THE REGENTS OR CONTRIBUTORS BE LIABLE -->
<!--  FOR ANY DIRECT, INDIRECT, INCIDENTAL, SPECIAL, EXEMPLARY, OR CONSEQUENTIAL -->
<!--  DAMAGES (INCLUDING, BUT NOT LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS -->
<!--  OR SERVICES; LOSS OF USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) -->
<!--  HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT -->
<!--  LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY -->
<!--  OUT OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF -->
<!--  SUCH DAMAGE. -->
<!--  -->
<!-- 	@(#)stdarg.3	6.8 (Berkeley) 6/29/91 -->
<!--  -->
<!--  Converted for Linux, Mon Nov 29 15:11:11 1993, faith@cs.unc.edu -->
<!--  -->
<!--  -->
<!--  Traduction 07/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>STDARG</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">exemples</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">compatibilit</a>
<br /><a class="summaryIndent0" href="#L6">comparaison</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
stdarg, va_start, va_arg, va_copy, va_end - Liste variable d'arguments.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;stdarg.h&gt;</b> <b></b>  <br/><br/>

<b>void va_start (va_list </b> ap <i>, </i> last );
<br/>
<b></b> type <i> va_arg (va_list </i> ap <b>, </b> type );
<br/>
<b>void va_end (va_list </b> ap );
.b
<b>void va_copy (va_list </b> dest <i>, va_list </i> src );
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Une fonction peut tre appele avec un nombre variable d'arguments, eux-mmes
de types variables. Une telle fonction est dite "variadique". Le fichier d'en-tte
<i>stdarg.h</i> dclare un type
<b>va_list</b> <b></b>  et dfinit trois macros permettant de parcourir la liste d'arguments dont
le nombre et les types ne sont pas connus par la fonction appele.<br/><br/>
La fonction appele doit dclarer un objet de type
<b>va_list</b> <b></b>  utilis par les macros
<b>va_start ,</b>
<b>va_arg ,</b>
et
<b>va_end .</b>
</div><br/><h2 class="TitreSection1" id="L10">va_start</h2>
<div class="paragraph">
La macro
<b>va_start</b> <b></b>  initialise
<i>ap</i> pour les utilisations ultrieures de
<b>va_arg</b> <b></b>  et
<b>va_end ,</b>
et doit donc tre appele en premier.<br/><br/>
Le paramtre
<i>last</i> est le nom du dernier paramtre avant la liste d'argument variable, c'est--dire
le dernier paramtre dont la fonction connaisse le type.<br/><br/>
Comme l'adresse de ce paramtre est utilise dans la macro
<b>va_start</b> <b></b>  il ne doit pas tre dclar comme une variable en registre, ni comme un
type fonction ou tableau.
</div><br/><h2 class="TitreSection1" id="L10">va_arg</h2>
<div class="paragraph">
La macro
<b>va_arg</b> <b></b>  se dveloppe en une expression qui a le type et la valeur de l'argument
suivant de l'appel. Le paramtre
<i>ap</i> est la
<b>va_list</b> <b></b>  <i>ap</i> initialise par
<b>va_start .</b>
Chaque appel de
<b>va_arg</b> <b></b>  modifie
<i>ap</i> pour que l'appel suivant renvoie l'argument suivant. Le paramtre
<i>type</i> est le nom du type, indiqu de telle manire qu'un pointeur sur un objet de
ce type puisse tre dclar simplement en ajoutant un astrisque 
<i>type .<br/><br/></i>
La premire utilisation de la macro
<b>va_arg</b> <b></b>  aprs celle de
<b>va_start</b> <b></b>  renvoie l'argument suivant
<i>last .</i>
Les invocations successives renvient les valeurs des arguments restants.<br/><br/>
S'il n'y a pas d'argument suivant, ou si
<i>type</i> n'est pas compatible avec le type rel du prochain argument, des erreurs
imprvisibles se produiront.<br/><br/>
Si
<i>ap</i> est pass  une fonction qui utilise
va_arg( ap , type )
alors la valeur de
<i>ap</i> est indfinie aprs le retour de cette fonction.
</div><br/><h2 class="TitreSection1" id="L10">va_end</h2>
<div class="paragraph">
A chaque invocation de
<b>va_start</b> <b></b>  doit correspondre une invocation de
<b>va_end</b> <b></b>  dans la mme fonction. Aprs l'appel
va_end( ap )
la variable
<i>ap</i> est indfinie. Plusieurs traverses de la liste sont possible, 
condition que chacune soit encadre par 
<b>va_start</b> <b></b>  et
<b>va_end .</b>
<b>va_end</b> <b></b>  peut tre une macro ou ue fonction.
</div><br/><h2 class="TitreSection1" id="L10">va_copy</h2>
<div class="paragraph">
<!--  Prop... -->
Une implmentation vidente est de reprsenter
<b>va_list</b> <b></b>  par un pointeur dans la pile de la fonction variadique.
Dans une telle situation (de loin la plus courante), rien ne semble
s'opposer  une affectation
.RS

        va_list aq = ap;



Malheureusement, il y a aussi des systmes qui crent une table
de pointeurs (de longueur 1), et on devrait crire
.RS

        va_list aq;
        *aq = *ap;



De plus, sur les systmes o les paramtres sont pass dans des registres,
il peut tre ncessaire pour
<b>va_start</b> <b></b>  d'allouer de la mmoire, d'y enregistrer les paramtres ainsi que l'indication
du paramtre suivant, afin que
<b>va_arg</b> <b></b>  puisse balayer la liste. Ainsi
<b>va_end</b> <b></b>  pourra librer la mmoire alloue.
Pour grer ces situations, C99 ajoute une macro
<b>va_copy ,</b>
afin que les affectations ci-dessus soient remplaces par
.RS

        va_list aq;
        va_copy(aq, ap);
        ...
        va_end(aq);



A chaque invocation de
<b>va_copy</b> <b></b>  doit correspondre une invocation de
<b>va_end</b> <b></b>  dans la mme fonction.
Certains systmes qui ne disposent pas de
<b>va_copy</b> <b></b>  ont une macro
<b>__va_copy</b> <b></b>   la place, puisque c'tait le nom propos auparavant.
</div><br/><br /><h1 class="TitreSection0" id="L4">exemples</h1>
<div class="paragraph">
La fonction
<i>foo</i> prend une chane de caractres de mise en forme, et affiche les arguments
associs avec chaque format correspondant au type indiqu.
.RS

#include &lt;stdio.h&gt;
#include &lt;stdarg.h&gt;<br/><br/>
void 
foo (char *fmt, ...)
{
  va_list ap;
  int     d;
  char    c, *p, *s;<br/><br/>
  va_start  (ap, fmt);
  while     (*fmt)
    switch  (*fmt ++) {
      case 's': /* chane */
        s = va_arg (ap, char *);
        printf ("chaine %s\en", s);
        break;
      case 'd':  /* entier */
        d = va_arg (ap, int);
        printf ("int %d\en", d);
        break;
      case 'c':	/* caractre */
        c = va_arg (ap, char);
        printf ("char %c\en", c);
        break;
    }
  va_end (ap);
}



</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Les macros
<b>va_start ,</b>
<b>va_arg ,</b>
et
<b>va_end</b> <b></b>  sont conformes  ANSI X3.159-1989 ("C89").
C99 dfinit la macro
<b>va_copy .</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">compatibilit</h1>
<div class="paragraph">
Ces macros ne sont
<i>PAS</i> compatibles avec les anciennes macros qu'elles remplacent.
Une compatibilit de version peut tre obtenue en incluant le fichier d'en-tte
<i>varargs.h .</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">comparaison</h1>
<div class="paragraph">
La mise en oeuvre historique est&nbsp;:
.RS

#include &lt;varargs.h&gt;
 
void foo(va_alist) va_dcl {
        va_list ap;
 
        va_start(ap);
        while(...) {
                ...
                x = va_arg(ap, type);
                ...
        }
        va_end(ap);
}



Sur certains systmes, 
<i>va_end</i> contient une accolade fermante '}' correspondant  l'accolade ouvrante '{' dans
<i>va_start ,</i>
ainsi les deux macros doivent se trouver dans la mme fonction, places d'une
manire qui permette ceci.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Contrairement aux macros
<b>varargs ,</b>
les macros
<b>stdarg</b> <b></b>  ne permettent pas aux programmeurs de coder une fonction sans aucun argument
fixe. Ce probleme se pose principalement en convertissant directement
du code utilisant
<b>varargs</b> <b></b>  en code utilisant
<b>stdarg ,</b>
mais il se pose galement pour les fonctions qui dsirent passer tous leurs
arguments  une fonction utilisant un argument
<b>va_list</b> <b></b>  comme
<b>vfprintf (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
