<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:05:30 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Fri Feb 16 14:25:17 1996 by Andries Brouwer (aeb@cwi.nl) -->
<!--  Modified Sun Jul 21 20:55:44 1996 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  -->
<!--  Traduction 09/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>STRERROR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
strerror, strerror_r - Obtenir le libell d'un code d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;string.h&gt;</b> <b></b>  <br/><br/>

<b>char *strerror (int </b> errnum );
<br/>
<b>int strerror_r(int </b> errnum <i>, char *</i> buf <b>, size_t </b> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>strerrror()</b> <b></b>  renvoie une chane dcrivant le code d'erreur pass en argument
<i>errnum ,</i>
en utilisant ventuellement la catgorie LC_MESSAGES de la localisation
pour slectionner la langue approprie.
Cette chane ne doit pas tre modifie par l'application, mais peut
tre crase par un appel ultrieur 
<b>perror()</b> <b></b>  ou
<b>strerror() .</b>
Aucune autre fonction de bibliothque ne modifie cette chane.
 
La fonction
<b>strerror_r()</b> <b></b>  est identique 
<b>strerror()</b> <b></b>  mais fonctionne correctement dans un environnement multi-threads, puisqu'elle
renvoie la chane dans le buffer
<i>buf</i> de longueur
<i>n</i> fourni par l'appelant.
 
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>strerror()</b> renvoie la description correspondant au code
transmis, ou un message d'erreur inconnue si le code n'existe pas.
La valeur de <i>errno</i> n'est pas modifie lors des appels russi, mais
contient une valeur non-nulle en cas d'erreur.<br/><br/>
La fonction <b>strerror_r()</b> renvoie 0 si elle russit et -1 sinon,
en remplissant <i>errno</i>.
 
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>EINVAL</b> <b></b>  La valeur de
<i>errnum</i> n'est pas un code d'erreur valide.
<br/><br/>

<b>ERANGE</b> <b></b>  Le buffer fourni n'est pas assez grand.
 
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVID 3, POSIX, BSD 4.3, ISO/IEC 9899:1990 (C89).<br/><br/>
La fonction
<b>strerror_r ()</b>
avec le prototype dcrit ci-dessus est spcifie par SUSv3, et tait utilise
sous Digital Unix et HP Unix. Une fonction incompatible, avec le prototype
<br/><br/>

<b>char *strerror_r(int </b> errnum <i>, char *</i> buf <b>, size_t </b> n );
<br/><br/>

tait une extension GNU utilise par la GlibC, et doit tre considre comme
obsolte en regard de SUS v3.
La version GNU pouvait, sans y tre oblige, utiliser le buffer fourni par
l'utilisateur. Si elle le faisait, le rsultat pouvait tre tronqu si
le buffer tait trop petit. Le rsultat tait toujours termin par un NUL.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>errno (3),</b>
<b>perror (3),</b>
<b>strsignal (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
