<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 18:03:44 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 09/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 28/04/1998 (LDP-man-pages-1.19) -->
<!--  Mise a jour 18/05/1999 (LDP-man-pages-1.23) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>STRFTIME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">environnement</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">bugs</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
strftime - Formater la date et l'heure.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;time.h&gt;</b> <b></b>  <br/><br/>

<b>size_t strftime (char *</b> s <i>, size_t </i> max <b>, const char *</b> format ,
<b>				const struct tm *</b> tm );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>strftime()</b> formate les divers champs de la
structure <i>tm</i> en fonction de la chane de spcification <i>format</i>,
puis place le rsultat dans la chane <i>s</i> de taille <i>max</i>.<br/><br/>
Les caractres ordinaires prsents dans la chane <i>format</i> seront
simplement copis dans <i>s</i>. Les indicateurs de conversion sont
introduits par le caractre `%' et sont remplacs, dans la chane <i>s</i>
ainsi :
<br/><br/>

<b>%a</b> <b></b>  Le nom abrg du jour de la semaine, en fonction de la localisation en cours.
<br/><br/>

<b>%A</b> <b></b>  Le nom complet du jour de la semaine, en fonction de la localisation en cours.
<br/><br/>

<b>%b</b> <b></b>  Le nom abrg du mois, en fonction de la localisation en cours.
<br/><br/>

<b>%B</b> <b></b>  Le nom complet du mois, en fonction de la localisation en cours.
<br/><br/>

<b>%c</b> <b></b>  La reprsentation classique de la date et de l'heure, suivant la
localisation en cours.
<br/><br/>

<b>%C</b> <b></b>  Le sicle (anne / 100) sous forme de nombre de deux chiffres. (SU)
<br/><br/>

<b>%d</b> <b></b>  Le quantime du mois sous forme de nombre dcimal (entre 01 et 31).
<br/><br/>

<b>%D</b> <b></b>  Equivalent   %m/%d/%y. Seulement pour les amricains.
Ces derniers doivent noter que les autres pays prfrent le
format %d/%m/%y. Dans un contexte international ce format est
ambigu et doit tre vit. (SU)
<br/><br/>

<b>%e</b> <b></b>  Comme %d, le quantime du mois sous forme dcimal, mais l'ventuel
zro en tte est remplac par un espace. (SU)
<br/><br/>

<b>%E</b> <b></b>  Modificateur : Utiliser un format de rechange. Voir plus bas. (SU)
<br/><br/>

<b>%F</b> <b></b>  quivalent de %Y-%m-%d (Format de date ISO 8601). (C99)
<br/><br/>

<b>%G</b> <b></b>  L'anne ISO 8601 avec le sicle comme nombre dcimal. L'anne sur quatre
chiffres correspond au numro de la semaine ISO (voir %V).
C'est le mme format que %y, sauf que si le numro de semaine appartient
 l'anne suivante ou prcdente, c'est celle-ci qui est affiche  la
place. (TZ)
<br/><br/>

<b>%g</b> <b></b>  Comme %G sans le sicle, c'est  dire avec une anne sur deux chiffres (00-99). (TZ)
<br/><br/>

<b>%h</b> <b></b>  Equivalent  %b. (SU)
<br/><br/>

<b>%H</b> <b></b>  L'heure, sur 24 heures, sous forme de nombre dcimal (entre 00 et 23).
<br/><br/>

<b>%I</b> <b></b>  L'heure, sur 12 heures, sous forme de nombre dcimal (entre 01 et 12).
<br/><br/>

<b>%j</b> <b></b>  Le numro du jour dans l'anne (entre 001 et 366).
<br/><br/>

<b>%k</b> <b></b>  L'heure (sur 24 heures) sous forme de nombre dcimal (intervalle 0  23).
Les chiffres uniques sont prcds d'un blanc (voir aussi %H). (TZ).
<br/><br/>

<b>%l</b> <b></b>  L'heure  (sur 12 heures) sous forme de nombre dcimal (intervalle 1  12).
Les chiffres uniques sont prcds d'un blanc (voir aussi %I). (TZ).
<br/><br/>

<b>%m</b> <b></b>  Le numro du mois (entre 01 et 12).
<br/><br/>

<b>%M</b> <b></b>  La minute, sous forme de nombre dcimal (00  59).
<br/><br/>

<b>%n</b> <b></b>  Un caractre saut-de-ligne. (SU)
<br/><br/>

<b>%O</b> <b></b>  Modificateur : Utiliser un format de rechange. Voir plus bas. (SU)
<br/><br/>

<b>%p</b> <b></b>  L'une des deux chanes `AM' ou `PM' en fonction de l'heure, ou la traduction
de ces chanes en fonctions de la localisation en cours.
Midi est trait comme `PM' et Minuit comme `AM'.
<br/><br/>

<b>%P</b> <b></b>  Comme %p mais en minuscule: `am' ou `pm' ou une chane locale quivalente. (GNU)
<br/><br/>

<b>%r</b> <b></b>  L'heure en notation a.m. ou p.m.
Dans la localisation POSIX, c'est quivalent  `%I:%M:%S %p'. (SU)
<br/><br/>

<b>%R</b> <b></b>  L'heure en format 24 heures (%H:%M). (SU).
Pour avoir les secondes voir %T.
<br/><br/>

<b>%s</b> <b></b>  Le nombre de secondes coules depuis le 1er Janvier 1970  00:00:00 UTC. (TZ).
<br/><br/>

<b>%S</b> <b></b>  La seconde, sous forme de nombre dcimal. (00-61)
<br/><br/>

<b>%t</b> <b></b>  Un caractre Tab. (SU)
<br/><br/>

<b>%T</b> <b></b>  L'heure en notation 24 heures (%H:%M:%S). (SU)
<br/><br/>

<b>%u</b> <b></b>  Le jour de la semaine sous forme dcimal, de 1 (Lundi)  7.
Voir aussi %w. (SU)
<br/><br/>

<b>%U</b> <b></b>  Le numro de la semaine dans l'anne, sous forme de nombre dcimal (00-53),
en commenant le comptage au premier Dimanche de l'anne. Voir aussi %V et %W.
<br/><br/>

<b>%V</b> <b></b>  Le numro de semaine ISO 8601:1988 de l'anne en cours sous forme de nombre
dcimal dans l'intervalle 01-53, o la semaine 1 est la premire ayant au
moins 4 jours dans l'anne en cours, et o Lundi est le premier jour de la
semaine. Voir aussi %U et %W. (SU)
<br/><br/>

<b>%W</b> <b></b>  Le numro de la semaine dans l'anne, sous forme de nombre dcimal (00-53), en
commenant le comptage au premier Lundi de l'anne.
<br/><br/>

<b>%w</b> <b></b>  Le numro du jour de la semaine, sous forme dcimale (0-6), Dimanche
valant 0. Voir aussi %u.
<br/><br/>

<b>%x</b> <b></b>  La reprsentation usuelle de la date, sans l'heure, dans la localisation
en cours.
<br/><br/>

<b>%X</b> <b></b>  La reprsentation usuelle de l'heure, sans la date, dans la localisation
en cours.
<br/><br/>

<b>%y</b> <b></b>  L'anne, sous forme de nombre dcimal, sans le sicle (entre 00 et 99).
<br/><br/>

<b>%Y</b> <b></b>  L'anne, sous forme de nombre dcimal, incluant le sicle.
<br/><br/>

<b>%z</b> <b></b>  Le fuseau horaire sous forme de dcalage GMT. Ncessaire pour crer
des dates conformes  la RFC 822
(avec "%a, %d %b %Y %H:%M:%S %z"). (GNU)
<br/><br/>

<b>%Z</b> <b></b>  Le nom ou l'abrviation du fuseau horaire.
<br/><br/>

<b>%+</b> <b></b>  La date et l'heure au format date(1). (TZ)
<br/><br/>

<b>%%</b> <b></b>  Un caractre `%'.<br/><br/>
Certains indicateurs de conversion peuvent tre modifis en les faisant
prceder par le modificateur E ou O pour indiquer un format de rechange.
Si le format de rechange n'existe pas pour la localisation en cours, le
comportement ne sera pas modifi.
Les Spcifications Single Unix mentionnent  %Ec, %EC, %Ex, %EX,
%Ry, %EY, %Od, %Oe, %OH, %OI, %Om, %OM, %OS, %Ou, %OU, %OV,
%Ow, %OW, %Oy, 
o l'action du modificateur O est d'utiliser un autre format numrique
(par exemple des chiffres romains), et l'action de E est d'utiliser
une reprsentaiton dpendant de la localisation.<br/><br/>
Les champs de la structure <i>tm</i> sont dfinis dans <i>&lt;time.h&gt;</i>.
Voir aussi
<b>ctime (3).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>strftime()</b> renvoie le nombre de caractres crits dans
la table <i>s</i>, sans compter le caractre NUL final. Si la chane tait
trop courte, <b>strftime()</b> renvoie 0, et le contenu de la chane est
indfini. (Ceci, du moins, depuis la libc 4.4.4, des versions plus anciennes
de la libc, comme la 4.4.1, renvoyaient <i>max</i> si la chane tait trop
courte)<br/><br/>
Remarquez qu'une valeur de retour nulle n'indique pas toujours une erreur.
Dans de nombreuses localisations, par exemple, %p renvoie une chane vide.
</div><br/><br /><h1 class="TitreSection0" id="L5">environnement</h1>
<div class="paragraph">
Les variables d'environnement TZ et LC_TIME sont utilises.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
ANSI C, SVID 3, ISO 9899.
Il y a une inclusion stricte entre les jeux de conversions fournies
par ANSI (sans marque), celles indiques par les Spcifications Single
Unix (marques SU), celles fournies par le paquetage TimeZone d'Olson
(marques TZ), et celles de la glibc (marques GNU), sauf pour %+
qui n'est pas support par glibc2. D'un autre ct glibc2 offre
plusieurs extensions.
POSIX.1 ne traite que les conversions ANSI C. POSIX.2 dcrit  propos de
<b>date (1)</b>
plusieurs extensions applicables galement 
<b>strftime.</b>
La conversion %F est dans C99 et POSIX 1003.1-2001.
</div><br/><br /><h1 class="TitreSection0" id="L7">bugs</h1>
<div class="paragraph">
Certaines versions bogues de gcc se plaignent de l'utilisation de %c&nbsp;:
<i>warning: `%c' yields only last 2 digits of year in some locales</i> .</i>
(Attention&nbsp;: ne donne que les deux derniers chiffres de l'anne dans certaines
localisations).
Bien sr, les programmeurs sont encourags  utiliser %c, cela donne la
reprsentation prfre de date et d'heure. Il y a eu des tas d'astuces
bizarres pour viter ce problme de gcc. Une relativement propre est
d'utiliser une fonction intermdiaire&nbsp;:
.RS
size_t my_strftime(char *s, size_t max, const char *fmt,
const struct tm *tm) {
<br/>
        return strftime(s, max, fmt, tm);
<br/>
}

</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>date (1),</b>
<b>time (2),</b>
<b>ctime (3),</b>
<b>setlocale (3),</b>
<b>sprintf (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
