<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sun Jul 25 10:54:31 1993, Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 09/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>STRING</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
string, strcasecmp, strcat, strchr, strcmp, strcoll, strcpy, strcspn, strdup, strfry, strlen, strncat, strncmp, strncpy, strncasecmp, strpbrk, strrchr, strsep, strspn, strstr, strtok, strxfrm, index, rindex - Oprations sur les chanes de caractres.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;strings.h&gt;</b> <b></b>  <br/><br/>

<b>int strcasecmp (const char *</b> s1 <i>, const char *</i> s2 );
<br/><br/>

<b>int strncasecmp (const char *</b> s1<i>, const char *</i> s2 <b>, size_t </b> n );
<br/><br/>

<b>char * index (const char *</b> s <i>, int </i> c );
<br/><br/>

<b>char *rindex (const char *</b> s <i>, int </i> c );
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;string.h&gt;</b> <b></b>  <br/><br/>

<b>char *strcat (char *</b> dest <i>, const char *</i> src );
<br/><br/>

<b>char *strchr (const char *</b> s <i>, int </i> c );
<br/><br/>

<b>int strcmp (const char *</b> s1 <i>, const char *</i> s2 );
<br/><br/>

<b>int strcoll (const char *</b> s1 <i>, const char *</i> s2 );
<br/><br/>

<b>char *strcpy (char *</b> dest <i>, const char *</i> src );
<br/><br/>

<b>size_t strcspn (const char *</b> s <i>, const char *</i> reject );
<br/><br/>

<b>char *strdup (const char *</b> s );
<br/><br/>

<b>char *strfry (char *</b> string );
<br/><br/>

<b>size_t strlen (const char *</b> s );
<br/><br/>

<b>char *strncat (char *</b> dest <i>, const char *</i> src <b>, size_t </b> n );
<br/><br/>

<b>int strncmp (const char *</b> s1 <i>, const char *</i> s2 <b>, size_t </b> n );
<br/><br/>

<b>char *strncpy (char *</b> dest <i>, const char *</i> src <b>, size_t </b> n );
<br/><br/>

<b>char *strpbrk (const char *</b> s <i>, const char *</i> accept );
<br/><br/>

<b>char *strrchr (const char *</b> s <i>, int </i> c );
<br/><br/>

<b>char *strsep (char **</b> stringp <i>, const char *</i> delim );
<br/><br/>

<b>size_t strspn (const char *</b> s <i>, const char *</i> accept );
<br/><br/>

<b>char *strstr (const char *</b> haystack <i>, const char *</i> needle );
<br/><br/>

<b>char *strtok (char *</b> s <i>, const char *</i> delim );
<br/><br/>

<b>size_t strxfrm (char *</b> dest <i>, const char *</i> src <b>, size_t </b> n );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Ces fonctions effectuent diverses oprations sur des chanes
de caractres se terminant par un caractre nul. Voyez les pages
de manuel individuelles pour plus de dtails.
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>index (3),</b>
<b>rindex (3),</b>
<b>strcasecmp (3),</b>
<b>strcat(3),</b>
<b>strchr (3)</b>
<b>strcmp (3),</b>
<b>strcoll (3),</b>
<b>strcpy(3),</b>
<b>strcspn (3),</b>
<b>strdup (3),</b>
<b>strfry (3),</b>
<b>strlen (3),</b>
<b>strncat (3),</b>
<b>strncmp (3),</b>
<b>strncpy (3),</b>
<b>strncasecmp (3),</b>
<b>strpbrk (3),</b>
<b>strrchr (3),</b>
<b>strsep (3),</b>
<b>strspn (3),</b>
<b>strstr (3),</b>
<b>strtok (3),</b>
<b>strxfrm (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
