<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 Mitchum DSouza &lt;m.dsouza@mrc-apu.cam.ac.uk&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  -->
<!--  Traduction 10/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 11/07/2000 LDP 1.30 -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>STRPTIME</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">exemple</a>
<br /><a class="summaryIndent0" href="#L6">extensions gnu</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
strptime - Conversion d'une chane de date en une structure tm.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#define _XOPEN_SOURCE</b> <b> /* Pour GlibC2 */</b></b>
<br/>
<b>#include</b> <b></b>  <b>&lt;time.h&gt;</b> <b></b>  <br/><br/>

<b>char *strptime (char *</b> buf <i>, const char *</i> format ,
<b>const struct tm *</b> tm );<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>strptime()</b> <b></b>  est complmentaire de la fonction
<b>strftime() .</b>
Elle convertit la chane de caractres pointe par
<i>buf</i> en une valeur qui est stocke dans la structure
<b>tm</b> <b></b>  pointe par l'argument
<i>tm ,</i>
la conversion tant ralise en suivant les indications contenues dans
la chane
<i>format .</i>
Cette dernire contient des descripteurs de champs et du texte, rappelant
<b>scanf (3).</b>
Chaque descripteur consiste en un caractre
<b>%</b> <b></b>  suivi d'un second caractre indiquant le champ  interprter.
Tous les autres sont considrs comme du texte. Toutefois un espace blanc se trouvant
dans la chane de format peut tre mis en correspondance avec zro ou plusieurs espaces.
Il devrait toujours y avoir un espace ou un autre caractre alphanumrique entre
deux descripteurs de champs.<br/><br/>
La fonction
<b>strptime ()</b>
traite la chane d'entre de gauche  droite. Les trois types d'lments d'entre
possibles (espace, caractre littral, conversion) sont manipuls l'un aprs l'autre. Si l'entre ne peut pas tre mise en correspondance avec la chane de format,
la fonction s'arrte. Le reste du format et de la chane d'entre ne sont pas
traits.<br/><br/>
Les descripteurs applicables sont dcrits ci-dessous. Dans le cas d'une
chane de caractres (comme un nom de jour ou de mois), la comparaison
ne tient pas compte des majuscules/minuscules. Dans le cas d'un nombre, les
zros au dbut sont autoriss mais pas obligatoires.
<br/><br/>

<b>%%</b> <b></b>  Le caractre
<b>%</b> <b></b>  <br/><br/>

<b>%a </b> ou <b> %A</b>
Le jour de la semaine en utilisant les noms correspondants  la localisation.
Les noms abrgs ou entiers peuvent tre utiliss.
<br/><br/>

<b>%b </b> ou <b> %B </b> ou <b> %h</b>
Le mois en utilisant les noms correspondants  la localisation.
Les noms abrgs ou entiers peuvent tre utiliss.
<br/><br/>

<b>%c</b> <b></b>  La date et l'heure en utilisant le format de la localisation.
<br/><br/>

<b>%C</b> <b></b>  Le numro de sicle (0-99).
<br/><br/>

<b>%d </b> ou <b> %e</b>
Le jour du mois (1-31)
<br/><br/>

<b>%D</b> <b></b>  La date, ainsi : %m/%d/%y. C'est la date au format amricain, trs gnante pour
les autres pays, notamment l'Europe qui utilise une notation %d/%m%y. Le format
standard ISO 8601 est %Y-%m-%d.
<br/><br/>

<b>%H</b> <b></b>  L'heure (0-23)
<br/><br/>

<b>%I</b>
L'heure (0-12)
<br/><br/>

<b>%j</b> <b></b>  Le numro du jour dans l'anne (001-366)
<br/><br/>

<b>%m</b> <b></b>  Le numro du mois (1-12)
<br/><br/>

<b>%M</b> <b></b>  La minute (0-59)
<br/><br/>

<b>%n</b> <b></b>  Un espace blanc quelconque
<br/><br/>

<b>%p</b> <b></b>  quivalent local de AM ou PM (ventuellement rien).
<br/><br/>

<b>%r</b> <b></b>  L'heure sur 12 heures avec l'quivalent local de AM ou PM. Dans la
localisation POSIX, quivalent  %I:%M:%S %p. Si le champ <i>t_fmt_ampm</i> de
la catgorie LC_TIME de la localisation est vide, le comportement est indfini.
<br/><br/>

<b>%R</b> <b></b>  L'heure, ainsi : %H:%M
<br/><br/>

<b>%S</b> <b></b>  Les secondes (0-61, des secondes de rattrapages sont autorises)
<br/><br/>

<b>%t</b> <b></b>  Un espace blanc quelconque
<br/><br/>

<b>%T</b> <b></b>  quivalent de %H:%M:%S
<br/><br/>

<b>%U</b> <b></b>  Le numro de semaine (0-53), le premier dimanche de janvier tant le premier
jour de la semaine 1.
<br/><br/>

<b>%w</b> <b></b>  Le numro du jour dans la semaine (0-6), en commenant le dimanche.
<br/><br/>

<b>%W</b> <b></b>  Le numro de semaine (0-53), le premier lundi de janvier tant le premier
jour de la semaine 1.
<br/><br/>

<b>%x</b> <b></b>  la date, en utilisant le format usuel de la localisation.
<br/><br/>

<b>%X</b> <b></b>  l'heure, en utilisant le format usuel de la localisation.
<br/><br/>

<b>%y</b> <b></b>  l'anne sans le sicle (0-99; les zros au dbut sont autoriss mais pas obligatoires). Lorsque le sicle n'est pas indiqu par une autre conversion, les annes
69  99 sont considres comme tant du vingtime sicle (1969  1999), et les
annes 00-68 du vingt-et-unime sicle (2000-2068).
<br/><br/>

<b>%Y</b> <b></b>  L'anne en incluant le sicle (par exemple, 1996)<br/><br/>
Pour les noms des mois ou des jours de la semaine, les diffrences entre
majuscules et minuscules sont ignores.<br/><br/>
Certains descripteurs peuvent tre complts par les caractres modificateurs
E et O, indiquant qu'il faut employer un autre format ou une autre spcification.
Si cet autre format, ou cette autre conversion n'est pas disponible dans la
localisation en cours, le descripteur n'est pas modifi.<br/><br/>
Le modificateur E indique que la chane d'entre peut contenir des versions
diffrentes de la date et l'heure, en fonction de la localisation :
<br/><br/>

<b>%Ec</b> <b></b>  Une reprsentation diffrente de la date et l'heure.
<br/><br/>

<b>%EC</b> <b></b>  Le nom de l'anne de base (priode) dans la reprsentation locale
alternative.
<br/><br/>

<b>%Ex</b> <b></b>  Une autre reprsentation de la date.
<br/><br/>

<b>%EX</b> <b></b>  Une autre reprsentation de l'heure.
<br/><br/>

<b>%Ey</b> <b></b>  Le dcalage (en anne) par rapport  l'anne %EC dans la reprsentation
locale alternative.
<br/><br/>

<b>%EY</b> <b></b>  La reprsentation complte de l'anne.<br/><br/>
Le modificateur O indique que les saisies numriques peuvent tre effectues
dans un format diffrent, dpendant de la localisation.
<br/><br/>

<b>%Od </b> or <b> %Oe</b>
Le jour du mois. Les zros en tte sont permis mais pas obligatoires.
<br/><br/>

<b>%OH</b> <b></b>  L'heure (sur 24 heures).
<br/><br/>

<b>%OI</b> <b></b>  L'heure (sur 12 heures).
<br/><br/>

<b>%Om</b> <b></b>  Le numro du mois.
<br/><br/>

<b>%OM</b> <b></b>  Les minutes.
<br/><br/>

<b>%OS</b> <b></b>  Les secondes.
<br/><br/>

<b>%OU</b> <b></b>  Le numro de la semaine.
<br/><br/>

<b>%Ow</b> <b></b>  Numro du jour dans la semaine, le dimanche tant zro.
<br/><br/>

<b>%OW</b> <b></b>  Le numro du jour de la semaine, en commenant le lundi.
<br/><br/>

<b>%Oy</b> <b></b>  L'anne (ou dcalage par rapport  %C).<br/><br/>
Les champs de la structure <i>tm</i> dfinie dans <i>&lt;time.h&gt;</i> sont :
<br/><br/>

.RS

.ne 12
.ta 8n 16n 32n
struct tm
{
  int  tm_sec;   /* secondes           */
  int  tm_min;   /* minutes            */
  int  tm_hour;  /* heures             */
  int  tm_mday;  /* jour du mois       */
  int  tm_mon;   /* mois               */
  int  tm_year;  /* anne              */
  int  tm_wday;  /* jour de la semaine */
  int  tm_yday;  /* jour de l'anne    */
  int  tm_isdst; /* dcalage t/hiver */
};
.ta



</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>strptime()</b> renvoie un pointeur sur le premier caractre
de la chane
<i>buf</i> n'ayant pas t trait. Dans le cas o la chane de saisie est plus longue que
ce que rclame le format, la valeur renvoye pointe juste aprs le dernier
caractre d'entre ayant t analys. Si toute la chane a t traite,
le pointeur est dirig sur le caractre NUL en fin de chane.
Si
<b>strptime ()</b>
n'arrive pas  effectuer toutes les conversions, il renvoie <b>NULL</b>.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
XPG4, SUSv2, POSIX 1003.1-2001.
</div><br/><br /><h1 class="TitreSection0" id="L6">exemple</h1>
<div class="paragraph">
L'exemple suivant montre l'utilisation de <b>strptime()</b>
et <b>strftime()</b>.
<br/><br/>


.ne 12
.ta 8n 16n
#include &lt;stdio.h&gt;
#include &lt;time.h&gt;
 
int main()
{
  struct tm tm;
  char buf[255];
 
  strptime("2001-11-12 18:31:01", "%Y-%m-%d %H:%M:%S", &tm);
  strftime(buf, sizeof(buf), "%d %b %Y %H:%M", &tm);
  puts(buf);
  return 0;
}
.ta


</div><br/><br /><h1 class="TitreSection0" id="L7">extensions gnu</h1>
<div class="paragraph">
Pour des raisons de symtrie, la GlibC essaye d'offrie pour
<b>strptime</b> <b></b>  les mmes caractres de formatage que ceux de
<b>strftime.</b>
(Dans la plupart des cas, les champs sont lus mais aucun membre de <i>tm</i>
n'est modifi).
Ceci conduit &nbsp;:
<br/><br/>

<b>%F</b> <b></b>  quivalent  <b>%Y-%m-%d</b>, le format ISO 8601 pour la date.
<br/><br/>

<b>%g</b> <b></b>  L'anne correspondant au numro de semaine ISO, sans le sicle (0-99).
<br/><br/>

<b>%G</b> <b></b>  L'anne correspondant au numro de semaine ISO (par exemple 1991).
<br/><br/>

<b>%u</b> <b></b>  Le numro du jour de la semaine (1-7, lundi valant 1).
<br/><br/>

<b>%V</b> <b></b>  Le numro de semaine ISO 8601:1988 (1-53). Si la semaine (commenant lundi)
contenant le 1er janvier a quatre jours ou plus de la nouvelle anne, elle
est compte en semaine 1. Sinon elle est considre comme dernire semaine
de l'anne prcdente, et c'est la suivante qui est la semaine 1.
<br/><br/>

<b>%z</b> <b></b>  Spcification standard RFC-822/ISO 8601 pour le fuseau horaire.
<br/><br/>

<b>%Z</b> <b></b>  Le nom du fuseau horaire.<br/><br/>
De mme,  cause des extensions GNU de <i>strftime</i>,
%k est accept en synonyme de %H, et %l est accept comme
synonyme de %I, et %P en synonyme de %p.
Enfin,
<br/><br/>

<b>%s</b> <b></b>  Le nombre de secondes depuis le 1er janvier 1970  Oh TU. Les secondes de
rattrapage ne sont pas comptes sauf si un support spcifique est disponible.<br/><br/>
L'implmentation de la GlibC n'impose pas la prsence de caractres blancs
entre deux descripteurs de champs.
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
En principe cette fonction n'initialise pas <b>tm</b>, mais n'y stocke que
les valeurs lues. Ceci signifie que le contenu de <b>tm</b> doit tre initialis
avant l'appel. Les dtails diffrent suivant les systmes Unix. L'implmentation
de la bibliothque C Gnu ne modifie pas les champs non mentionns explicitement,
sauf
<i>tm_wday ,</i>
et
<i>tm_yday</i>
qui sont recalculs si un champ d'anne, de mois ou de jour est modifi.<br/><br/>
Cette fonction n'est disponible que dans les versions de bibliothque
depuis la 4.6.8. Les bibliothques Linux libc4 et libc5 incluaient
toujours le prototype de cette fonction, la bibliothque GlibC 2 ne fournit
le prototype que si les constantes _XOPEN_SOURCE ou _GNU_SOURCE sont dfinies.<br/><br/>
Les caractres de modification locale E et O sont accepts depuis la bibliothque
5.4.13. La conversion 'y' est toujours considre comme appartenant au
vingtime sicle dans les libc4 et libc5. Elle est prise dans l'intervalle
1950-2049 par la GlibC 2.0, et 1969-2068 par la GlibC 2.1.
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>time (2),</b>
<b>scanf (3),</b>
<b>setlocale (3),</b>
<b>strftime (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
