<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2001 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 22/04/2002 par Stphan Rafin (stephan.rafin@laposte.net) -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<!--  -->
<br/><h1>STRVERSCMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
strverscmp - Comparaison de chanes de version.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#define</b> <b></b>  <b>_GNU_SOURCE</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;string.h&gt;</b> <b></b>  <br/><br/>

<b>int strverscmp(const char *</b> s1 <i>, const char *</i> s2 );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
On a souvent des fichiers
<i>jan1 </i>, <i> jan2 </i>, ..., <i> jan9 </i>, <i> jan10 </i>, ...<i></i>
et il est malvenu que
<b>ls</b> <b></b>  les classe dans l'ordre 
<i>jan1 </i>, <i> jan10 </i>, ..., <i> jan2 </i>, ..., <i> jan9 </i>.</i>
<!--  classical solution: "rename jan jan0 jan?" -->
Afin de remdier  ceci, GNU a introduit l'option 
<b>-v</b> <b></b>  
<b>ls (1),</b>
option implmente en utilisant
<b>versionsort (3),</b>
qui utilise lui mme
<b>strverscmp .<br/><br/></b>
Ainsi, la tche de 
<b>strverscmp</b> <b></b>  consiste  comparer deux chanes et  dterminer le "bon" ordre, alors que
<b>strcmp</b> <b></b>  dtermine seulement l'ordre lexicographique. Cette fonction n'utilise pas 
la catgorie de localisation LC_COLLATE, elle vise donc principalement 
les situations dans lesquelles les chanes sont supposes tre en ASCII.<br/><br/>
Cette fonction travaille comme dtaill ci dessous.
Si les deux chanes sont gales, elle renvoie 0. Sinon, elle recherche
une position entre deux octets ayant la proprit suivante : avant cette position, 
les deux chanes sont gales, alors qu'immdiatement aprs, elles diffrent.
Elle dtermine alors les plus longues chanes de chiffres conscutifs contenant
(ou commenant , ou se finissant ) cette position. Si l'une des chanes ou bien 
les deux chanes sont vides, alors elles renvoie ce que 
<b>strcmp</b> <b></b>  aurait renvoy (Classement numrique des valeurs d'octets).
Sinon, elle compare numriquement les deux chanes de chiffres, o les
chanes de chiffres commenant par un ou plusieurs zro sont 
interprtes comme si elles avaient une virgule en en-tte (de telle 
sorte que les chanes de chiffres particulires commenant par davantage de
zro viennent avant les chanes de chiffres avec moins de zro en en-tte).
Ainsi, le classement est 
<i>000 </i>, <i> 00 </i>, <i> 01 </i>, <i> 010 </i>, <i> 09 </i>, <i> 0 </i>, <i> 1 </i>, <i> 9 </i>, <i> 10 .</i>
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>strverscmp()</b> renvoie un entier
plus petit que, gal , ou plus grand que zro si <i>s1</i>
est dtermine comme tant respectivement plus rcente que, 
gale , ou postrieure  <i>s2</i>.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
Cette fonction est une extension GNU.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>rename (1),</b>
<b>strcasecmp (3),</b>
<b>strcmp (3),</b>
<b>strcoll (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Stphan Rafin, 2002.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
