<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sat Jul 24 17:51:15 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 10/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 14/12/1998 - LDP-man-pages-1.21 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 28/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>SYSTEM</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
system - Excuter une commande Shell.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>int system (const char * </b> <i>string</i> <b>);</b>


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>system()</b> <b></b>  excute la commande indique dans
<i>string</i> en appelant
<b>/bin/sh -c</b></b>
<i>string ,</i>
et revient aprs l'excution complete de la commande. 
Durant cette excution, le signal
<b>SIGCHLD</b> <b></b>  est bloqu, et les signaux
<b>SIGINT</b> <b></b>  et
<b>SIGQUIT</b> <b></b>  sont ignors.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La valeur renvoye est -1 en cas d'erreur (par exemple echec de fork())
ou le code de retour de la commande sinon. Ce dernier code est dans le format
indiqu dans
<b>wait (2).</b>
Ansi le retour de la commande sera
<i>WEXITSTATUS(status) .</i>
Dans le cas o
<b>/bin/sh"</b> <b></b>  ne peut pas tre excut, le code de retour sera identique  celui d'une
commande effectuant un
<i>exit(127) .<br/><br/></i>
Si la valeur de
<i>string</i> est
<b>NULL ,</b>
<b>system()</b> <b></b>  renvoie une valeur non nulle si le shell est accessible, et zro sinon.<br/><br/>
<b>system()</b> <b></b>  n'affecte pas le statut d'attente des autres processus fils.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ANSI C, POSIX.2, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Comme mentionn plus haut,
<b>system ()</b>
ignore SIGINT et SIGQUIT. Ceci peut rendre ininterruptible un programme
qui l'appelle en boucle,  moins qu'il ne vrifie le code de retour
du fils, par exemple
<br/>

    while(qqchose) {
        int ret = system("foo");
 
        if (WIFSIGNALED(ret) &&
            (WTERMSIG(ret) == SIGINT || WTERMSIG(ret) == SIGQUIT))
                break;
    }

<br/><br/>
N'utilisez jamais
<b>system()</b> <b></b>  dans un programme avec les privilges Set-UID ou Set-GID. Des variables
d'environnement avec des valeurs tranges peuvent tre utilises
pour corrompre l'intgrit du systme. Utilisez les fonctions de la famille
<b>exec (3)</b>
 la place, mais pas
<b>execlp (3)</b>
ni
<b>execvp (3).<br/><br/></b>
<b>system()</b> <b></b>  ne fonctionnera pas correctement avec les programmes ayant des privilges
fournis par les bits Set-UID ou Set-GID sur les systmes o
<b>/bin/sh</b> <b></b>  est
<b>bash</b> <b></b>  version 2, car celui-ci rejette les privilges au dmarrage. (Debian utilise
une version modifie de bash o ce comportement est abandonn si on l'invoque
sous le nom <b>sh</b>).<br/><br/>
La vrification de disponibilit du shell
<b>/bin/sh</b> <b></b>  n'est pas rellement faite. Il est toujours suppos disponible. Le standard
ISO C rclame cette vrification, mais POSIX.2 prcise que le retour doit
toujours tre non-nul car un systme sans shell n'est pas conforme. Ceci
justifie le choix d'implmentation.<br/><br/>
Il est possible qu'une commande shell renvoie 127, ainsi le code de retour
n'est pas une indication sre de l'chec de
<b>execve() .</b>
Verifiez
<i>errno</i> pour en tre srs.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>sh (1),</b>
<b>signal (2),</b>
<b>wait (2),</b>
<b>exec (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
