<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 17:46:57 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 10/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 26/01/2002 - LDP-man-pages-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>TMPFILE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">erreurs</a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
tmpfile - Crer un fichier temporaire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdio.h&gt;</b> <b></b>  <br/><br/>

<b>FILE</b> <b></b>  <b>*tmpfile</b> <b></b>  <b>(void);</b> <b></b>  

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>tmpfile()</b> cre un nom de fichier unique.  
Le fichier temporaire est ouvert en lecture/criture binaire (mode w+b).
Le fichier sera automatiquement dtruit lors de sa fermeture, ou lorsque
le programme se terminera normalement.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>tmpfile()</b> renvoie un pointeur de flux, ou NULL
si la cration du fichier temporaire est impossible, auquel cas
<i>errno</i> indique l'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">erreurs</h1>
<div class="paragraph">
<br/><br/>
 
<b>EACCES</b> <b></b>  Autorisation de parcours refuse dans un rpertoire du chemin d'accs.
<br/><br/>

<b>EEXIST</b> <b></b>  Impossible de crer un nom de fichier unique.
<br/><br/>

<b>EMFILE</b> <b></b>  Trop de descripteurs de fichiers pour le processus.
<br/><br/>

<b>ENFILE</b> <b></b>  Trop de fichiers ouverts sur le systme.
<br/><br/>

<b>ENOSPC</b> <b></b>  Pas assez de place dans le rpertoire pour ajouter un fichier.
<br/><br/>

<b>EROFS</b> <b></b>  Systme de fichiers en lecture seule.
<br/><br/>

<b>EINTR</b> <b></b>  L'appel a t interrompu par un signal.
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
SVID 3, POSIX, BSD 4.3, ISO 9899, SUSv2
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Un message d'erreur peut tre crit sur <i>stdout</i> si le flux ne
peut pas tre ouvert. ([NDT] <i>stdout</i>&nbsp;? sr&nbsp;? ce ne serait
pas <i>stderr</i> plutt&nbsp;?).<br/><br/>
Le standard ne prcise pas le rpertoire employ par <i>tmpfile()</i>.
La GlibC essayera d'utilise le prfixe <i>P_tmpdir</i> dfini
dans <i>&lt;stdio.h&gt;</i>, puis <i>/tmp</i> en cas d'chec.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>mktemp (3),</b>
<b>mkstemp (3),</b>
<b>tmpnam (3),</b>
<b>tempnam (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
