<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (C) 2002 Andries Brouwer &lt;aeb@cwi.nl&gt; -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  This replaces an earlier man page written by Walter Harms -->
<!--  &lt;walter.harms@informatik.uni-oldenburg.de&gt;. -->
<!--  -->
<!--  Traduction Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 21/07/2003 LDP-1.57 -->
<br/><h1>TTYSLOT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">historique</a>
<br /><a class="summaryIndent0" href="#L6">conformit</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ttyslot - Trouver l'emplacement du terminal en cours dans un fichier.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<br/><br/>

<b>#include &lt;unistd.h&gt;</b>       <b>    /* sur les systmes BSD */</b></b>
<br/>
<b>#include &lt;stdlib.h&gt;</b>       <b>    /* sur les systmes V   */</b></b>
<br/><br/>

<b>int</b> <b></b>  <b>ttyslot(void);"</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>ttyslot ()</b>
renvoie la position de l'entre du terminal en cours dans un fichier.<br/><br/>
"Dans quel fichier&nbsp;?" demandez-vouz... Bonne question&nbsp;; voyons un peu d'histoire.
</div><br/><h2 class="TitreSection1" id="L10">HISTOIRE ANCIENNE</h2>
<div class="paragraph">
Il existaut un fichier
<i>/etc/ttys</i> dans Unix V6, qui tait consult par
<b>init (8)</b>
afin de savoir que faire sur chaque terminal.
Chaque ligne tait compose de trois caractres.
Le premier tait '0' ou '1', le '0' signifiant "ignor".
Le second caractre indiquait le terminal&nbsp;: '8' signifiant "/dev/tty8".
Le troisime caractre tait un argument pour
<b>getty (8)</b>
indiquant la squence de vitesses  essayer ('-' signifiait "essayer  partir
de 110 bauds"). Ainsi une ligne typique tait "18-".
Une dconnexion sur une ligne se faisait en changeant le '1' en '0', en 
envoyant un signal  init, en rechangeant  l'inverse et en renvoyant un signal.<br/><br/>
Sous Unix V7  le format a chang&nbsp;:  le second caractre devenait
l'argument pour
<b>getty (8)</b>
indiquant la squence de vitesses  essayer ('0' signifiait "essayer en boucle
300-1200-150-110 baud" et '4' signifiait "console DECwriter") tandis que
le reste de la ligne contenait le nom du terminal. Une ligne typique tait
"14console".<br/><br/>
Les systme ultrieurs utilisrent une syntaxe plus labore.
Les systmes type Sys-V employaient
<i>/etc/inittab</i>  la place.
</div><br/><h2 class="TitreSection1" id="L10">HISTOIRE ANCIENNE (BIS)</h2>
<div class="paragraph">
D'autre part, il existe un fichier
<i>/etc/utmp</i> listant les gens actuellement connects. Il est gr par
<b>login (8).</b>
Il a une taille fixe, et la position approprie dans le fichier est
dtermine par
<b>login (8)</b>
en utilisant l'appel
<b>ttyslot ()</b>
pour trouver le numro de la ligne dans
<i>/etc/ttys</i>
( partir de 1).
</div><br/><h2 class="TitreSection1" id="L10">SMANTIQUE DE TTYSLOT</h2>
<div class="paragraph">
Ainsi, la fonction
<b>ttyslot ()</b>
renvoie l'index du terminal de contrle du processus appelant dans le
fichier
<i>/etc/ttys ,</i>
qui est aussi (en principe) l'index de l'entre pour l'utilisateur en cours
dans le fichier
<i>/etc/utmp .</i>
BSD utilise encore le fichier
<i>/etc/ttys ,</i>
mais pas les systme SyS-V, qui ne peuvent donc pas si rfrer.
Sur ces systmes, la documentation dit que
<b>ttyslot ()</b>
renvoie l'index de l'utilisateur appelant dans la base de donne
de comptabilit des utilisateurs.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si elle russit, cette fonction renvoie le numro d'entre.
Si elle choue (par exemple si aucun des descripteurs 0, 1 ou 2 n'est
associ avec un terminal trouv dans la base de donnes), elle renvoie
0 sur Unix V6 et V7 les systmes BSD, mais -1 sur les autres systmes V.
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Le fichier utmp se rencontre  divers endroits sur les diffrents systmes,
comme
<i>/etc/utmp ,</i>
<i>/var/adm/utmp ,</i>
<i>/var/run/utmp .<br/><br/></i>
L'implmentation de cette fonction dans la GlibC 2 lit le fichier
<b>_PATH_TTYS ,</b>
dfini dans
<i>&lt;ttyent.h&gt;</i> comme "/etc/ttys". Elle renvoie 0 en cas d'erreur.
Comme les systmes Linux n'ont habituellement pas de "/etc/ttys", elle
renverra toujours 0.<br/><br/>
Minix avait aussi
<i>fttyslot ( fd ).</i>
</div><br/><br /><h1 class="TitreSection0" id="L6">historique</h1>
<div class="paragraph">
<b>ttyslot ()</b>
est apparu dans Unix V7.
</div><br/><br /><h1 class="TitreSection0" id="L7">conformit</h1>
<div class="paragraph">
XPG2. Legacy dans SUSv2. Supprim dans SUSv3.
SUSv2 demande un -1 en cas d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>getttyent (3),</b>
<b>ttyname (3),</b>
<b>utmp (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
