<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sun Jul 25 11:01:58 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 11/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 30/08/2000 - LDP 1.31 -->
<!--  Mise  jour 25/10/2002 - LDP 1.53 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>TZSET</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
tzset, tzname, timezone, daylight - Initialisation des donnes pour les conversions de temps.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;time.h&gt;</b> <b></b>  <br/><br/>

<b>void</b> <b></b>  <b>tzset</b> <b></b>  <b>(void);</b> <b></b>  <br/><br/>

<b>extern char *</b> tzname [2]
<b>extern long </b> timezone ;
<b>extern int </b> daylight ;


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction <b>tzset()</b> initialise la variable <i>tzname</i> en utilisant
la variable d'environnement TZ. Cette fonction est appele automatiquement
par les autres fonctions de conversion dpendant du fuseau horaire.
Dans un environnement type Systme V, elle remplira galement les variables <i>timezone</i>
(secondes  l'ouest de Greenwich) et <i>daylight</i> (0 si le fuseau n'a pas de changement
d'heure saisonnier, une valeur non nulle s'il y a des priodes durant l'anne o
le changement horaire s'applique).<br/><br/>
Si la variable TZ n'apparat pas dans l'environnement, <i>tzname</i>
est initialise avec la meilleure approximation possible de l'heure
locale, comme indiqu dans le fichier
<i>localtime ,</i>
au format
<b>tzfile (5),</b>
se trouvant dans le rpertoire systme des fuseaux horaires (voir plus bas).
(on utilise souvent
<i>/etc/localtime</i> ici, en tant que lien symbolique vers le rpertoire systme des fuseaux horaires).<br/><br/>
Si la variable TZ est prsente dans l'environnement, mais que sa valeur
est `NULL', ou si sa valeur ne peut pas tre interprte en utilisant le format
indiqu plus bas, l'heure TU (temps universel) est utilise.<br/><br/>
La valeur de TZ peut prendre trois formats diffrents. Le premier correspond
 un endroit o il n'y a pas de dcalage heure d'hiver/heure d't :
<br/><br/>

.RS
<i>std offset</i> 
<br/><br/>

la chane <i>std</i> indique le nom du fuseau horaire, constitu d'au moins
trois caractres alphabtiques. La chane <i>offset</i> suivant immdiatement
<i>std</i> indique la valeur  ajouter  l'heure locale pour obtenir l'heure
TU. La valeur <i>offset</i> est positive si l'emplacement est  l'Ouest du
mridien 0, et ngative si elle est  l'Est.
L'heure doit tre entre 0 et 24, les minutes et les secondes
entre 0 et 59.<br/><br/>
Le deuxime format est utilis lorsqu'il existe des heures d'hiver et d't diffrentes :
<br/><br/>

.RS
<i>std offset dst [offset],start[/time],end[/time]</i> 
<br/><br/>

Les champs <i>std</i> et <i>offset</i> initiaux indiquent le fuseau horaire
comme prcis ci-dessus.
Les chaines <i>dst</i> et <i>offset</i> indiquent le fuseau et le dcalage
de la zone correspondant  l'heure d't. Si l'offset est omis, une valeur
par dfaut est utilise, correspondant  une heure de dcalage vers l'avant.<br/><br/>
Le champ <i>start</i> indique la date de dbut de l'heure d't,
et <i>end</i> indique la date de retour  l'heure d'hiver. Ces deux champs
utilisent l'un des formats suivants :
<br/><br/>

J<i>n</i>
Indique le jour Julien, avec <i>n</i> compris entre 1 et 365. Le 29
Fvrier n'est jamais compt, mme pendant les annes bissextiles.
<br/><br/>
 
<i>n</i> Indique le jour Julien, avec <i>n</i> compris entre 1 et 366. Le 29
Fvrier est compt pendant les annes bissextiles.
<br/><br/>
 
M<i>m</i>.<i>s</i>.<i>j</i>
Indique le jour <i>j</i> (0 &lt;= <i>j</i> &lt;= 6) de la semaine <i>s</i> 
(1 &lt;= <i>s</i> &lt;= 5) du mois <i>m</i> (1 &lt;= <i>m</i> &lt;= 12).  La semaine 1 est
la premire semaine du mois dans laquelle le jour <i>j</i> apparat
et la semaine 5  la dernire o le jour <i>j</i> apparat. Le jour 0 est Dimanche.<br/><br/>
Le champ <i>time</i> indique l'heure du changement, sous forme d'heure locale
courante. Par dfaut, la valeur est 02:00:00.<br/><br/>
Le troisime format est utilis pour indiquer que les informations de fuseau
horaire doivent tre lues depuis un fichier :
<br/><br/>

.RS
:[filespec]

<br/><br/>

Si le fichier <i>filespec</i> n'est pas indiqu, les informations sont
lues dans le fichier
<i>localtime</i> se trouvant dans le rpertoire systme des fuseaux horaires, habituellement
<i>/usr/share/zoneinfo .</i>
Ce fichier est au format
<b>tzfile (5)</b>
Si <i>filespec</i> est indique, il doit correspondre  un autre fichier au format
<b>tzfile (5)</b>
o on lira les informations.
Si <i>filespec</i> ne commence pas par un `/', le chemin d'accs est
considr  partir du rpertoire systme des fuseaux horaires.
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
Le rpertoire systme employ pour les fuseaux horaires dpend de la
version de la bibliothque C. Les libc4 et libc5 utilisaient
<i>/usr/lib/zoneinfo ,</i>
puis,  partir de la libc-5.4.6 le rpertoire
<i>/usr/share/zoneinfo</i> si le premier n'existait pas.
La bibliothque GlibC 2 utilise le contenu de la variable
d'environnement TZDIR lorsqu'elle existe. Par dfaut c'est normalement
<i>/usr/share/zoneinfo .<br/><br/></i>
Les fichiers se trouvant dans le rpertoire sont :

localtime      fichier d'information horaire locale
posixrules     rgles pour les TZ au format POSIX

<br/><br/>
Souvent,
<i>/etc/localtime</i> est un lien symbolique vers
<i>localtime</i> ou vers le fichier correct dans le rpertoire systme des fuseaux horaires.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
SVID 3, POSIX, BSD 4.3
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
Remarquez que la variable <i>daylight</i> n'indique pas si le changement d'heure
saisonnier s'applique au moment de l'appel. Elle indique simplement le numro d'un
algorithme (voyez la variable <i>tz_dsttime</i> dans
<b>gettimeofday (2)).</b>
C'est obsolte depuis longtemps, mais obligatoire avec SUSv2.<br/><br/>
BSD4.3 a une routine <i>char *timezone(zone,dst)</i> qui renvoie le nom du
fuseau horaire correspondant  son premier argument (minutes  l'ouest de Greenwich).
Si le second argument est 0, le nom standard est fourni, sinon c'est le nom avec
changement horaire saisonnier.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>date (1),</b>
<b>gettimeofday (2),</b>
<b>time (2),</b>
<b>ctime (3),</b>
<b>getenv (3),</b>
<b>tzfile (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
