<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) Bruno Haible &lt;haible@clisp.cons.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  References consulted: -->
<!--    GNU glibc-2 source code and manual -->
<!--    Dinkumware C library reference http://www.dinkumware.com/ -->
<!--    OpenGroup's Single Unix specification http://www.UNIX-systems.org/online.html -->
<!--    ISO/IEC 9899:1999 -->
<!--  -->
<!--  Traduction 29/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  mj LDP 1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>WCSRTOMBS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wcsrtombs - Convertir une chane de caractres larges en squence multi-octets.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;wchar.h&gt;</b> <b></b>  <br/><br/>

<b>size_t wcsrtombs (char *</b> dest <i>, const wchar_t **</i> src ,
<b>                  size_t </b> len <i>, mbstate_t *</i> ps );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Si <i>dest</i> n'est pas un pointeur NULL, la fonction <b>wcsrtombs</b> convertit les caractres larges
depuis la chane <i>*src</i> vers la squence multi-octets situe en <i>dest</i>.
Au plus <i>len</i> octets seront crits dans <i>dest</i>.
L'tat de conversion <i>*ps</i> est mis  jour. La conversion est ralise en fait en invoquant  rptition
wcrtomb(<i>dest</i>,<i>*src</i>,<i>ps</i>), aussi longtemps que cet appel russit, en augmentant  chaque fois <i>dest</i>
du nombre d'octets crits, et en incrmentant <i>*src</i>. La conversion peut se terminer pour trois raisons :<br/><br/>
1. Un caractre large que l'on ne peut pas reprsenter par une squence multi-octets (dans la localisation en cours)
a t rencontr. Dans ce cas <i>*src</i> pointera sur le caractre invalide, et la fonction renverra (size_t)(-1) aprs
avoir plac <b>EILSEQ</b> dans
<i>errno .<br/><br/></i>
2. La limite <i>len</i> est atteinte. Dans ce
cas <i>*src</i> pointera sur le caractre suivant  convertir, et la fonction renvoie le nombre d'octets crits dans <i>dest</i>.<br/><br/>
3. La chane de caractres larges a t compltement convertie, y compris le L'\\0' final (ramenant <i>*ps</i>  l'tat initial).
Dans ce cas, <i>*src</i> devient NULL, et la fonction renvoie le nombre d'octets crits dans <i>dest</i>, sans compter l'octet '\\0'.<br/><br/>
Si <i>dest</i> est NULL, la longueur <i>len</i> est ignore, et la conversion se droule comme prcdemment, sauf que les
octets convertis ne sont pas crits en mmoire, et qu'il n'y a pas de limite de longueur en destination.<br/><br/>
Dans tous les cas, si <i>ps</i> est un pointeur NULL, un tat statique anonyme propre  la fonction est utilis  la place.<br/><br/>
Le programmeur doit s'assurer qu'il y a assez de place pour <i>len</i> octets au minimum dans <i>dest</i>.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
La fonction <b>wcsrtombs</b> renvoie le nombre d'octets constituant la partie convertie de la squence multi-octets,
sans compter l'octet nul final. Si elle rencontre un caractre large qu'elle ne peut convertir, elle renvoie (size_t)(-1) et
place <b>EILSEQ</b>
<i>errno&nbsp;.</i>
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>wcstombs (3),</b>
<b>wcsnrtombs (3),</b>
<b>iconv (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>wcsrtombs</b> dpend de la catgorie LC_CTYPE de la localisation.<br/><br/>
L'utilisation d'un pointeur NULL pour <i>ps</i> n'est pas sre dans un contexte multithreads.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
