<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 David Metcalfe (david@prism.demon.co.uk) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  References consulted: -->
<!--      Linux libc source code -->
<!--      Lewine's _POSIX Programmer's Guide_ (O'Reilly & Associates, 1991) -->
<!--      386BSD man pages -->
<!--  Modified Sat Jul 24 17:41:18 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 11/12/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ LDP-1.47 -->
<!--  MJ 21/07/2003 LDP-1.56 -->
<br/><h1>WCTOMB</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">conformit</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">notes</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wctomb - Convertir un caractre tendu en caractre multi-octet.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;stdlib.h&gt;</b> <b></b>  <br/><br/>

<b>int wctomb (char *</b> s <i>, wchar_t </i> wchar );


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Si <i>s</i> n'est pas NULL, la fonction <b>wctomb</b> convertit le caractre large
<i>wc</i> dans sa reprsentation multi-octets et le stocke au dbut de la chane
de caractres pointe par <i>s</i>. Elle met  jour l'tat de dcalage, variable statique
anonyme connue uniquement de la fonction wctomb, et renvoie la longueur de la reprsentation
multioctets, c'est  dire le nombre d'octets crits dans <i>s</i>.<br/><br/>
Le programmeur doit s'assurer qu'il y a suffisament de place pour <b>MB_CUR_MAX</b> octets
au moins dans <i>s</i>.<br/><br/>
Si <i>s</i> est NULL, la fonction <b>wctomb</b> rinitialise l'tat de dcalage, connu seulement
de cette fonction,  sa valeur initiale et renvoie une valeur non-nulle si l'encodage a
un tat de dcalage non trivial, ou zro si l'encodage est sans tat.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Si <i>s</i> n'est pas NULL, la fonction <b>wctomb</b> renvoie le nombre d'octets qui ont
t crit dans la chane d'octet  l'adresse <i>s</i>. Si <i>wc</i> ne peut pas tre reprsent
par une squence multi-octets (d'aprs la localisation en cours), elle renvoie -1.<br/><br/>
Si <i>s</i> est NULL, la fonction <b>wctomb</b> renvoie une valeur non-nulle si l'encodage a
un tat de dcalage non trivial, ou zro si l'encodage est sans tat.
</div><br/><br /><h1 class="TitreSection0" id="L5">conformit</h1>
<div class="paragraph">
ISO/ANSI C, UNIX98
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>wcrtomb (3),</b>
<b>wcstombs (3),</b>
<b>MB_CUR_MAX (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">notes</h1>
<div class="paragraph">
Le comportement de <b>wctomb</b> dpend de la catgorie LC_TYPE de la localisation
en cours.<br/><br/>
Cette fonction ne doit pas tre utilise dans un environnement multi-threads. La routine
<b>wcrtomb</b> fournit une meilleure interface pour la mme fonctionnalit.
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
