<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--   Copyright 2003 walter harms (walter.harms@informatik.uni-oldenburg.de) -->
<!--   Distributed under GPL -->
<!--   this is the 3rd type of interface for cryptographic routines -->
<!--   1. encrypt() expects a bitfield -->
<!--   2. cbc_crypt() byte values -->
<!--   3. xencrypt() a hexstring -->
<!--   to bad to be true :( -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt; -->
<!--  30/07/2003 LDP-1.58 -->
<br/><h1>XCRYPT</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">valeur renvoye</a>
<br /><a class="summaryIndent0" href="#L4">disponibilit</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
xencrypt, xdecrypt, passwd2des - Cryptage de mots de passe RFS.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<br/><br/>

<b>#include</b> <b></b>  <b>&lt;rpc/des_crypt.h&gt;"</b> <b></b>  <br/><br/>

<b>void passwd2des (char </b> *passwd <b>, char *</b> key <b>);</b></b>
<br/><br/>

<b>int xencrypt (char </b> *secret <b>, char *</b> passwd <b>);</b></b>
<br/><br/>

<b>int xdecrypt (char </b> *secret <b>, char *</b> passwd <b>);</b></b>
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La fonction
<b>passwd2des()</b> <b></b>  prend une chane de caractre
<i>passwd</i> d'une longueur quelconque et remplit une table
<i>key</i> de longueur 8 octets. La table
<i>key</i> est utilisable comme cl DES. Elle a le bit de parit mis  zro dans chaque
octet. Les deux autres fonctions utilisent cette fonction pour
tranformer leur argument
<i>passwd</i> en cl DES.<br/><br/>
La fonction
<b>xencrypt()</b> <b></b>  prend une chane de caractre Ascii
<i>secret</i> donnes en hexadcimal,
<!--  (over the alphabet 0123456789abcdefABCDEF), -->
qui doit avoir une longueur multiple de 16, la crypte en utilisant
la cl DES trouv drive de
<i>passwd</i> par
<b>passwd2des() ,</b>
et renvoie le rsultat dans
<i>secret</i> comme une chane hexadcimale
<!--  (over the alphabet 0123456789abcdef) -->
de mme longueur.<br/><br/>
La fonction
<b>xdecrypt()</b> <b></b>  effectue la conversion inverse.
</div><br/><br /><h1 class="TitreSection0" id="L4">valeur renvoye</h1>
<div class="paragraph">
Les fonctions
<b>xencrypt()</b> <b></b>  et
<b>xdecrypt()</b> <b></b>  renvoient 1 si elles russissent et 0 en cas d'erreur.
</div><br/><br /><h1 class="TitreSection0" id="L5">disponibilit</h1>
<div class="paragraph">
Ces routines sont prsentes dans la libC 4.6.37 et ultrieures, et dans
GlibC 2.1 et ultrieures.
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Les prototypes sont absents des fichiers d'en-tte indiqus plus haut.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>cbc_crypt (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
