<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1996 Andries Brouwer &lt;aeb@cwi.nl&gt;, Mon Oct 31 22:13:04 1996 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  This is combined from many sources. -->
<!--  For Linux, the definitive source is of course console.c. -->
<!--  About vt100-like escape squences in general there are -->
<!--  the ISO 6429 and ISO 2022 norms, the descriptions of -->
<!--  an actual vt100, and the xterm docs (ctlseqs.ms). -->
<!--  Substantial portions of this text are derived from a write-up -->
<!--  by Eric S. Raymond &lt;esr@thyrsus.com&gt;. -->
<!--  -->
<!--  -->
<!--  Traduction 24/11/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!-- 	mise a jour 23/01/97 -->
<!--  mise  jour LDP-1.47 -->
<!--  mise  jour LDP-1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>CONSOLE_CODES</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">commandes de la console linux</a>
<br /><a class="summaryIndent0" href="#L3">jeux de caractres</a>
<br /><a class="summaryIndent0" href="#L4">gestion de souris</a>
<br /><a class="summaryIndent0" href="#L5">comparaison avec d'autres terminaux</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
console_codes - Squence de contrle des consoles.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Sous Linux, le gestionnaire de console implmente un sous-ensemble important
des squences de contrle des terminaux VT102 et ECMA-48/ISO 6429/ANSI X3.64,
ainsi que quelques squences spcifiques pour le changement de palette de
couleurs, de fonte de caractres, etc...
Dans la description ci-dessous, la seconde colonne de la table contient
les mnmoniques ECMA-48 ou DEC (ces derniers ayant le prfixe DEC) pour chaque
fonction indique.
Les squences sans mnmoniques ne correspondent ni  l'ECMA-48 ni au VT102.<br/><br/>
Lorsque tout le prtraitement ncessaire  une sortie est termin, et
qu'un flux de caractres arrive au gestionnaire de console pour tre
effectivement affich, se produit tout d'abord une traduction des
codes utiliss pour le prtraitement en code utiliss pour l'affichage.<br/><br/>
Si la console est en mode UTF-8, les octets arrivants sont tout d'abord
assembls en codes sur 16 bits au standard Unicode. Sinon chaque octet
est transform en fonction de la table de correspondance en cours
(qui convertit chaque octet en une valeur Unicode).
Voir le paragraphe JEUX DE CARACTRES plus bas pour plus de dtails.<br/><br/>
Normalement, la valeur Unicode est convertie en un index dans la table
de caractres, qui est alors stock dans la mmoire vido, afin que
le symbole graphique correspondant (comme ceux qui se trouvent dans
la mmoire morte vido), apparaisse sur l'cran.
Notez que l'utilisation de l'Unicode, et la conception des PC,
permettent de disposer simultanment de 512 symboles diffrents.<br/><br/>
Si la valeur Unicode rencontre est un caractre de contrle, ou
si l'on est dj dans le traitement d'une squence d'chappement,
la valeur sera traite de manire particulire.
Plutt que d'tre convertie en un index dans la table des caractres
et affiche comme un symbole, elle peut provoquer un dplacement du
curseur, ou toute autre fonction de contrle.
Voir le paragraphe CONTRLE DE LA CONSOLE LINUX plus bas pour plus
de dtails.<br/><br/>
Il vaut mieux viter en gnral de coder en dur les contrles de
terminaux dans les programmes. Linux propose l'utilisation de
la base de donnes
<i>terminfo (5)</i>
concernant les possibilits des terminaux.
Plutt que d'mettre des squences d'chappement  la main, vous
pourrez presque toujours utiliser des bibliothques de gestion
de terminaux utilisant terminfo, ou des utilitaires comme
<b>ncurses (3),</b>
<b>tput (1), </b>
ou
<b>reset (1).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L3">commandes de la console linux</h1>
<div class="paragraph"><br/><br/>
Ce paragraphe dcrit tous les caractres de commande et les squences
d'chappement qui dclenchent certaines fonctions spciales (c'est 
dire n'affichant pas un symbole graphique  la position du curseur)
sur la console Linux.
</div><br/><h2 class="TitreSection1" id="L10">Caractres de contrle</h2>
<div class="paragraph">
Un caractre est dit "de contrle" s'il correspond  l'un des
14 codes suivants (avant traduction par la table de correspondance
en cours) :
00 (NUL), 07 (BEL), 08 (BS), 09 (HT), 0A (LF), 0B (VT),
0C (FF), 0D (CR), 0E (SO), 0F (SI), 18 (CAN), 1A (SUB),
1B (ESC), 7F (DEL).
On peut demander un mode d'affichage des caractres de contrle (voir
plus bas), dans lequel les codes 07, 09, 0B, 18, 1A, et 7F seront
quand mme affichs sous forme graphique.
Inversement, en mode UTF-8 tous les codes de l'intervalle 00-1F sont
considrs comme des caractres de contrle quelque soit le mode
d'affichage de ces codes.<br/><br/>
Lorsqu'un caractre de contrle est rencontr, il agit immdiatement,
puis est oubli (mme au milieu d'une squence d'chappement, laquelle
continue avec le caractre suivant).
Toutefois, ESC indique le dbut d'une nouvelle squence d'chappement,
annulant alors une ventuelle squence dj commence. De mme CAN et
SUB annulent toute squence d'chappement entame.
Les caractres de contrle reconnus sont BEL, BS, HT, LF, VT, FF,
CR, SO, SI, CAN, SUB, ESC, DEL, CSI. Ils effectuent les actions suivantes :
.HP
BEL (0x07, ^G) met un bip,
.HP
BS (0x08, ^H) revient en arrire d'une colonne
(mais ne remonte pas  la ligne prcdente quand il est invoqu en dbut
de ligne),
.HP
HT (0x09, ^I) saute  la prochaine tabulation, ou  la fin de ligne s'il
n'y a pas de tabulation d'ici l,
.HP
LF (0x0A, ^J), VT (0x0B, ^K) et FF (0x0C, ^L) effectuent tous les trois un
saut de ligne,
.HP
CR (0x0D, ^M) dclenche un retour-chariot,
.HP
SO (0x0E, ^N) active le jeu de caractres G1,
et si LF/NL (mode new-line) est actif, effectue un retour-chariot,
.HP
SI (0x0F, ^O) active le jeu de caractres G0,
.HP
CAN (0x18, ^X) et SUB (0x1A, ^Z) interrompent les squences d'chappement,
.HP
ESC (0x1B, ^[) dbute une squence d'chappement,
.HP
DEL (0x7F) est ignor,
.HP
CSI (0x9B) est quivalent  ESC [.
</div><br/><h2 class="TitreSection1" id="L10">Squences d'chappement ESC, non CSI</h2>
<div class="paragraph">
.TS
l l l.
ESC c	RIS	Rinitialisation.
ESC D	IND	Saut de ligne.
ESC E	NEL	Nouvelle ligne.
ESC H	HTS	Positionner une tabulation  la colonne en cours
ESC M	RI	Saut de ligne invers.
ESC Z	DECID	Identification prive DEC. Le noyau renvoie la
		chane  ESC [ ? 6 c, simulant un VT102.
ESC 7	DECSC	Sauvegarde de l'tat en cours (coordonnes curseur,
		attributs, jeux de caractres points par G0, G1).
ESC 8	DECRC	Restaure l'tat sauvegard le plus rcemment par ESC 7.
ESC [	CSI	Dbut de squence de contrle.
ESC %		Dbut de squence de slection de jeu de caractre.
ESC % @		\0\0\0Jeu par dfaut (ISO 646/ISO 8859-1)
ESC % G		\0\0\0Jeu UTF-8
ESC % 8		\0\0\0Jeu UTF-8 (obsolte)
ESC # 8	DECALN	Test d'alignement d'cran DEC, remplit l'cran avec
		des E.
ESC (		Dbut de squence de dfinition du jeu G0
ESC ( B		\0\0\0Correspondance par dfaut (ISO 8859-1)
ESC ( 0		\0\0\0Correspondance VT100 graphique
ESC ( U		\0\0\0Pas de correspondance - caractres en ROM
ESC ( K		\0\0\0Correspondance dfinie par l'utilisateur
		\0\0\0avec l'utilitaire <b>mapscrn</b>(8).
ESC )		Dbut de squence de dfinition du jeu G1
		(suivi de B, 0, U, K, comme ci-dessus).
ESC &gt;	DECPNM	Mode de pav numrique.
ESC =	DECPAM	Mode de pav alphabtique.
ESC ]	OSC	(Operating system command)
		ESC ] P <i>nrrvvbb</i>: fixe la palette, le paramtre est
		fourni avec 7 chiffres hexadcimaux aprs le P final.
		<i>n</i> est la couleur (0-15), et <i>rrvvbb</i> indique
		les valeurs rouge/verte/bleue (0-255). 
		ESC ] R: rinitialise la palette.
.TE
</div><br/><h2 class="TitreSection1" id="L10">Squences d'chappement ECMA-48 CSI</h2>
<div class="paragraph"><br/><br/>
CSI (ou ESC [) est suivi d'une srie de paramtres, au plus
NPAR (16), reprsents par des nombres dcimaux spars par des
points virgules.
Un paramtre vide ou absent est considr comme nul.
La srie de paramtre peut tre prcde par un point d'interrogation.<br/><br/>
Toutefois, aprs  CSI [ (ou ESC [ [) un seul caractre est lu, et le
reste de la squence est ignor. L'ide est d'liminer les touches
de fonctions doubles.<br/><br/>
L'action dclenche par une squence CSI est indique par le dernier
caractre.<br/><br/>
.TS
l l l.
@	ICH	Insre le nombre indiqu de caractres blancs.
A	CUU	Remonter le curseur du nombre de lignes indiqu.
B	CUD	Descendre le curseur du nombre de lignes indiqu.
C	CUF	Avancer le curseur du nombre de colonnes indiqu.
D	CUB	Reculer le curseur du nombre de colonnes indiqu.
E	CNL	Descendre le curseur du nombre de ligne indiqu,
		en colonne numro 1.
F	CPL	Remonter le curseur du nombre de lignes indiqu,
		en colonne numro 1.
G	CHA	Dplacer le curseur  la ligne indique, mme colonne.
H	CUP	Dplacer le curseur  la ligne et  la colonne
		indiques (origine en 1, 1).
J	ED	Effacer l'cran (par dfaut depuis la position du
		curseur jusqu' la fin de l'cran).
		ESC [ 1 J: efface du dbut jusqu'au curseur.
		ESC [ 2 J: efface tout l'cran.
K	EL	Efface la ligne (par dfaut depuis le curseur jusqu'
		la fin de la ligne).
		ESC [ 1 K: efface du dbut de ligne jusqu'au curseur.
		ESC [ 2 K: efface toute la ligne.
L	IL	Insre le nombre indiqu de lignes blanches.
M	DL	Supprimer le nombre indiqu de lignes.
P	DCH	Supprime le nombre indiqu de caractres sur la ligne
		en cours.
X	ECH	Efface le nombre indiqu de caractres sur la ligne
		en cours.
a	HPR	Avancer le curseur jusqu' la colonne indique.
c	DA	Rpondre ESC [ ? 6 c: `Je suis un VT102'.
d	VPA	Placer le curseur sur la ligne indique, mme colonne.
e	VPR	Descendre le curseur du nombre indiqu de lignes.
f	HVP	Placer le curseur aux lignes et colonnes indiques.
g	TBC	Sans paramtre: effacer la tabulation a la position
		courante.
		ESC [ 3 g: effacer toutes les tabulations.
h	SM	Fixe le mode (voir plus bas).
l	RM	Rinitialise le mode (voir plus bas).
m	SGR	Fixe les attributs (voir plus bas).
n	DSR	Indique le statut (voir plus bas).
q	DECLL	Fixe les LEDs du clavier.
		ESC [ 0 q: Effacer toutes les LEDs
		ESC [ 1 q: Allumer LED Scroll-Lock (Dfilement)
		ESC [ 2 q: Allumer LED Num-Lock (Pav numrique)
		ESC [ 3 q: Allumer LED Caps-Lock (Majuscules)
r	DECSTBM	Indique une rgion de dfilement, les paramtres 
		correspondent aux lignes haute et basse.
s	?	Mmoriser l'emplacement du curseur.
u	?	Restituer l'emplacement du curseur.
`	HPA	Dplacer le curseur  la colonne indique, mme ligne.
.TE
</div><br/><h2 class="TitreSection1" id="L10">Affichage graphique ECMA-48</h2>
<div class="paragraph"><br/><br/>
La squence ECMA-48 SGR suivante ESC [ &lt;paramtres&gt; m fixe les paramtres
d'affichage. Plusieurs attributs peuvent tre indiqus dans la mme squence.<br/><br/>
.TS
l l.
param	rsultat.
0	rinitialiser tous les attributs  leurs valeurs par dfaut.
1	attribut gras.
2	attribut demi-luminosit (simul par une couleur sur certains
	crans couleurs).
4	attribut soulignement (simul par une couleur sur certains
	crans couleurs).
	(Les couleurs utilises pour simuler la demi-luminosit ou le
	soulignement sont choisies en utilisant ESC ] ...).
5	clignotement.
7	vido inverse.
10	rinitialise la correspondance des touches, affiche l'tat de
	contrle et change l'attribut "mta".
11	active une correspondance nulle, affiche l'tat de contrle et
	change l'attribut "mta".
12	active une correspondance nulle, affiche l'tat de contrle et
	active l'attribut "mta". (le changement d'attribut mta sert
	 changer le bit de poids fort avant la conversion avec la table
	de correspondance).
21	intensit normale (non compatible avec ECMA-48).
22	intensit normale.
24	pas de soulignement.
25	pas de clignotement.
27	pas d'inversion vido.
30	encre noire.
31	encre rouge.
32	encre verte.
33	encre marron.
34	encre bleue.
35	encre magenta.
36	encre cyan.
37	encre blanche.
38	soulignement, et couleur d'encre par dfaut.
39	arrt soulignement et couleur d'encre par dfaut.
40	fond noir.
41	fond rouge.
42	fond vert.
43	fond marron.
44	fond bleu.
45	fond magenta.
46	fond cyan.
47	fond blanc.
49	couleur de fond par dfaut.
.TE
</div><br/><h2 class="TitreSection1" id="L10">Modes ECMA-48</h2>
<div class="paragraph">
<br/><br/>

ESC [ 3 h
DECCRM (inactif par dfaut): Afficher les caractres de contrle.
<br/><br/>

ESC [ 4 h
DECIM (inactif par dfaut): Mode d'insertion.
<br/><br/>

ESC [ 20 h
LF/NL (inactif par dfaut): faire suivre les LF, VT ou FF par un CR.
</div><br/><h2 class="TitreSection1" id="L10">Demande de rapport d'tat ECMA-48</h2>
<div class="paragraph">
<br/><br/>

ESC [ 5 n
Rapport d'tat du priphrique (DSR): La rponse est ESC [ 0 n (Terminal OK).
<br/><br/>

ESC [ 6 n
Rapport de position du curseur (CPR): La rponse est ESC [ <i>y</i> ; <i>x</i> R,
o <i>x,y</i> est la position actuelle du curseur.
</div><br/><h2 class="TitreSection1" id="L10">Modes privs DEC (DECSET/DECRST)</h2>
<div class="paragraph">
Ces modes ne sont pas dcrits dans l'ECMA-48. La liste ci-dessous
prsente les squences d'activation des modes, les squences de
dsactivation sont obtenues en remplaant le `h' final par un `l'.
<br/><br/>

ESC [ ? 1 h
DECCKM (inactif par dfaut): Les touches de dplacement du curseur
mettent un prfixe ESC O plutt que ESC [.
<br/><br/>

ESC [ ? 3 h
DECCOLM (inactif par dfaut): Bascule de 80 colonnes en 132 colonnes.
Les sources du gestionnaire de console indiquent que ce code n'est pas
suffisant  lui seul. Certains utilitaires comme
<i>resizecons (8)</i>
modifient galement les registres matriels de la carte vido.
<br/><br/>

ESC [ ? 5 h
DECSCNM (inactif par dfaut): Mode d'inversion vido.
<br/><br/>

ESC [ ? 6 h
DECOM (inactif par dfaut): Adressage du curseur relatif au coin
haut gauche de la rgion de dfilement.
<br/><br/>

ESC [ ? 7 h
DECAWM (actif par dfaut): saut de ligne automatique. Un caractre mis
aprs la colonne 80 (ou 132 en mode DECCOLM), est affich au dbut de
la ligne suivante.
<br/><br/>

ESC [ ? 8 h
DECARM (actif par dfaut): Rptition automatique des touches du clavier.
<br/><br/>

ESC [ ? 9 h
tat de souris X10 (inactif par dfaut): Fixe le mode de rapport d'tat
de la souris  1 (ou le rinitialise  0) - voir plus bas.
<br/><br/>

ESC [ ? 25 h
DECCM (actif par dfaut): curseur visible.
<br/><br/>

ESC [ ? 1000 h
tat de souris X11 (inactif par dfaut): Fixe le mode de rapport d'tat
de la souris  2 (ou le rinitialise  0) - voir plus bas.
<!--  -->
</div><br/><h2 class="TitreSection1" id="L10">Squences CSI prives de la console Linux</h2>
<div class="paragraph">
<!--  -->
Les squences suivantes ne sont ni ECMA-48 ni du VT102 original.
Elles sont spcifiques au gestionnaire de console de Linux.  
Les couleurs sont indiques ainsi :
0 = noir, 1 = rouge, 2 = vert, 3 = marron, 4 = bleu, 5 = magenta, 6 =
cyan, 7 = blanc.<br/><br/>
.TS
l l.
ESC [ 1 ; <i>n</i> ]	Choisit la couleur <i>n</i> pour simuler
	le soulignement.
ESC [ 2 ; <i>n</i> ]	Choisit la couleur <i>n</i> pour simuler
	la demi-brillance.
ESC [ 8 ]	Utilise la paire de couleurs actuelle par dfaut.
ESC [ 9 ; <i>n</i> ]	Dlai d'conomiseur d'cran en minutes.
ESC [ 10 ; <i>n</i> ]	Frquence du bip en Hz.
ESC [ 11 ; <i>n</i> ]	Dure du bip en ms.
ESC [ 12 ; <i>n</i> ]	Bascule sur la console virtuelle indique.
ESC [ 13 ]	Arrte l'conomiseur d'cran.
ESC [ 14 ; <i>n</i> ]	Indique l'intervalle d'arrt cran VESA en minutes.
.TE<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">jeux de caractres</h1>
<div class="paragraph"><br/><br/>
Le noyau connat 4 types de traductions des octets en symboles graphiques
pour la console. Les 4 tables sont a) Latin1 -&gt; PC,  b) VT100 graphique -&gt; PC,
c) PC -&gt; PC, d) spcifique utilisateur.<br/><br/>
Il existe deux jeux de caractres, appels G0 et G1, et l'un d'entre eux
est slectionn comme jeu en cours (initialement G0).
La frappe de ^N slectionne le jeu G1 comme jeu en cours, la frappe de ^O
slectionne le jeu G0.<br/><br/>
Ces variables G0 et G1 pointent vers des tables de traduction, qui peuvent
tre modifies par l'utilisateur. Initialement elles pointent respectivement
vers les tables a) et b).
Les squences 
<i>ESC ( B</i> <i>, </i>  <i>ESC ( 0</i> <i>, </i>  <i>ESC ( U</i> <i> et </i> <i>ESC ( K</i></i>
font pointer G0 respectivement vers les tables a), b), c) et d).
Les squences
<i>ESC ) B</i> <i>, </i> <i>ESC ) 0</i> <i>, </i> <i>ESC ) U</i> <i>, </i> <i>ESC ) K</i></i>
font pointer G1 vers les tables a), b), c) et d) respectivement.<br/><br/>
La squence ESC c rinitialise le terminal. C'est ce qui doit tre effectu
lorsque l'cran est rempli de codes incomprhensibles.
La commande classique "echo ^V^O" slectionne seulement le jeu G0,
elle ne garantit pas que G0 pointe sur la table a).
Dans certaines distributions, on trouve une commande
<b>reset (1)</b>
qui effectue simplement "echo ^[c".
Si l'entre de la base terminfo pour la console est correcte, et dispose
d'une entre rs1=\\Ec
alors la commande "tput reset" fonctionnera aussi.<br/><br/>
La table de correspondance dfinie par l'utilisateur peut tre
construite en utilisant
<b>mapscrn (8).</b>
Cette correspondance agit ainsi : si le symbole c doit tre imprim, alors
le symbole s = map[c] est envoy  la mmoire vido. La reprsentation
graphique correspondant  s est place par dfaut en mmoire morte, et 
peut tre modifie en utilisant
<b>setfont(8).<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L5">gestion de souris</h1>
<div class="paragraph"><br/><br/>
Les possibilits de gestion de souris sont prvues pour fournir un rapport
d'tat de la souris compatible avec xterm.
Comme le gestionnaire de console n'a aucun moyen de connatre le priphrique,
ni le type de souris, ces rapports sont envoys dans le flux de saisie
de la console uniquement quand une requte ioctl de mise  jour de la souris
est reue.
Ces requtes doivent tre dclenches par une application utilisateur capable
de grer les souris, comme le dmon <b>gpm(8)</b>.<br/><br/>
Les paramtres numriques pour toutes les squences de suivi de 
souris engendres par <i>xterm</i> sont encods dans un unique
caractre, de code <i>valeur</i>+040.  par exemple, `!' correspond  1.
Le systme de coordonnes d'cran commence  1.<br/><br/>
En mode de compatibilit X10, une squence d'chappement est envoye
lors de l'appui sur un bouton, encodant la position et le numro du
bouton press.
Ce mode est activ avec ESC [ ? 9 h et dsactiv par ESC [ ? 9 l.
Lors d'une pression sur un bouton, <i>xterm</i> envoie
ESC [ M <i>bxy</i> (6 caractres).  Dans ce message <i>b</i> correspond
au numro de bouton -1, <i>x</i> et <i>y</i> sont les coordonnes de 
l'emplacement o le bouton a t press.
Ce sont les mmes codes que ceux produits par le noyau.<br/><br/>
En mode de suivi normal (non implment sous Linux 2.0.24), une squence
d'chappement est envoye lors de l'appui sur un bouton, mais aussi lors
du relchement. Des informations sur les touches de modification (SHIFT,
CTL...) sont galement envoyes.
Le mode est activ par ESC [ ? 1000 h et dsactiv avec ESC [ 1000 l.
Lors de l'appui ou du relchement d'un bouton, <i>xterm</i> envoie
ESC [ M <i>bxy</i>. Les deux bits de poids faible de <i>b</i> correspondent
 l'tat du bouton 0=B1 press, 1=B2 press, 2=B3 press, 3=relchement.
Les bits de poids forts codent l'ventuelle touche modificatrice enfonce
lors de l'appui sur le bouton 4=Shift, 8=Mta, 16=Control.  nouveau <i>x</i>
et <i>y</i> sont les coordonnes de la souris au moment de l'vnement. Le
coin en haut  gauche de l'cran a pour coordonnes (1,1).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">comparaison avec d'autres terminaux</h1>
<div class="paragraph"><br/><br/>
Beaucoup d'autres terminaux sont dits compatibles VT100, comme
la console Linux. Nous allons voir ici les diffrences entre cette
dernire et les deux types principaux de terminaux : le DEC VT102 et
<i>xterm (1).</i>
<!--  -->
</div><br/><h2 class="TitreSection1" id="L10">Gestion des caractres de contrle</h2>
<div class="paragraph">
Le VT102 reconnaissait les caractres de contrle supplmentaires suivants :
.HP
NUL (0x00) tait ignor.
.HP
ENQ (0x05) renvoyait un message d'identification.
.HP
DC1 (0x11, ^Q, XON) reprenait une transaction.
.HP
DC3 (0x13, ^S, XOFF) demandait au vt100 d'ignorer tous les codes saufs
XOFF et XON (et d'arrter galement de transmettre).<br/><br/>
Une gestion de DC1/DC3 compatible VT100 pouvait tre activ par le gestionnaire
de terminaux.<br/><br/>
Le programme
<i>xterm</i> (en mode VT100) reconnat les caractres de contrle
BEL, BS, HT, LF, VT, FF, CR, SO, SI, ESC.
<!--  -->
</div><br/><h2 class="TitreSection1" id="L10">Squences d'chappement</h2>
<div class="paragraph">
Les squences d'chappement VT100 non implmentes sur la console Linux :<br/><br/>
.TS
l l l.
ESC N	SS2	Basculement G2 simple. (Slectionner le jeu G2 pour le
		caractre suivant uniquement)
ESC O	SS3	Basculement G3 simple. (Slectionner le jeu G3 pour le
		caractre suivant uniquement)
ESC P	DCS	Chane de contrle de priphrique (termine par ESC \e)
ESC X	SOS	Dbut de chane.
ESC ^	PM	Message priv (termin par ESC \e)
ESC \e	ST	Fin de chane
ESC * ...		Dsigne le jeu de caractre G2
ESC + ...		Dsigne le jeu de caractre G3
.TE<br/><br/>
Le programme
<i>xterm</i> (en mode VT100) reconnat ESC c, ESC # 8, ESC &gt;, ESC =,
ESC D, ESC E, ESC H, ESC M, ESC N, ESC O, ESC P ... ESC \\,
ESC Z (il rpond ESC [ ? 1 ; 2 c, `Je suis un VT100 avec des
options vido avances')
et ESC ^ ... ESC \&nbsp;avec les mmes significations que celles indiques
plus haut.
Il accepte ESC (, ESC ), ESC *,  ESC + suivis de 0, A, B pour les caractres
spciaux DEC, les tracs de lignes, l'ASCII UK, et l'ASCII US,
respectivement.
Il accepte ESC ] pour fixer certaines ressources :<br/><br/>
.TS
l l.
ESC ] 0 ; txt BEL	Utiliser txt pour le nom d'icne et le 
	titre de la fentre
ESC ] 1 ; txt BEL	Utiliser txt pour le nom d'icne.
ESC ] 2 ; txt BEL	Utiliser txt pour le titre de la fentre.
ESC ] 4 6 ; nom BEL	Modifier le nom du fichier de journalisation
	(gnralement dsactiv  la compilation)
ESC ] 5 0 ; fn BEL	Choisir la fonte fn
.TE<br/><br/>
Les codes suivants ont une signification lgrement diffrente des
codes originaux&nbsp;:<br/><br/>
.TS
l l l.
ESC 7  DECSC	Mmoriser l'emplacement du curseur.
ESC 8  DECRC	Restaurer l'emplacement du curseur.
.TE<br/><br/>
Il reconnat galement&nbsp;:<br/><br/>
.TS
l l l.
ESC F		Curseur en bas  gauche de l'cran (si activ par la
		ressource hpLowerleftBugCompat)
ESC l		Verrouillage mmoire (comme les terminaux HP).
		verrouille la mmoire sous le curseur.
ESC m		Dverrouillage mmoire (comme les terminaux HP);
ESC n	LS2	Invoque le jeu de caractres G2.
ESC o	LS3	Invoque le jeu de caractres G3.
ESC |	LS3R	Choisit le jeu G3 comme GR ([NDT] ??)
		Pas d'effet visible dans un xterm.
ESC }	LS2R	Choisit le jeu G2 comme GR
		Pas d'effet visible dans un xterm.
ESC ~	LS1R	Choisit le jeu G1 comme GR
		Pas d'effet visible dans un xterm.
.TE<br/><br/>
Il ne reconnat pas ESC % ...<br/><br/>
</div><br/><h2 class="TitreSection1" id="L10">Squences CSI</h2>
<div class="paragraph">
Le programme
<i>xterm</i> (avec XFree86 3.1.2G) ne reconnat pas les squences de clignotement
ou d'invisibilit.
La version de base sous X11R6 ne reconnat pas les squences de
choix de couleur.
Toutes les autres squences ECMA-48 CSI reconnues par la console Linux
sont reconnue par
<i>xterm ,</i>
et inversement.<br/><br/>
Le programme
<i>xterm</i> reconnatra galement toutes les squences prives DEC cites plus haut,
mais aucune squence prive Linux.
Pour plus de dtail sur les squences prives
<i>d'</i> xterm</i>
consulter le document
<i>Xterm Control Sequences</i> d'Edward Moy et Stephen Gildea, disponible avec la distribution X.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph"><br/><br/>
Avec le noyau 2.0.23, CSI fonctionne mal, et les caractres NUL ne sont pas
ignors dans les squences d'chappement.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>console (4),</b>
<b>console_ioctl (4),</b>
<b>charsets (4)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
