<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 2000 lars brinkhoff &lt;lars@nocrew.org&gt; -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA 02111, -->
<!--  USA. -->
<!--  -->
<!--  Modified, Thu Jan 27 19:16:19 CET 2000, lars@nocrew.org -->
<!--  Traduction 28/08/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.30 -->
<!--  LDP 1.47 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>DSP56K</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">configuration</a>
<br /><a class="summaryIndent0" href="#L3">description</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">auteurs</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
dsp56k - Priphrique d'interface DSP 56001.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

#include &lt;asm/dsp56k.h&gt;
<br/><br/>

<b>ssize_t read (int </b> fd <i>, void * </i> data <b>, size_t </b> length );
<b>ssize_t write (int </b> fd <i>, void * </i> data <b>, size_t </b> length );
<b>int ioctl (int </b> fd <i>, \s-1DSP56K_UPLOAD\s+1, struct dsp56k_upload *</i> program );
<b>int ioctl (int </b> fd <i>, \s-1DSP56K_SET_TX_WSIZE\s+1, int </i> wsize );
<b>int ioctl (int </b> fd <i>, \s-1DSP56K_SET_RX_WSIZE\s+1, int </i> wsize );
<b>int ioctl (int </b> fd <i>, \s-1DSP56K_HOST_FLAGS\s+1, struct dsp56k_host_flags *</i> flags );
<b>int ioctl (int </b> fd <i>, \s-1DSP56K_HOST_CMD\s+1, int </i> cmd );


</div><br/><br /><h1 class="TitreSection0" id="L3">configuration</h1>
<div class="paragraph">
Le DSP 56001 est un priphrique de type caractre, ayant un numro majeur valant 55 et
un mineur 0.
</div><br/><br /><h1 class="TitreSection0" id="L4">description</h1>
<div class="paragraph">
Le DSP 56001 Motorola est un processeur de signal numrique 24 bits entirement programmable,
que l'on trouve dans les ordinateurs compatibles avec l'Atari Falcon 030. Le fichier
spcial <b>dsp56k</b> sert  commander le DSP 56001, pour envoyer ou recevoir des signaux
sur le port hte.<br/><br/>
Pour envoyer un flux de signal vers le processeur, utilisez write() sur le priphrique, et
pour en recevoir utilisez read(). Les donnes peuvent tre mises ou reues par blocs de 8,
16, 24 ou 32 bits du ct hte, mais seront toujours vues comme des blocs de 24 bits du ct du
DSP 56001.<br/><br/>
Les appels
<i>ioctl (2)</i>
suivants permettent de commander le priphrique
<b>dsp56k</b> :
.IP <b>DSP56K_UPLOAD</b>
rinitialise le DSP 56001 et tlcharge un programme. Le troisime arguments de l'appel ioctl()
doit tre un pointeur sur une <b>struct dsp56k_binary</b> dont le champ <b>bin</b> pointe sur un
programme DSP 56001 binaire. Le champ <b>len</b> doit contenir la longueur du programme en mots de 24 bits.
.IP <b>DSP56K_SET_TX_WSIZE</b>
configure la taille des mots mis. Les valeurs autorises se trouvent dans l'intervalle 1  4, correspondant
au nombre d'octets envoys  la fois. Ces donnes seront soit compltes avec des zros, soit tronques pour
s'aligner sur le format natif 24 bits du DSP 56001.
.IP <b>DSP56K_SET_RX_WSIZE</b>
configure la taille des mots reus. Les valeurs autorises se trouvent dans l'intervalle 1  4, correspondant
au nombre d'octets reus en une fois. Ces donnes seront soit compltes avec des zros, soit tronques pour
s'aligner sur le format natif 24 bits du DSP 56001.
.IP <b>DSP56K_HOST_FLAGS</b>
Lire ou crire les attributs d'hte. Ces attributs sont reprsents par 4 bits  usage gnraux qui peuvent
tre lus aussi bien par l'ordinateur hte que par le DSP 56001. Les bits 0 et 1 peuvent tre fixs par l'hte, et
les bits 2 et 3 peuvent tre crits par le DSP 56001.<br/><br/>
Pour accder aux attributs d'hte, le troisime argument de l'appel ioctl() doit tre un pointeur sur une
<b>struct dsp56k_host_flags</b>.  Si les bits 0 ou 1 sont  1 dans le champ <b>dir</b>, Le bit correspondant de
<b>out</b> sera crit dans les attributs d'hte. L'tat des attributs d'hte sera renvoy dans les quatre bits
de poids faible du membre <b>status</b>.
.IP <b>DSP56K_HOST_CMD</b>
envoie une commande d'hte. Les valeurs autoriss sont dans l'intervalle 0  31 et correspondent  un numro
de commande (dfinie par l'utilisateur) manipul par le programme tournant sur le DSP 56001.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">
/dev/dsp56k
</div><br/><br /><h1 class="TitreSection0" id="L6">auteurs</h1>
<div class="paragraph">
Fredrik Noring &lt;noring@nocrew.org&gt;, lars brinkhoff &lt;lars@nocrew.org&gt;,
Tomas Berndtsson &lt;tomas@nocrew.org&gt;.
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
linux/include/asm-m68k/dsp56k.h,
linux/drivers/char/dsp56k.c,
http://dsp56k.nocrew.org/,
DSP56000/DSP56001 Digital Signal Processor User's Manual
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
