<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--   -->
<!--  Modified Sat Jul 24 16:56:20 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>HD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">fichiers</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
hd - Disques durs MFM/IDE.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Les <b>hd*</b> sont des priphriques blocs permettant l'accs aux
contrleurs de disques durs  MFM/IDE. Le disque matre sur le premier
contrleur IDE (numro majeur 3) est <b>hda</b>, le disque esclave est
<b>hdb</b>. Le disque matre du second contrleur (numro majeur 22) est
<b>hdc</b>, et le disque esclave <b>hdd</b>.<br/><br/>
La notation gnrale des priphriques blocs IDE  la forme
hd X\c
ou
hd XP\c
, dans laquelle
<i>X</i> est une lettre indiquant le disque physique, et
<i>P</i> un nombre reprsentant la partition sur ce disque physique.
La premire forme
hd X,
est utilise pour accder au disque dans son ensemble.
Les numros de partitions sont assigns dans l'ordre de
dtection, et seules les partitions non-vides et non-tendues
reoivent un numro.
Toutefois, les numros de partition 1 a 4 sont donns
aux quatre partitions indiques dans le MBR (les partitions primaires),
qu'elles soient vides ou non, et tendues ou non.
Ainsi la premire partition logique sera
hd X 5\c
.
Les partitions de type DOS et de type BSD sont supportes.
Il peut y avoir au plus 63 partitions sur un disque IDE.<br/><br/>
Par exemple,
<b>/dev/hda</b> <b></b>  correspond au premier disque IDE du systme dans son ensemble, et
<b>/dev/hdb3</b> <b></b>  correspond  la troisime partition primaire DOS sur le second
disque.<br/><br/>
Les priphriques IDE sont typiquement crs par&nbsp;:
.RS
<br/><br/>

mknod -m 660 /dev/hda b 3 0
<br/>
mknod -m 660 /dev/hda1 b 3 1
<br/>
mknod -m 660 /dev/hda2 b 3 2
<br/>
...
<br/>
mknod -m 660 /dev/hda8 b 3 8
<br/>
mknod -m 660 /dev/hdb b 3 64
<br/>
mknod -m 660 /dev/hdb1 b 3 65
<br/>
mknod -m 660 /dev/hdb2 b 3 66
<br/>
...
<br/>
mknod -m 660 /dev/hdb8 b 3 72
<br/>
chown root:disk /dev/hd*
<br/><br/>


</div><br/><br /><h1 class="TitreSection0" id="L3">fichiers</h1>
<div class="paragraph">
/dev/hd*
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>mknod (1), </b>
<b>chown (1), </b>
<b>mount (8), </b>
<b>sd (4)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
