<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de), Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Modified Sat Jul 24 16:59:10 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>MEM</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">fichiers</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mem, kmem, port - Mmoire systme, mmoire du noyau, ports d'entres/sorties.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
<b>Mem</b> 
est un priphrique caractres reprsentant une image de la mmoire
principale de l'ordinateur.
Il peut tre utilis pour examiner (et mme diter) la mmoire systme.<br/><br/>
Les adresses dans <b>mem</b> sont interprtes comme des adresses physiques.
Les rfrences  des adresses inexistantes retournent des erreurs.<br/><br/>
Examiner et diter la mmoire est susceptible de conduire  des
rsultats indsirables quand les bits lecture-seule ou criture-seule
sont concerns.<br/><br/>
Ce fichier est habituellement cr ainsi :
.RS
<br/><br/>

mknod -m 660 /dev/mem c 1 1
<br/>
chown root:mem /dev/mem
<br/><br/>

<br/><br/>
Le fichier <b>kmem</b> est identique  <b>mem</b> sauf qu'il s'agit de
la mmoire virtuelle du noyau plutt que de la mmoire physique.<br/><br/>
Ce fichier est habituellement cr ainsi&nbsp;:
.RS
<br/><br/>

mknod -m 640 /dev/kmem c 1 2
<br/>
chown root:mem /dev/kmem
<br/><br/>

<br/><br/>
<b>Port</b> est identique  <b>mem</b>, mais ici ce sont les ports 
d'Entre/Sortie qui sont reprsents.<br/><br/>
Ce fichier est habituellement cr ainsi&nbsp;:
.RS
<br/><br/>

mknod -m 660 /dev/port c 1 4
<br/>
chown root:mem /dev/port
<br/><br/>


</div><br/><br /><h1 class="TitreSection0" id="L3">fichiers</h1>
<div class="paragraph">
<i>/dev/mem</i> <br/>
<i>/dev/kmem</i> <br/>
<i>/dev/port</i> </div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>chown (1),</b>
<b>mknod (1),</b>
<b>ioperm (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
