<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
'\" t
<!-- {{{roff}}}.\"{{{ Copyright -->
<!--  This manpage is Copyright (C) 1996 Michael Haardt. -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  mj 02/05/99 - LDP-man-pages 1.22 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>MOUSE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">configuration</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">fichier</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mouse - Interface de souris srie.
</div><br/><br /><h1 class="TitreSection0" id="L2">configuration</h1>
<div class="paragraph">
Les souris srie sont connectes sur une ligne d'interface RS232/V24 
voir
<b>ttys (4)</b>
pour la description de ces lignes.
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
</div><br/><h2 class="TitreSection1" id="L7">Introduction</h2>
<div class="paragraph">
Le brochage de la prise DB9 classique utilise pour les souris est le suivant :<br/><br/>
.TS
center;
r c l.
broche	nom	utilisation
2	RX	Donnees
3	TX	-12 V, Imax = 10 mA
4	DTR	+12 V, Imax = 10 mA
7	RTS	+12 V, Imax = 10 mA
5	GND	Masse
.TE<br/><br/>
Il ne s'agit que de spcifications, en ralite 9 V suffisent avec la plupart
des souris.<br/><br/>
Le driver peut s'assurer de la prsence d'une souris en abaissant la tension sur
la broche RTS et en la remontant. Environ 14 ms plus tard, la souris enverra
l'octet 0x4D (`M') sur la ligne RX.
Encore 63 ms plus tard, les souris compatible Microsoft enverront
0x33 (`3') sur RX.<br/><br/>
Le mouvement relatif de la souris est transmis en tant que <i>dx</i> (positif vers 
la droite) et <i>dy</i> (positif vers le bas).  
Diverses souris peuvent travailler avec des vitesses diffrentes. 
Pour slectionner la vitesse, il faut parcourir le cycle 9600, 4800, 2400 et
1200 bit/sec, en envoyant chaque fois les deux caractres de la table
ci-dessous, et attendre 0,1 seconde.
La table ci-dessous montre les diffrentes vitesses, et les deux caractres
correspondants :<br/><br/>
.TS
center;
l l.
bit/sec	message
9600	*q
4800	*p
2400	*o
1200	*n
.TE<br/><br/>
Comme on peut le voir, le premier octet peut tre utilis pour se synchroniser.
</div><br/><h2 class="TitreSection1" id="L7">Protocole Microsoft</h2>
<div class="paragraph">
Le protocole <b>Microsoft</b> utilise 1 bit de Start, 7 bits de donnes, pas de
parit, et 1 bit de Stop, ceci a 1200 bits/sec. Les donnes sont envoyes sur
RX par paquets de 3 octets.
Les mouvements <i>dx</i> et <i>dy</i> sont envoys sous forme de complment  2.
<i>lb</i> (<i>rb</i>) vaut 1 quand le bouton gauche (droit) est press :<br/><br/>
.TS
center;
r c c c c c c c.
octet	d6	d5	d4	d3	d2	d1	d0
1	1	lb	rb	dy7	dy6	dx7	dx6
2	0	dx5	dx4	dx3	dx2	dx1	dx0
3	0	dy5	dy4	dy3	dy2	dy1	dy0
.TE<br/><br/>
Les souris Microsoft originales n'avaient que 2 boutons. Nanmoins, il
existe plusieurs souris  3 boutons qui utilisent le protocole Microsoft.
Une pression ou un relchement sur le 3me bouton (milieu) sont indiqus
par un paquet sans aucun mouvement et sans bouton press. De plus, contrairement
aux deux autres boutons, l'tat du bouton central n'est pas indiqu dans
chaque paquet.
</div><br/><h2 class="TitreSection1" id="L7">Logitech protocol</h2>
<div class="paragraph">
Les souris srie Logitech  trois boutons peuvent utiliser plusieurs extensions
du protocole Microsoft : lorsque le bouton central est en haut, le paquet
de 3 octets dcrit ci-dessus est envoy. Lorsque le bouton est en bas, un
paquet de 4 octets est envoy, dont le quatrime octet a la valeur
0x20 (ou au moins le bit 0x20  1). En clair, une pression sur le bouton
central seul est indique par 0, 0, 0, 0x20.
</div><br/><h2 class="TitreSection1" id="L7">Protocole Mousesystems</h2>
<div class="paragraph">
Le protocole <b>Mousesystems</b> utilise 1 bit de Start, 8 bits de donnes, 
pas de parit et 2 bits de Stop, ceci  la vitesse de 1200 bits/sec.  
Les donnes sont envoyes sur RX par paquets de 5 octets.
<i>dx</i> est mis comme la somme des deux valeurs en complment  2.
<i>dy</i> est mis comme inverse de la somme des deux valeurs en complment  2.
<i>lb</i> (<i>mb</i>, <i>rb</i>) sont mis  zro quand le bouton gauche (central,
droit) est press :<br/><br/>
.TS
center;
r c c c c c c c c.
octet	d7	d6	d5	d4	d3	d2	d1	d0
1	1	0	0	0	0	lb	mb	rb
2	0	dxa6	dxa5	dxa4	dxa3	dxa2	dxa1	dxa0
3	0	dya6	dya5	dya4	dya3	dya2	dya1	dya0
4	0	dxb6	dxb5	dxb4	dxb3	dxb2	dxb1	dxb0
5	0	dyb6	dyb5	dyb4	dyb3	dyb2	dyb1	dyb0
.TE
Les octets 4 et 5 indiquent les changements qui se sont produits depuis le
dbut d'mission des octets 2 et 3.
</div><br/><h2 class="TitreSection1" id="L7">Protocole Sun</h2>
<div class="paragraph">
Le protocole <b>Sun</b> est la version 3 octets du protocole  5 octets
de MouseSystems : les deux derniers octets ne sont pas envoys.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L7">Protocole MM</h2>
<div class="paragraph">
Le protocole <b>MM</b> utilise 1 bit de Start, 8 bits de donnes, 
parit impaire et 1 bit de Stop, ceci  la vitesse de 1200 bits/sec.
Les donnes sont envoyes sur RX par paquets de 5 octets.
<i>dx</i> et <i>dy</i> sont mis comme des valeurs signes, le bit de signe
indiquant une valeur ngative.
<i>lb</i> (<i>mb</i>, <i>rb</i>) sont mis  zro quand le bouton gauche (central,
droit) est press :<br/><br/>
.TS
center;
r c c c c c c c c.
octet	d7	d6	d5	d4	d3	d2	d1	d0
1	1	0	0	dxs	dys	lb	mb	rb
2	0	dx6	dx5	dx4	dx3	dx2	dx1	dx0
3	0	dy6	dy5	dy4	dy3	dy2	dy1	dy0
.TE<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">fichier</h1>
<div class="paragraph">
<br/><br/>

<i>/dev/mouse</i> Un lien symbolique habituellement utilis 
pour pointer sur le priphrique souris.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>ttys (4),</b>
<b>gpm (8).</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
