<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  sd.4 -->
<!--  Copyright 1992 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Traduction 18/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ LDP 1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>SD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">configuration</a>
<br /><a class="summaryIndent0" href="#L3">description</a>
<br /><a class="summaryIndent0" href="#L4">fichiers</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
sd - contrleur de disques SCSI.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
#include &lt;linux/hdreg.h&gt;
</div><br/><br /><h1 class="TitreSection0" id="L3">configuration</h1>
<div class="paragraph">
Les noms de ces priphriques blocs suivent la convention suivante :
sd lp,
ou
<i>l</i> est une lettre indiquant le lecteur physique, et
<i>p</i> est un nombre caractrisant la partition sur ce disque physique. Souvent
le numro de partition
<i>p ,</i>
sera absent si le priphrique correspond  l'ensemble du disque.<br/><br/>
Les disques SCSI ont un numro majeur valant 8, et un numro mineur de
la forme (16 *
<i>numro_disque </i>) + <i> numro_partition ,</i>
o
<i>numro_disque</i> est le numro du disque physique dans l'ordre de dtection, et
<i>numro_partition</i> est le suivant&nbsp;:
<br/><br/>

partition 0  = disque entier
<br/>
partitions 1-4 = partitions primaires DOS.
<br/>
partitions 5-8 = partitions tendues (logiques) DOS.<br/><br/>
Par exemple,
<b>/dev/sda</b> <b></b>  aura un majeur 8, mineur 0, et se rfrera  l'ensemble du premier disque SCSI.
<b>/dev/sdb3</b> <b></b>  aura un majeur 8 mineur 19, et indiquera la troisime partition primaire DOS
sur le second disque SCSI du systme.<br/><br/>
Actuellement, seuls les priphriques blocs sont disponibles, les interfaces
"raw" ne sont pas encore implmentes.
</div><br/><br /><h1 class="TitreSection0" id="L4">description</h1>
<div class="paragraph">
Les ioctls suivants sont disponibles :
<br/><br/>

HDIO_REQ
.RS
Renvoie les paramtres disques du BIOS dans la structure suivante :
.RS

.ft B
struct hd_geometry {
      unsigned char heads;
      unsigned char sectors;
      unsigned short cylinders;
      unsigned long start;
};
.ft R


<br/><br/>
Un pointeur sur cette structure est pass en paramtre de
<b>ioctl (2).<br/><br/></b>
En retour on obtient les informations sur la gomtrie du disque
<i>telle qu'elle est comprise par le DOS!</i> Cette gomtrie n'est
<i>pas</i> la gomtrie physique du disque.
Elle est utilise lors de la construction de la table des partitions du
disque, nanmoins elle est quand mme ncessaire pour
<b>fdisk (1),</b>
<b>efdisk (1), </b>
et
<b>lilo (1).</b>
Si les informations de gomtrie ne sont pas valables, zro sera renvoy
pour tous les paramtres.

<br/><br/>

BLKGETSIZE
Renvoie la taille du priphrique en secteurs. Le paramtre
<b>ioctl (2)</b>
doit tre un pointeur sur un
<b>long .</b>
<br/><br/>

BLKRRPART
Force la relecture de la table des partitions du disque SCSI. Aucun paramtre
n'est ncessaire.<br/><br/>
Les ioctls
<b>scsi (4)</b>
sont galement supports. Si le paramtre
<b>ioctl (2)</b>
est ncessaire, et est NULL, alors
<b>ioctl ()</b>
retournera -EINVAL.
</div><br/><br /><h1 class="TitreSection0" id="L5">fichiers</h1>
<div class="paragraph">
/dev/sd[a-h]: Les disques entiers.
<br/>
/dev/sd[a-h][0-8]: Les partitions individuelles.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>scsi (4)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
