<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  From jt@hplb.hpl.hp.com Thu Dec 19 18:31:49 1996 -->
<!--  From: Jean Tourrilhes &lt;jt@hplb.hpl.hp.com&gt; -->
<!--  Address: HP Labs, Filton Road, Stoke Gifford, Bristol BS12 6QZ, U.K. -->
<!--  Jean II - HPLB - '96 -->
<!--  wavelan.c.4 -->
<!-- <br/><h1>WAVELAN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">paramtres</a>
<br /><a class="summaryIndent0" href="#L4">extensions spcifiques sans-cble</a>
<br /><a class="summaryIndent0" href="#L5">ioctl prives</a>
<br /><a class="summaryIndent0" href="#L6">notes spcifiques</a>
<br /><a class="summaryIndent0" href="#L7">auteurs</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><!--  -->
<!--  Traduction 25/01/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>WAVELAN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">paramtres</a>
<br /><a class="summaryIndent0" href="#L4">extensions spcifiques sans-cble</a>
<br /><a class="summaryIndent0" href="#L5">ioctl prives</a>
<br /><a class="summaryIndent0" href="#L6">notes spcifiques</a>
<br /><a class="summaryIndent0" href="#L7">auteurs</a>
<br /><a class="summaryIndent0" href="#L8">voir aussi</a>
<br /><a class="summaryIndent0" href="#L9">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
wavelan - Gestionnaire de priphriques AT&T GIS WaveLAN ISA.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>insmod wavelan_cs.o [io=</b> B,B.. <i>] [ irq=</i> I,I.. <b>] [name=</b> N,N.. ]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<i>wavelan</i> est un pilote de priphrique bas-niveau pour les adaptateurs ethernet
sans cble
<b>WaveLAN</b> <b></b>  <b>ISA</b> <b></b>  de NCR / AT&T / Lucent
et
<b>RoamAbout</b> <b></b>  <b>DS</b> <b></b>  de Digital (DEC).
Ce pilote est disponible sous forme de module ou peut tre compil
directement dans le noyau. Il gre des cartes multiples (jusqu' 4),
sous ses deux formes, et associe  chaque carte trouve le
priphrique ethernet suivant (eth0 ... eth#), sauf si l'on
rclame explicitement un nom de priphrique prcis (voir plus bas).
Le nom du priphrique sera mentionn dans le fichier de journalisation
du noyau, avec son adresse MAC, son NWID, et la frquence utilise par
la carte.
</div><br/><br /><h1 class="TitreSection0" id="L4">paramtres</h1>
<div class="paragraph">
Cette section correspond  la forme module du pilote. Les paramtres
sont transmis sur la ligne de commande de
<i>insmod (8).</i>
Si le pilote est inclus dans le noyau, utilisez la syntaxe
<i>ether=IRQ,IO,NOM</i> sur la ligne de commande du noyau.
<br/><br/>

<b>io</b> <b></b>  Indique la liste des adresses de base ou rechercher les cartes wavelan
(cette adresse est slectionne par des switchs sur la carte). Si aucune
adresse d'entre/sortie n'est mentionne, le pilote examinera les
adresses 0x390 et 0x3E0, ce qui peut engendrer un conflit avec d'autres
priphriques.
<br/><br/>

<b>irq</b> <b></b>  Indique la liste des IRQ que chaque carte doit utiliser (la valeur est
stocke en mmoire permanente sur la carte pour tout usage ultrieur).
<br/><br/>

<b>nom</b> <b></b>  Indique la liste des noms de priphriques  utiliser pour chaque
carte (le nom correspond  celui utilis par
<i>ifconfig (8)).</i>
</div><br/><br /><h1 class="TitreSection0" id="L5">extensions spcifiques sans-cble</h1>
<div class="paragraph">
Utilisez
<i>iwconfig (8)</i>
pour manipuler les extensions spcifiques  l'aspect ``sans-cble'' de
ces cartes.
</div><br/><h2 class="TitreSection1" id="L11">NWID (ou domaine)</h2>
<div class="paragraph">
Indique l'ID rseau
[ 0</i>

<i>FFFF ]</i>
ou le dsactive
[ off ].</i>
Comme le NWID est stock dans une zone de mmoire permanente de la carte,
il sera rutilis  chaque appel ultrieur du pilote.
</div><br/><h2 class="TitreSection1" id="L11">Frquence et canal</h2>
<div class="paragraph">
Pour les cartes 2.4 GHz 2.00
vous pouvez fixer la frquence en utilisant l'un des 10 canaux prdfinis
( 2.412,</i>
<i>2.422, 2.425, 2.4305, 2.432, 2.442, 2.452, 2.460, 2.462</i> ou
<i>2.484 )</i>
ou en indiquant directement sa valeur.
La frquence est change immdiatement, et de faon permanente.
La disponibilit des frquences varie en fonction des rglementations
en vigueur.
</div><br/><h2 class="TitreSection1" id="L11">Statistiques</h2>
<div class="paragraph">
On peut fournir une liste d'adresses MAC (jusqu' 8) au pilote, et
obtenir la dernire valeur de qualit de liaison pour chacune
d'entre elles (voir)
<i>iwspy (8)).</i>
</div><br/><h2 class="TitreSection1" id="L11">/proc/net/wireless</h2>
<div class="paragraph">
<i>status</i> est la valeur d'tat renvoye par le modem.
<i>Link quality</i> correspond  la qualit de la modulation  (direct sequence
spread spectrum) [max = 16].
<i>Level</i> et
<i>Noise</i> correspondent aux niveaux de signal et de bruit [max = 64].
Les compteurs
<i>crypt discarded packet</i> et
<i>misc discarded packet</i> ne sont pas encore implments.
</div><br/><br /><h1 class="TitreSection0" id="L6">ioctl prives</h1>
<div class="paragraph">
Vous pouvez utiliser
<i>iwpriv (8)</i>
pour manipuler les requtes d'ioctls prives.
</div><br/><h2 class="TitreSection1" id="L11">Seuils de qualit et de niveau.</h2>
<div class="paragraph">
Vous permettent de dfinir les seuils de qualit et de niveau utiliss
par le modem (les paquets en-dessous de ces seuils seront rejets).
</div><br/><h2 class="TitreSection1" id="L11">Histogramme</h2>
<div class="paragraph">
Cette fonctionnalit d'indiquer un nombre d'intervalle dans les signaux
de niveaux, et de compter le nombre de paquets reus dans chacun des ces
intervalles. Cette distribution permet de calculer une moyenne et un
cart-type pour le niveau de signal.
</div><br/><br /><h1 class="TitreSection0" id="L7">notes spcifiques</h1>
<div class="paragraph">
Le pilote chouera en tentant de dtecter certaines cartes Wavelan
<b>non NCR/ATT&T/Lucent</b> .</b>
Si cela vous arrive, vous devrez regarder le code source pour trouver le
moyen d'ajouter une routine de dtection de votre carte.<br/><br/>
Certaines fonctionnalits mentionnes ici sont optionnelles, vous pouvez
les dsactiver en modifiant des drapeaux dans l'en-tte du pilote et en
le recompilant.
</div><br/><br /><h1 class="TitreSection0" id="L8">auteurs</h1>
<div class="paragraph">
Bruce Janson - bruce@cs.usyd.edu.au
<br/>
Jean Tourrilhes - jt@hplb.hpl.hp.com
<br/>
(et d'autres - voir le code source pour la liste)
</div><br/><br /><h1 class="TitreSection0" id="L9">voir aussi</h1>
<div class="paragraph">
<b>wavelan_cs (4),</b>
<b>ifconfig (8),</b>
<b>insmod (8),</b>
<b>iwconfig (8),</b>
<b>iwspy (8),</b>
<b>iwpriv (8).<br/><br/></b>

</div><br/><br /><h1 class="TitreSection0" id="L10">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
