<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de), Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--   -->
<!--  Modified Sun Jul 25 10:45:30 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Jul 21 21:25:26 1996 by Andries Brouwer (aeb@cwi.nl) -->
<!--  -->
<!--  Traduction 17/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 16/07/1997 -->
<!--  Mise a jour 02/05/1999 - LDP-man-pages 1.22 -->
<!--  Mise a jour 05/05/1999 - LDP-man-pages 1.23 -->
<!--  Mise a jour 26/06/2000 - LDP-man-pages 1.30 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour 25/10/2002 - LDP-man-pages-1.47 -->
<!--  Mise  jour 20/11/2002 - LDP-man-pages-1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>ENVIRON</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
environ - Environnement de l'utilisateur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.ad l

<b>extern</b> <b></b>  <b>char</b> <b></b>  <b>**environ;</b> <b></b>  <br/>


.ad b
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
La variable
<i>environ</i> pointe sur un tableau de chanes que l'on nomme `environnement'.
(Cette variable doit tre dclar dans les programmes utilisateurs,
mais elle est prsente dans
<i>unistd.h</i> si le fichier d'en-tte provient de libc4 ou libc5, ou encore
de glibc si la variable
<b>_GNU_SOURCE</b> <b></b>  est dfinie.)
Ce tableau de chanes de caractres qui est fourni 
<b>exec (3)</b>
quand un processus dmarre. Par convention ces chanes ont la forme
`<i>nom</i><b>=</b><i>valeur</i>'.  
Des exemples classiques sont&nbsp;:
<br/><br/>

<b>USER</b> <b></b>  Le nom de l'utilisateur connect (utilis par des programmes de style BSD).
<br/><br/>

<b>LOGNAME</b> <b></b>  Le nom de l'utilisateur connect (dans les programmes de style Systme V).
<br/><br/>

<b>HOME</b> <b></b>  Le rpertoire de login d'un utilisateur, mis en place par
<b>login (1)</b>
depuis le fichier des mots de passe
<b>passwd (5).</b>
<br/><br/>

<b>LANG</b> <b></b>  Le nom du lieu  utiliser pour les configurations locales,
s'il n'est pas cras par <b>LC_ALL</b> ou d'autres variables comme
<b>LC_COLLATE</b>, <b>LC_CTYPE</b>, <b>LC_MESSAGES</b>, <b>LC_MONETARY</b>,
<b>LC_NUMERIC</b>, <b>LC_TIME</b>, cf.
<b>locale (5).</b>
<br/><br/>

<b>PATH</b> <b></b>  Une liste de prfixes de rpertoires, que
<b>sh (1)</b>
et de nombreux autres programmes utilisent pour trouver un
fichier dont le chemin est incomplet.
Les prfixes sont spars par des `<b>:</b>'.
(De mme il existe <b>CDPATH</b> utilis par certains shells pour
connatre le rpertoire destination d'une commande cd,
<b>MANPATH</b> utilis par <b>man</b>(1) pour trouver les pages de
manuel, etc...)
<br/><br/>

<b>PWD</b> <b></b>  Le rpertoire de travail actuel, renseign par certains shells.
<br/><br/>

<b>SHELL</b> <b></b>  Le nom de fichier du shell  la connexion de l'utilisateur.
<br/><br/>

<b>TERM</b> <b></b>  Le type de terminal utilis pour les affichages.
<br/><br/>

<b>PAGER</b> <b></b>  L'application prfre de l'utilisateur pour afficher des textes (comme 
<b>less (1)).</b>
<br/><br/>

<b>EDITOR / VISUAL</b>
L'application prfre de l'utilisateur pour diter des textes.
<br/><br/>

<b>BROWSER</b> <b></b>  L'utilitaire prfr pour examiner des URLs. Une suite de noms de navigateurs
spars par des deux-points. Voir http://www.tuxedo.org/~esr/BROWSER/ .<br/><br/>
D'autres noms peuvent tre inscrits dans l'environnement par
la commande <b>export</b> avec la syntaxe `nom=valeur' 
sous 
<b>sh (1),</b>
ou par la commande <b>setenv</b> avec
<b>csh (1).</b>
Des arguments peuvent aussi tre insrs dans l'environnement lors
d'un <b>exec</b>(2).  <br/><br/>
Un programme C peut manipuler l'environnement en utilisant les fonctions
<b>getenv (),</b>
<b>putenv (),</b>
<b>setenv (),</b>
et
<b>unsetenv ().<br/><br/></b>
Remarquez que le comportement de nombreux programmes ou routines
de bibliothque est influenc par la prsence, ou par la valeur
de certaines variables d'environnement. En voici quelques exemples :<br/><br/>
Les variables
<b>LANG </b>, <b> LANGUAGE </b>, <b> NLSPATH </b>, <b> LOCPATH </b>, <b> LC_ALL </b>, <b> LC_MESSAGES </b>, <b></b>
etc. influencent la localisation.<br/><br/>
<b>TMPDIR</b> <b></b>  modifie le prfixe de chemin d'accs des fichiers cres par
<b>tmpnam()</b> et consort, les rpertoires temporaires de
<b>sort</b>(1) ou d'autres programmes.<br/><br/>
<b>LD_LIBRARY_PATH </b>, <b> LD_PRELOAD</b>
et les autres variables LD_* modifient
le comportement du chargeur/diteur de liens dynamique.<br/><br/>
<b>POSIXLY_CORRECT</b> <b></b>  oblige certains programmes ou routines  respecter
scrupuleusement le standard POSIX.<br/><br/>
Le comportement de <b>malloc</b>(3) est influenc par les variables
MALLOC_*.<br/><br/>
La variable
<b>HOSTALIASES</b> <b></b>  fournit le nom du fichier d'alias consult
par <b>gethostbyname</b>().<br/><br/>
<b>TZ </b> et <b> TZDIR</b>
grent les informations sur les fuseaux horaires utilises par
<b>tzset (3)</b>
et donc par les fonctions comme
<i>ctime (),</i>
<i>localtime (),</i>
<i>mktime (),</i>
<i>strftime ().</i>
Voir
<b>tzselect (1).<br/><br/></b>
<b>TERMCAP</b> <b></b>  donne des indications sur la manire de traiter le terminal
(ou donne le nom d'un fichier contenant ces spcifications).<br/><br/>
 COLUMNS " et " LINES
indiquent aux applications la taille de la fentre, ventuellement avec
prsance sur la taille relle.<br/><br/>
<b>PRINTER </b> ou <b> LPDEST</b>
indiquent l'imprimante  utiliser. Voir
<b>lpr (1).<br/><br/></b>
Etc.
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Il est clair qu'il y a ici un risque concernant la scurit. De nombreuses
commandes systme peuvent tre induites en erreur par un utilisateur
qui fournirait des valeurs particulires pour
<b>IFS </b> ou <b> LD_LIBRARY_PATH .<br/><br/></b>
Il y a aussi un risque de pollution de l'espace des noms.
Des programmes comme
<i>make</i> et
<i>autoconf</i> permettent la surcharge des noms d'utilitaires par dfaut par des variables
d'environnement avec le mme nom en majuscule.
Ainsi on peut employer
<b>CC</b> <b></b>  pour slectionner un compilateur C (et de mme
<b>MAKE ,</b>
<b>AR ,</b>
<b>AS ,</b>
<b>FC ,</b>
<b>LD ,</b>
<b>LEX ,</b>
<b>RM ,</b>
<b>YACC ,</b>
etc.).
Toutefois dans certains cas, ces variables fournissent des paramtres 
certains programmes plutt qu'un nom d'utilitaire. Ainsi il existe
<b>MORE ,</b>
<b>LESS ,</b>
ou
<b>GZIP .</b>
De telles utilisations sont considres comme des erreurs et doivent tre
vites dans les nouveaux programmes. Les auteurs de
<i>gzip</i> par exemple, devraient penser  renommer leur option
<b>GZIP_OPT .</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>login (1),</b>
<b>sh (1),</b>
<b>bash (1),</b>
<b>csh (1),</b>
<b>tcsh (1),</b>
<b>execve (2),</b>
<b>clearenv (3),</b>
<b>exec (3),</b>
<b>getenv (3),</b>
<b>putenv (3),</b>
<b>setenv (3),</b>
<b>unsetenv (3),</b>
<b>locale (5).</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
