<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1996 Daniel Quinlan (Daniel.Quinlan@linux.org) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Traduction 17/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour LDP 1.47 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>FILESYSTEMS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">voir aussi</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/>.nh
<br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fs - Systmes de fichiers de Linux : minix, ext, ext2, ext3, xia, msdos, umsdos, vfat, proc, nfs, iso9660, hpfs, sysv, smb, ncpfs.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Quand le systme de fichiers
<b>proc</b> <b></b>  est mont, comme c'est l'usage sur
<i>/proc ,</i>
vous pouvez trouver dans le fichier
<i>/proc/filesystems</i> la liste des systmes de fichiers supports par le noyau
actuellement en excution.
Si vous avez besoin d'utiliser un systme list ci-dessous et
non support, vous pouvez insrer le module correspondant dans
votre noyau, ou bien le recompiler avec l'option correspondante.<br/><br/>
Pour pouvoir utiliser un systme de fichiers, vous devez le
<i>monter ,</i>
voir
<b>mount (8)</b>
pour la commande mount et les options de montage.<br/><br/>
Voici une description des divers types de systmes de fichiers.<br/><br/>
<br/><br/>

<b>minix"</b> <b></b>  est le systme de fichiers utilis par l'OS Minix, le premier  avoir
fonctionn sous Linux. Il a de nombreuses limitations (64 Mo maxi par
partition, noms de fichiers courts, un seul horodatage, etc...)
<br/><br/>

Nanmoins il reste trs apprciable pour les disquettes et les
disques RAM.
<!-- ---------------------------------------------------------------------- -->
<br/><br/>

<b>ext</b> <b></b>  est une extension assez labore du systme de fichiers 
<b>minix .</b>
Il a t compltement remplac par sa seconde version
( ext2 )</b>
et supprim du noyau depuis la version 2.1.21.
<!-- ---------------------------------------------------------------------- -->
<br/><br/>

<b>ext2</b> <b></b>  est un systme de fichiers de haute performance, utilis par Linux pour
les disques fixes tout autant que pour les supports amovibles.
<br/><br/>

le second systme de fichiers tendu a t conu comme une extension
du systme
( ext ).</b>
<b>ext2</b> <b></b>  offre les meilleurs performances de tous les systmes supports par
Linux (en termes de vitesse et de consommation CPU).
<br/><br/>

<b>ext3</b> <b></b>  est une version de ext2 supportant la journalisation. On peut
basculer facilement de ext2  ext3, et inversement.
<br/><br/>

<b>xiafs</b> <b></b>  a t conu et implment pour tre un systme de fichiers
sr et stable,  partir du code du systme Minix. Il fournit
les fonctionnalits essentielles sans complications excessives.
Le systme de fichiers
<b>xia</b> <b></b>  n'est plus dvelopp ni maintenu. Il a t retir du noyau depuis
la version 2.1.21.
<br/><br/>

<b>msdos</b> <b></b>  est le systme de fichiers utilis sous DOS, Windows, et
quelques ordinateurs OS/2. Les noms de fichiers sous
<b>msdos</b> <b></b>  sont limits  8 caractres suivis ventuellement d'un point et
jusqu' 3 caractres d'extension.
<br/><br/>

<b>umsdos</b> <b></b>  est un systme de fichier DOS tendu utilis par Linux. Il ajoute
la possibilit d'utiliser des noms de fichier longs, les UID/GID,
les autorisations POSIX, les fichiers spciaux (priphriques, 
tubes, etc...) sur le systme de fichiers DOS, sans sacrifier la
compatibilit avec celui-ci.
<br/><br/>

<b>vfat</b> <b></b>  est un systme de fichiers DOS tendu utilis par Microsoft Windows95 et
Windows NT.
VFAT ajoute la possibilit d'utiliser des noms de fichiers longs sur
le systme de fichiers MSDOS.
<br/><br/>

<b>proc</b> <b></b>  est un pseudo-systme de fichiers qui permet une interface avec
les structures de donnes du noyau plus simple que la lecture
et l'interprtation de
<i>/dev/kmem .</i>
En particulier, ses fichiers ne prennent aucun espace disque.
Voir 
<i>proc (5).</i>
<br/><br/>

<b>iso9660</b> <b></b>  est un systme de fichiers pour CD-ROM, conforme au standard ISO 9660.
.RS
<br/><br/>

<b>High</b> <b></b>  <b>Sierra"</b> <b></b>  Linux supporte le format "High Sierra", prcurseur du standard ISO 9660
pour les CD-ROM. Ce format est automatiquement reconnu  l'intrieur
du support pour systmes
<b>iso9660 .</b>
<br/><br/>

<b>Rock</b> <b></b>  <b>Ridge"</b> <b></b>  Linux supporte galement le format "System Use Sharing Protocol"
indiqu par le "Rock Ridge Interchange Protocol". 
Ils sont utiliss pour dcrire les fichiers contenus dans
un systme
<b>iso9660</b> <b></b>   destination d'un hte UNIX, et fournir des informations telles que
les noms de fichiers longs, UID/GID, autorisations POSIX, et les
priphriques. Ce format est automatiquement reconnu au sein
du support de systme de fichiers
<b>iso9660 .</b>

<br/><br/>

<b>hpfs</b> <b></b>  est le systme "High Performance Filesystem" utilis par OS/2.
Ce systme de fichiers est uniquement en lecture-seule sous Linux
 cause du manque de documentation disponible.
<br/><br/>

<b>sysv</b> <b></b>  est une implmentation du systme de fichiers SystemV/Coherent pour Linux.
Il implmente tous les protocoles Xenix FS, SystemV/386 FS, et Coherent FS.
<br/><br/>

<b>nfs</b> <b></b>  est le systme de fichiers en rseau utilis pour accder 
des disques situs sur des ordinateurs distants.
<br/><br/>

<b>smb</b> <b></b>  est un systme de fichiers en rseau supportant le protocole SMB,
utilis par Windows for Workgroups, Windows NT, et Lan Manager.
<br/><br/>

Pour utiliser le systme
<b>smb,</b>
il vous faut un programme spcial de montage, disponible dans le
package ksmbfs  :
<i>ftp://sunsite.unc.edu</i> <i>/pub/Linux/system/Filesystems/smbfs .<br/><br/></i>
NDT : Commencez par chercher sur les sites-miroirs en France comme 
<i>ftp.lip6.fr .</i>
<br/><br/>

<b>ncpfs</b> <b></b>  est un systme de fichiers rseau supportant le protocole NCP,
utilis par Novell NetWare.
<br/><br/>

pour utiliser le systme
<b>ncpfs ,</b>
il vous faut un package spcial disponible &nbsp;:
<i>ftp://linux01.gwdg.de</i> <i>/pub/ncpfs .</i>
</div><br/><br /><h1 class="TitreSection0" id="L3">voir aussi</h1>
<div class="paragraph">
<b>proc (5),</b>
<b>fsck (8),</b>
<b>mkfs (8),</b>
<b>mount (8)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
