<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1993 Michael Haardt (u31b3hs@pool.informatik.rwth-aachen.de), Fri Apr  2 11:32:09 MET DST 1993 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--   -->
<!--  Modified Sat Jul 24 17:06:03 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 17/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour LDP 1.47 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>GROUP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">exemple</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
group - Fichier des groupes d'utilisateurs.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
<b>/etc/group</b> est un fichier ASCII qui dfinit les groupes
auxquels appartient chaque utilisateur.<br/><br/>
Il y a une ligne par groupe, et chaque ligne a le format :
<br/><br/>

.RS
nom_du_groupe:mot_de_passe:GID:liste_utilisateurs

<br/><br/>

Les champs sont les suivants :
.IP nom_du_groupe
Le nom du groupe (!).
.IP mot_de_passe
Le mot de passe encrypt du groupe. Si ce champ est vide (presque toujours),
aucun mot de passe n'est ncessaire.
.IP GID
L'ID numrique du groupe.
.IP liste_utilisateurs
Tous les noms des membres du groupe, spars par des virgules.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">exemple</h1>
<div class="paragraph"><br/><br/>

$ ls -l /etc/group 
-rw-r--r--   1 root     root          336 Aug 18 18:19 /etc/group
$ cat /etc/group
root::0:root
bin::1:root,bin,daemon
daemon::2:root,bin,daemon
sys::3:root,bin,adm
adm::4:root,adm,daemon
tty::5:
  ...
ftp::50:
nobody::99:
users::500:adr,ast,ccb,chris,fred,jm2
local::501:adr,ast,jm2

<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
/etc/group
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>login (1),</b>
<b>newgrp (1),</b>
<b>passwd (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
