<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1997 Martin Schulze (joey@infodrom.north.de) -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  Much of the text is copied from the manpage of resolv+(8). -->
<!--  -->
<!--  Traduction 06/09/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP 1.31 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>HOST.CONF</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">fichiers</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
host.conf - Configuration de la rsolution de noms.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Le fichier
<i>/etc/host.conf</i> contient des informations spcifiques pour la configuration de la bibliothque de rsolution de noms.
Elle doit contenir un mot-cl de configuration par ligne, suivi par l'information
approprie. Les mots-cls reconnus sont
<i>order </i>, <i> trim </i>, <i> multi </i>, <i> nospoof </i> et <i> reorder .</i>
Chaque mot-cl est dcrit individuellement ci-dessous.<br/><br/>
<br/><br/>

<i>order</i> Ce mot-cl indique dans quel ordre la rsolution des noms d'htes doit avoir lieu.
Il doit tre suivi par une ou plusieurs mthodes spares par des virgules. 
Ces mthodes sont
<i>bind </i>, <i> hosts </i> et <i> nis .</i>
<br/><br/>

<i>trim </i> Ce mot-cl peut tre indiqu  plusieurs reprises.  chaque fois, il doit tre suivi 
par un nom de domaine unique, dbutant par un point. Lorsqu'il est actif, la bibliothque
resolv+ enlvera automatiquement ce domaine des noms d'htes rsolus par le DNS.
Ceci est prvu pour tre employ avec des noms d'htes ou de domaines locaux.
(Note : trim n'affectera pas les noms d'htes grs par NIS ou
par le fichier <i>hosts</i>. Il faut prendre soin pour chaque nom d'hte
se trouvant dans le fichier <i>hosts</i> que la premire entre soit
complte (fully qualified) ou au contraire limite au nom d'hte, suivant les 
usages de l'installation.)
<br/><br/>

<i>multi</i> Les valeurs valides sont
<i>on </i> et <i> off .</i>
Si cette option est sur
<i>on ,</i>
la bibliothque resolv+ renverra toutes les adresses valides pour un hte
apparaissant dans le fichier
<i>/etc/hosts</i> plutt que de ne renvoyer
que la premire. Par dfaut elle est sur
<i>off</i> car cela peut causer des dgradations sensibles des performances sur les
sites ayant un gros fichier <i>hosts</i>.
<br/><br/>

<i>nospoof</i> Les valeurs valides sont 
<i>on </i> et <i> off .</i>
Si cette options est sur
<i>on ,</i>
la bibliothque resolv+ essayera d'empcher toute falsification des
noms d'htes, pour amliorer la scurit de
<b>rlogin </b> et <b> rsh .</b>
Elle fonctionne comme suit : aprs avoir ralis une rsolution de nom d'hte, resolv+
effectuera une demande de nom pour cette adresse. Si les deux noms d'htes ne
correspondent pas, la recherche chouera.
<br/><br/>

<i>spoofalert</i> Si cette options est sur
<i>on</i> et si l'option
<i>nospoof</i> est aussi active, resolv+ journalisera un message d'erreur avec les fonctionnalits syslog.
La valeur par dfaut est
<i>off .</i>
<br/><br/>

<i>reorder</i> Les valeurs valides sont
<i>on </i> et <i> off .</i>
Si cette option est sur 
<i>on ,</i>
resolv+ essayera de rordonner les adresses d'htes afin que l'adresse locale
(sur le mme sous-rseau) soit prsente en premier lors d'un appel 
<b>gethostbyname (3).</b>
La remise en ordre est assure pour toutes les mthodes de recherche. Par dfaut
la valeur est
<i>off .</i>
</div><br/><br /><h1 class="TitreSection0" id="L3">fichiers</h1>
<div class="paragraph">
<br/><br/>

<i>/etc/host.conf</i> Fichier de configuration de la rsolution de noms
<br/><br/>

<i>/etc/resolv.conf</i> Fichier de configuration de la rsolution de noms
<br/><br/>

<i>/etc/hosts</i> Base de donnes locale des noms d'htes.
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>gethostbyname (3),</b>
<b>hostname (7),</b>
<b>resolv+ (8),</b>
<b>named (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
