<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs, this is -*- nroff -*- -->
<!--  -->
<!--  This file is part of locale(1) which displays the settings of the -->
<!--  current locale. -->
<!--  Copyright (C) 1994  Jochen Hein (Hein@Student.TU-Clausthal.de) -->
<!--  -->
<!--  This program is free software; you can redistribute it and/or modify -->
<!--  it under the terms of the GNU General Public License as published by -->
<!--  the Free Software Foundation; either version 2 of the License, or -->
<!--  (at your option) any later version. -->
<!--  -->
<!--  This program is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public License -->
<!--  along with this program; if not, write to the Free Software -->
<!--  Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA. -->
<!--  -->
<!--  Traduction 16/07/1997 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>LOCALE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">syntaxe</a>
<br /><a class="summaryIndent0" href="#L2">fichiers</a>
<br /><a class="summaryIndent0" href="#L3">bogues</a>
<br /><a class="summaryIndent0" href="#L4">auteur --></a>
<br /><a class="summaryIndent0" href="#L5">conformit</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
locale - Description d'un fichier de dfinition locale.
.SH
DESCRIPTION
Un fichier de dfinition
<b>locale</b> <b></b>  contient toutes les informations dont la commande
<b>localedef(1)</b> <b></b>  a besoin pour crer la base de donnes locale binaire.<br/><br/>
Le fichier de dfinition est constitu de sections, chacune d'entre-elles
dcrivant en dtail une catgorie d'information locale.
</div><br/><br /><h1 class="TitreSection0" id="L2">syntaxe</h1>
<div class="paragraph">
Le fichier dbute par un en-tte contenant les mots-cls suivants :
<br/><br/>

<i>&lt;escape_char&gt;</i> suivi du caractre qui sera utilis comme caractre d'chappement
dans le reste du fichier, pour prfixer les caractres ayant une
signification spciale. Par dfaut il s'agit du backslash (
<b>\\\\</b> <b></b>  <b></b>  <b></b>  ).
<br/><br/>

<i>&lt;comment_char&gt;</i> suivi d'un caractre qui servira  introduire des commentaires dans
le reste du fichier. Par dfaut il s'agit du dise (#).<br/><br/><br/><br/>
La dfinition de la localisation est divise en plusieurs parties,
chacune d'elles reprsentant une catgorie de localisation.
Une partie peut tre copie directement depuis une autre localisation
existante, ou peut tre dfinie entirement. Si l'on dsire copier
intgralement une catgorie, le seul mot-cl valide est
<b>copy</b> <b></b>  suivi du nom de la localisation initiale.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L9">LC_CTYPE</h2>
<div class="paragraph">
La dfinition de la catgorie
<b>LC_CTYPE</b> <b></b>  dfinissant la typographie locale commence avec la chane
<i>LC_CTYPE </i> en premire colonne.<br/><br/>
Les mots-cls suivants sont autoriss&nbsp;:<br/><br/>
<br/><br/>

<i>upper</i> suivi d'une liste de lettres majuscules. Les lettres
<b>A</b>

<b>Z</b>
sont inclues automatiquement. Les caractres indiqus dans les
classes
<b>cntrl ,</b>
<b>digit ,</b>
<b>punct ,</b>
ou
<b>space</b> <b></b>  ne sont pas autoriss.<br/><br/>
<br/><br/>

<i>lower</i> suivi d'une liste de lettres minuscules. Les lettres
<b>a</b> <b></b>  
<b>z</b> <b></b>  sont inclues automatiquement. Les caractres indiqus dans les
classes
<b>cntrl ,</b>
<b>digit ,</b>
<b>punct ,</b>
ou
<b>space</b> <b></b>  ne sont pas autoriss.<br/><br/>
<br/><br/>

<i>alpha</i> suivi d'une liste de lettres. Tous les caractres mentionns
dans
<b>upper</b> <b></b>  ou
<b>lower</b> <b></b>  sont inclus automatiquement. Les caractres indiqus dans les
classes
<b>cntrl ,</b>
<b>digit ,</b>
<b>punct ,</b>
ou
<b>space</b> <b></b>  ne sont pas autoriss.<br/><br/>
<br/><br/>

<i>digit</i> suivi d'une liste de chiffres. Seuls les caractres
<b>0</b> <b></b>  <b></b>  
<b>9</b> <b></b>  <b></b>  sont autoriss. Ils sont inclus automatiquement dans cette classe.<br/><br/>
<br/><br/>

<i>space</i> suivi d'une liste de caractres considrs comme une espace blanche.
Les caractres indiqus dans les classes
<b>upper ,</b>
<b>lower ,</b>
<b>alpha ,</b>
<b>digit ,</b>
<b>graph ,</b>
ou
<b>xdigit</b> <b></b>  ne sont pas autoriss.
Les caractres
<b>&lt;space&gt; </b> (espace), <b></b>
<b>&lt;form-feed&gt; </b> (saut de page), <b></b>
<b>&lt;newline&gt; </b> (saut de ligne, <b> </b>
<b>&lt;carriage-return&gt; </b> (retour chariot), <b></b>
<b>&lt;tab&gt;,</b>
et
<b>&lt;vertical-tab&gt;</b> <b></b>  sont inclus automatiquement.<br/><br/>
<br/><br/>

<i>cntrl</i> suivi d'une liste de caractres de contrle.
Les caractres mentionns dans les classes
<b>upper ,</b>
<b>lower ,</b>
<b>alpha ,</b>
<b>digit ,</b>
<b>punct ,</b>
<b>graph ,</b>
<b>print ,</b>
ou
<b>xdigit</b> <b></b>  ne sont pas autoriss.<br/><br/>
<br/><br/>

<i>punct</i> suivi d'une liste de caractres de ponctuation.
Les caractres mentionns dans les classes
<b>upper ,</b>
<b>lower ,</b>
<b>alpha ,</b>
<b>digit ,</b>
<b>cntrl ,</b>
<b>xdigit ,</b>
et le caractre
<b>&lt;space&gt;</b> <b></b>  (espace) ne sont pas autoriss.<br/><br/>
<br/><br/>

<i>graph</i> suivi d'une liste de caractres affichables, sauf l'espace.
Les caractres mentionns dans les classes
<b>upper ,</b>
<b>lower ,</b>
<b>alpha ,</b>
<b>digit ,</b>
<b>xdigit ,</b>
<b>upper</b> <b></b> ,<b></b>  <b>lower</b> <b></b> ,<b></b>  <b>alpha</b> <b></b> ,<b></b>  <b>digit</b> <b></b> ,<b></b>  <b>xdigit</b> <b></b>  et
<b>punct</b> <b></b>  <b></b>  sont inclus automatiquement.
Les caractres mentionns dans la classe
<b>cntrl</b> <b></b>  ne sont pas autoriss.<br/><br/>
<br/><br/>

<i>print</i> suivi d'une liste de caractres affichables, y compris l'espace.
Les caractres mentionns dans les classes
<b>upper ,</b>
<b>lower ,</b>
<b>alpha ,</b>
<b>digit ,</b>
<b>xdigit ,</b>
<b>punct ,</b>
et le caractre
<b>&lt;space&gt;</b> <b></b>  sont inclus automatiquement.
Les caractres mentionns dans la classe
<b>cntrl</b> <b></b>  ne sont pas autoriss.<br/><br/>
<br/><br/>

<i>xdigit</i> suivi d'une liste de caractres reprsentant les chiffres hexadcimaux.
Les chiffres dcimaux doivent tre mentionns, suivi d'un ou plusieurs
ensembles de six caractres, en ordre croissant.
Les caractres suivant sont inclus par dfaut :
<b>0</b> <b></b>  
<b>9</b> <b></b> ,<b></b>  <b>a</b> <b></b>  
<b>f</b> <b></b> ,<b></b>  <b>A</b> <b></b>  
<b>F.<br/><br/></b> <b></b>  <br/><br/>

<i>blank</i> suivi d'une liste de caractres blancs.
L'espace
<b>&lt;space&gt;</b> <b></b>  et la tabulation
<b>&lt;tab&gt;</b> <b></b>  sont inclus automatiquement.<br/><br/>
<br/><br/>

<i>toupper</i> suivi d'une liste de correspondance entre majuscules et minuscules.
Chaque correspondance est reprsente par une paire de lettres majuscule
et minuscule, spares par une virgule
<b></b> ,<b></b>  et entoure de parenthses.
Les correspondances sont spares par des points-virgules.
<br/><br/>

<i>tolower</i> suivi d'une liste de correspondance entre minuscules et majuscules.
Si le mot-cle <i>tolower</i> est absent, la liste inverse de
<i>toupper</i> est utilise.<br/><br/><br/><br/>
La dfinition de la catgorie
<b>LC_CTYPE</b> <b></b>  se termine avec la chane de caractres
<i>END LC_CYTPE.<br/><br/></i> </div><br/><h2 class="TitreSection1" id="L9">LC_COLLATE</h2>
<div class="paragraph"><br/><br/>
NDT : Je n'ai pas compris cette catgorie. J'imagine, sans certitude,
qu'elle concerne les caractres superposs (par exemple :
un accent "mort" suivi de la lettre  accentuer), ou
colls (par exemple : 'o' et 'e' dans "oeil"). 
Je laisse donc quelques phrases en anglais, de toute manire ce
paragraphe est bien insuffisant, je trouve...<br/><br/>
The 
<b>LC_COLLATE</b> <b></b>  <b></b>  category defines the rules for collating characters.<br/><br/>
A cause des limitations de la libc,
les options POSIX ne sont pas toutes implmentes.
La dfinition commence avec la chane
<b>LC_COLLATE</b> <b></b>  en premire colonne.<br/><br/>
Les mots-cls suivants sont autoriss&nbsp;:<br/><br/>
<br/><br/>

<i>collating-element<br/><br/></i> <br/><br/>

<i>collating-symbol<br/><br/><br/><br/></i> The order-definition starts with a line:
<br/><br/>

<i>order_start<br/><br/></i> followed by a list of keywords out of
<b>forward</b> <b></b> ,<b></b>  <b>backward</b> <b></b>  or
<b>position.</b> <b></b>  The order definition consists of lines that describe the order
and is terminated with the keyword
<br/><br/>

<i>order_end.<br/><br/><br/><br/></i> Pour plus de dtails, regardez les sources dans
<b>/usr/lib/nls/src</b> <b></b>  notamment les paragraphes
<b>POSIX</b> <b></b> ,<b></b>  <b>Example</b> <b></b>  et
<b>Example2<br/><br/><br/><br/></b> <b></b>  La dfinition
<b>LC_COLLATE</b> <b></b>  se termine par la chane
<i>END LC_COLLATE.<br/><br/></i> </div><br/><h2 class="TitreSection1" id="L9">LC_MONETARY</h2>
<div class="paragraph">
La dfinition commence par la chane
<b>LC_MONETARY</b> <b></b>  en premire colonne.<br/><br/>
Les mots-cls suivants sont autoriss.<br/><br/>
<br/><br/>

<i>int_curr_symbol</i> suivi du code international de symbole montaire. Il s'agit d'une
chane de 4 caractres compose du code dfini dans le standard
ISO 4217 (trois caractres) suivie d'un sparateur.
<br/><br/>

<i>currency_symbol</i> suivi du symbole montaire local.
<br/><br/>

<i>mon_decimal_point</i> suivi de la chane  utiliser comme dlimiteur dcimal
lors de la mise en forme de valeurs montaires.
<br/><br/>

<i>mon_thousands_sep</i> suivi de la chane  utiliser comme sparateur de groupes de chiffres
lors de la mise en forme de valeurs montaires.
<br/><br/>

<i>mon_grouping</i> suivi d'une chane dcrivant la mise en forme numrique de
valeurs montaires.
<br/><br/>

<i>positive_sign</i> suivi de la chane  utiliser comme signe positif
lors de la mise en forme de valeurs montaires.
<br/><br/>

<i>negative_sign</i> suivi de la chane  utiliser comme indicateur ngatif
lors de la mise en forme de valeurs montaires.
<br/><br/>

<i>int_frac_digits</i> suivi du nombre de dcimales  afficher
lors de la mise en forme avec le symbole.
<b>int_curr_symbol.</b> <b></b>  <br/><br/>

<i>frac_digits</i> suivi du nombre de dcimales  afficher
lors de la mise en forme avec le symbole.
<b>currency_symbol.</b> <b></b>  <br/><br/>

<i>p_cs_precedes</i> suivi d'un entier valant
<b>1</b> <b></b>  <b></b>  si les symboles montaires
<i>currency_symbol</i> ou
<i>int_curr_symbol</i> doivent prcder la valeur numrique, et
<b>0</b> <b></b>  s'ils doivent suivre la valeur numrique.
<br/><br/>

<i>p_sep_by_space</i> suivi d'un entier.
.RS
<br/><br/>

<b>0</b> <b></b>  signifie qu'aucune espace ne doit tre insre entre le symbole et
la valeur.
<br/><br/>

<b>1</b> <b></b>  signifie qu'une espace doit tre insre entre le symbole et
la valeur.
<br/><br/>

<b>2</b> <b></b>  <b></b>  signifie qu'une espace doit tre insr entre le symbole montaire et le symbole de signe positif s'ils sont adjacents.

<br/><br/>

<i>n_cs_precedes</i> .RS
<br/><br/>

<b>0</b> <b></b>  <b></b>  - le symbole suit la valeur
<br/><br/>

<b>1</b> <b></b>  - le symbole prcde la valeur

<br/><br/>

<i>n_sep_by_space</i> Un entier valant
<b>0</b> <b></b>  si aucune espace ne spare les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol</i> de la valeur pour une quantit ngative,
<b>1</b> <b></b>  si une espace spare le symbole de la valeur, et
<b>2</b> <b></b>  si une espace spare le symbole du signe s'ils sont adjacents.
<br/><br/>

<i>p_sign_posn</i> .RS
<br/><br/>

<b>0</b> <b></b>  Des parenthses encadrent la valeur et les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> <br/><br/>

<b>1</b> <b></b>  Le signe prcde la valeur et les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> <br/><br/>

<b>2</b> <b></b>  Le signe suit la valeur et les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> <br/><br/>

<b>3</b> <b></b>  Le signe prcde les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> <br/><br/>

<b>4</b> <b></b>  Le signe suit les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> 
<br/><br/>

<i>n_sign_posn</i> .RS
<br/><br/>

<b>0</b> <b></b>  Des parenthses encadrent la valeur et les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> <br/><br/>

<b>1</b> <b></b>  Le signe prcde la valeur et les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> <br/><br/>

<b>2</b> <b></b>  Le signe suit la valeur et les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> <br/><br/>

<b>3</b> <b></b>  Le signe prcde les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> <br/><br/>

<b>4</b> <b></b>  Le signe suit les symboles
<i>currency_symbol</i> ou
<i>int_curr_symbol.</i> <br/><br/>
La dfinition
<b>LC_MONETARY</b> <b></b>  se termine par la chane
<i>END LC_MONETARY.<br/><br/></i> </div><br/><h2 class="TitreSection1" id="L9">LC_NUMERIC</h2>
<div class="paragraph">
La dfinition de cette catgorie commence par la chane
<b>LC_NUMERIC</b> <b></b>  en premire colonne.<br/><br/>
Les mots-cls suivants sont autoriss&nbsp;:<br/><br/>
<br/><br/>

<i>decimal_point</i> suivi d'une chane indiquant le sparateur decimal
lors de la mise en forme d'une valeur numrique.
<br/><br/>

<i>thousands_sep</i> suivi d'une chane indiquant le sparateur de groupes
lors de la mise en forme d'une valeur numrique.
<br/><br/>

<i>grouping</i> suivi d'une chane dcrivant la mise en forme 
d'une valeur numrique.<br/><br/>
La dfinition de la catgorie
<b>LC_NUMERIC</b> <b></b>  se termine par la chane
<i>END LC_NUMERIC.<br/><br/></i> </div><br/><h2 class="TitreSection1" id="L9">LC_TIME</h2>
<div class="paragraph">
La dfinition dbute par la chane
<b>LC_TIME</b> <b></b>  en premire colonne.<br/><br/>
Les mots-cls suivants sont autoriss&nbsp;:<br/><br/>
<br/><br/>

<i>abday</i> suivi d'une liste des noms de jours abrgs. La liste commence par
le Dimanche (Sunday).
<br/><br/>

<i>day</i> suivi d'une liste des noms de jours. La liste commence par
le Dimanche (Sunday).
<br/><br/>

<i>abmon</i> suivi d'une liste des noms de mois abrgs.
<br/><br/>

<i>mon</i> suivi d'une liste des noms de mois.
<br/><br/>

<i>am_pm</i> suivi de la reprsentation locale des chanes
<b>am</b> <b></b>  et
<b>pm .</b>
<br/><br/>

<i>d_t_fmt</i> Le format local de la date et de l'heure.
<br/><br/>

<i>d_fmt</i> Le format local de la date.
<br/><br/>

<i>t_fmt</i> Le format local pour l'heure.
<br/><br/>

<i>t_fmt_ampm</i> Le format local pour l'heure sur un cadran de 12 heures.<br/><br/>
La dfinition de la catgorie
<b>LC_TIME</b> <b></b>  se termine par la chane
<i>END LC_TIME.<br/><br/></i> </div><br/><h2 class="TitreSection1" id="L9">LC_MESSAGES</h2>
<div class="paragraph">
La dfinition de cette catgorie commence par la chane
<b>LC_MESSAGES</b> <b></b>  en premire colonne.<br/><br/>
Les mots cls suivant sont reconnus :<br/><br/>
<br/><br/>

<i>yesexpr</i> suivi d'une expression rationnelle correspondant  une rponse affirmative.
<br/><br/>

<i>noexpr</i> suivi d'une expression rationnelle correspondant  une rponse ngative.<br/><br/><br/><br/>
La dfinition de la catgorie
<b>LC_MESSAGES</b> <b></b>  se termine par la chane
<i>END LC_MESSAGES.<br/><br/></i> Se rfrer au standard POSIX.2 pour plus de dtails.
</div><br/><br /><h1 class="TitreSection0" id="L3">fichiers</h1>
<div class="paragraph">
.RS
<br/><br/>

/usr/lib/locale/
base de donnes des localisations installes.
<br/><br/>

/usr/lib/nls/charmap/*
tables de caractres.
.RS
</div><br/><br /><h1 class="TitreSection0" id="L4">bogues</h1>
<div class="paragraph">
Cette page est incomplte.
<!-- </div><br/><br /><h1 class="TitreSection0" id="L5">auteur --></h1>
<div class="paragraph">
<!-- Jochen Hein (Hein@Student.TU-Clausthal.de) -->
</div><br/><br /><h1 class="TitreSection0" id="L6">conformit</h1>
<div class="paragraph">
POSIX.2
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>setlocale (3),</b>
<b>localeconv (3),</b>
<b>charmap (5),</b>
<b>locale (1),</b>
<b>localedef (1)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
