<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  nfs.5 "Rick Sladkey" &lt;jrs@world.std.com&gt; -->
<!--  Traduction 17/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  MJ 30/07/2003 mount-2.11y -->
<br/><h1>NFS</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">fichiers</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">auteur</a>
<br /><a class="summaryIndent0" href="#L6">bogues</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
nfs - Format et options de la fstab pour les entres NFS.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>/etc/fstab</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Le fichier
<i>fstab</i> contient les informations  propos des systmes de fichiers  monter, et des 
points de montage  utiliser.
Pour le montage d'un systme de fichiers NFS,  il contient le nom du serveur 
et le rpertoire export de ce serveur, ainsi que le rpertoire local  
utiliser comme point de montage. 
De plus il contient des options spcifiques  NFS, pour contrler la manire 
de faire le montage.<br/><br/>
Voici un extrait d'un fichier <i>/etc/fstab</i> concernant un montage NFS.
<br/><br/>


.ta 2.5i +0.75i +0.75i +1.0i
server:/usr/local/pub  /pub  nfs  rsize=8192,wsize=8192,timeo=14,intr


.DT
</div><br/><h2 class="TitreSection1" id="L9">Options</h2>
<div class="paragraph">
<br/><br/>
 1.5i
<i>rsize=n</i> Le nombre d'octets qu'NFS utilise en lecture de fichiers depuis un serveur NFS.
La valeur par dfaut, actuellement 1024 octets, dpend du noyau.
Il est possible d'amliorer les performances du trafic en utilisant 
<i>rsize=8192 .</i>
<br/><br/>
 1.5i
<i>wsize=n</i> Le nombre d'octets qu'NFS utilise en criture de fichiers sur un serveur NFS.
La valeur par dfaut, actuellement 1024 octets, dpend du noyau.
Il est possible d'amliorer les performances du trafic en utilisant 
<i>wsize=8192 .</i>
<br/><br/>
 1.5i
<i>timeo=n</i> La valeur, en diximes de secondes, du dlai avant de dclencher la premire 
retransmission d'une RPC.
La valeur par dfaut est 7/10 de seconde. Aprs une premire expiration, le 
dlai est doubl et l'on recommence les retransmissions jusqu' ce que le 
dlai atteigne la valeur maximale de 60 secondes, ou que le nombre maximal 
de retransmission soit dpass, auquel cas se produit une erreur d'expiration
majeure. Si le systme est mont "en dur", les retransmissions  reprendront 
nouveau indfiniment en doublant les dlais  chaque retransmission.
Le dlai maximal reste 60 secondes.
On peut amliorer les performances en augmentant le dlai sur un  rseau charg,
si le serveur est un peu lent, ou si l'on traverse plusieurs routeurs ou 
passerelles.
<br/><br/>
 1.5i
<i>retrans=n</i> Le nombre d'expirations mineures et de retransmissions avant de dclencher une
expiration majeure. La valeur par dfaut est 3 expirations mineures. Quand une
erreur d'expiration majeure se produit, soit l'opration est  abandonne, soit
un message "server not responding" est affich sur la console.
<br/><br/>
 1.5i
<i>acregmin=n</i> Dure minimale (en secondes) pendant laquelle les attributs d'un fichier rgulier
sont cachs en mmoire avant de rclamer des informations fraches au serveur.
La valeur par dfaut est 3 secondes.
<br/><br/>
 1.5i
<i>acregmax=n</i> Dure maximale (en secondes) pendant laquelle les attributs d'un fichier rgulier
sont cachs en mmoire avant de rclamer des informations fraches au serveur.
La valeur par dfaut est 60 secondes.
<br/><br/>
 1.5i
<i>acdirmin=n</i> Dure minimale (en secondes) pendant laquelle les attributs d'un rpertoire
sont cachs en mmoire avant de rclamer des informations fraches au serveur.
La valeur par dfaut est 30 secondes.
<br/><br/>
 1.5i
<i>acdirmax=n</i> Dure maximale (en secondes) pendant laquelle les attributs d'un rpertoire
sont cachs en mmoire avant de rclamer des informations fraches au serveur.
La valeur par dfaut est 60 secondes.
<br/><br/>
 1.5i
<i>actimeo=n</i> L'utilisation de actimeo remplit toutes les dures
<i>acregmin,</i> <i>acregmax,</i> <i>acdirmin,</i> et
<i>acdirmax</i>
avec la mme valeur.
Il n'y a pas de valeur par dfaut.
<br/><br/>
 1.5i
<i>retry=n</i> Nombre d'essais effectus pour un montage NFS en arrire-plan
avant d'abandonner.
La valeur par dfaut est 10 000 essais, soit en gros une semaine.
<br/><br/>
 1.5i
<i>namlen=n</i> Quand un serveur NFS ne supporte pas la version 2 du protocole RPC de montage,
cette option peut tre utilise pour indiquer la longueur maximale des noms
de fichiers sur le systme distant.
Ceci permet de supporter les fonctions POSIX pathconf.
La valeur par dfaut est 255 caractres.
<br/><br/>
 1.5i
<i>port=n</i> La valeur numrique du port utilis pour se connecter sur le serveur NFS.
Si cette valeur vaut zro (par dfaut) alors on interroge le gestionnaire
de ports (portmapper) de l'hte distant pour connatre le numro de port
 utiliser. Si le dmon NFS de l'hte distant n'est pas enregistr dans le
gestionnaire de ports, la valeur standard utilise  la place pour le port
NFS est 2049.
<br/><br/>
 1.5i
<i>mountport=n</i> La valeur numrique
du port
<b>mountd .</b>
<br/><br/>
 1.5i
<i>mounthost=name</i> Le nom de l'hte o s'excute
<b>mountd .</b>
<br/><br/>
 1.5i
<i>mountprog=n</i> Utiliser un autre numro de programme RPC pour contacter le dmon de montage
de l'hte distant. Cette option est utilise pour les htes qui excutent
simultanment plusieurs serveurs NFS.
La valeur par dfaut est 100 005 qui est le numro standard de programme RPC
pour le dmon de montage.
<br/><br/>
 1.5i
<i>mountvers=n</i> Utiliser un autre numro de version RPC pour contacter le dmon de montage 
de l'hte distant. Cette option est utilise pour les htes qui excutent 
simultanment plusieurs serveurs NFS.
La valeur par dfaut est 1.
<br/><br/>
 1.5i
<i>nfsprog=n</i> Utiliser un autre numro de programme RPC pour contacter le dmon NFS
de l'hte distant. Cette option est utilise pour les htes qui excutent
simultanment plusieurs serveurs NFS.
La valeur par dfaut est 100 003 qui est le numro standard de programme RPC
pour le dmon NFS.
<br/><br/>
 1.5i
<i>nfsvers=n</i> Utiliser un autre numro de version RPC pour contacter le dmon NFS
de l'hte distant. Cette option est utilise pour les htes qui excutent 
simultanment plusieurs serveurs NFS.
La valeur par dfaut est 2.
<br/><br/>
 1.5i
<i>nolock</i> Dsactiver le verrouillage NFS. Ne pas dmarrer lockd.
Ceci est utile avec d'anciens serveurs NFS qui
ne supportent pas le verrouillage.
<br/><br/>
 1.5i
<i>bg</i> Si le dlai pour premier essai de montage expire, continuer  essayer le
montage en arrire-plan. Aprs avoir lanc une opration de montage
en arrire-plan, tous les montages ultrieurs sur le mme serveur NFS
seront mis en arrire-plan immdiatement, sans essayer le montage direct.
Un point de montage absent est considr
comme une expiration, ce qui permet
des montages NFS imbriqus.
<br/><br/>
 1.5i
<i>fg</i> Si la premire tentative de montage choue, ressayer 
l'avant-plan.
C'est le complment de
<i>bg</i> et le comportement par dfaut.
<br/><br/>
 1.5i
<i>soft</i> Si une opration sur un fichier NFS arrive  une expiration majeure de dlai,
alors renvoyer une erreur au programme appelant. L'attitude par dfaut est de
ressayer les oprations sur les fichiers NFS indfiniment.
<br/><br/>
 1.5i
<i>hard</i> Si une opration sur un fichier NFS arrive  une expiration majeure de dlai,
alors afficher un message "server not responding" sur la console, et
ressayer indfiniment.  C'est l'attitude par dfaut.
<br/><br/>
 1.5i
<i>intr</i> Si une opration sur fichier NFS obtient une expiration majeure de dlai, et s'il
est mont en dur (hard), alors autoriser les signaux  interrompre l'opration,
et renvoyer EINTR au programme appelant. L'attitude par dfaut est de ne pas
permettre l'interruption des oprations sur les fichiers NFS par des signaux.
<br/><br/>
 1.5i
<i>posix</i> Monter le systme de fichiers NFS en utilisant la smantique POSIX.
Ceci permet au systme de fichiers de supporter correctement la commande POSIX
pathconf, en interrogeant le serveur  propos de la longueur maximale des noms
de fichiers.
Pour cela, l'hte distant doit supporter la version 2 du protocole RPC de
montage. Beaucoup de serveur NFS n'en supportent que la version 1.
<br/><br/>
 1.5i
<i>nocto</i> Ne pas rcuprer les nouveaux attributs lors de la cration d'un 
fichier.
<br/><br/>
 1.5i
<i>noac</i> Dsactiver toutes formes de cache en mmoire pour les attributs. Ceci induit
une pnalisation des performances du serveur, mais permet toutefois  deux 
clients NFS d'obtenir des rsultats raisonnablement bons quand les deux clients
crivent sur le systme de fichiers du serveur.
<br/><br/>
 1.5i
<i>tcp</i> Monter le systme de fichiers NFS en utilisant le protocole TCP plutt que
UDP (par dfaut). Beaucoup de serveurs NFS ne supporte que UDP.
<br/><br/>
 1.5i
<i>udp</i> Monter le systme de fichiers en utilisant le protocole UDP. C'est l'attitude
par dfaut.<br/><br/>
Toutes les options sans valeur disposent d'une option inverse de la forme
nooption. Par exemple 
<i>nointr</i> indique de ne pas autoriser l'interruption des oprations NFS par les signaux.
</div><br/><br /><h1 class="TitreSection0" id="L4">fichiers</h1>
<div class="paragraph">
<i>/etc/fstab</i> </div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>fstab </b>(5), <b> mount </b>(8), <b> umount </b>(8), <b> exports (5)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">auteur</h1>
<div class="paragraph">
"Rick Sladkey" &lt;jrs@world.std.com&gt;
</div><br/><br /><h1 class="TitreSection0" id="L7">bogues</h1>
<div class="paragraph">
Les options 
<i>posix </i> et <i> nocto</i>
sont lues mais ignores silencieusement au montage.<br/><br/>
Les options
<i>tcp </i>, et <i> namlen</i>
sont implmentes mais pas encore supporte par le noyau Linux (0.99.11). <br/><br/>
La commande 
<b>umount</b> <b></b>  devrait notifier le serveur que le systme de fichiers NFS est dmont.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
