<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 11/05/1999 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages 1.23 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>TZFILE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
tzfile - Information de fuseau horaire.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
.B
#include &lt;tzfile.h&gt;
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les fichiers d'information de fuseau horaire utiliss par
<b>tzset (3)</b>
commencent par les caractres magiques "TZif" pour les identifier
(Time Zone information file).
Ces caractres sont suivis de 16 octets rservs pour une utilisation
future, suivis de 6 valeurs sur 4 octets de type
<b>long ,</b>
crites dans l'ordre "standard" des octets
(poids fort en premier)
Ces valeurs sont,
dans l'ordre&nbsp;:
<br/><br/>

<i>tzh_ttisgmtcnt</i> Le nombre d'indicateurs UTC/local enregistrs dans le fichier.
<br/><br/>

<i>tzh_ttisstdcnt</i> Le nombre d'indicateurs standard/wall enregistrs dans le fichier.
<br/><br/>

<i>tzh_leapcnt</i> Le nombre de secondes de rattrapage pour lesquelles des donnes sont enregistres.
<br/><br/>

<i>tzh_timecnt</i> Le nombre d'instants de transition pour lesquels des donnes sont
enregistres dans le fichier.
<br/><br/>

<i>tzh_typecnt</i> Le nombre de types d'heures locales pour lesquelles des donnes sont
enregistres dans le fichier (ne doit pas tre nul).
<br/><br/>

<i>tzh_charcnt</i> Le nombre de caractres de chanes d'abrviation de fuseau horaire
enregistres dans le fichier.<br/><br/>
Cet en-tte est suivi par
<i>tzh_timecnt</i> valeurs sur 4 octets de type
<b>long ,</b>
classes en ordre croissant.
Ces valeurs sont crites dans l'ordre standard des octets.
Chacune est un instant de transition (comme renvoy par l'appel-systme
<b>time (2))</b>
auquel les rgles de calcul de l'heure locale changent.
Ensuite viennent
<i>tzh_timecnt</i> valeurs sur un octet de type
<b>unsigned char</b> ;</b>
chacune indiquant lequel des diffrents types d'heures locales dcrites
dans le fichier est associ avec l'instant de transition ayant le mme rang.
Ces valeurs servent d'indice dans une table de structures
<i>ttinfo</i> qui apparaissent ensuite dans le fichier.
Ces structures sont dfinies ainsi&nbsp;:
.in +.5i
<br/><br/>


.ta .5i +\w'unsigned int\0\0'u
struct ttinfo {
	long	tt_gmtoff;
	int	tt_isdst;
	unsigned int	tt_abbrind;
};
.in -.5i


<br/><br/>

Chaque structure est crite sous forme d'une valeur 4 octets pour
<i>tt_gmtoff</i> du type
<b>long ,</b>
dans l'ordre standard des octets, suivie d'une valeur sur 1 octet pour
<i>tt_isdst</i> et une valeur sur 1 octet pour
<i>tt_abbrind .</i>
Dans chaque structure, 
<i>tt_gmtoff</i> indique le nombre de secondes  ajouter  l'UTC,
<i>tt_isdst</i> indique si
<i>tm_isdst</i> doit tre indiqu par
<b>localtime (3)</b>
et
<i>tt_abbrind</i> sert d'index dans la table des caractres d'abrviation de la zone horaire
qui suit les structures
<i>ttinfo</i> dans le fichier.<br/><br/>
Viennent ensuite
<i>tzh_leapcnt</i> paires de valeurs 4 octets, crites dans l'ordre standard des octets. La
premire valeur de chaque paire donne l'instant
(comme fourni par
<b>time(2))</b>
auquel se trouve une seconde de rattrapage.
La seconde indique le nombre 
<i>total</i> de secondes de rattrapage  insrer aprs l'instant donn.
Ces paires sont classes en ordre croissant de date.<br/><br/>
Ensuite se trouvent
<i>tzh_ttisstdcnt</i> indicateurs standard/wall, chacun enregistr sur un octet. Ils indiquent
si les instants de transition associs aux types d'heures locales ont t
spcifis en heure standard ou locale, et servent lorsqu'un fichier
de fuseau horaire permet de manipuler des variables d'environnement
de zone horaire  la manire POSIX.<br/><br/>
Finalement se trouvent
<i>tzh_ttisgmtcnt</i> indicateurs UTC/local , chacun enregistr sur un octet. Ils indiquent si les
instants de transition associs aux types d'heures locales ont t spcifis
en heure UTC ou locale, et servent lorsqu'un fichier de fuseau horaire
permet de manipuler des variables d'environnement
de zone horaire  la manire POSIX.<br/><br/>
<i>Localtime</i> utilise la premire structure
<i>ttinfo</i> en heure standard du fichier (ou simplement la premire structure
<i>ttinfo</i> s'il n'y en a pas en heure standard), si 
<i>tzh_timecnt</i> est nul, ou si son argument temporel est antrieur  la premire transition
enregistre dans le fichier..
<!-- .SH "VOIR AUSSI" -->
<!-- <b>newctime (3) --></b>
</div><br/><br /><h1 class="TitreSection0" id="L4">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1999-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
