<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1995 Paul Gortmaker -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  This man page written 950814 by aeb, based on Paul Gortmaker's HOWTO -->
<!--  (dated v1.0.1, 15/08/95). -->
<!--  -->
<!--  -->
<!--  Traduction 20/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!-- 	mise a jour 25/01/97 -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ LDP 1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>BOOTPARAM</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">arguments gnraux non spcifiques  un priphrique</a>
<br /><a class="summaryIndent0" href="#L3">arguments de dmarrage pour les dveloppeurs du noyau</a>
<br /><a class="summaryIndent0" href="#L4">arguments de dmarrage pour disques virtuels</a>
<br /><a class="summaryIndent0" href="#L5">arguments de dmarrage pour priphriques scsi</a>
<br /><a class="summaryIndent0" href="#L6">disques durs</a>
<br /><a class="summaryIndent0" href="#L7">priphriques bus ibm mca</a>
<br /><a class="summaryIndent0" href="#L8">cd-roms (non-scsi/atapi/ide)</a>
<br /><a class="summaryIndent0" href="#L9">priphriques ethernet</a>
<br /><a class="summaryIndent0" href="#L10">les lecteurs de disquettes</a>
<br /><a class="summaryIndent0" href="#L11">le contrleur son</a>
<br /><a class="summaryIndent0" href="#L12">drivers isdn</a>
<br /><a class="summaryIndent0" href="#L13">drivers de port srie</a>
<br /><a class="summaryIndent0" href="#L14">pilote d'imprimante</a>
<br /><a class="summaryIndent0" href="#L15">drivers souris</a>
<br /><a class="summaryIndent0" href="#L16">priphriques vido</a>
<br /><a class="summaryIndent0" href="#L17">auteurs</a>
<br /><a class="summaryIndent0" href="#L18">voir aussi</a>
<br /><a class="summaryIndent0" href="#L19">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
bootparam - Introduction aux paramtres de dmarrage du noyau Linux.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Le noyau Linux accepte un certain nombre d'options en ligne de commande, aussi
appeles paramtres de dmarrage, au moment o il est charg. En gnral ceci est
utilis principalement pour fournir au noyau des informations sur les paramtres
matriels, qu'il serait incapable de dterminer seul, ou pour viter/remplacer
les valeurs qu'il dtecterait normalement.<br/><br/>
Quand le noyau est dmarre directement par le BIOS (par exemple depuis une
disquette sur laquelle le noyau a t copi en utilisant `cp zImage /dev/fd0'),
il n'y a pas de possibilits de prciser des paramtres.
Aussi, afin de tirer parti de ces possibilits, vous devez utiliser un chargeur
capable de transmettre les options, comme Lilo ou loadlin.
Pour un petit nombre de paramtres, on peut galement modifier l'image du noyau
elle-mme, en utilisant 
<b>rdev (8).<br/><br/></b>
Le programme LILO (LInux LOader) de Werner Almesberger est le plus utilis.
 Il permet de dmarrer des noyaux divers, et de mmoriser la configuration
dans un fichier de texte.(Voir
<b>lilo (8)</b>
et
<b>lilo.conf (5).)</b>
LILO peut dmarrer DOS, OS/2, Linux, FreeBSD, etc. et est assez souple d'emploi.<br/><br/>
L'autre chargeur classique de Linux est `LoadLin', un programme DOS, qui peut
dmarrer un noyau Linux depuis une session DOS (avec des arguments)
 condition que certaines ressources soient disponibles.
Ceci est trs utile pour les personnes dsirant lancer Linux depuis le DOS.<br/><br/>
LoadLin est galement particulirement utile s'il y a des priphriques qui
ncessitent un driver DOS pour placer le matriel dans un tat donn.
Un exemple classique est celui des cartes sonores `Compatibles SoundBlaster'
qui ont besoin d'un driver DOS pour manipuler des registres exotiques afin
de placer la carte dans un mode compatible SB. Dmarrer le DOS pour initialiser
la carte avec le driver en question, puis charger Linux depuis le prompt du
DOS avec LoadLin vitera la rinitialisation de la carte au redmarrage.<br/><br/>
.SH  "LISTE D'ARGUMENTS"<br/><br/>
La ligne de commande du noyau est une liste de chanes de caractres
(les arguments) spares par des espaces.  
La plupart des arguments de dmarrages ont la forme suivante&nbsp;:
.IP
nom[=valeur_1][,valeur_2]...[,valeur_10]<br/><br/>
o `nom' est un mot-cl unique utilis pour identifier la partie du noyau 
laquelle les valeurs ventuelles sont associes. Les arguments multiples sont
prsents les uns aprs les autres, spars par des virgules.
Notez que la limite de 10 valeurs est relle, le code actuel n'en acceptant
pas plus. (Nanmoins, vous pouvez r-utiliser le mme mot-cl avec 10
paramtres supplmentaires dans certaines situations inhabituelles,
en esprant que la fonction d'initialisation les supportera).<br/><br/>
La plupart du traitement a lieu dans 
<i>linux/init/main.c .  </i>
Tout d'abord le noyau vrifie si l'argument est l'un des mots-cls
<b>root= </b>, <b> nfsroot= </b>, <b> nfsaddrs= </b>, <b> ro </b>, <b> rw </b> , <b> debug ,</b>
ou
<b> init .</b>
La signification de ces options est donne plus bas.<br/><br/>
Ensuite il parcourt une liste de fonctions d'initialisation (contenue dans la
table bootsetups) pour vrifier si la chane de l'argument spcifie (par exemple `foo')
est associe avec une fonction d'initialisation (`foo_setup()') pour un priphrique
ou une partie du noyau. Si l'on transmet la ligne foo=3,4,5,6 alors le noyau cherchera
dans la table bootsetups si `foo' est enregistr. S'il l'est, le noyau appellera
la fonction associe  `foo' (foo_setup()) en lui passant les arguments 3, 4, 5 et 6
donns sur la ligne de commande.<br/><br/>
Tout ce qui est de la forme `foo=bar' et qui ne concerne pas une fonction 
d'initialisation est interprt comme une variable d'environnement  fixer. Un
exemple (inutile ?) serait l'utilisation de `TERM=vt100' comme argument de dmarrage.<br/><br/>
Les arguments restants, qui n'ont pas t intercepts par le noyau, et qui ne sont
pas interprts comme des variables d'environnement, seront passs au processus
numro un, habituellement <b>init</b>. L'argument le plus courant dans ce cas
est `single' qui indique  <b>init</b> de dmarrer en mode mono-utilisateur,
sans lancer les dmons.
Regardez la page de manuel de la version d'init install sur votre systme pour
connatre les arguments qu'il accepte.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">arguments gnraux non spcifiques  un priphrique</h1>
<div class="paragraph"><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`init=...'</h2>
<div class="paragraph">
Ceci fournit une commande initiale  faire excuter par le noyau.
Si ce paramtre n'est pas fourni, ou est introuvable, le noyau
essaiera successivement&nbsp;:
<i>/etc/init ,</i>
<i>/bin/init ,</i>
<i>/sbin/init ,</i>
<i>/bin/sh</i>
et paniquera si tout cela choue.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`nfsaddrs=...'</h2>
<div class="paragraph">
Ceci permet de fournir une adresse de dmarrage nfs. Cette adresse
est utilise en cas de dmarrage depuis un rseau.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`nfsroot=...'</h2>
<div class="paragraph"><br/><br/>
Ceci indique le nom nfs de la racine. Si cette chane ne commence
ni par '/' ni par ',' ni par un chiffre, elle est alors prfixe
automatiquement par `/tftpboot/'.
Ceci est utilis en cas de dmarrage depuis un rseau.<br/><br/>
.SS  "`no387'"<br/><br/>
(Uniquement si la constante CONFIG_BUGi386 est dfinie.)
Certains coprocesseurs i387 ont des bogues qui apparaissent en mode protg 32 bits.
par exemple, les premiers ULSI-387 bloquaient le systme durant l'excution des
oprations en virgule flottante.
Si l'argument `no387' est indiqu, Linux ignore le coprocesseur arithmtique mme
s'il en dtecte un. Bien sr, le noyau doit tre compil avec l'option d'mulation
mathmatique.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`no-hlt'</h2>
<div class="paragraph"><br/><br/>
(Uniquement si la constante CONFIG_BUGi386 est dfinie.)
Certaines puces i486DX-100 anciennes ont un problme avec l'instruction `hlt', en
ceci qu'elle ne pouvaient pas reprendre fiablement le cours des oprations aprs
l'utilisation de `hlt'. L'option `no-hlt' indique  Linux d'utiliser une boucle
infinie quand il n'a rien  faire et de ne pas arrter le CPU. <br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`root=...'</h2>
<div class="paragraph"><br/><br/>
Cet argument indique au noyau quel priphrique doit tre utilis comme systme
de fichiers racine pendant le dmarrage. La configuration par dfaut est dtermine
lors de la compilation du noyau, et est gnralement gale  la racine du systme
de fichiers utilise lors de la compilation.
Pour surcharger cette valeur, et slectionner par exemple le second lecteur de
disquette, on utilisera `root=/dev/fd1'. (le priphrique racine peut galement
tre configur en utilisant
<b>rdev (8).)<br/><br/></b>
Le priphrique racine peut tre spcifi de manire symbolique ou numrique.
Une spcification symbolique a la forme /dev/XXYN, o XX dsigne un type de
priphrique (`hd' pour un disque dur compatible ST-506, avec Y dans l'intervalle
`a'-`d'; `sd' pour un disque compatible SCSI, avec Y dans `a'-`e';
`ad' pour un disque Atari ACSI, avec Y dans `a'-`e',
`ez' pour un disque amovible EZ135 sur le port parallle, avec Y=`a',
`xd' pour un disque compatible XT, Y tant `a' ou `b'; `fd' pour
un lecteur de disquette, Y tant le numro - fd0 serait
DOS `A:', et fd1 `B:'), Y la lettre ou le numro du
lecteur, et N le numro (en dcimal) de la partition (absent pour les disquettes).
Les noyaux rcents autorisent de nombreux autres types de priphriques
principalement pour les CD-ROMs: nfs, ram, scd, mcd, cdu535, aztcd, cm206cd,
gscd, sbpcd, sonycd, bpcd.
(Le type nfs indique un boot sur rseau, et ram se rapporte  un disque
virtuel en mmoire).<br/><br/>
Notez bien que cela n'a rien  voir avec la dsignation des priphriques dans
le systme de fichiers, le prfixe `/dev/' est purement conventionnel.<br/><br/>
La spcification numrique, plus complique et moins portable, du priphrique 
racine en utilisant les numros majeur/mineur est galement accepte.
(par exemple /dev/sda3 a pour nombres majeur 8, mineur 3, et peut donc tre 
mentionn ainsi : `root=0x803'.)<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`ro' et `rw'</h2>
<div class="paragraph"><br/><br/>
L'option `ro' indique au noyau de monter le systme de fichiers racine en lecture
seule (read-only), ainsi les programmes de vrification de la cohrence du
systme de fichiers pourront travailler su un systme au repos.
Aucun processus ne peut crire sur le systme de fichiers en question jusqu'
ce qu'il soit remont en lecture/criture (Read/Write), avec un
`mount -w -n -o remount /'.
(Voir
<b>mount (8).)<br/><br/></b>
L'option `rw' indique au noyau de monter le systme de fichiers racine en
lecture/criture. C'est l'option par dfaut.<br/><br/>
Le choix entre lecture-seule et lecture/criture peut aussi tre fix avec
<b>rdev (8).<br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L21">`reserve=...'</h2>
<div class="paragraph"><br/><br/>
Cet argument permet de protger une zone de ports d'entres/sorties de l'auto-dtection.
La forme de l'option est&nbsp;:
.IP
reserve= base_IO,longueur[,base_IO,longueur]...<br/><br/>
Dans certaines machines il peut tre ncessaire d'empcher les drivers de rechercher
des priphriques dans des rgions spcifiques. En effet, certains matriels peuvent
mal ragir  l'auto-dtection, ou seraient mal reconnus.<br/><br/>
L'option reserve indique une zone de ports d'entres/sorties qu'il ne faut pas
examiner. Un driver de priphrique n'utilisera pas une rgion rserve,  moins
qu'une autre option le lui indique explicitement. <br/><br/>
Par exemple, la ligne de commande
.IP
reserve=0x300,32  blah=0x300<br/><br/>
empche tous les drivers, sauf `blah' d'examiner 0x300-0x31F.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`mem=...'</h2>
<div class="paragraph"><br/><br/>
L'appel BIOS, dfini dans les spcifications du PC, qui indique la quantit de 
mmoire installe n'est prvu que pour la dtection de 64 Mo au plus.
Linux utilise cet appel BIOS pendant le dmarrage pour obtenir la quantit de
mmoire installe. SI vous avez plus de 64&nbsp;Mo, vous devez utiliser cet argument
de dmarrage pour indiquer au noyau la valeur exacte.
Cette valeur est fournie en dcimal ou en hexadcimal (prfixe 0x), et
les suffixes `k' (kilo-octets) ou `M' (mga-octets) peuvent tre
utiliss.
Voici un extrait d'une note de Linus sur l'utilisation du paramtre `mem='&nbsp;:<br/><br/>
``Le noyau acceptera n'importe quelle valeur fournie pour le paramtre `mem=xx' 
et s'il s'avre que vous lui avez menti, il va se planter horriblement tt ou tard.
Ce paramtre indique la plus haute adresse mmoire accessible, ainsi
`mem=0x1000000' signifie que vous avez 16&nbsp;Mo de RAM par exemple. Pour une machine
avec 96 Mo cela deviendrait `mem=0x6000000'.<br/><br/>
NOTE NOTE NOTE&nbsp;: certaines machines peuvent utiliser le sommet de la mmoire pour
cacher le BIOS ou n'importe quoi d'autre, aussi vous ne pourrez pas adresser les
96 Mo en entier. L'inverse est aussi vrai, certaines cartes mres vont projeter
la mmoire physique recouverte par le BIOS juste au-dessus de la mmoire
accessible, auquel cas vous auriez accs  96&nbsp;Mo&nbsp;+ 384&nbsp;ko par exemple.  
Si vous faites croire a Linux qu'il dispose de plus de mmoire que ce qu'il
a en ralit, des sales trucs vont se produire&nbsp;: peut-tre pas tout de suite,
mais plus tard  coup sr.''<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`panic=N'</h2>
<div class="paragraph">
Par dfaut, le noyau ne redmarrera pas automatiquement aprs un
cas de panique, mais cette option permet d'indiquer un dlai (en seconde)
entre la panique, et le redmarrage automatique.
Ce dlai peut galement tre configur avec "echo N &gt; /proc/sys/kernel/panic".<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`reboot=[warm|cold][,[bios|hard]]'</h2>
<div class="paragraph">
(Uniquement si la constante CONFIG_BUGi386 est dfinie.)
Depuis le noyau 2.0.22, <b>reboot</b>(2) effectue par dfaut un redmarrage  froid.
Certains ont demand la restauration de l'ancienne valeur par dfaut
`reboot=warm'. Un redmarrage  froid peut tre ncessaire pour rinitialiser
certains priphriques, mais risque de dtruire des donnes prsentes dans
le cache disque. Un redmarrage  chaud peut tre plus rapide.
Par dfaut, le redmarrage est effectu matriellement (hard) en demandant
au contrleur de clavier de baisser le niveau de la ligne reset. Il existe
toutefois des cartes mres o cela ne fonctionne pas, l'option `reboot=bios'
permet alors de redmarrer de manire logicielle, en appelant le BIOS.<br/><br/>
.SS "`nosmp'" et "`maxcpus=N'"
(Seulement si la constante __SMP__ est dfinie.)
L'option `nosmp' ou `maxcpus=0' empche totalement l'activation du mode SMP.
Une option `maxcpus=N' limite le nombre maximum de CPU activs en mode SMP.<br/><br/>
<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">arguments de dmarrage pour les dveloppeurs du noyau</h1>
<div class="paragraph"><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`debug'</h2>
<div class="paragraph"><br/><br/>
Les messages du noyau sont manipuls par le dmon de journalisation klogd,
ainsi ils peuvent tre stocks sur disque. Les messages disposant d'une
priorit suprieure  la valeur
<i>console_loglevel</i> sont aussi affichs sur la console (Voir &lt;linux/kernel.h&gt;.). Par dfaut,
cette variable est positionne pour journaliser tout ce qui est plus 
important que les messages de dbogage. Cet argument de dmarrage indiquera
au noyau d'afficher galement les messages de la priorit DEBUG.
Le niveau de la console peut aussi tre modifi pendant l'excution, avec une
option de klogd. Voir
<b>klogd (8).<br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L21">`profile=N'</h2>
<div class="paragraph"><br/><br/>
Il est possible d'activer les fonctions de suivi du noyau si l'on
dsire s'assurer de l'emplacement o le noyau consomme ses cycles CPU.
Le suivi est activ en remplissant la variable
<i>prof_shift</i> avec une valeur non-nulle.
Ceci peut tre effectu soit en dfinissant la constante CONFIG_PROFILE durant
la compilation, soit en indiquant l'option `profile=' au dmarrage.
La valeur reue par la variable
<i>prof_shift</i> sera N s'il est fourni, ou CONFIG_PROFILE_SHIFT si cette variable existe
ou 2 par dfaut. La signification de la variable correspond  la
finesse du suivi. A chaque top d'horloge, si le systme excute
du code du noyau, un compteur est incrment&nbsp;:
.IP
profile[adresse &gt;&gt; prof_shift]++;<br/><br/>
Les informations brutes concernant le suivi peuvent tre lues dans
<i>/proc/profile .</i>
Vous prfrerez probablement utiliser un outil comme readprofile.c
pour les examiner.
L'criture dans
<i>/proc/profile</i> effacera les compteurs.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`swap=N1,N2,N3,N4,N5,N6,N7,N8'</h2>
<div class="paragraph">
Ceci permet de configurer les huit paramtres max_page_age, page_advance, 
page_decline, page_initial_age, age_cluster_fract, age_cluster_min,
pageout_weight, bufferout_weight qui contrlent l'algorithme de swap
du noyau. A n'utiliser que par les dveloppeurs du noyau.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`buff=N1,N2,N3,N4,N5,N6'</h2>
<div class="paragraph">
Ceci permet de configurer les six paramtres max_buff_age, buff_advance,
buff_decline, buff_initial_age, bufferout_weight, buffermem_grace
qui contrlent la gestion des buffers
du noyau. A n'utiliser que par les dveloppeurs du noyau.<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L5">arguments de dmarrage pour disques virtuels</h1>
<div class="paragraph">
(Uniquement si le noyau a t compil avec l'option CONFIG_BLK_DEV_RAM.)
Il est gnralement dconseill d'utiliser un disque virtuel
sous Linux. Le systme grera mieux la mmoire disponible tout seul.
Nanmoins, pendant le dmarrage, ou durant la cration de disquettes
de dmarrage, il peut tre utile de charger le contenu d'une disquette
sur un disque virtuel.
Il peut galement arriver sur certain systmes que des modules particuliers
concernant les systmes de fichiers ou le matriel aient besoin d'tre chargs
avant l'accs au disque principal.<br/><br/>
Avec Linux 1.3.48, la gestion des disques virtuels a t profondment modifie.
Auparavant la mmoire tait alloue de manire statique, avec un paramtre
`ramdisk=N' qui indiquait la taille.
(On pouvait galement configurer la taille du disque directement dans l'image
du noyau  la compilation, ou avec 
<b>rdev (8).)</b>
Actuellement, les disques virtuels utilisent les buffers caches, et grossissent
dynamiquement.
Pour obtenir plus d'information (par exemple comment utiliser
<b>rdev (8)</b>
avec les nouveaux disques virtuels), consultez le fichier
<i>/usr/src/linux/Documentation/ramdisk.txt .<br/><br/></i>
Il y a quatre paramtres, deux boolens et deux entiers.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`load_ramdisk=N'</h2>
<div class="paragraph">
Si N=1, un disque virtuel est charg en mmoire, si N=0 pas
de chargement (comportement par dfaut).<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`prompt_ramdisk=N'</h2>
<div class="paragraph">
Si N=1, demander l'insertion d'une disquette (comportement par dfaut)
Si N=0, ne rien demander (donc ce paramtre n'est jamais utilis...)<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`ramdisk_size=N' ou (obsolte) `ramdisk=N'</h2>
<div class="paragraph">
Fixer la taille maximale du disque virtuel  N&nbsp;ko. Par dfaut la valeur
est de 4096&nbsp;ko (4&nbsp;Mo).<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`ramdisk_start=N'</h2>
<div class="paragraph">
Indiquer le numro de bloc de dpart (l'emplacement sur la disquette o
dmarre le contenu du disque virtuel). Ceci est utile dans le cas
o l'image du disque virtuel suit une image de noyau.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`noinitrd'</h2>
<div class="paragraph">
(Uniquement si le noyau a t compil avec les options CONFIG_BLK_DEV_RAM
et CONFIG_BLK_DEV_INITRD.)
On peut actuellement compiler le noyau pour qu'il utilise initrd.
Quand cette possibilit est active, le processus de dmarrage charge
le noyau et un disque virtuel initial. Puis le noyau convertit initrd
en un disque virtuel "normal" qui est mont en lecture/criture  la
racine. Ensuite /linuxrc est excut. A la suite de quoi le vrai
systme de fichiers est mont  la racine, et le systme initrd
est dplac en /initrd. Finalement, la squence de dmarrage habituelle
(appel de /sbin/init) est excute.<br/><br/>
Pour une description dtaille des possibilits de initrd, voyez le
fichier
<i>/usr/src/linux/Documentation/initrd.txt .<br/><br/></i>
L'option `noinitrd' indique au noyau que contrairement aux options avec
lesquelles il a t compil, il ne doit pas effectuer les tapes sus-mentionnes,
mais au contraire laisser les donnes de initrd sous
<i>/dev/initrd .</i>
(Ce priphrique ne peut tre utilis qu'une seule fois, les donnes sont libres
ds que le dernier processus les ayant utilis a referm
<i>/dev/initrd .)<br/><br/></i>

</div><br/><br /><h1 class="TitreSection0" id="L6">arguments de dmarrage pour priphriques scsi</h1>
<div class="paragraph"><br/><br/>
Notations gnrales pour cette section<br/><br/>
<i>iobase</i> -- Le premier port d'entre/sortie utilis par l'hte SCSI. Il est
indique en notation hexadcimale, habituellement dans l'intervalle
0x200  0x3ff.<br/><br/>
<i>irq</i> -- L'interruption matrielle pour laquelle la carte est configure.
Les valeurs possibles dpendent de la carte en question, mais sont gnralement
5, 7, 9, 10, 11, 12, et 15. Les autres valeurs sont plutt utilises par des
priphriques comme les disques IDE, les lecteurs de disquettes, les ports
srie, etc...<br/><br/>
<i>scsi-id</i> -- L'identifiant utilis par l'adaptateur pour se distinguer sur le bus SCSI.
Peu d'adaptateurs permettent de modifier cette valeur, qui est plutt fige en
interne. La valeur classique est 7 mais les cartes Seagate et Future Domain 
TMC-950 utilisent 6.<br/><br/>
<i>parity</i> -- Le fait que l'hte SCSI attendent que le priphrique lui fournisse ou non
une valeur de parit pour toutes les informations. Un 1 valide le contrle de
parit, un 0 le dsactive. Encore une fois, tous les adaptateurs ne supportent
pas la modification de ce comportement comme argument de dmarrage.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`max_scsi_luns=...'</h2>
<div class="paragraph"><br/><br/>
Un priphrique SCSI peut contenir plusieurs `sous-priphriques' en lui-mme.
L'exemple courant est celui des nouveaux lecteurs de CD-ROM qui grent
plusieurs disques en mme temps. Chaque CD est adress par un numro d'unit
logique, `Logical Unit Number' (LUN).
Mais la plupart des priphriques SCSI, comme les disques durs, ou les lecteurs
de bande, n'ont qu'un seul sous-priphrique avec un LUN nul.<br/><br/>
Certains priphriques SCSI mal conus ne peuvent pas tre tests sur plusieurs
LUN, aussi, si la constante CONFIG_SCSI_MULTI_LUN n'est pas dfinie, les noyaux
rcents n'examineront que le LUN zro.<br/><br/>
Pour indiquer le nombre de LUN  examiner au dmarrage, on indiquera
`max_scsi_luns=n' comme argument, n tant un nombre entre 1 et 8.
Pour viter les ennuis dcrits ci-dessus, on utilisera n=1 avec des
priphriques  problmes.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration des lecteurs de bande SCSI</h2>
<div class="paragraph"><br/><br/>
Certaines configurations au dmarrage des lecteurs de bandes SCSI peuvent tre
effectues ainsi&nbsp;:
.IP
st= buf_size[,write_threshold[,max_bufs]]<br/><br/>
Les deux premiers nombres sont indiqus en ko. La valeur par dfaut de
<i>buf_size</i> est 32&nbsp;ko, et la taille maximum exagrment grande est 16384&nbsp;ko.
Le nombre
<i>write_threshold</i> reprsente la valeur a partir de laquelle le buffer est effectivement crit sur la
bande, par dfaut 30&nbsp;ko.  
Le nombre maximum de buffers varie avec le nombre de lecteur dtects, et
vaut 2 par dfaut.
Un exemple d'utilisation serait&nbsp;:
.IP
st=32,30,2<br/><br/>
Des dtails complets se trouvent dans le fichier README.st, du rpertoire
scsi des sources du noyau.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration Adaptec aha151x, aha152x, aic6260, aic6360, SB16-SCSI</h2>
<div class="paragraph"><br/><br/>
Les numros aha se rfrent aux cartes, et les numros aic  la vritable
puce SCSI place sur ces cartes, y compris la Soundblaster-16 SCSI.<br/><br/>
Le code de dtection pour ces htes SCSI recherche un BIOS install, et si
aucun n'est prsent, la carte ne sera pas trouve. Alors il vous faudra utiliser
un argument de la forme&nbsp;:
.IP
aha152x= iobase[,irq[,scsi-id[,reconnect[,parity]]]]<br/><br/>
Si le driver a t compil avec les options de dbogage, une sixime valeur
peut spcifier le niveau de dbogage.<br/><br/>
Tous les paramtres sont identiques  ceux dcrits au dbut de cette section
et la valeur 
<i>reconnect</i> permettra au priphrique de se dconnecter/reconnecter si elle est non nulle.
Un exemple d'utilisation serait :
.IP
aha152x=0x340,11,7,1<br/><br/>
Notez que tous les paramtres doivent tre indiqus dans l'ordre, ce qui signifie
que pour spcifier une parit, il faut galement spcifier les valeurs de
iobase, irq, scsi-id et reconnect.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration Adaptec aha154x</h2>
<div class="paragraph"><br/><br/>
Les cartes aha1542 disposent d'un contrleur de disquettes i82077, mais pas les
cartes aha1540. Ce sont des cartes matresses sur le bus, et ont un paramtre
indiquant leur ``courtoisie'' dans le partage du bus avec d'autres priphriques.
Les arguments de dmarrage ressemblent 
.IP
aha1542= iobase[,buson,busoff[,dmaspeed]]<br/><br/>
Les valeurs acceptables de iobase sont habituellement 0x130, 0x134, 0x230, 0x234, 0x330, ou 0x334. Des cartes clones peuvent proposer d'autres valeurs.<br/><br/>
Les valeurs
<i>buson </i>, et <i> busoff</i>
se rfrent au nombre de micro-secondes pendant lesquelles la carte matrise le bus
ISA. Les valeurs par dfaut sont 11 micro-secondes on, et 4 micro-secondes off, 
ainsi d'autres cartes (comme les cartes ethernet ISA LANCE) ont la possibilit 
d'accder au bus ISA.<br/><br/>
La valeur
<i>dmaspeed</i> se rapporte au dbit (en Mo/sec) utilis pour les transferts DMA (Direct Memory
Access). La valeur par dfaut est 5&nbsp;Mo/sec. Des cartes rcentes vous permettent
de choisir cette valeur dans une configuration logicielle, les anciennes en
positionnant des cavaliers. On peut utiliser des valeurs jusqu' 10 Mo/sec, 
condition que la carte mre soit capable de les grer. Il faut exprimenter
prudemment pour les valeurs dpassant 5&nbsp;Mo/sec.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration Adaptec aha274x, aha284x, aic7xxx</h2>
<div class="paragraph"><br/><br/>
Ces cartes peuvent accepter un argument de la forme :
.IP
aic7xxx= extended,no_reset<br/><br/>
La valeur
<i>extended ,</i>
si elle est non nulle, indique que la traduction tendue est valide
pour les gros disques. La valeur
<i>no_reset ,</i>
si elle est non nulle, indique que le driver ne doit pas rinitialiser le bus
SCSI lors du dmarrage de l'hte.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration des htes SCSI AdvanSys (`advansys=')</h2>
<div class="paragraph"><br/><br/>
Le pilote AdvanSys accepte jusqu' quatre adresses d'entre/sortie qui
seront examines pour dtecter une carte SCSI AdvanSys. Notez que ces
valeurs, si elles sont utilises ne modifient en rien la dtection des
priphriques EISA ou PCI. Elles ne concernent que les cartes ISA ou
VLB. De plus si le pilote a t compil avec les options de dbogage,
on peut configurer le niveau de dbogage avec le paramtre
0xdeb[0-f]. Le niveau des messages de dbogage est configur
avec la valeur 0-f permettant ainsi d'accder  16 niveaux de messages.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">AM53C974</h2>
<div class="paragraph">
.IP
AM53C974= host-scsi-id,target-scsi-id,max-rate,max-offset<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration des htes SCSI BusLogic (`buslogic=')</h2>
<div class="paragraph"><br/><br/>
.IP
BusLogic= N1,N2,N3,N4,N5,S1,S2,...<br/><br/>
Pour une description dtaille des paramtres de ligne de commande
concernant les priphriques BusLogic, consultez le fichier
<i>/usr/src/linux/drivers/scsi/BusLogic.c</i>
(lignes 3149-3270 dans la version de noyau dont je dispose). Le texte
ci-dessous en est un extrait trs abrg.<br/><br/>
Les paramtres N1-N5 sont des entiers, les paramtres S1,... des chanes
de caractres. N1 correspond  l'adresse d'E/S ou l'adaptateur (Host Adapter)
est situ. N2 est la taille de la file d'attente (Tagged Queue Depth)
pour les priphriques qui supportent le `Tagged Queuing'.
N3 est le temps de dmarrage du bus (Bus Settle Time) en secondes. Il
s'agit de la dure d'attente entre un reset matriel d'un adaptateur
hte qui dclenche un reset du bus SCSI, et toute autre commande
SCSI.
N4 sont des options locales (pour un adaptateur hte).
N5 sont des options globales (pour tous les adaptateurs htes).<br/><br/>
Les chanes d'options sont utilises pour obtenir un contrle sur
le `Tagged Queuing'
(TQ:Default, TQ:Enable, TQ:Disable, TQ:&lt;Per-Target-Spec&gt;), sur
l' Error Recovery (ER:Default, ER:HardReset, ER:BusDeviceReset,
ER:None, ER:&lt;Per-Target-Spec&gt;), et sur la dtection de l'adaptateur
hte (NoProbe, NoProbeISA, NoSortPCI).<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration EATA/DMA</h2>
<div class="paragraph">
La liste par dfaut des ports d'entre/sortie  examiner peut tre
modifie avec
.IP
eata= iobase,iobase,... .<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration Future Domain TMC-16x0</h2>
<div class="paragraph">
.IP
fdomain= iobase,irq[,adapter_id]<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuraton Great Valley Products (GVP)</h2>
<div class="paragraph">
.IP
gvp11= dma_transfer_bitmask<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration Future Domain TMC-8xx, TMC-950</h2>
<div class="paragraph">
.IP
tmc8xx= mem_base,irq<br/><br/>
La valeur
<i>mem_base</i> tant l'adresse utilise par la carte pour projeter ses ports d'entre/sortie en
mmoire. C'est gnralement l'une des valeurs suivantes :
0xC8000, 0xCA000, 0xCC000, 0xCE000, 0xDC000, ou 0xDE000.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration IN2000</h2>
<div class="paragraph">
.IP
in2000= S<br/><br/>
o S est une chane d'lments mots-cls[:valeur], spars par
des virgules. Les mots-cls reconnus sont (certains ncessitent
des valeurs) :
ioport:addr, noreset, nosync:x, period:ns, disconnect:x,
debug:x, proc:x. Pour des dtails sur ces paramtres, voir
<i>/usr/src/linux/drivers/scsi/in2000.c .<br/><br/></i>
</div><br/><h2 class="TitreSection1" id="L21">Configuration NCR5380 et NCR53C400</h2>
<div class="paragraph"><br/><br/>
L'argument de dmarrage est de la forme
.IP
ncr5380= iobase,irq,dma<br/><br/>
ou
.IP
ncr53c400= iobase,irq<br/><br/>
Si la carte n'utilise pas les interruptions, une valeur d'IRQ de 255 (0xff)
permettra de les dsactiver. Une valeur IRQ de 254 rclame une autodtection.
On trouvera plus de dtails dans le fichier
<i>/usr/src/linux/drivers/scsi/README.g_NCR5380 .<br/><br/></i>
</div><br/><h2 class="TitreSection1" id="L21">Configuration NCR53C8xx</h2>
<div class="paragraph">
.IP
ncr53c8xx= S<br/><br/>
o S est une chane d'lments mots-cls:valeur, spars par
des virgules. Les mots-cls reconnus sont :
mpar (master_parity), spar (scsi_parity),
disc (disconnection), specf (special_features), ultra (ultra_scsi),
fsn (force_sync_nego), tags (default_tags), sync (default_sync),
verb (verbose), debug (debug), burst (burst_max).
Pour des dtails sur les valeurs correspondantes, voir
<i>/usr/src/linux/drivers/scsi/ncr53c8xx.c .<br/><br/></i>
</div><br/><h2 class="TitreSection1" id="L21">Configuration NCR53c406a</h2>
<div class="paragraph">
.IP
ncr53c406a= iobase[,irq[,fastpio]]<br/><br/>
Utiliser irq = 0 pour un fonctionnement sans interruption.
Fixer fastpio  1 pour un mode pio rapide, et  0 pour un mode lent.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuraton Pro Audio Spectrum</h2>
<div class="paragraph"><br/><br/>
La PAS16 utilise une puce SCSI NC5380, et les modles rcents permettent une
configuration de la carte sans avoir recours aux cavaliers. L'argument de
dmarrage est de la forme :
.IP
pas16= iobase,irq<br/><br/>
La seule nouveaut est que l'on peut indiquer la valeur 255 pour l'IRQ, ce qui
configure le driver pour un fonctionnement sans interruptions, au prix d'une
dgradation des performances. La valeur usuelle pour iobase est 0x388.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration Seagate ST-0x</h2>
<div class="paragraph"><br/><br/>
Si votre carte n'est pas dtecte au boot, vous devrez utiliser un argument de
dmarrage de la forme :
.IP
st0x= mem_base,irq<br/><br/>
La valeur
<i>mem_base</i> tant l'adresse utilise par la carte pour projeter ses ports d'entre/sortie en
mmoire. C'est gnralement l'une des valeurs suivantes : 0xC8000, 0xCA000, 
0xCC000, 0xCE000, 0xDC000, ou 0xDE000.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration Trantor T128</h2>
<div class="paragraph"><br/><br/>
Ces cartes, bases galement sur une puce NCR5380, acceptent les options suivantes :
.IP
t128= mem_base,irq<br/><br/>
Les valeurs acceptables de
<i>mem_base</i> sont : 0xCC000, 0xC8000, 0xDC000, 0xD8000.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration UltraStor 14F/34F</h2>
<div class="paragraph"><br/><br/>
La liste par dfaut des ports d'entre/sortie  examiner peut tre
modifie avec
.IP
eata= iobase,iobase,... .<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration WD7000</h2>
<div class="paragraph">
.IP
wd7000= irq,dma,iobase<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Configuration du contrleur SCSI Commodore Amiga A2091/590</h2>
<div class="paragraph">
.IP
wd33c93= S<br/><br/>
o S est une chane d'options spares par des virgules. Les options
reconnues sont :
nosync:bitmask, nodma:x, period:ns, disconnect:x, debug:x,
clock:x, next. Pour plus de dtails, voir
<i>/usr/src/linux/drivers/scsi/wd33c93.c .<br/><br/></i>

</div><br/><br /><h1 class="TitreSection0" id="L7">disques durs</h1>
<div class="paragraph"><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">paramtres des disques IDE et des lecteurs CD-ROM</h2>
<div class="paragraph"><br/><br/>
Le driver IDE accepte plusieurs paramtres, principalement pour indiquer la 
gomtrie du disque avec des contrleurs obsoltes.
Les spcifications du disque sont indiques en utilisant `hdX=' 
avec X dans l'intervalle `a'-`h'.<br/><br/>
Les options communes  plusieurs disques sont indiques avec le prfixe `hd='.
Notez que l'utilisation d'un prfixe spcifique  un disque avec une option
non spcifique marchera galement comme prvu.<br/><br/>
Notez encore que `hd=' peut tre utilis pour faire rfrence au disque suivant,
non spcifi, dans la squence (a, ..., h).  
Les options `hd=' sont prsentes brivement ci-dessous, regardez le fichier
README.ide dans linux/drivers/block pour plus de dtails.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Les options `hd=cyls,heads,sects[,wpcom[,irq]]'</h2>
<div class="paragraph"><br/><br/>
Ces options sont utilises pour indiquer la gomtrie physique du disque.
Seules les trois premires valeurs sont ncessaires. Les nombres de 
cylindres/ttes/secteurs seront ceux utiliss par fdisk.
La valeur de compensation en criture (write precompensation wpcom) est ignore
pour les disques IDE. L'IRQ indique sera utilise avec le contrleur du disque
dur, et n'est donc pas rellement spcifique au disque.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'option `hd=serialize'</h2>
<div class="paragraph"><br/><br/>
L'interface double IDE CMD-640 est mal conue, en ceci que lorsqu'un disque sur
la seconde interface est utilis simultanment au disque sur la premire interface,
les donnes seront corrompues. Utiliser cette option indique au driver de s'assurer
que les deux disques ne sont jamais utiliss en mme temps.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'option `hd=dtc2278'</h2>
<div class="paragraph"><br/><br/>
Cette option indique au driver que vous avez une interface IDE DTC-2278D.
Le driver essaiera alors d'utiliser des oprations spcifiques DTC, afin de valider
la seconde interface, et d'obtenir des transferts rapides.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'option `hd=noprobe'</h2>
<div class="paragraph"><br/><br/>
Ne pas examiner ce disque. Par exemple
.IP
hdb=noprobe hdb=1166,7,17<br/><br/>
va dsactiver la recherche, mais indique quand mme les paramtres gomtriques du
disque, ainsi il sera reconnu comme priphrique bloc valide, et pourra donc tre
utilis.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'option `hd=nowerr'</h2>
<div class="paragraph"><br/><br/>
Certains disques ont apparemment le bit WRERR_STAT positionn en permanence. Ceci
autorise le driver  ignorer ce bit.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'option `hd=cdrom'</h2>
<div class="paragraph"><br/><br/>
Ceci indique au driver IDE qu'il y a un lecteur de CD-ROM compatible ATAPI
attach  la place d'un disque dur normal. Dans la plupart des cas, le CD-ROM
est identifi automatiquement, mais  dfaut cette option peut vous aider.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Options du driver Standard ST-506 (`hd=')</h2>
<div class="paragraph"><br/><br/>
Le driver Standard peut accepter des arguments concernant la gomtrie des
disques similaires  ceux du driver IDE. Notez cependant qu'il n'attendra
que 3 valeurs (cylindres/ttes/secteurs) et tout ce qui suivra sera ignor
silencieusement.
De plus il n'accepte que l'option `hd=' en argument, `hda=' et autres ne seront
pas valides. Le format est le suivant :
.IP
hd=cylindres,ttes,secteurs<br/><br/>
Si deux disques sont installs, on rpte une seconde fois l'argument, avec les
paramtres du deuxime disque.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Options du driver XT(`xd=')</h2>
<div class="paragraph"><br/><br/>
Si vous avez la malchance d'utiliser encore ces vieilles cartes 8 bits qui 
transfrent les donnes avec une vitesse phnomnale de 125 ko/s voici des
informations qui vous concernent.
Si la carte n'est pas reconnue, il faut utiliser un argument de boot de la forme :
.IP
xd=type,irq,iobase,dma_chan<br/><br/>
La valeur type indique le fabricant de la carte, pour ignorer l'autodtection.
Pour une liste des types, consultez le fichiers
<i>drivers/block/xd.c</i> des sources du noyau. Ce type est un indice dans la table
<i>xd_sigs</i> qui volue suivant les versions du noyau. Aujourd'hui (Linux 2.5.0) les types
sont
0=gnrique&nbsp;; 1=DTC 5150cx&nbsp;; 2,3=DTC 5150x&nbsp;; 4,5=Western Digital&nbsp;; 6,7,8=Seagate&nbsp;; 9=Omti&nbsp;;10=XEBEC. Lorsque plusieurs types correspondent au mme
fabricant, ils sont quivalents. <br/><br/>
La fonction xd_setup() ne vrifie pas les valeurs, et suppose que vous avez bien
saisi les quatre. Ne la dcevez pas ! Voici un exemple d'utilisation pour un 
contrleur WD1002 avec un BIOS dsactiv en utilisant le paramtre de contrleur
XT `default' :
.IP
xd=2,5,0x320,3<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Disques amovibles Syquest's EZ*</h2>
<div class="paragraph">
.IP
ez= iobase[,irq[,rep[,nybble]]]<br/><br/><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">priphriques bus ibm mca</h1>
<div class="paragraph">
Voir galement
<i>/usr/src/linux/Documentation/mca.txt .<br/><br/></i>
</div><br/><h2 class="TitreSection1" id="L21">Disques durs ESDI PS/2</h2>
<div class="paragraph">
Il est possible d'indiquer la gomtrie dsire durant le
dmarrage :
.IP
ed= cyls,tetes,secteurs.<br/><br/>
Pour un ThinkPad-720, ajoutez l'option
.IP
<b>tp720=1 .<br/><br/><br/><br/></b>
</div><br/><h2 class="TitreSection1" id="L21">Configuration de sous-systmes SCSI IBM Microchannel</h2>
<div class="paragraph">
.IP
ibmmcascsi= N<br/><br/>
o N est le <i>pun</i> (ID SCSI) du sous-systme.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">cd-roms (non-scsi/atapi/ide)</h1>
<div class="paragraph"><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'Interface Aztech</h2>
<div class="paragraph"><br/><br/>
La syntaxe pour ce type de carte est :
.IP
aztcd=iobase[,magic_number]<br/><br/>
Si l'on fournit un numro magique valant 0x79 alors le driver dmarrera quelque
soit la version du matriel, mme inconnue. Toutes les autres valeurs sont
ignores.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Lecteurs de CD-ROM sur port parallle</h2>
<div class="paragraph">
Syntaxe :
.IP
pcd.driveN=prt,pro,uni,mod,slv,dly
<br/>
pcd.nice=nice<br/><br/>
o 'port' est l'adresse de base, 'pro' est le numro de protocole, 'uni' est
le slecteur d'unit (pour les chanes de priphriques), 'mod' est le mode
(ou -1 pour laisser le noyau choisir le meilleur automatiquement), 'slv' est
1 si il s'agit d'un esclave, et 'dly' est un petit entier pour ralentir les
accs au port. Le paramtre 'nice' demande l'utilisation par le pilote
des temps d'inactivit du CPU, au dtriment de la vitesse.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">l'Interface Sony CDU-31A and CDU-33A</h2>
<div class="paragraph"><br/><br/>
Cette interface CD-ROM est prsente sur certaines cartes sonores Pro Audio 
Spectrum et sur d'autres cartes fournies par Sony. La syntaxe est la suivante :
.IP
cdu31a=iobase,[irq[,is_pas_card]]<br/><br/>
Fournir une valeur d'IRQ nulle indique au driver que les interruptions matrielles
ne sont pas supportes (comme sur certaines cartes PAS). Si votre carte supporte
les interruptions, vous devez les utiliser car cela rduit grandement l'utilisation
du CPU par le driver.<br/><br/>
La valeur de
<i>is_pas_card</i> doit tre `PAS' si l'on utilise une carte Pro Audio Spectrum, et rien sinon.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'interface Sony CDU-535</h2>
<div class="paragraph"><br/><br/>
La syntaxe de cette interface CD-ROM est la suivante :
.IP
sonycd535=iobase[,irq]<br/><br/>
Un zro peut tre utilis comme iobase en tant que valeur fictive si l'on veut
seulement indiquer la valeur d'IRQ.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'Interface GoldStar</h2>
<div class="paragraph"><br/><br/>
La syntaxe pour cette interface est :
.IP
gscd=iobase<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'interface ISP16</h2>
<div class="paragraph">
Syntaxe :
.IP
isp16=[iobase[,irq[,dma[,type]]]]<br/><br/>
(trois entiers et une chane). Si le type indique est `noisp16',
l'interface ne sera pas configure. Sinon les autres types
possibles sont :
`Sanyo", `Sony', `Panasonic' et `Mitsumi'.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'Interface Mitsumi Standard</h2>
<div class="paragraph"><br/><br/>
La syntaxe pour cette interface CD-ROM est :
.IP
mcd=iobase,[irq[,wait_value]]<br/><br/>
La valeur
<i>wait_value</i> est utilise comme dlai interne pour les personnes qui ont des problmes avec
leur lecteur, et est implment ou non en fonction d'une directive #define  la
compilation.
Le Mitsumi FX400 est un lecteur CD-ROM IDE/ATAPI et n'utilise pas le driver mcd.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'Interface Mitsumi XA/MultiSession</h2>
<div class="paragraph"><br/><br/>
Il s'agit du mme matriel que le prcdent, mais le pilote de priphrique
a des possibilits tendues.
Syntaxe:
.IP
mcdx=iobase[,irq]<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'Interface Optics Storage</h2>
<div class="paragraph"><br/><br/>
La syntaxe pour ce type de carte est :
.IP
optcd=iobase<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'Interface Phillips CM206</h2>
<div class="paragraph"><br/><br/>
La syntaxe pour ce type de carte est :
.IP
cm206=[iobase][,irq]<br/><br/><br/><br/>
Le driver suppose que les nombres entre 3 et 11 sont des valeurs d'IRQ, et
ceux entre 0x300 et 0x370 des ports d'entres/sorties. Ainsi on peut
spcifier une seule valeur ou les deux, dans un ordre quelconque. Il accepte
galement `cm206=auto' pour valider l'autodtection.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'Interface Sanyo</h2>
<div class="paragraph"><br/><br/>
La syntaxe pour ce type de carte est :
.IP
sjcd=iobase[,irq[,dma_channel]]<br/><br/><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">L'Interface SoundBlaster Pro</h2>
<div class="paragraph"><br/><br/>
La syntaxe pour ce type de carte est :
.IP
sbpcd=iobase,type<br/><br/>
o type est l'une des chanes suivantes (respecter majuscules/minuscules) :
`SoundBlaster', `LaserMate', ou `SPEA'. La valeur pour iobase est celle de
l'interface CD-ROM, et non pas celle de la partie son de la carte.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">priphriques ethernet</h1>
<div class="paragraph"><br/><br/>
Chaque priphrique utilise des paramtres spcifiques, mais ils partagent tous
au moins une valeur d'IRQ, une base d'entre/Sortie et un nom. Dans sa forme la
plus gnrique la ligne d'argument est la suivante :
.IP
ether=irq,iobase[,parm_1[,...parm_8]],nom<br/><br/>
le premier argument non-numrique est considr comme le nom. La valeur de 
parm_n (si elle existe) a une signification diffrente pour chacun des drivers.
Habituellement les valeurs parm_n sont utilises pour indiquer des options comme
l'adresse d'une mmoire partage, la slection d'interface, le canal DMA, etc.<br/><br/>
L'utilisation la plus courante de ce paramtre est de forcer la dtection d'une
seconde carte ethernet, car l'attitude par dfaut consiste a n'en dtecter qu'une
seule. Ceci peut tre effectu simplement avec :
.IP
ether=0,0,eth1<br/><br/>
Notez que les valeurs nulles pour irq et iobase dans l'exemple prcdent indiquent
au driver d'effectuer l'auto-dtection.<br/><br/>
Le Ethernet-HowTo contient une documentation trs complte sur l'utilisation de
plusieurs cartes, et sur les valeurs des param_n spcifiques aux cartes ou drivers.
Les lecteurs intresss se rfreront  la section traitant de leur carte dans ce
document.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L11">les lecteurs de disquettes</h1>
<div class="paragraph"><br/><br/>
Il existe de nombreuses options pour le driver de lecteurs de disquettes, et elles
sont listes dans le fichier README.fd du rpertoire linux/drivers/block. 
Les informations suivantes sont extraites de ce fichier.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=mask,allowed_drive_mask</h2>
<div class="paragraph"><br/><br/>
Utiliser la valeur mask comme masque binaire des lecteurs valides. Par dfaut,
seules les units 0 et 1 de chaque contrleurs de disquettes sont valides, car
certains priphriques non-standard (cartes mres ASUS PCI) bloquent
le clavier quand on accde aux units 2 ou 3. Cette option est quelque peu obsolte
avec la configuration cmos.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=all_drives</h2>
<div class="paragraph"><br/><br/>
Valide tous les lecteurs. Utilisez ceci si vous disposez de plus de deux lecteurs
connects sur un mme contrleur.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=asus_pci</h2>
<div class="paragraph"><br/><br/>
Ne valide que les units 0 et 1 (option par dfaut).<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=daring</h2>
<div class="paragraph"><br/><br/>
indique au driver que le contrleur a un comportement correct. Ceci permet
des oprations plus efficaces et plus rapides, mais peut chouer avec certains 
contrleurs.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=0,daring</h2>
<div class="paragraph"><br/><br/>
indique au driver que le contrleur doit tre utilis avec mfiance.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=one_fdc</h2>
<div class="paragraph"><br/><br/>
indique au driver que vous n'avez qu'un seul contrleur (attitude par dfaut).<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=two_fdc or floppy=adresse,two_fdc</h2>
<div class="paragraph"><br/><br/>
indique au driver que vous disposez de deux contrleurs. Le second est suppos se
trouver  l'adresse indique. Si l'adresse est absente, on suppose qu'elle vaut
0x370.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=thinkpad</h2>
<div class="paragraph"><br/><br/>
indique au driver que vous avez un Thinkpad. Les Thinkpads utilisent une convention
inverse pour le changement de disques.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=0,thinkpad</h2>
<div class="paragraph"><br/><br/>
indique au driver que vous n'avez pas de Thinkpad. <br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=drive,type,cmos</h2>
<div class="paragraph"><br/><br/>
fixe le type cmos du lecteur, et valide le lecteur. Ceci est utile si
vous avez plus de deux lecteurs de disquettes (seulement deux sont indiqus dans
la configuration cmos), ou si votre BIOS utilise un type de mmoire cmos 
non-standard. Indiquer CMOS  0 pour les deux premiers disques (dfaut), fera
lire la mmoire cmos par le driver pour ces deux disques.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=unexpected_interrupts</h2>
<div class="paragraph"><br/><br/>
Afficher un message d'avertissement si une interruption inattendue est reue
(comportement par dfaut).<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">floppy=no_unexpected_interrupts or floppy=L40SX</h2>
<div class="paragraph"><br/><br/>
Ne pas afficher de message d'avertissement si une interruption inattendue est 
reue. Ceci est ncessaire sur les ordinateurs portables IBM L40SX dans certains modes vidos.
(Il semble y avoir une interaction entre la vido et les disquettes. Les 
interruptions inattendues n'affectent que les performances et peuvent tre
ignores en toute scurit).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L12">le contrleur son</h1>
<div class="paragraph"><br/><br/>
Le driver sonore ne peut accepter que des arguments pour surcharger les valeurs
dfinies  la compilation. Ceci n'est pas recommand car il est assez complexe.
Les options sont dcrites dans le fichier Readme.Linux du rpertoire 
linux/drivers/sound. Il accepte des arguments de boot de la forme :
.IP
sound=device1[,device2[,device3...[,device10]]]<br/><br/>
o chaque valeur de deviceN utilise le format 0xTaaaId, avec :<br/><br/>
T - Type de priphrique : 1=FM, 2=SB, 3=PAS, 4=GUS, 5=MPU401, 6=SB16,
7=SB16-MPU401<br/><br/>
aaa - Adresse d'entre/sortie en hexadcimal<br/><br/>
I - Interruption en hexadcimal (10=A, 11=B, ...)<br/><br/>
d - Canal DMA<br/><br/>
Comme vous le voyez c'est assez compliqu, et il vaut mieux compiler un noyau avec
ses propres valeurs. L'utilisation de l'argument de dmarrage `sound=0' dsactivera
totalement le driver sonore.<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L13">drivers isdn</h1>
<div class="paragraph"><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Le driver ISDN ICN</h2>
<div class="paragraph">
Syntaxe :
.IP
icn=iobase,membase,icn_id1,icn_id2<br/><br/>
o icn_id1,icn_id2 sont deux chanes permettant d'identifier
la carte dans les messages du noyau.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Le driver ISDN PCBIT</h2>
<div class="paragraph">
Syntaxe :
.IP 
pcbit=membase1,irq1[,membase2,irq2]<br/><br/>
o membaseN est l'adresse de dpart de la mmoire partage de la Nime
carte, et irqN est la configuration d'interruption de la Nime carte.
Par dfaut IRQ vaut 5 et membase 0xD0000.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Le driver ISDN Teles</h2>
<div class="paragraph">
Syntaxe :
.IP
teles=iobase,irq,membase,protocol,teles_id<br/><br/>
o iobase est l'adresse du port d'entre/sortie de la carte, membase est
l'adresse de dpart de la mmoire partage, irq le canal d'interruption
utilis par la carte, et teles_id un identificateur ASCII unique.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L14">drivers de port srie</h1>
<div class="paragraph"><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Le driver RISCom/8 Multiport Serial(`riscom8=')</h2>
<div class="paragraph">
Syntaxe :
.IP
riscom=iobase1[,iobase2[,iobase3[,iobase4]]]<br/><br/>
Plus de dtails sont disponibles dans
<i>/usr/src/linux/Documentation/riscom8.txt .<br/><br/></i>
</div><br/><h2 class="TitreSection1" id="L21">Le driver DigiBoard (`digi=')</h2>
<div class="paragraph"><br/><br/>
Si l'on utilise cette option, elle doit avoir exactement six paramtres.
Syntaxe :
.IP
digi=status,type,altpin,numports,iobase,membase<br/><br/>
Les paramtres peuvent tre fournis sous forme d'entiers ou
de chanes. Si l'on utilise des chanes, iobase et membase
doivent tre indiqus en hexadcimal.
Les argument entiers sont, dans l'ordre :
status (Enable(1) activer ou Disable(0) dsactiver la carte),
type (PC/Xi(0), PC/Xe(1), PC/Xeve(2), PC/Xem(3)),
altpin (Enable(1) activer ou Disable(0) dsactiver la seconde configuration des broches),
numports (nombre de ports sur la carte),
iobase (Port d'entre/sortie de la carte (en hexa)),
membase (Adresse de base de la fentre mmoire (en hexa)).
Ainsi, les deux chanes d'arguments suivantes sont quivalentes :
.IP
digi=E,PC/Xi,D,16,200,D0000
<br/>
digi=1,0,0,16,0x200,851968<br/><br/>
Plus de dtails sont disponibles dans
<i>/usr/src/linux/Documentation/digiboard.txt .<br/><br/></i>
</div><br/><h2 class="TitreSection1" id="L21">Le driver Baycom Serial/Parallel Radio Modem</h2>
<div class="paragraph">
Syntaxe :
.IP
baycom=iobase,irq,modem<br/><br/>
Il y a exactement 3 paramtres. Si vous avez plusieurs cartes,
utilisez plusieurs commandes `baycom='.
Le paramtre modem est une chane prenant l'une des valeurs suivantes
ser12, ser12*, par96, par96*. Ici * indique la gestion logicielle
du DCD doit tre active, et ser12/par96 correspond au type de modem
support.
Pour plus de dtails, consultez
<i>/usr/src/linux/drivers/net/README.baycom .<br/><br/></i>
</div><br/><h2 class="TitreSection1" id="L21">Le driver Soundcard radio modem</h2>
<div class="paragraph">
Syntaxe :
.IP
soundmodem=iobase,irq,dma[,dma2[,serio[,pario]]],0,mode<br/><br/>
Tous les paramtres sont des entiers, sauf les deux derniers.
La valeur 0 est ncessaire pour viter un bogue dans le code de dmarrage.
Le paramtre `mode' est une chane avec la syntaxe hw:modem,
o hw correspond  sbc, wss, ou wssfdx et modem correspond 
afsk1200, ou fsk9600.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L15">pilote d'imprimante</h1>
<div class="paragraph"><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`lp='</h2>
<div class="paragraph">
Syntaxe :
.IP
lp=0
<br/>
lp=auto
<br/>
lp=reset
<br/>
lp=port[,port...]<br/><br/><br/><br/>
On peut indiquer au pilote
d'imprimante les ports  utiliser et ceux  ne pas utiliser. Ceci permet
d'viter que le pilote n'examine tous les ports, afin que d'autres
pilotes (PLIP, PPA) les utilisent.<br/><br/>
Le format de l'argument, est une suite de paires (adresse entre/sortie,
irq). Par exemple lp=none,parport0 utilisera le premier port parallle pour
lp1, et dsactivera lp0.
Pour dsactiver compltement le pilote
d'imprimante, utilisez lp=0.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">Driver WDT500/501</h2>
<div class="paragraph">
Syntaxe :
.IP
wdt=io,irq<br/><br/><br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L16">drivers souris</h1>
<div class="paragraph"><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`bmouse=irq'</h2>
<div class="paragraph"><br/><br/>
Le driver busmouse n'accepte qu'un seul paramtre, la valeur d'IRQ matrielle
 utiliser.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`msmouse=irq'</h2>
<div class="paragraph"><br/><br/>
Ceci est exactement la mme chose pour le driver msmouse.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">souris ATARI</h2>
<div class="paragraph"><br/><br/>
atamouse=threshold[,y-threshold]
.IP
Si un seul argument est fourni, il sera utilis  la fois pour les seuils
x-threshold et y-threshold. Sinon, le premier argument est x-threshold et
le second y-threshold. Ces valeurs doivent tre dans l'intervalle 1 
20 inclus. La valeur par dfaut est 2.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L17">priphriques vido</h1>
<div class="paragraph"><br/><br/>
</div><br/><h2 class="TitreSection1" id="L21">`no-scroll'</h2>
<div class="paragraph"><br/><br/>
Cette option indique au pilote de console de ne pas utiliser de
dfilement matriel (quand le dfilement est gr en dplaant
l'adresse de l'cran dans la mmoire vido sans dplacer les
donnes). Ceci est ncessaire pour certaines machines Braille.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L18">auteurs</h1>
<div class="paragraph">
Linus Torvalds (et de nombreux autres)<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L19">voir aussi</h1>
<div class="paragraph">
<b>klogd (8),</b>
<b>lilo.conf (5),</b>
<b>lilo (8),</b>
<b>mount (8),</b>
<b>rdev (8)<br/><br/></b>

Cette page de manuel a t conue  partir du Boot-Parameter-HOWTO version 1.0.1
crit par Paul Gortmaker. Des complments d'information seront donc trouvs dans
ce document (ou une version plus rcente).
Une source d'information  jour est :
<i>/usr/src/linux/Documentation/kernel-parameters.txt .</i>
</div><br/><br /><h1 class="TitreSection0" id="L20">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
