<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 2002 by Michael Kerrisk (mtk16@ext.canterbury.ac.nz) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--  -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein. -->
<!--  -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  -->
<!--  6 Aug 2002 - Initial Creation -->
<!--  Traduction Christophe Blaess, &lt;ccb@club-internet.fr&gt; -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<!--  MJ 30/07/2003 LDP-1.58 -->
<br/><h1>CAPABILITIES</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">notes</a>
<br /><a class="summaryIndent0" href="#L3">conformit</a>
<br /><a class="summaryIndent0" href="#L4">bogues</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
capabilities - Prsentation des capacits Linux.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph"><br/><br/>
Pour vrifier les permissions, les implmentations Unix traditionnelles
distinguent deux catgories de processus&nbsp;: Les processus
<i>privilgis</i> (dont l'UID effectif est nul, appels Super-Utilisateur, ou root), et
et les processus
<i>non-privilgis</i> (dont l'UID effectif est non-nul).
Les processus privilgis contournent les vrifications de permissions
du noyau, alors que les processus non-privilgis sont soumis  une
vrification complte base sur l'identification du processus
(habituellement&nbsp;: UID effectif, GID effectif, et liste des groupes).<br/><br/>
 partir du noyau 2.2, Linux propose un mcanisme
(encore impcomplet) de
<i>capacits ,</i>
qui scinde les privilges traditionnement associs au Super-utilisateur
en units distinctes que l'on peut activer ou inhiber individuellement.
</div><br/><h2 class="TitreSection1" id="L8">Liste des capacits</h2>
<div class="paragraph"><br/><br/>
Sous Linux 2.4.20, les capacits suivantes sont implmentes&nbsp;:
<!--  The following list is also accurate for 2.5.69, with a few minor -->
<!--  additions to the meanings of some capabilities. -->
<!--  E.g., CAP_FOWNER affects setting extended attributes -->
<!--  CAP_SYS_NICE allows calls to sched_setaffinity -->
<!--  -- MTK, May 2003 -->
<br/><br/>

<b>CAP_CHOWN</b> <b></b>  Permet de modifier arbitrairement les UID et GID des fichiers (voir
<b>chown (2)).</b>
<br/><br/>

<b>CAP_DAC_OVERRIDE</b> <b></b>  Contourne les permissions de lecture, criture et excution.
(DAC = "discretionary access control", contrle d'accs  volont).
<br/><br/>

<b>CAP_DAC_READ_SEARCH</b> <b></b>  Contourne les permissions de lecture de fichiers et celles de
lecture et excution des rpertoires.
<br/><br/>

<b>CAP_FOWNER</b> <b></b>  Contourne les vrifications pour les oprations qui demandent que le
FS-UID du processus corresponde  l'UID du
fichier (par exemple
<b>utime (2)),</b>
 l'exclusion des oprations couvertes par les
<b>CAP_DAC_OVERRIDE</b> <b></b>  et
<b>CAP_DAC_READ_SEARCH </b> ;<b></b>
Ignorer le bit sticky pour supprimer un fichier.
<br/><br/>

<b>CAP_FSETID</b> <b></b>  Ne pas effacer les bits Set-UID et Set-GID quand un fichier est modifi&nbsp;;
autoriser le positionnement du bit Set-GID sur un fichier dont le GID
ne correspond  aucun GID du processus appelant.
<br/><br/>

<b>CAP_IPC_LOCK</b> <b></b>  Permer le verrouillage de page mmoire
( mlock (2),</b>
<b>mlockall (2),</b>
<b>shmctl (2)).</b>
<br/><br/>

<b>CAP_IPC_OWNER</b> <b></b>  Contourne les vrifications pour les oprations sur les IPC Systme V.
<br/><br/>

<b>CAP_KILL</b> <b></b>  Contourne les vrifications pour l'mission de signaux (voir
<b>kill (2)).</b>
<!--  FIXME: CAP_KILL also an effect for threads + setting child -->
<!--         termination signal to other than SIGCHLD -->
<br/><br/>

<b>CAP_LEASE</b> <b></b>  (Depuis Linux 2.4) Autorise la demande de bail sur n'importe quel
fichier (voir
<b>fcntl (2)).</b>
<br/><br/>

<b>CAP_LINUX_IMMUTABLE</b> <b></b>  Autorise le positionnement des attributs tendus
<b>EXT2_APPEND_FL</b> <b></b>  et
<b>EXT2_IMMUTABLE_FL</b> <b></b>  du systme de fichiers
<i>ext2 .</i>
<br/><br/>

<b>CAP_MKNOD</b> <b></b>  (Depuis Linux 2.4)
Autorise la cration de fichiers spciaux avec
<b>mknod (2).</b>
<br/><br/>

<b>CAP_NET_ADMIN</b> <b></b>  Permet certaines oprations rsaeu
(par ex. obtenir des options privilgies sur les sockets, activer
le multicast, configurer les interfaces, modifier les
tables de routage).
<br/><br/>

<b>CAP_NET_BIND_SERVICE</b> <b></b>  Autorise l'attachement d'une socket sur un port rserv
(numro de port infrieur  1024).
<br/><br/>

<b>CAP_NET_BROADCAST</b> <b></b>  (Inutilis) Permet le broadcast et l'coute multicast sur les sockets.
<br/><br/>

<b>CAP_NET_RAW</b> <b></b>  Autorise l'utilisation des sockets RAW et PACKET.
<br/><br/>

<b>CAP_SETGID</b> <b></b>  Accs toute les manipulations des GID du processus et de la liste de groupes
supplmentaires, permet l'utilisation de faux GID sur les socket Unix.
<br/><br/>

<b>CAP_SETPCAP</b> <b></b>  Autorise le transfert de toutes capacits de l'ensemble des capacits autorises
de l'appelant  partir ou vers n'importe quel processus.
<br/><br/>

<b>CAP_SETUID</b> <b></b>  Permer la manipulation arbitraire des UID du processus
( setuid (2)...)</b>
permet de transmettre un faux UID
sur une socket dans le domaine Unix.
<!--  FIXME: CAP_SETUID also an effect in exec() -->
<br/><br/>

<b>CAP_SYS_ADMIN</b> <b></b>  Autorise un ensemble d'oprations d'aministration systme, comprenant&nbsp;:
<b>quotactl (2),</b>
<b>mount (2),</b>
<b>swapon (2) ,</b>
<b>sethostname (2),</b>
<b>setdomainname (2),</b>
<b>IPC_SET</b> <b></b>  et
<b>IPC_RMID</b> <b></b>  sur n'importe quel objet IPC Systme V&nbsp;; permet d'utiliser un faux
UID pour les authentifications des sockets.
<br/><br/>

<b>CAP_SYS_BOOT</b> <b></b>  Autorise l'appel
<b>reboot (2).</b>
<br/><br/>

<b>CAP_SYS_CHROOT</b> <b></b>  Autorise l'appel
<b>chroot (2).</b>
<br/><br/>

<b>CAP_SYS_MODULE</b> <b></b>  Permet le chargement ou le dchargement de modules du noyaux&nbsp;;
permet la modification des limitations de capacits.
<br/><br/>

<b>CAP_SYS_NICE</b> <b></b>  Autorise la diminution de la courtoisie
( nice (2),</b>
<b>setpriority (2))</b>
et la modification de la valeur de courtoisie de
n'importe quel processus&nbsp;; autorise l'utilisation des
ordonnancements temps-rel pour le processus appelant,
et la modification de l'ordonnancement de n'importe quel processus.
( sched_setscheduler <b>(2), </b> sched_setparam (2)).</b>
<br/><br/>

<b>CAP_SYS_PACCT</b> <b></b>  Autorise l'appel
<b>acct (2).</b>
<br/><br/>

<b>CAP_SYS_PTRACE</b> <b></b>  Permet de suivre n'importe quel processus avec
<b>ptrace (2)</b>
<br/><br/>

<b>CAP_SYS_RAWIO</b> <b></b>  Autorise les oprations d'entres/sorties
( iopl (2)</b>
et
<b>ioperm (2)).</b>
<br/><br/>

<b>CAP_SYS_RESOURCE</b> <b></b>  Permet&nbsp;: l'utilisation de l'espace rserv sur un systme ext2&nbsp;; l'appel
<b>ioctl (2)</b>
pour configurer la journalisation ext3&nbsp;; le
dpassement des quotas de disque&nbsp;;
l'augmentation des limites de ressources (voir
<b>setrlimit (2));</b>
la surcharge de la limite
<b>RLIMIT_NPROC </b> ;<b></b>
l'augmentation de la limite
<i>msg_qbytes</i> pour une file de messages au-dessus de la limite dans
<i>/proc/sys/kernel/msgmnb</i>
(voir
<b>msgop (2)</b>
et
<b>msgctl (2)).</b>
<br/><br/>

<b>CAP_SYS_TIME</b> <b></b>  Autorise la modification de l'heure systme
( settimeofday (2),</b>
<b>adjtimex </b>(2)) ;<b></b>
permet la modification de l'horloge temps-rel (matrielle).
<br/><br/>

<b>CAP_SYS_TTY_CONFIG</b> <b></b>  Autorise l'appel de
<b>vhangup (2).</b>
</div><br/><h2 class="TitreSection1" id="L8">Capacits d'un processus</h2>
<div class="paragraph">
Chaque processus a trois ensembles contenant zro ou plus des
capacits ci-dessus&nbsp;:
<br/><br/>

<i>Effectif </i> :<i></i>
Les capacits utilises par le noyau pour vrifier
les permissions du processus.
<br/><br/>

<i>Autoris </i> :<i></i>
Les capacits auxquelles le processus peut accder
(un sur-ensemble limite pour les ensembles
effectif et hritable).
Si un processus supprime une capacit de son ensemble autoris,
il ne plus jamais la rcuprer (sauf s'il excute un programme
Set-UID root).
<br/><br/>

<i>Hritable </i> :<i></i>
les capacits qui sont conserves au cours d'un
<b>execve (2).<br/><br/></b>
Dans l'implmentation actuelle, un processus reoit toutes les capacits
dans ses ensembles autoris et effectif ( travers les limites
dcrites ci-dessous)
lorsqu'il excute un programme Set-UID-root,
ou si un processus avec un UID rel nul excute un nouveau programme.<br/><br/>
Un enfant cr par
<b>fork (2)</b>
reoit une copie des ensembles de capacit de son pre.<br/><br/>
En utilisant
<b>capset (2),</b>
un processus peut manipuler ses propres ensembles, ou s'il a la capacit
<b>CAP_SETPCAP ,</b>
celles d'un autre processus.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L8">Limitation des des capacits</h2>
<div class="paragraph">
Quand un programme est excut, les capacits effectives et autorises sont
filtres par un ET binaire avec la valeur en cours de 
<i>la limitation des capacits</i> ,</i>
dfinie dans le fichier
<i>/proc/sys/kernel/cap-bound .</i>
Ce paramtre peut servir  fixer une limite au niveau systme sur les
capacits disponibles pour tous les programmes excuts ultrieurement.
(Le masque de bits est exprim comme un nombre dcimal sign dans
<i>/proc/sys/kernel/cap-bound ,</i>
ce qui entretient les confusion).<br/><br/>
Seul le processus
<b>init</b> <b></b>  peut fixer l'ensemble des limitations&nbsp;; sinon, le Super-Utilisateur
peut uniquement effacer des bits dans cet ensemble.<br/><br/>
Sur un systme standard, la limitation limine toujours la capacit
<b>CAP_SETPCAP .</b>
Pour supprimer cette restriction
modifiez la dfinition de
<b>CAP_INIT_EFF_SET</b> <b></b>  dans
<i>include/linux/capability.h</i> et recompilez le noyau.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L8">Implmentations actuelle et  venir</h2>
<div class="paragraph">
Une implmentation complte des capacits rclame&nbsp;:
.IP 1.
que pour toutes les oprations privilgies, le
noyau vrifie que le processus dispose de la capacit
ncessaire dans son ensemble effectif.
.IP 2.
que le noyau fournisse un appel-systme
permettant de changer et rcuprer les ensembles de
capacits d'un processus.
</div><div class="paragraph">3.<br/>
le support du systme de fichiers pour attacher des capacits aux fichiers
excutables, pour qu'un processus en dispose en lanant le programme.<br/><br/>
Sous Linux 2.4.20, seules les deux premires clauses sont remplies.<br/><br/>
Il pourrait mme tre possible d'associer trois ensembles de capacit
avec un fichier excutable, lesquels, en conjonction avec les
ensembles de capacit du procesus, dterminera les capacits
dont un processus disposera aprs un
<i>exec </i> :<i></i>
<br/><br/>

<i>Autoris </i> :<i></i>
ce ensemble est combin par un ET avec l'ensemble hritable du processus
pour savoir quelles capacits seront hrites aprs l'appel exec().
<br/><br/>

<i>Forc </i> :<i></i>
les capacits automatiquement fournies au processus,
quelques soient ses capacits hritables.
<br/><br/>

<i>Effectif </i> :<i></i>
les capacits qui du nouvel ensemble autoris seront
aussi places dans l'ensemble effectif.
(F(effectif) est normalement entirement compos de zros ou de uns).<br/><br/>
En attendant, comme l'implmentation actuelle ne supporte pas
les ensemble de capacits sur les fichiers, au cours d'un exec&nbsp;:
.IP 1.
Les trois ensembles du fichier sont supposs vides.
</div><div class="paragraph">2.<br/>
Si on excute un programme Set-UID root, ou si l'UID rel est nul,
alors les ensembles Forc et Autoris du fichier sont remplis de uns
(toutes les capacits actives).
.IP 3.
Si un programme Set-UID root est excut, alors l'ensemble
effectif du fichier est rempli avec des uns.<br/><br/>
Durant un exec(), le noyau calcule les nouvelles capacits du
processus en utilisant l'algorithme suivant&nbsp;:
.in +4
<br/><br/>
P'(autoris) = (P(hritable) & F(autoris) | (F(forc) & cap_bset)<br/><br/>
P'(effectif) = P'(autoris) & F(effectif)<br/><br/>
P'(hritable) = P(hritable)    [inchang]<br/><br/>


.in -4
avec&nbsp;:
</div><div class="paragraph">P<br/>
indique la valeur d'une capacit du processus avant le exec()
</div><div class="paragraph">P'<br/>
indique la valeur d'une capacit du processus aprs le exec()
</div><div class="paragraph">F<br/>
indique la valeur d'une capacit du fichier
</div><div class="paragraph">cap_bset<br/>
est la valeur de la limitation de capacit.
</div><br/><br /><h1 class="TitreSection0" id="L3">notes</h1>
<div class="paragraph">
Le paquetage
<i>libcap</i> fournit un ensemble de routines pour crire et lire
les capacits d'un processus, de manire plus simple et moins
susceptible de changer que l'interface fournie par
<b>capset (2)</b>
et
<b>capget (2).</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">conformit</h1>
<div class="paragraph">
Il n'y a pas de vritable standard pour les capacits, mais l'implmentation
Linux est bas sur une interprtation du projet POSIX 1003.1e.
</div><br/><br /><h1 class="TitreSection0" id="L5">bogues</h1>
<div class="paragraph">
Il n'y a pas encore de support dans le systme de fichiers permettant
d'associer les capacits et les fichiers excutables.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>capget (2),</b>
<b>prctl (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
