<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1998 Andries Brouwer -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  -->
<!--  Traduction 15/09/1998 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man-pages-1.20 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>GLOB</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">motifs gnriques</a>
<br /><a class="summaryIndent0" href="#L3">chemins d'accs</a>
<br /><a class="summaryIndent0" href="#L4">listes vides</a>
<br /><a class="summaryIndent0" href="#L5">notes</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
glob - Dveloppement des noms de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Il y a bien longtemps, dans Unix V6, existait un programme nomm
<i>/etc/glob</i> qui permettait de dvelopper les motifs gnriques dans les noms de fichiers.
Ce programme devint bientt une routine interne du shell.<br/><br/>
De nos jours, on trouve galement une routine de bibliothque nomme
<b>glob (3)</b>
qui effectue le mme travail en tant invoque par un programme utilisateur.<br/><br/>
Les rgles de dveloppement sont les suivantes (POSIX 1003.2, 3.13).
</div><br/><br /><h1 class="TitreSection0" id="L3">motifs gnriques</h1>
<div class="paragraph">
Une chane est un motif gnrique si elle contient un ou plusieurs
caractres parmi `?', `*' et `['. Le dveloppement (globbing) est l'opration
qui transforme un motif gnrique en une liste de noms de fichiers
correspondant  ce motif.
La correspondance est dfinie ainsi&nbsp;:<br/><br/>
Un `?' (sans les apostrophes) correspond  n'importe quel caractre.<br/><br/>
A `*' (sans les apostrophes) correspond  n'importe quelle chane, y compris
la chane vide.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L9">Classes de caractres</h2>
<div class="paragraph">
Une expression du type `[...]', dans laquelle le premier caractre aprs le `['
n'est pas un `!' est mise en correspondance avec un seul des caractres contenus
entre les crochets.
L'ensemble des caractres cits ne peut pas tre vide, ainsi, le crochet fermant `]'
peut tre prsent dans l'ensemble,  la condition qu'il soit en premire place.
Par consquent, la chane `[][!]' peut tre mise en correspondance avec l'un des
trois caractres `[', `]' et `!'.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L9">Intervalles</h2>
<div class="paragraph">
Il existe une convention particulire, suivant laquelle deux caractres spars par
un tiret `-' indiquent un intervalle.
Ainsi, `[A-Fa-f0-9]' quivaut  `[ABCDEFabcdef0123456789]'.
Pour inclure un tiret au sens littral, il suffit de l'utiliser en premier ou en dernier
entre les crochets. `[]-]' correspond uniquement aux caractres `]' et `-',
alors que `[--/]' correspond aux trois caractres `-', `.', `/'.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L9">Ngation</h2>
<div class="paragraph">
Une expression `[!...]' correspond  n'importe quel caractre qui ne puisse pas tre
mis en correspondance avec la chane obtenue en supprimant le `!' initial.
(ainsi, `[!]a-]' correspond  tout caractre sauf `]', `a' et `-'.)<br/><br/>
On peut dsactiver le comportement spcial des caractres `?', `*' et `[' en
les faisant prcder par un backslash '\e', ou, dans le cas d'une ligne de commande
shell, en les encadrant par des guillemets.
Entre crochets, ces caractres ne prennent que leur signification littrale.
Ainsi, `[[?*\e]' correspond aux quatre caractres `[', `?', `*' et `\e'.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">chemins d'accs</h1>
<div class="paragraph">
Le dveloppement est appliqu a chaque composant du chemin d'accs
sparment. Un `/' dans un chemin ne peut pas tre mis en correspondance
avec un `?' ou `*', ni par un intervalle tel que `[.-0]'.
Un intervalle ne peut pas contenir explicitement un caractre `/'. Ceci
dclencherait une erreur de syntaxe.<br/><br/>
Si un nom de fichier commence par un `.', Ce caractre doit tre mis en
correspondance explicitement. (Ainsi, `rm *' ne supprimera pas .profile,
et `tar c *' n'archivera pas tous les fichiers ; `tar c .' serait prfrable.)<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">listes vides</h1>
<div class="paragraph">
La dfinition simple et lgante fournie plus haut `transformer un motif gnrique
en une liste de noms de fichiers correspondants' est la dfinition Unix
originale. Elle autorisait la prsence de motif se dveloppant en listes
vides, comme
<br/>

	xv -wait 0 *.gif *.jpg


alors qu'il n'y a peut-tre aucun fichier *.gif prsent (et on ne
peut pas considrer cela comme une erreur).
Toutefois, POSIX rclame qu'un motif soit laiss inchang s'il
est syntaxiquement incorrect, ou si la liste des noms de fichiers
correspondants est vide.
On peut forcer
<i>bash</i>  adopter le comportement classique en positionnant la variable
d'environnement
<i>allow_null_glob_expansion=true .<br/><br/></i>
(Des problmes similaires se produisent ailleurs. Par exemple de vieux scripts avec
<br/>

	rm `find . -name "*~"`


devraient tre remplacs par des nouveaux scripts contenant
<br/>

	rm -f nosuchfile `find . -name "*~"`


pour viter les messages d'erreurs si
<i>rm</i> est invoqu avec une liste vide d'arguments).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">notes</h1>
<div class="paragraph">
</div><br/><h2 class="TitreSection1" id="L9">Expressions rgulires</h2>
<div class="paragraph">
Notez que les motifs gnriques ne sont pas des expressions
rgulires bien qu'ils leur ressemblent. Tout d'abord, ils
correspondent  des noms de fichiers, et pas  du texte, de plus
les conventions ne sont pas identiques, par exemple, dans une
expression rgulire, `*' signifie zro ou plusieurs copies
de l'lment prcdent.<br/><br/>
Maintenant que les expressions rgulires disposent de composants
entre crochets o la ngation est indique par un `^', POSIX
a prcis que le motif gnrique `[^...]' a un effet indfini.<br/><br/>
</div><br/><h2 class="TitreSection1" id="L9">Internationalisation et classes de caractres.</h2>
<div class="paragraph">
Bien entendu, les intervalles ont t crs  l'origine en tant
qu'intervalle ASCII o `[ -%]' signifie `[ !"#$%]' et `[a-z]' correspond
 "tout caractre minuscule".
Certaines implmentations Unix ont gnralis ceci de manire  ce que
l'intervalle X-Y correspondent  l'ensemble des caractres dont les
codes se trouvent entre ceux de X et de Y. Nanmoins, ceci signifie
que l'utilisateur doit connatre le codage utilis sur le systme local.
De plus ceci ne fonctionne pas si l'ordre de l'alphabet local n'est
pas celui adopt pour le codage des caractres.
POSIX a alors tendu grandement la notation des expressions entre crochets
autant pour les motifs gnriques que pour les expressions rgulires.
Nous avons vu prcdemment 3 types d'lments pouvant se trouver entre
crochets. Plus prcisment (i) une ngation, (ii) des caractres explicites,
et (iii) des intervalles. POSIX spcifie les intervalles d'une manire
plus utile au niveau international, et ajoute trois nouveaux types&nbsp;:<br/><br/>
(iii) Les intervalles X-Y comprenant tous les caractres se trouvant entre X
et Y (inclus) dans l'ordre de l'alphabet dcrit par la catgorie LC_COLLATE de 
la localisation en cours.<br/><br/>
(iv) Des classes de caractres comme
<br/>

[:alnum:]  [:alpha:]  [:blank:]  [:cntrl:]
[:digit:]  [:graph:]  [:lower:]  [:print:]
[:punct:]  [:space:]  [:upper:]  [:xdigit:]


ainsi, on peut crire `[[:lower:]]'  la place de `[a-z]', et que le
comportement soit aussi valide au Danemark, o il existe 3 lettres
postrieures au `z'.
Ces classes de caractres sont dfinies par la catgorie LC_CTYPE 
de la localisation en cours.<br/><br/>
(v) Les symboles groupant plusieurs lettres comme `[.ch.]' ou `[.a-acute.]',
dans lesquels les chanes entre `[.' et `.]' sont un lment dfini dans
la localisation en cours. Il peut galement s'agir de multi-caractres.<br/><br/>
(vi) Des classes d'quivalence comme `[=a=]', o la chane entre `[=' et `=]'
est un lment dfinissant une classe d'quivalence dans la localisation en cours
par exemple `[[=a=]]' peut tre quivalent  `[a]' (Latin-1), c'est  dire
`[a[.a-acute.][.a-grave.][.a-umlaut.][.a-circumflex.]]'.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>sh (1),</b>
<b>glob (3),</b>
<b>fnmatch (3),</b>
<b>locale (7),</b>
<b>regex (7)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1998-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
