<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sun Jul 25 11:05:58 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sat Feb 10 16:18:03 1996 by Urs Thuermann (urs@isnogud.escape.de) -->
<!--  -->
<!--  Traduction 20/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise  jour 18/05/1998 (LDP-man-pages-1.19) -->
<!--  Mise  jour 26/06/2000 (LDP-man-pages-1.30) -->
<!--  MJ LDP 1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>HIER</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">conformit</a>
<br /><a class="summaryIndent0" href="#L3">bogues</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
hier - Description de la hirarchie du systme de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Un systme Linux typique contient, entre autres, les rpertoires suivants :
<br/><br/>

<i>/</i> Le rpertoire racine (root). Le point de dpart de toute l'arborescence.
<br/><br/>

<i>/bin</i> Ce rpertoire contient les programmes excutables ncessaires en
mode mono-utilisateur pour dmarrer ou rparer le systme.
<br/><br/>

<i>/boot</i> Contient les fichiers statiques utiliss par le chargeur du systme. Ce rpertoire
ne contient que les fichiers ncessaires pour le chargeur. Les fichiers de
configuration pour l'installation du chargeur doivent rsider dans
<i>/sbin</i> et
<i>/etc .</i>
<br/><br/>

<i>/dev</i> Fichiers spciaux se rapportant  des priphriques physique. Voir
<b>mknod (1).</b>
<br/><br/>

<i>/dos</i> Si Linux et MS-DOS sont utiliss conjointement sur le mme ordinateur,
c'est le point de montage classique du systme de fichiers DOS.
<br/><br/>

<i>/etc</i> Contient les fichiers de configuration spcifiques  la machine.
Certains ensembles de programmes volumineux, comme X11, peuvent
disposer de leurs propres sous-rpertoires dans
<i>/etc .</i>
Les fichiers de configuration relatifs au site entier devraient se trouver dans
<i>/usr/etc .</i>
Nanmoins, les programmes doivent toujours les chercher dans
<i>/etc</i> et l'on peut avoir des liens en direction des fichiers de
<i>/usr/etc .</i>
<br/><br/>

<i>/etc/opt</i> Fichiers de configuration spcifiques  l'hte, pour les applications installes
dans
<i>/opt .</i>
<br/><br/>

<i>/etc/sgml</i> Ce rpertoire contient les fichiers de configuration pour SGML et XML (facultatif).
<br/><br/>

<i>/etc/skel</i> Quand un nouveau compte utilisateur est cr, les fichiers de ce rpertoire sont
habituellement copis dans le rpertoire personnel du nouveau compte.
<br/><br/>

<i>/etc/X11</i> Fichiers de configuration pour le systme X-Window.
<br/><br/>

<i>/home</i> Sur les machines offrant des rpertoires personnels pour les utilisateur, ils
sont gnralement placs sous ce rpertoire, directement ou avec une arborescence
dfinie par l'administration locale.
<br/><br/>

<i>/lib</i> Ce rpertoire doit contenir les bibliothques partages ncessaires pour
dmarrer le systme et utiliser les commandes de la partition racine.
<br/><br/>

<i>/mnt</i> Contient des points de montage pour les systmes de fichiers temporaires.
<br/><br/>

<i>/opt</i> Ce rpertoire peut contenir les paquetages additionnels.
<br/><br/>

<i>/proc</i> est le point de montage pour le systme de fichiers
<i>proc ,</i>
qui fournit des informations sur les processus en cours et sur le noyau.
Ce pseudo-systme de fichiers est dcrit dans
<i>proc (5).</i>
<br/><br/>

<i>/root</i> Ce rpertoire est habituellement celui personnel de l'utilisateur root.
<br/><br/>

<i>/sbin</i> Comme
<i>/bin ,</i>
ce rpertoire contient les commandes ncessaires au dmarrage du systme,
mais qui ne sont pas excutes par des utilisateurs normaux.
<br/><br/>

<i>/tmp</i> Ce rpertoire sert  contenir des fichiers temporaires que l'on peut
dtruire rgulirement, par un script priodique, ou au dmarrage du systme.
<br/><br/>

<i>/usr</i> Ce rpertoire est gnralement mont depuis une partition spare.
Il ne devrait contenir que des donnes partageables, en lecture-seule,
afin d'tre mont par plusieurs machines utilisant Linux.
<br/><br/>

<i>/usr/X11R6</i> Le systme X-Window, version 11 release 6.
<br/><br/>

<i>/usr/X11R6/bin</i> Les excutables appartenant au systme X-Window. Souvent il existe un
lien symbolique depuis 
<i>/usr/bin/X11</i> vers ce rpertoire.
<br/><br/>

<i>/usr/X11R6/lib</i> Les fichiers de donnes associs au systme X-Window.
<br/><br/>

<i>/usr/X11R6/lib/X11</i> Ce rpertoire contient divers fichiers ncessaire pour excuter X.
Il y a souvent un lien symbolique depuis
<i>/usr/lib/X11</i> pointant sur ce rpertoire.
<br/><br/>

<i>/usr/X11R6/include/X11</i> contient les fichiers d'en-tte ncessaires pour compiler des
programmes utilisant X11. Il existe souvent un lien symbolique depuis
<i>/usr/include/X11</i> vers ce rpertoire.
<br/><br/>

<i>/usr/bin</i> Il s'agit du rpertoire principal pour les programmes excutables.
La plupart des programmes ncessaires aux utilisateurs, et pas
indispensables pour dmarrer ou rparer le systme sont placs
ici,  l'exception des programmes installs uniquement sur cette machine.
<br/><br/>

<i>/usr/bin/X11</i> est un emplacement tradition pour les excutables X11. Sous Linux
il s'agit gnralement d'un lien symbolique vers
<i>/usr/X11R6/bin .</i>
<br/><br/>

<i>/usr/dict</i> Remplac par
<i>/usr/share/dict .</i>
<br/><br/>

<i>/usr/doc</i> Remplac par
<i>/usr/share/doc .</i>
<br/><br/>

<i>/usr/etc</i> Les fichiers de configuration  partager entre plusieurs machines
d'un site donne doivent tre stocks dans ce rpertoire. Nanmoins,
les programmes devraient toujours faire rfrence aux fichiers dans
<i>/etc .</i>
On construit alors des liens symboliques depuis
<i>/etc</i> vers les fichiers appropris de 
<i>/usr/etc .</i>
<br/><br/>

<i>/usr/games</i> Fichiers excutables des jeux et programmes ducatifs (facultatif).
<br/><br/>

<i>/usr/include</i> Fichiers d'en-tte pour le compilateur C.
<br/><br/>

<i>/usr/include/X11</i> Fichiers d'en-tte pour le compilateur C et le systme X-Window.
C'est gnralement un lien symbolique vers
<i>/usr/X11R6/include/X11 .</i>
<br/><br/>

<i>/usr/include/asm</i> Les fichiers d'en-tte dclarant des fonctions en assembleur. Il
s'agit gnralement d'un lien vers
<i>/usr/src/linux/include/asm .</i>
<br/><br/>

<i>/usr/include/linux</i> Contient les informations qui peuvent changer suivant la version
de noyau. C'est souvent un lien symbolique vers
<i>/usr/src/linux/include/linux,</i>
qui permet d'accder aux informations spcifique  la version en cours du noyau.<br/><br/>
Notez qu'il faut placer ici les fichiers d'en-tte corrects pour la
bibliothque C. Toutefois les sources du noyau Linux ne sont pas prvues pour
tre utilises dans les programmes utilisateurs, et ne connaissent pas
la bibliothque C utilise. Il est probable que des problmes se produiront
si on laisse
<i>/usr/include/asm</i> ou 
<i>/usr/include/linux</i> pointer vers n'importe quelle version des sources du noyau. Les systmes Debian
ne fonctionnent pas ainsi, et utilisent les en-ttes provenant d'une version
bien connue du noyau, fournir dans le paquetage libc*-dev.
<br/><br/>

<i>/usr/include/g++</i> Les fichiers d'en-tte utiliss avec le compilateur GNU C++ compiler.
<br/><br/>

<i>/usr/lib</i> Contient les bibliothques, y compris les bibliothques dynamiques,  ainsi que
quelques excutables qu'on n'invoque normalement pas directement. Des applications
complexes peuvent disposer de leurs propres sous-rpertoires ici.
<br/><br/>

<i>/usr/lib/X11</i> L'emplacement habituel pour les fichiers de donnes associs aux
programmes X11, ainsi que les fichiers de configuration du systme
X lui-mme. Sous Linux il s'agit souvent d'un lien symbolique vers
<i>/usr/X11R6/lib/X11 .</i>
<br/><br/>

<i>/usr/lib/gcc-lib</i> contient des fichiers de bibliothques associs au compilateur GNU C,
<b>gcc (1).</b>
<br/><br/>

<i>/usr/lib/groff</i> Fichiers pour le systme de mise en forme de documents GNU groff.
<br/><br/>

<i>/usr/lib/uucp</i> Fichiers pour
<b>uucp (1).</b>
<br/><br/>

<i>/usr/local</i> Emplacement habituel pour les programmes spcifiques  la machine ou au site.
<br/><br/>

<i>/usr/local/bin</i> Contient les programmes excutables spcifiques au site.
<br/><br/>

<i>/usr/local/doc</i> Contient la documentation locale.
<br/><br/>

<i>/usr/local/etc</i> Contient les fichiers de configuration de programmes installs localement.
<br/><br/>

<i>/usr/local/games</i> Fichiers excutables des jeux install localement.
<br/><br/>

<i>/usr/local/lib</i> Contient les fichiers associs aux programmes installs localement.
<br/><br/>

<i>/usr/local/include</i> Fichiers d'en-tte personnaliss pour le compilateur C.
<br/><br/>

<i>/usr/local/info</i> Pages d'informations associes aux programmes installs localement.
<br/><br/>

<i>/usr/local/man</i> Pages de manuel des applications installes localement.
<br/><br/>

<i>/usr/local/sbin</i> Programmes d'administration installs localement.
<br/><br/>

<i>/usr/local/share</i> Donnes des applications installes localement, qui peuvent tre partages
entre diffrentes architectures fonctionnant avec le mme OS.
<br/><br/>

<i>/usr/local/src</i> Fichiers sources des applications dveloppes ou installes localement.
<br/><br/>

<i>/usr/man</i> Remplac par
<i>/usr/share/man .</i>
<br/><br/>

<i>/usr/sbin</i> contient les programmes d'administration du systme qui ne sont pas
indispensables pour le dmarrage, pour monter
<i>/usr ,</i>
ou pour les rparations du systme de fichiers.
<br/><br/>

<i>/usr/share</i> contient des sous-rpertoires avec les donnes des applications, susceptibles
d'tre partages entre diffrentes architectures avec le mme systme
d'exploitation. On trouve souvent ici des choses qui se trouvaient auparavant dans
<i>/usr/doc</i> ou
<i>/usr/lib</i> ou encore
<i>/usr/man .</i>
<br/><br/>

<i>/usr/share/dict</i> Ce rpertoire regroupe les fichiers contenant les listes de mots utilises par
les vrificateurs orthographiques. [NDT] On peut y trouver des sous-rpertoires
en fonction de la langue utilise.
<br/><br/>

<i>/usr/share/doc</i> Documentation  propos des programmes installs.
<br/><br/>

<i>/usr/share/games</i> Donnes statiques pour les jeux de
<i>/usr/games .</i>
<br/><br/>

<i>/usr/share/info</i> Pages de la commande info.
<br/><br/>

<i>/usr/share/locale</i> Informations pour l'internationalisation.
<br/><br/>

<i>/usr/share/man</i> Les pages de manuel places dans des sous-rpertoires en fonction de la section.
<br/><br/>

<i>/usr/share/man/&lt;locale&gt;/man[1-9]</i> Ces rpertoires contiennent les pages de manuel des localisations indiques sous
forme de code source. Les systmes n'utilisant qu'un seul langage
pour toutes les pages de manuel peuvent ignorer la chane &lt;locale&gt;.
<br/><br/>

<i>/usr/share/misc</i> Donnes diverses partageables entre diffrentes architectures pour le
mme systme d'exploitation.
<br/><br/>

<i>/usr/share/nls</i> Catalogues de messages pour le support de l'internationalisation.
<br/><br/>

<i>/usr/share/sgml</i> Fichiers pour SGML et XML.
<br/><br/>

<i>/usr/share/terminfo</i> Base de donnes pour terminfo.
<br/><br/>

<i>/usr/share/tmac</i> Macros troff non distribues avec groff.
<br/><br/>

<i>/usr/share/zoneinfo</i> Fichiers d'information sur les fuseaux horaires.
<br/><br/>

<i>/usr/src</i> Fichiers sources de diffrentes parties du systme, inclus  titre de rfrence
dans certains paquetages. Ne pas placer ici de projets personnels, car les
fichiers se trouvant dans /usr doivent tre considrs comme uniquement
accessibles en lecture, sauf durant l'installation de nouveaux logiciels.
<br/><br/>

<i>/usr/src/linux</i> Emplacement traditionnel des sources du noyau. Ceci est important sur les systmes
o /usr/include/linux est un lien symbolique pointant dans ce rpertoire.
Si on doit construire un nouveau noyau, il vaut mieux utiliser un autre rpertoire.
<br/><br/>

<i>/usr/tmp</i> Obsolte, ce doit tre
un lien symbolique vers
<i>/var/tmp ,</i>
Prsent pour des raisons de compatibilit, ne devrait jamais tre utilis.
<br/><br/>

<i>/var</i> Ce rpertoire contient des fichiers qui peuvent changer rgulirement
comme les fichiers des files d'attente, ou les fichiers de journalisation.
<br/><br/>

<i>/var/adm</i> Ce rpertoire est maintenant remplac par
<i>/var/log</i> et devrait donc tre un lien symbolique vers ce dernier.
<br/><br/>

<i>/var/backups</i> Rserv pour des raisons historiques.
<br/><br/>

<i>/var/cache</i> Donnes de cache de divers programmes.
<br/><br/>

.I /var/catman/cat[1-9] " ou " /var/cache/man/cat[1-9]
Ces rpertoires contiennent les pages de manuel prformates des sections
correspondantes. L'utilisation des pages de manuel prformates tombe en dsutude.
<br/><br/>

<i>/var/cron</i> Rserv pour des raisons historiques
<br/><br/>

<i>/var/lib</i> Donnes variables pour divers programmes.
<br/><br/>

<i>/var/local</i> Donnes variables pour
<i>/usr/local .</i>
<br/><br/>

<i>/var/lock</i> Les fichiers de verrouillage sont placs dans ce rpertoire. La
convention de noms pour ces fichiers est
<i>LCK..&lt;priphrique&gt;</i> o
<i>&lt;priphrique&gt;</i> est le nom du priphrique dans le systme de fichiers.
Le format utilis est celui des fichiers de verrouillage HDU UUCP 
(ils contiennent un PID sous forme de nombre ASCII dcimal de 10 chiffres,
suivi d'un caractre de Retour-Chariot).
<br/><br/>

<i>/var/log</i> Divers fichiers de journalisation.
<br/><br/>

<i>/var/opt</i> Donnes variables pour
<i>/opt .</i>
<br/><br/>

<i>/var/mail</i> Botes  lettres des utilisateurs. Remplace
<i>/var/spool/mail .</i>
<br/><br/>

<i>/var/msgs</i> Rserv pour des raisons historiques.
<br/><br/>

<i>/var/preserve</i> Rserv pour des raisons historiques.
<br/><br/>

<i>/var/run</i> Fichiers de variables  l'excution, comme les fichiers de verrouillage
contenant le PID, ainsi que la journalisation des connexions
<i>(utmp) .</i>
Ces fichiers sont normalement effacs lors du dmarrage.
<br/><br/>

<i>/var/spool</i> Contient les fichiers spool ou files pour divers programmes.
<br/><br/>

<i>/var/spool/at</i> Contient les jobs programms pour
<b>at (1).</b>
<br/><br/>

<i>/var/spool/cron</i> Contient les jobs programms pour
<b>cron (1).</b>
<br/><br/>

<i>/var/spool/lpd</i> Contient les fichiers en attente d'impression.
<br/><br/>

<i>/var/spool/mail</i> Remplac par
<i>/var/mail .</i>
<br/><br/>

<i>/var/spool/mqueue</i> Courriers en attente d'mission.
<br/><br/>

<i>/var/spool/news</i> Rpertoire d'attente pour les News.
<br/><br/>

<i>/var/spool/rwho</i> Fichier en attente pour
<b>rwhod (8).</b>
<br/><br/>

<i>/var/spool/smail</i> Contient les fichiers en attente pour le programme
<b>smail (1)</b>
de distribution du courrier.
<br/><br/>

<i>/var/spool/uucp</i> contient les fichiers en attente pour
<b>uucp (1).</b>
<br/><br/>

<i>/var/tmp</i> Comme
<i>/tmp,</i> ce rpertoire contient des fichiers temporaires stocks pour une dure indtermine.
<br/><br/>

<i>/var/yp</i> Base de donnes pour NIS.
</div><br/><br /><h1 class="TitreSection0" id="L3">conformit</h1>
<div class="paragraph">
Standard du systme de fichiers Linux, FHS version 2.2
&lt;http://www.pathname.com/fhs/&gt;<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">bogues</h1>
<div class="paragraph">
Cette liste n'est pas exhaustive, certains systmes peuvent tre configurs
diffremment.
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>find (1),</b>
<b>ln (1),</b>
<b>mount (1), </b>
<b>proc (5),</b>
The Linux Filesystem Hierarchy Standard.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
