<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This man page is Copyright (C) 1999 Andi Kleen &lt;ak@muc.de&gt;. -->
<!--  Permission is granted to distribute possibly modified copies -->
<!--  of this page provided the header is included verbatim, -->
<!--  and in case of nontrivial modification author and date -->
<!--  of the modification is added to the header. -->
<!--  $Id: icmp.7,v 1.4 1999/05/13 11:33:24 freitag Exp $ -->
<!--  Traduction 04/01/2000 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  LDP-man_pages 1.28 -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>ICMP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">sysctls</a>
<br /><a class="summaryIndent0" href="#L3">notes</a>
<br /><a class="summaryIndent0" href="#L4">versions</a>
<br /><a class="summaryIndent0" href="#L5">voir aussi</a>
<br /><a class="summaryIndent0" href="#L6">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
icmp, IPPROTO_ICMP - Module ICMP IPv4 du noyau Linux.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Ce module du noyau implmente le protocole ICMP (Internet Control Message Protocol)
dfini dans la RFC 792. Il sert pour diagnostiquer et indiquer des conditions d'erreurs.
L'utilisateur n'interagit pas directement avec ce module,  la place il communique
avec les autres protocoles dans le noyau, et ceux-ci transmettent les erreurs ICMP
aux couches applicatives. Ce module rpond galement aux requtes ICMP.<br/><br/>
Un protocole utilisateur peut recevoir des paquets ICMP pour toutes les sockets locales
en utilisant une socket <b>raw</b> avec le protocole
<b>IPPROTO_ICMP .</b>
Voir la page
<b>raw (7)</b>
pour plus de dtails.
Les types de paquets ICMP transmis  la socket peuvent tre filtrs en utilisant l'option
<b>ICMP_FILTER</b> <b></b>  de la socket. Les paquets ICMP sont toujours traits par le noyau aussi, mme lorsqu'ils
sont transmis  une socket utilisateur.<br/><br/>
Linux limite le dbit des paquets d'erreurs ICMP pour chaque destination.
<b>ICMP_REDIRECT</b> <b></b>  et
<b>ICMP_DEST_UNREACH</b> <b></b>  sont aussi limit par la route de destination des paquets entrants.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">sysctls</h1>
<div class="paragraph">
ICMP dispose d'une interface sysctl pour configurer certains paramtres IP globaux.
Cette interface est accessible en lisant ou crivant les fichiers
<b>/proc/sys/net/ipv4/*</b> <b></b>  <b></b>  ou  l'aide de l'appel-systme
<b>sysctl (2).</b>
La plupart de ces sysctls sont des limitations de dbit pour des types ICMP spcifiques.
Linux 2.2 utilise un filtre  jeton pour limiter les ICMPs.
<!--  XXX  better description needed -->
La valeur est un dlai en jiffies jusqu' ce que le filtre soit vid. Un
jiffy est une unit de temps dpendant du systme, en gnral 10ms sur un
x86 et environ 1ms sur un alpha et un IA64.
<br/><br/>

<b>icmp_destunreach_rate</b> <b></b>  Frquence maximale pour envoyer des paquets ICMP "Destination inaccessible". Ceci limite
le dbit avec lequel ces paquets sont mis vers des routes individuelles ou collectives.
Cette limite n'affecte par l'envoi des paquets
<b>ICMP_FRAG_NEEDED</b> <b></b>  ncessaire pour rechercher le MTU d'un chemin.
<br/><br/>

<b>icmp_echo_ignore_all</b> <b></b>  Si cette valeur est non-nulle, Linux ignorera toutes les requtes 
<b>ICMP_ECHO .</b>
<br/><br/>

<b>icmp_echo_ignore_broadcasts</b> <b></b>  Si cette valeur est non-nulle, Linux ignorera toutes les requtes
<b>ICMP_ECHO</b> <b></b>  envoyes  une adresse broadcast.
<br/><br/>

<b>icmp_echoreply_rate</b> <b></b>  Vitesse maximale pour envoyer les paquets
<b>ICMP_ECHOREPLY</b> <b></b>  en rponse aux requtes
<b>ICMP_ECHOREQUEST .</b>
<br/><br/>

<b>icmp_paramprob_rate</b> <b></b>  Dbit maximal pour mettre les paquets
<b>ICMP_PARAMETERPROB .</b>
Ceux-ci sont envoys lorsqu'un paquet arrive avec un en-tte IP invalide.
<br/><br/>

<b>icmp_timeexceed_rate</b> <b></b>  Dbit maximal pour mettre les paquets
<b>ICMP_TIME_EXCEEDED .</b>
Ceux-ci sont envoys pour empcher les boucles quand un paquet a ralis trop de sauts.
</div><br/><br /><h1 class="TitreSection0" id="L4">notes</h1>
<div class="paragraph">
Comme beaucoup d'autres implmentation ne supportent pas les socket raw
<b>IPPROTO_ICMP ,</b>
on ne doit pas se reposer sur cette fonctionnalit dans les programmes portables.
<!--  not really true ATM -->
<!--  .PP -->
<!--  Linux ICMP should be compliant to RFC1122. --><br/><br/>
Les paquets
<b>ICMP_REDIRECT</b> <b></b>  ne sont pas envoys quand Linux ne fonctionne pas en routeur. Ils ne sont galement
accepts que d'une passerelle prcdemment dfinie dans la table de routage, et les
routes de redirection expirent aprs un certain dlai.<br/><br/>
L'horodatage 64 bits renvoy par
<b>ICMP_TIMESTAMP</b> <b></b>  est en millisecondes depuis le 1er janvier 1970.<br/><br/>
En interne, l'ICMP Linux utilise une socket raw pour envoyer les ICMPs. Cette socket
peut apparatre dans la sortie de
<b>netstat (8)</b>
avec un i-noeud nul.	<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">versions</h1>
<div class="paragraph">
Le support pour les requtes
<b>ICMP_ADDRESS</b> <b></b>  a t supprim dans le noyau 2.2.<br/><br/>
Le support pour 
<b>ICMP_SOURCE_QUENCH</b> <b></b>  a t supprim dans Linux 2.2.
</div><br/><br /><h1 class="TitreSection0" id="L6">voir aussi</h1>
<div class="paragraph">
<b>ip (7)<br/><br/></b>
RFC 792 pour une description du protocole ICMP.
</div><br/><br /><h1 class="TitreSection0" id="L7">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2000-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
