<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
'\" t
<!--  Don't change the line above. it tells man that tbl is needed. -->
<!--  This man page is Copyright (C) 1999 Andi Kleen &lt;ak@muc.de&gt;. -->
<!--  Permission is granted to distribute possibly modified copies -->
<!--  of this page provided the header is included verbatim, -->
<!--  and in case of nontrivial modification author and date -->
<!--  of the modification is added to the header. -->
<!--  $Id: ip.7,v 1.19 2000/12/20 18:10:31 ak Exp $ -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt;  -->
<!--  09/06/2001 - LDP-man-pages-1.37 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>IP</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description </a>
<br /><a class="summaryIndent0" href="#L3">format d'adresse</a>
<br /><a class="summaryIndent0" href="#L4">options des sockets</a>
<br /><a class="summaryIndent0" href="#L5">sysctls</a>
<br /><a class="summaryIndent0" href="#L6">ioctls</a>
<br /><a class="summaryIndent0" href="#L7">notes</a>
<br /><a class="summaryIndent0" href="#L8">erreurs</a>
<br /><a class="summaryIndent0" href="#L9">versions</a>
<br /><a class="summaryIndent0" href="#L10">compatibilit</a>
<br /><a class="summaryIndent0" href="#L11">bogues</a>
<br /><a class="summaryIndent0" href="#L12">auteurs</a>
<br /><a class="summaryIndent0" href="#L13">voir aussi</a>
<br /><a class="summaryIndent0" href="#L14">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ip - Implmentation Linux du protocole IPv4.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/>
<!--  <b>#include</b> <b></b>  <b>&lt;net/netinet.h&gt;</b> <b></b>  <b>--</b> <b></b>  <b>does</b> <b></b>  <b>not</b> <b></b>  <b>exist</b> <b></b>  <b>anymore</b> <b></b>  <b>--></b> <b></b>  <!--  <b>#include</b> <b></b>  <b>&lt;linux/errqueue.h&gt;</b> <b></b>  <b>--</b> <b></b>  <b>never</b> <b></b>  <b>include</b> <b></b>  <b>&lt;linux/foo.h&gt;</b> <b></b>  <b>--></b> <b></b>  <b>#include</b> <b></b>  <b>&lt;netinet/in.h&gt;</b> <b></b>  <br/><br/>

tcp_socket <i> = socket(PF_INET, SOCK_STREAM, 0);</i>
<br/> 
raw_socket <i> = socket(PF_INET, SOCK_RAW, </i> protocol <b>);</b>
<br/>
udp_socket <i> = socket(PF_INET, SOCK_DGRAM, </i> protocol <b>);</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description </h1>
<div class="paragraph">
Linux implmente le Protocole Internet (IP) version 4, dcrit dans les
RFC 791 et RFC 1122.
<b>ip</b> <b></b>  <b></b>  contient une implmentation du multicasting
niveau 2 conforme  la RFC 1112. Elle contient aussi un routeur IP
comprenant un filtre de paquets.
<!--  XXX: has someone verified that 2.1 is really 1812 compliant? --><br/><br/>
L'interface de programmation est compatible avec les sockets BSD.
Pour plus de renseignements sur les sockets, voir
<b>socket (7). <br/><br/></b>
Une socket IP est cre par la fonction
<b>socket (2) </b>
invoque sous la forme
<b>socket(PF_INET, type_socket, protocole)</b> .</b>
les types valides des sockets sont
<b>SOCK_STREAM</b> <b></b>  <b></b>  pour ouvrir une socket
<b>tcp (7),</b>
<b>SOCK_DGRAM</b> <b></b>  pour ouvrir 
une socket
<b>udp (7),</b>
ou
<b>SOCK_RAW</b> <b></b>  pour ouvrir une socket
<b>raw (7)</b>
permettant d'accder directement au protocole IP. Le
<i>protocole</i> indiqu est celui inscrit dans les en-ttes IP mis ou reus. Les seules valeurs
valides pour le 
<i>protocole</i> sont
<b>0</b> <b></b>  et
<b>IPPROTO_TCP</b> <b></b>  pour les sockets TCP, et
<b>0</b> <b></b>  et
<b>IPPROTO_UDP</b> <b></b>  <b></b>  pour les sockets UDP. Pour les sockets
<b>SOCK_RAW</b> <b></b>  on peut indiquer un protocole IP IANA valide dont la
RFC 1700
prcise les numros assigns.<br/><br/>
<!--  XXX ip current does an autobind in listen, but I'm not sure if that should -->
<!--  be documented. -->
Lorsqu'un processus veut recevoir de nouveaux paquets entrants ou connexions, il
doit attacher une socket  une adresse d'interface locale en utilisant
<b>bind (2).</b>
Une seule socket IP peut tre attache  une paire (adresse, port) locale donne.
Lorsqu'on indique
<b>INADDR_ANY</b> <b></b>  <b></b>  lors de l'attachement, la socket sera affecte 
<i>toutes</i> les interfaces locales. Si on invoque
<b>listen (2)</b>
ou
<b>connect (2)</b>
sur une socket non affecte, elle est automatiquement attache 
un port libre alatoire, avec l'adresse locale fixe sur
<b>INADDR_ANY .<br/><br/></b>
L'adresse locale d'une socket TCP qui a t attache est indisponible pendant quelques instants
aprs sa fermeture,  moins que l'attribut
<b>SO_REUSEADDR</b> <b></b>  ait t activ. Il faut tre prudent en utilisant ce drapeau, car il rend le
protocole TCP moins fiable.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">format d'adresse</h1>
<div class="paragraph">
Une adresse de socket IP est dfinie comme la combinaison d'une adresse IP d'interface et
d'un numro de port. Le protocole IP de base ne fournit pas de numro de port, ils sont
implments par les protocoles de plus haut-niveau comme
<b>udp (7)</b>
et
<b>tcp (7).</b>
Sur les sockets raw, le champ
<b>sin_port</b> <b></b>  contient le protocole IP.<br/><br/><br/><br/>
.RS

.ta 4n 19n 31n
struct sockaddr_in {
	sa_family_t	sin_family; /* famille d'adresses : AF_INET      */
	u_int16_t	sin_port;   /* port dans l'ordre d'octets rseau */
	struct in_addr  sin_addr;   /* adresse Internet                  */
};<br/><br/>
/* Adresse Internet */
struct in_addr {
	u_int32_t	s_addr;	/* Adresse dans l'ordre d'octets rseau */
};
.ta


<br/><br/>
<i>sin_family </i> est toujours rempli avec
<b>AF_INET . </b>
C'est indispensable. Sous Linux 2.2, la plupart des fonctions rseau renvoient
<b>EINVAL</b> <b></b>  lorsque cette configuration manque.
<i>sin_port</i> contient le numro de port, dans l'ordre des octets du rseau. Les numros de ports infrieures  1024 sont dits
<i>rservs</i> .</i>
Seuls les processus avec un UID effectif nul ou la capacit
<b>CAP_NET_BIND_SERVICE</b> <b></b>  <b></b>  peuvent appeler
<b>bind (2)  </b>
pour ces ports. Notez que le protocole IPv4 en tant que tel n'a pas de concept de ports,
ils sont seulement implments par des protocoles de plus haut-niveau comme
<b>tcp (7)</b>
et
<b>udp (7).<br/><br/></b>
<i>sin_addr </i> est l'adresse IP de l'hte.
le membre
<i>addr</i> de la structure
<b>struct</b> <b></b>  <b>in_addr</b> <b></b>  contient l'adresse de l'interface de l'hte, dans l'ordre des octets du rseau.
<b>in_addr</b> <b></b>  <b></b>  ne doit tre manipul qu'au travers des fonctions de bibliothque
<b>inet_aton (3),</b>
<b>inet_addr (3),</b>
<b>inet_makeaddr (3)</b>
ou directement par le systme de rsolution des noms (voir
<b>gethostbyname (3)).</b>
Les adresses IPv4 sont divises en adresses unicast, broadcast et
multicast. Les adresses unicast dcrivent une interface unique d'un hte,
les adresses broadcast correspondent  tous les htes d'un rseau, et les
adresses multicast reprsentent tous les htes d'un groupe multicast. Les datagrammes vers des adresses broadcast 
ne peuvent tre mis et reus que si l'attribut de socket
<b>SO_BROADCAST</b> <b></b>  est activ.
Dans l'implmentation actuelle, les sockets orientes connexion ne sont
autorises que sur des adresses unicast.
<!--  Leave a loophole for XTP @) --><br/><br/>
Remarquez que l'adresse et le port sont toujours stocks dans l'ordre des octets
du rseau. Cela signifie qu'il faut invoquer
<b>htons (3) </b>
sur le numro attribu  un port. Toutes les fonctions de manipulation d'adresse
et port de la bibliothque standard fonctionne dans l'ordre du rseau.<br/><br/>
Il existe plusieurs adresses particulires :
<b>INADDR_LOOPBACK</b> <b></b>  (127.0.0.1)
correspond toujours  l'hte local via le priphrique loopback ;
<b>INADDR_ANY</b> <b></b>  <b></b>  (0.0.0.0)
signifie un attachement  n'importe quelle adresse ;
<b>INADDR_BROADCAST</b> <b></b>  (255.255.255.255)
signifie n'importe quel hte et  le mme effet que
<b>INADDR_ANY</b> <b></b>  pour des raisons historiques.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">options des sockets</h1>
<div class="paragraph"><br/><br/>
IP supporte quelques options des sockets spcifiques aux protocoles, fixes avec
<b>setsockopt (2)</b>
et consultes avec
<b>getsockopt (2).</b>
Le niveau d'option de socket pour IP est
<b>SOL_IP .</b>
Un attribut boolen en faux quand il est nul, et vrai sinon.<br/><br/>
<br/><br/>

<b>IP_OPTIONS</b> <b></b>  Fixe ou lit les options IP  envoyer avec chaque paquet sur cette socket.
Les arguments sont un pointeur sur un buffer contenant les options et la
longueur des options.
L'appel
<b>setsockopt (2)</b>
fixe les options IP associes  une socket.
La taille maximale des options pour IPv4 est 40 octets. Voir la RFC 791 pour
les options autorises. Lorsque le paquet de connexion initiale d'une socket
<b>SOCK_STREAM</b> <b></b>  contient des options IP, celles-ci seront automatiquement attribu 
la socket, avec les options de routage inverses.
Les paquets entrants ne peuvent pas modifier les options aprs que la connexion
est tablie.
Le traitement des options de routage des paquets entrant est dsactiv par
dfaut, et peut tre valid en utilisant la requte sysctl
<b>accept_source_route .</b>
Les autres options, comme l'horodatage sont toujours traites.
Pour les socket datagrammes, les options IP ne peuvent tre fixes que par
l'utilisateur local.
L'appel de
<b>getsockopt (2)</b>
avec
<i>IP_OPTIONS</i> remplit le buffer fourni avec les options d'mission actuelles.<br/><br/>
<br/><br/>

<b>IP_PKTINFO</b> <b></b>  Fournit un message
<i>IP_PKTINFO</i> de service, qui contient une structure
<b>pktinfo</b> <b></b>  <b></b>  fournissant quelques informations  propos du paquet entrant.
Ceci ne fonctionne que pour les sockets orientes datagrammes.
L'argument est un drapeau indiquant  la socket sur le message IP_PKTINFO
doit tre pass ou non. Le message lui-mme ne peut tre crit ou lu que
comme message de contrle avec un paquet, en utilisant
<b>recvmsg (2)</b>
ou
<b>sendmsg (2).<br/><br/></b>
.IP
.RS
.ta 4n 19n 33n

struct in_pktinfo {
	unsigned int	ipi_ifindex; 	/* Numro d'interface  */
	struct in_addr	ipi_spec_dst;	/* Adresse locale      */
	struct in_addr	ipi_addr;	/* Adresse destination */
};



.IP
<!--  XXX elaborate on that. -->
<b>ipi_ifindex</b> <b></b>  est le numro unique de l'interface sur laquelle le paquet a t reu.
<b>ipi_spec_dst</b> <b></b>  est l'adresse locale du paquet, et
<b>ipi_addr</b> <b></b>  est l'adresse de destination dans l'en-tte du paquet.
Si
<i>IP_PKTINFO </i> est pass 
<b>sendmsg (2)</b>
et si
<!--  This field is grossly misnamed -->
<b>ipi_spec_dest</b> <b></b>  est non nul, alors il sera utilis comme adresse source pour la recherche dans
la table de routage, et pour fixer les options de routage IP.
Si
<b>ipi_ifindex</b> <b></b>  est non nul, l'adresse local principale de l'interface indique par cet index
crase
<b>ipi_spec_dst</b>
pour a table de routage.
<br/><br/>

<b>IP_RECVTOS</b> <b></b>  Le message de service
<i>IP_TOS </i> est pass avec les paquets entrants. Il contient un octet qui dcrit
le champ Type-Of-Service/Prcdence de l'en-tte du paquet.
Il s'agit d'un drapeau entier boolen.<br/><br/>
<br/><br/>

<b>IP_RECVTTL</b> <b></b>  Passer un message
de contrle
<i>IP_RECVTTL </i> avec le champ Time-To-Live du paquet reu
comme argument sous forme d'octet. Non support pour les
sockets
<b>SOCK_STREAM .<br/><br/></b>
<br/><br/>

<b>IP_RECVOPTS</b> <b></b>  Passer  l'utilisateur toutes les options IP entrantes dans un message de contrle
<i>IP_OPTIONS .</i>
L'en-tte de routage et les autres options sont dj remplies pour l'hte local.
Non support pour les
sockets 
<i>SOCK_STREAM .<br/><br/></i>
<br/><br/>

<b>IP_RETOPTS</b> <b></b>  Comme
<i>IP_RECVOPTS</i> mais renvoie les options non traites, avec les options d'horodatage et de routage
non remplies pour ce saut (hop).<br/><br/>
<br/><br/>

<b>IP_TOS</b> <b></b>  Fixe ou consulte le champs Type-Of-Service (TOS) envoy avec chaque paquet IP
sortant de cette socket. Il sert  grer sur le rseau les priorits entre paquets.
TOS est un octet. Quelques attributs TOS standards sont dfinis :
<b>IPTOS_LOWDELAY</b> <b></b>  <b></b>  pour minimiser les dlais en trafic interactif,
<b>IPTOS_THROUGHPUT</b> <b></b>  pour optimiser le dbit,
<b>IPTOS_RELIABILITY</b> <b></b>  pour optimiser la fiabilit,
<b>IPTOS_MINCOST</b> <b></b>  doit tre utilis pour les donnes de remplissage, quand la lenteur de transmission importe peu.
Une de ces valeurs TOS au maximum peut tre indique. Les autres bits sont invalides et doivent
tre effacs.
Linux envoie d'abord des datagrammes 
<b>IPTOS_LOWDELAY</b> <b></b>  <b></b>  par dfaut,
mais le comportement exact dpend de la politique configure pour la file d'attente.
<!--  XXX elaborate on this  -->
Quelques niveaux de haute priorit peuvent rclamer un UID effectif nul, ou la
capacit
<b>CAP_NET_ADMIN .</b>
La priorit peut aussi tre indique d'une manire indpendante du protocole
avec les options
( <b>SOL_SOCKET, SO_PRIORITY</b> )</b>
de
<b>socket (7). <br/><br/></b>
<br/><br/>
  
<b>IP_TTL</b> <b></b>  Fixer ou consulter le contenu actuel du champ Time-To-Live envoy avec chaque
paquet sortant de cette socket.<br/><br/>
<br/><br/>

<b>IP_HDRINCL</b> <b></b>  L'utilisateur doit fournir un en-tte ip
avant les donnes proprement dites. 
Uniquement valides pour les sockets
<b>SOCK_RAW .</b>
Voir
<b>raw (7)</b>
pour plus de dtail. Lorsque cet attribut est activ, les valeurs fixes pour
<i>IP_OPTIONS ,</i>
<i>IP_TTL</i> et
<i>IP_TOS</i> sont ignores.<br/><br/>
<br/><br/>

<b>IP_RECVERR </b> (dfini dans &lt;linux/errqueue.h&gt;)<b></b>
Active le passage amlior des messages d'erreur.
Lorsque cet attribut est activ sur une socket datagramme, les erreurs seront
mmorises dans une file particulire pour la socket. Quand l'utilisateur 
dtecte un chec d'une opration sur la socket, les erreurs peuvent
tre examines en invoquant
<b>recvmsg (2) </b>
avec l'attribut
<b>MSG_ERRQUEUE . </b>
La structure
<b>sock_extended_err</b> <b></b>  <b></b>  dcrivant l'erreur sera pass comme message de service ayant
le type
<i>IP_RECVERR </i> et le niveau
<b>SOL_IP .</b>
Ceci permet une gestion d'erreur fiable sur les sockets non connectes.
La partie "donnes reues" de la file d'erreurs
contient le paquet ayant rencontr un problme. 
.IP
Le message de contrle
<i>IP_RECVERR </i> contient une
structure
<b>sock_extended_err </b> :<b></b>
.IP
.RS
.ne 18

.ta 4n 20n 32n
#define SO_EE_ORIGIN_NONE	0
#define SO_EE_ORIGIN_LOCAL	1
#define SO_EE_ORIGIN_ICMP	2
#define SO_EE_ORIGIN_ICMP6	3<br/><br/>
struct sock_extended_err {
	u_int32_t	ee_errno;	/* numro d'erreur */
	u_int8_t	ee_origin;	/* origine de l'erreur */ 
	u_int8_t	ee_type;	/* type */
	u_int8_t	ee_code;	/* code */
	u_int8_t	ee_pad;
	u_int32_t	ee_info;	/* autres informations */
	u_int32_t	ee_data;	/* autres donnes */  
	/* champs supplmentaires ventuels */ 
};<br/><br/>
struct sockaddr *SOCK_EE_OFFENDER(struct sock_extended_err *);
.ta



.IP
<b>ee_errno</b> <b></b>  <b></b>  contient le numro de l'erreur mise en file.
<b>ee_origin</b> <b></b>  est le code de l'origine de l'erreur.
Les autres champs sont spcifiques au protocole. La macro
<b>SOCK_EE_OFFENDER</b> <b></b>  <b></b>  renvoie un pointeur sur l'adresse d'un objet rseau d'o
l'erreur provient, en prenant en argument un pointeur sur le message de service.
Si cette adresse n'est pas disponible, le membre
<i>sa_family </i> de la structure
<b>sockaddr</b> <b></b>  <b></b>  contient
<b>AF_UNSPEC</b> <b></b>  et les autres champs de
<b>sockaddr</b> <b></b>  <b></b>  sont indfinis.
.IP
IP utilise la structure
<b>sock_extended_err</b> <b></b>  comme suit :
<i>ee_origin </i> contient
<b>SO_EE_ORIGIN_ICMP</b> <b></b>  <b></b>  pour les erreurs reues sous forme de paquet ICMP, ou
<b>SO_EE_ORIGIN_LOCAL</b> <b></b>  <b></b>  pour les erreurs locales. Les valeurs inconnues doivent tre ignores.
<i>ee_type </i> et
<i>ee_code </i> sont remplis avec les champs type et code de l'en-tte ICMP.
<i>ee_info</i> contient le MTU dtermin pour les erreurs
<b>EMSGSIZE .</b>
Le message contient aussi l'adresse
<i>sockaddr_in</i> du noeud ayant caus l'erreur,
qui peut tre obtenu avec la macro.
<b>SOCK_EE_OFFENDER .</b>
Le champ
<i>sin_family</i> de l'adresse fournie par SOCK_EE_OFFENDER vaut
<i>AF_UNSPEC</i> si la source tait inconnue.
Lorsque les erreurs proviennent du rseau, toutes les options IP
( IP_OPTIONS <i>, </i> IP_TTL <i>, </i></i>
etc.) valides pour la socket, et contenues dans le paquet
en erreur sont transmises comme messages de contrle. Le contenu original du paquet
causant l'erreur est renvoy comme charge normale.
<!--  XXX: is it a good idea to document that? It is a dubious feature. -->
<!--  On  -->
<!--  <b>SOCK_STREAM</b> <b></b>  <b></b>  <b>--></b> <b></b>  <!--  sockets, -->
<!--  <i>IP_RECVERR  --></i> <!--  has slightly different semantics. Instead of -->
<!--  saving the errors for the next timeout, it passes all incoming errors  -->
<!--  immediately to the  -->
<!--  user. This might be useful for very short-lived TCP connections which -->
<!--  need fast error handling. Use this option with care: it makes TCP unreliable -->
<!--  by not allowing it to recover properly from routing shifts and other normal -->
<!--  conditions and breaks the protocol specification.  -->
Notez que TCP n'a pas de file d'erreurs ;
<b>MSG_ERRQUEUE</b> <b></b>  est illgal sur
les sockets
<b>SOCK_STREAM .</b>
Ainsi, toutes les erreurs sont renvoyes par les fonctions sur les sockets ou par
<b>SO_ERROR</b> <b></b>  seulement. 
.IP
Pour les sockets raw,
<i>IP_RECVERR </i> valide le passage de toutes les erreurs ICMP reues  l'application,
sinon les erreurs sont seulement renvoyes sur les sockets connectes.
Il s'agit d'un attribut boolen entier.
<i>IP_RECVERR</i> est dsactiv par dfaut. <br/><br/>
<br/><br/>

<b>IP_PMTU_DISCOVER</b> <b></b>  Fixe ou consulte l'attribut de recherche du MTU du chemin (Path MTU - PMTU) pour une socket.
Lorsqu'il est activ, Linux effectuer la recherche du MTU de chemin 
comme dfini dans la RFC 1191.
L'attribut interdisant la fragmentation est alors activ sur tous les datagrammes sortants.
La valeur par dfaut est commande au niveau systme par le sysctl
<b>ip_no_pmtu_disc</b> <b></b>  <b></b>  pour les sockets
<b>SOCK_STREAM ,</b>
et dsactiv pour toutes les autres. Pour les sockets autres que
<b>SOCK_STREAM</b> <b></b>  <b></b>  il est de la responsabilit de l'utilisateur d'empaqueter les donnes dans 
des blocs infrieurs au MTU et d'assurer la retransmission si besoin est.
Le noyau rejettera les paquets qui sont plus gros que le MTU dtermin
si cet attribut est activ (avec l'erreur
<b>EMSGSIZE</b> <b></b>  ). <br/><br/>
.TS
tab(:);
c l
l l.
Attribut MTU chemin:Signification
IP_PMTUDISC_WANT:Utiliser une configuration par route.
IP_PMTUDISC_DONT:Ne pas rechercher le MTU par chemin.
IP_PMTUDISC_DO:Toujours rechercher le MTU par chemin.
.TE   <br/><br/>

Lorsque la recherche du PMTU est active, le noyau garde automatiquement une trace
des MTU des chemins par hte destinataire.
Lorsqu'il est connect  un correspondant spcifique avec
<b>connect (2),</b>
le MTU du chemin actuellement dtermin peut tre consult en utilisant l'option
<b>IP_MTU</b> <b></b>  <b></b>  de la socket (par exemple si une erreur
<b>EMSGSIZE</b> <b></b>  <b></b>  se produit). Cette valeur peut changer dans le temps.
Pour les sockets sans connexions, avec plusieurs destinations, le nouveau MTU
pour une destination donne peut galement tre obtenu en utilisant la
file d'erreur (voir
<b>IP_RECVERR ).</b>
Une nouvelle erreur sera mise en file pour chaque mise  jour du MTU.<br/><br/>
Durant la recherche du MTU, les paquets initiaux des sockets datagrammes
peuvent tre perdus. Les applications utilisant UDP devraient le savoir, et
les viter dans leur stratgie de retransmission.<br/><br/>
Pour dmarrer le processus de recherche du MTU par chemin sur les sockets non-connectes, il
est possible de dmarrer avec une grande taille de datagramme (jusqu' 64 ko d'en-tte)
et la diminuer au fur et  mesure des mises  jours du MTU du chemin.
<!--  XXX this is an ugly hack --><br/><br/>
Pour obtenir une estimation initiale du MTU d'un chemin
connectez une socket datagramme  l'adresse de destination en utilisant
<b>connect (2)</b>
et consultez le MTU en appelant
<b>getsockopt (2)</b>
avec
l'option
<b>IP_MTU .<br/><br/></b>
<br/><br/>

<b>IP_MTU</b> <b></b>  Renvoie le MTU du chemin actuellement dtermin pour la socket.
Seulement valide quand la socket a t connecte. Renvoie un entier.
Uniquement valide pour un
<b>getsockopt (2). </b>
<!--  -->
<br/><br/>

<b>IP_ROUTER_ALERT</b> <b></b>  Passer tous les futurs paquets redirigs (forwarded) avec l'option
IP Router Alert 
active sur cette socket.
Uniquement valide pour les sockets raw. Ceci sert par exemple pour les dmons
RSVP de l'espace utilisateur. Les paquets enregistrs ne sont pas redirigs par le noyau,
c'est la responsabilit de l'utilisateur de les renvoyer. L'attachement des sockets est ignor,
et de tels paquets ne sont filtrs que par le protocole.
Il s'agit d'un attribut entier.
<!--  -->
<br/><br/>

<b>IP_MULTICAST_TTL</b> <b></b>  Fixe ou consulte la valeur du champs Time-To-Live des paquets multicast sortant sur
cette socket. Il est trs importants pour les paquets multicast de fixer le
TTL le plus petit possible. La valeur par dfaut est 1, ce qui signifie
que les paquet multicast ne quittent pas le rseau local  moins que
le programme de l'utilisateur ne le rclame explicitement.
L'argument est un entier.
<!--  -->
<br/><br/>

<b>IP_MULTICAST_LOOP</b> <b></b>  Lit ou crit un entier boolen indiquant si les paquets multicast doivent tre
renvoys en boucle aux sockets locales concernes.
<!--  -->
<br/><br/>

<b>IP_ADD_MEMBERSHIP</b> <b></b>  Rejoindre un groupe multicast. L'argument est une
structure
<b>struct ip_mreqn</b> .<br/><br/></b>
.RS

.ta 4n 19n 34n
struct ip_mreqn {
	struct in_addr	imr_multiaddr;	/* Adresse IP du groupe multicast */
	struct in_addr	imr_address;	/* Adresse IP de l'interface locale */
	int	imr_ifindex;	/* Numro d'interface */
};



.IP
<i>imr_multiaddr</i> contient l'adresse du groupe multicast que l'application veut rejoindre ou quitter.
Il doit s'agir d'une adresse multicast valide.
<i>imr_address</i> est l'adresse de l'interface locale avec laquelle le systme doit joindre le
groupe multicast. Si elle est gale 
<b>INADDR_ANY ,</b>
une interface approprie est choisie par le systme.
<i>imr_ifindex</i> est le numro de l'interface pour rejoindre ou quitter le groupe
<i>imr_multiaddr ,</i>
ou zro pour indiquer n'importe quelle interface.
.IP
Pour la compatibilit, l'ancienne structure
<b>ip_mreq</b> <b></b>  est encore supporte. Elle diffre de
<b>ip_mreqn</b> <b></b>  <b></b>  seulement par l'absence du
membre
<i>imr_ifindex .</i>
Uniquement valide pour
<b>setsockopt (2).</b>
<!--  -->
<br/><br/>

<b>IP_DROP_MEMBERSHIP</b> <b></b>  Quitter un groupe multicast. L'argument est une structure
<b>ip_mreqn</b> <b></b>  <b></b>  ou
<b>ip_mreq</b> <b></b>  <b></b>  comme pour
<i>IP_ADD_MEMBERSHIP . </i>
<!--  -->
<br/><br/>

<b>IP_MULTICAST_IF</b> <b></b>  Fixer le priphrique local pour une socket multicast. L'argument est une structure
<b>ip_mreqn</b> <b></b>  <b></b>  ou
<b>ip_mreq</b> <b></b>  <b></b>  comme pour
<i>IP_ADD_MEMBERSHIP .</i>
.IP
Lorsqu'une option de socket invalide est fournie, 
<b>ENOPROTOOPT</b> <b></b>  est renvoye.
</div><br/><br /><h1 class="TitreSection0" id="L6">sysctls</h1>
<div class="paragraph">
Le protocole IP support l'interface sysctl
pour configurer certaines options globales. Les sysctl peuvent tre
raliss en lisant ou crivant dans les fichiers
<b>/proc/sys/net/ipv4/*</b> <b></b>  <b></b>  ou en utilisant
l'interface
<b>sysctl (2).</b>
<!--  -->
<br/><br/>

<b>ip_default_ttl</b> <b></b>  <b></b>  Fixe la valeur par dfaut du champ Time-To-Live des paquets sortants. Ceci peut
tre modifi individuellement pour
chaque socket avec l'option
<i>IP_TTL .</i>
<!--  -->
<br/><br/>

<b>ip_forward</b> <b></b>  Active la redirection IP (forwarding) avec un attribut boolen. La redirection IP
peut aussi tre configure interface par interface.
<!--  -->
<br/><br/>

<b>ip_dynaddr</b> <b></b>  Active la rcriture dynamique des adresses de socket et du masquerading lors des
changements d'adresse d'interface. Cela sert pour les liaisons par modem, avec des adresses
IP variables. 0 signifie aucune rcriture, 1 les autorise, et 2 demande un mode volubile.
<!--  -->
<br/><br/>

<b>ip_autoconfig</b> <b></b>  Non document.
<!--  -->
<br/><br/>

<b>ip_local_port_range</b> <b></b>  Contient deux entiers qui dfinissent l'intervalle par dfaut des ports locaux allous aux
sockets. L'allocation dmarre avec le premier numro et se termine avec le second. Notez
que cela ne doit pas entrer en conflit avec les ports utiliss pour le masquerading (bien que
cela soit trait). De mme des choix arbitraires peuvent poser des problmes avec certains firewalls
de filtrage par paquet qui font des suppositions sur les ports locaux utiliss.
Le premier nombre doit tre au moins suprieur  1024 et de prfrence  4096 pour viter les
collisions avec les ports officiels et minimiser les problmes de firewall.
<!--  -->
<br/><br/>

<b>ip_no_pmtu_disc</b> <b></b>  Dsactiver la recherche par dfaut des MTU par chemin pour les sockets TCP. La recherche du MTU par
chemin peut chouer avec des firewalls mal configurs (qui rejettent tous les paquets ICMP) ou
les interfaces mal configures (par exemple lien point--point o les deux extrmits n'ont pas le
mme MTU). Il vaut mieux corriger le routeur dfectueux que de supprimer globalement la
recherche du MTU par chemin, car cette dernire option augmente les
cots du rseau.
<!--  -->
<br/><br/>

<b>ipfrag_high_thresh</b> <b></b> ,<b></b>  <b>ipfrag_low_thresh</b> <b></b>  <b></b>  Si le nombre de fragments IP en file atteint
<b>ipfrag_high_thresh</b> <b></b>  <b></b> ,<b></b>  la file est restreinte 
<b>ipfrag_low_thresh</b> <b></b>  <b>.</b> <b></b>  <b></b>  Contient un entier avec le nombre
d'octets.
<br/><br/>

<b>ip_always_defrag</b> <b></b>  [Nouveaut des noyaux 2.2.13, dans les noyaux prcdents c'tait une option
de compilation
nomme
<b>CONFIG_IP_ALWAYS_DEFRAG ]<br/><br/></b>
Lorsque ce drapeau boolen et actif (diffrent de zro), les fragments entrants 
(morceaux de paquets IP obtenus car un hte entre
l'origine et la destination a dcid que les paquets
taient trop grands et les a coup en morceaux) seront
rassembls (dfragments) avant d'tre traits, mme s'ils doivent tre
redirigs (forwarded).<br/><br/>
 utiliser uniquement pour un firewall qui est le seul lien d'entre de votre
rseau, ou un proxy transparent. Ne jamais activer pour un routeur normal
ou un hte. Sinon, les communications fragmentes peuvent tre interrompues
lorsque les fragments circulent par diffrents liens. La dfragmentation a
galement un cot mmoire et CPU non ngligeable.<br/><br/>
Ceci est automatiquement activ lorsque le masquerading ou le proxy
transparent est configur.
<br/><br/>

<b>neigh/*</b> <b></b>  voir
<b>arp (7). </b>
<!--  XXX Document the conf/*/* sysctls  -->
<!--  XXX Document the route/* sysctls -->
<!--  XXX document them all -->
</div><br/><br /><h1 class="TitreSection0" id="L7">ioctls</h1>
<div class="paragraph">
Toutes les ioctls dcrites dans
<b>socket (7) </b>
s'appliquent  la couche IP.<br/><br/> 
Les ioctls pour configurer les firewall sont documents dans
<b>ipfw (7)</b>
provenant du
paquetage
<b>ipchains .<br/><br/></b>
Les ioctls pour configurer les paramtres gnriques des priphriques sont dcrits dans
<b>netdevice (7).  </b>
<!--  XXX Add a chapter about multicasting -->
</div><br/><br /><h1 class="TitreSection0" id="L8">notes</h1>
<div class="paragraph">
Soyez trs prudents avec l'option
<b>SO_BROADCAST ,</b>
elle n'est pas privilgie sous Linux. Il est facile de surcharger un rseau avec des
broadcast sans prcaution. Pour les nouveaux protocoles applicatifs, il vaut mieux
utiliser un groupe multicast plutt que le broadcast. Ce dernier est
dconseill.<br/><br/>
Certaines autres implmentations des sockets BSD fournissent les options de socket
<i>IP_RCVDSTADDR </i> et
<i>IP_RECVIF </i> pour obtenir l'adresse de destination et l'interface des
datagrammes reus. Linux  l'option
<i>IP_PKTINFO</i> plus gnrale pour effectuer ce travail. <br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">erreurs</h1>
<div class="paragraph">
<!--  XXX document all errors. We should really fix the kernels to give more uniform -->
<!--      error returns (ENOMEM vs ENOBUFS, EPERM vs EACCES etc.)   -->
<br/><br/>

<b>ENOTCONN</b> <b></b>  L'opration n'est dfinie que pour une socket connecte, mais la socket ne l'tait
pas.
<br/><br/>

<b>EINVAL</b> <b></b>  Un argument invalide a t transmis.
Pour les missions, cela peut tre caus par un envoi vers une
route
<i>trou noir</i> .</i>
<br/><br/>

<b>EMSGSIZE</b> <b></b>  <b></b>  Datagramme plus grand que le MTU du chemin, et ne peut pas tre fragment.
<br/><br/>

<b>EACCES</b> <b></b>  L'utilisateur essaye de raliser une opration sans avoir les permissions ncessaires.
Cela inclut :
L'envoi d'un paquet vers une adresse broadcast sans avoir activ
l'attribut
<b>SO_BROADCAST .</b>
L'envoi d'un paquet vers une
route
<i>interdite .</i>
Modification du paramtrage du firewall sans la capacit
<b>CAP_NET_ADMIN</b> <b></b>  ou un UID effectif nul.
Attachement  un port rserv sans la capacit
<b>CAP_NET_BIND_SERVICE</b> <b></b>  ou un UID effectif nul.<br/><br/>
<br/><br/>

<b>EADDRINUSE</b> <b></b>  Tentative d'attachement  une adresse dj utilise.
<br/><br/>

<b>ENOPROTOOPT </b> et <b> EOPNOTSUPP</b>
Passage d'une option de socket invalide.
<br/><br/>

<b>EPERM</b> <b></b>  L'utilisateur n'a pas la permission de fixer une priorit haute, de changer la configuration
ou d'envoyer des signaux au groupe ou au processus demand.
<br/><br/>

<b>EADDRNOTAVAIL</b> <b></b>  Une interface inexistante ou une adresse source non locale
ont t rclames.
<br/><br/>

<b>EAGAIN</b> <b></b>  L'opration sur une socket non-bloquante devrait bloquer.
<br/><br/>

<b>ESOCKTNOSUPPORT</b> <b></b>  La socket n'est pas configure ou on a demand un type de socket inconnu.
<br/><br/>

<b>EISCONN</b> <b></b>  <b>connect (2)</b>
a t appel sur une socket dj connecte.
<br/><br/>

<b>EALREADY</b> <b></b>  Une opration de connexion est dj en cours sur une socket non-bloquante.
<br/><br/>

<b>ECONNABORTED</b> <b></b>  Une connexion a t ferme durant un
<b>accept (2). </b>
<br/><br/>

<b>EPIPE</b> <b></b>  La connexion a t ferme prmaturment ou termine par le correspondant.
<br/><br/>

<b>ENOENT</b> <b></b>  <b>SIOCGSTAMP</b> <b></b>  <b></b>  a t appel sur une socket sans qu'aucun paquet n'y soit disponible.
<br/><br/>

<b>EHOSTUNREACH</b> <b></b>  Aucune route valide dans la table ne correspond  l'adresse de destination. Cette erreur
peut tre due  un message ICMP d'un routeur distant ou  la table
de routage interne.
<br/><br/>

<b>ENODEV</b> <b></b>  <b></b>  Le priphrique rseau n'est pas disponible ou est incapable d'envoyer de l'IP.
<br/><br/>

<b>ENOPKG</b> <b></b>  <b></b>  Un sous-systme du noyau n'est pas configur.
<br/><br/>

<b>ENOBUFS</b> <b></b> ,<b></b>  <b>ENOMEM</b> <b></b>  Pas assez de mmoire.
Cela signifie souvent que l'allocation mmoire est contrainte par les limites du buffer
de socket, pas par la mmoire systme, mais ce n'est pas toujours sr.<br/><br/>
D'autres erreurs peuvent tre dclenches par les protocoles suprieurs. Voir
<b>tcp (7),</b>
<b>raw (7),</b>
<b>udp (7)</b>
et
<b>socket (7).</b>
</div><br/><br /><h1 class="TitreSection0" id="L10">versions</h1>
<div class="paragraph">
<i>IP_PKTINFO , </i>
<i>IP_MTU , </i>
<i>IP_PMTU_DISCOVER , </i>
<i>IP_PKTINFO , </i>
<i>IP_RECVERR</i>
et
<i>IP_ROUTER_ALERT</i>
sont de nouvelles options de Linux 2.2.
Elles sont aussi spcifiques  Linux et ne doivent pas servir dans des
programmes destins  tre portables.<br/><br/>
<b>struct</b> <b></b>  <b>ip_mreqn</b> <b></b>  <b></b>  est nouvelle dans Linux 2.2. Sous Linux 2.0, seule existait
<b>ip_mreq .<br/><br/></b>
Les sysctls ont t introduits avec Linux 2.2.
</div><br/><br /><h1 class="TitreSection0" id="L11">compatibilit</h1>
<div class="paragraph">
Pour la compatibilit avec Linux 2.0, la syntaxe obsolte
<b>socket(PF_INET, SOCK_RAW, </b>protocole <i>)</i>
est encore supporte pour ouvrir une
socket
<b>packet (7).</b>
Cela est dconseill, et doit tre remplac par un
<b>socket(PF_PACKET, SOCK_RAW, </b>protocole <i>)</i>
La principale diffrence est la nouvelle
structure d'adresse
<b>sockaddr_ll</b> <b></b>  <b></b>  pour les informations gnriques du niveau liaison  la place de l'ancienne
<b>sockaddr_pkt .</b>
</div><br/><br /><h1 class="TitreSection0" id="L12">bogues</h1>
<div class="paragraph">
Il y a trop de valeurs d'erreurs htrognes.<br/><br/>
Les ioctls pour configurer les options d'interface spcifiques IP et les tables ARP
ne sont pas dcrites.<br/><br/>
Certaines version de la GlibC oublient la dclaration
<i>in_pktinfo.</i> Le remde est de recopier dans votre programme la description de cette page de manuel.<br/><br/>
La rception de l'adresse de destination originale avec
<b>MSG_ERRQUEUE</b> <b></b>  dans
<i>msg_name</i> par
<b>recvmsg (2)</b>
ne fonctionne pas dans certains noyaux 2.2.
</div><br/><br /><h1 class="TitreSection0" id="L13">auteurs</h1>
<div class="paragraph">
Cette page de manuel a t crite par Andi Kleen. 
</div><br/><br /><h1 class="TitreSection0" id="L14">voir aussi</h1>
<div class="paragraph">
<b>sendmsg (2),</b>
<b>recvmsg (2),</b>
<b>socket (7),</b>
<b>netlink (7),</b>
<b>tcp (7),</b>
<b>udp (7),</b>
<b>raw (7),</b>
<b>ipfw (7).<br/><br/></b>
RFC 791 pour les spcifications IP d'origine.
<br/>
RFC 1122 pour les ncessits IPv4 des htes.
<br/>
RFC 1812 pour les ncessits IPv4 des routeurs.
</div><br/><br /><h1 class="TitreSection0" id="L15">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2001-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
