<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  -*- nroff -*- -->
<!--  -->
<!--  Copyright (c) 1983, 1987 The Regents of the University of California. -->
<!--  All rights reserved. -->
<!--  -->
<!--  Redistribution and use in source and binary forms are permitted -->
<!--  provided that the above copyright notice and this paragraph are -->
<!--  duplicated in all such forms and that any documentation, -->
<!--  advertising materials, and other materials related to such -->
<!--  distribution and use acknowledge that the software was developed -->
<!--  by the University of California, Berkeley.  The name of the -->
<!--  University may not be used to endorse or promote products derived -->
<!--  from this software without specific prior written permission. -->
<!--  THIS SOFTWARE IS PROVIDED ``AS IS'' AND WITHOUT ANY EXPRESS OR -->
<!--  IMPLIED WARRANTIES, INCLUDING, WITHOUT LIMITATION, THE IMPLIED -->
<!--  WARRANTIES OF MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE. -->
<!--  -->
<!-- 	@(#)mailaddr.7	6.5 (Berkeley) 2/14/89 -->
<!--  -->
<!--  Extensively rewritten by Arnt Gulbrandsen &lt;agulbra@troll.no&gt;.  My -->
<!--  changes are placed under the same copyright as the original BSD page. -->
<!--  -->
<!--  fool hilith19: " -->
<!--  -->
<!--  Traduction 20/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<br/><h1>MAILADDR</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">fichiers</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">traduction</a>
<br/><br/>.UC 5
<br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
mailaddr - Description des adresses pour le courrier lectronique.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Cette page de manuel est une brve introduction aux adresses Mail SMTP,
telles qu'elles sont utilises sur l'Internet. Les adresses ont le format
gnral&nbsp;:<br/><br/>
	utilisateur@domaine<br/><br/>
o 
<i>domaine</i> est une liste hirarchique de sous-domaines spars par des points.
Par exemple les adresses<br/><br/>
	eric@monet.berkeley.edu
<br/>
	Eric Allman &lt;eric@monet.berkeley.edu&gt;
<br/>
	eric@monet.berkeley.edu (Eric Allman)<br/><br/>
sont des formes valides de la mme adresse.<br/><br/>
La partie domaine (``monet.berkeley.edu'') peut tre le nom d'un hte
internet ou une adresse logique. La partie domaine n'est pas sensible
aux diffrences majuscules/minuscules.<br/><br/>
La partie locale (``eric'') est gnralement le nom d'un utilisateur,
mais sa signification dpend des programmes locaux. Elle peut tre
sensible aux diffrences majuscules/minuscules, mais ce n'est 
gnralement pas le cas. Si la partie locale d'une adresse
vous semble tre du charabia, c'est gnralement d  la prsence
d'une passerelle entre Internet et un systme de courrier lectronique
interne, en voici quelques exemples :<br/><br/>
	"surnom/admd=telemail/c=us/o=hp/prmd=hp"@quelque.part
	UTILISATEUR%QQCHOSE@quelque.part
	machine!machine!nom@quelque.part
	I2461572@quelque.part<br/><br/>
(Elles correspondent respectivement a une passerelle X.400, une
passerelle avec un systme de courrier interne quelconque qui
n'a pas un support Internet normal, une passerelle UUCP, et
une politique pnible pour les noms d'utilisateurs)<br/><br/>
La partie nom rel (``Eric Allman'') peut tre place soit devant
l'adresse, en-dehors de la chane &lt;&gt;, soit en dernier entre parenthses.
(Strictement parlant les deux ne sont pas quivalents, mais la diffrence
est en dehors du sujet de cette page).
Le nom peut tre entre guillemets "" s'il contient des caractres spciaux,
comme ``.'' :<br/><br/>
	"Eric P. Allman" &lt;eric@monet.berkeley.edu&gt;
</div><br/><h2 class="TitreSection1" id="L6">Abrviations.</h2>
<div class="paragraph"><br/><br/>
Plusieurs systmes de courriers permettent  leurs utilisateurs d'abrger
leur nom de domaine. Par exemple les utilisateurs au sein de berkeley.edu 
peuvent utiliser ``eric@monet'' pour crire  Eric Allman. 
<i>Ce comportement est dconseill.</i>
</div><br/><h2 class="TitreSection1" id="L6">Adresses de routage.</h2>
<div class="paragraph"><br/><br/>
Dans certaines circonstances, il peut tre ncessaire de router un
message  travers plusieurs htes pour qu'il atteigne sa destination
finale.
Normalement ceci est effectu automatiquement de manire transparente, mais
parfois ce n'est pas le cas, particulirement avec des logiciels
anciens et dpasss.
Les adresses o ces relais apparaissent sont appeles des
adresses de routage (route-addrs). Elles utilisent la syntaxe&nbsp;:<br/><br/>
	&lt;@hte_a,@hte_b:utilisateur@hte_c&gt;<br/><br/>
Ceci indique que le message doit tre envoy  hte_a, qui
l'enverra  hte_b, qui le transmettra finalement  hte_c. 
Certains htes ne traitent pas les adresses de routage, et envoient
directement  hte_c.<br/><br/>
Les adresses de routages sont frquentes en tant qu'adresse de retour,
puisque celles-ci sont allonges par les logiciels sur chaque hte.
Il est gnralement possible de ne conserver que la partie ``utilisateur@hte_c'' 
pour dterminer le vritable metteur.
</div><br/><h2 class="TitreSection1" id="L6">Responsable du courrier - Postmaster.</h2>
<div class="paragraph"><br/><br/>
Chaque site doit avoir un utilisateur ou un alias dsign par
``postmaster''  qui les rclamations concernant le courrier seront
adresses. Dans l'adresse ``postmaster'' il n'y a pas de diffrenciation
majuscules/minuscules.
</div><br/><h2 class="TitreSection1" id="L6">QUESTIONS FRQUENTES - FAQ</h2>
<div class="paragraph">
rtfm.mit.edu et de nombreux sites miroirs stockent une collection de FAQs.
Utilisez un site d'archives proche de chez vous, il y en a des centaines
dans le monde.
<i>mail/inter-network-guide</i> explique comment envoyer du courrier entre diffrents rseaux.
<i>mail/country-codes</i> liste les domaines primaires (par ex : ``no'' est la Norvge, ``fr'' la France).
<i>mail/college-email/part*</i> donne des conseils utiles pour localiser une adresse
</div><br/><br /><h1 class="TitreSection0" id="L3">fichiers</h1>
<div class="paragraph">
<i>/etc/aliases</i> <br/>
<i>~/.forward</i> </div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>binmail (1),</b>
<b>mail (1),</b>
<b>mconnect (1),</b>
<b>forward (5),</b>
<b>aliases (5),</b>
<b>sendmail (8),</b>
<b>vrfy (8),</b>
RFC822 (Standard du Format des Messages Textes Internet Arpa)
</div><br/><br /><h1 class="TitreSection0" id="L5">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
