<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1992 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  -->
<!--  Modified Sun Jul 25 11:06:05 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sat Jun  8 00:39:52 1996 by aeb. -->
<!--  -->
<!--  Traduction 20/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<!--  Mise  jour  LDP-man-pages-1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>MAN</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">prambule</a>
<br /><a class="summaryIndent0" href="#L4">sections (paragraphes)</a>
<br /><a class="summaryIndent0" href="#L5">nom</a>
<br /><a class="summaryIndent0" href="#L6">fontes</a>
<br /><a class="summaryIndent0" href="#L7">autres macros et chanes</a>
<br /><a class="summaryIndent0" href="#L8">,</a>
<br /><a class="summaryIndent0" href="#L9">ensemble de commandes sres</a>
<br /><a class="summaryIndent0" href="#L10">notes</a>
<br /><a class="summaryIndent0" href="#L11">fichiers</a>
<br /><a class="summaryIndent0" href="#L12">bogues</a>
<br /><a class="summaryIndent0" href="#L13">auteurs</a>
<br /><a class="summaryIndent0" href="#L14">voir aussi</a>
<br /><a class="summaryIndent0" href="#L15">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
man - Macros pour la mise en forme des pages de manuel.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>groff</b> <b></b>  <b>-Tascii</b> <b></b>  <b>-man</b> <b></b>  <i>fichier</i> ...<br/><br/>
<b>groff</b> <b></b>  <b>-Tps</b> <b></b>  <b>-man</b> <b></b>  <i>fichier</i> ...<br/><br/>
<b>man</b> <b></b>  [ section ]</i>
<i>titre</i> </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel explique le contenu du paquetage
<b>groff</b> <b></b>  <b>tmac.an"</b> <b></b>  (souvent appel paquetage
<b>man ).</b>
Ce paquetage doit tre utilis par les dveloppeurs pour crire ou porter des
pages de manuels pour Linux. Il est largement compatible avec d'autres
versions de ce paquetage, donc le portage de pages pour Linux ne devrait pas
poser de problmes (sauf pour NET-2 BSD qui utilise un paquetage compltement
diffrent appel mdoc, voir
<b>mdoc (7)).<br/><br/></b>
Notez que les pages de manuel NET-2 BSD peuvent tre visualises avec
<b>groff</b> <b></b>  simplement en spcifiant l'option
<b>-mdoc</b> <b></b>   la place de l'option
<b>-man .</b>
L'utilisation de l'option
<b>-mandoc</b> <b></b>  est nanmoins recommande puisqu'il dtectera automatiquement le paquetage
utilis.
</div><br/><br /><h1 class="TitreSection0" id="L4">prambule</h1>
<div class="paragraph">
La premire commande d'une page de manuel doit tre
.RS
<br/><br/>

<b>.TH</b> <b></b>  <i>titre section date source manuel</i> ,</i>
<br/><br/>


avec&nbsp;:
.RS
<br/><br/>
 0.8i
<i>titre</i> Le titre de la page de manuel (par exemple
<i>MAN ).</i>
<br/><br/>

<i>section</i> Le numro de section dans laquelle placer la page (par exemple
<i>7 ).</i>
<br/><br/>

<i>date</i> La date de la dernire modification. Pensez  modifier cette date 
chaque changement dans la page, car c'est la manire la plus courante
d'avoir un contrle de version.
<br/><br/>

<i>source</i> La source de la commande
<br/><br/>

Pour les excutables, utilisez quelque chose comme
<i>GNU </i>, <i> NET-2 </i>, <i> </i>SLS Distribution<i> </i>, <i> </i>MCC Distribution<i> .</i>
<br/><br/>

Pour les appels-systme, vous pouvez indiquer la version du noyau que vous
utilisez&nbsp;:
<i>Linux 2.4.19</i> .</i>
<br/><br/>

Pour les fonctions de bibliothque, utilisez la source de la fonction&nbsp;:
<i>GNU </i>, <i> </i>BSD 4.3<i> </i>, <i> </i>Linux DLL 4.4.1<i> .</i>
<br/><br/>

<i>manuel</i> Le titre du manuel (par exemple
<i>Manuel du programmeur Linux</i> ).</i>
<br/><br/>
Notez que les pages BSD formates avec mdoc commencent avec la commande
<b>Dd</b> <b></b>  et non pas
<b>TH .<br/><br/></b>
Les sections du manuel sont traditionnellement rparties ainsi&nbsp;:
.RS
<br/><br/>
 10
<b>1</b> <b></b>  <b>Commandes</b> <b></b>  Les commandes qui peuvent tre invoques par l'utilisateur depuis le shell.
<br/><br/>

<b>2</b> <b></b>  <b>Appel</b> <b></b>  <b>systmes</b> <b></b>  Les fonctions fournies par le noyau.
<br/><br/>

<b>3</b> <b></b>  <b>Fonctions</b> <b></b>  <b>de</b> <b></b>  <b>bibliothques</b> <b></b>  La plupart des fonctions de la 
<i>bibliothque C</i> telles que
<b>qsort (3))</b>
<br/><br/>

<b>4</b> <b></b>  <b>Priphriques</b> <b></b>  Fichiers spciaux trouvs dans
<i>/dev )</i>
<br/><br/>

<b>5</b> <b></b>  <b>Formats</b> <b></b>  <b>de</b> <b></b>  <b>fichiers</b> <b></b>  <b>et</b> <b></b>  <b>conventions</b> <b></b>  Le format de
<i>/etc/passwd</i> et d'autres fichiers lisibles par un humain.
<br/><br/>

<b>6</b> <b></b>  <b>Jeux</b> <b></b>  <br/><br/>

<b>7</b> <b></b>  <b>Ensembles</b> <b></b>  <b>de</b> <b></b>  <b>macros</b> <b></b>  <b>et</b> <b></b>  <b>de</b> <b></b>  <b>standards</b> <b></b>  Une description du systme de fichiers standard, cette
page de manuel, des jeux de caractres, entre autres...
<br/><br/>

<b>8</b> <b></b>  <b>Commandes</b> <b></b>  <b>d'administration"</b> <b></b>  <b>systme.</b> <b></b>  Les commandes comme
<b>mount (8),</b>
que seul
<i>root</i> peut excuter.
<br/><br/>

<b>9</b> <b></b>  <b>Routines</b> <b></b>  <b>du</b> <b></b>  <b>noyau</b> <b></b>  Il s'agit d'une section obsolte.
On a jadis pens qu'il serait bon de documenter le noyau Linux ici, mais en
fait trs peu de documentation a t ralis, et celle qui existe est dj
dpasse. Il existe de bien meilleures sources d'information pour les
dveloppeurs du noyau.

</div><br/><br /><h1 class="TitreSection0" id="L5">sections (paragraphes)</h1>
<div class="paragraph">
Les sections commencent par
<b>.SH</b> <b></b>  suivies de leurs titres. Si le titre contient des espaces, l'encadrer
par des guillemets.
Les titres traditionnels sont :
NOM, SYNOPSIS, DESCRIPTION, VALEUR RENVOYE, CODE DE RETOUR,
ERREURS, OPTIONS, FICHIERS, EXEMPLE, VOIR AUSSI, DIAGNOSTIQUE, BOGUES,
ENVIRONNEMENT, SCURIT, CONFORMIT, AUTEUR, VOIR AUSSI, et
TRADUCTION.
Utilisez de prfrence ces titres s'il vous plat&nbsp;; cette cohrence
rend les pages de manuel plus faciles  comprendre. Maintenant, crez
vos propres titres si vous pensez que c'est ncessaire.
 Le seul titre indispensable est
<i>NOM ,</i>
qui doit tre suivi sur la ligne suivante par une courte description du
programme :
.RS
<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L6">nom</h1>
<div class="paragraph">
<br/>
chess \- Jeu d'checs
<br/><br/>


Il est trs important que ce format soit respect, et qu'il se trouve un
backslash avant le tiret suivant le nom du programme. Il est important que
toute la description soit place sur une seule ligne. Cette syntaxe
est utilise par le programme
<b>makewhatis (8)</b>
pour crer la base de donnes des descriptions pour les commandes
<b>whatis (1)</b>
et
<b>apropos (1).<br/><br/></b>
NDT : Vous vous doutez bien que la version de distribution de 
<b>makewhatis (8)</b>
ne reconnat pas la section 'NOM' mais la section 'NAME'. Pour que
les commandes
<b>whatis </b>(1) et <b> apropos (1)</b>
fonctionnent, il faut modifier le script
<b>makewhatis (8).</b>
la modification  apporter est dcrite dans le fichier
<i>LISEZ_MOI ,</i>
qui est livr avec l'archive des pages de manuel en franais.<br/><br/><br/><br/>
Les autres sections contiennent habituellement les lments suivants&nbsp;:
<br/><br/>
 14
<b>SYNOPSIS</b> <b></b>  indique brivement l'interface de la commande ou de la fonction.
Pour les commandes, ce paragraphe montre sa syntaxe et ses arguments.
Les caractres gras marquent le texte invariable et l'italique indique les
arguments remplaables. Les crochets ([]) encadrent les arguments optionnels,
les barres verticales (|) sparent les alternatives, et les ellipses
(...) signalent les rptitions.
Pour les fonctions, on trouve toutes les dclarations et directives
<b>#include ,</b>
suivies de la dclaration de fonction.
<br/><br/>

<b>DESCRIPTION</b> <b></b>  fournit une explication sur ce que la commande, la fonction ou le format
reprsente. Dcrit les interactions avec les fichiers et l'entre standard,
ou ce qui est produit sur la sortie standard ou d'erreur.
Ne contient pas les dtails d'implmentation internes, sauf s'ils sont
critique pour comprendre l'interface.
Dcrit le cas principal, pour les dtails sur les options, on utilise
le paragraphe
<b>OPTIONS .</b>
S'il y a une sorte de grammaire d'entre, ou un jeu de sous-commandes,
on peut les placer dans un paragraphe
<b>UTILISATION</b> <b></b>  supplmentaire (juste aprs la section
<b>DESCRIPTION ).</b>
<br/><br/>

<b>VALEUR</b> <b></b>  <b>RENVOYE"</b> <b></b>  donne une liste des valeurs qu'une
routine de librairie renverra  l'appelant et les conditions
qui provoquent ces retours.
<br/><br/>

<b>CODE</b> <b></b>  <b>DE</b> <b></b>  <b>RETOUR"</b> <b></b>  indique les codes de retour d'un programme et les
conditions associes.
<br/><br/>

<b>OPTIONS</b> <b></b>  dcrit les options acceptes par le programme et comment son
comportement se modifie.
<br/><br/>

<b>UITILISATION</b> <b></b>  dcrit la grammaire du tout sous-langage implment.
<br/><br/>

<b>EXEMPLES</b> <b></b>  donne un ou plusieurs exemples d'utilisation de la fonction, du fichier
ou de la commande.
<br/><br/>

<b>FICHIERS</b> <b></b>  liste les fichiers utiliss par le programme ou la fonction, tels que
fichiers de configuration, de dmarrage, et les fichiers
manipuls directement par le programme.
Il faut donne le chemin d'accs complet des fichiers et utiliser le
mcanisme d'installation pour modifier le prfixe.
Pour la plupart des programmes, l'installation par dfaut est
/usr/local.
<br/><br/>

<b>ENVIRONNEMENT</b> <b></b>  dcrit toutes les variables d'environnement qui affecte le programme
ou la fonction, ainsi que leurs effets.
<br/><br/>

<b>DIAGNOSTIQUE</b> <b></b>  fournit un survol des messages d'erreurs usuels et comment les considrer.
Il n'est pas ncessaire d'indiquer les messages d'erreur systme ou les
signaux fatals qui peuvent apparatre durant l'excution du programme,
sauf s'ils sont traits spcialement.
<br/><br/>

<b>SECURIT</b> <b></b>  concerne les problmes de scurit et leurs implications.
Doit contenir les avertissements  propos des configurations ou des
environnements  viter, les commandes ayant des rpercussions au niveau
scurit, etc. surtout s'ils ne sont pas vidents.
Il n'est pas obligatoire de faire un paragraphe spcifique sur la
scurit. Si l'intelligibilit est amliore, on peut placer ces informations
dans les autres sections (telles que
<b>DESCRIPTION</b> <b></b>  ou
<b>UTILISATION</b> <b></b>  <b>).</b> <b></b>  Nanmoins, il est important de placer les informations de scurit quelque
part.
<br/><br/>

<b>CONFORMIT</b> <b></b>  dcrit les standards ou les conventions suivis par l'implmentation.
<br/><br/>

<b>NOTES</b> <b></b>  contient des notes diverses.
<br/><br/>

<b>BOGUES</b> <b></b>  liste les limitations ou les dfauts recenss, ainsi que les sujets
 dbat.
<br/><br/>

<b>AUTEUR</b> <b></b>  liste les auteurs de la documentation ou du programme afin de pouvoir
leur envoyer les rapports de bogue.
<br/><br/>

<b>VOIR</b> <b></b>  <b>AUSSI"</b> <b></b>  fournit une liste des pages de manuel ayany un rapport, dans l'ordre
alphabtiques, suivies des autres documents ventuels.
<br/><br/>

<b>TRADUCTION</b> <b></b>  le nom du traducteur. Si son adresse mail n'est pas fournie, vous la trouverez
dans le fichier LISEZ_MOI fournit avec les pages de manuel en franais.
Le paragraphe "TRADUCTION" n'est pas destine  flatter
l'ego du traducteur, mais  savoir  qui s'adresser si vous relevez une
erreur&nbsp;!<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">fontes</h1>
<div class="paragraph">
Bien qu'il y ait de nombreuses conventions arbitraires concernant les
pages de manuel pour UNIX, l'existence de plusieurs centaines de pages
spcifiques  Linux dfinit nos propres standards :
.IP
Pour les fonctions, les arguments sont toujours indiqus en italique,
<i>mme dans le paragraphe SYNOPSIS</i> ,</i>
o le reste de la fonction est en caractres gras:
.RS
<b>int mafonction(int </b> argc <i>, char **</i> argv );

.IP
Les noms de fichiers sont toujours en italique (par exemple
<i>/usr/include/stdio.h</i> ),</i>
sauf dans le paragraphe SYNOPSIS, ou les fichiers inclus sont en gras (par exemple
<b>#include &lt;stdio.h&gt;</b> ).</b>
.IP
Les macros, gnralement en majuscules, sont en gras (par exemple
<b>MAXINT ).</b>
.IP
Dans l'numration d'une liste de code d'erreurs, les codes sont en gras, et
la liste utilise normalement la macro
<b><br/><br/>
 .</b>
.IP
Toute rfrence  une autre page de manuel, ou au sujet principal de la
page en cours, est en gras. Si le numro de section de manuel est donn,
il est en Roman, sans espace (par exemple
<b>man (7)).<br/><br/></b>
Les commandes pour slectionner les fontes sont les suivantes&nbsp;:
<br/><br/>
 4
<b>.B</b> <b></b>  Gras
<br/><br/>

<b>.BI</b> <b></b>  Gras altern avec Italique
(surtout pour les spcifications de fonctions)
<br/><br/>

<b>.BR</b> <b></b>  Gras altern avec Roman
(surtout pour les rfrences aux autres pages de manuel)
<br/><br/>

<b>.I</b> <b></b>  Italique
<br/><br/>

<b>.IB</b> <b></b>  Italique altern avec Gras
<br/><br/>

<b>.IR</b> <b></b>  Italique altern avec Roman
<br/><br/>

<b>.RB</b> <b></b>  Roman altern avec Gras
<br/><br/>

<b>.RI</b> <b></b>  Roman altern avec Italique
<br/><br/>

<b>.SB</b> <b></b>  Petit altern avec Gras
<br/><br/>

<b>.SM</b> <b></b>  Petit (utile pour les acronymes)<br/><br/>
Traditionnellement, chaque commande peut avoir jusqu' six arguments, mais
les versions GNU semblent liminer cette contrainte.
Les arguments sont dlimits par des espaces. Des guillemets sont utiliss
pour encadrer un argument qui contient des espaces.
Tous les arguments seront imprims les uns aprs les autres sans
intercaler d'espace, ainsi la commande
<b>.BR</b> <b></b>  peut tre utilise pour indiquer un mot en Gras suivi par un signe de
ponctuation en Roman.
Si aucun argument n'est fourni, la commande s'applique  la ligne suivante.
</div><br/><br /><h1 class="TitreSection0" id="L8">autres macros et chanes</h1>
<div class="paragraph"><br/><br/>
Ci-dessous se trouvent les macros et chanes prdfinies. Sauf indication
contraire, toutes les macros dclenche un saut de ligne.
La plupart de ces macros utilisent ou modifient l'indentation courante.
Celle-ci est fixe par toute macro avec le paramtre
<i>i</i> ci-dessous&nbsp;; les macros peuvent omettre le
<i>i</i> auquel cas l'indentation courante est utilise.
En consquence, les paragraphes sucessifs peuvent utiliser la mme indentation
sans la rpter.
Un paragraphe normal, non-indent, replace l'indentation courante  sa valeur
par dfaut (0.5 pouces).
Par dfaut, les indentations sont mesures en ens (largeur d'une lettre "n")
ou ems ("m"). Ainsi les largeurs s'ajustent automatiquement en cas de
changement de police.
Les principales macros disponibles sont&nbsp;:
</div><br/><h2 class="TitreSection1" id="L17">Paragraphes normaux</h2>
<div class="paragraph">
<br/><br/>
 9m
<b>.LP</b> <b></b>  Comme
<b>.PP</b> <b></b>  (dbute un nouveau paragraphe).
<br/><br/>

<b>.P</b> <b></b>  Comme
<b>.PP</b> <b></b>  (dbute un nouveau paragraphe).
<br/><br/>

<b>.PP</b> <b></b>  Dbute un nouveau paragraphe et rinitialise l'indentation courante.
</div><br/><h2 class="TitreSection1" id="L17">Indentation Relative</h2>
<div class="paragraph">
<br/><br/>
 9m
.RS <b> i</b>
Dbute une indentation relative - dplace la marge gauche de
<i>i</i> vers la droite (si
<i>i</i> est absent, la valeur d'indentation courante est utilise).
Une nouvelle valeur d'indentation est place  0.5 pouces.
En consquence, tous les paragraphes suivants seront indents jusqu'au
<b>RE</b> <b></b>  correspondant.
<br/><br/>

<b></b> <b></b>  Terminer une indentation relative et restituer les valeurs prcdentes
d'indentation courante.
</div><br/><h2 class="TitreSection1" id="L17">Macros d'indentation de paragraphe</h2>
<div class="paragraph">
<br/><br/>
 9m
.HP <b> i</b>
Dbute un paragraphe avec une indentation d'accroche (la premire ligne du
paragraphe est le long de la marge gauche, et les autres lignes sont indentes).
<br/><br/>

</div><div class=<b>paragraph</b>> x<br/>
Paragraphe indent avec une balise d'accroche ventuelle.
Si la balise
<i>x</i> est omise, tout le paragraphe est indent de
<i>i .</i>
Si la balise
<i>x</i> est fournie, elle est accroche le long de la marge gauche, avant le
paragraphe indent
(C'est comme
<b><br/><br/>
</b>
sauf que la balise est incluse avec la commande elle-mme plutt que d'tre
sur la ligne suivante).
Si la balise est trop longue, le texte sera transpos  la ligne suivante
(le texte ne sera ni perdu ni tronqu).
Pour les listes  puces, utilisez cette macro avec \e(bu (rond) ou
\e(em (tiret) comme balise, et pour les listes numrotes utilisez 
le numro ou la lettre suivi par un point. Ceci simplifie la traduction
dans d'autres formats.
<br/><br/>

<br/><br/>
 <b> i</b>
Dbut d'un paragraphe avec une balise d'accroche. La balise est donne sur
la ligne suivante, mais le rsultat est identique  celui de la commande
<b>.IP .</b>
</div><br/><h2 class="TitreSection1" id="L17">Macros de liens hypertextes</h2>
<div class="paragraph">
<br/><br/>
 9m
.UR <b> u</b>
Dbute un lien hypertexte vers l'URI (URL)
<i>u ;</i>
il se terminera avec la commande
<b>UE</b> <b></b>  coorrespondante.
Lors d'une conversion en HTML, cela se traduit par les commandes HTML
<b>&lt;A HREF="</b><i>u</i><b>"&gt;</b>.
Il y a une exception&nbsp;: si
<i>u</i> a la valeur spciale ":", aucun lien hypertext ne sera cr aprs le
<b>UE</b> <b></b>  de fermeture. Ceci permet de dsactiver les liens dans des phrases comme
.UR ":"
LALR(1)
.UE
lorsqu'ils ne seraient pas appropris).
Les macros d'insertion de liens hypertextes sont nouvelles, et de nombreux
outils n'en feront rien. Mais, comme de nombreux outils (y compris troff)
les ignoreront simplement (ou au pire criront leur texte), on peut les
utiliser sans souci.
<br/><br/>

.UE
Fin de la commande
<b>UR</b> <b></b>  correspondante&nbsp;; lors de la gnration HTML, ceci se traduit par
<b>&lt;/A&gt;</b>.
<br/><br/>

.UN <b> u</b>
Cre une cible hypertexte nomme
<i>u </i>&nbsp;;<i></i>
ne contient pas de commande
<b>UE</b> <b></b>  correspondante.
Lors de la gnration de code HTML, ceci devrait se traduire en balise
<b>&lt;A NAME="</b><i>u</i><b>" id="</b><i>u</i><b>"&gt;&nbsp;&lt;/A&gt;</b>
(le &nbsp; est optionnel si le support pour Mosaic n'est pas ncessaire).
</div><br/><h2 class="TitreSection1" id="L17">Macros diverses</h2>
<div class="paragraph">
<br/><br/>
 9m
<b>.DT</b> <b></b>  Rinitialiser les tabulations  leurs valeurs par dfaut, tous les 0.5&nbsp;pouces
sans dclencher de saut de ligne.
<br/><br/>

.PD <b> d</b>
Fixer la distance verticale entre paragraphes  la valeur d
(si absent, d=0.4v).
Ne provoque pas de saut de ligne.
<br/><br/>

</div><br/><h2 class=<b>TitreSection1</b> id=<i>L17</i>> t</h2>
<div class="paragraph">
Sous-chapitre
<i>t</i> (comme
<b></div><br/><br /><h1 class=</b>TitreSection0<b> id=</b>L9<b>>,</h1></b>
<div class="paragraph">
mais pour les sous-sections au sein d'une section).
</div><br/><h2 class="TitreSection1" id="L17">Chanes prdfinies</h2>
<div class="paragraph">
Le paquetage
<b>man</b> <b></b>  contient les chanes prdfinies suivantes&nbsp;:
.IP \e*R
Symbole d'enregistrement&nbsp;: \*R
.IP \e*S
Taille de police par dfaut.
.IP \e*(Tm
Symbole marque dpose&nbsp;: \*(Tm
.IP \e*(lq
Guillemets en chevrons droits&nbsp;: \*(lq
.IP \e*(rq
Guillemets en chevrons gauches&nbsp;: \*(rq
</div><br/><br /><h1 class="TitreSection0" id="L10">ensemble de commandes sres</h1>
<div class="paragraph">
Bien que techniquement
<b>man</b> <b></b>  soit un paquetage de macros troff, en ralit un grand nombre d'autres outils
traitent les fichiers des pages de manuel, sans implmenter toutes les
possibilits de troff. Il vaut donc mieux viter certaines fonctionnalits
exotiques de troff.
Evitez d'utiliser les prprocesseurs de troff (s'il le faut, utilisez
<b>tbl (1),</b>
mais essayez d'employer plutt les commandes
<b>IP</b> <b></b>  et
<b>TP</b> <b></b>  pour les tableaux  deux colonnes).
Evitez d'utiliser les calculs, la plupart des autres outils ne les ralisent
pas. Utilisez des commandes simples facile  traduire dans d'autres formats.
Les macros suivantes sont reconnues comme sres (mme si elles sont
parfois ignors par les traducteurs)&nbsp;:
<b>\e</b> ,</b>
<b>. ,</b>
<b>ad ,</b>
<b>bp ,</b>
<b>br ,</b>
<b>ce ,</b>
<b>de ,</b>
<b>ds ,</b>
<b>el ,</b>
<b>ie ,</b>
<b>if ,</b>
<b>fi ,</b>
<b>ft ,</b>
<b>hy ,</b>
<b>ig ,</b>
<b>in ,</b>
<b>na ,</b>
<b>ne ,</b>
<b>nf ,</b>
<b>nh ,</b>
<b>ps ,</b>
<b>so ,</b>
<b>sp ,</b>
<b>ti ,</b>
<b>tr .<br/><br/></b>
Vous pouvez aussi employer les squences d'chappement de troff (celles qui
commencent par \e).
Si vou devez insrer un backslash comme du texte normal, utilisez \ee.
Les autres squences que vous pouvez utiliser, x et xx tant des caractres
quelconques, et N un chiffre, sont&nbsp;:
<b>\e' ,</b>
<b>\e` ,</b>
<b>\e- ,</b>
<b>\e. ,</b>
<b>\e</b> ,</b>
<b>\e% ,</b>
<b>\e*x ,</b>
<b>\e*(xx ,</b>
<b>\e(xx ,</b>
<b>\e$N ,</b>
<b>\enx ,</b>
<b>\en(xx ,</b>
<b>\efx ,</b>
et
<b>\ef(xx .</b>
Evitez d'utiliser des squences d'chappement pour dessiner des graphiques.<br/><br/>
N'utilisez pas les paramtres optionnels pour
<b>bp</b> <b></b>  (break page).
Utilisez seulement des valeurs positives pour
<b>sp</b> <b></b>  (vertical space).
Ne dfinissez pas de macro
( de )</b>
avec le mme nom qu'une macro dans ce paquetage ou dans celui de mdoc avec
une signification diffrente, il est probable que la dfinition en serait
ignore.
Tout indentation positive
( in )</b>
devrait tre apparie avec une indentation ngative identique.
(bien que vous devriez plutt utiliser les macros
<b>RS</b> <b></b>  et 
<b>RE</b> <b></b>   la place).
Les tests
( if,ie )</b>
ne devrait avoir que 't' ou 'n' comme condition.
Seules les traductions
( tr )</b>
qui peuvent tre ignores devraient tre utilises.
Les changement de fontes
( ft</b>
et les squences d'chappement <b>\ef</b>)
ne doivent prendre comme valeurs que 1, 2, 3, 4, R, I, B, P, ou CW
(la commande ft peut aussi n'avoir aucun paramtre).<br/><br/>
Si vous utilisez d'autres fonctionnalits que celles-ci, vrifiez le
rsultat soigneusement sur divers outils.
Une fois que vous avez confirmation que la nouvelle fonctionnalit est sre,
faites-le savoir au mainteneur de cette page.
</div><br/><br /><h1 class="TitreSection0" id="L11">notes</h1>
<div class="paragraph"><br/><br/>
Insrez les URLs complets dans le texte lui-mme, certains outils comme
<b>man2html (1)</b>
peuvent les transformer automatiquement en liens hypertextes.
Vous pouvez aussi utiliser la nouvelle macro
<b>UR</b> <b></b>  pour associer les liens aux informations correspondantes.
Si vous insrer des URLs, utilisez des URL complets (par exemple
&lt;http://www.kernelnotes.org&gt;) pour s'assurer que les outils les
trouveront automatiquement.<br/><br/>
Les outils traitant ces fichiers devront les ouvrir et examiner le premier
caractre non-blanc. Un point ou un apostrophe simple au dbut d'une ligne
indiquent un fichier troff (comme man ou mdoc).
Un angle gauche (&lt;) indique un document SGML/XML comme (HTML ou Docbook).
Tout autre caractre correspond a un texte ASCII simple (par exemple une
sortie "catman").<br/><br/>
Plusieurs pages commencent avec '\e" suivi d'un espace et d'une liste de
caractres indiquant comment la page doit tre pr-traite.
Pour amliorer la portabilit vers des traducteurs non-troff, nous vous
recommandons d'viter d'utiliser autre chose que
<b>tbl (1).</b>
Sous Linux la dtection en est automatique.
Nnamoins, vous pouvez inclure cette information pour que votre page de
manuel puisse tre traite par d'autres systmes (moins capables).
Voici la dfinition des prprocesseurs invoqus par ces caractres&nbsp;:
<br/><br/>
 3
<b>e</b> <b></b>  eqn(1)
<br/><br/>

<b>g</b> <b></b>  grap(1)
<br/><br/>

<b>p</b> <b></b>  pic(1)
<br/><br/>

<b>r</b> <b></b>  refer(1)
<br/><br/>

<b>t</b> <b></b>  tbl(1)
<br/><br/>

<b>v</b> <b></b>  vgrind(1)<br/><br/><br/><br/>
[NdT] En franais, nous utilisons plus frquement les 'espaces inscables'
que les anglo-saxons. Pour transformer un espace normal en espace inscable,
il suffit de le prfixer par '\e'. Si vous traduisez des pages, essayez
de placer ces espaces inscables avant les points-virgules, deux-points,
point d'exclamation et d'interrogation, et entre les nombres et les units
(par exemple 1024&nbsp;ko, s'crira 1024\e&nbsp;ko).<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L12">fichiers</h1>
<div class="paragraph">
<i>/usr/share/groff/ [*/] tmac/tmac.an</i> <br/>
<i>/usr/man/whatis</i> </div><br/><br /><h1 class="TitreSection0" id="L13">bogues</h1>
<div class="paragraph"><br/><br/>
La plupart des macros dcrivent la mise en forme (police, espacement...) au
lieu de marquer le contenu smantique (par exemple rfrence vers une autre
page) comme le font des formats comme mdoc ou DocBook (mme l'HTML a des
balises plus smantiques).
Cette situation rend le format
<b>man</b> <b></b>  difficile  traduire sur diffrents supports.
En se limitant au sous-ensemble de macros dcrites plus haut, il devrait
tre plus facile de basculer automatiquement vers un autre format de
page de rfrence dans l'avenir.<br/><br/>
La macro Sun
<b>TX</b> <b></b>  n'est pas implmente.
</div><br/><br /><h1 class="TitreSection0" id="L14">auteurs</h1>
<div class="paragraph">
</div><div class="paragraph">\(em<br/>
James Clark (jjc@jclark.com) a crit l'implmentation du paquetage de macros.
.IP \(em
Rickard E. Faith (faith@cs.unc.edu) a crit la version initiale de cette page
de manuel.
.IP \(em
Jens Schweikhardt (schweikh@noc.fdn.de) a crit le mini HOWTO Linux-man-page.
(qui a influenc cette page de manuel).
.IP \(em
David A. Wheeler (dwheeler@ida.org) a largement modifi cette page, en
ajoutant des dtails sur les sections et les macros.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L15">voir aussi</h1>
<div class="paragraph">
<b>apropos (1),</b>
<b>groff (1),</b>
<b>man (1),</b>
<b>man2html (1),</b>
<b>mdoc (7),</b>
<b>mdoc.samples (7),</b>
<b>whatis (1)<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L16">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
