<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  This man page is Copyright (C) 1999 Andi Kleen &lt;ak@muc.de&gt;. -->
<!--  Permission is granted to distribute possibly modified copies -->
<!--  of this page provided the header is included verbatim, -->
<!--  and in case of nontrivial modification author and date -->
<!--  of the modification is added to the header. -->
<!--  $Id: packet.7,v 1.13 2000/08/14 08:03:45 ak Exp $ -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt;  -->
<!--  08/06/2001 - LDP-man-pages-1.37 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>PACKET</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">types d'adresse</a>
<br /><a class="summaryIndent0" href="#L4">options des sockets</a>
<br /><a class="summaryIndent0" href="#L5">ioctls</a>
<br /><a class="summaryIndent0" href="#L6">gestion d'erreur</a>
<br /><a class="summaryIndent0" href="#L7">compatibilit</a>
<br /><a class="summaryIndent0" href="#L8">notes</a>
<br /><a class="summaryIndent0" href="#L9">erreurs</a>
<br /><a class="summaryIndent0" href="#L10">versions</a>
<br /><a class="summaryIndent0" href="#L11">bogues</a>
<br /><a class="summaryIndent0" href="#L12">auteurs</a>
<br /><a class="summaryIndent0" href="#L13">voir aussi</a>
<br /><a class="summaryIndent0" href="#L14">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
packet, PF_PACKET - Interface par paquet au niveau priphrique.<br/><br/>
<!--  yes, this is ugly. -->
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">

<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;features.h&gt;	/*</b> <b></b>  <b>pour</b> <b></b>  <b>avoir</b> <b></b>  <b>la</b> <b></b>  <b>version</b> <b></b>  <b>GlibC</b> <b></b>  <b>*/</b> <b></b>  <br/>
<b>#if</b> <b></b>  <b>__GLIBC__</b> <b></b>  <b>&gt;=</b> <b></b>  <b>2</b> <b></b>  <b>&&</b> <b></b>  <b>__GLIBC_MINOR</b> <b></b>  <b>&gt;=</b> <b></b>  <b>1</b> <b></b>  <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;netpacket/packet.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;net/ethernet.h&gt;	/*</b> <b></b>  <b>protocoles</b> <b></b>  <b>L2</b> <b></b>  <b>*/</b> <b></b>  <br/>
<b>#else</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;asm/types.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;linux/if_packet.h&gt;</b> <b></b>  <br/>
<b>#include</b> <b></b>  <b>&lt;linux/if_ether.h&gt;	/*</b> <b></b>  <b>protocoles</b> <b></b>  <b>L2</b> <b></b>  <b>*/</b> <b></b>  <b></b>  <br/>
<b>#endif</b> <b></b>  <br/><br/>
<br/><br/>
<b>packet_socket = socket(PF_PACKET, int </b> socket_type <i>, int </i>protocol ); 


</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les sockets packets sont utilises pour envoyer ou recevoir des paquets de donnes
bruts au pilote de priphrique (Niveau OSI 2).
Elles permettent d'implmenter des modules protocoles dans l'espace utilisateur
au dessus du niveau physique.<br/><br/>
L'argument
<i>socket_type</i> est soit
<b>SOCK_RAW</b> <b></b>  <b></b>  pour les paquets incluant l'en-tte du niveau liaison, soit
<b>SOCK_DGRAM</b> <b></b>  pour les paquets prpars sans l'en-tte de la couche liaison. Les informations de l'en-tte
du niveau liaison sont disponibles dans un format commun, par l'intermdiaire d'un
<b>sockaddr_ll . </b>
<i>protocol </i> est un numro de protocole IEEE 802.3 dans l'ordre des octets du rseau. Voir le fichier d'en-tte
<b>&lt;linux/if_ether.h&gt;</b> <b></b>  <b></b>  pour avoir une liste des protocoles autoriss. Lorsque le numro demand
est
<b>htons(ETH_P_ALL)</b> <b></b>  <b></b>  alors tous les protocoles sont reus.
Tous les paquets entrants du protocole indiqu seront passs  la socket packet avant d'tre
transmis aux protocoles implments dans le noyau.
 
Seuls les processus avec un UID effectif nul ou la capacit
<b>CAP_NET_RAW</b> <b></b>  peuvent ouvrir des sockets packet.<br/><br/>
Les paquets des sockets
<b>SOCK_RAW</b> <b></b>  sont transmis depuis et vers le pilote de priphrique sans aucune modification des donnes des paquets.
Lors de la rception, l'adresse est toujours examine et fournie dans une structure standard
<b>sockaddr_ll</b> <b></b>  Lors de l'mission d'un paquet, le buffer fourni par l'utilisateur doit contenir l'en-tte du niveau
physique. Le paquet est alors mis en file sans modification
 l'attention du pilote de priphrique correspondant  l'interface dfinie par
l'adresse de destination. Certains pilotes de priphrique ajoute toujours d'autres en-ttes.
<b>SOCK_RAW</b> <b></b>  est identique mais non compatible avec l'ancien
<b>SOCK_PACKET</b> <b></b>  de Linux 2.0.<br/><br/>
<b>SOCK_DGRAM</b> <b></b>  <b></b>  opre  un niveau lgrement plus lev. L'en-tte du niveau physique est supprim avant que le
paquet ne soit transmis  l'utilisateur. Les paquets envoys par une socket packet
<b>SOCK_DGRAM</b> <b></b>  reoivent un en-tte de niveau physique correct, en fonction des informations dans
l'adresse destination
<b>sockaddr_ll</b> <b></b>  <b></b>  avant d'tre mis en file.<br/><br/>
Par dfaut tous les paquets du type de protocole indiqu sont
passs  la socket packet. Pour ne recevoir que les paquets d'une interface donne
utilisez
<b>bind (2)</b>
en indiquant une adresse dans une 
<b>struct</b> <b></b>  <b>sockaddr_ll</b> <b></b>  pour attacher la socket  une interface. Seuls les champs d'adresse
<b>sll_protocol</b> <b></b>  <b></b>  et
<b>sll_ifindex</b> <b></b>  sont utiliss pour l'attachement.<br/><br/>
L'opration
<b>connect (3)</b>
n'est pas supporte sur les sockets packet.<br/><br/>
Lorsque l'attribut
<b>MSG_TRUNC</b> <b></b>  est transmis  
<b>recvmsg (2),</b>
<b>recv (2),</b>
<b>recvfrom (2)</b>
la vritable longueur du paquet sur le rseau est toujours renvoye, mme si elle
est plus grande que le buffer.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">types d'adresse</h1>
<div class="paragraph">
La structure sockaddr_ll est une adresse du niveau physique dpendant du priphrique.<br/><br/>
.RS

.ta 4n 20n 35n
struct sockaddr_ll {
	unsigned short	sll_family;   /* Toujours AF_PACKET        */
	unsigned short	sll_protocol; /* Protocole niveau physique */
	int             sll_ifindex;  /* Numro d'interface        */
	unsigned short	sll_hatype;   /* Type d'en-tte            */
	unsigned char	sll_pkttype;  /* Type de paquet            */
	unsigned char	sll_halen;    /* Longueur de l'adresse     */
	unsigned char	sll_addr[8];  /* Adresse niveau physique   */
};
.ta


<br/><br/>
<b>sll_protocol</b> <b></b>  <b></b>  est le type de protocole standard ethernet, dans l'ordre des octets du rseau,
comme dfini dans le fichier d'en-tte
<b>linux/if_ether.h .</b>
Par dfaut il s'agit du protocole de la socket.
<b>sll_ifindex</b> <b></b>  <b></b>  est le numro de l'interface
(voir
<b>netdevice (2));</b>
0 correspond  n'importe quelle interface (autoris uniquement pour l'attachement).
<b>sll_hatype</b> <b></b>  <b></b>  est un type ARP, comme dfini dans le fichier d'en-tte
<b>linux/if_arp.h</b> <b></b>  <b></b>  Le champ
<b>sll_pkttype</b> <b></b>  <b></b>  contient le type de paquet. Les types valides sont
<b>PACKET_HOST</b> <b></b>  pour un paquet destin  l'hte local,
<b>PACKET_BROADCAST</b> <b></b>  pour un paquet broadcast du niveau physique,
<b>PACKET_MULTICAST</b> <b></b>  pour un paquet envoy  une adresse multicast du niveau physique,
<b>PACKET_OTHERHOST</b> <b></b>  pour un paquet destin  un autre hte captur par un pilote de priphrique en
mode promiscuous, et
<b>PACKET_OUTGOING</b> <b></b>  pour un paquet provenant de l'hte local reboucl sur une socket packet.
Ceci n'a de signification qu'en rception.
<b>sll_addr</b> <b></b>  et
<b>sll_halen</b> <b></b>  contiennent l'adresse de niveau physique (par exemple IEEE 802.3) et sa longueur. L'interprtation
exacte dpend du priphrique.<br/><br/>
Lorsqu'on envoie des paquets, il suffit d'indiquer
<b>sll_family ,</b>
<b>sll_addr ,</b>
<b>sll_halen ,</b>
<b>sll_ifindex .</b>
Les autres champs devraient tre  zro.
<b>sll_hatype</b> <b></b>  et
<b>sll_pkttype</b> <b></b>  sont remplis en rception pour information.
Pour l'attachement, seuls
<b>sll_protocol</b> <b></b>  et
<b>sll_ifindex</b> <b></b>  sont utiliss.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">options des sockets</h1>
<div class="paragraph">
Les options des sockets packets permettent de configurer le multicasting du niveau physique
et le mode promiscuous. Cela fonctionne en appelant
<b>setsockopt (2) </b>
sur une socket packet avec SOL_PACKET et l'option
<b>PACKET_ADD_MEMBERSHIP</b> <b></b>  <b></b>  pour ajouter un attachement ou
<b>PACKET_DROP_MEMBERSHIP</b> <b></b>  pour en supprimer un.
Toutes les deux attendent une structure
<b>packet_mreq</b> <b></b>  en argument&nbsp;:<br/><br/>
.RS

.ta 4n 20n 35n
struct packet_mreq
{
	int            mr_ifindex;    /* Numro d'interface      */
	unsigned short mr_type;       /* Action                  */
	unsigned short mr_alen;       /* Longueur d'adresse      */
	unsigned char  mr_address[8]; /* Adresse niveau physique */
};
.ta


 <br/><br/>
<b>mr_ifindex</b> <b></b>  contient le numro de l'interface dont le statut doit
tre modifi.
Le paramtre
<b>mr_type</b> <b></b>  indique l'action  effectuer.
<b>PACKET_MR_PROMISC</b> <b></b>  valide la rception de tous les paquets circulant sur le segment de rseau commun. Souvent appel
``mode promiscuous''.
<b>PACKET_MR_MULTICAST</b> <b></b>  <b></b>  attache la socket au groupe multicast de niveau physique indiqu dans 
<b>mr_address</b> <b></b>  et
<b>mr_alen ,</b>
et
<b>PACKET_MR_ALLMULTI</b> <b></b>  demande  la socket de recevoir tous les paquets multicast arrivant sur l'interface.<br/><br/>
De plus, les ioctls classiques
<b>SIOCSIFFLAGS</b> <b></b> ,<b></b>  <b>SIOCADDMULTI</b> <b></b> ,<b></b>  <b></b>  <b>SIOCDELMULTI</b> <b></b>  peuvent donner les mmes rsultats.<br/><br/>

</div><br/><br /><h1 class="TitreSection0" id="L6">ioctls</h1>
<div class="paragraph">
<b>SIOCGSTAMP</b> <b></b>  peut servir  obtenir l'horodatage du dernier paquet reu. L'argument est une
structure
<b>struct</b> <b></b>  <b>timeval.<br/><br/></b> <b></b>  De plus, les ioctls standards dfinis dans
<b>netdevice (7)</b>
et
<b>socket (7)</b>
sont valides sur les sockets packets.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L7">gestion d'erreur</h1>
<div class="paragraph">
Les sockets packets ne gre pas d'autres erreurs que celles se produisant durant la transmission
des paquets au pilote de priphrique. Elles ne traitent pas le concept
de file d'erreurs.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L8">compatibilit</h1>
<div class="paragraph">
Sous Linux 2.0, la seule manire d'obtenir une socket packet tait l'appel
<b>socket(PF_INET, SOCK_PACKET, </b> protocol )\fR.
Ceci est encore support mais fortement dconseill.
La principale diffrence entre les deux mthodes est que
<b>SOCK_PACKET</b> <b></b>  utilise l'ancienne
<b>struct</b> <b></b>  <b>sockaddr_pkt</b> <b></b>  pour indiquer l'interface, ce qui ne fournit aucune indpendance vis--vis du niveau physique.<br/><br/>
.RS

.ta 4n 20n 35n
struct sockaddr_pkt
{
	unsigned short	spkt_family;
	unsigned char	spkt_device[14];
	unsigned short	spkt_protocol;
};
.ta


<br/><br/>
<b>spkt_family</b> <b></b>  <b></b>  contient le
type de priphrique
<b>spkt_protocol</b> <b></b>  <b></b>  est le type de protocole IEEE 802.3 comme dfini dans
<b>&lt;sys/if_ether.h&gt;</b> <b></b>  et
<b>spkt_device</b> <b></b>  <b></b>  est le nom du priphrique sous forme de chane termine par un caractre nul, par exemple eth0.<br/><br/>
Cette structure est obsolte et ne doit pas tre employ dans des nouveaux programmes.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L9">notes</h1>
<div class="paragraph">
Pour la portabilit, il est conseill d'utiliser les fonctionnalits
<b>PF_PACKET</b> <b></b>  par l'intermdiaire de l'interface
<b>pcap (3);</b>
bien que cela ne couvre qu'un sous-ensembles des
possibilits de
<b>PF_PACKET .<br/><br/></b>
Les sockets packet
<b>SOCK_DGRAM</b> <b></b>  n'essayent pas de crer ou de traiter les en-ttes IEEE 802.2 LLC pour
une trame IEEE 802.3.
Lorsque le protocole
<b>ETH_P_802_3</b> <b></b>  <b></b>  est indiqu en mission, le noyau cre la trame
802.3 et remplit le champ de longueur. L'utilisateur doit fournir l'en-tte
LLC pour obtenir un paquet entirement conforme. Les paquets 802.3 entrants ne sont pas
multiplexs sur les champs du protocole DSAP/SSAP. A la place, ils sont fournis  l'utilisateur
sous le protocole
<b>ETH_P_802_2</b> <b></b>  sans en-tte LLC ajout. Il n'est donc pas possible de faire d'attachement
<b>ETH_P_802_3;</b> <b></b>  L'attachement
<b>ETH_P_802_2</b> <b></b>  <b></b>  doit tre ralis  la place, et le multiplexage de protocole doit tre ralis manuellement.
Le comportement par dfaut en mission est l'encapsulation Ethernet DIX standard, avec le
protocole renseign.<br/><br/>
Les sockets packets ne sont pas soumises aux chanes de firewall en entre ou sortie.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L10">erreurs</h1>
<div class="paragraph">
<br/><br/>

<b>ENETDOWN</b> <b></b>  L'interface n'est pas en marche.<br/><br/>
<br/><br/>

<b>ENOTCONN</b> <b></b>  No interface address passed.<br/><br/>
<br/><br/>

<b>ENODEV</b> <b></b>  Unknown device name or interface index specified in interface address.<br/><br/>
<br/><br/>

<b>EMSGSIZE</b> <b></b>  Le paquet est plus grand que le MTU de l'interface.<br/><br/>
<br/><br/>

<b>ENOBUFS</b> <b></b>  Pas assez de mmoire pour le paquet.<br/><br/>
<br/><br/>

<b>EFAULT</b> <b></b>  Adresse mmoire invalide.<br/><br/>
<br/><br/>

<b>EINVAL</b> <b></b>  Argument invalide.<br/><br/>
<br/><br/>

<b>ENXIO</b> <b></b>  Numro d'interface illgal.<br/><br/>
<br/><br/>

<b>EPERM</b> <b></b>  L'utilisateur n'a pas les privilges ncessaires pour l'opration.<br/><br/>
<br/><br/>

<b>EADDRNOTAVAIL</b> <b></b>  Adresse de groupe multicast inconnue.<br/><br/>
<br/><br/>

<b>ENOENT</b> <b></b>  Pas de paquet reu.<br/><br/>
De plus, d'autres erreurs peuvent tre engendres par le pilote bas-niveau.
</div><br/><br /><h1 class="TitreSection0" id="L11">versions</h1>
<div class="paragraph">
<b>PF_PACKET</b> <b></b>  <b></b>  est une nouveaut de Linux 2.2. Les versions Linux prcdente ne supportaient que
<b>SOCK_PACKET.<br/><br/></b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L12">bogues</h1>
<div class="paragraph">
La GlibC 2.1 ne dfinit pas la constante symbolique
<b>SOL_PACKET.</b> <b></b>  Pour contourner ce problme, il est conseill d'crire&nbsp;:
.RS

#ifndef SOL_PACKET
#define SOL_PACKET 263
#endif



Ceci est corrig dans les dernires versions de la GlibC et ne se produit pas sur les LibC5.<br/><br/>
La gestion des en-ttes LLC IEEE 802.2/802.3 devrait tre considre comme un bogue.<br/><br/>
Les filtres des sockets ne sont pas documents.<br/><br/>
L'extension
<i>MSG_TRUNC</i> de recmsg est une bidouille horrible et devrait tre remplace par un message de commande.
Il n'y a actuellement aucun moyen d'obtenir l'adresse de destination originale des
paquets via SOCK_DGRAM.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L13">auteurs</h1>
<div class="paragraph">
Cette page de manuel a t crite par Andi Kleen avec l'aide de Matthew Wilcox.
PF_PACKET sous Linux 2.2 a t implment
par Alexey Kuznetsov, d'aprs du code d'Alan Cox et d'autres.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L14">voir aussi</h1>
<div class="paragraph">
<b>ip (7),</b>
<b>socket (7),</b>
<b>socket (2),</b>
<b>raw (7),</b>
<b>pcap (3).<br/><br/></b>
RFC 894 pour l'encapsulation standard Ethernet.<br/><br/>
RFC 1700 pour l'encapsulation IP IEEE 802.3.<br/><br/>
Le fichier d'en-tte
<b>linux/if_ether.h</b>
pour les protocoles du niveau physique.
 
</div><br/><br /><h1 class="TitreSection0" id="L15">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2001-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
