<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
'\" t
<!--  Copyright (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  -->
<!--  Traduction 19/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 18/05/1998 (LDP-man-pages-1.19) -->
<!--  Mise a jour 26/06/2000 (LDP-man-pages-1.30) -->
<!--  MJ LDP 1.53 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>SIGNAL</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">conformit</a>
<br /><a class="summaryIndent0" href="#L3">bogues</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
signal - Liste des signaux disponibles.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Linux supporte supporte  la fois les signaux POSIX classiques ("signaux
standards") et les signaux POSIX temps-rel.
</div><br/><h2 class="TitreSection1" id="L7">Signaux standards</h2>
<div class="paragraph">
Linux supporte les signaux standards indiqus ci-dessous. Plusieurs
d'entre-eux dpendent de l'architecture, comme on le voit dans la colonne
"Valeur". Lorsque trois valeurs sont indiques, la premire correspond
normalement aux architectures Alpha et Sparc, la seconde pour les ix86,
PPC et la dernire pour les Mips.
Un - dnote un signal absent pour l'architecture correspondante.<br/><br/>
Les symboles de la colonne "Action" ont la signification suivante&nbsp;:
.IP Term
Par dfaut, terminer le processus.
.IP Ign
Par dfaut, ignorer le signal.
.IP Core
Par dfaut, crer un fichier core et terminer le processus.
.IP Stop
Par dfaut arrter le processus.<br/><br/>
Voici tout d'abord les signaux dcrits dans le standard Posix.1 original&nbsp;:
<br/><br/>
<br/><br/>
.TS
l c c l
____
lB c c l .
Signal	Valeur	Action	Commentaire
 SIGHUP	\01	Term	Raccrochement (dconnexion) sur terminal
  	 		de contrle, ou mort du processus
  	 		de contrle.
SIGINT	\02	Term	Interruption depuis le clavier.
SIGQUIT	\03	Core	Demande 'Quitter' depuis le clavier.
SIGILL	\04	Core	Instruction illgale.
SIGABRT	\06	Core	Signal d'arrt depuis <i>abort</i>(3).
SIGFPE	\08	Core	Erreur mathmatique virgule flottante.
SIGKILL	\09	Term	Signal 'KILL'.
SIGSEGV	11	Core	Rfrence mmoire invalide.
SIGPIPE	13	Term	criture dans un tube sans lecteur.
SIGALRM	14	Term	Temporisation <i>alarm</i>(2) coule.
SIGTERM	15	Term	Signal de fin.
SIGUSR1	30,10,16	Term	Signal utilisateur 1.
SIGUSR2	31,12,17	Term	Signal utilisateur 2.
SIGCHLD	20,17,18	Ign	Fils arrt ou termin.
SIGCONT	19,18,25		Continuer si arrt.
SIGSTOP	17,19,23	Stop	Arrt du processus.
SIGTSTP	18,20,24	Stop	Stop invoqu depuis tty.
SIGTTIN	21,21,26	Stop	Lecture sur tty en arrire-plan.
SIGTTOU	22,22,27	Stop	criture sur tty en arrire-plan.
.TE<br/><br/>
Les signaux
<b>SIGKILL</b> <b></b>  et
<b>SIGSTOP</b> <b></b>  ne peuvent ni capturs ni ignors.<br/><br/>
Ensuite, les signaux non dcrits par POSIX.1, mais prsents dans les spcifications SUSv2 et SUSv3 / POSIX 1003.1-2001&nbsp;:
<br/><br/>
<br/><br/>
.TS
l c c l
____
lB c c l .
Signal	Valeur	Action	Commentaire
SIGBUS	10,7,10	Core	Erreur de Bus.
SIGPOLL		Term	Synonyme de SIGIO (System V).
SIGPROF	27,27,29	Term	Horloge pour le suivi
SIGSYS	12,-,12	Core	Mauvais argument de fonction (System V)
SIGTRAP	5	Core	Point d'arrt rencontr.
SIGURG	16,23,21	Ign	Condition urgente sur socket (4.2 BSD).
SIGVTALRM	26,26,28	Term	Alarme virtuelle (4.2 BSD).
SIGXCPU	24,24,30	Core	Limite de temps CPU dpasse (4.2 BSD).
SIGXFSZ	25,25,31	Core	Taille de fichier excessive (4.2 BSD).
.TE<br/><br/>
Jusqu' Linux 2.2 inclus, l'action par dfaut pour
<b>SIGSYS </b>, <b> SIGXCPU </b>, <b> SIGXFSZ </b>, <b></b>
et (sur les architectures autres que Sparc ou Mips)
<b>SIGBUS</b> <b></b>  tait de terminer simplement le processus, sans fichier core.
(Sur certains Unix, l'action par dfaut pour
<b>SIGXCPU </b> et <b> SIGXFSZ</b>
est de finir le processus sans fichier core).
Linux 2.4 se conforme  Posix 1003.1-2001 pour ces signaux, et termine le
processus avec un fichier core.<br/><br/>
Puis quelques signaux divers&nbsp;:
<br/><br/>
<br/><br/>
.TS
l c c l
____
lB c c l .
Signal	Valeur	Action	Commentaire
SIGIOT	6	Core	Arrt IOT. Un synonyme de SIGABRT.
SIGEMT	7,-,7	Term
SIGSTKFLT	-,16,-	Term	Erreur de pile sur coprocesseur
 			(inutilis).
SIGIO	23,29,22	Term	E/S  nouveau possible(4.2 BSD).
SIGCLD	-,-,18	Ign	Synonyme de SIGCHLD.
SIGPWR	29,30,19	Term	Chute d'alimentation (System V).
SIGINFO	29,-,-		Synonyme de SIGPWR
SIGLOST	-,-,-	Term	Perte de verrou de fichier.
SIGWINCH	28,28,20	Ign	Fentre redimensionne (4.3 BSD, Sun).
SIGUNUSED	-,31,-	Term	Signal inutilis (sera SIGSYS).
.TE<br/><br/>
(Le signal 29 est
est
<b>SIGINFO</b> <b></b>  /
<b>SIGPWR</b> <b></b>  sur Alpha mais
<b>SIGLOST</b> <b></b>  sur Sparc).<br/><br/>
<b>SIGEMT</b> <b></b>  n'est pas spcifi par Posix 1003.1-2001 mais apparat nanmoins sur la
plupart des Unix, avec une action par dfaut typique correspondant  une
fin du processus avec fichier core.<br/><br/>
<b>SIGPWR</b> <b></b>  (non spcifi dans Posix 1003.1-2001) est typiquement ignor sur les autres
Unix o il apparat.<br/><br/>
<b>SIGIO</b> <b></b>  (non scifi par Posix 1003.1-2001) est ignor par dfaut sur plusieurs
autres Unix.
</div><br/><h2 class="TitreSection1" id="L7">Signaux temps-rel</h2>
<div class="paragraph">
Linux supporte les signaux temps-rel tels qu'ils ont t dfinis  l'origine
dans les extentions temps-rel Posix.4 (et inclus  prsent dans Posix
1003.1-2001). Linux supporte 32 signaux temps-rel numrot de 32
( SIGRTMIN )</b>
 63
( SIGRTMAX ).</b>
(Les applications doivent toujours se rfrer aux signaux temps-rel en
utilisant la notation
<b>SIGRTMIN +n,</b>
car la plage des numros des signaux varie suivant les Unix).<br/><br/>
Contrairement aux signaux standards, les signaux temps-rel n'ont pas de
signification prdfinie&nbsp;: l'ensemble complet de ces signaux peut tre
utilise  des fins spcifiques  l'application.
(Notez quand mme que l'implmentation LinuxThreads utilise les trois
premiers signaux temps-rel).<br/><br/>
L'action par dfaut pour un signal temps-rel non captur est de terminer
le processus rcepteur.<br/><br/>
Les signaux temps-rel se distinguent de leurs homologues classiques ainsi&nbsp;:
</div><div class="paragraph">1.<br/>
Plusieurs instances d'un signal temps-rel peuvent tre empiles. Au
contraire, si plusieurs instances d'un signal standard arrivent alors qu'il
est bloqu, une seule instance sera mmorise.
</div><div class="paragraph">2.<br/>
Si le signal est envoy en utilisant
<b>sigqueue (2),</b>
il peut tre accompagn d'une valeur (un entier ou un pointeur).
Si le processus rcepteur positionne un gestionnaire en utilisant
l'attribut
<b>SA_SIGACTION</b> <b></b>  de l'appel
<b>sigaction (2)</b>
alors il peut accder  la valeur transmise dans le champ
<i>si_value</i> de la structure
<i>siginfo_t</i> passe en second argument au gestionnaire.
De plus, les champs
<i>si_pid</i> et
<i>si_uid</i> de cette structure fournissent le PID et l'UID rel du processus metteur.
</div><div class="paragraph">3.<br/>
Les signaux temps-rel sont dlivrs dans un ordre prcis.
Les divers signaux temps-rel du mme type sont dlivrs dans l'ordre
o ils ont t mis.
Si diffrents signaux temps-rel sont envoys au processus, ils sont
dlivrs en commenant par le signal de numro le moins lev (le signal
de plus fort numro est celui de priorit la plus faible).<br/><br/>
Si des signaux standards et des signaux temps-rel sont simultanment en
attente pour un processus, Posix ne prcise pas d'ordre de dlivrance.
Linux, comme beaucoup d'autres implmentations, donne priorit aux
signaux temps-rel dans ce cas.<br/><br/>
D'aprs Posix, une implmentation doit permettre l'empilement d'au moins 
_POSIX_SIGQUEUE_MAX (32) signaux pour un processus.
Nanmoins, plutt que de fixer une limite par processus, Linux impose une
limite pour l'ensemble des signaux empils sur le systme pour tous les
processus.
Cette limite peut tre consulte, et modifie (avec les privilges adquats)
grce au fichier
<i>/proc/sys/kernel/rtsig-max .</i>
Un fichier associ,
<i>/proc/sys/kernel/rtsig-max ,</i>
indique combien de signaux temps-rel sont actuellement empils.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">conformit</h1>
<div class="paragraph">
POSIX.1
</div><br/><br /><h1 class="TitreSection0" id="L4">bogues</h1>
<div class="paragraph">
<b>SIGIO</b> <b></b>  et
<b>SIGLOST</b> <b></b>  ont la mme valeur, le dernier est
mis en commentaire dans les sources du noyau, mais certaines
applications considrent encore que le signal 29 est
<b>SIGLOST .</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>kill (1),</b>
<b>kill (2),</b>
<b>setitimer (2)</b>
<b>sigaction (2),</b>
<b>signal (2),</b>
<b>sigprocmask (2),</b>
<b>sigqueue (2)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
