<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
'\" t
<!--  Don't change the first line, it tells man that we need tbl. -->
<!--  This man page is Copyright (C) 1999 Andi Kleen &lt;ak@muc.de&gt;. -->
<!--  and copyright (c) 1999 Matthew Wilcox.  -->
<!--  Permission is granted to distribute possibly modified copies -->
<!--  of this page provided the header is included verbatim, -->
<!--  and in case of nontrivial modification author and date -->
<!--  of the modification is added to the header. -->
<!--  $Id: socket.7,v 1.12 2000/09/15 13:15:26 ak Exp $ -->
<!--  Traduction Christophe Blaess &lt;ccb@club-internet.fr&gt;  -->
<!--  11/06/2001 - LDP-man-pages-1.37 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>SOCKET</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">fonctions de la couche socket</a>
<br /><a class="summaryIndent0" href="#L4">options des sockets</a>
<br /><a class="summaryIndent0" href="#L5">signaux</a>
<br /><a class="summaryIndent0" href="#L6">ancillary messages --></a>
<br /><a class="summaryIndent0" href="#L7">sysctls</a>
<br /><a class="summaryIndent0" href="#L8">ioctls</a>
<br /><a class="summaryIndent0" href="#L9">notes</a>
<br /><a class="summaryIndent0" href="#L10">bogues</a>
<br /><a class="summaryIndent0" href="#L11">versions</a>
<br /><a class="summaryIndent0" href="#L12">auteurs</a>
<br /><a class="summaryIndent0" href="#L13">voir aussi</a>
<br /><a class="summaryIndent0" href="#L14">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
socket - Interface Linux des sockets.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>#include</b> <b></b>  <b>&lt;sys/socket.h&gt;</b> <b></b>  <br/>
mysocket <i> = socket(int </i> socket_family <b>, int </b> socket_type <i>, int </i> protocol );<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Cette page de manuel documente l'interface utilisateur de l'implmentation Linux des
sockets rseau. Les sockets compatibles BSD reprsentent
une interface uniforme entre
le processus utilisateur et les piles de protocoles rseau dans le noyau.
Les modules des protocoles sont groups en
<i>familles de protocoles</i> comme
<b>PF_INET </b>, <b> PF_IPX </b>, <b> PF_PACKET</b>
et en
<i>types de sockets</i> comme
<b>SOCK_STREAM</b> <b></b>  ou
<b>SOCK_DGRAM .</b>
Voir
<b>socket (2)</b>
pour plus de dtails sur les familles et les types de sockets.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">fonctions de la couche socket</h1>
<div class="paragraph">
Ces fonctions servent  un processus utilisateur pour envoyer ou recevoir des paquets
et pour faire d'autres oprations sur les sockets. Pour plus de dtails, voir
leur pages de manuel respectives.<br/><br/>
<b>socket (2)</b>
cre une socket,
<b>connect (2)</b>
connecte une socket  une adresse de socket distante,
la fonction
<b>bind (2)</b>
attache une socket  une adresse locale,
<b>listen (2)</b>
indique  la socket que de nouvelles connexions doivent y tre acceptes, et
<b>accept (2)</b>
fournit une nouvelle socket avec la nouvelle connexion entrante.
<b>socketpair (2)</b>
renvoie deux sockets anonymes connectes (seulement implment pour quelques
familles locales comme
<b>PF_UNIX )<br/><br/></b>
<b>send (2),</b>
<b>sendto (2),</b>
et
<b>sendmsg (2)</b>
envoient des donnes sur une socket, et
<b>recv (2),</b>
<b>recvfrom (2),</b>
<b>recvmsg (2)</b>
reoivent des donnes depuis une socket.
<b>poll (2)</b>
et
<b>select (2)</b>
attendent que des donnes arrivent ou que l'mission soit possible.
De plus, les oprations d'entres-sorties standards comme
<b>write (2),</b>
<b>writev (2),</b>
<b>sendfile (2),</b>
<b>read (2),</b>
et
<b>readv (2) </b>
peuvent servir  crire ou lire des donnes.<br/><br/>
<b>getsockname (2)</b>
renvoie l'adresse locale d'une socket et
<b>getpeername (2)</b>
renvoie l'adresse de la socket distante.
<b>getsockopt (2)</b>
et
<b>setsockopt (2)</b>
servent  fixer ou lire des options du niveau socket ou protocole.
<b>ioctl (2)</b>
peut servir pour lire ou crire d'autres options.<br/><br/>
<b>close (2)</b>
sert  fermer une socket.
<b>shutdown (2)</b>
ferme un sens de communication d'une socket full-duplex connecte.<br/><br/>
Le positionnement, ou l'utilisation de
<b>pread (2) </b>
et
<b>pwrite (2)</b>
avec un dcalage non-nul n'est pas possible sur les sockets<br/><br/>
On peut faire des entres-sorties non-bloquante sur les sockets en fixant l'attribut
<b>O_NONBLOCK</b> <b></b>  sur le descripteur de la socket avec
<b>fcntl (2).</b>
Ensuite toutes les oprations qui devraient normalement bloquer 
se terminent immdiatement avec l'erreur
<b>EAGAIN</b> <b></b>  <b></b>  (l'opration devra tre retente ultrieurement).
<b>connect (2) </b>
renverra
l'erreur
<b>EINPROGRESS .</b>
L'utilisateur peut alors attendre divers vnements avec
<b>poll (2)</b>
ou
<b>select (2). <br/><br/></b>
.TS
tab(:) allbox;
c s s
l l l.
vnement E/S
vnemt:Poll:Occurrence
Lecture:POLLIN:T{
De nouvelles donnes sont arrives. 
T}
Lecture:POLLIN:T{
Une connexion est tablie
(pour les sockets orientes connexion)
T}
Lecture:POLLHUP:T{
Dconnexion du correspondant. 
T}
Lecture:POLLHUP:T{
Connexion rompue (seulement pour les protocoles orients connexion).
Si on crit sur la socket, le signal
<b>SIGPIPE</b> <b></b>  <b></b>  est aussi mis.
T}
criture:POLLOUT:T{
La socket a assez de place dans le 
<br/>
buffer d'mission pour
crire de nouvelles donnes.
T}
Lect/crit.:T{
POLLIN
<br/>
POLLOUT
T}:T{
Un
<b>connect (2)</b>
en attente est termin.
T}
Lect/crit.:POLLERR:Une erreur asynchrone s'est produite
Lect/crit.:POLLHUP:T{
Le correspondant  clos un sens de communication
T}
Exception:POLLPRI:T{
Donnes urgentes arrives, le signal
<b>SIGURG</b> <b></b>  est alors envoy.
T}
<!--  XXX not true currently -->
<!--  It is no I/O event when the connection -->
<!--  is broken from the local end using  -->
<!--  <b>shutdown (2) --></b>
<!--  or  -->
<!--  <b>close (2) --></b>
<!--  . -->
.TE<br/><br/><br/><br/>
Une alternative  l'utilisation de poll/select
est de laisser le noyau informer l'application  propos des
vnements par l'intermdiaire d'un signal
<b>SIGIO .</b>
Pour cela l'attribut
<b>FASYNC</b> <b></b>  doit tre plac sur le descripteur de la socket
via
<b>fcntl (2)</b>
et un gestionnaire de signal pour
<b>SIGIO</b> <b></b>  doit tre install avec
<b>sigaction (2). </b>
Voir les remarques sur les
<i>SIGNAUX</i> plus bas.
</div><br/><br /><h1 class="TitreSection0" id="L5">options des sockets</h1>
<div class="paragraph">
Ces options communes  toutes les sockets
peuvent tre crites en utilisant
<b>setsockopt (2)</b>
et lues avec
<b>getsockopt (2)</b>
avec le niveau socket positionn sur
<b>SOL_SOCKET .</b>
<br/><br/>

<b>SO_KEEPALIVE</b> <b></b>  Valide l'mission de messages priodiques gardant la socket ouverte pour les sockets
orientes connexion. Il s'agit d'un attribut entier boolen.
<br/><br/>

<b>SO_OOBINLINE</b> <b></b>  Si cette option est active, les donnes hors-bande sont places directement dans le
flux de donnes reues. Sinon elles ne sont transmises que si l'attribut
<b>MSG_OOB</b> <b></b>  <b></b>  est demand durant la rception.
<!--  don't document it because it can do too much harm. -->
<!-- <b>SO_NO_CHECK</b> <b></b>  <b>--></b> <b></b>  <br/><br/>

<b>SO_RCVLOWAT </b> et <b> SO_SNDLOWAT</b>
Indiquent le nombre minimal d'octets dans le buffer pour que la couche socket
passe les donnes au protocole
( SO_SNDLOWAT ) </b>
ou  l'utilisateur en rception
( SO_RCVLOWAT ).</b>
Ces deux valeurs ne sont pas modifiables sous Linux et la taille de leur argument
est toujours fixe
 un octet.
<b>getsockopt</b> <b></b>  <b></b>  peut lire les valeurs, mais
<b>setsockopt</b> <b></b>  <b></b>  renverra toujours
<b>ENOPROTOOPT .  </b>
<br/><br/>

<b>SO_RCVTIMEO </b> et <b> SO_SNDTIMEO</b>
Indiquent le dlai maximal d'mission ou de rception avant de renvoyer une erreur.
Sous Linux ces valeurs sont fixes dans les protocoles et ne peuvent tre ni lues
ni modifies. Leurs fonctionnalits peuvent tre mules  l'aide de
<b>alarm (2)</b>
ou
<b>setitimer (2).</b>
<br/><br/>

<b>SO_BSDCOMPAT</b> <b></b>  Valider une compatibilit bogue--bogue avec BSD. Cela n'est pris en compte que par le
module du protocole UDP et sera supprim dans le futur.
Dans ce mode, les erreurs ICMP reues pour une socket UDP ne seront pas transmises
aux programmes utilisateurs. Linux 2.0 donnait aussi une compatibilit bogue--bogue
pour les sockets raw avec cette option,
mais cela a t limin dans Linux 2.2. Il vaut mieux corriger les programmes utilisateur
que de valider cet attribut.
<br/><br/>

<b>SO_PASSCRED</b> <b></b>  Autorise ou interdit la rception des messages de contrle
<b>SCM_CREDENTIALS .</b>
Pour plus de dtails, voir
<b>unix (7). </b>
<br/><br/>

<b>SO_PEERCRED</b> <b></b>  Renvoie les authentifications du processus connect  l'autre extrmit de la socket.
N'est utile que pour les sockets
<b>PF_UNIX .</b>
Voir
<b>unix (7). </b>
L'argument est une structure
<b>ucred .</b>
Seulement valide avec
<b>getsockopt .</b>
<br/><br/>

<b>SO_BINDTODEVICE</b> <b></b>  Attacher cette socket  un priphrique donn, tel \(lqeth0\(rq,
comme indiqu dans le nom d'interface transmis. Si le nom est une chane vide
ou si la longueur d'option est nulle, l'attachement de la socket au priphrique
est supprim. L'option transmise est une chane termine par un caractre nul,
contenant le nom de l'interface, la longueur maximale tant
<b>IFNAMSIZ .</b>
Si la socket est attache  une interface, seuls les paquets reus sur cette
interface particulire sont traits par la socket. Remarquez que cela ne
fonctionne que pour certains types de sockets, en particulier les sockets
<b>AF_INET .</b>
Ceci n'est pas support pour les sockets packet (utilisez un
<b>bind (8)</b>
normal dessus).
<br/><br/>

<b>SO_DEBUG</b> <b></b>  Activer le dbogage sur la socket. Seulement autoris pour les processus avec la capacit
<b>CAP_NET_ADMIN</b> <b></b>  ou un UID effectif nul.
<br/><br/>

<b>SO_REUSEADDR</b> <b></b>  Indique que les rgles permettant la validation des adresses fournies dans un appel
<b>bind (2) </b>
doivent autoriser la rutilisation des adresses locales. Pour les sockets
<b>PF_INET</b> <b></b>  cela signifie que la socket peut s'attacher  n'importe quelle adresse
sauf s'il y a une attente active dessus. Lorsque la socket en attente
est attache 
<b>INADDR_ANY</b> <b></b>  avec un port spcifique, il n'est pas possible de s'attacher  nouveau
 ce port quelque soit l'adresse locale.
<br/><br/>

<b>SO_TYPE</b> <b></b>  Obtenir le type de socket, sous forme d'entier (comme
<b>SOCK_STREAM ). </b>
Ne peut qu'tre 
lu avec
<b>getsockopt . </b>
<!--  SO_ACCEPTCONN is in SUSv3, and its origin is explained in  -->
<!--  W R Stevens, UNPv1 -->
<br/><br/>

<b>SO_ACCEPTCONN</b> <b></b>  Renvoie une valeur indiquant si la socket a t dclare comme acceptant
les connexions  l'aide de
<b>listen ().</b>
La valeur 0 indique que la socket n'est pas en attente de connexions&nbsp;;
la valeur 1 indique que la socket accepte les connexions.
Peut eulement tre
lu avec
<b>getsockopt .</b>
<br/><br/>

<b>SO_DONTROUTE</b> <b></b>  Ne pas mettre par l'intermdiaire d'une passerelle, n'envoyer qu'aux htes directement
connects. Le mme effet peut tre obtenu avec l'attribut
<b>MSG_DONTROUTE</b> <b></b>  durant une opration
<b>send (2)</b>
sur la socket. Il s'agir d'un attribut entier boolen.
<br/><br/>

<b>SO_BROADCAST</b> <b></b>  Fixer ou lire l'attribut broadcast. Lorsqu'il est actif une socket datagramme
reoit les paquets envoys  l'adresse broadcast et peut envoyer des paquets
 une adresse broadcast. Cette option n'a aucun effet sur les sockets de type
<b>SOCK_STREAM.</b>
<br/><br/>

<b>SO_SNDBUF</b> <b></b>  <b></b>  Fixer ou lire la taille maximale en octets du buffer d'mission. La valeur par dfaut
est fixe par le sysctl
<b>wmem_default</b> <b></b>  <b></b>  et la valeur maximale autorise est fixe par le
sysctl
<b>wmem_max .</b>
<br/><br/>

<b>SO_RCVBUF</b> <b></b>  Fixer ou lire la taille maximale en octets du buffer de rception. La valeur par dfaut
est fixe par le sysctl
<b>rmem_default</b> <b></b>  <b></b>  et la valeur maximale autorise est fixe par le
sysctl
<b>rmem_max .</b>
<br/><br/>

<b>SO_LINGER</b> <b></b>  Fixer ou lire l'option
<b>SO_LINGER .</b>
L'argument est une
structure
<b>linger .<br/><br/></b>
.RS

.ta 4n 10n 22n
struct linger {
	int	l_onoff;	/* actif */
	int	l_linger;	/* dlai maximal */
};
.ta



.IP
Lorsque ce paramtre est actif, un appel
<b>close (2)</b>
ou
<b>shutdown (2)</b>
ne se terminera pas avant que tous les messages en attente pour la socket aient t correctement
mise ou que le dlai soit coul. Sinon, l'appel revient immdiatement et la fermeture est
effectue  l'arrire-plan.
Lorsque la socket est ferme lors d'un
<b>exit (3),</b>
elle se vide toujours  l'arrire-plan.
<br/><br/>

<b>SO_PRIORITY</b> <b></b>  Fixe la priorit dfinie par le protocole pour tous les paquets envoys sur la socket.
Linux utiliser cette valeur pour trier les files rseau : les paquets avec une priorit
levs peuvent tre traits d'abord, en fonction de la gestion des files sur
le priphrique. Pour
<b>ip (7),</b>
ceci fixe aussi le champ IP Type-Of-Service pour les paquets sortants.
<br/><br/>

<b>SO_ERROR</b> <b></b>  Lire et effacer l'erreur en attente sur la socket. Uniquement valide pour
<b>getsockopt .</b>
Renvoie un entier. 
</div><br/><br /><h1 class="TitreSection0" id="L6">signaux</h1>
<div class="paragraph">
Lorsqu'on crit sur une socket oriente connexion qui a t ferme
(localement ou  l'autre extrmit) le signal
<b>SIGPIPE</b> <b></b>  est envoy au processus crivain, et
<b>EPIPE</b> <b></b>  est renvoy. 
Le signal n'est pas envoy lorsque l'appel d'criture
contenait
l'attribut
<b>MSG_NOSIGNAL .<br/><br/></b>
Lorsqu'on le demande avec l'option
<b>FIOSETOWN</b> <b></b>  <b></b>  de fcntl ou l'option
<b>SIOCSPGRP</b> <b></b>  <b></b>  de ioctl, le signal
<b>SIGIO</b> <b></b>  <b></b>  est envoye quand un vnement d'entre-sortie se produit. Il est possible d'utiliser
<b>poll (2)</b>
ou
<b>select (2)</b>
dans le gestionnaire de signal pour savoir sur quelle socket l'vnement s'est produit?
Une alternative (sous Linux 2.2) est de demander un signal temps-rel avec le fnctl
<b>F_SETSIG .</b>
Le gestionnaire du signal temps-rel sera invoqu avec le descripteur
de fichier dans le champ
<i>si_fd</i> de
<i>siginfo_t .</i>
Voir
<b>fcntl (2)</b>
pour plus d'informations.<br/><br/>
Dans certains cas (par exemple diffrents processus accdant  la mme socket),
la condition ayant dclench le 
<b>SIGIO</b> <b></b>  peut avoir disparu quand le processus ragit au signal. Si cela se produit
le processus doit attendre  nouveau car Linux lui renverra le signal
ultrieurement.
<!--  </div><br/><br /><h1 class="TitreSection0" id="L7">ancillary messages --></h1>
<div class="paragraph">
</div><br/><br /><h1 class="TitreSection0" id="L8">sysctls</h1>
<div class="paragraph">
Les sysctls rseau des sockets de base sont accessibles avec les fichiers
<b>/proc/sys/net/core/*</b> <b></b>  <b></b>  ou avec
l'interface
<b>sysctl (2).</b>
<br/><br/>

<b>rmem_default</b> <b></b>  contient la taille en octets par dfaut du buffer de rception.
<br/><br/>

<b>rmem_max</b> <b></b>  contient la taille maximale en octets du buffer de rception qu'un utilisateur peut
rclamer avec l'option
<b>SO_RCVBUF</b> <b></b>  de la socket.
<br/><br/>

<b>wmem_default</b> <b></b>  contient la taille en octets par dfaut du buffer d'mission.
<br/><br/>

<b>wmem_max</b> <b></b>  contient la taille maximale en octets du buffer d'mission qu'un utilisateur peut
rclamer avec l'option
<b>SO_SNDBUF</b> <b></b>  de la socket.
<br/><br/>

<b>message_cost </b> et <b> message_burst </b>
configurent le filtrage par jeton utilis pour limiter la charge des
message d'avertissement dus aux vnements rseau extrieurs.
<br/><br/>

<b>netdev_max_backlog</b> <b></b>  <b></b>  Nombre maximal de paquets dans la file d'entre globale.
<br/><br/>

<b>optmem_max</b> <b></b>  Taille maximale par socket des donnes de service et des donnes de contrle utilisateur
comme les iovecs.
<!--  netdev_fastroute is not documented because it is experimental -->
</div><br/><br /><h1 class="TitreSection0" id="L9">ioctls</h1>
<div class="paragraph">
Ces ioctls sont accessibles en utilisant
<b>ioctl (2):<br/><br/></b>
.RS

error <i> = ioctl(</i> ip_socket <b>, </b> ioctl_type <i>, </i> &value_result <b>);</b>


<br/><br/>
<br/><br/>

<b>SIOCGSTAMP</b> <b></b>  Renvoie une structure
<b>struct</b> <b></b>  <b>timeval</b> <b></b>  <b></b>  avec l'horodatage de rception du dernier paquet transmis  l'utilisateur. Ceci permet
des mesures prcises de circulation sur le rseau. Voir
<b>setitimer (2) </b>
pour le dtail de la
<b>struct timeval</b> .</b>
<!--  -->
<br/><br/>

<b>SIOCSPGRP</b>
Fixer le processus ou le groupe de processus auquel envoyer les signaux
<b>SIGIO</b> <b></b>  ou
<b>SIGURG</b> <b></b>  lorsqu'une
opration d'entre-sortie
asynchrone s'est termine ou si des donnes urgentes sont disponibles.
L'argument est un pointeur sur un
<b>pid_t . </b>
Si l'argument est positif, on envoie le signal  ce processus. S'il est ngatif
on l'envoie au groupe de processus dont l'identifiant correspond  la valeur
absolue de l'argument.
Un processus ne peut demande que l'mission vers lui-mme ou son propre
groupe,  moins qu'il ait la capacit
<b>CAP_KILL</b> <b></b>  ou un UID effectif nul.
<br/><br/>

<b>FIOASYNC</b> <b></b>  Changer l'attribut
<b>O_ASYNC</b> <b></b>  pour activer ou dsactiver le mode d'entre-sortie asynchrone sur la socket. Le mode
d'entres-sorties asynchrones signifie que le signal
<b>SIGIO</b> <b></b>  <b></b>  ou le signal fix avec
<b>F_SETSIG</b> <b></b>  est envoy quand un vnement d'entre-sortie se produit.
.IP
L'argument est un attribut boolen entier.
<!--  -->
<br/><br/>

<b>SIOCGPGRP</b>
Lire le processus ou le groupe de processus auquel les signaux
<b>SIGIO</b> <b></b>  ou
<b>SIGURG</b> <b></b>  sont envoys,
ou zro
si aucun n'est configur.<br/><br/>
Fcntls valides:
<br/><br/>

<b>FIOGETOWN </b>
Comme l'ioctl SIOCGPGRP.
<br/><br/>

<b>FIOSETOWN</b>
Comme l'ioctl SIOCSPGRP.
</div><br/><br /><h1 class="TitreSection0" id="L10">notes</h1>
<div class="paragraph">
Linux suppose que la moiti du buffer d'mission/rception est utilis pour les structures
internes du noyau. Ainsi les sysctls sont deux fois plus grand que ce que l'on peut
observer directement sur le cble.
</div><br/><br /><h1 class="TitreSection0" id="L11">bogues</h1>
<div class="paragraph">
Les options de socket
<b>CONFIG_FILTER</b> <b></b>  <b></b>  <b>SO_ATTACH_FILTER</b> <b></b>  <b></b>  et
<b>SO_DETACH_FILTER</b> <b></b>  <b></b>  ne sont
pas documentes. Pour les utiliser il est conseill d'utiliser la
bibliothque libpcap.
</div><br/><br /><h1 class="TitreSection0" id="L12">versions</h1>
<div class="paragraph">
<b>SO_BINDTODEVICE</b> <b></b>  <b></b>  a t introduit dans Linux 2.0.30.
<b>SO_PASSCRED</b> <b></b>  <b></b>  est une nouveaut de Linux 2.2.
Les sysctls sont nouveaux dans Linux 2.2.
</div><br/><br /><h1 class="TitreSection0" id="L13">auteurs</h1>
<div class="paragraph">
Cette page de manuel a t crire par Andi Kleen.
</div><br/><br /><h1 class="TitreSection0" id="L14">voir aussi</h1>
<div class="paragraph">
<b>socket (2),</b>
<b>ip (7),</b>
<b>setsockopt (2),</b>
<b>getsockopt (2),</b>
<b>packet (7),</b>
<b>ddp (7) </b>
</div><br/><br /><h1 class="TitreSection0" id="L15">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2001-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
