<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  (c) 1993 by Thomas Koenig (ig25@rz.uni-karlsruhe.de) -->
<!--  -->
<!--  Permission is granted to make and distribute verbatim copies of this -->
<!--  manual provided the copyright notice and this permission notice are -->
<!--  preserved on all copies. -->
<!--  -->
<!--  Permission is granted to copy and distribute modified versions of this -->
<!--  manual under the conditions for verbatim copying, provided that the -->
<!--  entire resulting derived work is distributed under the terms of a -->
<!--  permission notice identical to this one -->
<!--   -->
<!--  Since the Linux kernel and libraries are constantly changing, this -->
<!--  manual page may be incorrect or out-of-date.  The author(s) assume no -->
<!--  responsibility for errors or omissions, or for damages resulting from -->
<!--  the use of the information contained herein.  The author(s) may not -->
<!--  have taken the same level of care in the production of this manual, -->
<!--  which is licensed free of charge, as they might when working -->
<!--  professionally. -->
<!--   -->
<!--  Formatted or processed versions of this manual, if unaccompanied by -->
<!--  the source, must acknowledge the copyright and authors of this work. -->
<!--  License. -->
<!--  Modified Sat Jul 24 17:35:15 1993 by Rik Faith (faith@cs.unc.edu) -->
<!--  Modified Sun Feb 19 22:02:32 1995 by Rik Faith (faith@cs.unc.edu) -->
<!--  -->
<!--  Traduction 20/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  Mise a jour 15/04/97 -->
<!--  Mise a jour 18/05/1998 (LDP-man-pages-1.19) -->
<!--  Mise a jour 02/05/1999 (LDP-man-pages-1.22) -->
<!--  Mise a jour 26/06/2000 (LDP-man-pages-1.30) -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.36 -->
<br/><h1>SUFFIXES</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">conformit</a>
<br /><a class="summaryIndent0" href="#L3">bogues</a>
<br /><a class="summaryIndent0" href="#L4">voir aussi</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
suffixes - Liste de suffixes de fichiers.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Il est courant d'indiquer le contenu d'un fichier en utilisant un suffixe,
consistant en un point suivi d'une ou plusieurs lettres.
Plusieurs utilitaires standards, comme les compilateurs, utilisent ceci
pour reconnatre le type de fichier  traiter, et l'utilitaire
<b>make (1) </b>
agit en fonction de rgles bases sur le type de suffixe.<br/><br/>
La liste suivante regroupe des suffixes couramment rencontrs sur les
systmes Linux.<br/><br/>
.TS 
l | l
_ | _
lI |  l .
Suffixe	Type de fichier
 ,v	Fichiers pour RCS (Revision Control System)
 -	Fichier backup
 .C	Code source C++, quivalent de <i>.cc</i>
 .F	Source FORTRAN avec directives <b>cpp</b>(1)
 	ou fichier compress avec freeze
 .S	Code source Assembleur avec directives <b>cpp</b>(1)
 .Y	Fichier compress avec Yabba
 .Z	Fichier compress avec <b>compress</b>(1)
 .[0-9]+gf	Fichier de polices (fonts) gnriques TeX
 .[0-9]+pk	Fichier de polices TeX
 .[1-9]	Pages de manuel de la section correspondante
 .[1-9][a-z]	Pages de manuel de section et sous-section
 .a	Bibliothque statique de code objet
 .ad	Fichier de ressources par dfaut d'application X11
 .ada	Source ADA (corps, spec...)
 .adb	Corps de source ADA
 .ads	Spcification de source ADA
 .afm	Mtrique de police PostScript
 .al	Fichier autochargeable Perl
 .am	Fichier d'entre pour <b>automake</b>
 .arc	Archive <b>arc</b>(1)
 .arj	Archive <b>arj</b>(1)
 .asc	Donnes ASCII protge PGP
 .asm	Fichier source assembleur (GNU)
 .au	Fichier Audio
 .aux	Fichier auxiliaire LaTeX
 .avi	Fichier d'animation MsVideo
 .awk	Programme AWK
 .b	Image de boot pour le chargeur Lilo
 .bak	Fichier de sauvegarde
 .bash	Script shell <b>bash</b>
 .bb	Liste de blocs produite par
	gcc -ftest-coverage
 .bbg	Graphe de blocs produit par
	gcc -ftest-coverage
 .bbl	Sortie de BibTeX
 .bdf	Fichier de police X
 .bib	Entre de BibText, base de donnes bibliographiques TeX
 .bm	Source bitmap
 .bmp	Source bitmap
 .bz2	Fichier compress avec <b>bzip2</b>(1)
 .c	Source C
 .cat	Fichier de catalogue de Message
 .cc	Source C++
 .cf	Fichier de configuration
 .cfg	Fichier de configuration
 .cgi	Programme ou script WWW
 .class	Pseudo-code compil Java
 .cls	Dfinition de classe LaTeX
 .conf	Fichier de configuration
 .config	Fichier de configuration
 .cpp	quivalent  <i>.cc</i>
 .csh	Script shell de <b>csh</b>
 .cxx	quivalent  <i>.cc</i>
 .dat	Fichier de donnes
 .deb	Paquetage de logiciel Debian
 .def	Source Modula-2 pour module de dfinition
 .def	Fichier de dfinition
 .desc	Partie initiale d'un mail dcod par
	<b>munpack</b>(1)
 .diff	Fichier de diffrences (voir <b>diff</b>(1))
 .dir	Fichier de rpertoire de base de donnes Dbm
 .doc	Fichier de documentation
 .dsc	Contrle de sources Debian
 .dtx	Fichier source de paquetage LaTeX
 .dvi	Sortie de TeX indpendante du priphrique
 .el	Source Lisp EMACS
 .elc	Lisp EMACS compil
 .eps	Encapsulated Postscript
 .exp	Source Expect
 .f	Source FORTRAN
 .f77	Source FORTRAN 77
 .f90	Source FORTRAN 90
 .fas	Common Lisp pr-compil
 
	Fichier en-tte FORTRAN
 
g	Dessin vectoriel pour <b>xfig</b>(1)
 .fmt	Fichier de format pour TeX
 .gif	Graphics Interchange Format
 .gmo	Catalogue de messages au format GNU
 .gsf	Police Ghostscript
 .gz	Fichier compress avec <b>gzip</b>(1)
 .h	Fichier en-tte C ou C++
 .help	Fichier d'aide
 .hf	quivalent  <i>.help</i>
 .hlp	quivalent  <i>.help</i>
 .htm	<i>.html</i> du pauvre...
 .html	Document HTML utilis entres autres sur le World Wide Web
 .hqx	Fichier Macintosh encod sur 7 bits
 .i	Source C aprs passage du pr-processeur
 .icon	Source Bitmap
 .idx	Index d'une base de donne ou d'un systme d'hypertexte
 .image	Source Bitmap
 .in	Modle de configuration, pour l'autoconf GNU
 .ins	Fichier d'installation de paquetage LaTeX pour Docstrip
 .info	Fichier pour navigateur info EMACS
 .info-[0-9]+	idem
 .itcl	Source Itcl 
	(extension objet de Tcl).
 .java	Fichier source Java.
 .jpg	<i>.jpeg</i> du pauvre...
 .jpeg	Image compresse JPEG
 .kmap	Table des touches de <b>lyx</b>(1)
 .l	Fichier <b>lex</b>(1) ou <b>flex</b>(1)
 .lex	quivalent  <i>.lex</i>
 .lha	Archive Lharc
 .lib	Bibliothque Common Lisp
 .lisp	Fihier source Lisp
 .log	Fichier de journalisation, cr par exemple par TeX
 .ln	Fichier utilis avec <b>lint</b>(1)
 .lsm	Entre descriptive de la Linux Software Map
 .lsp	Source Common Lisp
 .lyx	Document du traitement de texte LyX
 .lzh	Archive Lharc
 .m	Source objective C
 .m4	Source <b>m4</b>(1)
 .mac	Fichier de macros pour divers programmes
 .man	Page de manuel (plutt source que prformate).
 .map	Fichier de cartes pour divers programmes
 .me	Source Nroff pour le paquetage me
 .mf	Source Metafont (police gnre pour TeX)
 .mgp	Fichier MagicPoint
 .mm	Source pour <b>groff</b>(1) au format mm
 .mo	Fichier binaire de catalogue de messages
 .mod	Source Modula-2 pour module d'implmentation
 .mov	Animation QuickTime
 .mp	Source Metapost
 .mp2	Fichier MPEG Niveau 2 (audio)
 .mp3	Fichier MPEG Niveau 3 (audio)
 .mpeg	Animation
 .o	Fichier objet
 .old	Fichier ancien ou sauvegard
 .orig	Fichier Backup (original), de <b>patch</b>(1)
 .out	Fichier de sortie, souvent excutable (a.out)
 .p	Source Pascal
 .patch	Fichier diffrence de <b>patch</b>(1)
 .pag	Fichier de base de donnes Dbm
 .pbm	Format Bitmap Portable
 .pcf	Fichier police X11
 .pdf	Format de donnes portables
	(Adobe/<b>acroread</b> ou <b>xpdf</b>)
 .perl	Fichier source Perl (voir .ph .pl et .pm)
 .pfa	Fichier dfinition police Postscript, ASCII
 .pfb	Fichier dfinition police Postscript, binaire
 .pgm	Format Greymap (bitmap) portable.
 .pgp	Donnes PGP binaire 
 .ph	Fichier d'en-tte Perl
 .php	Fichier de programme PHP
 .php3	Fichier de programme PHP3
 .pid	Fichier pour stocker le PID d'un dmon (crond.pid)
 .pl	Fichier de bibliothque Perl ou liste de proprits TeX
 .pm	Fichier de module Perl.
 .png	Fichier Portable Network Graphics
 .po	Source d'un catalogue de messages
 .pod	Fichier de <b>perldoc</b>(1)
 .ppm	Fichier de Pixmap portable
 .pr	Source Bitmap
 .ps	Fichier Postscript 
 .py	Source Python
 .pyc	Fichier Python compil
 .qt	Animation QuickTime
 .r	Source RATFOR (obsolte)
 .rej	Patch non applicable par <b>patch</b>(1)
 .rpm	Paquetage logiciel RedHat
 .rtf	Fichier de texte au format Rich-Text
 .rules	Rgles pour un programme
 .s	Source Assembleur
 .sa	Bibliothque partage a.out
 .sc	Commande tableur <b>sc</b>(1)
 .scm	Source Scheme
 .sed	Script Sed
 .sgml	Fichier de source Sgml
 .sh	Scripts <b>sh</b>(1)
 .shar	Archive cre par <b>shar</b>(1)
 .so	Bibliothque partage ou objet chargeable dynamiquement
 .sql	Source SQL
 .sqml	Programme de requtes SQML.
 .sty	Fichier de style pour LaTeX
 .sym	Module de dfinition Modula-2 compil
 .tar	Archive cre par <b>tar</b>(1)
 .tar.Z	Archive tar compresse avec <b>compress</b>(1)
 .tar.bz2	Archive tar compresse avec \fPbzip\fP(1)
 .tar.gz	Archive tar compresse avec <b>gzip</b>(1)
 .taz	Archive tar compresse avec <b>compress</b>(1)
 .tcl	Script Tcl
 .tex	Source TeX ou LaTeX
 .texi	quivalent  <i>.texinfo</i>
 .texinfo	Source de documentation TeXinfo
 .text	Fichier de texte ascii.
 .tfm	Mtrique des polices TeX
 .tgz	Archive tar compresse avec <b>gzip</b>(1)
 .tif	<i>.tiff</i> du pauvre...
 .tiff	Ficher d'image TIFF
 .tk	script Tcl/Tk
 .tmp	Fichier temporaire
 .tmpl	Fichier Template
 .txt	Fichier Texte
 .uu	Fichier binaire encod avec <b>uuencode</b>(1)
 .uue	identique  <i>.uue</i>
 .vf	Police virtuelle de TeX
 .vpl	Liste de proprits virtuelles de TeX
 .w	WEB de Silvio Levi
 .wav	Fichier d'chantillonnage sonore
 .web	WEB de Donald Knuth
 .wml	Source Langage Web Meta
 .xbm	Source bitmap X11
 .xcf	Graphique GIMP
 .xml	Fichier eXtended Markup Language
 .xpm	Source pixmap X11
 .xs	Fichier xsub Perl produit par h2xs
 .xsl	Feuille de style XSL
 .y	Fichier <b>yacc</b>(1) ou <b>bison</b>(1)
 .z	Fichier compress avec <b>pack</b>(1) (ou un vieux <b>gzip</b>(1))
 .zip	Archive <b>zip</b>(1)
 .zoo	Archive <b>zoo</b>(1)
 ~	Fichier backup EMACS ou <b>patch</b>(1)
 rc	Fichier de dmarrage (run control), ex: <i>.newsrc</i>
.TE
</div><br/><br /><h1 class="TitreSection0" id="L3">conformit</h1>
<div class="paragraph">
Conventions gnrales UNIX
</div><br/><br /><h1 class="TitreSection0" id="L4">bogues</h1>
<div class="paragraph">
Cette liste n'est pas exhaustive
</div><br/><br /><h1 class="TitreSection0" id="L5">voir aussi</h1>
<div class="paragraph">
<b>file (1),</b>
<b>make (1)</b>
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
