<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) Markus Kuhn, 1995 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  1995-11-26  Markus Kuhn &lt;mskuhn@cip.informatik.uni-erlangen.de&gt; -->
<!--       First version written -->
<!--  -->
<!--  Traduction 20/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.37 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>UNICODE</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">caractres composs</a>
<br /><a class="summaryIndent0" href="#L3">niveaux d'implmentation</a>
<br /><a class="summaryIndent0" href="#L4">unicode sous linux</a>
<br /><a class="summaryIndent0" href="#L5">zone prive</a>
<br /><a class="summaryIndent0" href="#L6">littrature</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">auteur</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
Unicode - Le jeu de caractres universel.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Le standard international
<b>ISO</b> <b></b>  <b>10646</b> <b></b>  dfinit le 
<b>Universal Character Set (UCS)</b> .</b>
<b>UCS</b> <b></b>  contient tous les caractres de tous les autres jeux de caractres standards.
Il garantit galement une compatibilit circulaire, ce qui signifie que les
tables de conversions permettent de ne perdre aucune information quand une
chane de caractres est convertie dans un autre codage, puis reconvertie
en sens inverse.<br/><br/>
<b>UCS</b> <b></b>  contient les caractres ncessaires pour reprsenter presque tous les
langages connus. Il inclut non seulement les alphabets Latin, Grec,
Cyrillique, Hbreu, Arabe, Armnien, et Gorgien, mais galement Chinois
Japonais, Hiragana, Katakana, Coren, Hangul, Devanagari,
Bengali, Gurmukhi, Gujarati, Oriya, Tamil, Telugu, Kannada, Malayam,
Thai, Lao, Khmer, Bopomofo, Tibtain, Runique, Ethiopien, Canadien
Syllabique, Cherokee, Mongol, Ogham, Myanmar, Sinhala, Thaana, Yi, et
d'autres. Pour les critures pas encore intgres, des recherches sont en
cours pour optimiser l'encodage et elles seront ajoutes. Ceci peut inclure
non seulement des hiroglyphes et des langues indo-europennes, mais aussi
des critures artistiques comme Tengwar, Cirth, ou Klingon. UCS contient
un grand nombre de symboles graphiques, typographiques, mathmatiques, ou
scientifiques comme ceux fournis par TeX, Postscript, MS-DOS, MacIntosh,
Videotext, OCR, et de nombreux traitements de texte et systme d'dition.<br/><br/>
Le standard UCS (ISO 10646) dcrit un jeu de caractres sur 31 bits,
constitu de 128
<i>groupes</i> sur 24 bits, chacun d'eux diviss en 256
<i>plans</i> sur 16 bits, composs de 256
<i>ranges</i> de 8 bits, avec 256 positions en
<i>colonne</i> contenant chacune un caractre. La premire partie du standard
( <b>ISO 10646-1</b> ) </b>
dfinit les 65534 premiers codes (0x0000  0xFFFD) qui forme le
<i>Basic Multilingual Plane (BMP)</i> ,</i>
c'est  dire le plan 0 du groupe 0. La partie 2 du standard
( <b>ISO 10646-2</b> )</b>
ajoute des caractres au groupe 0, dans plusieurs
<i>plans supplmentaires</i> dans l'espace 0x10000  0x10ffff. On ne prvoit pas d'ajouter de caractres
au-del de 0x10ffff, ainsi sur l'ensemble de l'espace disponible, une faible
fraction du groupe 0 est effectivement utilisable dans un futur  court
terme. Le BMP contient tous les caractres des jeux habituels. Les plans
supplmentaires ajouts par ISO 10646-2 ne contiennent que des caractres
exotiques pour des notations scientifiques spciales, l'industrie de
l'impression, des protocoles de haut-niveau, et les besoins de quelques
enthousiastes.<br/><br/>
La reprsentation des caractres UCS sur des mots de 2 octets est
appele
<b>UCS-2</b> <b></b>  (ne contient que les caractres du BMP), alors que
<b>UCS-4</b> <b></b>  est la reprsentation sur un mot de 4 octets. De plus, il existe deux formes
<b>UTF-8</b> <b></b>  pour les compatibilits avec les logiciels traitant l'ASCII et
<b>UTF-16</b> <b></b>  <b></b>  <b></b>  pour les traitement des caractres au-del de
0x10ffff par des logiciels UCS-2.<br/><br/>
Les caractres UCS 0x0000  0x007F sont identiques  ceux du classique jeu
<b>US-ASCII ,</b>
et ceux de l'intervalle 0x0000  0x00FF sont identiques  ceux du
jeu de caractres
<b>ISO 8859-1 Latin-1</b> .</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">caractres composs</h1>
<div class="paragraph">
Quelques codes du
<b>UCS</b> <b></b>  ont t assigns  des
<b>caractres composs</b> .</b>
Ils sont semblables aux touches accentues sans avance sur les machines 
crire. Un caractre compos ajoute simplement un accent sur le caractre
prcdent (contrairement aux machines  crire qui agissent sur le caractre
suivant).
Les caractres accentus les plus importants ont leurs propres codes dans
l'UCS
nanmoins le mcanisme des caractres composs permet d'ajouter des accents
ou des signes diacritiques sur n'importe quel caractre de base.
Les caractres composs suivent toujours le caractre qu'ils modifient.
Par exemple, le caractre allemand A-Umlaut (A majuscule avec un trma)
peut tre reprsent soit par le code UCS prcompos 0x00C4, ou par la
combinaison d'un A majuscule normal, suivi d'un
"trma compos" (combining diaeresis), 0x0041 0x0308.<br/><br/>
Les caractres composs sont essentiels par exemple pour l'encodage de
l'criture Thai ou pour les notations mathmatiques et l'alphabet phontique
international.
</div><br/><br /><h1 class="TitreSection0" id="L4">niveaux d'implmentation</h1>
<div class="paragraph">
Comme tous les systmes ne sont pas censs supporter les mcanismes comme les
caractres composs, ISO 10646-1 spcifie les trois niveaux d'implmentation
suivants pour l'UCS :
<br/><br/>
 0.9i
Niveau 1
Les caractres composs et les caractres Hangul Jamo (un encodage spcial et
compliqu de l'criture Corenne, o les syllabes Hangul sont codes sur 2 ou
3 sous-caractres) ne sont pas supports.
<br/><br/>

Niveau 2
Comme le niveau 1, mais ce n'est qu'avec certaines critures
(par exemple Hbreu, Arabe, Devangari, Bengali, Gurmukhi,
Gujarati, Oriya, Tamil, Telugo, Kannada, Malayalam, Thai et Lao) qu'il
y a des caractres composs non supports.
<br/><br/>

Niveau 3
Tous les caractres
<b>UCS</b> <b></b>  sont supports.<br/><br/>
Le standard
<b>Unicode</b> <b></b>  <b>3.0</b> <b></b>  publi par le
<b>Unicode</b> <b></b>  <b>Consortium</b> <b></b>  contient exactement le
<b>Basic</b> <b></b>  <b>Multilingual</b> <b></b>  <b>Plane</b> <b></b>  <b>UCS</b> <b></b>  au niveau d'implmentation 3, comme dcrit dans le ISO 10646-1:2000.
<b>Unicode</b> <b></b>  <b>3.1</b> <b></b>  ajoute les plans supplmentaires de l'ISO 10646-2. Le standard Unicode et
les rapports techniques publis par le Consortium fournissent beaucoup
d'informations supplmentaires sur la smantique et les recommandations
d'usage. Ils fournissent des guides et des algorithmes pour diter, trier
comparer, normaliser, convertir et afficher des chanes Unicode.
</div><br/><br /><h1 class="TitreSection0" id="L5">unicode sous linux</h1>
<div class="paragraph">
Sous Gnu/Linux le type C
<b>wchar_t</b> <b></b>  est un entier 32 bits sign sous Linux, et sa valeur est
interprte comme un code
<b>UCS</b>
(dans toutes les localisations), une convention signale par la bibliothque
C Gnu en dfinissant la constante
<b>__STDC_ISO_10646__</b> <b></b>  comme indique dans le standard ISO C 99.<br/><br/>
L'UCS/Unicode peut tre employ comme l'ASCII dans les flux d'entre/sortie,
les communications avec les terminaux, les fichiers de texte, les noms de
fichiers et les variables d'environnement dans un encodage multi-octets
compatible
<b>UTF-8 .</b>
Pour signaler l'utilisation de l'UTF-8 comme encodage pour toutes les
applications, une
<b>locale</b> <b></b>  correcte doit tre configure dans les variables d'environnement (ex.
"LANG=en_GB.UTF-8").<br/><br/>
La fonction
<b>nl_langinfo(CODESET)</b> <b></b>  renvoie le nom de l'encodage slectionn.
Les fonctions de bibliothques comme
<b>wctomb (3)</b>
et
<b>mbsrtowcs (3)</b>
peuvent tre utilises pour transformer les caractres
<b>wchar_t</b> <b></b>  et les chanes dans le jeu de caractres du systme et inversement.
La fonction
<b>wcwidth (3)</b>
indique combien de positions (0\(en2) le curseur est avanc en sortant
un caractre.<br/><br/>
Sous Linux, en gnral, seule une implmentation BMP de niveau 1 devrait
tre utilise pour le moment. Pour certaines critures (en particulier Thai)
certains mulateurs de terminaux UTF-8 grent jusqu' deux caractres
combins avec une fonte ISO 10646 (niveau 2), mais il vaut mieux
prfrer les caractres prcomposs s'ils sont disponibles.
</div><br/><br /><h1 class="TitreSection0" id="L6">zone prive</h1>
<div class="paragraph">
L'intervalle entre 0xE000 et 0xF8FF du
<b>BMP ,</b>
ne sera jamais assign a aucun caractre par le standard, et est
rserv pour un usage priv.
Pour la communaut Linux, cette zone prive a t subdivise en deux.
L'intervalle entre 0xe000 et 0xefff peut tre utilis individuellement
par n'importe quelle application.
L'intervalle s'tendant de 0xF000  0xF8FF est rserv  Linux, et
les extensions y sont coordonnes entre les divers utilisateurs de Linux.
L'enregistrement des caractres assigns  la zone Linux est actuellement
maintenu par H. Peter Anvin &lt;Peter.Anvin@linux.org&gt;.
</div><br/><br /><h1 class="TitreSection0" id="L7">littrature</h1>
<div class="paragraph">
<br/><br/>
 0.2i
*
Information technology - Universal Multiple-Octet Coded Character
Set (UCS) - Part 1: Architecture and Basic Multilingual Plane.
International Standard ISO 10646-1, International Organization
for Standardization, Geneva, 2000.<br/><br/>
Ce sont les spcifications officielles de l'<b>UCS</b>.
Disponible en fichier PDF sur CD-ROM sur http://www.iso.ch/.
<br/><br/>

*
The Unicode Standard, Version 3.0.
The Unicode Consortium, Addison-Wesley,
Reading, MA, 2000, ISBN 0-201-61633-5.
<br/><br/>

*
S. Harbison, G. Steele. C - A Reference Manual. Fourth edition,
Prentice Hall, Englewood Cliffs, 1995, ISBN 0-13-326224-3.<br/><br/>
Un bon livre de rfrence  propos du langage C. La 4eme dition
couvre maintenant l'amendement 1 (1994) au standard ISO C
(ISO/IEC 9899:1990) qui ajoute un grand nombre de fonctions de
bibliothque C pour manipuler les jeux de caractres, mais ne couvre
pas encore C99.
<br/><br/>

*
Unicode Technical Reports.
.RS
http://www.unicode.org/unicode/reports/

<br/><br/>

*
Markus Kuhn: UTF-8 and Unicode FAQ for Unix/Linux.
.RS
http://www.cl.cam.ac.uk/~mgk25/unicode.html
Fournit les informations sur la liste de diffusion
<b>linux-utf8 ,</b>
le meilleur endroit pour trouver des conseils sur l'utilisation de l'Unicode
sous Linux

<br/><br/>

*
Bruno Haible: Unicode HOWTO.
.RS
ftp://ftp.ilog.fr/pub/Users/haible/utf8/Unicode-HOWTO.html

</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Au moment de la rdaction de cette page, le support libc de Linux
pour les locales
<b>UTF-8</b> <b></b>  tait mr, et le support XFree86 tait avanc, mais le travail ncessaire
pour rendre les applications (principalement les diteurs) compatibles avec
l'UTF-8 tait en cours. Le support gnral actuel de
<b>UCS</b> <b></b>  sous Linux fournit les caractres double-largeur CJK, et parfois les
surcharges des caractres combins, mais ne permet pas l'criture de droite
 gauche ou les ligatures ncessaires en Hbreu, Arabe, ou Indien. Ces
critures ne sont pour le moment supportes que par certaines applications
graphiques (visualisateurs HTML, traitements de texte) avec des moteurs
d'affichage perfectionns.
</div><br/><br /><h1 class="TitreSection0" id="L9">auteur</h1>
<div class="paragraph">
Markus Kuhn &lt;&lt;mgk25@cl.cam.ac.uk&gt;
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
<b>utf-8 (7)</b>
<b>charsets (7),</b>
<b>setlocale (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1997-2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
