<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Hey Emacs! This file is -*- nroff -*- source. -->
<!--  -->
<!--  Copyright (C) Markus Kuhn, 1996 -->
<!--  -->
<!--  This is free documentation; you can redistribute it and/or -->
<!--  modify it under the terms of the GNU General Public License as -->
<!--  published by the Free Software Foundation; either version 2 of -->
<!--  the License, or (at your option) any later version. -->
<!--  -->
<!--  The GNU General Public License's references to "object code" -->
<!--  and "executables" are to be interpreted as the output of any -->
<!--  document formatting or typesetting system, including -->
<!--  intermediate and printed output. -->
<!--  -->
<!--  This manual is distributed in the hope that it will be useful, -->
<!--  but WITHOUT ANY WARRANTY; without even the implied warranty of -->
<!--  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the -->
<!--  GNU General Public License for more details. -->
<!--  -->
<!--  You should have received a copy of the GNU General Public -->
<!--  License along with this manual; if not, write to the Free -->
<!--  Software Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, -->
<!--  USA. -->
<!--  -->
<!--  1995-11-26  Markus Kuhn &lt;mskuhn@cip.informatik.uni-erlangen.de&gt; -->
<!--       First version written -->
<!--  -->
<!--  -->
<!--  Traduction 20/10/1996 par Christophe Blaess (ccb@club-internet.fr) -->
<!--  -->
<!--  Mise  jour 06/06/2001 - LDP-man-pages-1.37 -->
<!--  MJ 25/07/2003 LDP-1.56 -->
<br/><h1>UTF-8</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">description</a>
<br /><a class="summaryIndent0" href="#L2">proprits.</a>
<br /><a class="summaryIndent0" href="#L3">encodage</a>
<br /><a class="summaryIndent0" href="#L4">exemples</a>
<br /><a class="summaryIndent0" href="#L5">notes applicatives</a>
<br /><a class="summaryIndent0" href="#L6">securit</a>
<br /><a class="summaryIndent0" href="#L7">conformit</a>
<br /><a class="summaryIndent0" href="#L8">auteur</a>
<br /><a class="summaryIndent0" href="#L9">voir aussi</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
UTF-8 - Un encodage Unicode multi-octets compatible ASCII.
</div><br/><br /><h1 class="TitreSection0" id="L2">description</h1>
<div class="paragraph">
Le jeu de caractres
<b>Unicode</b> <b></b>  <b>3.0</b> <b></b>  (voir <b>unicode</b>(7)) est constitu d'un codage sur 16 bits. 
L'encodage Unicode le plus vident (connu sous le nom de
<b>UCS-2 )</b>
consiste en une squence de mots de 16 bits. De telles chanes
peuvent contenir, comme fragments de caractre 16 bits, des octets
comme '\\0' or '/' qui ont une signification particulire dans les noms
de fichiers, et les paramtres de fonctions de bibliothque C.
De plus la majorit des outils UNIX attendent des fichiers ASCII et
ne peuvent pas lire des caractres reprsents par des mots de 16 bits
sans subir des modifications majeures.<br/><br/>
Pour ces raisons, 
l' UCS-2</b>
n'est pas un encodage externe de
l' Unicode</b>
utilisable dans les noms de fichiers, les variables d'environnement,
les fichiers textes, etc...
Le sur-ensemble d'Unicode
<b>ISO 10646 Universal Character Set (UCS)</b> ,</b>
occupe mme un espace de codage sur 31 bits, et l'encodage vident
<b>UCS-4</b> <b></b>  (une squence de mots sur 32 bits) a les mmes inconvnients.<br/><br/>
L'encodage
<b>UTF-8</b> <b></b>  de
l' Unicode</b>
et de
l' UCS</b>
n'a pas ces inconvnients et est un moyen d'utiliser le jeu de
caractres
<b>Unicode</b> <b></b>  sous les systmes d'exploitation compatibles UNIX.
</div><br/><br /><h1 class="TitreSection0" id="L3">proprits.</h1>
<div class="paragraph">
L'encodage
<b>UTF-8</b> <b></b>  <b></b>  a les proprits suivantes :
<br/><br/>
 0.2i
*
Les caractres
<b>UCS</b> <b></b>  0x00000000  0x0000007f (le jeu
<b>US-ASCII</b> <b></b>  classique) sont encods simplement par les octets 0x00  0x7f (compatibilit ASCII)
Ceci signifie que les fichiers et les chanes qui contiennent uniquement des
caractres du jeu ASCII 7 bits ont exactement le mme codage en
<b>ASCII</b> <b></b>  et en
<b>UTF-8 .</b>
<br/><br/>

*
Tous les caractres
<b>UCS</b> <b></b>  suprieurs  0x7F sont encods en squences consistant uniquement
en octets dans l'intervalle 0x80 a 0xFD, ainsi aucun octet
ASCII n'apparat en tant que partie d'un autre caractre (plus
de problmes avec '\\0' ou '/').
<br/><br/>

*
L'ordre de tri lexicographique des chanes
<b>UCS-4</b> <b></b>  est prserv.
<br/><br/>

*
Tous les 2^31 caractres de l'UCS peuvent tre encods en utilisant
<b>UTF-8 .</b>
<br/><br/>

*
Les octets 0xFE et 0xFF ne sont jamais utiliss dans le codage
<b>UTF-8 .</b>
<br/><br/>

* 
Le premier octet d'une squence multi-octets reprsentant un 
caractre
<b>UCS</b> <b></b>  non-ASCII est toujours dans l'intervalle 0xC0  0xFD et indique la
longueur de la squence multi-octets.
Tous les octets suivants de cette squence sont dans l'intervalle 0x80  0xBF.
Ceci permet une re-synchronisation aise et rend l'encodage robuste
face aux octets manquants.
<br/><br/>

*
Les caractres
<b>UTF-8</b> <b></b>  cods en
<b>UCS</b> <b></b>  peuvent avoir jusqu' 6 octets de long, nanmoins le standard
<b>Unicode</b> <b></b>  ne prcise aucun caractre au-del de 0x10ffff, ainsi les caractres
Unicode ne peuvent avoir que 4 octets de long avec
<b>UTF-8 .</b>
</div><br/><br /><h1 class="TitreSection0" id="L4">encodage</h1>
<div class="paragraph">
Les squences d'octets suivantes sont utilises pour reprsenter un
caractre. Les squences utilises dpendent du numro de code UCS
du caractre :
<br/><br/>
 0.4i
0x00000000 - 0x0000007F:
0 xxxxxxx</i>
<br/><br/>

0x00000080 - 0x000007FF:
110 xxxxx </i>
10 xxxxxx</i>
<br/><br/>

0x00000800 - 0x0000FFFF:
1110 xxxx</i>
10 xxxxxx</i>
10 xxxxxx</i>
<br/><br/>

0x00010000 - 0x001FFFFF:
11110 xxx</i>
10 xxxxxx</i>
10 xxxxxx</i>
10 xxxxxx</i>
<br/><br/>

0x00200000 - 0x03FFFFFF:
111110 xx</i>
10 xxxxxx</i>
10 xxxxxx</i>
10 xxxxxx</i>
10 xxxxxx</i>
<br/><br/>

0x04000000 - 0x7FFFFFFF:
1111110 x</i>
10 xxxxxx</i>
10 xxxxxx</i>
10 xxxxxx</i>
10 xxxxxx</i>
10 xxxxxx<br/><br/></i>
Les positions de bits
<i>xxx</i> sont remplies avec les bits du numro de code du caractre en
reprsentation binaire. Seule la plus petite squence multi-octets
permettant de reprsenter un numro de code doit tre utilise.<br/><br/>
Les codes
<b>UCS</b> <b></b>  de valeur 0xd800\(en0xdfff (UTF-16) comme 0xfffe et 0xffff ne doivent
pas apparatre dans un flux de donnes
<b>UTF-8 .</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">exemples</h1>
<div class="paragraph">
Le caractre
<b>Unicode</b> <b></b>  0xA9 = 1010 1001 (le symbole copyright) est encod
en UTF-8 comme :<br/><br/>
.RS
11000010 10101001 = 0xC2 0xA9
<br/><br/>
et le caractre 0x2260 = 0010 0010 0110 0000 (Le symbole "non gal") est encod ainsi :<br/><br/>
.RS
11100010 10001001 10100000 = 0xE2 0x89 0xA0

</div><br/><br /><h1 class="TitreSection0" id="L6">notes applicatives</h1>
<div class="paragraph">
Les utilisateurs doivent slectionner une localisation
<b>UTF-8 ,</b>
par exemple<br/><br/>
.RS
export LANG=fr_FR.UTF-8
<br/><br/>
afin d'active le support
<b>UTF-8</b> <b></b>  dans les applications.<br/><br/>
Les logiciels applicatifs qui doivent connatre l'encodage utilis devrait
toujours fixer la localisation, par exemple<br/><br/>
.RS
setlocale(LC_CTYPE, "")
<br/><br/>
et les programmeurs peuvent tester l'expression<br/><br/>
.RS
strcmp(nl_langinfo(CODESET), "UTF-8") == 0
<br/><br/>
pour savoir si une localisation
<b>UTF-8</b> <b></b>  a t slectionne, et si les entres-sorties de texte, les
communications avec les terminaux, le contenu des fichiers de texte, les noms
de fichiers et les variables d'environnement sont encods en
<b>UTF-8 .<br/><br/></b>
Les programmeurs habitus aux jeux de caractres mono-octet comme
<b>US-ASCII</b> <b></b>  ou
<b>ISO</b> <b></b>  <b>8859</b> <b></b>  doivent savoir que deux suppositions valides jusque l ne le sont plus
dans les localisation
<b>UTF-8 .</b>
D'abord un octet seul ne correspond par ncessairement  un unique caractre.
Ensuite, comme les mulateurs de terminaux modernes, en mode
<b>UTF-8</b> <b></b>  supportent galement les caractres en
<b>double-largeur</b> <b></b>  du Chinois, du Japonais ou du Coren, comme les 
<b>caractres</b> <b></b>  <b>combins</b> <b></b>  sans largeur, la sortie d'un unique caractre ne fait pas avancer
obligatoirement le curseur d'une position comme c'tait le cas en
<b>ASCII .</b>
Les fonctions de bibliothque comme
<b>mbsrtowcs (3)</b>
et
<b>wcswidth (3)</b>
doivent servir  prsent pour compter les caractres et les positions de 
curseur.<br/><br/>
La squence ESC officielle pour basculer d'un encodage
<b>ISO</b> <b></b>  <b>2022</b> <b></b>  (comme utilis par exemple par les terminaux VT100) en
<b>UTF-8</b> <b></b>  est ESC % G
("\\x1b%G"). La squence de retour depuis
<b>UTF-8</b> <b></b>  est ISO 2022 est ESC % @ ("\\x1b%@"). D'autres squences ISO 2022 (comme
celle pour basculer entre les jeux G0 et G1) ne sont pas applicables en
mode UTF-8.<br/><br/>
On peut esprer que dans un futur proche,
<b>UTF-8</b> <b></b>  remplacera
<b>ASCII</b> <b></b>  et
<b>ISO</b> <b></b>  <b>8859</b> <b></b>   tous les niveaux comme encodage des caractres sur les systmes POSIX,
ce qui conduira  un environnement sensiblement plus riche pour traiter
des textes.
</div><br/><br /><h1 class="TitreSection0" id="L7">securit</h1>
<div class="paragraph">
Les standards
<b>Unicode </b> et <b> UCS</b>
demande que le producteur
<b>UTF-8</b> <b></b>  utilise la forme la plus courte possible, par exemple, produire une
squence de deux octets avec un premier octet 0xc0 n'est pas conforme.
<b>Unicode</b> <b></b>  <b>3.1</b> <b></b>  a ajout la ncessit pour les programmes conformes de ne pas accepter
les formes non minimales en entre. Il s'agit de raisons de scurit : si
une saisie est examine pour des problmes de scurit, un programme
doit rechercher seulement la version
<b>ASCII</b> <b></b>  de "/../" ou ";" ou NUL. Il y a de nombreuses manires
non- ASCII</b>
de reprsenter ces choses dans un encodage
<b>UTF-8</b> <b></b>  non minimal.
</div><br/><br /><h1 class="TitreSection0" id="L8">conformit</h1>
<div class="paragraph">
ISO/IEC 10646-1:2000, Unicode 3.1, RFC 2279, Plan 9.
</div><br/><br /><h1 class="TitreSection0" id="L9">auteur</h1>
<div class="paragraph">
Markus Kuhn &lt;mgk25@cl.cam.ac.uk&gt;
</div><br/><br /><h1 class="TitreSection0" id="L10">voir aussi</h1>
<div class="paragraph">
<b>nl_langinfo (3),</b>
<b>setlocale (3),</b>
<b>charsets (7),</b>
<b>unicode (7)</b>
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Christophe Blaess, 1996-2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
