<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  MJ 25/07/2003 at-3.1.8 -->
<br/><h1>ATD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">avertissement</a>
<br /><a class="summaryIndent0" href="#L5">fichiers</a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">bogues</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
atd - Excute les travaux enregistrs pour un lancement ultrieur.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>atd</b> <b></b>  [ -l</b>
<i>load_avg ]</i>
[ -b</b>
<i>batch_interval ]</i>
[ -d ]</b>
[ -s ]</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>atd</b> <b></b>  excute les travaux mis en file d'attente par
<b>at(1) .<br/><br/></b>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>
 8
<b>-l</b> <b></b>  Indique le facteur limite de charge, au del duquel les travaux
ne devraient pas tre lancs,  la place du choix de 0.8 prcompil.
Pour un systme SMP (multiprocesseurs) avec
<i>n</i> CPUs, vous voudrez probablement le mettre plus grand que
<i>n-1.</i>
<br/><br/>
 8
<b>-b</b> <b></b>  Indique l'intervalle minimum en secondes entre le dpart de deux 
traitement par lots (60 par dfaut)
<br/><br/>
 8
<b>-d</b> <b></b>  Dbogage&nbsp;; affiche les messages d'erreur sur la sortie standard au lieu d'utiliser
<b>syslog(3) .</b>
<br/><br/>
 8
<b>-s</b> <b></b>  Traiter la file d'attente at/batch une seule fois.
Surtout utile pour une compatibilit avec les anciennes versions de 
<b>at ;</b>
<b>atd</b> <b></b>  <b>-s"</b> <b></b>  est quivalent  l'ancienne
commande
<b>atrun.</b> <b></b>  Un script appelant
<b>atd</b> <b></b>  <b>-s"</b> <b></b>  est install comme
<b>/usr/sbin/atrun</b> <b></b>  pour une compatibilit ascendante.
</div><br/><br /><h1 class="TitreSection0" id="L5">avertissement</h1>
<div class="paragraph">
<b>atd</b> <b></b>  ne fonctionnera pas si le rpertoire de stockage est mont via NFS, mme si
<i>no_root_squash</i> est indiqu.
</div><br/><br /><h1 class="TitreSection0" id="L6">fichiers</h1>
<div class="paragraph">
<i>/var/spool/at</i> Le rpertoire pour stocker les travaux&nbsp;; les droits d'accs devraient tre 700,
le propritaire daemon.<br/><br/>
<i>/var/spool/at/spool</i> Le rpertoire pour stocker le rsultat&nbsp;; les droits d'accs devraient tre 700,
le propritaire daemon.<br/><br/>
<i>/etc/at.allow,</i>
<i>/etc/at.deny</i>
dterminent qui peut utiliser
le mcanisme
<b>at .</b>
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>at (1),</b>
<b>atrun (1),</b>
<b>cron (8),</b>
<b>crontab (1),</b>
<b>syslog (3),</b>
<b>at.deny (5),</b>
<b>at.allow(5).</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">bogues</h1>
<div class="paragraph">
Les fonctionalits de
<b>atd</b> <b></b>  devraient tre regroupes dans
<b>cron(8) .</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Frdric Gacquer, 1999
<br/>
Christophe Blaess, 2003.<br/><br/>

								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
