<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright (c) 1994, 1995 Jacques Gelinas (jacques@solucorp.qc.ca) -->
<!--  Copyright (c) 1995, 1999 Bjorn Ekwall (bj0rn@blox.se) -->
<!--  This program is distributed according to the Gnu General Public License. -->
<!--  See the file COPYING in the base distribution directory -->
<!--  MJ 30/07/21 modutils-2.4.22 -->
<br/><h1>DEPMOD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">configuration</a>
<br /><a class="summaryIndent0" href="#L5">stratgie</a>
<br /><a class="summaryIndent0" href="#L6">fichiers</a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">bogues</a>
<br /><a class="summaryIndent0" href="#L9">auteurs</a>
<br /><a class="summaryIndent0" href="#L10">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
depmod - gestion des dpendances entre les modules du noyau.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>depmod</b> <b></b>  [-aA] [-ehnqrsuvV]
[-C&nbsp; configfile <i>] [-F&nbsp;</i> kernelsyms <i>] [-b </i> basedirectory ]</i>
[ forced_version ]</i>
<br/>
<b>depmod</b> <b></b>  <b>\fR[-enqrsuv]</b> <b></b>  <b>[-F</b> <b></b>  <b><i>kernelsyms</i>]</b> <b></b>  <b>module1.o</b> <b></b>  <b>module2.o</b> <b></b>  <b>...</b> <b></b>  </div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les utilitaires
<b>depmod</b> <b></b>  et
<b>modprobe</b> <b></b>  ont t conus pour rendre le noyau Linux
modulaire, configurable pour tous les utilisateurs,
administrateurs et concepteurs de distribution.<br/><br/>
<b>depmod</b> <b></b>  cre un fichier de dpendances type "Makefile", bas sur les symboles qu'il
trouve dans les modules indiqus sur la ligne de commande ou dans les
rpertoires indiqus par le fichier de configuration.
Ce fichier est ensuite utilis par
<b>modprobe</b> <b></b>  pour charger automatiquement le module ou l'ensemble de modules corrects.<br/><br/>
L'invocation normale de
<b>depmod</b> <b></b>  se fait en incluant la ligne<br/><br/>
<br/> 
<b>/sbin/depmod</b> <b></b>  <b>-a"</b> <b></b>  <br/><br/><br/>
dans un fichier de dmarrage
de
<i>/etc/rc.d ,</i>
afin que les dpendances entre modules soient disponibles
immdiatement aprs le dmarrage du systme.
Notez que l'option
<b>-a</b> <b></b>  est maintenant facultative.
Pour le dmarrage, l'option
<b>-q</b> <b></b>  peut s'avrer plus approprie car elle permet de laisser depmod silencieux
malgr les symboles non rsolus.<br/><br/>
On peut aussi crer le fichier de dpendances immdiatement aprs avoir
compil un nouveau noyau.
Si vous faites "<b>depmod&nbsp;-a&nbsp;2.4.21</b>" aprs avoir compil le noyau
2.4.21 et ses modules pour la premire fois, tout
en continuant de travailler avec par exemple le 2.4.20, le fichier sera
cr  l'emplacement adquat.
Dans ce cas, toutefois les dpendances avec le nouveau
noyau ne sont pas garanties.
Voir les options
<b>-F </b>, <b> -C </b>, et <b> -b</b>
pour plus de dtails sur ce problme.<br/><br/>
Pour analyser les relations entre modules et symboles
exports,
<b>depmod</b> <b></b>  ne tient pas compte du status GPL des modules ou des symboles exports.
Ceci signifie que depmod n'indiquera pas d'erreur si un module sans licence
compatible GPL fait rfrence  un symbole "GPL seulement" (EXPORT_SYMBOL_GPL
dans le noyau). Nanmoins insmod refusera de rsoudre les symboles "GPL seulement"
pour les modules non-GPL et le vritable chargement chouera.
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

<b>-a </b>, <b> --all</b>
Examine les modules dans tous les rpertoires spcifis dans le fichier
(facultatif) de configuration
<i>/etc/modules.conf</i> .</i>
<br/><br/>

<b>-A </b>, <b> --quick</b>
Comparer les horodatades des fichiers, et au besoin agir comme
<b>depmod -a</b> .</b>
Cette option ne met  jour le fichier de dpendance qu'en cas de changement.
<br/><br/>

<b>-e </b>, <b> --errsyms</b>
Affiche tous les symboles non rsolus pour chaque module.
<br/><br/>

<b>-h </b>, <b> --help</b>
Affiche une page d'aide et se termine immdiatement.
<br/><br/>

<b>-n </b>, <b> --show</b>
Affiche les dpendances sur la sortie standard plutt que <i>/lib/modules</i>.
<br/><br/>

<b>-q </b>, <b> --quiet</b>
Demande une excution silencieuse sans compte-rendu des fonctions manquantes.
<br/><br/>

<b>-r </b>, <b> --root</b>
Quelques utilisateurs compilent les modules sans droits root et les installent
en tant root. Ceci risque de crer des modules n'appartenant pas  root, mme
si le rpertoire des modules est proprit du root.
Si un tel compte utilisateur est pirat, un intrus peut modifier ces modules
et les utiliser pour obtenir un accs
root.
<br/><br/>

<i></i> Par dfaut, modutils rejettera les demandes d'utilisation d'un module qui
n'appartient  root. L'option <b>-r</b> supprimera l'erreur et autorisera le
chargement de module n'appartenant pas  root.
<br/><br/>

<i></i> <b>L'utilisation</b> <b></b>  <b>de</b> <b></b>  <b>-r</b> <b></b>  <b>est</b> <b></b>  <b>un</b> <b></b>  <b>danger</b> <b></b>  <b>pour</b> <b></b>  <b>la</b> <b></b>  <b>scurit</b> <b></b>  <b>et</b> <b></b>  <b>est</b> <b></b>  <b>dconseille.</b> <b></b>  <br/><br/>

<b>-s </b>, <b> --syslog</b>
Envoie les messages d'erreurs au dmon syslog plutt que sur stderr.
<br/><br/>
 
<b>-u </b>, <b> --unresolved-error</b>
<b>depmod</b> 2.4 ne donne pas de code de retour lorsqu'il y a des symboles non
rsolus. La version majeure suivante de modutils (2.5) fournira un code pour
les symboles non-rsolus. Certaines distributions prfrent un code non-nul
dans modutils 2.4 mais ceci pose des problmes avec les utilisateurs qui
comptent sur l'ancien comportement. Si vous voulez un code non-num pour depmod
2.4, indiquez <b>-u</b>. <b>depmod</b> 2.5 ignorera silencieusement l'option
<b>-u</b> et renverra toujours un code non-nul en cas de symboles non
rsolus;
<br/><br/>
 
<b>-v </b>, <b> --verbose</b>
Affiche le nom de chaque module trait.
<br/><br/>

<b>-V </b>, <b> --version</b>
Affiche la version de <b>depmod</b>.<br/><br/>
Les options suivantes sont utiles aux dveloppeurs ds distributions&nbsp;:
<br/><br/>

<b>-b <i>basedirectory</i>, </b>--basedir \fIbasedirectory
Si l'arborescence sous
<i>/lib/modules</i> contenant les modules est dplace ailleurs pour grer les modules dans
diffrents environnements, l'option
<b>-b</b> <b></b>  indique  depmod o trouver l'image dplace de
l'arborescence
<i>/lib/modules .</i>
Les noms indiqus dans le fichier 
<i>modules.dep</i> cr par depmod, ne contiendront
pas
<i>basedirectory .</i>
Cela signifie que l'arborescence
<i>basedirectory/lib/modules</i> pourra se retrouver dans
<i>/lib/modules</i> dans la distribution, avec toutes les rfrences correctes.
<br/><br/>

<b>-C <i>configfile</i>, </b>--config \fIconfigfile
Utilise le fichier
<i>configfile</i> plutt que le fichier
<i>/etc/modules.conf .</i>
La variable d'environnement
<b>MODULECONF</b> <b></b>  peut aussi tre utilise pour slectionner un fichier de configuration
diffrent de celui par dfaut
<i>/etc/modules.conf</i> ou
<i>/etc/conf.modules</i> (dconseill).
<br/><br/>

Quand la variable d'environnement
<b>UNAME_MACHINE</b> <b></b>  est remplie, modutils l'utilisera  la place du champ "machine" de
l'appel-systme uname(). Ceci est surtout utile si vous compilez des modules
64 bits dans un espace utilisateur 32 bits ou
inversement&nbsp;; remplissez
<b>UNAME_MACHINE</b> <b></b>  avec le type de modules construits.
La version actuelle de modutils ne supporte pas la construction croise complte
de modules, elle est limite au choix entre 32 et 64 bits de l'architecture
hte.
<br/><br/>

<b>-F kernelsyms</b>,<b>--filesyms </b>kernelsyms
Quand on construit les fichiers des dpendances pour un noyau diffrent de
celui en cours d'utilisation, il est important que
<b>depmod</b> <b></b>  utilise le bon jeu de fonctions pour trouver les rfrences du noyau dans
chaque module.
Ces fonctions peuvent tre une copie de 
<i>System.map</i> provenant d'un autre noyau,
ou une copie de la sortie de
<i>/proc/ksyms .</i>
Si votre noyau utilise des symboles avec numros de version, il vaut mieux
utiliser une copie de la sortie de
<i>/proc/ksyms ,</i>
car ce fichier contient les numros de version des fonctions du noyau.
Toutefois, vous pouvez utiliser
<i>System.map</i> mme avec les numros de version.
</div><br/><br /><h1 class="TitreSection0" id="L5">configuration</h1>
<div class="paragraph">
Le comportement de
<b>depmod</b> <b></b>  et de
<b>modprobe</b> <b></b>  peut tre ajust par le fichier (optionnel) de configuration
<b>/etc/modules.conf</b> <b></b>  <br/>
Voir
<i>modprobe(8)</i> et
<i>modules.conf(5)</i> pour une description complte.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L6">stratgie</h1>
<div class="paragraph">
Chaque fois que vous compilez un noyau, la commande <b>make modules_install</b>
crera un nouveau rpertoire, mais ne changera pas le rpertoire par dfaut.<br/><br/>
Quand vous avez un module non reli  la distribution du noyau, vous devez le
mettre dans un rpertoire indpendant de la version
sous
<i>/lib/modules .<br/><br/></i>
C'est la stratgie par dfaut, laquelle peut tre remplace dans
<i>/etc/modules.conf .</i>
</div><br/><br /><h1 class="TitreSection0" id="L7">fichiers</h1>
<div class="paragraph">

<i>/etc/modules.conf&nbsp; </i>(aussi, mais dconseill&nbsp;<i> /etc/conf.modules )</i>
<i>/lib/modules/*/modules.dep ,</i>
<i>/lib/modules/*</i> 

</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>modules.conf (5),</b>
<b>modprobe (8),</b>
<b>modinfo (8),</b>
<b>lsmod (8),</b>
<b>ksyms (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">bogues</h1>
<div class="paragraph">
<b>depmod</b> [ -V | --version ] devrait se terminer immdiatement. En fait,
il affiche la version et se comporte comme s'il n'avait aucune option.
</div><br/><br /><h1 class="TitreSection0" id="L10">auteurs</h1>
<div class="paragraph">
Jacques Gelinas (jack@solucorp.qc.ca)
<br/>
Bjorn Ekwall (bj0rn@blox.se)
</div><br/><br /><h1 class="TitreSection0" id="L11">traduction</h1>
<div class="paragraph">
Jrome Signouret, 2000.
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
