<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Traduction 14/08/2000 par Frdric Delanoy (delanoy_f@yahoo.com) -->
<!--  (util-linux : fdisk v2.11m) -->
<!--  Mise  jour 22/06/2002 (fdisk v2.11n) -->
<!--  Mise  jour 13/12/2002 (fdisk v2.11r) -->
<!--  -->
<!--  Copyright 1992, 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  Copyright 1998 Andries E. Brouwer (aeb@cwi.nl) -->
<!--  May be distributed under the GNU General Public License -->
<!--  MJ 30/07/2003 util-linux-2.11y -->
<br/><h1>FDISK</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">avertissement dos 6.x</a>
<br /><a class="summaryIndent0" href="#L4">options</a>
<br /><a class="summaryIndent0" href="#L5">bogues</a>
<br /><a class="summaryIndent0" href="#L6">authors --></a>
<br /><a class="summaryIndent0" href="#L7">voir aussi</a>
<br /><a class="summaryIndent0" href="#L8">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
fdisk - manipulateur de tables de partitions pour Linux
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>fdisk [-u] [-b taille-secteur] </b> priphrique
<br/><br/>

<b>fdisk -l [-u] [-b taille-secteur] [ </b> <i>priphrique ...</i> ]
<br/><br/>

<b>fdisk -s </b> <i>partition ...</i>
<br/><br/>

<b>fdisk -v</b>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
Les disques durs peuvent tre diviss en un ou plusieurs disques
logiques appels
<i>partitions .</i>
Cette division est dcrite dans la
<i>table des partitions</i> trouve sur le secteur 0 du disque.<br/><br/>
Dans le monde BSD, on parle de &nbsp;tranches de disque&nbsp; (disk slices) et
d'&nbsp;tiquette de disque&nbsp; (disklabels).<br/><br/>
Linux a besoin d'au moins une partition,  savoir pour son systme de
fichiers racine.
Il peut utiliser des fichiers et/ou des partitions d'change (swap)
d'change, mais ces dernires sont plus efficaces. C'est pourquoi on
ddie en gnral une seconde partition Linux comme partition d'change.
Sur le matriel compatible Intel, le BIOS qui dmarre le systme ne
peut souvent accder qu'aux 1024 premiers cylindres du disque. Pour
cette raison, les personnes possdant des disques volumineux crent
souvent une troisime partition, d' peine quelques Mo de large, monte
typiquement en
<i>/boot ,</i>
pour y conserver l'image du noyau et quelques fichiers auxiliaires
ncessaires au dmarrage, afin de s'assurer que ce matriel soit
accessible depuis le BIOS. Il peut y avoir des raisons de scurit, de
facilit d'administration et de sauvegarde, ou de tests qui ncessitent
d'utiliser plus que le nombre minimal de partitions.<br/><br/>
<b>fdisk</b> <b></b>  (dans la premire forme d'invocation) est un programme pilot par menu
utilis pour la cration et la manipulation de tables de
partitions. Il comprend les tables de partitions de type DOS, et les
tiquettes de disque BSD ou SUN.<br/><br/>
Le
<i>priphrique</i> est en gnral l'un des suivants&nbsp;:
<br/><br/>
 1
<br/>

.RS
/dev/hda
/dev/hdb
/dev/sda
/dev/sdb



<br/><br/>
 1
(/dev/hd[a-h] pour les disques IDE, /dev/sd[a-p] pour les disques
SCSI, /dev/ed[a-d] pour les disques ESDI, /dev/xd[ab] pour les disques
XT). Un nom de priphrique rfrence le disque entier.<br/><br/>
La
<i>partition</i> est un nom de
<i>priphrique</i> suivi d'un numro de partition. Par exemple,
<b>/dev/hda1</b> <b></b>  est la premire partition du premier disque dur IDE du systme. Les
disques peuvent contenir jusqu' 15 partitions. Voyez galement
<i>/usr/src/linux/Documentation/devices.txt .<br/><br/></i>
Une tiquette de disque de type BSD/SUN peut dcrire 8 partitions, dont la
troisime devrait tre une partition de &nbsp;disque entier&nbsp;. Ne faites pas
dmarrer de partition utilisant rellement son premier secteur sur le
cylindre 0 (comme une partition d'change), car cela dtruirait l'tiquette
du disque.<br/><br/>
Une tiquette de disque de type IRIX/SGI peut dcrire 16 partitions, dont
la onzime devrait tre une partition entire de &nbsp;volume&nbsp;, alors que la
neuvime devrait tre un &nbsp;en-tte de volume&nbsp;. L'en-tte de volume
couvre galement la table des partitions, c.--d. qu'il dbute au bloc zro
et s'tend par dfaut sur 5 cylindres. L'espace restant dans l'en-tte de
volume peut tre utilis par des entres de rpertoires d'en-tte. Aucune
partition ne peut empiter sur l'en-tte de volume. Ne modifiez pas son
type ni ne crez de systme de fichiers dessus, car vous perdriez alors la
table des partitions. N'utilisez ce type d'tiquette que lorsque vous
travaillez sur des machines IRIX/SGI ou avec des disques IRIX/SGI sous
Linux.<br/><br/>
Une table de partitions de type DOS peut dcrire un nombre illimit de
partitions. Dans le secteur 0, il y a de la place pour dcrire 4
partitions (appeles &nbsp;primaires&nbsp;). L'une d'entre elles peut tre
une partition tendue&nbsp;; c'est une sorte de bote contenant des
partitions logiques, dont les descripteurs sont trouvs dans une liste
chane de secteurs, chacun prcdant les partitions logiques
correspondantes. Les quatre partitions primaires, prsentes ou pas,
portent les numros 1-4. Les partitions logiques sont numrotes 
partir de 5.<br/><br/>
Dans une table de partitions de type DOS, le dcalage de dpart et la
taille de chaque partition sont conservs de deux faons&nbsp;: comme un
nombre absolu de secteurs (sur 32 bits), ou comme un triplet
Cylindres/Ttes/Secteurs (sur 10+8+6 bits). La premire manire
fonctionne bien - avec des secteurs de 512 octets, cela marchera
jusqu' 2 To. La seconde possibilit souffre de deux problmes
diffrents. Primo, ces champs C/T/S ne peuvent tre remplis que
lorsque le nombre de ttes et le nombre de secteurs par piste sont
connus. Secundo, mme si l'on connaissait ces nombres, les 24 bits qui
sont disponibles ne suffiraient pas. DOS utilise uniquement C/T/S,
Windows utilise les deux, Linux n'utilise jamais C/T/S.<br/><br/>
Si c'est possible,
<b>fdisk</b> <b></b>  dterminera automatiquement la gomtrie du disque. Ce n'est pas
ncessairement la gomtrie physique du disque (en effet, les disques
modernes ne possdent pas  proprement parler quoi que ce soit pouvant
tre assimil  une gomtrie physique, et encore moins quelque chose
pouvant tre dcrit par la forme simpliste Cylindres/Ttes/Secteurs),
mais c'est la gomtrie de disque qu'utilise MS-DOS pour la table des
partitions.<br/><br/>
D'habitude, tout se passe bien par dfaut, et il n'y a aucun problme
si Linux est le seul systme sur le disque. Nanmoins, si le disque
doit tre partag avec d'autres systmes d'exploitation, c'est en
gnral une bonne ide de laisser crer au moins une partition par un
fdisk d'un autre systme d'exploitation. Quand Linux dmarre, il
examine la table des partitions, et essaie de dduire quelle (fausse)
gomtrie est requise pour une bonne coopration avec les autres systmes.<br/><br/>
Chaque fois qu'une table des partitions est crite, un test de
cohrence est effectu sur les entres de la table des partitions. Ce
test vrifie que les dbuts et fins physiques et logiques sont
identiques, et que la partition commence et se termine sur une limite
de cylindre (sauf pour la premire partition).<br/><br/>
Certaines versions de MS-DOS crent une premire partition qui ne
commence pas sur une limite de cylindre, mais sur le secteur 2 du
premier cylindre. Les partitions commenant au cylindre 1 ne peuvent
dbuter sur une limite de cylindre, mais il est peu probable que cela
pose problme  moins que vous n'ayez galement OS/2 sur votre
machine.<br/><br/>
Un sync() et un ioctl() BLKRRPART (relire la table des partitions 
partir du disque) sont excuts avant la sortie quand la table des
partitions a t mise  jour. Il y a longtemps, il tait ncessaire de
redmarrer aprs l'utilisation de fdisk. Je ne crois pas que cela soit
encore le cas - en effet, redmarrer trop rapidement pourrait causer la
perte de donnes non encore crites sur disque. Notez que le noyau et le
matriel disque peuvent tous deux placer des donnes en mmoire tampon.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">avertissement dos 6.x</h1>
<div class="paragraph"><br/><br/>
La commande DOS 6.x FORMAT recherche certaines informations sur le
premier secteur de la zone de donnes de la partition, et suppose
qu'elles sont plus fiables que celles contenues dans la table des
partitions. Le FORMAT DOS suppose que FDISK DOS efface les 512 premiers
octets de la zone de donnes de la partition  chaque fois qu'un
changement de taille se produit. FORMAT DOS regardera cette information
additionnelle mme si le drapeau /U est fourni -- nous considrons que
c'est un bogue dans les FORMAT et FDISK DOS.<br/><br/>
Si vous utilisez cfdisk ou fdisk pour modifier la taille d'une entre
DOS de la table des partitions, alors vous devrez galement utiliser
<b>dd</b> <b></b>  pour mettre  zro les 512 premiers octets de cette partition avant
d'utiliser FORMAT DOS pour formater cette partition. Par exemple, si
vous avez utilis cfdisk pour crer une entre DOS dans la table des
partitions pour /dev/hda1, alors (aprs la sortie de fdisk ou de
cfdisk et aprs avoir redmarr Linux afin que les informations sur la
table des partitions soient valides) vous devriez utiliser la commande
&nbsp;dd if=/dev/zero of=/dev/hda1 bs=512 count=1&nbsp; pour mettre  zro
les 512 premiers octets de la partition.<br/><br/>
<b>SOYEZ</b> <b></b>  <b>EXTRMEMENT</b> <b></b>  <b>PRUDENT</b> <b></b>  <b></b>  si vous utilisez la commande
<b>dd</b> <b></b> ,<b></b>  <b></b>  car une petite faute de frappe peut rendre toutes les donnes de votre
disque inutilisables.<br/><br/>
Pour obtenir les meilleurs rsultats, vous devriez toujours utiliser
un programme de partitionnement spcifique au systme
d'exploitation. Par exemple, vous devriez crer des partitions DOS
avec le programme FDISK DOS, et des partitions Linux avec l'un des
programmes Linux fdisk ou cfdisk.<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L5">options</h1>
<div class="paragraph">
<br/><br/>

<b>-b </b> taille-secteur
Spcifier la taille des secteurs du disque. Les valeurs valides sont
512, 1024 et 2048. (Les noyaux rcents connaissent la taille de
secteur. N'utilisez cette option que sur des noyaux anciens ou pour
passer outre l'avis du noyau.)
<br/><br/>
 
<b>-C </b> cylindres
Indique le nombre de cylindres du disque.
Je ne vois pas  quoi a peut servir.
<br/><br/>
 
<b>-H </b> ttes
Indique le nombre de tte du disque. (Pas le nombre physique, bien sr,
mais celui utilis pour la table de partitions.)
Valeurs raisonables&nbsp;: 255 et 16.
<br/><br/>
 
<b>-S </b> secteurs
Indique le nombre de secteurs par piste du disque.
(Pas le nombre physique, bien sr,
mais celui utilis pour la table de partitions.)
Une valeur raisonnable est 63.
<br/><br/>

<b>-l</b> <b></b>  Lister les tables de partitions des priphriques spcifis et
ensuite se terminer. Si aucun priphrique n'est fourni, ceux
mentionns dans
<i>/proc/partitions</i> (si ce fichier existe) sont utiliss.
<br/><br/>

<b>-u</b> <b></b>  Lors du listage des tables de partitions, donner les tailles en
secteurs plutt qu'en cylindres.
<br/><br/>

<b>-s </b> partition
La
<i>taille</i> de la partition (en blocs) est affiche sur la sortie standard.
<br/><br/>

<b>-v</b> <b></b>  Afficher le numro de version de
<b>fdisk</b> <b></b>  et se terminer normalement.
</div><br/><br /><h1 class="TitreSection0" id="L6">bogues</h1>
<div class="paragraph">
Il existe plusieurs programmes *fdisk. Chacun a ses points forts et
ses points faibles. Essayez-les dans l'ordre
<b>cfdisk ,</b>
<b>fdisk </b> et<b></b>
<b>sfdisk .</b>
(En effet,
<b>cfdisk</b> <b></b>  est un beau programme qui a des exigences strictes sur les tables de
partitions qu'il accepte, et qui produit des tables de partitions de
haute qualit. Utilisez-le si vous le pouvez. 
<b>fdisk</b> <b></b>  est un programme bogu qui fait des choses assez floues - d'habitude,
il arrive  produire des rsultats raisonnables. Son seul avantage est
qu'il supporte les tiquettes de disque BSD, et d'autres tables de
partitions non DOS. vitez-le si vous le pouvez.
<b>sfdisk</b> <b></b>  est destin uniquement aux hackers - l'interface utilisateur est
quelque peu rebutante, mais il travaille mieux que fdisk et est plus
puissant que fdisk et cfdisk. De plus, il peut tre utilis de faon
non interactive.)<br/><br/>
L'tiquette de disque de type IRIX/SGI n'est pas supporte actuellement
par le noyau. De plus, les rpertoires d'en-tte IRIX/SGI ne sont pas
encore entirement supports.<br/><br/>
Il manque l'option &nbsp;crire la table des partitions dans un fichier&nbsp;.
<!--  </div><br/><br /><h1 class="TitreSection0" id="L7">authors --></h1>
<div class="paragraph">
<!--  A. V. Le Blanc (LeBlanc@mcc.ac.uk) -->
<!--  Bernhard Fastenrath (fasten@informatik.uni-bonn.de) -->
<!--  Jakub Jelinek (jj@sunsite.mff.cuni.cz) -->
<!--  Andreas Neuper (ANeuper@GUUG.de) -->
<!--  and many others. -->
</div><br/><br /><h1 class="TitreSection0" id="L8">voir aussi</h1>
<div class="paragraph">
<b>cfdisk (8),</b>
<b>parted (8),</b>
<b>sfdisk (8)</b>
</div><br/><br /><h1 class="TitreSection0" id="L9">traduction</h1>
<div class="paragraph">
Frdric Delanoy &lt;<i>delanoy_f at yahoo.com</i>&gt;, 2002.
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
