<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
\" Copyright (c) 1996 Free Software Foundation, Inc.
<!--  Ce programme est distribu en accord avec la Licence Publique Gnrale Gnu. -->
<!--  Voir le fichier COPYING dans le rpertoire des sources du noyau. -->
<!--  MJ 30/07/21 modutils-2.4.22 -->
<br/><h1>INSMOD</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">voir aussi</a>
<br /><a class="summaryIndent0" href="#L4">historique</a>
<br /><a class="summaryIndent0" href="#L5">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
insmod - Charge des modules dans le noyau.
.hy 0
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>insmod</b> <b></b>  [-fhkLmnpqrsSvVxXyYN] [-e&nbsp;<i>persist_name</i>] [-o&nbsp;<i>module_name</i>]
[-O&nbsp;<i>blob_name</i>] [-P&nbsp;<i>prefix</i>] <i>module</i>
[&nbsp;<b>symbol</b>=<i>value</i>&nbsp;...&nbsp;]
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<b>insmod</b> <b></b>  charge un module dans le noyau en cours d'utilisation.<br/><br/>
<b>insmod</b> <b></b>  essaie de lier un module dans le noyau en cours d'excution en rsolvant les noms
de symboles  partir de la table des symboles exports par le noyau.<br/><br/>
Si le nom du fichier objet est donn sans rpertoire et sans extension,
<b>insmod</b> <b></b>  cherchera le module dans quelques rpertoires par dfaut.
La variable d'environnement MODPATH peut surcharger ces rpertoires par dfaut.
Si un fichier de configuration comme /etc/modules.conf existe, il surchargera
les chemins indiqus dans <b>MODPATH</b>.<br/><br/>
La variable d'environnement MODULECONF peut slectionner un fichier de
configuration diffrent de <i>/etc/modules.conf</i> (ou
<i>/etc/conf.modules</i> ( viter)).
Cette variable d'environnement prvaudra sur toutes les dfinitions prcdentes.<br/><br/>
Quand la variable d'environnement
<b>UNAME_MACHINE</b> <b></b>  est remplie, modutils l'utilisera  la place du champ "machine" de
l'appel-systme uname(). Ceci est surtout utile si vous compilez des modules
64 bits dans un espace utilisateur 32 bits ou
inversement&nbsp;; remplissez
<b>UNAME_MACHINE</b> <b></b>  avec le type de modules construits.
La version actuelle de modutils ne supporte pas la construction croise complte
de modules, elle est limite au choix entre 32 et 64 bits de l'architecture
hte.
</div><br/><h2 class="TitreSection1" id="L7">OPTIONS</h2>
<div class="paragraph">
<br/><br/>

<b>-e</b> <i>persist_name</i>, <b>--persist</b>=<i>persist_name</i> 
Indique o les donnes persistantes du modules doivent tre lues au chargement
et crite lorsque cette instance du module est dcharge. Cette option est
ignore silencieusement si le module n'a pas de donnes persistantes. Les
donnes persistantes ne sont lues par <b>insmod</b> que si cette option est
prsente. Par dfaut <b>insmod</b> ne traite pas les donnes persistantes.
<br/><br/>

<b>"</b> <b></b>  Sous forme raccourcie, <b>-e&nbsp;""</b>&nbsp;(une chane vide) est interprt par
<b>insmod</b> comme la valeur de <b>persistdir</b> dfinie dans
<i>modules.conf</i>, suivie du nom du fichier du module par rapport au chemin
de recherche o il a t trouv, en liminant toute extension
".gz", ".o" ou ".mod".  Si <b>modules.conf</b> spcifie
"<b>persistdir&nbsp;=</b>" (<b>persistdir</b> est un champ vide) alors ce raccourci
est ignor silencieusement.  (Voir <b>modules.conf</b> (5).)
<br/><br/>
 
<b>-f </b>, <b> --force</b>
Tentera de charger un module mme si la version du noyau en cours et celle pour
laquelle le module a t compil le module ne correspondent pas. Ceci ne
surcharge que la vrification du numro de noyau, et n'a aucun effet sur la
vrification des noms de symbole. Si le nom d'un symbole du module ne correspond
pas au noyau, il n'y a aucun moyen de forcer <b>insmod</b>  le charger.
<br/><br/>

<b>-h </b>, <b> --help</b>
Affiche une page d'aide et se termine.
<br/><br/>

<b>-k </b>, <b> --autoclean </b>
Marque le module pour auto-nettoyage. Ceci permettra 
<b>kerneld</b>(8) d'enlever les modules qui ne sont pas utiliss
durant une certaine priode - habituellement une minute.
<br/><br/>
 
<b>-L </b>, <b> --lock </b>
Utiliser <b>flock</b>(2) pour empcher deux chargements simultans du mme module.
<br/><br/>

<b>-m </b>, <b> --map </b>
Affiche la carte de chargement, rendant plus facile le dbogage en cas de
panique du noyau.
<br/><br/>
 
<b>-n </b>, <b> --noload</b>
Fausse excution. Tout faire, mais ne rien charger dans le noyau. Avec option
<b>-m</b> ou <b>-O</b>, l'excution produira les fichiers carte ou blob.
Comme le module n'est pas charg, l'adresse relle du noyau est inconuue,
ainsi les fichiers utilisent une adresse de chargement arbitraire
0x12340000.
<br/><br/>

<b>-o</b> <i>module_name</i>, <b>--name</b>=<i>module_name</i>
Indique explicitement le nom du module, plutt que d'utiliser le celui dduit
du fichier objet.
<br/><br/>

<b>-O</b> <i>blob_name</i>, <b>--blob</b>=<i>blob_name</i>
Sauver le fichier objet dans <i>blob_name</i>. Le rsultat est un blob binaire
(pas d'en-tte ELF) montrant exactement ce qui est charg dans noyau
aprs manipulation et dplacemen des sections.
L' option <b>-m</b> est recommande pour obtenir une carte de cet objet.
<br/><br/>

<b>-p </b>, <b> --probe</b>
Vrifie si le module peut tre charg avec succs. Cela inclut la position du
fichier objet dans le chemin des modules, la vrification
des numros de versions, et la rsolution des commandes. Elle ne vrifie pas
les dplacements et ne produit pas de fichier blob.
<br/><br/>

<b>-P</b> <i>prefix</i>, <b>--prefix</b>=<i>prefix</i>
Cette option sert pour les modules avec numros de version, et les noyaux smp
ou bigmem, car ces modules ont un prfixe supplmentaire ajout aux noms des
symboles. Si le noyau a t construit avec les numros de versions pour les
symboles, alors \fBinsmodfP extraiera automatiquement le prfix de la dfinition
de "get_module_symbol" ou "inter_module_get", l'un des deux doit exister dans
tous les noyaux qui supportent les modules. Si le noyau n'a pas de version
pour les symboles, mais que le module en a, alors
l'utilisateur doit fournir l'option
<b>-P .</b>
<br/><br/>

<b>-q </b>, <b> --quiet</b>
Ne pas afficher la listes des commandes non rsolues.
Ne pas signaler les problmes de numros de versions.
Les problmes ne seront visibles que dans le statut de sortie de <b>insmod</b>.
<br/><br/>

<b>-r </b>, <b> --root</b>
<br/><br/>

<b>"</b> <b></b>  Certains utilisateurs compilent les modules sans droits root et les installent
en tant root. Ceci risque de crer des modules n'appartenant pas  root, mme
si le rpertoire des modules est proprit du root.
Si un tel compte utilisateur est pirat, un intrus peut modifier ces modules
et les utiliser pour obtenir un accs root.
<br/><br/>

<b>"</b> <b></b>  Par dfaut, modutils rejettera les demandes d'utilisation d'un module qui
n'appartient  root. L'option <b>-r</b> supprimera l'erreur et autorisera le
chargement de module n'appartenant pas  root. <b>Note&nbsp;:</b> la valeur par
dfaut pour la vrification d'appartenance  root peut tre modifie dans
la configuration de modutils.
<br/><br/>

<i></i> \fBL'utilisation de -r ou la configuration "pas de vrification root" 
est un danger pour la scurit et est
dconseille.\fR
<br/><br/>

<b>-s </b>, <b> --syslog</b>
Envoie les messages  <b>syslog</b>(3) plutt que sur le terminal.
<br/><br/>

<b>-S </b>, <b> --kallsyms</b>
Force le module charg  avoir des donnes <b>kallsyms</b>, mme si le noyau ne
le supporte pas. Cette option sert sur les petits systmes o le noyau est 
charg sans donnes <b>kallsyms</b>, mais que les modules ont besoin de
<b>kallsyms</b> pour le dbogage. Configuration par dfaut sur Red Hat Linux.
<br/><br/>

<b>-v </b>, <b> --verbose</b>
Rends insmod plus volubile.
<br/><br/>

<b>-V </b>, <b> --version</b>
Affiche le numro de version de <b>insmod</b>.
<br/><br/>

<b>-X </b>, <b> --export </b>; <b> -x </b>, <b> --noexport</b>
Respectivement, exporter ou non tous les symboles externes du module. La valeur
par dfaut est l'exportation des symboles. Cette noption n'est effective que
si le module n'exporte pas explicitement sa propre table de symbole,
ce qui est dconseill.
<br/><br/>

<b>-Y </b>, <b> --ksymoops </b>; <b> -y </b>, <b> --noksymoops</b>
Respectivement ajoute ou non les symboles ksymoops  ksyms. Ces symboles servent
 ksymoops pour aider au dbogage si il y a un problme (Oops) dans le module.
La valeur par dfaut est de dfinir les symboles <b>ksymoops</b>. Cette option
est indpendante de  <b>-X</b>/<b>-x</b>.
<br/><br/>

<b>"</b> <b></b>  Les symboles <b>ksymoops</b> ajoutent environ 260 octets par module charg. 
moins d'tre vraiment  court de mmoire pour le noyau et de tenter de rduire
ksyms au minimum, utilisez la configuration par dfaut pour tre plus  l'aise
au dbogage. Les symboles <b>ksymoops</b> sont ncessaires pour la sauvegarde
de donnes persistantes de modules.
<br/><br/>

<b>-N </b>, <b> --numeric-only</b>
Ne vrifie que la partie numrique de la version du module par rapport  celle
du noyau, c'est--dire ignore le suffixe EXTRAVERSION pour savoir si le module
appartient au noyau.
Cette option est automatiquement active pour les noyaux  partir du 2.5, et
optionnel pour les prcdents.
</div><br/><h2 class="TitreSection1" id="L7">PARAMTRES DES MODULES</h2>
<div class="paragraph">
Des modules acceptent des paramtres au chargement pour adapter leur action.
Ces paramtres sont souvent des ports E/S et des numros d'IRQ variant d'une
machine  l'autre et ne peuvent tre dtermins  partir du matriel.<br/><br/>
Dans les modules pour les noyau 2.0, tout symbole d'entier ou de pointeur
caractre peut tre manipul comme un paramtre et tre modifi. Depuis les
noyaux 2.1, les symboles sont explicitement marqus comme des paramtres, afin
que seules des donnes spcifiques soient modifiables. De plus le type est
indiqu pour vrifier la valeur fournie au chargement.<br/><br/>
Pour les entiers, les valeurs peuvent tre en base 10, 8 ou 16, comme en C&nbsp;:
17, O21 ou Ox11. Les lments de tableau sont fournis en squence, spars par
des virgules. Des lments peuvent tre `sauts'
en omettant leur valeur.<br/><br/>
Dans les modules 2.0, les valeurs ne dbutant pas par un nombre sont considres
comme des chanes. Depuis les 2.1, l'information sur le type de paramtre indique
si la valeur doit tre considre comme une chane. Si la valeur commence par
un guillemet
 (<b>"</b>),
<!--  juste pour la coloration syntaxique : on ferme le guillemet prcdent. -->
 la chane est interprte comme en C, avec squence d'chappement
et le reste. Notez que depuis la ligne de commande du shell, les guillemets
doivent tre protgs pour viter leur interprtation par ce dernier.
</div><br/><h2 class="TitreSection1" id="L7">SYMBOLES ET MODULES SOUS LICENCE GPL</h2>
<div class="paragraph">
Depuis le noyau 2.4.10, les modules doivent avoir une chane indiquant leur
licence, dfinie par <b>MODULE_LICENSE()</b>. Plusieurs chanes sont reconnues
comme tant compatibles GPL, tout autre chane de licence ou l'absence de
licence est considre comme propritaire. Voir
<i>include/linux/module.h</i> pour une liste des chanes compatibles GPL.<br/><br/>
Si le noyau supporte l'attribut <i>/proc/sys/kernel/tainted</i>, alors
<b>insmod</b> fera un OU entre l'attribut et '1' au chargement d'un module sans
licence GPL. Un avertissement sera affich si le noyau supporte le mode tach
(tainted) et qu'on charge un module sans licence. Un avertissement est fourni
pour tout module ayant <b>MODULE_LICENSE()</b> non compatible GPL, mme sur les
noyaux anciens ne supportant pas l'entachement. Ceci limite les avertissements
quand les modutils rcents sont utiliss sur des noyaux anciens.<br/><br/>
Le mode <b>insmod&nbsp;-f</b> (force) fera un OU entre l'attribut tainted et '2'
sur les noyaux supportant l'entachment. Ceci dclenche toujours un avertissement.<br/><br/>
Certains dveloppeurs du noyau rclament que les symboles exports par leur code
ne soit utiliss que dans des modules avec une licence compatible GPL. Ces
symboles sont exports avec <b>EXPORT_SYMBOL_GPL</b> plutt qu'avec le normal
<b>EXPORT_SYMBOL</b>. Les symboles GPL-seulement exports par le noyau et d'autres
modules ne sont visibles que des modules ayant une licence compatible GPL. Ils
apparaissent dans <i>/proc/ksyms</i> avec le prfixe '<b>GPLONLY_</b>'.
<b>insmod</b> ignore le prfixe <b>GPLONLY_</b> des symboles en chargeant un module
avec une licence compatible GPL, afin que le module fasse rfrence au nom du
symbole sans le prfixe. Les symboles GPL-seulement ne sont pas rendus
disponibles aux modules sans licence compatible GPL, ou sans licence
indique.
</div><br/><h2 class="TitreSection1" id="L7">AIDE KSYMOOPS</h2>
<div class="paragraph">
Pour aider au dbogage des problmes du noyau avec des modules, <b>insmod</b>
ajoute par dfaut des symboles dans ksyms, voir l'option <b>-Y</b>.
Ces symboles dbutent avec <b>__insmod_modulename_</b>. Le <i>modulename</i> est
ncessaire pour rendre les symboles uniques, il est possible de charger le mme
objet plusieurs fois sous diffrents noms de modules.
Actuellement les commandes dfinies sont&nbsp;:
<br/><br/>

<b>__insmod_modulename_Oobjectfile_Mmtime_Vversion</b> <b></b>  <i>objectfile</i> est le nom du fichier depuis lequel l'objet a t charg.
Ceci garanti que ksymoops peut accder correctement au code de l'objet.
<i>mtime</i> est l'horodatage en hexadcimal de la dernire modification du
fichier en hexadcimal, zro si <b>stat</b>(2) a chou. <i>version</i> est la
version du noyau pour lequel le module a t compil, -1 si la version n'est
pas disponible. Le symbole _0 est l'adresse de dbut de l'en-tte du module.
<br/><br/>

<b>__insmod_modulename_Ssectionname_Llength</b> <b></b>  Ce symbole apparat au dbut des sections ELF slectionnes,
actuellement .text, .rodata, .data .bss, et .sbss. Elle apparat seulement si la
section a une taille non-nulle. <i>sectionname</i> est le nom de la section ELF,
<i>length</i>  est la longueur en dcimal de la section. Ces symboles aident
ksymoops  dterminer les adresses des sections dans lesquelles aucun symbole
n'est disponible.
<br/><br/>

<b>__insmod_modulename_Ppersistent_filename</b> <b></b>  Cr par <b>insmod</b> seulement si le module a un ou plusieurs paramtres qui
sont marqus comme donnes persistantes, et si un fichier de sauvegarde
(voir<b>-e</b>, plus haut) est disponible.<br/><br/>
L'autre problme avec le dbogage des problmes du noyau dans les modules est
que le contenu de <i>/proc/ksyms</i> et <i>/proc/modules</i> peut changer entre
l'instant du Oops et le moment o vous analysez le fichier journal. Pour pallier
ce problme, si le rpertoire <i>/var/log/ksymoops</i> existe alors <b>insmod</b>
et <b>rmmod</b> copieront automatiquement <i>/proc/ksyms</i> et <i>/proc/modules</i>
dans <i>/var/log/ksymoops</i> avec le prfixe `date&nbsp;+%Y%m%d%H%M%S`.
L'administrateur systme peut indiquer  ksymoops quel fichier employer pour
dboguer un Oops. Il n'y a pas d'option pour dsactiver cette copie automatique,
si vous ne voulez pas qu'elle se produise, il ne faut pas crer de rpertoire
<i>/var/log/ksymoops</i>. Si le rpertoire existe, il doit appartenir  root,
avoir le mode 644 ou 600 et vous devriez lancer chaque jour le script suivant,
install comme <b>insmod_clean_ksymoops</b>.<br/><br/>
.ne 8

  #!/bin/sh
  # Supprime la sauvegarde de ksyms et des modules sans accs depuis 2 jours
  if [ -d /var/log/ksymoops ]
  then
	  set -e
	  # S'assurer qu'il y en a toujours au moins une version
	  d=`date +%Y%m%d%H%M%S`
	  cp -a /proc/ksyms /var/log/ksymoops/${d}.ksyms
	  cp -a /proc/modules /var/log/ksymoops/${d}.modules
	  find /var/log/ksymoops -type f -atime +2 -exec rm {} \\;
  fi
</div><br/><br /><h1 class="TitreSection0" id="L4">voir aussi</h1>
<div class="paragraph">
<b>rmmod (8), </b>
<b>modprobe (8), </b>
<b>depmod (8), </b>
<b>lsmod (8),</b>
<b>ksyms (8),</b>
<b>modules (2),</b>
<b>genksyms (8), </b>
<b>kerneld (8),</b>
<b>ksymoops (noyau).</b>
</div><br/><br /><h1 class="TitreSection0" id="L5">historique</h1>
<div class="paragraph">
Le support des modules a t conu par Illustre Anonyme
<br/>
La version initiale pour Linux a t faite par Bas Laarhoven &lt;bas@vimec.nl&gt;
<br/>
La version 0.99.14 a t faite par Jon Tombs &lt;jon@gtex02.us.es&gt;
<br/>
Complte par Bjorn Ekwall &lt;bj0rn@blox.se&gt;
<br/>
Aide ELF originelle de Eric Youngdale &lt;eric@aib.com&gt;
<br/>
Rcrite pour 2.1.17 par Richard Henderson &lt;rth@tamu.edu&gt;
<br/>
Complte par Bjorn Ekwall &lt;bj0rn@blox.se&gt; pour modutils-2.2.*, Mars 1999
<br/>
Support pour ksymoops par Keith Owens &lt;kaos@ocs.com.au&gt;, Mai 1999
<br/>
Mainteneur actuel&nbsp;:  Keith Owens &lt;kaos@ocs.com.au&gt;.
</div><br/><br /><h1 class="TitreSection0" id="L6">traduction</h1>
<div class="paragraph">
Jrome Signouret, 2000.
<br/>
Christophe Blaess, 2003.
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
