<?php
	$rubrique = 18;
	$meta_description = "Man page de www.developpez.com";
	$meta_keywords = "Man, page, manuel, utilisateur, Linux";
	$titre_page = "Man page";
	$xhtml=true;
	$urlCss = "../article.css";
  
	include("$DOCUMENT_ROOT/template/entete.php");
?>
	<div style="text-align:center;">
		<table class="cadrearticle" width="90%" cellpadding="10" cellspacing="0">
		  <tr>
				<td align="center" style="text-align:left">
<!--  Copyright 1993 Rickard E. Faith (faith@cs.unc.edu) -->
<!--  May be distributed under the GNU General Public License -->
<!--  MJ 30/07/2003 util-linux-2.11y -->
<br/><h1>IPCRM</h1>
<br /><a class="summaryIndent0" href="#L0">nom</a>
<br /><a class="summaryIndent0" href="#L1">synopsis</a>
<br /><a class="summaryIndent0" href="#L2">description</a>
<br /><a class="summaryIndent0" href="#L3">options</a>
<br /><a class="summaryIndent0" href="#L4">notes</a>
<br /><a class="summaryIndent0" href="#L5">authors --></a>
<br /><a class="summaryIndent0" href="#L6">voir aussi</a>
<br /><a class="summaryIndent0" href="#L7">traduction</a>
<br/><br/><br /><h1 class="TitreSection0" id="L1">nom</h1>
<div class="paragraph">
ipcrm - Supprimer une file de messages, un jeu de smaphore ou un segment de mmoire partage.
</div><br/><br /><h1 class="TitreSection0" id="L2">synopsis</h1>
<div class="paragraph">
<b>ipcrm</b> <b></b>  [
<b>-M</b> <b></b>  <i>key</i> |
<b>-m</b> <b></b>  <i>id</i> |
<b>-Q</b> <b></b>  <i>key</i> |
<b>-q</b> <b></b>  <i>id</i> |
<b>-S</b> <b></b>  <i>key</i> |
<b>-s</b> <b></b>  <i>id </i> ] ...<br/><br/>
utilisation dconseille<br/><br/>
ipcrm 
[
<b>shm</b> <b></b>  |
<b>msg</b> <b></b>  |
<b>sem</b> <b></b>  ]
<i>id </i> ...<i></i>
</div><br/><br /><h1 class="TitreSection0" id="L3">description</h1>
<div class="paragraph">
<i>ipcrm</i> supprime des objets de communication entre processus (IPC) Systme V et les
structures de donnes associes dfinis sur le systme.
Afin de les dtruire, vous devez tre Super-Utilisateur, le crateur ou le
propritaire des objets.<br/><br/>
Les objets IPC Systme V sont de trois types&nbsp;: mmoire partage, file de
messages et smaphores. La suppression d'une file de message ou d'un ensemble
de smaphores est imdiates (mme s'il y a des processus qui
disposent d'un identificateur
sur l'objet).
Un segment de mmoire partage n'est seulement supprim qu'aprs que
tous les processus ont dtach
( shmdt (2))</b>
l'objet de leur espace d'adressage virtuel.<br/><br/>
Deus syntaxes sont supportes. L'ancienne syntaxe historique sous Linux utilise
un mot-cl de trois lettre indqiuant la classe de l'objet  supprimer, suivi
d'un ou plusieurs identificateur d'objet IPC de ce type.<br/><br/>
La syntaxe compatible SUS autorise la spcification de zro, un ou plusieurs
objets des trois types en une seule ligne de commande&nbsp;; les objets tant 
reprs par leurs cls ou leurs identificateurs. (Voir plus bas).
Cls et identificateurs peuvent tre spcifis en dcimal, hexadcimal
(commenant par '0x' ou '0X'), ou octal (commenant
par un '0').<br/><br/>
</div><br/><br /><h1 class="TitreSection0" id="L4">options</h1>
<div class="paragraph">
<br/><br/>

-M <b> cl_shm</b>
Supprime le segment de mmoire partage cr avec
cl_shm
aprs son dernier dtachement.
<br/><br/>

-m <b> id_shm</b>
Supprime le segment de mmoire partage identifi par
<i>id_shm</i> aprs son dernier dtachement.
<br/><br/>

-Q <b> cl_msg</b>
Supprimer la file de messages cre avec
<i>cl_msg .</i>
<br/><br/>

-q <b> id_msg</b>
Supprimer la file de messages identifie par
<i>id_msg .</i>
<br/><br/>

-S <b> cl_sem</b>
Supprimer le jeu de smaphores cr avec
<i>cl_sem .</i>
<br/><br/>

-s <b> id_sem</b>
Supprimer le jeu de smaphores identifi par
<i>id_sem .<br/><br/></i>
Les dtails des suppressions sont dcrits dans
<i>msgctl (2),</i>
<i>shmctl (2),</i>
et
<i>semctl (2).</i>
Les identificateurs et cls sont visibles avec
<i>ipcs (8).</i>
</div><br/><br /><h1 class="TitreSection0" id="L5">notes</h1>
<div class="paragraph">
Dans sa premire implmentation sous Linux, ipcrm utilisait la syntaxe
dconseill que nous avons vue dans
<b>SYNOPSIS .</b>
Les focntionalits prsentes dans d'autres implmentations Unix d'ipcrm ont
t ajoute depuis, par exemple la possibilit de supprimer une ressource par
sa cl (et pas uniquement son identifieur) en gardant une compatibilit
de la ligne de commande avec la prcdente syntaxe.
<!--  </div><br/><br /><h1 class="TitreSection0" id="L6">authors --></h1>
<div class="paragraph">
<!--  Andre C. Mazzone (linuxdev@karagee.com) -->
<!--  <br/> -->
<!--  Krishna Balasubramanian (balasub@cis.ohio-state.edu) -->
</div><br/><br /><h1 class="TitreSection0" id="L7">voir aussi</h1>
<div class="paragraph">
<b>ipcs (8),</b>
<b>msgctl (2),</b>
<b>msgget (2),</b>
<b>semctl (2),</b>
<b>semget (2),</b>
<b>shmctl (2),</b>
<b>shmdt (2),</b>
<b>shmget (2),</b>
<b>ftok (3)</b>
</div><br/><br /><h1 class="TitreSection0" id="L8">traduction</h1>
<div class="paragraph">
Christophe Blaess, 2003.<br/><br/>
								</td>
							</tr>
						</table></div>
<?php
	include("$DOCUMENT_ROOT/template/pied.php");
?>
